CREATE DATABASE  IF NOT EXISTS `rmf` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `rmf`;
-- MySQL dump 10.13  Distrib 5.6.17, for Win64 (x86_64)
--
-- Host: localhost    Database: rmf
-- ------------------------------------------------------
-- Server version	5.6.21-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `cci`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `cci` (
  `id` int(11) NOT NULL,
  `control_id` varchar(6) NOT NULL,
  `enh_id` varchar(4) NOT NULL,
  `def` text,
  `guidance` text,
  `procedures` text,
  PRIMARY KEY (`id`),
  KEY `fk_cci_controls1_idx` (`control_id`),
  KEY `fk_cci_control_enh1_idx` (`enh_id`),
  CONSTRAINT `fk_cci_control_enh1` FOREIGN KEY (`enh_id`) REFERENCES `control_enh` (`enh_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_cci_controls1` FOREIGN KEY (`control_id`) REFERENCES `controls` (`control_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
);
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cci`
--

REPLACE INTO `cci` (`id`, `control_id`, `enh_id`, `def`, `guidance`, `procedures`) VALUES (1,'AC-1','','The organization develops an access control policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','The organization being inspected/assessed develops and documents an access control policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','The organization conducting the inspection/assessment obtains and examines the access control policy to ensure the organization being inspected/assessed develops and documents an access control policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.'),(2,'AC-1','','The organization disseminates the access control policy to organization-defined personnel or roles.','The organization being inspected/assessed disseminates via an information sharing capability to all personnel.\n \nDoD has defined the personnel or roles as all personnel.','The organization conducting the inspection/assessment examines the access control policy via the organization\'s information sharing capability to ensure the organization being inspected/assessed disseminates the policy to all personnel.\n \nDoD has defined the personnel or roles as all personnel.'),(3,'AC-1','','The organization reviews and updates the access control policy in accordance with organization-defined frequency.','The organization being inspected/assessed annually reviews and updates the access control policy.\n \nThe organization must maintain review and update activity as an audit trail.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines the audit trail of reviews and updates to ensure the organization being inspected/assessed annually reviews and updates the access control policy.\n  \nDoD has defined the frequency as annually.'),(4,'AC-1','','The organization develops procedures to facilitate the implementation of the access control policy and associated access controls.','The organization being inspected/assessed develops and documents procedures to facilitate the implementation of the access control policy and associated access controls.','The organization conducting the inspection/assessment obtains and examines the procedures to facilitate the implementation of the access control policy and associated access controls to ensure the organization being inspected/assessed develops and documents procedures to facilitate the implementation of the access control policy and associated access controls.'),(5,'AC-1','','The organization disseminates the procedures to facilitate access control policy and associated access controls to the organization-defined personnel or roles .','The organization being inspected/assessed disseminates via an information sharing capability to all personnel  the procedures to facilitate access control policy and associated access controls.\n \nDoD has defined the personnel or roles as all personnel.','The organization conducting the inspection/assessment examines the procedures to facilitate access control policy and associated access controls via the organization\'s information sharing capability to ensure the organization being inspected/assessed disseminates the procedures to all personnel.\n \nDoD has defined the personnel or roles as all personnel.'),(6,'AC-1','','The organization reviews and updates the access control procedures in accordance with organization-defined frequency.','The organization being inspected/assessed annually reviews and updates the access control procedures.\n \nThe organization must maintain review and update activity as an audit trail.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines the audit trail of reviews and updates to ensure the organization being inspected/assessed annually reviews and updates the access control procedures.\n  \nDoD has defined the frequency as annually.'),(8,'AC-2','','The organization establishes conditions for group membership.','The organization being inspected/assessed documents conditions for adding accounts as members of groups.','The organization conducting the inspection/assessment obtains and examines the documented conditions for adding accounts as members of groups to ensure that the conditions are established.'),(10,'AC-2','','The organization requires approvals by organization-defined personnel or roles for requests to create information system accounts.','The organization being inspected/assessed implements a process for the ISSM or ISSO to approve information system account requests.\n \nThe organization being inspected/assessed maintains an audit trail of approvals.\n \nDoD has defined the personnel or roles as the ISSM or ISSO.','The organization conducting the inspection/assessment obtains and examines the audit trail of approvals to ensure that the  organization being inspected/assessed implements a process for the  ISSM or ISSO to approve information system account requests.\n \nDoD has defined the personnel or roles as the ISSM or ISSO.'),(11,'AC-2','','The organization creates, enables, modifies, disables, and removes information system accounts in accordance with organization-defined procedures or conditions.','The organization being inspected/assessed implements account maintenance processes to create, enable, modify, disable, and remove information system accounts in accordance with procedures or conditions defined in AC-2, 2121.\n \nThe organization being inspected/assessed maintains an audit trail of account maintenance activities.','The organization conducting the inspection/assessment obtains and examines the audit trail of account maintenance activities to ensure the organization being inspected/assessed implements account maintenance processes to create, enable, modify, disable, remove, and track information system accounts in accordance with procedures or conditions defined in AC-2, 2121.'),(12,'AC-2','','The organization reviews information system accounts for compliance with account management requirements per organization-defined frequency.','The organization being inspected/assessed implements a process to review information system accounts for compliance with account management requirements at a minimum, annually.\n \nThe organization being inspected/assessed maintains an audit trail of reviews.\n \nDoD has defined the frequency as at a minimum, annually.','The organization conducting the inspection/assessment obtains and examines the audit trail of reviews to ensure the organizaiton being inspected/assessed implements a process to review information system accounts for compliance with account management requirements at a minimum, annually.\n \nDoD has defined the frequency as at a minimum, annually.\n '),(15,'AC-2','1','The organization employs automated mechanisms to support the information system account management functions.','The organization being inspected/assessed configures the information system to employ automated mechanisms to support the information system account management functions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 000015.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to employ automated mechanisms to support the information system account management functions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 000015.'),(16,'AC-2','2','The information system automatically removes or disables temporary accounts after an organization-defined time period for each type of account.','The organization being inspected/assessed configures the information system to  automatically remove or disable temporary accounts after  72 hours.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 000016.\n \nDoD has defined the time period as 72 hours.  ','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to automatically remove or disable temporary accounts after 72 hours.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 000016.\n \nDoD has defined the time period as 72 hours.'),(17,'AC-2','3','The information system automatically disables inactive accounts after an organization-defined time period.','The organization being inspected/assessed configures the information system to disable inactive accounts after 35 days.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 000017.\n \nDoD has defined the time period as 35 days.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to disable inactive accounts after 35 days.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 000017.\n \nDoD has defined the time period as 35 days.'),(18,'AC-2','4','The information system automatically audits account creation actions.','The organization being inspected/assessed configures the information system to automatically audit account creation actions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 18.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to automatically audit account creation actions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 18.'),(19,'AC-2','5','The organization requires that users log out in accordance with the organization-defined time period of inactivity and/or description of when to log out.','The organization being inspected/assessed documents in the user policies that users are required to log out at the end of the users standard work period unless otherwise defined in formal organizational policy and IAW conditions defined in AC-2 (5) CCI 2133.\n \nDoD has defined the time period as at the end of the users standard work period unless otherwise defined in formal organizational policy.','The organization conducting the inspection/assessment obtains and examines the user policies to ensure that users are required to log out at the end of the users standard work period unless otherwise defined in formal organizational policy and IAW conditions defined in AC-2 (5) CCI 2133.\n \nDoD has defined the time period as at the end of the users standard work period unless otherwise defined in formal organizational policy.'),(21,'AC-3','2','The information system enforces dual authorization for organization-defined privileged commands and/or other organization-defined actions.','The organization being inspected/assessed configures the information system to enforce dual authorization for privileged commands defined in AC-3 (2), CCI 1408 and/or other actions defined in AC-3 (2), CCI 2152.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 21.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  enforce dual authorization for privileged commands defined in AC-3 (2), CCI 1408 and/or other actions defined in AC-3 (2), CCI 2152.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 21.'),(24,'AC-3','5','The information system prevents access to organization-defined security-relevant information except during secure, non-operable system states.','The organization being inspected/assessed configures the information system to prevent access to security-relevant information defined in AC-3 (5), CCI 1411 except during secure, non-operable system states.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 24.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  prevent access to security-relevant information defined in AC-3 (5), CCI 1411 except during secure, non-operable system states.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 24.'),(26,'AC-4','2','The information system uses protected processing domains to enforce organization-defined information flow control policies as a basis for flow control decisions.','The organization being inspected/assessed configures the information system to use protected processing domains to enforce  information flow control policies defined in AC-4 (2), CCI 2191 as a basis for flow control decisions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 000026.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to use protected processing domains to enforce  information flow control policies defined in AC-4 (2), CCI 2191 as a basis for flow control decisions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 000026.'),(27,'AC-4','3','The information system enforces dynamic information flow control based on organization-defined policies.','The organization being inspected/assessed configures the information system to enforce dynamic information flow control based on policies defined in AC-4 (3), CCI 2192.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 27.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce dynamic information flow control based on policies defined in AC-4 (3), CCI 2192.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 27.'),(28,'AC-4','4','The information system prevents encrypted information from bypassing content-checking mechanisms by  employing organization-defined procedures or methods.','The organization being inspected/assessed configures the information system to prevent encrypted information from bypassing content-checking mechanisms by employing procedures or methods defined in AC-4 (4), CCI 2193.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 28.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to prevent encrypted information from bypassing content-checking mechanisms by employing procedures or methods defined in AC-4 (4), CCI 2193.\n  \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 28.'),(29,'AC-4','5','The information system enforces organization-defined limitations on the embedding of data types within other data types.','The organization being inspected/assessed configures the information system to enforce  limitations defined in AC-4 (5), CCI 1415 on the embedding of data types within other data types.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 29.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  enforce  limitations defined in AC-4 (5), CCI 1415 on the embedding of data types within other data types.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 29.'),(30,'AC-4','6','The information system enforces information flow control based on organization-defined metadata.','The organization being inspected/assessed configures the information system to enforce information flow control based on  metadata defined in AC-4 (6), CCI 2194.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 30.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  enforce information flow control based on  metadata defined in AC-4 (6), CCI 2194.\n  \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 30.'),(31,'AC-4','7','The information system enforces organization-defined one-way flows using hardware mechanisms.','The organization being inspected/assessed configures the information system to enforce  one-way flows defined in AC-4 (7), CCI 1416 using hardware mechanisms.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 31.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  enforce  one-way flows defined in AC-4 (7), CCI 1416 using hardware mechanisms.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 31.'),(32,'AC-4','8','The information system enforces information flow control using organization-defined security policy filters as a basis for flow control decisions for organization-defined information flows.','The organization being inspected/assessed configures the information system to enforce information flow control using security policy filters defined in AC-4 (8), CCI 1417 as a basis for flow control decisions for all information flows.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 32.\n \nDoD has defined the information flows as all information flows.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce information flow control using security policy filters defined in AC-4 (8), CCI 1417 as a basis for flow control decisions for all information flows.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 32.\n \nDoD has defined the information flows as all information flows.'),(34,'AC-4','10','The information system provides the capability for a privileged administrator to enable/disable organization-defined security policy filters under organization-defined conditions.','The organization being inspected/assessed configures the information system to provide the capability for a privileged administrator to enable/disable security policy filters defined in AC-4 (10), CCI 1553 under conditions defined in AC-4 (10), CCI 2199.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 34.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  provide the capability for a privileged administrator to enable/disable security policy filters defined in AC-4 (10), CCI 1553 under conditions defined in AC-4 (10), CCI 2199.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 34.'),(35,'AC-4','11','The information system provides the capability for privileged administrators to configure the organization-defined security policy filters to support different security policies.','The organization being inspected/assessed configures the information system to  provide the capability for privileged administrators to configure the security policy filters defined in AC-4 (11), CCI  1554 to support different security policies.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 35.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  provide the capability for privileged administrators to configure the security policy filters defined in AC-4 (11), CCI  1554 to support different security policies.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 35.'),(36,'AC-5','','The organization separates organization-defined duties of individuals.','The organization being inspected/assessed documents and implements processes to maintain separation of the duties defined in AC-5, CCI 2219 across different individuals within the organization.','The organization conducting the inspection/assessment obtains and examines the documented processes to ensure the organization being inspected/assessed maintains separation of the duties defined in AC-5, CCI 2219 across different individuals within the organization.'),(39,'AC-6','2','The organization requires that users of information system accounts or roles, with access to organization-defined security functions or security-relevant information, use non-privileged accounts, or roles, when accessing nonsecurity functions.','The organization being inspected/assessed documents and implements a process to  require that users of information system accounts or roles, with access to any privileged security functions or security-relevant information, use non-privileged accounts, or roles, when accessing nonsecurity functions.\n \nDoD has defined the security functions and security-relevant information as any privileged security functions or security-relevant information.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed requires that users of information system accounts or roles, with access to any privileged security functions or security-relevant information, use non-privileged accounts, or roles, when accessing nonsecurity functions.\n\nDoD has defined the security functions and security-relevant information as any privileged security functions or security-relevant information.'),(41,'AC-6','3','The organization authorizes network access to organization-defined privileged commands only for organization-defined compelling operational needs.','The organization being inspected/assessed  authorizes network access to privileged commands defined in AC-6 (3), CCI 1420 only for compelling operational needs defined in AC-6 (3), CCI 2224.','The organization conducting the inspection/assessment obtains and examines a sampling of network access authorizations to ensure the organization being inspected/assessed authorizes network access to privileged commands defined in AC-6 (3), CCI 1420 only for compelling operational needs defined in AC-6 (3), CCI 2224.'),(42,'AC-6','3','The organization documents the rationale for authorized network access to organization-defined privileged commands in the security plan for the information system.','The organization being inspected/assessed documents the rationale for authorized network access to privileged commands defined in AC-6 (3), CCI 1420 in the security plan for the information system.','The organization conducting the inspection/assessment obtains and examines the documented rationale to ensure the organization being inspected/assessed documents the rationale for authorized network access to privileged commands defined in AC-6 (3), CCI 1420 in the security plan for the information system.'),(43,'AC-7','','The organization defines the maximum number of consecutive invalid logon attempts to the information system by a user during an organization-defined time period.','DoD has defined the maximum number as three.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the maximum number as three.'),(44,'AC-7','','The information system enforces the organization-defined limit of consecutive invalid logon attempts by a user during the organization-defined time period.','The organization being inspected/assessed configures the information system to limit invalid logon attempts by a user to three attempts during a 15 minute time period.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 44.\n \nDoD has defined the maximum number as three.\n \nDoD has defined the time period as 15 minutes.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to limit invalid logon attempts by a user to three attempts during a 15 minute time period.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 44.\n \nDoD has defined the maximum number as three.\n \nDoD has defined the time period as 15 minutes.'),(48,'AC-8','','The information system displays an organization-defined system use notification message or banner before granting access to the system that provides privacy and security notices consistent with applicable federal laws, Executive Orders, directives, policies, regulations, standards, and guidance.','The organization being inspected/assessed configures the information system to display the DoD Information Systems – Standard Consent Banner and User Agreement before granting access to the system that provides privacy and security notices consistent with applicable federal laws, Executive Orders, directives, policies, regulations, standards, and guidance.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 48.\n \nDoD has defined the use notification message or banner as the content of DTM 08-060, \"Policy on Use of Department of Defense (DoD) Information Systems – Standard Consent Banner and User Agreement,\" March 2013.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to display the DoD Information Systems – Standard Consent Banner and User Agreement before granting access to the system that provides privacy and security notices consistent with applicable federal laws, Executive Orders, directives, policies, regulations, standards, and guidance.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 48.\n \nDoD has defined the use notification message or banner as the content of DTM 08-060, \"Policy on Use of Department of Defense (DoD) Information Systems – Standard Consent Banner and User Agreement,\" March 2013.'),(50,'AC-8','','The information system retains the notification message or banner on the screen until users acknowledge the usage conditions and take explicit actions to log on to or further access.','The organization being inspected/assessed configures the information system to  retain the notification message or banner on the screen until users acknowledge the usage conditions and take explicit actions to log on to or further access.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 50.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  retain the notification message or banner on the screen until users acknowledge the usage conditions and take explicit actions to log on to or further access.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 50.'),(52,'AC-9','','The information system notifies the user, upon successful logon (access) to the system, of the date and time of the last logon (access).','The organization being inspected/assessed configures the information system to notify the user, upon successful logon (access) to the system, of the date and time of the last logon (access).\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 52.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to notify the user, upon successful logon (access) to the system, of the date and time of the last logon (access).\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 52.'),(53,'AC-9','1','The information system notifies the user, upon successful logon/access, of the number of unsuccessful logon/access attempts since the last successful logon/access.','The organization being inspected/assessed configures the information system to notify the user, upon successful logon/access, of the number of unsuccessful logon/access attempts since the last successful logon/access.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 53.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to notify the user, upon successful logon/access, of the number of unsuccessful logon/access attempts since the last successful logon/access.\n  \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 53.'),(54,'AC-10','','The information system limits the number of concurrent sessions for each organization-defined account and/or account type to an organization-defined number of sessions.','The organization being inspected/assessed configures the information system to limit the number of concurrent sessions for all accounts and/or account types to a number of sessions defined in AC-10, CCI 55.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 54.\n \nDoD has defined the account types and/or accounts as all account types and/or accounts.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to limit the number of concurrent sessions for  all accounts and/or account types to a number of sessions defined in AC-10, CCI 55.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 54.\n \nDoD has defined the account types and/or accounts as all account types and/or accounts.'),(55,'AC-10','','The organization defines the maximum number of concurrent sessions to be allowed for each organization-defined account and/or account type.','The organization being inspected/assessed defines and documents the maximum number of concurrent sessions to be allowed for each organization-defined account and/or account type.\n \nThe maximum number of concurrent sessions should be defined based upon the systems operational environment and mission needs.\n \nDoD has determined the maximum number is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented maximum number to ensure the organization being inspected/assessed  defines the maximum number of concurrent sessions to be allowed for each organization-defined account and/or account type.\n \nDoD has determined the maximum number is not appropriate to define at the Enterprise level.'),(56,'AC-11','','The information system retains the session lock until the user reestablishes access using established identification and authentication procedures.','The organization being inspected/assessed configures the information system to retain the session lock until the user reestablishes access using established identification and authentication procedures.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 56.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to retain the session lock until the user reestablishes access using established identification and authentication procedures.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 56.'),(58,'AC-11','','The information system provides the capability for users to directly initiate session lock mechanisms.','The organization being inspected/assessed configures the information system to provide the capability for users to directly initiate session lock mechanisms.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 58.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to provide the capability for users to directly initiate session lock mechanisms.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 58.'),(59,'AC-11','','The organization defines the time period of inactivity after which the information system initiates a session lock.','DoD has defined the time period as 15 minutes.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as 15 minutes.'),(60,'AC-11','1','The information system conceals, via the session lock, information previously visible on the display with a publicly viewable image.','The organization being inspected/assessed configures the information system to conceal, via the session lock, information previously visible on the display with a publicly viewable image.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 60.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  conceal, via the session lock, information previously visible on the display with a publicly viewable image.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 60.'),(61,'AC-14','','The organization identifies and defines organization-defined user actions that can be performed on the information system without identification or authentication consistent with organizational missions/business functions.','The organization being inspected/assessed identifies, defines, and documents user actions that can be performed on the information system without identification or authentication consistent with organizational missions/business functions.                                         \n\nDoD has determined the user actions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented user actions to ensure the organization being inspected/assessed identifies and defines the user actions that can be performed on the information system without identification and authentication. \n \nDoD has determined the user actions are not appropriate to define at the Enterprise level.'),(63,'AC-17','','The organization defines allowed methods of remote access to the information system.','The organization being inspected/assessed defines and documents the allowed methods of remote access to the information system.\n \nThe methods should be defined IAW ports, protocols, and service requirements, as well as access control requirements for any STIGs applicable to the technology in use.\n \nDoD has determined the allowed methods of remote access are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented methods to ensure the organization being inspected/assessed defines allowed methods of remote access to the information system.\n \nDoD has determined the allowed methods of remote access are not appropriate to define at the Enterprise level.'),(65,'AC-17','','The organization authorizes remote access to the information system prior to allowing such connections','The organization being inspected/assessed authorizes remote access to the information system prior to allowing such connections.\n \nThe organization must maintain an audit trail of authorizations.','The organization conducting the inspection/assessment obtains and examines the audit trail of authorizations to ensure the organization being inspected/assessed authorizes remote access to the information system prior to allowing such connections.'),(67,'AC-17','1','The information system monitors remote access methods.','The organization being inspected/assessed configures the information system to monitor remote access methods.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 67.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to monitor remote access methods.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 67.'),(68,'AC-17','2','The information system implements cryptographic mechanisms to protect the confidentiality of remote access sessions.','The organization being inspected/assessed configures the information system to  implement cryptographic mechanisms to protect the confidentiality of remote access sessions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 68.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  implement cryptographic mechanisms to protect the confidentiality of remote access sessions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 68.'),(69,'AC-17','3','The information system routes all remote accesses through organization-defined number managed network access control points.','The organization being inspected/assessed configures the information system to route all remote accesses through the number  of managed network access control points defined in AC-17 (3), CCI 2315.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 69.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  route all remote accesses through the number  of managed network access control points defined in AC-17 (3), CCI 2315.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 69.'),(70,'AC-17','4','The organization authorizes the execution of privileged commands via remote access only for organization-defined needs.','The organization being inspected/assessed authorizes the execution of privileged commands via remote access only for needs defined in AC-17 (4), CCI 2317.\n \nThe organization being inspected/assessed maintains an audit trail of authorizations.','The organization conducting the inspection/assessment obtains and examines the audit trail of authorizations to ensure the organization being inspected/assessed authorizes the execution of privileged commands via remote access only for needs defined in AC-17 (4), CCI 2317.'),(72,'AC-17','6','The organization ensures that users protect information about remote access mechanisms from unauthorized use and disclosure.','The organization being inspected/assessed implements and documents a process to ensure that users protect information about remote access mechanisms from unauthorized use and disclosure.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure that the organization being inspected/assessed ensures that users protect information about remote access mechanisms from unauthorized use and disclosure.'),(73,'PM-1','','The organization develops an organization-wide information security program plan that provides an overview of the requirements for the security program and a description of the security program management controls and common controls in place or planned for meeting those requirements.','DoDI 8500.01 and the Knowledge Service meet the requirement for this control; individual organizations and system owners must provide documentation of common control implementation in their Security Plan.','DoD components are automatically compliant with this control as they are covered at the DoD level by DoDI 8500.01 and the Knowledge Service.  If the organization or system owner is utilizing common controls they must be documented  in their Security Plan.'),(74,'PM-1','','The organization develops an organization-wide information security program plan that is approved by a senior official with responsibility and accountability for the risk being incurred to organizational operations (including mission, functions, image, and reputation), organizational assets, individuals, other organizations, and the Nation.','DoDI 8500.01 and the Knowledge Service meet the requirement for this control; individual organizations and system owners must provide documentation of common control implementation in their Security Plan.','DoD components are automatically compliant with this control as they are covered at the DoD level by DoDI 8500.01 and the Knowledge Service.  If the organization or system owner is utilizing common controls they must be documented  in their Security Plan.'),(75,'PM-1','','The organization reviews the organization-wide information security program plan on an organization-defined frequency.','DoDI 8500.01 and the Knowledge Service meet the requirement for this control; individual organizations and system owners must provide documentation of common control implementation in their Security Plan.','DoD components are automatically compliant with this control as they are covered at the DoD level by DoDI 8500.01 and the Knowledge Service.  If the organization or system owner is utilizing common controls they must be documented  in their Security Plan.'),(76,'PM-1','','The organization defines the frequency to review the organization-wide information security program plan.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(77,'PM-1','','The organization updates the plan to address organizational changes and problems identified during plan implementation or security control assessments.','DoDI 8500.01 and the Knowledge Service meet the requirement for this control; individual organizations and system owners must provide documentation of common control implementation in their Security Plan.','DoD components are automatically compliant with this control as they are covered at the DoD level by DoDI 8500.01 and the Knowledge Service.  If the organization or system owner is utilizing common controls they must be documented  in their Security Plan.'),(78,'PM-2','','The organization appoints a senior information security officer with the mission and resources to coordinate, develop, implement, and maintain an organization-wide information security program.','The Deputy DoD CIO for Cyber Security is the DoD Senior Information Security Officer (SISO), appointed in writing with the mission and resources to coordinate, develop, implement and maintain a DoD-wide information security program.','DoD organizations are automatically compliant with this control as they are covered by the appointment of the DoD SISO.'),(80,'PM-3','','The organization ensures that all capital planning and investment requests include the resources needed to implement the information security program and documents all exceptions to this requirement.','The organization being inspected/assessed documents and implements a process to ensure that all capital planning and investment requests include the resources needed to implement the information security program and documents all exceptions to this requirement.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed ensures that all capital planning and investment requests include the resources needed to implement the information security program and documents all exceptions to this requirement.'),(81,'PM-3','','The organization employs a business case/Exhibit 300/Exhibit 53 to record the resources required.','The organization being inspected/assessed documents and implements a process to employ a business case/Exhibit 300/Exhibit 53 to record the resources required.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed employs a business case/Exhibit 300/Exhibit 53 to record the resources required.'),(82,'AC-19','','The organization establishes usage restrictions for organization controlled mobile devices.','The organization being inspected/assessed establishes and documents usage restrictions for organization controlled mobile devices.','The organization conducting the inspection/assessment obtains and examines the documented usage restrictions to ensure the organization being inspected/assessed  establishes usage restrictions for organization controlled mobile devices.'),(83,'AC-19','','The organization establishes implementation guidance for organization controlled mobile devices.','The organization being inspected/assessed establishes and documents  implementation guidance for organization controlled mobile devices.','The organization conducting the inspection/assessment obtains and examines the documented implementation guidance to ensure the organization being inspected/assessed establishes implementation guidance for organization controlled mobile devices.'),(84,'AC-19','','The organization authorizes connection of mobile devices to organizational information systems.','The organization being inspected/assessed authorizes connection of mobile devices to organizational information systems.\n \nThe organization must maintain an audit trail of authorizations.','The organization conducting the inspection/assessment obtains and examines the audit trail of authorizations to ensure the organization being inspected/assessed authorizes connection of mobile devices to organizational information systems.'),(93,'AC-20','','The organization establishes terms and conditions, consistent with any trust relationships established with other organizations owning, operating, and/or maintaining external information systems, allowing authorized individuals to access the information system from the external information systems.','The organization being inspected/assessed establishes and documents terms and conditions, consistent with any trust relationships established with other organizations owning, operating, and/or maintaining external information systems, allowing authorized individuals to access the information system from the external information systems.','The organization conducting the inspection/assessment obtains and examines the documented terms and conditions to ensure the organization being inspected/assessed establishes terms and conditions, consistent with any trust relationships established with other organizations owning, operating, and/or maintaining external information systems, allowing authorized individuals to access the information system from the external information systems.'),(97,'AC-20','2','The organization restricts or prohibits the use of organization-controlled portable storage devices by authorized individuals on external information systems.','The organization being inspected/assessed','The organization conducting the inspection/assessment obtains and examines'),(98,'AC-21','','The organization facilitates information sharing by enabling authorized users to determine whether access authorizations assigned to the sharing partner match the access restrictions on the information for organization-defined information circumstances where user discretion is required.','The organization being inspected/assessed documents and implements a process to determine whether access authorizations assigned to the sharing partner match the access restrictions on the information for  information circumstances defined in AC-21, CCI 1470 where user discretion is required.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed determines whether access authorizations assigned to the sharing partner match the access restrictions on the information for  information circumstances defined in AC-21, CCI 1470 where user discretion is required.'),(99,'AC-21','1','The information system enforces information-sharing decisions by authorized users based on access authorizations of sharing partners and access restrictions on information to be shared.','The organization being inspected/assessed configures the information system to enforce information-sharing decisions by authorized users based on access authorizations of sharing partners and access restrictions on information to be shared.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 99.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce information-sharing decisions by authorized users based on access authorizations of sharing partners and access restrictions on information to be shared.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 99.'),(100,'AT-1','','The organization develops and documents a security awareness and training policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','DoDD 8570.01 meets the DoD requirement for IA awareness training policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDD 8570.01.\n \n \nComment:\nDoDD 8570.01 will be updated with DoDD 8140 once signed.\n \nThe organization\'s use of their higher command policy/procedures meets this requirement if more stringent.','DoDD 8570.01 meets the DoD requirement for IA awareness training policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDD 8570.01.\n \nComment:\nThe organization\'s use of their higher command policy/procedures meets this requirement if more stringent.'),(101,'AT-1','','The organization disseminates a security awareness and training policy to organization-defined personnel or roles.','DoD disseminates DoDD 8570.01 organization-wide via the DoD Issuances website.\nhttp://www.dtic.mil/whs/directives/corres/dir.html','DoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDD 8570.01.'),(102,'AT-1','','The organization reviews and updates the current security awareness and training policy in accordance with organization-defined frequency.','DoDD 8570.01 meets the DoD requirement for IA awareness training policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDD 8570.01.','DoDD 8570.01 meets the DoD requirement for IA awareness training policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDD 8570.01.'),(103,'AT-1','','The organization develops and documents procedures to facilitate the implementation of the security awareness and training policy and associated security awareness and training controls.','The organization being inspected/assessed develops and documents  procedures to facilitate the implementation of the security awareness and training policy and associated security awareness and training controls.  The awareness procedures are compliant via DoD-wide IA Awareness Training.','The organization conducting the inspection/assessment obtains and examines the documented procedures to ensure the organization being inspected/assessed develops procedures to facilitate the implementation of the security awareness and training policy and associated security awareness and training controls.  '),(104,'AT-1','','The organization disseminates security awareness and training procedures to organization-defined personnel or roles.','The organization being inspected/assessed disseminates security awareness and training procedures to all personnel via the organization\'s information sharing capability.\n\nDoD has defined the personnel or roles as all personnel.\n \n','The organization conducting the inspection/assessment obtains and examines the security awareness and training procedures via the organization\'s information sharing capability to ensure it has been disseminated to all personnel.\n\nDoD has defined the personnel or roles as all personnel.'),(105,'AT-1','','The organization reviews and updates the current security awareness and training procedures in accordance with organization-defined frequency.','The organization being inspected/assessed reviews and updates  the current security awareness and training procedures annually.\n\nThe organization must maintain an audit trail of review and update activity.\n\nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines the audit trail of reviews and updates to ensure the organization being inspected/assessed reviews and updates  the current security awareness and training procedures annually.\n\nDoD has defined the frequency as annually.'),(106,'AT-2','','The organization provides basic security awareness training to information system users (including managers, senior executives, and contractors) as part of initial training for new users.','DoDD 8570.01 meets the DoD requirement for IA awareness training policy and procedures.  DISA\'s DoD IA awareness CBT is the DoD baseline standard. \n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDD 8570.01.\n ','DoDD 8570.01 meets the DoD requirement for IA awareness training policy and procedures.  DISA\'s DoD IA awareness CBT is the DoD baseline standard. \n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDD 8570.01.\n '),(107,'AT-2','1','The organization includes practical exercises in security awareness training that simulate actual cyber attacks.','DoDD 8570.01 meets the DoD requirement for IA awareness training policy and procedures.  DISA\'s DoD IA awareness CBT is the DoD baseline standard. \n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDD 8570.01.\n ','DoDD 8570.01 meets the DoD requirement for IA awareness training policy and procedures.  DISA\'s DoD IA awareness CBT is the DoD baseline standard. \n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDD 8570.01.\n '),(108,'AT-3','','The organization provides role-based security training to personnel with assigned security roles and responsibilities before authorizing access to the information system or performing assigned duties','DoDD 8570.01 meets the DoD requirement for IA awareness training policy and procedures. DISA\'s DoD IA awareness CBT for privileged users is the DoD baseline standard. \n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDD 8570.01. \n \n.','DoDD 8570.01 meets the DoD requirement for IA awareness training policy and procedures. DISA\'s DoD IA awareness CBT for privileged users is the DoD baseline standard. \n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDD 8570.01. \n'),(109,'AT-3','','The organization provides role-based security training to personnel with assigned security roles and responsibilities when required by information system changes.','Privileged user type Security-related education/training available through DISA IASE (e.g. VTE, Skill Soft, other professional sources)  meets the provision of this control.\nThe organization being inspected/assessed may define specific requirements within the above listed sources for their personnel.','The organization conducting the inspection/assessment obtains and examines documented records (IAW AT-4) of their privileged users training.'),(110,'AT-3','','The organization provides refresher role-based security training to personnel with assigned security roles and responsibilities in accordance with organization-defined frequency.','Privileged user type Security-related education/training available through DISA IASE (e.g. VTE, Skill Soft, other professional sources)  meets the provision of this control.\nThe organization being inspected/assessed may define specific requirements within the above listed sources for their personnel.\n \n','The organization conducting the inspection/assessment obtains and examines documented records (IAW AT-4) of their privileged users training.\n '),(111,'AT-3','','The organization defines a frequency for providing refresher role-based security training.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the frequency as annually.'),(112,'AT-2','','The organization provides basic security awareness training to information system users (including managers, senior executives, and contractors) when required by information system changes.','DoDD 8570.01 meets the DoD requirement for IA awareness training policy and procedures.  DISA\'s DoD IA awareness CBT is the DoD baseline standard. \n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDD 8570.01.\n ','DoDD 8570.01 meets the DoD requirement for IA awareness training policy and procedures.  DISA\'s DoD IA awareness CBT is the DoD baseline standard. \n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDD 8570.01.\n '),(113,'AT-4','','The organization documents individual information system security training activities, including basic security awareness training and specific information system security training.','The organization being inspected/assessed identifies and documents training activities to include basic security awareness training (per AT-2) and role-based security related training (per AT-3) IAW DoD 8570.01M.','The organization conducting the inspection/assessment obtains and examines the security awareness training activities to ensure the organization being inspected/assessed documents training activities to include basic security awareness training (per AT-2) and role-based security related training (per AT-3) IAW DoD 8570.01M.'),(114,'AT-4','','The organization monitors individual information system security training activities, including basic security awareness training and specific information system security training.','The organization being inspected/assessed maintains and monitors records identifying personnel who have received training and the date the training was received','The organization conducting the inspection/assessment obtains and examines records identifying personnel who have received training and the date the training was received'),(117,'AU-1','','The organization develops and documents an audit and accountability policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','The organization being inspected/assessed develops and documents an audit and accountability policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','The organization conducting the inspection/assessment obtains and examines the audit and accountability policy to ensure that the audit and accountability policy addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.'),(119,'AU-1','','The organization reviews and updates the audit and accountability policy on an organization-defined frequency.','The organization being inspected/assessed reviews and updates the audit and accountability policy annually.\n \nThe organization must maintain an audit trail of reviews and updates.  Any changes or acceptance of the document without change must be captured in the audit trail.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines the audit trail of reviews and updates to ensure the organization being inspected/assessed reviews and updates the audit and accountability policy annually.\n  \nDoD has defined the frequency as annually.'),(120,'AU-1','','The organization develops and documents procedures to facilitate the implementation of the audit and accountability policy and associated audit and accountability controls.','The organization being inspected/assessed develops and documents procedures to facilitate the implementation of the audit and accountability policy and associated audit and accountability controls.','The organization conducting the inspection/assessment obtains and examines the audit and accountability procedures to ensure that the procedures facilitate the implementation of the audit and accountability policy and associated audit and accountability controls.'),(122,'AU-1','','The organization reviews and updates the audit and accountability procedures on an organization-defined frequency.','The organization being inspected/assessed reviews and updates the audit and accountability procedures annually.\n \nThe organization must maintain an audit trail of reviews and updates.  Any changes or acceptance of the document without change must be captured in the audit trail.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines the audit trail of reviews and updates to ensure the organization being inspected/assessed reviews and updates the audit and accountability procedures annually.\n  \nDoD has defined the frequency as annually.'),(123,'AU-2','','The organization determines the information system must be capable of auditing an organization-defined list of auditable events.','The organization being inspected/assessed determines whether the information system is capable of auditing:\n- successful and unsuccessful attempts to access, modify, or delete privileges, security objects, security levels, or categories of information (e.g. Classification levels),\n- Successful and unsuccessful logon attempts, \n- Privileged activities or other system level access, \n- Starting and ending time for user access to the system, \n- Concurrent logons from different workstations, \n- Successful and unsuccessful accesses to objects, \n- All program initiations, \n- All direct access to the information system,\n-  All account creations, modifications, disabling, and terminations,\n- All kernel module load, unload, and restart. The organization must document those auditable events that are not captured.\n \nDoD has defined the information system auditable events as successful and unsuccessful attempts to access, modify, or delete privileges, security objects, security levels, or categories of information (e.g. classification levels). Successful and unsuccessful logon attempts, Privileged activities or other system level access, Starting and ending time for user access to the system, Concurrent logons from different workstations, Successful and unsuccessful accesses to objects, All program initiations, All direct access to the information system.  All account creations, modifications, disabling, and terminations. All kernel module load, unload, and restart.  ','The organization conducting the inspection/assessment obtains and examines the documentation of the auditable events to ensure the information system is capable of auditing the:  \n- successful and unsuccessful attempts to access, modify, or delete privileges, security objects, security levels, or categories of information (e.g. Classification levels),\n- Successful and unsuccessful logon attempts, \n- Privileged activities or other system level access, \n- Starting and ending time for user access to the system, \n- Concurrent logons from different workstations, \n- Successful and unsuccessful accesses to objects, \n- All program initiations, \n- All direct access to the information system,\n-  All account creations, modifications, disabling, and terminations,\n- All kernel module load, unload, and restart. \n \nDoD has defined the information system auditable events as successful and unsuccessful attempts to access, modify, or delete privileges, security objects, security levels, or categories of information (e.g. classification levels). Successful and unsuccessful logon attempts, Privileged activities or other system level access, Starting and ending time for user access to the system, Concurrent logons from different workstations, Successful and unsuccessful accesses to objects, All program initiations, All direct access to the information system.  All account creations, modifications, disabling, and terminations. All kernel module load, unload, and restart.  '),(124,'AU-2','','The organization coordinates the security audit function with other organizational entities requiring audit-related information to enhance mutual support and to help guide the selection of auditable events.','The organization being inspected/assessed documents and implements within the audit and accountability policy and procedures, a process to coordinate the additional auditable events.  The objective is to enhance mutual support and to help guide the selection of auditable events.\n \nThe organization must maintain artifacts of the coordination.\n','The organization conducting the inspection/assessment obtains and examines the audit and accountability policy and procedures as well as artifacts of the coordination to determine if coordination is necessary and if necessary, whether it has been performed.  '),(125,'AU-2','','The organization provides a rationale for why the list of auditable events is deemed to be adequate to support after-the-fact investigations of security incidents.','The organization being inspected/assessed documents in the audit and accountability policy the list of auditable system events, the organization provides clearly stated rationale for the selection of each system event.  The rationale will support any after-action investigations of security event.','The organization conducting the inspection/assessment obtains and examines the audit and accountability policy and procedures to ensure the organization being inspected/assess has defined the auditable system events, rationale for the selection, and that the organization has defined how the auditable events will support after-action investigations of security events.'),(126,'AU-2','','The organization determines that the organization-defined subset of the auditable events defined in AU-2 are to be audited within the information system.','The organization conducting the inspection/assessment reviews the documented audit process as well as audit logs to ensure that the organization being inspected/assessed audits all auditable events defined in AU-2 (a) per occurrence.\n \nDoD has defined the actions as all auditable events defined in AU-2 (a) per occurrence.\n  ','The organization conducting the inspection/assessment reviews the documented audit process as well as audit logs to ensure that the organization being inspected/assessed audits all auditable events defined in AU-2 (a) per occurrence.\n \nDoD has defined the actions as all auditable events defined in AU-2 (a) per occurrence.\n\n'),(127,'AU-2','3','The organization reviews and updates the list of organization-defined audited events on an organization-defined frequency.','The organization being inspected/assessed will conduct reviews of the list of auditable events as defined in AU-2 (d), CCI 1485 annually or more frequently upon changes to situational awareness of threats or vulnerabilities.  The organization will generate and maintain an audit trail to document the completion of the review and update actions.\n \nDoD has defined the frequency as annually or more frequently upon changes to situational awareness of threats or vulnerabilities.','The organization conducting the inspection/assessment reviews the audit trail showing reviews and updates to the list of audited events to ensure that the list is reviewed and updated  annually or more frequently upon changes to situational awareness of threats or vulnerabilities.\n \nDoD has defined the frequency as annually or more frequently upon changes to situational awareness of threats or vulnerabilities.'),(128,'AU-2','4','The organization includes execution of privileged functions in the list of events to be audited by the information system.','The organization being inspected/assessed will include the execution of privileged functions in the list of events to be audited by the information system.','The organization conducting the inspection/assessment reviews the organization\'s audit and accountability policy; procedures addressing auditable events; list of organization defined auditable events; list of privileged security functions; other relevant documents or records.  The objective is to validate the organization has included the execution of privileged functions in the list of events to be audited by the information system.'),(130,'AU-3','','The information system generates audit records containing information that establishes what type of event occurred.','The organization being inspected/assessed configures the information system to generate audit records containing information that establishes what type of event occurred \n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 130.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to generate audit records containing information that establishes what type of event occurred.  The organization conducting the inspection/assessment reviews the audit records generated to ensure that the records contain  information that establishes what type of event occurred.\n \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 130.'),(131,'AU-3','','The information system generates audit records containing information that establishes when an event occurred.','The organization being inspected/assessed configures the information system to generate audit records containing information that establishes when an event occurred \n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 131.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to generate audit records containing information that establishes when an event occurred.  The organization conducting the inspection/assessment reviews the audit records generated to ensure that the records contain  information that establishes when an event occurred.\n \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 131.'),(132,'AU-3','','The information system generates audit records containing  information that establishes where the event occurred.','The organization being inspected/assessed configures the information system to generate audit records containing information that establishes where the event occurred \n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 132.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to generate audit records containing information that establishes where the event occurred.  The organization conducting the inspection/assessment reviews the audit records generated to ensure that the records contain  information that establishes where the event occurred.\n \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 132.'),(133,'AU-3','','The information system generates audit records containing information that establishes the source of the event.','The organization being inspected/assessed configures the information system to generate audit records containing information that establishes the source of the event.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 133.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to generate audit records containing information that establishes the source of the event.  The organization conducting the inspection/assessment reviews the audit records generated to ensure that the records contain  information that establishes the source of the event.\n \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 133.'),(134,'AU-3','','The information system generates audit records containing information that establishes the outcome of the event.','The organization being inspected/assessed configures the information system to generate audit records containing information that establishes the outcome of the event.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 134.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to generate audit records containing information that establishes the outcome of the event.  The organization conducting the inspection/assessment reviews the audit records generated to ensure that the records contain  information that establishes the outcome of the event.\n \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 134.'),(135,'AU-3','1','The information system generates audit records containing the organization-defined additional, more detailed information that is to be included in the audit records.','The organization being inspected/assessed configures the information system to generate audit records containing the organization defined additional, more detailed information as defined in AU-3 (1), CCI 1488 that is to be included in the audit records.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 135.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to generate audit records containing the organization defined additional, more detailed information as defined in AU-3 (1), CCI 1488 that is to be included in the audit records.  The organization conducting the inspection/assessment reviews the audit records generated to ensure that the records contain organization defined additional, more detailed information that is to be included in the audit records.\n \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 135.'),(139,'AU-5','','The information system alerts designated organization-defined personnel or roles in the event of an audit processing failure.','The organization being inspected/assessed configures the information system to alert at a minimum, the SCA and ISSO in the event of an audit processing failure.\n  \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 139.\n \nDoD has defined the personnel or roles as at a minimum, the SCA and ISSO. ','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed has configured the information system to alert at a minimum, the SCA and ISSO in the event of an audit processing failure. \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 139.\n \n DoD has defined the personnel or roles as at a minimum, the SCA and ISSO. '),(140,'AU-5','','The information system takes organization defined actions upon audit failure (e.g., shut down information system, overwrite oldest audit records, stop generating audit records).','The organization being inspected/assessed configures the information system to take actions as defined in AU-5, CCI 1490 upon audit failure.\n  \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 140.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed has configured the information system to take actions as defined in AU-5, CCI 1490 upon audit failure.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 140.'),(141,'PM-3','','The organization ensures that information security resources are available for expenditure as planned.','The organization being inspected/assessed documents and implements a process to ensure that information security resources are available for expenditure as planned.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed ensure that information security resources are available for expenditure as planned.'),(142,'PM-4','','The organization implements a process for ensuring that plans of action and milestones for the security program and the associated organizational information systems are maintained.','DoDI 8510.01 and the Knowledge Service meet the DoD requirements to maintain a process for plans of action and milestones for the security program.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8510.01 and the Knowledge Service.','DoDI 8510.01 and the Knowledge Service meet the DoD requirements to maintain a process for plans of action and milestones for the security program.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8510.01 and the Knowledge Service.'),(145,'AU-5','3','The information system enforces configurable network communications traffic volume thresholds reflecting limits on auditing capacity by delaying or rejecting network traffic which exceeds the organization-defined thresholds.','The organization being inspected/assessed configures the information system to delay network communications traffic exceeding the thresholds defined in AU-5 (3), CCI 1859.\n \nDoD has defined the action to take as delay.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 145.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to delay network communications traffic exceeding the thresholds defined in AU-5 (3), CCI 1859.\n \nDoD has defined the action to take as delay.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 145.'),(147,'AU-5','2','The organization defines the audit failure events requiring real-time alerts.','DoD has defined the audit failure events as all.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the audit failure events as all.'),(148,'AU-6','','The organization reviews and analyzes information system audit records on an organization defined frequency for indications of organization-defined inappropriate or unusual activity.','The organization being inspected/assessed documents and implements a process to review and analyze information system audit records every seven days or more frequently if required by an alarm event or anomaly for indications of activity defined in AU-6, CCI 1862.\n \nThe organization must maintain an audit trail of the reviews.\n \nDoD has defined the frequency as every seven days or more frequently if required by an alarm event or anomaly.','The organization conducting the inspection/assessment obtains and examines the documented process for audit trail reviews as well as the audit trail showing the reviews to ensure the organization being inspected/assessed reviews and analyzes information system audit records every seven days or more frequently if required by an alarm event or anomaly for indications of activity defined in AU-6, CCI 1862.\n \nDoD has defined the frequency as every seven days or more frequently if required by an alarm event or anomaly.'),(149,'AU-6','','The organization reports any findings to organization-defined personnel or roles for indications of organization-defined inappropriate or unusual activity.','The organization being inspected/assessed documents and implements a process for reporting any findings of inappropriate or unusual activity as defined in AU-6, CCI 1862 to  at a minimum, the ISSO and ISSM.\n  \nDoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.','The organization conducting the inspection/assessment obtains and examines the documented process for reporting findings as well as a sampling of historical reports to ensure the organization being inspected/assessed reports any findings of inappropriate or unusual activity as defined in AU-6, CCI 1862 to  at a minimum, the ISSO and ISSM.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.'),(151,'AU-6','','The organization defines the frequency for the review and analysis of information system audit records for organization-defined inappropriate or unusual activity.','DoD has defined the frequency as every seven days or more frequently if required by an alarm event or anomaly.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as every seven days or more frequently if required by an alarm event or anomaly.'),(153,'AU-6','3','The organization analyzes and correlates audit records across different repositories to gain organization-wide situational awareness.','The organization being inspected/assessed documents and implements a process to analyze and correlate audit records across different repositories to gain organization-wide situational awareness.\n \nThe organization must maintain a record of the analysis.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of analysis to ensure the organization being inspected/assessed analyzes and correlates audit records across different repositories to gain organization-wide situational awareness.'),(154,'AU-6','4','The information system provides the capability to centrally review and analyze audit records from multiple components within the system.','The organization being inspected/assessed configures the information system to provide a  capability to centrally review and analyze audit records from multiple components within the system.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 154.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed has configured the information system to provide a  capability to centrally review and analyze audit records from multiple components within the system.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 154.'),(158,'AU-7','1','The information system provides the capability to process audit records for events of interest based on organization-defined audit fields within audit records.','The organization being inspected/assessed must employ information systems that provide the capability to process audit records for events of interest based on audit fields within audit records defined in AU-7 (1), CCI 1883.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 158.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed employs information systems that  provides the capability to process audit records for events of interest based on audit fields within audit records as defined in AU-7 (1), CCI 1883.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 158.'),(159,'AU-8','','The information system uses internal system clocks to generate time stamps for audit records.','The organization being inspected/assessed configures the information system to use internal system clocks to generate time stamps for audit records.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 159.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to use internal system clocks to generate time stamps for audit records.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 159.'),(161,'AU-8','1','The organization defines the frequency for the synchronization of internal information system clocks.','DoD has defined the frequency as every 24 hours for networked systems.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as every 24 hours for networked systems.'),(162,'AU-9','','The information system protects audit information from unauthorized access.','The organization being inspected/assessed configures the information system to disallow unauthorized access to audit information.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 162.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to disallow unauthorized access to audit information.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 162.'),(163,'AU-9','','The information system protects audit information from unauthorized modification.','The organization being inspected/assessed configures the information system to disallow unauthorized modification of audit information.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 163.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to disallow unauthorized modification of audit information.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 163.'),(164,'AU-9','','The information system protects audit information from unauthorized deletion.','The organization being inspected/assessed configures the information system to disallow unauthorized deletion of audit information.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 164.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to disallow unauthorized deletion of audit information.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 164.'),(165,'AU-9','1','The information system writes audit records to hardware-enforced, write-once media.','The organization being inspected/assessed configures the information system to write audit records to hardware-enforced, write-once media.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 165.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to write audit records to hardware-enforced, write-once media.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 165.'),(166,'AU-10','','The information system protects against an individual (or process acting on behalf of an individual) falsely denying having performed organization-defined actions to be covered by non-repudiation.','The organization being inspected/assessed configures the information system to protect against an individual falsely denying having performed actions to be covered by non-repudiation defined in DoDI 8520.02 and DoDI 8520.03.\n \nDoDI 8520.02 and DoDI 8520.03 meet the DoD requirement to define the actions to be covered by non-repudiation. \n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 166.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed  protects against an individual falsely denying having performed actions to be covered by non-repudiation defined in DoDI 8520.02 and DoDI 8520.03.\n \nDoDI 8520.02 and DoDI 8520.03 meet the DoD requirement to define the actions to be covered by non-repudiation. \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 166.'),(167,'AU-11','','The organization retains audit records for an organization defined time period to provide support for after-the-fact investigations of security incidents and to meet regulatory and organizational information retention requirements.','The organization being inspected/assessed will take action to ensure it retains audit records for 5 years for SAMI; otherwise for at least 1 year to provide support for after-the-fact investigations of security incidents and to meet regulatory and organizational information retention requirements.\n \nDoD has defined the time period as 5 years for SAMI; otherwise for at least 1 year.','The organization conducting the inspection/assessment reviews the information system audit records and any other relevant documents or records to ensure the organization being inspected/assessed retains its audit records for 5 years for SAMI; otherwise for at least 1 year.\n \nDoD has defined the time period as 5 years for SAMI; otherwise for at least 1 year.'),(168,'AU-11','','The organization defines the time period for retention of audit records which is consistent with its records retention policy, to provide support for after-the-fact investigations of security incidents, and meet regulatory and organizational information retention requirements.','DoD has defined the time period as 5 years for SAMI; otherwise for at least 1 year.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as 5 years for SAMI; otherwise for at least 1 year.'),(169,'AU-12','','The information system provides audit record generation capability for the auditable events defined in AU-2 a at organization defined information system components.','The organization being inspected/assessed acquires or designs all information system and network components that provide audit record generation capability for the auditable events defined in AU-2 a. \n \nDoD has defined the information system components as all information system and network components.','The organization conducting the inspection/assessment examines the information system to ensure that all information system and network components provide audit record generation capability for the auditable events defined in AU-2 a.  \n \nDoD has defined the information system components as all information system and network components.'),(170,'PM-4','','The organization implements a process for ensuring that plans of action and milestones for the security program and associated organizational information systems document the remedial information security actions to adequately respond to risk  to organizational operations and assets, individuals, other organizations, and the Nation.','DoDI 8510.01 and the Knowledge Service meet the DoD requirements to maintain a process to document the remedial information security actions that mitigate risk to organizational operations and assets, individuals, other organizations, and the Nation.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8510.01 and the Knowledge Service.','DoDI 8510.01 and the Knowledge Service meet the DoD requirements to maintain a process to document the remedial information security actions that mitigate risk to organizational operations and assets, individuals, other organizations, and the Nation.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8510.01 and the Knowledge Service.'),(171,'AU-12','','The information system allows organization-defined personnel or roles to select which auditable events are to be audited by specific components of the  information system.','The organization being inspected/assessed configures the information system to ensure that only the ISSM or individuals appointed by the ISSM select which auditable events are to be audited by specific components of the  information system.\n \nDoD has defined the personnel or roles as the ISSM or individuals appointed by the ISSM.','The organization conducting the inspection/assessment examines a sampling of information system components and confirms that the individuals capable of selecting auditable events are the ISSM or individuals appointed by the ISSM.\n \nDoD has defined the personnel or roles as the ISSM or individuals appointed by the ISSM.'),(172,'AU-12','','The information system generates audit records for the events defined in AU-2 d with the content defined in AU-3.','The organization being inspected/assessed configures the information system to  generate audit records for the events defined in AU-2 d with the content defined in AU-3.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 172.','The organization conducting the inspection/assessment examines the information system to ensure that the system generates audit records for the events defined in AU-2 d with the content defined in AU-3. \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 172.'),(173,'AU-12','1','The organization defines the level of tolerance for relationship between time stamps of individual records in the audit trail that will be used for correlation.','The organization being inspected/assessed will define and document their level of tolerance for variation in the time stamps applied to the audit data generated by the organization\'s information systems.\n \nDoD has determined that the level of tolerance is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment reviews the organization\'s audit and accountability policy and procedures addressing audit record generation and retention; information system audit configuration settings and associated documentation; information system audit records; and any other relevant documents or records.  The objective is to validate the organization has defined and documented its level of tolerance for variation in the time stamps applied to the audit data generated by the organization\'s information systems.\n \nDoD has determined that the level of tolerance is not appropriate to define at the Enterprise level.'),(174,'AU-12','1','The information system compiles audit records from organization-defined information system components into a system-wide (logical or physical) audit trail that is time-correlated to within organization defined level of tolerance for relationship between time stamps of individual records in the audit trail.','The organization being inspected/assessed configures the information system to compile audit records from information system components defined in AU-12 (1), CCI 1577 into a system-wide (logical or physical) audit trail that is time-correlated to within the level of tolerance defined in AU-12 (1), CCI-000173 for relationship between time stamps of individual records in the audit trail.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 174.','The organization conducting the inspection/assessment examines the information system to ensure the information system is configured to compile audit records from information system components defined in AU-12 (1), CCI 1577 into a system-wide (logical or physical) audit trail that is time-correlated to within the level of tolerance  defined in AU-12 (1), CCI-000173 for relationship between time stamps of individual records in the audit trail.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 174.'),(176,'IA-5','','The organization manages information system authenticators by establishing initial authenticator content for authenticators defined by the organization.','The organization being inspected/assessed defines and documents procedures for setting  initial authenticator content.','The organization conducting the inspection/assessment obtains and examines the documented procedures for setting initial authenticator content to ensure they have been defined.'),(179,'IA-5','','The organization manages information system authenticators by establishing minimum lifetime restrictions for authenticators.','The organization being inspected/assessed defines and documents minimum lifetime restrictions for authenticators.','The organization conducting the inspection/assessment obtains and examines the documented minimum lifetime restrictions for authenticators to ensure they have been defined.'),(180,'IA-5','','The organization manages information system authenticators by establishing maximum lifetime restrictions for authenticators.','Per IA-5, CCI 1610, DoD has established the maximum lifetime restrictions for authenticators as CAC - every 3 years, or 1 year from term of contract  \nPassword: 60 days  \nBiometrics: every 3 years.','Per IA-5, CCI 1610, DoD has established the maximum lifetime restrictions for authenticators as CAC - every 3 years, or 1 year from term of contract  \nPassword: 60 days  \nBiometrics: every 3 years.'),(181,'IA-5','','The organization manages information system authenticators by establishing reuse conditions for authenticators.','The organization being inspected/assessed defines and documents the  reuse conditions for authenticators.','The organization conducting the inspection/assessment obtains and examines the documented reuse conditions for authenticators to ensure they have been defined.'),(182,'IA-5','','The organization manages information system authenticators by changing/refreshing authenticators in accordance with the organization defined time period by authenticator type.','The organization being inspected/assessed documents and implements procedures for  changing/refreshing authenticators in the following time periods: \nCAC - every 3 years, or 1 year from term of contract  \nPassword: 60 days  \nBiometrics: every 3 years.\n \nDoD has defined the time period as CAC - every 3 years, or 1 year from term of contract  \nPassword: 60 days  \nBiometrics: every 3 years.','The organization conducting the inspection/assessment obtains and examines the documented procedures for authenticator change/refresh to ensure the procedures are defined. \n \nThe organization conducting the inspection/assessment obtains and examines a sampling of authenticator age data to ensure that authenticators are changed or refreshed  in the following time periods: \nCAC - every 3 years, or 1 year from term of contract  \nPassword: 60 days  \nBiometrics: every 3 years.\n \nDoD has defined the time period as CAC - every 3 years, or 1 year from term of contract  \nPassword: 60 days  \nBiometrics: every 3 years.'),(183,'IA-5','','The organization manages information system authenticators by protecting authenticator content from unauthorized disclosure.','The organization being inspected/assessed documents and implements procedures to protect authenticator content from unauthorized disclosure.','The organization conducting the inspection/assessment obtains and examines the documented procedures to protect  authenticator content from unauthorized disclosure to ensure the procedures are defined.'),(185,'IA-5','2','The information system, for PKI-based authentication validates certifications by constructing and verifying a certification path to an accepted trust anchor including checking certificate status information.','The information system performing hardware token-based authentication must be configured to validate DoD-approved PKI credentials in accordance with RFC 5280.  \n \nThe information system must be configured to perform a revocation check as part of the certificate validation process.  Revocation checking may be performed using certificate revocation lists (CRLs) published by the issuing PKI or Online Certificate Status Protocol (OCSP) services.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 185.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed has configured the information system to validate DoD-approved PKI credentials in accordance with RFC 5280.  \n \nThe organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed has configured the information system to perform a revocation check as part of the certificate validation process.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 185.'),(186,'IA-5','2','The information system, for PKI-based authentication enforces authorized access to the corresponding private key.','Information systems must not have access to users’ private keys.  The cryptographic container in which the private keys are stored (e.g. smart card or software module) implements access controls and protections to ensure that only the authorized user can activate the private key.  DoD users agree to protect their PKI credentials in accordance with the DD-2842 agreement that is executed for each credential.  They are reminded of these responsibilities in annual IA training. \n \nThe private key identifying the information system must be stored in a cryptographic container that is FIPS 140-2 validated.  Only authorized information system operators should have access to activation data (e.g. password or PIN) for the private key.','The organization conducting the inspection/assessment examines the information system to ensure the information system does not contain any users’ private keys.\n \nThe organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed has configured the information system to store its own private key in a FIPS 140-2 validated cryptographic module.'),(187,'IA-5','2','The information system, for PKI-based authentication, maps the authenticated identity to the account of the individual or group.','The information system performing PKI-based authentication must be configured to map the authenticated PKI credential to a corresponding network or information system account or role in accordance with DoDI 8520.03.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 187.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed has configured the information system to map authenticated PKI credentials to corresponding network or information system accounts or roles in accordance with DoDI 8520.03.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 187.'),(192,'IA-5','1','The information system enforces password complexity by the minimum number of upper case characters used.','The organization being inspected/assessed configures the information system to enforce password complexity by the minimum number of upper case characters used.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 192.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce password complexity by the minimum number of upper case characters used.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 192.'),(193,'IA-5','1','The information system enforces password complexity by the minimum number of lower case characters used.','The organization being inspected/assessed configures the information system to enforce password complexity by the minimum number of lower case characters used.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 193.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce password complexity by the minimum number of lower case characters used.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 193.'),(194,'IA-5','1','The information system enforces password complexity by the minimum number of numeric characters used.','The organization being inspected/assessed configures the information system to enforce password complexity by the minimum number of numeric characters used.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 194.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce password complexity by the minimum number of numeric characters used.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 194.'),(195,'IA-5','1','The information system, for password-based authentication, when new passwords are created, enforces that at least an organization-defined number of characters are changed.','The organization being inspected/assessed configures the information system to enforce that at least 50% of the minimum password length is changed.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 195.\n \nDoD has defined the minimum number of characters as 50% of the minimum password length.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce that at least 50% of the minimum password length is changed.\n \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 195.\n \nDoD has defined the minimum number of characters as 50% of the minimum password length.'),(196,'IA-5','1','The information system, for password-based authentication, stores only cryptographically-protected passwords.','The organization being inspected/assessed configures the information system to store only encrypted representations of passwords.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 196.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to store only encrypted representations of passwords.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 196.'),(197,'IA-5','1','The information system, for password-based authentication, transmits only cryptographically-protected passwords.','The organization being inspected/assessed configures the information system to transmit only encrypted representations of passwords.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 197.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to transmit only encrypted representations of passwords.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 197.'),(198,'IA-5','1','The information system enforces minimum password lifetime restrictions.','The organization being inspected/assessed configures the information system to enforce minimum password lifetime restrictions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 198.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce minimum password lifetime restrictions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 198.'),(199,'IA-5','1','The information system enforces maximum password lifetime restrictions.','The organization being inspected/assessed configures the information system to enforce maximum password lifetime restrictions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 199.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce maximum password lifetime restrictions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 199.'),(200,'IA-5','1','The information system prohibits password reuse for the organization defined number of generations.','The organization being inspected/assessed configures the information system to prohibit reuse for a minimum of 5 generations.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 200.\n \nDoD has defined the number of generations as a minimum of 5.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to prohibit reuse for a minimum of 5 generations.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 200.\n \nDoD has defined the number of generations as a minimum of 5.'),(201,'IA-5','6','The organization protects authenticators commensurate with the security category of the information to which use of the authenticator permits access.','The organization being inspected/assessed documents and implements procedures to protect authenticators commensurate with the security category of the information to which use of the authenticator permits access.','The organization conducting the inspection/assessment obtains and examines the documented procedures to ensure the organization being inspected/assessed  protects authenticators commensurate with the security category of the information to which use of the authenticator permits access.'),(202,'IA-5','7','The organization ensures unencrypted static authenticators are not embedded in access scripts.','The organization being inspected/assessed documents and implements requirements that unencrypted static authenticators not be embedded in access scripts.','The organization conducting the inspection/assessment obtains and examines the requirements that unencrypted static authenticators not be embedded in access scripts to ensure the organization being inspected/assessed ensures unencrypted static authenticators are not embedded in access scripts.'),(203,'IA-5','7','The organization ensures unencrypted static authenticators are not stored on function keys.','The organization being inspected/assessed documents and implements requirements that unencrypted static authenticators not be stored on function keys.','The organization conducting the inspection/assessment obtains and examines the requirements that unencrypted static authenticators not be stored on function keys to ensure the organization being inspected/assessed  ensures unencrypted static authenticators are not stored on function keys.'),(204,'IA-5','8','The organization defines the security safeguards required to manage the risk of compromise due to individuals having accounts on multiple information systems.','DoD has defined the security safeguards as\npolicies and user training including advising users not to use the same password for any of the following: \nDomains of differing classification levels. \nMore than one domain of a classification level (e.g., internal agency network and Intelink). \nMore than one privilege level (e.g., user, administrator).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the security safeguards as\npolicies and user training including advising users not to use the same password for any of the following: \nDomains of differing classification levels. \nMore than one domain of a classification level (e.g., internal agency network and Intelink). \nMore than one privilege level (e.g., user, administrator).'),(205,'IA-5','1','The information system enforces minimum password length.','The organization being inspected/assessed configures the information system to enforce minimum password length.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 205.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce minimum password length.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 205.'),(206,'IA-6','','The information system obscures feedback of authentication information during the authentication process to protect the information from possible exploitation/use by unauthorized individuals.','The organization being inspected/assessed configures the information system to obscure feedback of authentication information during the authentication process to protect the information from possible exploitation/use by unauthorized individuals.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 206.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to obscure feedback of authentication information during the authentication process to protect the information from possible exploitation/use by unauthorized individuals.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 206.'),(207,'PM-5','','The organization develops and maintains an inventory of its information systems.','DITPR is the inventory for all DoD information systems.\n\nThe organization being inspected/assessed must register and maintain their information systems in DITPR.\n \n','DITPR is the inventory for all DoD information systems.\n \nThe organization conducting the inspection/assessment obtains and examines the inventory of information systems via DITPR to ensure the organization being inspected/assessed registers their information systems in DITPR.'),(209,'PM-6','','The organization develops the results of information security measures of performance.','The Federal Information Systems Management Act (FISMA) meets the DoD requirements for information security performance measures of performance.','The Federal Information Systems Management Act (FISMA) meets the DoD requirements for information security performance measures of performance.\n \nDoD organizations are automatically compliant with this control as they are covered at the DoD level by FISMA.'),(210,'PM-6','','The organization monitors the results of information security measures of performance.','The Federal Information Systems Management Act (FISMA) meets the DoD requirements for information security performance measures of performance.','The Federal Information Systems Management Act (FISMA) meets the DoD requirements for information security performance measures of performance.\n \nDoD organizations are automatically compliant with this control as they are covered at the DoD level by FISMA.'),(211,'PM-6','','The organization reports on the results of information security measures of performance.','The organization being inspected/assessed reports the results of information security measures of performance IAW FISMA reporting guidance.','The organization conducting the inspection/assessment obtains and examines FISMA reporting documentation.'),(212,'PM-7','','The organization develops an enterprise architecture with consideration for information security and the resulting risk to organizational operations, organizational assets, individuals, other organizations, and the Nation.','The GIG IA Architecture meets the DoD requirements for enterprise architecture.\n \nDoD components are automatically compliant with this control as they covered at the DoD level.','The GIG IA Architecture meets the DoD requirements for enterprise architecture.\n \nDoD components are automatically compliant with this control as they covered at the DoD level.'),(213,'AC-3','','The information system enforces approved authorizations for logical access to information and system resources in accordance with applicable access control policies.','The organization being inspected/assessed configures the information system to enforce approved authorizations for logical access to information and system resources in accordance with applicable access control policies.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 213.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce approved authorizations for logical access to information and system resources in accordance with applicable access control policies.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 213.'),(216,'PM-8','','The organization develops and documents a critical infrastructure and key resource protection plan that addresses information security issues.','DoDD 3020.40 meets the DoD requirement for the development of a critical infrastructure and key resource protection plan.\n \nDoD components are automatically compliant with this control as they are covered by the DoD level, DoDD 3020.40.','DoDD 3020.40 meets the DoD requirement for the development of a critical infrastructure and key resource protection plan.\n \nDoD components are automatically compliant with this control as they are covered by the DoD level, DoDD 3020.40.'),(217,'AC-2','3','The organization defines a time period after which inactive accounts are automatically disabled.','DoD has defined the time period as 35 days.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as 35 days.'),(219,'AC-4','13','The information system, when transferring information between different security domains, decomposes information into organization-defined policy-relevant subcomponents for submission to policy enforcement mechanisms.','The organization being inspected/assessed configures the information system to decompose information into policy-relevant subcomponents defined in AC-4 (13), CCI 2202 for submission to policy enforcement mechanisms when transferring information between different security domains\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 219.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  decompose information into policy-relevant subcomponents defined in AC-4 (13), CCI 2202 for submission to policy enforcement mechanisms when transferring information between different security domains\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 219.'),(225,'AC-6','','The organization employs the concept of least privilege, allowing only authorized accesses for users (and processes acting on behalf of users) which are necessary to accomplish assigned tasks in accordance with organizational missions and business functions.','The organization being inspected/assessed documents and implements the concept of least privilege, allowing only authorized accesses for users (and processes acting on behalf of users) which are necessary to accomplish assigned tasks in accordance with organizational missions and business functions.','The organization conducting the inspection/assessment obtains and examines the documented processes to ensure that the organization being inspected/assessed implements the concept of least privilege, allowing only authorized accesses for users (and processes acting on behalf of users) which are necessary to accomplish assigned tasks in accordance with organizational missions and business functions.'),(227,'PM-9','','The organization develops a comprehensive strategy to manage risk to organizational operations and assets, individuals, other organizations, and the Nation associated with the operation and use of information systems.','DoD Risk Management Framework meets the requirement for a comprehensive organizational risk strategy.\n \nDoD components are automatically compliant with this control because they are covered by the DoD Risk Management Framework','DoD Risk Management Framework meets the requirement for a comprehensive organizational risk strategy.\n \nDoD components are automatically compliant with this control because they are covered by DoD Risk Management Framework.'),(228,'PM-9','','The organization implements a comprehensive strategy to manage risk to organization operations and assets, individuals, other organizations, and the Nation associated with the operation and use of information systems consistently across the organization.','DoD Risk Management Framework meets the requirement for a comprehensive organizational risk strategy.\n \nDoD components are automatically compliant with this control because they are covered by the DoD Risk Management Framework','DoD Risk Management Framework meets the requirement for a comprehensive organizational risk strategy.\n \nDoD components are automatically compliant with this control because they are covered by the DoD Risk Management Framework'),(229,'PM-10','','The organization documents the security state of organizational information systems and the environments in which those systems operate through security authorization processes.','DoDI 8510.01 meets the DoD requirement to manage the security authorization process.\n \nDoD components are automatically compliant with this control because they are covered at the DoD level, DoDI 8510.01.','DoDI 8510.01 meets the DoD requirement to manage the security authorization process.\n \nDoD components are automatically compliant with this control because they are covered at the DoD level, DoDI 8510.01.'),(230,'PM-10','','The organization tracks the security state of organizational information systems and the environments in which those systems operate through security authorization processes.','DoDI 8510.01 meets the DoD requirement to manage the security authorization process.\n \nDoD components are automatically compliant with this control because they are covered at the DoD level, DoDI 8510.01.','DoDI 8510.01 meets the DoD requirement to manage the security authorization process.\n \nDoD components are automatically compliant with this control because they are covered at the DoD level, DoDI 8510.01.'),(231,'PM-10','','The organization reports the security state of organizational information systems and the environments in which those systems operate through security authorization processes.','DoDI 8510.01 meets the DoD requirement to manage the security authorization process.\n \nDoD components are automatically compliant with this control because they are covered at the DoD level, DoDI 8510.01.','DoDI 8510.01 meets the DoD requirement to manage the security authorization process.\n \nDoD components are automatically compliant with this control because they are covered at the DoD level, DoDI 8510.01.'),(232,'AC-14','','The organization documents and provides supporting rationale in the security plan for the information system, user actions not requiring identification and authentication.','The organization being inspected/assessed  documents supporting rationale in the security plan for the actions defined in AC-14, CCI 61 to not require identification and authentication.','The organization conducting the inspection/assessment obtains and examines the security plan to ensure the organization being inspected/assessed documents the supporting rationale for the actions defined in AC-14, CCI 61 to not require identification and authentication.'),(233,'PM-10','','The organization designates individuals to fulfill specific roles and responsibilities within the organizational risk management process.','DoDI 8510.01 meets the DoD requirement to to designate roles and responsibilities for the risk management process.\n \nDoD components are automatically compliant with this control because they are covered at the DoD level, DoDI 8510.01.','DoDI 8510.01 meets the DoD requirement to to designate roles and responsibilities for the risk management process.\n \nDoD components are automatically compliant with this control because they are covered at the DoD level, DoDI 8510.01.'),(234,'PM-10','','The organization fully integrates the security authorization processes into an organization-wide risk management program.','DoDI 8510.01 meets the DoD requirement to fully integrate the security authorization process.\n \nDoD components are automatically compliant with this control because they are covered at the DoD level, DoDI 8510.01.','DoDI 8510.01 meets the DoD requirement to fully integrate the security authorization process.\n \nDoD components are automatically compliant with this control because they are covered at the DoD level, DoDI 8510.01.'),(235,'PM-11','','The organization defines mission/business processes with consideration for information security and the resulting risk to organizational operations, organizational assets, individuals, other organizations, and the Nation.','DoDI 8510.01 meets the DoD requirement to define mission/business processes.\n \nDoD components are automatically complaint with this control as they are covered at the DoD level, DoDI 8510.01.','DoDI 8510.01 meets the DoD requirement to define mission/business processes.\n \nDoD components are automatically complaint with this control as they are covered at the DoD level, DoDI 8510.01.'),(236,'PM-11','','The organization determines information protection needs arising from the defined mission/business processes and revises the processes as necessary, until an achievable set of protection needs are obtained.','The organization being inspected/asssessed determines information protection needs IAW CNSSI 1253 and as identified in RA-2.','The organization conducting the inspection/assessment obtains and examines the security plan to ensure the security categorization has been documented IAW CNSSI 1253.'),(238,'CA-1','','The organization defines the frequency to review and update the current security assessment and authorization policy.','DoD has defined the frequency as every 5 years.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the frequency as every 5 years.'),(239,'CA-1','','The organization develops and documents a security assessment and authorization policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','DoDI 8510.01 meets the DoD requirement for security assessment authorization policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8510.01.','DoDI 8510.01 meets the DoD requirement for security assessment authorization policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8510.01.'),(240,'CA-1','','The organization disseminates to organization-defined personnel or roles a security assessment and authorization policy.','DoD disseminates DoDI 8510.01 organization-wide via the DoD Issuances website.\nhttp://www.dtic.mil/whs/directives/corres/ins1.html','DoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8510.01.'),(241,'CA-1','','The organization reviews and updates the current security assessment and authorization policy in accordance with organization-defined frequency.','DoDI 8510.01 meets the DoD requirement for security assessment authorization policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8510.01.','DoDI 8510.01 meets the DoD requirement for security assessment authorization policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8510.01.'),(242,'CA-1','','The organization develops and documents procedures to facilitate the implementation of the security assessment and authorization policy and associated security assessment and authorization controls.','The organization being inspected/assessed develops and documents, IAW DoDI 850.01, procedures to facilitate the implementation of the security assessment and authorization policy and associated security assessment and authorization controls.','The organization conducting the inspection/assessment obtains and examines the procedures to ensure the organization being inspected/assessedd evelops and documents procedures to facilitate the implementation of the security assessment and authorization policy and associated security assessment and authorization controls IAW DoDI 8510.01'),(243,'CA-1','','The organization disseminates to organization-defined personnel or roles procedures to facilitate the implementation of the security assessment and authorization policy and associated security assessment and authorization controls.','The organization being inspected/assessed will require all personnel to register at the DTIC website to receive update notifications to facilitate the implementation of the security assessment and authorization policy and associated security assessment and authorization controls.\n\nDoD has defined the personnel or roles as all personnel.\n \n','\nThe organization conducting the inspection/assessment obtains and examines the AUP (Acceptable Use Policy), appointment orders, or written policy requiring that all personnel register at the DTIC website to receive update notifications. \n\nDoD has defined the personnel or roles as all personnel.'),(244,'CA-1','','The organization reviews and updates the current security assessment and authorization procedures in accordance with organization-defined frequency.','The organization being inspected/assessed reviews and updates, IAW DoDI 8510.01,  the current security assessment and authorization procedures annually.\n\nThe organization must maintain an audit trail of review and update activity.\n\nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines the audit trail of review and update activity to ensure the organization being inspected/assessed reviews and updates, IAW DoDI 8510.01,  the current security assessment and authorization procedures annually.\n'),(245,'CA-2','','The organization develops a security assessment plan for the information system and its environment of operation.\n                                                                 IG&VP WG Note:\n*For DoD, the security assessment plan information is included in the Security Plan and the security assessment report and is not a separate document/artifact.*','The organization being inspected/assessed will document these security assessment plan requirements as part of the DoD approved Security Plan.\n \nSecurity plan templates are provided through eMASS and the Knowledge Service.\n \n*Comment*\nThe items required within this control are being split into the security plan and security assessment report to eliminate creation of an additional artifact.','The organization conducting the inspection/assessment obtains and examines the Security Plan to validate *security assessment blocks* are complete.'),(246,'CA-2','','The organization\'s security assessment plan describes the security controls and control enhancements under assessment.                                                             IG&VP WG Note \n*For DoD, the security assessment plan information is included in the Security Plan and the security assessment report and is not a separate document/artifact.*','The organization being inspected/assessed will ensure the Security Plan identifies the security controls and control enhancements under assessment.\n \n*Comment*\nThe items required within this control are being split into the security plan and security assessment report to eliminate creation of an additional artifact.','The organization conducting the inspection/assessment obtains the security assessment plan to verify the plan identifies the security controls and those control enhancements under assessment.'),(247,'CA-2','','The organization\'s security assessment plan describes assessment procedures to be used to determine security control effectiveness.\n IG&VP WG Note:\n*For DoD, the security assessment plan information is included in the Security Plan and the security assessment report and is not a separate document/artifact.*','The implementation guidance and validation procedures posted on the Knowledge Service constitutes assessment procedures for DoD.\n \nIf organizations being inspected/assessed use  assessment procedures other than those posted on the Knowledge Service, those procedures must be documented.\n \n*Comment*\nThe items required within this control are being split into the security plan and security assessment report to eliminate creation of an additional artifact.','DoD components are automatically compliant with this control if using the implementation guidance and validation procedures on the Knowledge Service.\n \nIf the organization being inspected/assessed is using alternative implementation guidance and validation procedures, the organization conducting the inspection/assessment will obtain and examine those procedures.'),(248,'CA-2','','The organization\'s security assessment plan describes assessment environment.\n \n*For DoD, the security assessment plan information is included in the Security Plan and the security assessment report and is not a separate document/artifact.*','The organization being inspected/assessed will provide a description of the authorization boundary in their Security Plan.\n \nAuthorization boundary can be described via one or more of the following: network diagrams, data flow diagrams, system design documents, or a list of information system components.\n \nAuthorization boundary as defined in CNSSI 4009.\n \n*Comment*\nThe items required within this control are being split into the security plan and security assessment report to eliminate creation of an additional artifact.','The organization conducting the inspection/assessment obtains and examines the organization\'s authorization boundary.\n \nAuthorization boundary can be described via one or more of the following: network diagrams, data flow diagrams, system design documents, or a list of information system components.'),(251,'CA-2','','The organization assesses, on an organization-defined frequency, the security controls in the information system and its environment of operation to determine the extent to which the controls are implemented correctly, operating as intended, and producing the desired outcome with respect to meeting the security requirements.\n IG&VP WG Note:\n*For DoD, the security assessment plan information is included in the Security Plan and the security assessment report and is not a separate document/artifact.*','In accordance with DoD\'s published guidance, the organization being inspected/assessed will utilize the implementation guidance and validation procedures published on the Knowledge Service to evaluate the implementation status of the applicable controls.\n \nDoD has defined the frequency as annually for technical controls, annually for a portion of management and operational controls, such that all are reviewed in a 3 year period, except for those requiring more frequent review as defined in other site or overarching policy. (NOTE: Technical, Management and Operational is IAW NIST SP 800-53 Table 1-1).\n \n*Comment*\nThe items required within this control are being split into the security plan and security assessment report to eliminate creation of an additional artifact.','See CA-2 c \n\"The organization conducting the inspection/assessment obtains and examines the security assessment report to verify that it includes the compliance/non-compliance status of all controls and specific deficiencies for all non-compliant controls.\"'),(252,'CA-2','','The organization defines the frequency on which the security controls in the information system and its environment of operation are assessed.\n IG&VP WG Note:\n*For DoD, the security assessment plan information is included in the Security Plan and the security assessment report and is not a separate document/artifact.*','DoD has defined the frequency as annually for technical controls, annually for a portion of management and operation controls such that all are reviewed in a 3 year period except for those requiring more frequent review as defined in other site or overarching policy. NOTE: Technical, Management and Operational is IAW NIST SP 800-53 Table 1-1.\n \n*Comment*\nThe items required within this control are being split into the security plan and security assessment report to eliminate creation of an additional artifact.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the frequency as annually for technical controls, annually for a portion of management and operation controls such that all are reviewed in a 3 year period except for those requiring more frequent review as defined in other site or overarching policy. NOTE: Technical, Management and Operational is IAW NIST SP 800-53 Table 1-1.'),(253,'CA-2','','The organization produces a security assessment report that documents the results of the assessment against the information system and its environment of operation.\n IG&VP WG Note:\n*For DoD, the security assessment plan information is included in the Security Plan and the security assessment report and is not a separate document/artifact.*','The organization being inspected/assessed will develop a SAR that includes the compliance/non-compliance status of all controls and specific deficiencies for all non-compliant controls using the template available on the Knowledge Service.  \n \n*Comment*\nThe items required within this control are being split into the security plan and security assessment report to eliminate creation of an additional artifact.','The organization conducting the inspection/assessment obtains and examines the SAR to verify that it includes the compliance/non-compliance status of all controls and specific deficiencies for all non-compliant controls.'),(254,'CA-2','','The organization provides the results of the security control assessment against information system and its environment of operation to organization-defined individuals or roles.\n IG&VP WG Note:\n*For DoD, the security assessment plan information is included in the Security Plan and the security assessment report and is not a separate document/artifact.*','The organization being inspected/assessed will provide the SAR to at a minimum, the ISSO and ISSM.\n \nDoD has defined the individuals or roles as at a minimum, the ISSO and ISSM.\n \n*Comment*\nThe items required within this control are being split into the security plan and security assessment report to eliminate creation of an additional artifact.\n ','The organization conducting the inspection/assessment interviews  at a minimum, the ISSO and ISSM to ensure the SAR has been received.\n \nDoD has defined the individuals or roles as at a minimum, the ISSO and ISSM.\n \n'),(255,'CA-2','1','The organization employs assessors or assessment teams with organization-defined level of independence to conduct security control assessments of organizational information systems.','The organization being inspected/assessed will employ assessors and assessor teams with the level of independence defined in CA-2 (1), CCI 2064 to conduct security control assessments of organizational information systems.','The organization conducting the inspection/assessment obtains and examines  the level of independence defined in CA-2 (1), CCI 2064 to ensure that they, as the assessor, meet the required level of independence.'),(256,'CA-2','2','The organization includes as part of security control assessments announced or unannounced, one or more of the following: in-depth monitoring, vulnerability scanning; malicious user testing; insider threat assessment; performance/load testing and organization-defined other forms of security assessment on an organization-defined frequency.','The organization being assessed/inspected must document how they will annually conduct tests and exercises of the implemented security controls in their security assessment plan. The tests and exercises may consist of activities such as in-depth monitoring; vulnerability scanning; malicious user testing; insider threat assessment; performance/load testing; or other forms of security assessment defined in CA-2 (2), CCI 1582.\n \nVulnerability scans are not the same as penetration testing.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines the test and exercise plan documented in the security assessment plan as well as the results of one or more of the latest security assessments to ensure the organization being inspected/assessed is conducting the assessments required in their security assessment plan annually.\n \nDoD has defined the frequency as annually.'),(257,'CA-3','','The organization authorizes connections from the information system to other information systems through the use of Interconnection Security Agreements.','The organization being inspected/assessed  will develop and certify, by appropriate signatures (e.g. AO, network managers), Interconnection Security Agreements (e.g., MOU, MOA, SLA) authorizing the connection of its information systems to other information systems. \n \nPolicy Note:\nInterconnection security agreements are required for systems connecting between enclaves that require the hosting enclave to enable PPS outside of their already established and approved business practices.  Connections can include both DoD enclaves or non DoD enclaves.','The organization conducting the inspection/assessment obtains and examines documentation of the Interconnection Security Agreements to include appropriate signatures.\n \n \nPolicy Note:\nInterconnection security agreements are required for systems connecting between enclaves that require the hosting enclave to enable PPS outside of their already established and approved business practices.  Connections can include both DoD enclaves or non DoD enclaves.'),(258,'CA-3','','The organization documents, for each interconnection, the interface characteristics.','The organization being inspected/assessed will document the interface characteristics for each interconnection. \nUse of external reporting databases for these characteristics when tied to the specific interconnection is acceptable (e.g., ports, protocols, and services). \n \n \nPolicy Note:\nInterconnection security agreements are required for systems connecting between enclaves that require the hosting enclave to enable PPS outside of their already established and approved business practices.  Connections can include both DoD enclaves or non DoD enclaves.','The organization conducting the inspection/assessment obtains and examines interconnection security agreement documentation.\n \n \nPolicy Note:\nInterconnection security agreements are required for systems connecting between enclaves that require the hosting enclave to enable PPS outside of their already established and approved business practices.  Connections can include both DoD enclaves or non DoD enclaves.'),(259,'CA-3','','The organization documents, for each interconnection, the security requirements.','The organization being inspected/assessed will, for each interconnection, identify and document any additional security controls to be implemented to protect the confidentiality, integrity, and availability of the connected systems and the data passing between them.  Controls should be appropriate for the systems to be connected and the environment in which the interconnection will operate.\n \nPolicy Note:\nInterconnection security agreements are required for systems connecting between enclaves that require the hosting enclave to enable PPS outside of their already established and approved business practices.  Connections can include both DoD enclaves or non DoD enclaves.','The organization conducting the inspection/assessment obtains and examines interconnection security agreement documentation, specifically looking at any additional security controls identified for \nimplementation.\n \n \nPolicy Note:\nInterconnection security agreements are required for systems connecting between enclaves that require the hosting enclave to enable PPS outside of their already established and approved business practices.  Connections can include both DoD enclaves or non DoD enclaves.'),(260,'CA-3','','The organization documents, for each interconnection, the nature of the information communicated.','The organization being inspected/assessed will document in the interconnection security agreement the type of information being transferred/transmitted.  \n \nCharacteristics will include but are not limited to: classification, information type (e.g. PII, HIPAA, FOUO, financial data, etc.)\n \n \nPolicy Note:\nInterconnection security agreements are required for systems connecting between enclaves that require the hosting enclave to enable PPS outside of their already established and approved business practices.  Connections can include both DoD enclaves or non DoD enclaves.','The organization conducting the inspection/assessment obtains and examines the interconnection security agreement documentation, specifically to identify the type of information being transferred/transmitted.\n \nCharacteristics will include but are not limited to: classification, information type (e.g. PII, HIPAA, FOUO, financial data, etc.)\n \n \nPolicy Note:\nInterconnection security agreements are required for systems connecting between enclaves that require the hosting enclave to enable PPS outside of their already established and approved business practices.  Connections can include both DoD enclaves or non DoD enclaves.'),(262,'CA-3','1','The organization prohibits the direct connection of an organization-defined unclassified, national security system to an external network without the use of an organization-defined boundary protection device.','The organization being inspected/assessed documents in its policy and procedures addressing information system connections, the organization will prohibit DoD has defined the unclassified, national security systems as all unclassified NSS from having a direct connection to an external network without the use of a boundary protection device defined in CA-3 (1), CCI 262.\n \nDoD has defined the unclassified, national security systems as all unclassified NSS.','The organization conducting the inspection/assessment obtains and examines policy document prohibiting direct connection of all unclassified NSS to external networks without the use of a boundary protection device defined in CA-3 (1), CCI 262.\n \nDoD has defined the unclassified, national security systems as all unclassified NSS.'),(263,'CA-3','2','The organization prohibits the direct connection of a classified, national security system to an external network without the use of organization-defined boundary protection device.','The organization being inspected/assessed does not connect any national security systems to an external network without the use of protection devices defined in CA-3 (2), CCI 2074.','The organization conducting the inspection/assessment obtains and examines network topology diagrams and examines the information system to ensure the organization being inspected/assessed does not connect any national security systems to an external network without the use of protection devices defined in CA-3 (2), CCI 2074.'),(264,'CA-5','','The organization develops a plan of action and milestones for the information system to document the organizations planned remedial actions to correct weaknesses or deficiencies noted during the assessment of the security controls and to reduce or eliminate known vulnerabilities in the system.','The organization being inspected/assessed will develop a security POA&M in accordance with DoDI 8510.01 Enclosure 6.  \n \nPOA&M templates are available on the Knowledge Service.','The organization conducting the inspection/assessment obtains and examines the security POA&M for compliance with DoDI 8510.01.'),(265,'CA-5','','The organization defines the frequency to update existing plan of action and milestones for the information system.','DoD has defined the frequency as at least every 90 days.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the frequency as at least every 90 days.'),(266,'CA-5','','The organization updates, on an organization-defined frequency, existing plan of action and milestones based on the findings from security controls assessments, security impact analyses, and continuous monitoring activities.','The organization being inspected/assessed will update the POA&M at least every 90 days.  \n \nThe updates are to be based upon the assessment of the identified vulnerabilities and weaknesses, prioritization of the vulnerabilities and weaknesses, progress being made in addressing and resolving the security weaknesses and vulnerabilities found in programs and systems, and continuous monitoring activities.\n \nDoD has defined the frequency as at least every 90 days.','The organization conducting the inspection/assessment obtains and examines current POA&M. The objective is to validate the organization is providing updates to the POA&M at least every 90 days. Review of POA&M without change must be documented (i.e., adding review date to the POA&M header information).\n \nDoD has defined the frequency as at least every 90 days.'),(267,'CA-5','1','The organization employs automated mechanisms to help ensure the plan of action and milestones for the information system is accurate.','The organization being inspected/assessed will identify and document the automated mechanisms in use to ensure the security POA&M is accurate.','The organization conducting the inspection/assessment obtains and examines documentation of the use of the identified automated mechanisms.\n \nThe organization being inspected/assessed may be required to demonstrate use of their identified automated mechanisms.'),(268,'CA-5','1','The organization employs automated mechanisms to help ensure the plan of action and milestones for the information system is up to date.','The organization being inspected/assessed will identify and document the automated mechanisms in use to ensure the POA&M is up to date.','The organization conducting the inspection/assessment obtains and examines documentation of the use of the identified automated mechanisms.\n \nThe organization being inspected/assessed may be required to demonstrate use of their identified automated mechanisms.'),(269,'CA-5','1','The organization employs automated mechanisms to help ensure the plan of action and milestones for the information system is readily available.','The organization being inspected/assessed will identify and document the automated mechanisms in use to ensure the POA&M is readily available.','The organization conducting the inspection/assessment obtains and examines documentation of the use of the identified automated mechanisms.\n \nThe organization being inspected/assessed may be required to demonstrate use of their identified automated mechanisms.'),(270,'CA-6','','The organization assigns a senior-level executive or manager as the authorizing official for the information system.','The organization being inspected/assessed will assign a senior-level executive or manager as the official role, and the responsibility, for authorizing the information system(s).\n \nAssignment must be in writing and IAW with DoDI 8510.01 (i.e. Appointment memorandum).','The organization conducting the inspection/assessment obtains and examines the written appointment memorandum.'),(271,'CA-6','','The organization ensures the authorizing official authorizes the information system for processing before commencing operations.','The organization being inspected/assessed will ensure that an authorization document (e.g. authorization to operate (ATO), interim authorization to operate (IATO)) has been issued by the authorizing official (AO) prior to placing the information system into an operational status.','The organization conducting the inspection/assessment obtains and examines the authorization document to ensure the information system is authorized prior to  being placed into operational status.'),(272,'CA-6','','The organization updates the security authorization on an organization-defined frequency.','The organization being inspected/assessed updates the security authorization at least every three years, whenever there is a significant change to the system, or if there is a change to the environment in which the system operates.\n \nDoD has defined the frequency as at least every three years, whenever there is a significant change to the system, or if there is a change to the environment in which the system operates.','The organization conducting the inspection/assessment obtains and examines the security authorization documentation to confirm the security authorization has been updated within the last three years, when there was a significant change to the system, or if there was a change to the environment in which the system operates.\n \nDoD has defined the frequency as at least every three years, whenever there is a significant change to the system, or if there is a change to the environment in which the system operates.'),(273,'CA-6','','The organization defines the frequency of updating the security authorization.','DoD has defined the frequency as at least every three years, whenever there is a significant change to the system, or if there is a change to the environment in which the system operates.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the frequency as at least every three years, whenever there is a significant change to the system, or if there is a change to the environment in which the system operates.'),(274,'CA-7','','The organization develops a continuous monitoring strategy.','Future DoD-wide CM guidance to be published','Future DoD-wide CM guidance to be published'),(279,'CA-7','','The organization implements a continuous monitoring program that includes ongoing security control assessments in accordance with the organizational continuous monitoring strategy.','Future DoD-wide CM guidance to be published','Future DoD-wide CM guidance to be published'),(280,'CA-7','','The organization implements a continuous monitoring program that includes reporting the security status of organization and the information system to organization-defined personnel or roles on an organization-defined frequency.','Future DoD-wide CM guidance to be published','Future DoD-wide CM guidance to be published'),(281,'CA-7','','The organization defines the frequency to report the security status of organization and the information system to organization-defined personnel or roles.','Future DoD-wide CM guidance to be published','Future DoD-wide CM guidance to be published'),(282,'CA-7','1','The organization employs assessors or assessment teams with organization-defined level of independence to monitor the security controls in the information system on an ongoing basis.','Future DoD-wide CM guidance to be published','Future DoD-wide CM guidance to be published'),(286,'CM-1','','The organization defines a frequency to review and update the configuration management policies.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(287,'CM-1','','The organization develops and documents a configuration management policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','The organization being inspected/assessed develops and documents a configuration management policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','The organization conducting the inspection/assessment obtains and examines the  configuration management policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.'),(289,'CM-1','','The organization reviews and updates, on an organization defined frequency, the configuration management policy.','The organization being inspected/assessed reviews and updates, annually, the configuration management policy.\n \nThe organization must document each occurrence of the reviews and update actions as an audit trail.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines documentation of occurrence of reviews and update actions for the configuration management policy to ensure annual review and necessary updates are occurring. \n \nDoD has defined the frequency as annually.'),(290,'CM-1','','The organization develops and documents procedures to facilitate the implementation of the configuration management policy and associated configuration management controls.','The organization being inspected/assessed develops and documents procedures to facilitate the implementation of the configuration management policy and associated configuration management controls.','The organization conducting the inspection/assessment obtains and examines the procedures to facilitate the implementation of the configuration management policy and associated configuration management controls.'),(292,'CM-1','','The organization reviews and updates, on an organization defined frequency, the procedures to facilitate the implementation of the configuration management policy and associated configuration management controls.','The organization being inspected/assessed reviews and updates, annually, the procedures to facilitate the implementation of the configuration management policy and associated configuration management controls.\n \nThe organization must document each occurrence of the reviews and update actions as an audit trail.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines documentation of occurrence of reviews and update actions for the procedures to facilitate the implementation of the configuration management policy and associated configuration management controls to ensure annual review and necessary updates are occurring. \n \nDoD has defined the frequency as annually.'),(293,'CM-2','','The organization develops a current baseline configuration of the information system.','The organization being inspected/assessed develops a current baseline configuration of the information system.','The organization conducting the inspection/assessment obtains and examines \nthe documented baseline configuration.'),(294,'CM-2','','The organization documents a baseline configuration of the information system.','The organization being inspected/assessed documents a current baseline configuration of the information system.','The organization conducting the inspection/assessment obtains and examines \nthe documented baseline configuration.'),(295,'CM-2','','The organization maintains under configuration control, a current baseline configuration of the information system.','The organization being inspected/assessed maintains a current baseline configuration of the information system.','The organization conducting the inspection/assessment obtains and examines the current baseline to ensure the current configuration matches the current documented baseline.'),(296,'CM-2','1','The organization reviews and updates the baseline configuration of the information system at an organization-defined frequency.','The organization being inspected/assessed reviews and updates the baseline configuration of the information system annually.\n \nThe organization must document each occurrence of the reviews and update actions as an audit trail.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines documentation of organizational reviews and update actions for the baseline configuration to ensure annual review and necessary updates are occurring. \n \nDoD has defined the frequency as annually.'),(297,'CM-2','1','The organization reviews and updates the baseline configuration of the information system when required due to organization-defined circumstances.','The organization being inspected/assessed reviews and updates the baseline configuration of the information system when required due to baseline configuration changes or as events dictate  such as changes due to USCYBERCOM tactical orders/ directives or cyber attacks.\n \nThe organization must document each occurrence of the reviews and update actions as an audit trail.\n \nDoD has defined the circumstances as baseline configuration changes or as events dictate  such as changes due to USCYBERCOM tactical orders/ directives or cyber attacks.','The organization conducting the inspection/assessment obtains and examines documentation of organizational reviews and update actions for the baseline configuration  of the information system when required due to baseline configuration changes or as events dictate  such as changes due to USCYBERCOM tactical orders/ directives or cyber attacks to ensure review and necessary updates are occurring. \n \nDoD has defined the circumstances as baseline configuration changes or as events dictate  such as changes due to USCYBERCOM tactical orders/ directives or cyber attacks.'),(298,'CM-2','1','The organization reviews and updates the baseline configuration of the information system as an integral part of information system component installations.','The organization being inspected/assessed reviews and updates the baseline configuration of the information system as an integral part of information system component installations.\n \nThe organization must document each occurrence of the reviews and update actions as an audit trail.','The organization conducting the inspection/assessment obtains and examines documentation of organizational reviews and update actions for the baseline configuration  of the information system as an integral part of information system component installations to ensure review and necessary updates are occurring.'),(299,'CM-2','1','The organization reviews and updates the baseline configuration of the information system as an integral part of information system component upgrades.','The organization being inspected/assessed reviews and updates the baseline configuration of the information system as an integral part of information system component upgrades.\n \nThe organization must document each occurrence of the reviews and update actions as an audit trail.','The organization conducting the inspection/assessment obtains and examines documentation of organizational reviews and update actions for the baseline configuration  of the information system as an integral part of information system component upgrades to ensure review and necessary updates are occurring.'),(300,'CM-2','2','The organization employs automated mechanisms to maintain complete baseline configuration of the information system.','The organization being inspected/assessed identifies, documents, and implements automated mechanisms used to maintain complete baseline configuration of the information system.','The organization conducting the inspection/assessment obtains and examines documentation of the use of the identified automated mechanisms used to maintain complete baseline configuration of the information system.\n \nThe organization being inspected/assessed may be required to demonstrate use of their identified automated mechanisms.'),(301,'CM-2','2','The organization employs automated mechanisms to maintain an up-to-date baseline configuration of the information system.','The organization being inspected/assessed identifies, documents, and implements automated mechanisms used to maintain an up-to-date baseline configuration of the information system.','The organization conducting the inspection/assessment obtains and examines documentation of the use of the identified automated mechanisms used to maintain an up-to-date baseline configuration of the information system.\n \nThe organization being inspected/assessed may be required to demonstrate use of their identified automated mechanisms.'),(302,'CM-2','2','The organization employs automated mechanisms to maintain accurate baseline configuration of the information system.','The organization being inspected/assessed identifies, documents, and implements automated mechanisms used to maintain accurate baseline configuration of the information system.','The organization conducting the inspection/assessment obtains and examines documentation of the use of the identified automated mechanisms used to maintain accurate baseline configuration of the information system.\n \nThe organization being inspected/assessed may be required to demonstrate use of their identified automated mechanisms.'),(303,'CM-2','2','The organization employs automated mechanisms to maintain readily available baseline configuration of the information system.','The organization being inspected/assessed identifies, documents, and implements automated mechanisms used to maintain readily available baseline configuration of the information system.','The organization conducting the inspection/assessment obtains and examines documentation of the use of the identified automated mechanisms used to maintain readily available baseline configuration of the information system.\n \nThe organization being inspected/assessed may be required to demonstrate use of their identified automated mechanisms.'),(304,'CM-2','3','The organization retains organization-defined previous versions of baseline configurations of the information system to support rollback.','The organization being inspected/assessed retains the previous approved baseline configuration of IS components for a minimum of 3 months and documents baseline configuration to support rollback.  The goal is to verify that the IS can roll back components to previous versions.\n \nDoD has defined the previous versions as the previous approved baseline configuration of IS components for a minimum of 3 months.','The organization conducting the inspection/assessment obtains and examines the documentation of the previous version of the baseline configuration to determine if all IS components necessary for rollback are retained.\n \nDoD has defined the previous versions as the previous approved baseline configuration of IS components for a minimum of 3 months.'),(311,'CM-2','6','The organization maintains a baseline configuration for information system development environments that is managed separately from the operational baseline configuration.','The organization being inspected/assessed establishes and maintains a development environment baseline configuration managed separately from the operational baseline configuration.','The organization conducting the inspection/assessment obtains and examines development environment baseline configuration documentation and ensures the organization is maintaining and managing a baseline configuration for the development environment separate from the operational baseline configuration.'),(312,'CM-2','6','The organization maintains a baseline configuration for information system test environments that is managed separately from the operational baseline configuration.','The organization being inspected/assessed establishes and maintains a test environment baseline configuration managed separately from the operational baseline configuration.','The organization conducting the inspection/assessment obtains and examines test environment baseline configuration documentation and ensures the organization is maintaining and managing a baseline configuration for the test environment separate from the operational baseline configuration.'),(313,'CM-3','','The organization determines the types of changes to the information system that are configuration controlled.','The organization being inspected/assessed determines the types of changes to the information system that are to be configuration controlled.\n \nThis action will be implemented by the CCB as defined in CM-3, CCI 1586.','The organization conducting the inspection/assessment obtains and examines the configuration management policy and plan to ensure the organization identifies the types of changes to the information system that are configuration controlled.'),(314,'CM-3','','The organization approves or disapproves configuration controlled changes to the information system with explicit consideration for security impact analysis.','The organization being inspected/assessed approves or disapproves configuration controlled changes to the information system with explicit consideration for security impact analysis.\n \nThe organization must maintain an audit trail of approval/disapproval of configuration \ncontrolled changes.\n \nThis action will be implemented by the CCB as defined in CM-3, CCI 1586.','The organization conducting the inspection/assessment obtains and examines the audit trail of the approval/disapproval of configuration controlled changes to ensure a security impact analysis was conducted.'),(316,'CM-3','','The organization retains records of configuration-controlled changes to the information system for an organization-defined time period.','The organization being inspected/assessed retains records of all configuration-controlled changes to the information system, as a result of CM-3, CCI 1819, for a time period defined by the organization\'s CCB.\n\nDoD has defined the time period as a time period defined by the organization\'s CCB.','The organization conducting the inspection/assessment obtains and examines the records of all configuration-controlled changes to the information system to ensure the organization being inspected/assessed retains the records of all configuration controlled changes for a time period defined by the organization\'s CCB.\n\nDoD has defined the time period as a time period defined by the organization\'s CCB.'),(318,'CM-3','','The organization audits and reviews activities associated with configuration controlled changes to the system.','The organization being inspected/assessed audits and reviews activities associated with configuration-controlled changes to the information system.\n \nThe organization must maintain an audit trail to include review activities associated with configuration-controlled changes.','The organization conducting the inspection/assessment obtains and examines the audit trail documenting the review activities associated with configuration-controlled changes to the information system to ensure the organization being inspected/assessed audits and reviews activities associated with the changes.'),(319,'CM-3','','The organization coordinates and provides oversight for configuration change control activities through an organization defined configuration change control element (e.g., committee, board) that convenes at the organization defined frequency and/or for any organization defined configuration change conditions.','The organization being inspected/assessed  coordinates and provides oversight for configuration change control activities through a configuration control board (CCB) that convenes at a frequency determined by the CCB and/or for any configuration change conditions determined by the CCB.\n \nDoD has defined the configuration change control element as a configuration control board.\n \nDoD has defined the frequency as at a frequency determined by the CCB.\n \nDoD has defined the configuration change conditions as configuration change conditions determined by the CCB.','The organization conducting the inspection/assessment obtains and examines the organization\'s configuration management policy and plan; document/charter establishing the organization\'s CCB; meeting minutes; information system change control records; and any other relevant documents or records.   The objective of the review is to validate the organization is coordinating and overseeing the configuration change control activities through a CCB.'),(320,'CM-3','','The organization defines frequency to convene configuration change control element.','The organization being inspected/assessed defines within their CCB Charter, the frequency for configuration change control review.\n \nDoD has defined the frequency as at a frequency determined by the CCB.','The organization conducting the inspection/assessment obtains and examines the CCB Charter to ensure the frequency for configuration change control review is defined.\n \nDoD has defined the frequency as at a frequency determined by the CCB.'),(321,'CM-3','','The organization defines configuration change conditions that prompt the configuration change control element to convene.','The organization being inspected/assessed defines within their CCB Charter, the configuration change conditions that prompt the configuration change control element to convene.\n \nDoD has defined the configuration change conditions as configuration change conditions determined by the CCB.','The organization conducting the inspection/assessment obtains and examines the CCB Charter to ensure the configuration change conditions that prompt the configuration change control element to convene are defined.\n \nDoD has defined the configuration change conditions as configuration change conditions determined by the CCB.'),(322,'CM-3','1','The organization employs automated mechanisms to document proposed changes to the information system.','The organization being inspected/assessed  documents and employs the automated mechanisms (e.g., Remedy, ticketing mechanism, etc.) to document proposed changes to the information system.','The organization conducting the inspection/assessment obtains and examines documentation of the use of the identified automated mechanisms to ensure that the identified system documents proposed changes.\n \nThe organization being inspected/assessed may be required to demonstrate use of their identified automated mechanisms.'),(323,'CM-3','1','The organization employs automated mechanisms to notify organization-defined approval authorities of proposed changes to the information system and request change approval.','The organization being inspected/assessed documents and employs the automated mechanisms (e.g., Remedy, ticketing mechanism, etc.) to notify designated approval authorities of proposed changes to the information system and request change approval.','The organization conducting the inspection/assessment obtains and examines documentation of the use of the identified automated mechanisms to ensure that the identified system notifies designated approval authorities of proposed changes to the information system and request change approval.                          \n \nThe organization being inspected/assessed may be required to demonstrate use of their identified automated mechanisms.'),(324,'CM-3','1','The organization employs automated mechanisms to highlight proposed changes to the information system that have not been approved or disapproved by organization-defined time period.','The organization being inspected/assessed documents and employs the automated mechanisms (e.g., Remedy, ticketing mechanism, etc.) to highlight proposed changes to the information system that have not been approved or disapproved by 7 days.\n \nDoD has defined the time period as 7 days.','The organization conducting the inspection/assessment obtains and examines documentation of the use of the identified automated mechanisms to ensure that the identified system highlights proposed changes to the information system that have not been approved or disapproved by 7 days.\n \nThe organization being inspected/assessed may be required to demonstrate use of their identified automated mechanisms.\n \nDoD has defined the time period as 7 days.'),(325,'CM-3','1','The organization employs automated mechanisms to prohibit changes to the information system until designated approvals are received.','The organization being inspected/assessed documents and employs the automated mechanisms to prohibit changes to the information system until designated approvals are received.','The organization conducting the inspection/assessment obtains and examines documentation of the use of the identified automated mechanisms to ensure that the identified system prohibits changes.\n \nThe organization being inspected/assessed may be required to demonstrate use of their identified automated mechanisms.'),(326,'CM-3','1','The organization employs automated mechanisms to document all changes to the information system.','The organization being inspected/assessed documents and employs the automated mechanisms (e.g., Remedy, ticketing mechanism, etc.) to document all changes to the information system.','The organization conducting the inspection/assessment obtains and examines documentation of the use of the identified automated mechanisms to ensure that the identified system documents all changes.\n \nThe organization being inspected/assessed may be required to demonstrate use of their identified automated mechanisms.'),(327,'CM-3','2','The organization tests changes to the information system before implementing the changes on the operational system.','The organization being inspected/assessed documents and implements a process to test changes to the information system before implementing the changes on the operational system.\n \nThe organization must maintain an audit trail of testing activity.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of testing activity to ensure the organization being inspected/assessed tests changes to the information system before implementing the changes on the operational system.'),(328,'CM-3','2','The organization validates changes to the information system before implementing the changes on the operational system.','The organization being inspected/assessed documents and implements a process to validate changes to the information system before implementing the changes on the operational system.\n \nThe organization must maintain an audit trail of validation activity.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of validation activity to ensure the organization being inspected/assessed validates changes to the information system before implementing the changes on the operational system.'),(329,'CM-3','2','The organization documents changes to the information system before implementing the changes on the operational system.','The organization being inspected/assessed documents and implements a process to document changes to the information system before implementing the changes on the operational system.','The organization conducting the inspection/assessment obtains and examines the documented process as well as documentation of changes to the information system to ensure the organization has established, published, and is complying with the requirement to document all changes to be made to its operational information system(s) prior to their implementation.'),(330,'CM-3','3','The organization employs automated mechanisms to implement changes to the current information system baseline.','The organization being inspected/assessed documents and employs the automated mechanisms (e.g., software deployment tools) to implement changes to the current information system baseline.','The organization conducting the inspection/assessment obtains and examines documentation of the use of the identified automated mechanisms to ensure that the identified system implements changes to the current information system baseline.\n \nThe organization being inspected/assessed may be required to demonstrate use of their identified automated mechanisms.'),(331,'CM-3','3','The organization deploys the updated information system baseline across the installed base.','The organization being inspected/assessed documents and employs procedures for deploying the updated information system baseline across the installed base.\n \nThe information system must maintain an audit trail of automated baseline deployments.','The organization conducting the inspection/assessment obtains and examines the documented deployment procedures and a sampling of the audit trail of automated baseline deployments to ensure the organization being inspected/assessed is deploying the updated information system baseline across the installed base.'),(332,'CM-3','4','The organization requires an information security representative to be a member of the organization-defined configuration change control element.','The organization being inspected/assessed requires an information security representative to be a member of the configuration control board.     \n \nDoD has defined the configuration change control element as the configuration control board.','The organization conducting the inspection/assessment obtains and examines the membership list of the organization\'s configuration control board to ensure an information security representative is a member of the organization\'s configuration control board.'),(333,'CM-4','','The organization analyzes changes to the information system to determine potential security impacts prior to change implementation.','The organization being inspected/assessed  analyzes changes to the information system to determine potential security impacts prior to change implementation.\n \nThe organization must maintain records of analysis of changes to the information system.','The organization conducting the inspection/assessment obtains and examines the records of analyses to ensure the organization is conducting a security impact analysis of changes to the information system(s) prior to their implementation.'),(335,'CM-4','2','The organization, after the information system is changed, checks the security functions to verify the functions are implemented correctly.','The organization being inspected/assessed documents and implements a process to verify in an operational environment, following changes to the information system, the security functions are implemented correctly.\n \nThe organization must maintain an audit trail of the verification of security functions.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of the verification of security functions to ensure the organization being inspected/assessed verifies in an operational environment, following changes to the information system, the security functions are implemented correctly.'),(336,'CM-4','2','The organization, after the information system is changed, checks the security functions to verify the functions are operating as intended.','The organization being inspected/assessed documents and implements a process to verify in an operational environment, following changes to the information system, the security functions are operating as intended.\n \nThe organization must maintain an audit trail of the verification of security functions.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of the verification of security functions to ensure the organization being inspected/assessed verifies in an operational environment, following changes to the information system, the security functions are operating as intended.'),(337,'CM-4','2','The organization, after the information system is changed, checks the security functions to verify the functions are producing the desired outcome with regard to meeting the security requirements for the system.','The organization being inspected/assessed documents and implements a process to verify in an operational environment, following changes to the information system, the security functions are producing the desired outcome with regard to meeting the security requirements for the system.\n \nThe organization must maintain an audit trail of the verification of security functions.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of the verification of security functions to ensure the organization being inspected/assessed verifies in an operational environment, following changes to the information system, the security functions are producing the desired outcome with regard to meeting the security requirements for the system.'),(338,'CM-5','','The organization defines physical access restrictions associated with changes to the information system.','The organization being inspected/assessed defines and documents in the configuration management policy, physical access restrictions associated with changes to the information system.','The organization conducting the inspection/assessment obtains and examines  the configuration management policy to ensure the organization being inspected/assessed defines physical access restrictions associated with changes to the information system.'),(339,'CM-5','','The organization documents physical access restrictions associated with changes to the information system.','The organization being inspected/assessed documents, in the configuration management policy, physical access restrictions associated with changes to the information system.','The organization conducting the inspection/assessment obtains and examines  the configuration management policy to ensure the organization being inspected/assessed documents physical access restrictions associated with changes to the information system.'),(340,'CM-5','','The organization approves physical access restrictions associated with changes to the information system.','The organization being inspected/assessed documents and implements a process to approve physical access restrictions associated with changes to the information system.\n \nThe organization must maintain an audit trail of approvals.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of approvals to ensure the organization being inspected/assessed  approves physical access restrictions associated with changes to the information system.'),(341,'CM-5','','The organization enforces physical access restrictions associated with changes to the information system.','The organization being inspected/assessed documents and implements a process to enforce physical access restrictions associated with changes to the information system.','The organization conducting the inspection/assessment the documented process to ensure the organization being inspected/assessed enforces physical access restrictions associated with changes to the information system as documented in the configuration management policy.'),(342,'CM-5','','The organization defines logical access restrictions associated with changes to the information system.','The organization being inspected/assessed defines and documents in the configuration management policy, logical access restrictions associated with changes to the information system.','The organization conducting the inspection/assessment obtains and examines  the configuration management policy to ensure the organization being inspected/assessed defines logical access restrictions associated with changes to the information system.'),(343,'CM-5','','The organization documents logical access restrictions associated with changes to the information system.','The organization being inspected/assessed documents, in the configuration management policy, logical access restrictions associated with changes to the information system.','The organization conducting the inspection/assessment obtains and examines  the configuration management policy to ensure the organization being inspected/assessed documents logical access restrictions associated with changes to the information system.'),(344,'CM-5','','The organization approves logical access restrictions associated with changes to the information system.','The organization being inspected/assessed documents and implements a process to approve logical access restrictions associated with changes to the information system.\n \nThe organization must maintain an audit trail of approvals.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of approvals to ensure the organization being inspected/assessed  approves logical access restrictions associated with changes to the information system.'),(345,'CM-5','','The organization enforces logical access restrictions associated with changes to the information system.','The organization being inspected/assessed documents and implements a process to enforce logical access restrictions associated with changes to the information system.\n \nThe information system must maintain an audit trail of logical access to the information system pertaining to information system changes.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the logical access audit trail to ensure the organization being inspected/assessed enforces logical access restrictions associated with changes to the information system as documented in the configuration management policy.'),(348,'CM-5','2','The organization defines a frequency to conduct reviews of information system changes.','DoD has defined the frequency as every 90 days or more frequently as the organization defines for high systems AND at least annually or more frequently as the organization defines for low and moderate systems.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as every 90 days or more frequently as the organization defines for high systems AND at least annually or more frequently as the organization defines for low and moderate systems.'),(349,'CM-5','2','The organization reviews information system changes per organization defined frequency to determine whether unauthorized changes have occurred.','The organization being inspected/assessed documents in the configuration management policy and implements a process to review information system changes every 90 days or more frequently as the organization defines for high systems AND at least annually or more frequently as the organization defines for low and moderate systems to determine whether unauthorized changes have occurred.\n \nThe organization must maintain this review as an audit trail.\n \nDoD has defined the frequency as every 90 days or more frequently as the organization defines for high systems AND at least annually or more frequently as the organization defines for low and moderate systems.\n ','The organization conducting the inspection/assessment obtains and examines the documented process for information system change review as well as the audit trail of reviews to ensure the organization being inspected/assessed reviews IS changes every 90 days or more frequently as the organization defines for high systems AND at least annually or more frequently as the organization defines for low and moderate systems to determine whether unauthorized changes have occurred.\n \nDoD has defined the frequency as every 90 days or more frequently as the organization defines for high systems AND at least annually or more frequently as the organization defines for low and moderate systems.'),(350,'CM-5','2','The organization reviews information system changes upon organization-defined circumstances to determine whether unauthorized changes have occurred.','The organization being inspected/assessed documents and implements a process to review the information system changes when there is an incident or when planned changes have been performed to determine whether unauthorized changes have occurred. \n \nThe organization must maintain this review as an audit trail.\n \nDoD has defined the circumstances as when there is an incident or when planned changes have been performed.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of reviews to ensure the organization being inspected/assessed reviews the information system changes when there is an incident or when planned changes have been performed to determine whether unauthorized changes have occurred. \n \nDoD has defined the circumstances as when there is an incident or when planned changes have been performed.'),(353,'CM-5','4','The organization defines information system components requiring enforcement of a dual authorization for information system changes.','The organizationg being inspected/assessed defines and documents information system components requiring enforcement of a dual authorization for information system changes.\n \nDoD has determined to the information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system components to ensure the organization being inspected/assessed defines the information system components requiring enforcement of a dual authorization for information system changes\n   \nDoD has determined to the information system componens are not appropriate to define at the Enterprise level.'),(354,'CM-5','4','The organization enforces dual authorization for changes to organization defined information system components.','The organization being inspected/assessed documents and implements a process to enforce dual authorization for changes to information system components defined in CM-5 (4), CCI 353.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed enforces dual authorization for changes to information system components defined in CM-5 (4), CCI 353.'),(363,'CM-6','','The organization defines security configuration checklists to be used to establish and document  configuration settings for the information system technology products employed.','DoD has defined the security configuration checklists as DoD security configuration or implementation guidance (e.g. STIGs,  SRGs, NSA configuration guides, CTOs, DTMs etc.).      \n \nThe organization being inspected/assessed documents in the security plan, the configuration guidance (e.g. STIGs, SRGs, NSA configuration guides, CTOs, DTMs etc.) which apply to their information system components.','DoD has defined the security configuration checklists as DoD security configuration or implementation guidance (e.g. STIGs,  SRGs, NSA configuration guides, CTOs, DTMs etc.). \n \nThe organization conducting the inspection/assessment obtains and examines the security plan to ensure the organization being inspected/assessed has documented the configuration guidance  which apply to their information system components.   \n \nThe organization conducting the inspection/assessment reviews the list of documented guidance to ensure that all applicable guidance is identified given the information system components within the authorization boundary.'),(364,'CM-6','','The organization establishes configuration settings for information technology products employed within the information system using organization-defined security configuration checklists.','DoD security configuration or implementation guidance (e.g. STIGs, SRGs, NSA configuration guides, CTOs, DTMs etc.) meet the DoD requirement for establishing configuration settings.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level security configuration or implementation guidance (e.g. STIGs, SRGs, NSA configuration guides, CTOs, DTMs etc.).','DoD security configuration or implementation guidance (e.g. STIGs, SRGs, NSA configuration guides, CTOs, DTMs etc.) meet the DoD requirement for establishing configuration settings.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level security configuration or implementation guidance (e.g. STIGs, SRGs,  NSA configuration guides, CTOs, DTMs etc.).'),(365,'CM-6','','The organization documents configuration settings for information technology products employed within the information system using organization-defined security configuration checklists that reflect the most restrictive mode consistent with operational requirements.','DoD security configuration or implementation guidance (e.g. STIGs, SRGs,  NSA configuration guides, CTOs, DTMs etc.) meet the DoD requirement for documenting configuration settings.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level security configuration or implementation guidance (e.g. STIGs,  SRGs, NSA configuration guides, CTOs, DTMs etc.).','DoD security configuration or implementation guidance (e.g. STIGs,  SRGs, NSA configuration guides, CTOs, DTMs etc.) meet the DoD requirement for documenting configuration settings.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level security configuration or implementation guidance (e.g. STIGs,  SRGs, NSA configuration guides, CTOs, DTMs etc.).'),(366,'CM-6','','The organization implements the security configuration settings.','The organization being inspected/assessed must develop and document a process for implementing  DoD security configuration or implementation guidance (e.g. STIGs,  NSA configuration guides, CTOs, DTMs etc.).      \n \nDoD has defined the security configuration checklists as DoD security configuration or implementation guidance (e.g. STIGs,  NSA configuration guides, CTOs, DTMs etc.).      \n ','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed implements   DoD security configuration or implementation guidance (e.g. STIGs,  NSA configuration guides, CTOs, DTMs etc.).\n \nThe organization conducting the inspection/assessment tests a sampling of information system components to ensure they comply with the required settings.\n \nDoD has defined the security configuration checklists as DoD security configuration or implementation guidance (e.g. STIGs,  NSA configuration guides, CTOs, DTMs etc.).   '),(367,'CM-6','','The organization identifies any deviations from the established configuration settings for organization-defined information system components based on organization-defined operational requirements.','The organization being inspected/assessed documents in the security plan and POA&M, if applicable, the information system components as defined in CM-6, CCI 1755 which deviate from configuration settings, and which settings as defined in CM-6, CCI 1756.','The organization conducting the inspection/assessment obtains and examines the security plan to ensure the organization being inspected/assessed has documented deviations from configuration settings for information system components.'),(368,'CM-6','','The organization documents any deviations from the established configuration settings for organization-defined information system components based on organization-defined operational requirements.','The organization being inspected/assessed documents in the security plan and POA&M, if applicable, all configurable information system components which deviate from configuration settings, and which settings as defined in CM-6, CCI 1756.\n \nDoD has defined the information system components as all configurable information system components.','The organization conducting the inspection/assessment obtains and examines the security plan to ensure the organization being inspected/assessed has documented deviations from configuration settings for information system components.'),(369,'CM-6','','The organization approves any deviations from the established configuration settings for organization-defined information system components based on organization-defined operational requirements.','The organization being inspected/assessed manages and approves changes to the security plan documenting deviations IAW CM-3, CCI 314.\n \nThe organization must maintain an audit trail of approved changes to the security plan.','The organization conducting the inspection/assessment obtains and examines the security plan and the audit trail of approved changes to ensure the deviations are approved IAW CM-3, CCI 314.'),(370,'CM-6','1','The organization employs automated mechanisms to centrally manage configuration settings for organization-defined information system components.','The organization being inspected/assessed identifies, documents in the configuration management policy, and implements automated mechanisms to centrally manage configuration settings.','The organization conducting the inspection/assessment obtains and examines the configuration management policy to ensure the organization being inspected/assessed identifies automated mechanisms to centrally manage configuration settings.\n \nThe organization being inspected/assessed may be required to demonstrate use of their identified automated mechanisms.'),(371,'CM-6','1','The organization employs automated mechanisms to centrally apply configuration settings for organization-defined information system components.','The organization being inspected/assessed identifies, documents in the configuration management policy, and implements automated mechanisms to centrally apply configuration settings.','The organization conducting the inspection/assessment obtains and examines the configuration management policy to ensure the organization being inspected/assessed identifies automated mechanisms to centrally apply configuration settings.\n \nThe organization being inspected/assessed may be required to demonstrate use of their identified automated mechanisms.'),(372,'CM-6','1','The organization employs automated mechanisms to centrally verify configuration settings for organization-defined information system components.','The organization being inspected/assessed identifies, documents in the configuration management policy, and implements automated mechanisms to centrally verify configuration settings.','The organization conducting the inspection/assessment obtains and examines the configuration management policy to ensure the organization being inspected/assessed identifies automated mechanisms to centrally verify configuration settings.\n \nThe organization being inspected/assessed may be required to demonstrate use of their identified automated mechanisms.'),(380,'CM-7','','The organization defines for the information system prohibited or restricted functions, ports, protocols, and/or services.','DoD has defined the information system prohibited or restricted functions, ports, protocols, and/or services as IAW DoDI 8551.01.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the information system prohibited or restricted functions, ports, protocols, and/or services as IAW DoDI 8551.01.'),(381,'CM-7','','The organization configures the information system to provide only essential capabilities.','The organization being inspected/assessed documents in the security plan, essential capabilities which the information system must provide.  The organization being inspected/assessed configures the information system to provide only those documented essential capabilities.','The organization conducting the inspection/assessment obtains and examines the security plan to ensure the organization being inspected/assessed has identified essential capabilities.  The organization conducting the inspection/assessment inspects the information system to ensure that it provides only those documented essential capabilities.'),(382,'CM-7','','The organization configures the information system to prohibit or restrict the use of organization-defined functions, ports, protocols, and/or services.','The organization being inspected/assessed configures the information system to prohibit or restrict the use of functions, ports, protocols, and/or services IAW DoDI 8551.01.\n \nDoD has defined the information system prohibited or restricted functions, ports, protocols, and/or services as IAW DoDI 8551.01.','The organization conducting the inspection/assessment inspects the information system to ensure the organization being inspected/assessed prohibits or restricts the use of functions, ports, protocols, and/or services IAW DoDI 8551.01.\n \nDoD has defined the information system prohibited or restricted functions, ports, protocols, and/or services as IAW DoDI 8551.01.'),(384,'CM-7','1','The organization reviews the information system per organization defined frequency to identify unnecessary and nonsecure functions, ports, protocols, and services.','The organization being inspected/assessed documents and implements a process to review the information system every 30 days to identify unnecessary and nonsecure functions, ports, protocols, and services.\n \nThe organization must maintain an audit trail of the reviews.\n \nDoD has defined the frequency as every 30 days.','The organization conducting the inspection/assessment obtains and examines the documented process and audit trail of reviews to ensure the organization being inspected/assessed reviews the information system every 30 days to identify unnecessary and nonsecure functions, ports, protocols, and services.\n  \nDoD has defined the frequency as every 30 days.'),(387,'CM-7','3','The organization defines registration requirements for functions, ports, protocols, and services.','DoD has defined the registration requirements as IAW DoDI 8551.01.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the registration requirements as IAW DoDI 8551.01.'),(388,'CM-7','3','The organization ensures compliance with organization-defined registration requirements for functions, ports, protocols, and services.','The organization being inspected/assessed implements DoDI 8551.01.\n \nDoD has defined the registration requirements as IAW DoDI 8551.01.','The organization conducting the inspection/assessment obtains and examines a documented listing of ports, protocols, and services in use, and reviews a sampling of those ports, protocols, and services to ensure the organization being inspected/assessed is compliant with DoDI 8551.01.\n \nDoD has defined the registration requirements as IAW DoDI 8551.01.'),(389,'CM-8','','The organization develops an inventory of information system components that accurately reflects the current information system.','The organization being inspected/assessed documents inventory of information system components that accurately reflects the current information system.','The organization conducting the inspection/assessment obtains and examines the documented inventory and examines a sampling of information system components  to ensure inventory accurately reflects the current information system.'),(390,'CM-8','','The organization documents an inventory of information system components that accurately reflects the current information system.','The organization being inspected/assessed documents inventory of information system components that accurately reflects the current information system.','The organization conducting the inspection/assessment obtains and examines the documented inventory and examines a sampling of information system components  to ensure inventory accurately reflects the current information system.'),(392,'CM-8','','The organization develops an inventory of information system components that includes all components within the authorization boundary of the information system.','The organization being inspected/assessed documents inventory of information system components that includes all components within the authorization boundary of the information system.','The organization conducting the inspection/assessment obtains and examines the documented inventory and examines a sampling of information system components  to ensure inventory includes all components within the authorization boundary of the information system.'),(393,'CM-8','','The organization documents an inventory of information system components that includes all components within the authorization boundary of the information system.','The organization being inspected/assessed documents inventory of information system components that includes all components within the authorization boundary of the information system.','The organization conducting the inspection/assessment obtains and examines the documented inventory and examines a sampling of information system components  to ensure inventory includes all components within the authorization boundary of the information system.'),(395,'CM-8','','The organization develops an inventory of information system components that is at the level of granularity deemed necessary for tracking and reporting.','The organization being inspected/assessed documents inventory of information system components that is at the level of granularity deemed necessary for tracking and reporting.','The organization conducting the inspection/assessment obtains and examines the documented inventory and examines a sampling of information system components  to ensure inventory is at the level of granularity deemed necessary for tracking and reporting.'),(396,'CM-8','','The organization documents an inventory of information system components that is at the level of granularity deemed necessary for tracking and reporting.','The organization being inspected/assessed documents inventory of information system components that is at the level of granularity deemed necessary for tracking and reporting.','The organization conducting the inspection/assessment obtains and examines the documented inventory and examines a sampling of information system components  to ensure inventory is at the level of granularity deemed necessary for tracking and reporting.'),(398,'CM-8','','The organization defines information deemed necessary to achieve effective information system component accountability.','DoD has defined the information as hardware inventory specifications (manufacturer, type, model, serial number, physical location), software license information, information system/component owner, and for a networked component/device, the machine name.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the information as hardware inventory specifications (manufacturer, type, model, serial number, physical location), software license information, information system/component owner, and for a networked component/device, the machine name.'),(399,'CM-8','','The organization develops an inventory of information system components that includes organization defined information deemed necessary to achieve effective information system component accountability.','The organization being inspected/assessed documents inventory of information system components that includes organization defined information deemed necessary to achieve effective information system component accountability.','The organization conducting the inspection/assessment obtains and examines the documented inventory and examines a sampling of information system components  to ensure inventory includes organization defined information deemed necessary to achieve effective information system component accountability.'),(400,'CM-8','','The organization documents an inventory of information system components that includes organization defined information deemed necessary to achieve effective information system component accountability.','The organization being inspected/assessed documents inventory of information system components that includes organization defined information deemed necessary to achieve effective information system component accountability.','The organization conducting the inspection/assessment obtains and examines the documented inventory and examines a sampling of information system components  to ensure inventory includes organization defined information deemed necessary to achieve effective information system component accountability.'),(408,'CM-8','1','The organization updates the inventory of information system components as an integral part of component installations.','The organization being inspected/assessed documents and implements a process to update the inventory of information system components as an integral part of component installations.\n \nThe organization must maintain an audit trail of updates.  The audit trail may be recorded within the inventory itself.','The organization conducting the inspection/assessment obtains and examines the documented process for updates as well as the audit trail of updates and the log of changes to the information system to ensure the organization being inspected/assessed updates the inventory of information system components as an integral part of component installations.'),(409,'CM-8','1','The organization updates the inventory of information system components as an integral part of component removals.','The organization being inspected/assessed documents and implements a process to update the inventory of information system components as an integral part of component removals.\n \nThe organization must maintain an audit trail of updates.  The audit trail may be recorded within the inventory itself.','The organization conducting the inspection/assessment obtains and examines the documented process for updates as well as the audit trail of updates and the log of changes to the information system to ensure the organization being inspected/assessed updates the inventory of information system components as an integral part of component removals.'),(410,'CM-8','1','The organization updates the inventory of information system components as an integral part of information system updates.','The organization being inspected/assessed documents and implements a process to update the inventory of information system components as an integral part of information system updates.\n \nThe organization must maintain an audit trail of updates.  The audit trail may be recorded within the inventory itself.','The organization conducting the inspection/assessment obtains and examines the documented process for updates as well as the audit trail of updates and the log of changes to the information system to ensure the organization being inspected/assessed updates the inventory of information system components as an integral part of information system updates.'),(411,'CM-8','2','The organization employs automated mechanisms to help maintain an up-to-date inventory of information system components.','The organization being inspected/assessed documents and implements automated mechanisms to help maintain an up-to-date inventory of information system components.\n \nAn automated mechanism implemented IAW CM-2 (2) satisfies the requirements of this CCI if the automated mechanism maintains an up-to-date inventory.','The organization conducting the inspection/assessment obtains and examines the documentation identifying the automated mechanism used to help maintain an up-to-date inventory of information system components and examines the mechanism to ensure the organization being inspected/assessed employs automated mechanisms to help maintain an up-to-date inventory of information system components.'),(412,'CM-8','2','The organization employs automated mechanisms to help maintain a complete inventory of information system components.','The organization being inspected/assessed documents and implements automated mechanisms to help maintain a complete inventory of information system components.\n \nAn automated mechanism implemented IAW CM-2 (2) satisfies the requirements of this CCI if the automated mechanism maintains a complete inventory.','The organization conducting the inspection/assessment obtains and examines the documentation identifying the automated mechanism used to help maintain a complete inventory of information system components and examines the mechanism to ensure the organization being inspected/assessed employs automated mechanisms to help maintain a complete inventory of information system components.'),(413,'CM-8','2','The organization employs automated mechanisms to help maintain a accurate inventory of information system components.','The organization being inspected/assessed documents and implements automated mechanisms to help maintain an accurate inventory of information system components.\n \nAn automated mechanism implemented IAW CM-2 (2) satisfies the requirements of this CCI if the automated mechanism maintains an accurate inventory.','The organization conducting the inspection/assessment obtains and examines the documentation identifying the automated mechanism used to help maintain an accurate inventory of information system components and examines the mechanism to ensure the organization being inspected/assessed employs automated mechanisms to help maintain an accurate inventory of information system components.'),(414,'CM-8','2','The organization employs automated mechanisms to help maintain a readily available inventory of information system components.','The organization being inspected/assessed documents and implements automated mechanisms to help maintain a readily available inventory of information system components.\n \nAn automated mechanism implemented IAW CM-2 (2) satisfies the requirements of this CCI if the automated mechanism maintains a readily available inventory.','The organization conducting the inspection/assessment obtains and examines the documentation identifying the automated mechanism used to help maintain a readily available inventory of information system components and examines the mechanism to ensure the organization being inspected/assessed employs automated mechanisms to help maintain a readily available inventory of information system components.'),(415,'CM-8','3','The organization defines the frequency of employing automated mechanism to detect the presence of unauthorized hardware, software, and firmware components within the information system.','DoD has defined the frequency as continuously.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as continuously.'),(416,'CM-8','3','The organization employs automated mechanisms, per organization defined frequency, to detect the presence of unauthorized hardware, software, and firmware components within the information system.','The organization being inspected/assessed documents and implements automated mechanisms to detect the presence of unauthorized hardware, software, and firmware components within the information system continuously.\n \nDoD has defined the frequency as continuously.','The organization conducting the inspection/assessment obtains and examines the documentation identifying the automated mechanisms and examines the implemented automated mechanisms to ensure the organization being inspected/assessed employs automated mechanisms, continuously, to detect the presence of unauthorized hardware, software, and firmware components within the information system.\n \n DoD has defined the frequency as continuously.'),(418,'CM-8','4','The organization includes in the information system component inventory information, a means for identifying by name, position, and/or role, individuals responsible/accountable for administering those components.','The organization being inspected/assessed documents within their information system component inventory, the name and position or role of individuals responsible/accountable for administering those components or a means of identifying those individuals.','The organization conducting the inspection/assessment obtains and examines  the information system component inventory to verify that the organization being inspected/assessed identifies within their inventory, the name and position or role of individuals responsible/accountable for administering those components or a means of identifying those individuals.'),(419,'CM-8','5','The organization verifies that all components within the authorization boundary of the information system are not duplicated in other information system inventories.','The organization being inspected/assessed verifies that all components within the authorization boundary of the information system are not duplicated in other information system inventories.','The organization conducting the inspection/assessment obtains and examines the inventory list of the authorized information system and verifies that all components identified during the inspection are not duplicated in other information system inventories.'),(420,'CM-8','6','The organization includes assessed component configurations and any approved deviations to current deployed configurations in the information system component inventory.','The organization being inspected/assessed will institute procedures to ensure assessed component configurations, and any approved deviations to current deployed configurations, are included in the information system component inventory.','The organization conducting the inspection/assessment obtains and examines  the organization\'s configuration management policy and plan; procedures addressing information system component inventory; information system design documentation; information system inventory records; information system component installation records; and any other relevant documents or records.  The purpose of the reviews is to validate the organization is including assessed component configurations, and any approved deviations to deployed configurations, in the information system component\'s inventory.'),(421,'CM-9','','The organization develops a configuration management plan for the information system that addresses roles, responsibilities, and configuration management processes and procedures.','The organization being inspected/assessed will  develop a configuration management plan for the information system that addresses roles, responsibilities, and configuration management processes and procedures.','The organization conducting the inspection/assessment obtains and examines the configuration management plan to verify that it addresses roles, responsibilities, and configuration management processes and procedures'),(422,'CM-9','','The organization documents a configuration management plan for the information system that addresses roles, responsibilities, and configuration management processes and procedures.','The organization being inspected/assessed will  document a configuration management plan for the information system that addresses roles, responsibilities, and configuration management processes and procedures.','The organization conducting the inspection/assessment obtains and examines the configuration management plan to verify that it documents roles, responsibilities, and configuration management processes and procedures'),(423,'CM-9','','The organization implements a configuration management plan for the information system that addresses roles, responsibilities, and configuration management processes and procedures.','The organization being inspected/assessed will  implement a configuration management plan for the information system that addresses roles, responsibilities, and configuration management processes and procedures.','The organization conducting the inspection/assessment obtains and examines the configuration management plan as well as evidence of implementation (e.g., completed change requests, meeting minutes, and other relevant documents) to ensure the organization being inspected/assessed implements a configuration management plan for the information system that addresses roles, responsibilities, and configuration management processes and procedures.'),(424,'CM-9','','The organization develops a configuration management plan for the information system that defines the configuration items for the information system.','The organization being inspected/assessed will develop a configuration management plan for the information system that defines the configuration items.','The organization conducting the inspection/assessment obtains and examines  the configuration management plan to ensure it defines the configuration items for the information system.'),(425,'CM-9','','The organization documents a configuration management plan for the information system that defines the configuration items for the information system.','The organization being inspected/assessed will document a configuration management plan for the information system that defines the configuration items.','The organization conducting the inspection/assessment obtains and examines  the configuration management plan to ensure the organization being inspected/assessed documents the configuration items for the information system.'),(426,'CM-9','','The organization implements a configuration management plan for the information system that defines the configuration items for the information system.','The organization being inspected/assessed will implement a configuration management plan for the information system that defines the configuration items.','The organization conducting the inspection/assessment obtains and examines the configuration management plan to ensure the organization being inspected/assessed implements a configuration management plan for the information system that defines the configuration items.'),(436,'CM-9','1','The organization assigns responsibility for developing the configuration management process to organizational personnel that are not directly involved in information system development.','The organization being inspected/assessed will assign responsibility for developing the configuration management process to organizational personnel that are not directly involved in information system development.','The organization conducting the inspection/assessment obtains and examines documentation of stakeholder role assignments to verify that the personnel assigned CM roles are not assigned roles for information system development.'),(437,'CP-1','','The organization defines the frequency to review and update the current contingency planning policy.','DoD has defined the frequency as every 5 years.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as every 5 years.'),(438,'CP-1','','The organization develops and documents a contingency planning policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','DoDI 8500.01 and NIST SP 800-34 meet the DoD requirements for contingency planning policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8500.01 and NIST SP 800-34.','DoDI 8500.01 and NIST SP 800-34 meet the DoD requirements for contingency planning policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8500.01 and NIST SP 800-34.'),(439,'CP-1','','The organization disseminates a contingency planning policy to organization-defined personnel or roles.','DoD disseminates DoDI 8500.01 organization-wide via the DoD Issuances website.\nhttp://www.dtic.mil/whs/directives/corres/dir.html\n \nNIST disseminates NIST SP 800-34 via\nhttp://csrc.nist.gov/publications/PubsSPs.html','DoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8500.01  and NIST SP 800-34.'),(440,'CP-1','','The organization reviews and updates the current contingency planning policy in accordance with organization-defined frequency.','DoDI 8500.01 and NIST SP 800-34 meet the DoD requirements for contingency planning policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8500.01 and NIST SP 800-34.','DoDI 8500.01 and NIST SP 800-34 meet the DoD requirements for contingency planning policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8500.01 and NIST SP 800-34.'),(441,'CP-1','','The organization develops and documents procedures to facilitate the implementation of the contingency planning policy and associated contingency planning controls.','DoDI 8500.01 and NIST SP 800-34 meet the DoD requirements for contingency planning policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8500.01 and NIST SP 800-34.','DoDI 8500.01 and NIST SP 800-34 meet the DoD requirements for contingency planning policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8500.01 and NIST SP 800-34.'),(443,'CP-2','','The organization develops a contingency plan for the information system that identifies essential missions.','The organization being inspected/assessed must clearly and accurately document essential missions for its information system(s).  Impact of loss of  essential mission functions must be defined using CNSSI 1253.','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure it  clearly and accurately documents essential missions for its information system(s).'),(444,'CP-2','','The organization develops a contingency plan for the information system that identifies essential business functions.','The organization being inspected/assessed must clearly and accurately document essential business functions for its information system(s).  Impact of loss of  essential business functions must be defined using CNSSI 1253.','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure it  clearly and accurately documents essential business functions for its information system(s).'),(445,'CP-2','','The organization develops a contingency plan for the information system that identifies associated contingency requirements.','The organization being inspected/assessed must clearly and accurately document associated contingency requirements for its information system(s).','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure it  clearly and accurately documents associated contingency requirements for its information system(s).'),(446,'CP-2','','The organization develops a contingency plan for the information system that provides recovery objectives.','The organization being inspected/assessed must clearly and accurately document recovery objectives for its information system(s).','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure it  clearly and accurately documents recovery objectives for its information system(s).'),(447,'CP-2','','The organization develops a contingency plan for the information system that provides restoration priorities.','The organization being inspected/assessed must clearly and accurately document restoration priorities for its information system(s).','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure it  clearly and accurately documents restoration priorities for its information system(s).'),(448,'CP-2','','The organization develops a contingency plan for the information system that provides metrics.','The organization being inspected/assessed must clearly and accurately document metrics for its information system(s).','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure it  clearly and accurately documents metrics for its information system(s).'),(449,'CP-2','','The organization develops a contingency plan for the information system that addresses contingency roles, responsibilities, assigned individuals with contact information.','The organization being inspected/assessed must clearly and accurately document contingency roles, responsibilities, assigned individuals with contact information for its information system(s).','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure it  clearly and accurately documents contingency roles, responsibilities, assigned individuals with contact information for its information system(s).'),(450,'CP-2','','The organization develops a contingency plan for the information system that addresses maintaining essential missions despite an information system disruption.','The organization being inspected/assessed must clearly and accurately document maintaining essential missions despite an information system disruption for its information system(s).','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure it  clearly and accurately documents maintaining essential missions despite an information system disruption for its information system(s).'),(451,'CP-2','','The organization develops a contingency plan for the information system that addresses maintaining essential business functions despite an information system disruption.','The organization being inspected/assessed must clearly and accurately document maintaining business functions despite an information system disruption for its information system(s).','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure it  clearly and accurately documents maintaining business functions despite an information system disruption for its information system(s).'),(452,'CP-2','','The organization develops a contingency plan for the information system that addresses maintaining essential missions despite an information system compromise.','The organization being inspected/assessed must clearly and accurately document maintaining essential missions despite an information system compromise for its information system(s).','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure it  clearly and accurately documents maintaining essential missions despite an information system compromise for its information system(s).'),(453,'CP-2','','The organization develops a contingency plan for the information system that addresses maintaining essential business functions despite an information system compromise.','The organization being inspected/assessed must clearly and accurately document maintaining business functions despite an information system compromise for its information system(s).','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure it  clearly and accurately documents maintaining business functions despite an information system compromise for its information system(s).'),(454,'CP-2','','The organization develops a contingency plan for the information system that addresses maintaining essential missions despite an information system failure.','The organization being inspected/assessed must clearly and accurately document maintaining essential missions despite an information system failure for its information system(s).','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure it  clearly and accurately documents maintaining essential missions despite an information system failure for its information system(s).'),(455,'CP-2','','The organization develops a contingency plan for the information system that addresses maintaining essential business functions despite an information system failure.','The organization being inspected/assessed must clearly and accurately document maintaining business functions despite an information system failure for its information system(s).','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure it  clearly and accurately documents maintaining business functions despite an information system failure for its information system(s).'),(456,'CP-2','','The organization develops a contingency plan for the information system that addresses eventual, full information system restoration without deterioration of the security safeguards originally planned and implemented.','The organization being inspected/assessed must clearly and accurately document eventual, full information system restoration without deterioration of the security safeguards originally planned and implemented for its information system(s).','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure it  clearly and accurately documents eventual, full information system restoration without deterioration of the security safeguards originally planned and implemented for its information system(s).'),(457,'CP-2','','The organization develops a contingency plan for the information system that is reviewed and approved by organization-defined personnel or roles.','The organization being inspected/assessed reviews and approves the contingency plan by at a minimum, the ISSM and ISSO.\n \nThe organization must maintain an audit trail of the review and approval activity.\n \nDoD has defined the personnel or roles as at a minimum, the ISSM and ISSO.','The organization conducting the inspection/assessment obtains and examines the audit trail to ensure the contingency plan has been reviewed and approved by at a minimum, the ISSM and ISSO.\n \nDoD has defined the personnel or roles as at a minimum, the ISSM and ISSO.'),(458,'CP-2','','The organization defines a list of key contingency personnel (identified by name and/or by role) and organizational elements designated to receive copies of the contingency plan.','DoD has defined the list as all stakeholders identified in the contingency plan.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the list as all stakeholders identified in the contingency plan.'),(459,'CP-2','','The organization distributes copies of the contingency plan to an organization-defined list of key contingency personnel (identified by name and/or by role) and organizational elements.','The organization being inspected/assessed ensures the contingency plan is disseminated to all stakeholders identified in the contingency plan via an information sharing capibility.\n \nDoD has defined the list as all stakeholders identified in the contingency plan.','The organization conducting the inspection/assessment obtains and examines the contingency plan via the inspected organization\'s information sharing capability (e.g. portal, intranet, email, etc.) to ensure it has been disseminated.\n \n '),(460,'CP-2','','The organization coordinates contingency planning activities with incident handling activities.','The organization being inspected/assessed will coordinate the contingency plan and incident response plan (IR-8) to ensure they\ndo not contradict each other\'s objectives or result in duplicate efforts/activities.','The organization conducting the inspection/assessment obtains and examines the contingency plan and the incident response plan (IR-8) to ensure they\ndo not contradict each other\'s objectives or result in duplicate efforts/activities.'),(461,'CP-2','','The organization defines the frequency to review the contingency plan for the information system.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(462,'CP-2','','The organization reviews the contingency plan for the information system in accordance with organization-defined frequency.','The organization being inspected/assessed annually reviews the contingency plan.\n \nThe organization must maintain an audit trail of annual reviews.','The organization conducting the inspection/assessment obtains and examines the audit trail to ensure the contingency plan is reviewed annually.'),(463,'CP-2','','The organization updates the contingency plan to address changes to the organization.','The organization being inspected/assessed must clearly and accurately update the contingency plan to address organizational changes.\n \nThe organization must document the update activities as an audit trail.','The organization conducting the inspection/assessment obtains and examines the contingency plan and audit trail to ensure the organization clearly and accurately updates the contingency plan to address organizational changes.'),(464,'CP-2','','The organization updates the contingency plan to address changes to the information system.','The organization being inspected/assessed must clearly and accurately update the contingency plan to address changes to the information system.\n \nThe organization must document the update activities as an audit trail.','The organization conducting the inspection/assessment obtains and examines the contingency plan and audit trail to ensure the organization clearly and accurately updates the contingency plan to address information system changes.'),(465,'CP-2','','The organization updates the contingency plan to address changes to the environment of operation.','The organization being inspected/assessed must clearly and accurately revise the contingency plan to address changes to the environment of operation.\n \nThe organization must document the update activities as an audit trail.','The organization conducting the inspection/assessment obtains and examines the contingency plan and audit trail to ensure the organization clearly and accurately revises the contingency plan to address changes to the environment of operation.'),(466,'CP-2','','The organization updates the contingency plan to address problems encountered during contingency plan implementation, execution, or testing.','The organization being inspected/assessed must clearly and accurately revise the contingency plan to address  problems encountered during contingency plan implementation, execution, or testing.\n \nThe organization must document the update activities as an audit trail.','The organization conducting the inspection/assessment obtains and examines the contingency plan and audit trail to ensure the organization clearly and accurately revises the contingency plan to address problems encountered during contingency plan implementation, execution, or testing.'),(468,'CP-2','','The organization communicates contingency plan changes to organization-defined list of key contingency personnel (identified by name and/or by role) and organizational elements.','The organization being inspected/assessed communicates contingency plan changes to  all stakeholders identified in the contingency plan. \n \nDoD has defined the list as all stakeholders identified in the contingency plan.\n ','The organization conducting the inspection/assessment examines the contingency plan via the inspected organization\'s information sharing capability (e.g. portal, intranet, email, etc.) to ensure the most current version has been communicated.'),(469,'CP-2','1','The organization coordinates contingency plan development with organizational elements responsible for related plans.','The organization being inspected/assessed coordinates the development of its contingency plan with other organizational elements responsible for related plans.\n \nThe organization documents any applicable agreements with responsible internal or external entities.  For external entities the agreements could entail MOUs, MOAs, SLAs or contracts.','The organization conducting the inspection/assessment obtains and examines documentation of agreements with entities responsible for the contingency or related plans to ensure there is evidence of coordination of those plans.'),(470,'CP-2','2','The organization conducts capacity planning so that necessary capacity for information processing exists during contingency operations.','The organization being inspected/assessed must conduct and document capacity planning to ensure that necessary capacity for information processing exists during contingency operations.','The organization conducting the inspection/assessment obtains and examines the documented capacity planning to ensure \nthat the organization has performed capacity planning.'),(471,'CP-2','2','The organization conducts capacity planning so that necessary capacity for telecommunications exists during contingency operations.','The organization being inspected/assessed must conduct and document capacity planning to ensure that necessary capacity for telecommunications exists during contingency operations.','The organization conducting the inspection/assessment obtains and examines the documented capacity planning to ensure \nthat the organization has performed capacity planning.'),(472,'CP-2','2','The organization conducts capacity planning so that necessary capacity for environmental support exists during contingency operations.','The organization being inspected/assessed must conduct and document capacity planning to ensure that necessary capacity for environmental support exists during contingency operations.','The organization conducting the inspection/assessment obtains and examines the documented capacity planning to ensure \nthat the organization has performed capacity planning.'),(473,'CP-2','3','The organization defines the time period for planning the resumption of essential missions as a result of contingency plan activation.','DoD has defined the time period as 1 hour (Availability High) 12 hours (Availability Moderate)  as defined in the contingency plan.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as 1 hour (Availability High )  12 hours (Availability Moderate)  as defined in the contingency plan.'),(474,'CP-2','3','The organization defines the time period for planning the resumption of essential business functions as a result of contingency plan activation.','DoD has defined the time period as 1 hour (Availability High) 12 hours (Availability Moderate) as defined in the contingency plan.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as 1 hour (Availability High)  12 hours (Availability Moderate) as defined in the contingency plan.'),(475,'CP-2','3','The organization plans for the resumption of essential missions within the organization-defined time period of contingency plan activation.','The organization being inspected/assessed shall document within their contingency plan, procedures for resumption of essential missions within 1 hour (Availability High) \n12 hours (Availability Moderate) \nas defined in the contingency plan.','The organization conducting the inspection/assessment obtains the contingency plan to ensure it contains procedures for resumption of essential missions within 1 hour (Availability High) \n12 hours (Availability Moderate) \nas defined in the contingency plan.'),(476,'CP-2','3','The organization plans for the resumption of essential business functions within the organization-defined time period of contingency plan activation.','The organization being inspected/assessed shall document within their contingency plan, procedures for resumption of essential business functions within 1 hour (Availability High)  12 hours (Availability Moderate) \nas defined in the contingency plan.','The organization conducting the inspection/assessment obtains the contingency plan to ensure it contains procedures for resumption of essential business functions within 1 hour (Availability High)  12 hours (Availability Moderate) \nas defined in the contingency plan.'),(477,'CP-2','4','The organization defines the time period for planning the resumption of all missions as a result of contingency plan activation.','DoD has defined the time period as 1 hour (Availability High ) 1-5 days (Availability Moderate)  5-30 days (Availability Low) \nas defined in the contingency plan.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as 1 hour (Availability High ) 1-5 days (Availability Moderate) 5-30 days (Availability Low) \nas defined in the contingency plan.'),(478,'CP-2','4','The organization defines the time period for planning the resumption of all business functions as a result of contingency plan activation.','DoD has defined the time period as 1 hour (Availability High ) 1-5 days (Availability Moderate) 5-30 days (Availability Low) \nas defined in the contingency plan.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as 1 hour (Availability High ) 1-5 days (Availability Moderate) 5-30 days (Availability Low) \nas defined in the contingency plan.'),(479,'CP-2','4','The organization plans for the resumption of all missions within organization-defined time period of contingency plan activation.','The organization being inspected/assessed shall document within their contingency plan, procedures for full resumption of affected missions within 1 hour (Availability High ) \n1-5 days (Availability Moderate) \n5-30 days (Availability Low) \nas defined in the contingency plan.','The organization conducting the inspection/assessment obtains the contingency plan to ensure it contains procedures for full resumption of affected missions within 1 hour (Availability High ) \n1-5 days (Availability Moderate) \n5-30 days (Availability Low) \nas defined in the contingency plan.'),(480,'CP-2','4','The organization plans for the resumption of all business functions within organization-defined time period of contingency plan activation.','The organization being inspected/assessed shall document within their contingency plan, procedures for full resumption of affected business functions within 1 hour (Availability High)  1-5 days (Availability Moderate) \n5-30 days (Availability Low) \nas defined in the contingency plan.','The organization conducting the inspection/assessment obtains the contingency plan to ensure it contains procedures for full resumption of affected business functions within 1 hour (Availability High)  1-5 days (Availability Moderate) \n5-30 days (Availability Low) \nas defined in the contingency plan.'),(481,'CP-2','5','The organization plans for the continuance of essential missions with little or no loss of operational continuity.','The organization being inspected/assessed plans for the continuance of essential missions with little or no loss of operational continuity IAW CP-2a.','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure it  clearly and accurately documents maintaining essential missions despite an information system disruption for its information system(s).'),(482,'CP-2','5','The organization plans for the continuance of essential business functions with little or no loss of operational continuity.','The organization being inspected/assessed plans for the continuance of essential business functions with little or no loss of operational continuity IAW CP-2a.','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure it  clearly and accurately documents maintaining essential business functions despite an information system disruption for its information system(s).'),(483,'CP-2','6','The organization plans for the transfer of essential missions to alternate processing and/or storage sites with little or no loss of operational continuity.','The organization being inspected/assessed documents within their continuity plan, a process to transfer essential missions to alternate processing and/or storage sites with little or no loss of operational continuity.','The organization conducting the inspection/assessment obtains and examines the continuity plan to ensure the organization being inspected/assessed documents a process to transfer essential missions to alternate processing and/or storage sites with little or no loss of operational continuity.'),(484,'CP-2','6','The organization plans for the transfer of essential business functions to alternate processing and/or storage sites with little or no loss of operational continuity.','The organization being inspected/assessed documents within their continuity plan, a process to transfer essential business functions to alternate processing and/or storage sites with little or no loss of operational continuity.','The organization conducting the inspection/assessment obtains and examines the continuity plan to ensure the organization being inspected/assessed documents a process to transfer essential business functions to alternate processing and/or storage sites with little or no loss of operational continuity.'),(485,'CP-3','','The organization defines the frequency of refresher contingency training to information system users.','DoD has defined the frequency as at least annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as at least annually'),(486,'CP-3','','The organization provides contingency training to information system users consistent with assigned roles and responsibilities within an organization-defined time period of assuming a contingency role or responsibility.','The organization being inspected/assessed provides initial contingency training to personnel with contigency roles and responsibilities IAW CP-2, CCI 449  at a maximum, 10 working days of assuming a contingency role or responsibility.\n \nThe organization will maintain documentation of the training activity dates, location, and personnel for audit trail purposes and future reference (e.g., scheduling refresher training, etc.).\n \nDoD has defined the time period as at a maximum, 10 working days. ','The organization conducting the inspection/assessment obtains and examines the list of contingency personnel and documentation of initial contingency training for the purpose of ensuring that all personnel with contingency roles and responsibilities have received initial contingency training  at a maximum, 10 working days of assuming a contingency role or responsibility.\n \nDoD has defined the time period as at a maximum, 10 working days. '),(487,'CP-3','','The organization provides refresher contingency training to information system users consistent with assigned roles and responsibilities in accordance with organization-defined frequency.','The organization being inspected/assessed provides refresher contingency training to personnel with contingency roles and responsibilities IAW CP-2, CCI 449 at least annually.\n \nThe organization will maintain documentation of the training activity dates, location, and personnel for audit trail purposes and future reference (e.g., scheduling refresher training, etc.).\n \nDoD has defined the frequency as at least annually.','The organization conducting the inspection/assessment obtains and examines the list of contingency personnel and documentation of refresher contingency training for the purpose of ensuring that all personnel with contingency roles and responsibilities have received refresher contingency training at least annually.\n \nDoD has defined the frequency as at least annually.'),(488,'CP-3','1','The organization incorporates simulated events into contingency training to facilitate effective response by personnel in crisis situations.','The organization being inspected/assessed will include simulated events into contingency training to facilitate effective response by personnel in crisis situations.','The organization conducting the inspection/assessment obtains and examines contingency training materials to ensure that simulated events have been included.'),(489,'CP-3','2','The organization employs automated mechanisms to provide a more thorough and realistic contingency training environment.','The organization being inspected/assessed employs an automated mechanism such as scenario-based interactive online training/CBT  providing a realistic contingency training environment.','The organization conducting the inspection/assessment obtains and examines the automated mechanism such as scenario-based interactive online training/CBT  to verify that it provides a realistic contingency training environment.'),(490,'CP-4','','The organization defines the frequency to test the contingency plan for the information system.','DoD has defined the frequency as at least annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as at least annually.'),(492,'CP-4','','The organization defines contingency plan tests to be conducted for the information system.','The organization being inspected/assessed defines and documents contingency plan tests to be conducted for the information system.\n \nDoD has determined the contingency plan tests are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented contingency plan tests to ensure the organization being inspected/assessed defines contingency plan tests to be conducted for the information system.\n \nDoD has determined the contingency plan tests are not appropriate to define at the Enterprise level.'),(494,'CP-4','','The organization tests the contingency plan for the information system in accordance with organization-defined frequency using organization-defined tests to determine the effectiveness of the plan and the organizational readiness to execute the plan.','The organization being inspected/assessed conduct tests defined in CP-4, 492 at least annually to determine the effectiveness of the plan and the organizational readiness to execute the plan.\n \nThe organization must maintain a record of test results.\n \nDoD has defined the frequency as at least annually.','The organization conducting  the inspection/assessment obtains and examines the record of test results to ensure the organization being inspected/assessed conduct tests defined in CP-4, 492 at least annually to determine the effectiveness of the plan and the organizational readiness to execute the plan.\n \nDoD has defined the frequency as at least annually.'),(496,'CP-4','','The organization reviews the contingency plan test results.','The organization being inspected/assessed will review the contingency plan test results.\n \nThe organization must maintain an audit trail of issues identified during the reviews of the contingency plan test results.','The organization conducting the inspection/assessment obtains and examines the audit trail of issues identified during the reviews of the contingency plan test results to ensure the organization being inspected/assessed reviews the contingency plan test results.'),(497,'CP-4','','The organization initiates corrective actions, if needed, after reviewing the contingency plan test results.','The organization being inspected/assessed identifies and documents any corrective actions required after reviewing the contingency plan test results.  The organization initiates corrective actions and tracks those actions within the POA&M.','The organization conducting the inspection/assessment obtains and examines the contingency plan test results as well as any documented corrective actions required and ensures the corrective actions are being implemented and tracked within the POA&M.'),(498,'CP-4','1','The organization coordinates contingency plan testing with organizational elements responsible for related plans.','The organization being inspected/assessed coordinates the testing of its contingency plan with other organizational elements responsible for related plans.\n \nThe organization documents any applicable agreements with responsible internal or external entities.  For external entities the agreements could entail MOUs, MOAs, SLAs or contracts.','The organization conducting the inspection/assessment obtains and examines documentation of agreements with entities responsible for the contingency or related plans to ensure there is evidence of coordination of those tests.'),(500,'CP-4','2','The organization tests the contingency plan at the alternate processing site to familiarize contingency personnel with the facility and available resources.','The organization being inspected/assessed will include personnel expected to implement the contingency plan at the alternate site in the testing at the alternate site to familiarize  \ncontingency personnel with the facility and available resources.\n \nThe organization must maintain a record of personnel who participated in the contingency plan testing at the alternate site.','The organization conducting the inspection/assessment obtains and examines the record of personnel who participated in the contingency plan testing at the alternate site to ensure the organization being inspected/assessed tests the contingency plan at the alternate processing site to familiarize personnel expected to implement the contingency plan at the alternate site with the facility and available resources.'),(502,'CP-4','3','The organization employs automated mechanisms to more thoroughly and effectively test the contingency plan.','The organization being inspected/assessed will identify and employ automated mechanisms to thoroughly test the contingency plan, for example by providing more complete coverage of contingency issues, selecting more realistic test scenarios and environments, and more effectively stressing the information system and supported missions.','The organization conducting the inspection/assessment obtains and examines the identified automated mechanisms in use to thoroughly test the contingency plan.'),(504,'CP-4','4','The organization includes a full recovery and reconstitution of the information system to a known state as part of contingency plan testing.','The organization being inspected/assessed demonstrates full recovery and reconstitution of its information system to a known state as part of its contingency plan testing. \n \nThe organization documents full recovery and reconstitution as part of its contingency plan testing results.','The organization conducting the inspection/assessment obtains and examines the full recovery and reconstitution procedures and contingency plan testing results to ensure all tests were performed IAW CP-2, CCIs 446 and 447.'),(505,'CP-6','','The organization establishes an alternate storage site including necessary agreements to permit the storage and retrieval of information system backup information.','The organization being inspected/assessed establishes an alternate storage site and documents relevant information within the contingency plan.','The organization conducting the inspection/assessment obtains and examines the contingency plan to confirm the organization has established an alternate storage site.'),(507,'CP-6','1','The organization identifies an alternate storage site that is separated from the primary storage site to reduce susceptibility to the same threats.','The organization being inspected/assessed identifies and documents within the contingency plan an alternate storage site not susceptible to the same threats that exist at the primary storage site.\n \nThe organization must document threats in the risk management strategy IAW PM-9, CCI 000227.','The organization conducting the inspection/assessment obtains and examines the risk management strategy and the contingency plan to ensure the organization identifies an alternate storage site that is separated from the primary storage site so as not to be susceptible to the same threats identified at the primary site.'),(508,'CP-6','2','The organization configures the alternate storage site to facilitate recovery operations in accordance with recovery time and recovery point objectives.','The organization being inspected/assessed configures the alternate storage site to facilitate recovery operations IAW CP-2, CCIs 446 and 447.','The organization conducting the inspection/assessment obtains and examines the contingency plan and conducts a walk-through of the alternate storage site to ensure the organization\'s documented recovery time and recovery point objectives have been met.'),(509,'CP-6','3','The organization identifies potential accessibility problems to the alternate storage site in the event of an area-wide disruption or disaster.','The organization being inspected/assessed must identify and document in the contingency plan potential accessibility problems to the alternate storage site in the event of an area-wide disruption or disaster.','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure the organization has documented  potential accessibility problems to the alternate storage site in the event of an area-wide disruption or disaster.'),(510,'CP-7','','The organization defines the time period consistent with recovery time and recovery point objectives for essential missions/business functions to permit the transfer and resumption of organization-defined information system operations at an alternate processing site when the primary processing capabilities are unavailable.','DoD has defined the time period as 1 hour (Availability High ) 12 hours (Availability Moderate) as defined in the contingency plan.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as 1 hour (Availability High ) 12 hours (Availability Moderate) as defined in the contingency plan'),(513,'CP-7','','The organization establishes an alternate processing site including necessary agreements to permit the transfer and resumption of organization-defined information system operations for essential missions within organization-defined time period consistent with recovery time and recovery point objectives when the primary processing capabilities are unavailable.','The organization being inspected/assessed  documents and gains approval for alternate processing site agreements that permit the transfer and resumption of information system operations for essential missions within 1 hour (Availability High ) 12 hours (Availability Moderate) as defined in the contingency plan.','The organization conducting the inspection/assessment obtains and examines the approved alternate processing site agreements to ensure the organization has alternate processing site support that will permit the transfer and resumption of information system operations for essential missions within 1 hour (Availability High ) 12 hours (Availability Moderate) as defined in the contingency plan.'),(514,'CP-7','','The organization establishes an alternate processing site including necessary agreements to permit the transfer and resumption of organization-defined information system operations for essential business functions within organization-defined time period consistent with recovery time and recovery point objectives when the primary processing capabilities are unavailable.','The organization being inspected/assessed  documents and gains approval for alternate processing site agreements that permit the transfer and resumption of information system operations for business functions within 1 hour (Availability High ) 12 hours (Availability Moderate) as defined in the contingency plan.','The organization conducting the inspection/assessment obtains and examines the approved alternate processing site agreements to ensure the organization has alternate processing site support that will permit the transfer and resumption of information system operations for business functions within 1 hour (Availability High ) 12 hours (Availability Moderate) as defined in the contingency plan.'),(515,'CP-7','','The organization ensures that equipment and supplies required to transfer and resume operations are available at the alternate processing site or contracts are in place to support delivery to the site within the organization-defined time period for transfer/resumption.','The organization being inspected/assessed maintains an inventory of equipment and supplies required to transfer and resume operations, or engages contract support that meets required timelines to  support 1 hour (Availability High) 12 hours (Availability Moderate) as defined in the contingency plan.','The organization conducting the inspection/assessment obtains and examines:\n1. Inventory of equipment and supplies or,\n2. Contract documentation\nto ensure the organization has the equipment and supply resources necessary, or provisions to obtain the resources to transfer and resume operations at the alternate processing site within 1 hour (Availability High ) 12 hours (Availability Moderate) as defined in the contingency plan.'),(516,'CP-7','1','The organization identifies an alternate processing site that is separated from the primary processing site to reduce susceptibility to the same threats.','The organization being inspected/assessed identifies and documents within the contingency plan an alternate processing site not susceptible to the same threats that exist at the primary processing site.\n \nThe organization must document threats in the risk management strategy IAW PM-9, CCI 000227.','The organization conducting the inspection/assessment obtains and examines the risk management strategy and the contingency plan to ensure the organization identifies an alternate processing site that is separated from the primary processing site so as not to be susceptible to the same threats identified at the primary site.'),(517,'CP-7','2','The organization identifies potential accessibility problems to the alternate processing site in the event of an area-wide disruption or disaster.','The organization being inspected/assessed must identify and document in the contingency plan potential accessibility problems to the alternate processing site in the event of an area-wide disruption or disaster.','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure the organization has documented  potential accessibility problems to the alternate processing site in the event of an area-wide disruption or disaster.'),(518,'CP-7','3','The organization develops alternate processing site agreements that contain priority-of-service provisions in accordance with the organizational availability requirements (including recovery time objectives).','The organization being inspected/assessed  documents and gains approval for alternate processing site agreements that contain priority-of-service provisions in accordance with CP-2, CCI 447 (including recovery time objectives).','The organization conducting the inspection/assessment obtains and examines the approved alternate processing site agreements to ensure they contain priority-of-service provisions in accordance with CP-2, CCI 447 for alternate processing site support (including recovery time objectives).'),(519,'CP-7','4','The organization prepares the alternate processing site so that it is ready to be used as the operational site supporting essential missions.','The organization being inspected/assessed prepares the alternate processing site so that it is ready to be used as the operational site supporting essential missions IAW CP-2, CCI 443.','The organization conducting the inspection/assessment obtains and examines the contingency plan and conducts a walk-through of the alternate processing site to ensure it is ready to be used as the operational site supporting essential missions.'),(520,'CP-7','4','The organization prepares the alternate processing site so that it is ready to be used as the operational site supporting essential business functions.','The organization being inspected/assessed prepares the alternate processing site so that it is ready to be used as the operational site supporting business functions IAW CP-2, CCI 444.','The organization conducting the inspection/assessment obtains and examines the contingency plan and conducts a walk-through of the alternate processing site to ensure it is ready to be used as the operational site supporting business functions.'),(521,'CP-7','','The organization ensures that the alternate processing site provides information security safeguards equivalent to that of the primary site.','The organization being inspected/assessed documents the information security safeguards that are in place at both the primary and alternate sites and evidence that the alternate site was approved based on an assessment that security is equivalent at the alternate site.','The organization conducting the inspection/assessment obtains and examines the documentation of the primary/alternate site information security safeguards that are in place as well as evidence that the alternate site was approved based on an assessment that security is equivalent at the alternate site.'),(522,'CP-8','','The organization defines the time period to permit the resumption of organization-defined information system operations for essential missions when the primary telecommunications capabilities are unavailable at either the primary or alternate processing or storage sites.','DoD has defined the time period as 1 hour (Availability High ) 12 hours (Availability Moderate) as defined in the contingency plan.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as 1 hour (Availability High ) 12 hours (Availability Moderate) as defined in the contingency plan.'),(523,'CP-8','','The organization defines the time period to permit the resumption of organization-defined information system operations for essential business functions when the primary telecommunications capabilities are unavailable at either the primary or alternate processing or storage sites.','DoD has defined the time period as 1 hour (Availability High ) 12 hours (Availability Moderate) as defined in the contingency plan.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as 1 hour (Availability High ) 12 hours (Availability Moderate) as defined in the contingency plan.'),(524,'CP-8','','The organization establishes alternate telecommunication services including necessary agreements to permit the resumption of organization-defined information system operations for essential missions within organization-defined time period when the primary telecommunications capabilities are unavailable at either the primary or alternate processing or storage sites.','The organization being inspected/assessed  documents and gains approval for alternate telecommunications service agreements that permit the resumption of telecommunications services for essential missions IAW DoDI 8100.04.  DoD has defined the time period as  1 hour (Availability High ) 12 hours (Availability Moderate) as defined in the contingency plan.','The organization conducting the inspection/assessment obtains and examines the approved alternate telecommunications service agreements to ensure they permit the resumption of telecommunications services for essential mission IAW DoDI 8100.04.  DoD has defined the time period as  1 hour (Availability High ) 12 hours (Availability Moderate) as defined in the contingency plan.'),(525,'CP-8','','The organization establishes alternate telecommunication services including necessary agreements to permit the resumption of organization-defined information system operations for essential business functions within organization-defined time period when the primary telecommunications capabilities are unavailable at either the primary or alternate processing or storage sites.','The organization being inspected/assessed documents and gains approval for alternate telecommunications service agreements that permit the resumption of telecommunications services for business functions IAW DoDI 8100.04.  DoD has defined the time period as  1 hour (Availability High ) 12 hours (Availability Moderate) as defined in the contingency plan.','The organization conducting the inspection/assessment obtains and examines the approved alternate telecommunications service agreements to ensure they permit the resumption of telecommunications services for business functions IAW DoDI 8100.04.  DoD has defined the time period as 1 hour (Availability High ) 12 hours (Availability Moderate) as defined in the contingency plan.'),(526,'CP-8','1','The organization develops primary telecommunications service agreements that contain priority-of-service provisions in accordance with the organizations availability requirements (including recovery time objectives).','The organization being inspected/assessed  documents and gains approval for primary telecommunications service agreements that contain priority-of-service provisions IAW DoDI 8100.04  (including recovery time objectives).','The organization conducting the inspection/assessment obtains and examines the approved primary telecommunications service agreements to ensure they contain priority-of-service provisions IAW DoDI 8100.04  (including recovery time objectives).'),(527,'CP-8','1','The organization develops alternate telecommunications service agreements that contain priority-of-service provisions in accordance with the organizations availability requirements (including recovery time objectives).','The organization being inspected/assessed  documents and gains approval for alternate telecommunications service agreements that contain priority-of-service provisions IAW DoDI 8100.04  (including recovery time objectives).','The organization conducting the inspection/assessment obtains and examines the approved alternate telecommunications service agreements to ensure they contain priority-of-service provisions IAW DoDI 8100.04  (including recovery time objectives).'),(528,'CP-8','1','The organization requests Telecommunications Service Priority for all telecommunications services used for national security emergency preparedness in the event that the primary telecommunications services are provided by a common carrier.','The organization being inspected/assessed identifies and documents within the contingency plan any telecommunications services used for national security emergency preparedness. If the primary telecommunications services are provided by a common carrier, the organization formally requests Telecommunications Service Priority IAW the DHS Telecommunications Service Priority Process http://www.dhs.gov/telecommunications-service-priority-tsp. If the primary telecommunications services are provided by a mid-tier provider instead of a common carrier (for example, DISA) the organization must insure that their provider formally requests Telecommunications Service Priority on their behalf.\n','The organization conducting the inspection/assessment obtains and examines the contingency plan, the telecommunication service agreement, and any existing formal requests for Telecommunications Service Priority.\n \nThe purpose of the review is to ensure the organization or the mid-tier provider has requested Telecommunications Service Priority for all telecommunications services used for national security emergency preparedness where the primary telecommunications services are provided by a common carrier.\n'),(529,'CP-8','1','The organization requests Telecommunications Service Priority for all telecommunications services used for national security emergency preparedness in the event that the alternate telecommunications services are provided by a common carrier.','The organization being inspected/assessed identifies and documents within the contingency plan telecommunications services used for national security emergency preparedness in the event the alternate telecommunications services are provided by a common carrier.  For each service, the organization formally requests Telecommunications Service Priority, IAW the DHS Telecommunications Service Priority Process http://tsp.ncs.gov/request.html.','The organization conducting the inspection/assessment obtains and examines the contingency plan, the telecommunication service agreement, and any existing formal requests for Telecommunications Service Priority.\n \nThe purpose of the review is to ensure the organization has requested Telecommunications Service Priority for all telecommunications services used for national security emergency preparedness in the event the alternate telecommunications services are provided by a common carrier.'),(530,'CP-8','2','The organization obtains alternate telecommunications services to reduce the likelihood of sharing a single point of failure with primary telecommunications services.','The organization being inspected/assessed obtains alternate telecommunications services to reduce the likelihood of sharing a single point of failure with primary telecommunications services IAW DoDI 8100.04.','The organization conducting the inspection/assessment obtains and examines agreements with their service providers to ensure that a single point of failure is not shared.'),(531,'CP-8','3','The organization obtains alternate telecommunications services from providers that are separated from primary service providers to reduce susceptibility to the same threats.','The organization being inspected/assessed obtains alternate telecommunications services from providers that are separated from primary service providers so as not to be susceptible to the same hazards IAW DoDI 8100.04.','The organization conducting the inspection/assessment obtains and examines agreements with alternate service providers to ensure they are not susceptible to the same hazards as the primary service provider.'),(532,'CP-8','4','The organization requires primary telecommunications service providers to have contingency plans.','The organization being inspected/assessed includes in their primary telecommunications service provider agreements requirements for the primary service provider to have contingency plans.','The organization conducting the inspection/assessment obtains and examines the primary telecommunications service provider agreements to ensure the organization requires the primary service provider to have contingency plans.'),(533,'CP-8','4','The organization requires alternate telecommunications service providers to have contingency plans.','The organization being inspected/assessed includes in their alternate telecommunications service provider agreements requirements for the alternate service provider to have contingency plans.','The organization conducting the inspection/assessment obtains and examines the alternate telecommunications service provider agreements to ensure the organization requires the alternate service provider to have contingency plans.'),(534,'CP-9','','The organization defines frequency of conducting user-level information backups to support recovery time objectives and recovery point objectives.','DoD has defined the frequency as at least weekly as defined in the contingency plan.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as at least weekly as defined in the contingency plan.'),(535,'CP-9','','The organization conducts backups of user-level information contained in the information system per organization-defined frequency that is consistent with recovery time and recovery point objectives.','The organization being inspected/assessed must identify user level information within the backup strategy and configure the system to perform backups at least weekly as defined in the contingency plan.','The organization conducting the inspection/assessment obtains and reviews the backup strategy, and examines a sample of systems to ensure they are configured to perform back ups at least weekly as defined in the contingency plan.'),(536,'CP-9','','The organization defines frequency of conducting system-level information backups to support recovery time objectives and recovery point objectives.','DoD has defined the frequency as at least weekly and as required by system baseline configuration changes in accordance with the contingency plan.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as at least weekly and as required by system baseline configuration changes in accordance with the contingency plan.'),(537,'CP-9','','The organization conducts backups of system-level information contained in the information system per organization-defined frequency that is consistent with recovery time and recovery point objectives.','The organization being inspected/assessed must identify system-level information within the backup strategy and configure the system to perform backups at least weekly and as required by system baseline configuration changes in accordance with the contingency plan.','The organization conducting the inspection/assessment obtains and reviews the backup strategy, and examines a sample of systems to ensure they are configured to perform back ups at least weekly and as required by system baseline configuration changes in accordance with the contingency plan.'),(538,'CP-9','','The organization defines the frequency of conducting information system documentation backups including security-related documentation to support recovery time objectives and recovery point objectives.','DoD has defined the frequency as when created or received, when updated, and as required by system baseline configuration changes in accordance with the contingency plan.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as when created or received, when updated, and as required by system baseline configuration changes in accordance with the contingency plan.'),(539,'CP-9','','The organization conducts backups of information system documentation including security-related documentation per  organization-defined frequency that is consistent with recovery time and recovery point objectives.','The organization being inspected/assessed conducts backups of information system documentation including security-related documentation when created or received, when updated, and as required by system baseline configuration changes in accordance with the contingency plan.','The organization conducting the inspection/assessment obtains and examines the latest version of the information system  documentation including security-related documentation to verify it is the same version as contained in backups.'),(540,'CP-9','','The organization protects the confidentiality, integrity, and availability of backup information at storage locations.','The organization being inspected/assessed will protect the confidentiality, integrity, and availability of backup information at the storage location IAW the system security plan.','The organization conducting the inspection/assessment obtains and examines the system security plan and ensures backup information at the storage location is protected IAW the system security plan.'),(541,'CP-9','1','The organization defines the frequency to test backup information to verify media reliability and information integrity.','DoD has defined the frequency as at least monthly in accordance with contingency plan.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as at least monthly in accordance with contingency plan.'),(542,'CP-9','1','The organization tests backup information per organization-defined frequency to verify media reliability and information integrity.','The organization being inspected/assessed tests and logs backup information at least monthly in accordance with contingency plan to verify media reliability and information integrity.','The organization conducting the inspection/assessment obtains and examines the backup plan and verifies that the organization has tested and logged backup information.'),(543,'CP-9','2','The organization uses a sample of backup information in the restoration of selected information system functions as part of contingency plan testing.','The organization being inspected/assessed restores a sample of backup information as part of the restoration of selected information system functions during contingency plan testing.\n \nOrganizations must identify a sample of backup information in the contingency plan test results.','The organization conducting the inspection/assessment obtains and examines the contingency plan test results to verify that the sample of backup information was restored as part of the restoration of selected information system functions.'),(547,'CP-9','5','The organization defines the time period and transfer rate of the information system backup information to the alternate storage site consistent with the recovery time and recovery point objectives.','DoD has defined the time period as Continuously (Availability High ) \n24 hours (Availability Moderate) \n7 days (Availability Low) \nas defined in the contingency plan.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as Continuously (Availability High ) \n24 hours (Availability Moderate) \n7 days (Availability Low) \nas defined in the contingency plan.'),(548,'CP-9','5','The organization transfers information system backup information to the alternate storage site in accordance with the organization-defined time period and transfer rate consistent with the recovery time and recovery point objectives.','The organization being inspected/assessed performs the transfer of  information system backup information to the alternate site Continuously (Availability High) \n24 hours (Availability Moderate) \n7 days (Availability Low)  as defined in the contingency plan.','The organization conducting the inspection/assessment obtains and examines the contingency plan and related logs to ensure the organization transfers information system backup information to the alternate site Continuously (Availability High)  24 hours (Availability Moderate) 7 days (Availability Low)  as defined in the contingency plan.'),(549,'CP-9','6','The organization maintains a redundant secondary information system that is not collocated with the primary system.','The organization being inspected/assessed establishes and maintains a redundant, secondary backup system that is not co-located with the primary system.','The organization conducting the inspection/assessment determines if the organization is maintaining a redundant, secondary backup system that is not co-located with the primary system.'),(550,'CP-10','','The organization provides for the recovery and reconstitution of the information system to a known state after a disruption.','The organization being inspected/assessed provides automated mechanisms or manual procedures, or a combination of the two, for the recovery and reconstitution of its information system to a known state after a disruption.\n \nThe organization must identify the selected method in the contingency plan.','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure it identifies the recovery and reconstitution method for its information system to a known state after a disruption.'),(551,'CP-10','','The organization provides for the recovery and reconstitution of the information system to a known state after a compromise.','The organization being inspected/assessed provides automated mechanisms or manual procedures, or a combination of the two, for the recovery and reconstitution of its information system to a known state after a compromise.\n \nThe organization must identify the selected method in the contingency plan.','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure it identifies the recovery and reconstitution method for its information system to a known state after a compromise.'),(552,'CP-10','','The organization provides for the recovery and reconstitution of the information system to a known state after a failure.','The organization being inspected/assessed provides automated mechanisms or manual procedures, or a combination of the two, for the recovery and reconstitution of its information system to a known state after a failure.\n \nThe organization must identify the selected method in the contingency plan.','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure it identifies the recovery and reconstitution method for its information system to a known state after a failure.'),(553,'CP-10','2','The information system implements transaction recovery for systems that are transaction-based.','The organization being inspected/assessed identifies, documents, and implements transaction recovery capability for systems that are transaction-based. \n \nThe organization must document transaction recovery results as part of contingency plan testing.','The organization conducting the inspection/assessment obtains and examines the contingency plan test results to verify transaction recovery.'),(556,'CP-10','4','The organization defines restoration time-periods to restore information system components from configuration-controlled and integrity-protected information representing a known, operational state for the components.','DoD has defined the time period as \n1 hour (Availability High ) \n24 hours (Availability Moderate) \n1 - 5 days (Availability Low) \nas defined in the contingency plan.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as \n1 hour (Availability High ) \n24 hours (Availability Moderate) \n1 - 5 days (Availability Low) \nas defined in the contingency plan.'),(557,'CP-10','4','The organization provides the capability to restore information system components within organization-defined restoration time-periods from configuration-controlled and integrity-protected information representing a known, operational state for the components.','The organization being inspected/assessed exercises the capability to restore information system components from configuration-controlled and integrity-protected information representing a secure, operational state for the components within the defined time period during contingency plan testing:\n1 hour (Availability High )\n24 hours (Availability Moderate)\n1 - 5 days (Availability Low) \nas defined in the contingency plan.','The organization conducting the inspection/assessment obtains and examines contingency plan test results to verify the organization exercises the capability to restore information system components from configuration-controlled and integrity-protected information representing a secure, operational state for the components, and that restoration occurred within the defined time period:\n1 hour (Availability High )\n24 hours (Availability Moderate)\n1 - 5 days (Availability Low) \nas defined in the contingency plan.'),(558,'SI-13','5','The organization defines the real-time or near-real-time failover capability to be provided for the information system.','The organization being inspected/assessed defines and documents the real-time or near-real-time failover capability to be provided for the information system.\n \nDoD has determined the failover capability is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented failover capability to ensure the organization being inspected/assessed  defines the real-time or near-real-time failover capability to be provided for the information system.\n \nDoD has determined the failover capability is not appropriate to define at the Enterprise level.'),(559,'SI-13','5','The organization provides real-time or near-real-time organization-defined failover capability for the information system.','The organization being inspected/assessed designs the information system to provide real-time or near-real-time  failover capability defined in SI-13 (5), CCI 558  for the information system.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed provides real-time or near-real-time  failover capability defined in SI-13 (5), CCI 558  for the information system.'),(560,'CP-10','6','The organization protects backup and restoration hardware.','The organization being inspected/assessed implements and documents policies and back up procedures designed to protect its backup and restoration hardware.','The organization conducting the inspection/assessment obtains and examines documentation of protection measures to ensure the organization is actively protecting backup and restoration hardware.'),(561,'CP-10','6','The organization protects backup and restoration firmware.','The organization being inspected/assessed implements and documents policies and back up procedures designed to protect its backup and restoration firmware.','The organization conducting the inspection/assessment obtains and examines documentation of protection measures to ensure the organization is actively protecting backup and restoration firmware.'),(562,'CP-10','6','The organization protects backup and restoration software.','The organization being inspected/assessed implements and documents policies and back up procedures designed to protect its backup and restoration software.','The organization conducting the inspection/assessment obtains and examines documentation of protection measures to ensure the organization is actively protecting backup and restoration software.'),(563,'PL-1','','The organization develops and documents a security planning policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','The organization being inspected/assessed develops and documents a security planning policy IAW DoDI 8510.01 that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','The organization conducting the inspection/assessment obtains and examines the documented security planning policy to ensure the organization being inspected/assessed develops and documents a security planning policy IAW DoDI 8510.01 that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.'),(564,'PL-1','','The organization disseminates a security planning policy to organization-defined personnel or roles .','The organization being inspected/assessed disseminates a security planning policy IAW DoDI 8510.01 via an information sharing capability to all personnel.\n\nDoD has defined the personnel or roles as all personnel.\n','The organization conducting the inspection/assessment obtains and examines the security planning policy via the organization\'s information sharing capability to ensure the policy has been disseminated to all personnel IAW DoDI 8510.01.\n\nDoD has defined the personnel or roles as all personnel.'),(566,'PL-1','','The organization develops and documents procedures to facilitate the implementation of the security planning policy and associated security planning controls.','The organization  being inspected/assessed develops and documents procedures IAW DoDI 8510.01  to facilitate the implementation of the security planning policy and associated security planning controls.','The organization conducting the inspection/assessment obtains and examines the documented procedures to ensure the organization being inspected/assessed  develops and documents procedures IAW DoDI 8510.01 to facilitate the implementation of the security planning policy and associated security planning controls'),(567,'PL-1','','The organization disseminates security planning procedures to organization-defined personnel or roles.','The organization being inspected/assessed disseminates security planning procedures IAW DoDI 8510.01 via an information sharing capability to all personnel.\n\nDoD has defined the personnel or roles as all personnel.\n','The organization conducting the inspection/assessment obtains and examines the security planning procedures via the organization\'s information sharing capability to ensure the procedures have been disseminated to all personnel IAW DoDI 8510.01.\n\nDoD has defined the personnel or roles as all personnel.'),(568,'PL-1','','The organization reviews and updates the current security planning procedures in accordance with organization-defined frequency.','The organization being inspected/assessed reviews and updates the current security planning procedures annually, IAW DoDI 8510.01.\n\nThe organization must maintain an audit trail of review and update activity.\n\nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines the audit trail of review and update activity to ensure the organization being inspected/assessed eviews and updates the current security planning procedures annually, IAW DoDI 8510.01.\n\nDoD has defined the frequency as annually.'),(571,'PL-2','','The organization\'s security plan for the information system is reviewed and approved by the authorizing official or designated representative prior to plan implementation.','The organization being inspected/assessed obtains security plan approval by the authorizing official or designated representative prior to plan implementation.','The organization conducting the inspection/assessment obtains and examines the security plan approval to ensure the organization being inspected/assessed obtains security plan approval by the authorizing official or designated representative prior to plan implementation.'),(572,'PL-2','','The organization defines the frequency for reviewing the security plan for the information system.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(573,'PL-2','','The organization reviews the security plan for the information system in accordance with organization-defined frequency.','The information system owner as part of the annual security control review will also review the security plan annually.\n \nDocumentation of security plan reviews is required as an audit trail.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines the audit records of security plan reviews to verify the security plan has been reviewed annually.\n \nDoD has defined the frequency as annually.'),(574,'PL-2','','The organization updates the plan to address changes to the information system/environment of operation or problems identified during plan implementation or security control assessments.','The information system owner will update the security plan  as necessary to address changes to information system/environment of operation or problems identified during plan implementation or security control assessments.\n \nDocumentation of security plan updates are required as an audit trail.','The organization conducting the inspection/assessment obtains and examines the audit records of security plan updates to verify the security plan is current.\n \nThe purpose of the reviews is to validate the organization is updating the Information System (IS) security plan to address changes to the IS, its environment of operation, or problems identified during plan implementation or security control assessments.'),(577,'PL-7','','The organization defines the frequency to review and update the security CONOPS.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(578,'PL-7','','The organization reviews and updates the security CONOPS in accordance with organization-defined frequency.','The organization being inspected/assessed reviews and updates the security CONOPS annually.\n \nThe organization must maintain an audit trail of reviews and updates. \n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines the audit trail of reviews and updates to ensure the organization being inspected/assessed reviews and updates the security CONOPS annually.\n \nDoD has defined the frequency as annually.'),(592,'PL-4','','The organization establishes the rules describing the responsibilities and expected behavior, with regard to information and information system usage, for individuals requiring access to the information system.','The organization being inspected/assessed must develop and document rules that describe information system user responsibilities and expected behavior with regard to information and information system usage, acceptable use policy (AUP).  \n \nOrganizations should reference Joint Ethics Regulations (DoD 5500.7-R) when developing this policy.','The organization conducting the inspection/assessment obtains and examines the organization\'s AUP to ensure  the organization has clearly defined and established rules describing information system user responsibilities and expected behavior with regard to information and information system usage.'),(593,'PL-4','','The organization receives a signed acknowledgment from individuals requiring access the system,  indicating that they have read, understand, and agree to abide by the rules of behavior, before authorizing access to information and the information system.','The organization being inspected/assessed will  obtain  signed acknowledgment (paper or electronic signature) from individuals indicating that they have read, understand, and agree to abide by the rules of behavior, before authorizing access to information and the information system.','The organization conducting the inspection/assessment obtains a list of individuals with active accounts and validates the existence of signed acknowledgements (paper or electronic signature) of the organizational AUP associated with a sampling of individuals selected from the list.'),(594,'PL-4','1','The organization includes in the rules of behavior, explicit restrictions on the use of social media/networking sites.','The organization being inspected/assessed includes in the rules of behavior, IAW DoDI 8550.01, explicit restrictions on the use of social media/networking sites.','The organization conducting the inspection/assessment obtains and examines the rules of behavior to ensure the organization being inspected/assessed includes explicit restrictions on the use of social media/networking sites IAW DoDI 8550.01.'),(595,'PL-4','1','The organization includes in the rules of behavior, explicit restrictions on posting organizational information on public websites.','The organization being inspected/assessed includes in the rules of behavior, IAW DoDI 8550.01, explicit restrictions on posting organizational information on public websites.','The organization conducting the inspection/assessment obtains and examines the rules of behavior to ensure the organization being inspected/assessed includes explicit restrictions on posting organizational information on public websites IAW DoDI 8550.01.'),(601,'SA-1','','The organization defines the frequency to review and update the current system and services acquisition policy.','DoD has defined the frequency as every 5 years.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as every 5 years.'),(602,'SA-1','','The organization develops and documents a system and services acquisition policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1 meet the DoD requirements for system and services acquisition policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1.','DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1 meet the DoD requirements for system and services acquisition policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1.'),(603,'SA-1','','The organization disseminates to organization-defined personnel or roles a system and services acquisition policy.','DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1 meet the DoD requirements for system and services acquisition policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1.','DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1 meet the DoD requirements for system and services acquisition policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1.'),(604,'SA-1','','The organization reviews and updates the current system and services acquisition policy in accordance with organization-defined frequency.','DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1 meet the DoD requirements for system and services acquisition policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1.','DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1 meet the DoD requirements for system and services acquisition policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1.'),(605,'SA-1','','The organization develops and documents procedures to facilitate the implementation of the system and services acquisition policy and associated system and services acquisition controls.','DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1 meet the DoD requirements for system and services acquisition policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1.','DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1 meet the DoD requirements for system and services acquisition policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1.'),(606,'SA-1','','The organization disseminates to organization-defined personnel or roles procedures to facilitate the implementation of the system and services acquisition policy and associated system and services acquisition controls.','DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1 meet the DoD requirements for system and services acquisition policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1.','DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1 meet the DoD requirements for system and services acquisition policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1.'),(607,'SA-1','','The organization reviews and updates the current system and services acquisition procedures in accordance with organization-defined frequency.','DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1 meet the DoD requirements for system and services acquisition policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1.','DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1 meet the DoD requirements for system and services acquisition policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDD 5000.01, DoDI 5000.02, and DoDI 8580.1.'),(610,'SA-2','','The organization determines the resources required to protect the information system or information system service as part of its capital planning and investment control process.','The organization being inspected/assessed determines the resources (funding, staffing, etc.) required for the cybersecurity requirements to protect the information system or information system service as part of its planning, programming, and budget  process (PPBE).','The organization conducting the inspection/assessment obtains and examines the planning, programming, and budget documentation to ensure the organization being inspected/assessed has determined the resources required for cybersecurity requirements to protect the information system or information system service.'),(611,'SA-2','','The organization documents the resources required to protect the information system or information system service as part of its capital planning and investment control process.','The organization being inspected/assessed documents the resources (funding, staffing, etc.) required for the cybersecurity requirements to protect the information system or information system service as part of its planning, programming, and budget  process (PPBE).','The organization conducting the inspection/assessment obtains and examines the planning, programming, and budget documentation to ensure the organization being inspected/assessed has documented the resources required for cybersecurity requirements to protect the information system or information system service.'),(612,'SA-2','','The organization allocates the resources required to protect the information system or information system service as part of its capital planning and investment control process.','The organization being inspected/assessed allocates the resources (funding, staffing, etc.) required for the cybersecurity requirements to protect the information system or information system service  as part of its planning, programming, and budget  process (PPBE).','The organization conducting the inspection/assessment obtains and examines the planning, programming, and budget documentation to ensure the organization being inspected/assessed has allocated the resources required for cybersecurity requirements to protect the information system or information system service.'),(613,'SA-2','','The organization establishes a discrete line item for information security in organizational programming documentation.','The organization being inspected/assessed identifies and establishes an individual line item for cybersecurity requirements to protect the information system  as part of the planning, programming, and budget  process (PPBE).','The organization conducting the inspection/assessment obtains and examines the planning, programming, and budget documentation to ensure the organization being inspected/assessed has identified and established an individual line item for cybersecurity requirements to protect the information system.'),(614,'SA-2','','The organization establishes a discrete line item for information security in organizational budgeting documentation.','The organization being inspected/assessed identifies and establishes an individual line item for cybersecurity requirements to protect the information system  as part of the planning, programming, and budget  process (PPBE).','The organization conducting the inspection/assessment obtains and examines the planning, programming, and budget documentation to ensure the organization being inspected/assessed has identified and established an individual line item for cybersecurity requirements to protect the information system.'),(615,'SA-3','','The organization manages the information system using organization-defined system development life cycle that incorporates information security considerations.','The organization being inspected/assessed documents and implements a process  to manage the information system using the system development life cycle defined in SA-3, CCI 3092 that incorporates information security considerations IAW DoDI 8580.1.','The organization conducting the inspection/assessment obtains and examines the documented process and artifacts of the system development life cycle process to ensure the organization being inspected/assessed manages the information system using the system development life cycle defined in SA-3, CCI 3092 that incorporates information security considerations IAW DoDI 8580.1.'),(616,'SA-3','','The organization defines and documents information system security roles and responsibilities throughout the system development life cycle.','The organization being inspected/assessed defines and documents information system security roles and responsibilities throughout the system development life cycle IAW DoDI 8580.1 .','The organization conducting the inspection/assessment obtains and examines the information system security roles and responsibilities to ensure the organization being inspected/assessed defines and documents information system security roles and responsibilities throughout the system development life cycle IAW DoDI 8580.1.'),(618,'SA-3','','The organization identifies individuals having information system security roles and responsibilities.','The organization being inspected/assessed identifies and documents individuals having information system security roles and responsibilities.','The organization conducting the inspection/assessment obtains and examines the documented individuals having information system security roles and responsibilities to ensure the organization being inspected/assessed identifies individuals having information system security roles and responsibilities.'),(623,'SA-4','1','The organization requires the developer of the information system, system component, or information system service to provide a description of the functional properties of the security controls to be employed.','DoDI 8510.01 system categorization meets the DoD requirement for providing a description of the functional properties of the security controls to be employed. \n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8510.01.','DoDI 8510.01 system categorization meets the DoD requirement for providing a description of the functional properties of the security controls to be employed. \n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8510.01.'),(631,'SA-4','6','The organization employs only government off-the-shelf (GOTS) or commercial off-the-shelf (COTS) information assurance (IA) and IA-enabled information technology products that compose an NSA-approved solution to protect classified information when the networks used to transmit the information are at a lower classification level than the information being transmitted.','The organization being inspected/assessed must identify and use NSA-approved encryption technologies to protect classified information when the networks or transmission medium used to transmit the information are at a lower classification level than the information being transmitted.','The organization conducting the inspection/assessment examines and verifies identified encryption technologies in use by the organization being inspected/assessed are NSA-approved.'),(633,'SA-4','6','The organization ensures that government off-the-shelf (GOTS) or commercial-off-the-shelf(COTS) information assurance (IA) and IA-enabled information technology products have been evaluated and/or validated by the NSA or in accordance with NSA-approved procedures.','The organization being inspected/assessed must identify and use NSA-approved encryption technologies to protect classified information when the networks or transmission medium used to transmit the information are at a lower classification level than the information being transmitted.','The organization conducting the inspection/assessment examines and verifies identified encryption technologies in use by the organization being inspected/assessed are NSA-approved.'),(634,'SA-4','7','The organization limits the use of commercially provided information assurance (IA) and IA-enabled information technology products to those products that have been successfully evaluated against a National Information Assurance partnership (NIAP)-approved Protection Profile for a specific technology type, if such a profile exists.','The organization being inspected/assessed, when using commercially provided IA and IA-enabled IT products uses only products that have been successfully evaluated against a National Information Assurance partnership (NIAP)-approved Protection Profile for a specific technology type, if such a profile exists.','The organization conducting the inspection/assessment obtains and examines the hardware and software lists to ensure the organization being inspected/assessed, when using commercially provided IA and IA-enabled IT products uses only products that have been successfully evaluated against a National Information Assurance partnership (NIAP)-approved Protection Profile for a specific technology type, if such a profile exists.'),(635,'SA-4','7','The organization requires, if no NIAP-approved Protection Profile exists for a specific technology type but a commercially provided information technology product relies on cryptographic functionality to enforce its security policy, that the cryptographic module is FIPS-validated.','The organization being inspected/assessed, when using commercially provided IA or IA enabled IT products for which there is no NIAP-approved protection profile, relies on FIPS-validated cryptographic modules.','The organization conducting the inspection/assessment obtains and examines the hardware and software lists to ensure the organization being inspected/assessed, when using commercially provided IA or IA enabled IT products for which there is no NIAP-approved protection profile, relies on FIPS-validated cryptographic modules.'),(642,'SA-5','','The organization documents attempts to obtain information system, system component, or information system service documentation when such documentation is either unavailable or nonexistent.','\nThe organization being inspected/assessed documents attempts to obtain information system, system component, or information system service documentation when such documentation is either unavailable or nonexistent.\n','The organization conducting the inspection/assessment obtains and examines the documented attempts to ensure the organization being inspected/assessed documents attempts to obtain information system, system component, or information system service documentation when such documentation is either unavailable or nonexistent.'),(664,'SA-8','','The organization applies information system security engineering principles in the specification of the information system.','The organization managing the acquisition/development of the information system (e.g. PM) applies and documents system security engineering (SSE) principles as part of the overall systems engineering process IAW DoDD 5000.01 and DoDI 5000.02.  The primary source of general and DoD-specific guidance on SSE can be found in the NIST SP 800-160 - Systems Security Engineering, currently in draft form, and can be found here: http://csrc.nist.gov/publications/PubsSPs.html. Additional guidance can be found in the Defense Acquisition Guidebook (DAG) Chapters 4 and 13, found here: https://dag.dau.mil/. \n \n \nThis CCI does not apply to COTS products.\n\nThe organization managing the acquisition/development of the information system must ensure that the system requirements documents reflect the  system security engineering principles that can be applied to information systems in development, systems undergoing major upgrades and to the extent feasible systems in sustainment.  Security engineering principles include:\n 1. Developing layered protections;\n 2. Establishing sound security policy, architecture, and controls as the foundation for design;\n 3. Incorporating security requirements into all phases of the system development life cycle;\n 4. Delineating physical and logical security boundaries; \n 5. Ensuring that system developers are trained on how to design and build secure software; \n 6. Tailoring security controls and protections to meet system-specific requirements and operational needs; \n 7. Performing threat modeling to identify use cases, threat agents, attack vectors, and attack patterns as well as compensating controls and design patterns needed to mitigate risk.','The organization conducting the inspection/assessment obtains and examines the system requirements documents to ensure that the organization being inspected/assessed applies information system security engineering principles in the specification of the information system.'),(665,'SA-8','','The organization applies information system security engineering principles in the design of the information system.','The organization managing the acquisition/development of the information system (e.g. PM) applies and documents system security engineering (SSE) principles as part of the overall systems engineering process IAW DoDD 5000.01 and DoDI 5000.02.  The primary source of general and DoD-specific guidance on SSE can be found in the NIST SP 800-160 - Systems Security Engineering, currently in draft form, and can be found here: http://csrc.nist.gov/publications/PubsSPs.html. Additional guidance can be found in the Defense Acquisition Guidebook (DAG) Chapters 4 and 13, found here: https://dag.dau.mil/. \n \n \nThis CCI does not apply to COTS products.\n\nThe organization managing the acquisition/development of the information system must ensure that the design documents reflect the system security engineering principles that  can be applied to information systems in development, systems undergoing major upgrades and to the extent feasible systems in sustainment.  Security engineering principles include:\n 1. Developing layered protections;\n 2. Establishing sound security policy, architecture, and controls as the foundation for design;\n 3. Incorporating security requirements into all phases of the system development life cycle;\n 4. Delineating physical and logical security boundaries; \n 5. Ensuring that system developers are trained on how to design and build secure software; \n 6. Tailoring security controls and protections to meet system-specific requirements and operational needs; \n 7. Performing threat modeling to identify use cases, threat agents, attack vectors, and attack patterns as well as compensating controls and design patterns needed to mitigate risk.','The organization conducting the inspection/assessment obtains and examines the design documents to ensure that the organization being inspected/assessed applies information system security engineering principles in the design of the information system.'),(666,'SA-8','','The organization applies information system security engineering principles in the development of the information system.','The organization managing the acquisition/development of the information system (e.g. PM) applies and documents system security engineering (SSE) principles as part of the overall systems engineering process IAW DoDD 5000.01 and DoDI 5000.02.  The primary source of general and DoD-specific guidance on SSE can be found in the NIST SP 800-160 - Systems Security Engineering, currently in draft form, and can be found here: http://csrc.nist.gov/publications/PubsSPs.html. Additional guidance can be found in the Defense Acquisition Guidebook (DAG) Chapters 4 and 13, found here: https://dag.dau.mil/. \n \n \nThis CCI does not apply to COTS products.\n\nThe organization managing the acquisition/development of the information system must ensure that the development procedures reflect the system security engineering principles that can be applied to information systems in development, systems undergoing major upgrades and to the extent feasible systems in sustainment.  Security engineering principles include:\n 1. Developing layered protections;\n 2. Establishing sound security policy, architecture, and controls as the foundation for design;\n 3. Incorporating security requirements into all phases of the system development life cycle;\n 4. Delineating physical and logical security boundaries; \n 5. Ensuring that system developers are trained on how to design and build secure software; \n 6. Tailoring security controls and protections to meet system-specific requirements and operational needs; \n 7. Performing threat modeling to identify use cases, threat agents, attack vectors, and attack patterns as well as compensating controls and design patterns needed to mitigate risk.\n\nExamples of development procedures that should reflect SSE principles are configuration management plans, code review procedures, and coding style guides.  Configuration management plans should be IAW CM-9, CCI 001790.','The organization conducting the inspection/assessment obtains and examines the system development procedures (e.g. configuration management plans, code review procedures, and coding style guides) to ensure that the organization being inspected/assessed applies information system security engineering principles in the development of the information system.'),(667,'SA-8','','The organization applies information system security engineering principles in the implementation of the information system.','The organization managing the acquisition/development of the information system (e.g. PM) applies and documents system security engineering (SSE) principles as part of the overall systems engineering process IAW DoDD 5000.01 and DoDI 5000.02.  The primary source of general and DoD-specific guidance on SSE can be found in the NIST SP 800-160 - Systems Security Engineering, currently in draft form, and can be found here: http://csrc.nist.gov/publications/PubsSPs.html. Additional guidance can be found in the Defense Acquisition Guidebook (DAG) Chapters 4 and 13, found here: https://dag.dau.mil/. \n \n \nThis CCI does not apply to COTS products.\n\nThe organization managing the acquisition/development of the information system must employ the procedures identified in SA-8, CCI, 000666 during the implementation of the information system.  The system owner must maintain an audit trail of the activities conducted IAW SA-8, CCI 000666.  An example of artifacts is CCB minutes, code review results, and source code analysis results.','The organization conducting the inspection/assessment obtains and examines the audit trail artifacts that were created during the implementation of SA-8, CCI 000666\nto ensure that the organization being inspected/assessed applies information system security engineering principles in the implementation of the information system and that changes are made IAW the configuration management plan (CM-9, CCI 001790).'),(668,'SA-8','','The organization applies information system security engineering principles in the modification of the information system.','The organization managing the acquisition/development of the information system (e.g. PM) applies and documents system security engineering (SSE) principles as part of the overall systems engineering process IAW DoDD 5000.01 and DoDI 5000.02.  The primary source of general and DoD-specific guidance on SSE can be found in the NIST SP 800-160 - Systems Security Engineering, currently in draft form, and can be found here: http://csrc.nist.gov/publications/PubsSPs.html. Additional guidance can be found in the Defense Acquisition Guidebook (DAG) Chapters 4 and 13, found here: https://dag.dau.mil/. \n \n \nThis CCI does not apply to COTS products.\n\nThe organization managing the acquisition/development of the information system must employ the procedures identified in SA-8, CCI, 000666 during the modification of the information system.  The system owner must maintain an audit trail of the activities conducted IAW SA-8, CCI 000666.  An example of artifacts is CCB minutes, code review results, and source code analysis results.\n','The organization conducting the inspection/assessment obtains and examines the audit trail artifacts that were created during the modification of SA-8, CCI 000666\nto ensure that the organization being inspected/assessed applies information system security engineering principles in the modification of the information system and that changes are made IAW the configuration management plan (CM-9, CCI 001790).'),(669,'SA-9','','The organization requires that providers of external information system services comply with organizational information security requirements.','The organization being inspected/assessed documents within contracts/agreements, requirements that providers of external information system services comply with any organization-specific information security requirements.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that providers of external information system services comply with any organization-specific information security requirements.'),(670,'SA-9','','The organization requires that providers of external information system services employ organization-defined security controls in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, and guidance.','The organization being inspected/assessed documents within contracts/agreements, the\nrequirement that providers of external information system services employ security controls defined in CNSSI 1253.\n \nDoD has defined the security controls as security controls defined by CNSSI 1253.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that providers of external information system services employ security controls defined in CNSSI 1253.\n \nDoD has defined the security controls as security controls defined by CNSSI 1253.'),(671,'SA-9','','The organization defines government oversight with regard to external information system services.','The organization being inspected/assessed must define in the official documentation governing the provision of the external IT services (e.g. contract, MOU, MOA, SLA, etc.) the government oversight to be conducted on  external information system services and service provider.','The organization conducting the inspection/assessment obtains and examines the official documentation governing the provision of the external IT services (e.g. contract, MOU, MOA, SLA, etc.) to confirm the organization has clearly defined the government oversight to be conducted on external information system services and service providers.'),(672,'SA-9','','The organization documents government oversight with regard to external information system services.','The organization being inspected/assessed must establish in the official documentation governing the provision of the external IT services (e.g. contract, MOU, MOA, SLA, etc.) the government oversight to be conducted on  external information system services and service provider.','The organization conducting the inspection/assessment obtains and examines the official documentation governing the provision of the external IT services (e.g. contract, MOU, MOA, SLA, etc.) to confirm the organization has clearly established the government oversight to be conducted on external information system services and service providers.'),(673,'SA-9','','The organization defines user roles and responsibilities with regard to external information system services.','The organization being inspected/assessed must define in the official documentation governing the provision of the external IT services (e.g. contract, MOU, MOA, SLA, etc.) the roles and responsibilities of all types of users of the external information system services.','The organization conducting the inspection/assessment obtains and examines the official documentation governing the provision of the external IT services (e.g. contract, MOU, MOA, SLA, etc.) to confirm the organization has clearly defined the roles and responsibilities of all types of users of the external information system services.'),(674,'SA-9','','The organization documents user roles and responsibilities with regard to external information system services.','The organization being inspected/assessed must establish in the official documentation governing the provision of the external IT services (e.g. contract, MOU, MOA, SLA, etc.) the roles and responsibilities of all types of users of the external information system services.','The organization conducting the inspection/assessment obtains and examines the official documentation governing the provision of the external IT services (e.g. contract, MOU, MOA, SLA, etc.) to confirm the organization has clearly established the roles and responsibilities of all types of users of the external information system services.'),(692,'SA-10','','The organization requires the developer of the information system, system component, or information system service to implement only organization-approved changes to the system, component, or service.','The organization being inspected/assessed requires within contracts/agreements that the developer of the information system, system component, or information system service implement only organization-approved changes to the system, component, or service throughout its life cycle.','The organization conducting the inspection/assessment obtains and examines contracts/agreements between the organization and the IS developer to confirm the organization has established in its acquisition contracts/agreements the requirement that the IS developer implement only organization-approved changes to the system, component, or service throughout its life cycle.'),(694,'SA-10','','The organization requires the developer of the information system, system component, or information system service to document approved changes to the system, component, or service.','The organization being inspected/assessed requires within contracts/agreements that the  developer of the information system, system component, or information system service document approved changes to the system, component, or service.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service document approved changes to the system, component, or service.'),(698,'SA-10','1','The organization requires the developer of the information system, system component, or information system service to enable integrity verification of software and firmware components.','The organization being inspected/assessed requires within contracts/agreements that the developer of the information system, system component, or information system service enable integrity verification of software and firmware components.\n\nThe organization being inspected/assessed requires the developer to enable integrity verification of software and firmware that may include:\n1. Stipulating and monitoring logical delivery of products and services, requiring downloading from approved, verification-enhanced sites;\n2. Encrypting elements (software, software patches, etc.) and supply chain process data in transit (motion) and at rest throughout delivery;\n3. Requiring suppliers to provide their elements “secure by default”, so that additional configuration is required to make the element insecure;\n4. Implementing software designs using programming languages and tools that reduce the likelihood of weaknesses;\n5. Implementing cryptographic hash verification; and\n6. Establishing performance and sub-element baseline for the system and system elements to help detect unauthorized tampering/modification during repairs/refurbishing. \n','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service enable integrity verification of software and firmware components.'),(700,'SA-10','2','The organization provides an alternate configuration management process using organizational personnel in the absence of a dedicated developer configuration management team.','The organization being inspected/assessed, in the absence of a dedicated software developer configuration management team, establishes an alternate configuration management process that is staffed with appropriate key organizational personnel.','The organization conducting the inspection/assessment obtains and examines the Configuration Control Board (CCB) charter  to determine if the organization, in the absence of a dedicated software developer configuration management team, has established an alternate configuration management process that is staffed with key organizational personnel.'),(722,'SA-12','','The organization defines the security safeguards to employ to protect against supply chain threats to the information system, system component, or information system service.','DoD has defined the requirements to protect against supply chain threats in DoDI 5200.44, \"Protection of Mission Critical Functions to Achieve Trusted Systems and Networks (TSN).\"','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the requirements to protect against supply chain threats in DoDI 5200.44, \"Protection of Mission Critical Functions to Achieve Trusted Systems and Networks (TSN).\"'),(723,'SA-12','','The organization protects against supply chain threats to the information system, system component, or information system service by employing organization-defined security safeguards as part of a comprehensive, defense-in-breadth information security strategy.','The organization being inspected/assessed must identify and document in the Security Plan whether the system is a “covered system” IAW DoDI 5200.44.  If it is a covered system, the organization must implement the requirements below:\n1. Conduct a criticality analysis to identify mission critical functions and critical components and reduce the vulnerability of such functions and components through secure system design;\n2. Request threat analysis of suppliers of critical components from the TSN focal point and manage access to and control of threat analysis products containing U.S. person information;\n3. Engage TSN focal points for guidance on managing identified risk using DoD Components and Enterprise risk management resources; and\n4. Apply TSN best practices, processes, techniques, and procurement tools prior to the acquisition of critical components or their integration into applicable systems, at any point in the system lifecycle. Such tools and practices include contract requirements and the SCRM key practices Guide.\n','The organization conducting the inspection/assessment obtains and examines the Security Plan for the system to determine whether the system is a “covered system” IAW DoDI 5200.44.  \n\nIf it is a covered system, the organization conducting the inspection/assessment obtains and examines documentation of compliance with DoDI 5200.44, to ensure the organization being inspected/assessed has:\n1. Conducted a criticality analysis to identify mission critical functions and critical components and reduced the vulnerability of such functions and components through secure system design;\n2. Requested threat analysis of suppliers of critical components from the TSN focal point and managed access to and control of threat analysis products containing U.S. person information;\n3. Engaged TSN focal points for guidance on managing identified risk using DoD Components and Enterprise risk management resources; and\n4. Applied TSN best practices, processes, techniques, and procurement tools prior to the acquisition of critical components or their integration into applicable systems, at any point in the system lifecycle. Such tools and practices include contract requirements and the SCRM key practices Guide.'),(756,'IA-1','','The organization develops an identification and authentication policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','The organization being inspected/assessed develops and documents  an identification and authentication policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','The organization conducting the inspection/assessment obtains and examines the identification and authentication policy to ensure the organization being inspected/assessed develops and documents an identification and authentication policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.'),(757,'IA-1','','The organization disseminates to organization defined personnel or roles an identification and authentication policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','The organization being inspected/assessed disseminates via an information sharing capability to organization defined personnel or roles an identification and authentication policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','The organization conducting the inspection/assessment examines the  identification and authentication policy via the organization\'s information sharing capability to ensure the organization being inspected/assessed disseminates the identification and authentication policy to organization defined personnel or roles.'),(758,'IA-1','','The organization reviews and updates identification and authentication policy in accordance with the organization defined frequency.','The organization being inspected/assessed annually reviews and updates identification and authentication policy.\n \nThe organization must maintain review and update activity as an audit trail.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines the audit trail of reviews and updates to ensure the organization being inspected/assessed annually reviews and updates identification and authentication policy.\n \n \nDoD has defined the frequency as annually.'),(759,'IA-1','','The organization defines a frequency for reviewing and updating the identification and authentication policy.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n\nDoD has defined the frequency as annually.'),(760,'IA-1','','The organization develops procedures to facilitate the implementation of the identification and authentication policy and associated identification and authentication controls.','The organization being inspected/assessed develops and documents identification and authentication procedures to facilitate the implementation of the identification and authentication policy and associated identification and authentication controls.','The organization conducting the inspection/assessment obtains and examines the identification and authentication procedures to ensure the organization being inspected/assessed develops and documents  identification and authentication procedures to facilitate the implementation of the identification and authentication policy and associated identification and authentication controls.'),(761,'IA-1','','The organization disseminates to organization-defined personnel or roles procedures to facilitate the implementation of the identification and authentication policy and associated identification and authentication controls.','The organization being inspected/assessed disseminates via an information sharing capability to organization defined personnel or roles identification and authentication procedures to facilitate the implementation of the identification and authentication policy and associated identification and authentication controls.','The organization conducting the inspection/assessment examines the  identification and authentication procedures via the organization\'s information sharing capability to ensure the organization being inspected/assessed disseminates the identification and authentication procedures to organization defined personnel or roles.'),(762,'IA-1','','The organization reviews and updates identification and authentication procedures in accordance with the organization defined frequency.','The organization being inspected/assessed annually reviews and updates identification and authentication procedures.\n \nThe organization must maintain review and update activity as an audit trail.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines the audit trail of reviews and updates to ensure the organization being inspected/assessed annually reviews and updates identification and authentication procedures.\n  \nDoD has defined the frequency as annually.'),(763,'IA-1','','The organization defines a frequency for reviewing and updating the identification and authentication procedures.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n\nDoD has defined the frequency as annually.'),(764,'IA-2','','The information system uniquely identifies and authenticates organizational users (or processes acting on behalf of organizational users).','The organization being inspected/assessed configures the information system to uniquely identify and authenticate organizational users (or processes acting on behalf of organizational users).\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 764.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to uniquely identify and authenticate organizational users (or processes acting on behalf of organizational users).\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 764.'),(765,'IA-2','1','The information system implements multifactor authentication for network access to privileged accounts.','The organization being inspected/assessed configures the information system to implement multifactor authentication for network access to privileged accounts.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 765.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement multifactor authentication for network access to privileged accounts.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 765.'),(766,'IA-2','2','The information system implements multifactor authentication for network access to non-privileged accounts.','The organization being inspected/assessed configures the information system to implement multifactor authentication for network access to non-privileged accounts.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 766.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement multifactor authentication for network access to non-privileged accounts.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 766.'),(767,'IA-2','3','The information system implements multifactor authentication for local access to privileged accounts.','The organization being inspected/assessed configures the information system to implement multifactor authentication for local access to privileged accounts.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 767.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement multifactor authentication for local access to privileged accounts.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 767.'),(768,'IA-2','4','The information system implements multifactor authentication for local access to non-privileged accounts.','The organization being inspected/assessed configures the information system to  implement multifactor authentication for local access to non-privileged accounts.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 768.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement multifactor authentication for local access to non-privileged accounts.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 768.'),(770,'IA-2','5','The organization requires individuals to be authenticated with an individual authenticator when a group authenticator is employed.','The organization being inspected/assessed requires individuals or configures the information system to require individuals to be authenticated with an individual authenticator when a group authenticator is employed. \n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 770.','The organization conducting the inspection/assessment obtains and examines standard operating procedures or system documentation to ensure the organization being inspected/assessed requires individuals  to be authenticated with an individual authenticator when a group authenticator is employed. \n \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 770.'),(777,'IA-3','','The organization defines a list of specific and/or types of devices for which identification and authentication is required before establishing a connection to the information system.','DoD has defined the value as all mobile devices and network connected endpoint devices (including but not limited to: workstations, printers, servers (outside a datacenter), VoIP Phones, VTC CODECs).  ','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the value as all mobile devices and network connected endpoint devices (including but not limited to: workstations, printers, servers (outside a datacenter), VoIP Phones, VTC CODECs). '),(778,'IA-3','','The information system uniquely identifies an organization defined list of specific and/or types of devices before establishing a local, remote, or network connection.','The organization being inspected/assessed configures the network infrastructure to identify all mobile devices and network connected endpoint devices (including but not limited to: workstations, printers, servers (outside a datacenter), VoIP Phones, VTC CODECs) before establishing a local, remote, network connection.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 778.\n \nDoD has defined the value as all mobile devices and network connected endpoint devices (including but not limited to: workstations, printers, servers (outside a datacenter), VoIP Phones, VTC CODECs).  ','The organization conducting the inspection/assessment examine a sampling of the network infrastructure device configurations to ensure devices connecting to the infrastructure are uniquely identified.  \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 778.'),(783,'IA-3','3','The organization audits lease information when assigned to a device.','The organization being inspected/assessed configures the information system to record lease information in the audit log.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 783.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed has configured the information system to record lease information in the audit log and examine the audit records to ensure the records have captured the appropriate information.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 783.'),(794,'IA-4','','The organization defines a time period of inactivity after which the identifier is disabled.','DoD has defined the time period as 35 days of inactivity.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as 35 days of inactivity.'),(795,'IA-4','','The organization manages information system identifiers by disabling the identifier after an organization defined time period of inactivity.','The organization being inspected/assessed configures the information system to disable identifiers after 35 days of inactivity.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI  795.\n  \nDoD has defined the time period as 35 days of inactivity.','The organization conducting the inspection/assessment examines the information system configuration to ensure that identifiers are disabled after 35 days of inactivity.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 795.\n \nDoD has defined the time period as 35 days of inactivity.'),(796,'IA-4','1','The organization prohibits the use of information system account identifiers that are the same as public identifiers for individual electronic mail accounts.','The organization being inspected/assessed documents and implements a process to prohibit the use of information system account identifiers that are the same as public identifiers for individual electronic mail accounts.','The organization conducting the inspection/assessment obtains and examines documented process to ensure the organization being inspected/assessed prohibits the use of information system account identifiers that are the same as public identifiers for individual electronic mail accounts.'),(799,'IA-4','3','The organization requires multiple forms of certification of individual identification, such as documentary evidence or a combination of documents and biometrics be presented to the registration authority.','The organization being inspected/assessed documents and implements a process to require multiple forms of certification of individual identification, such as documentary evidence or a combination of documents and biometrics be presented to the registration authority.','The organization conducting the inspection/assessment obtains and examines the documented process and interviews  personnel with identifier management responsibilities to ensure the organization being inspected/assessed  requires multiple forms of certification of individual identification, such as documentary evidence or a combination of documents and biometrics be presented to the registration authority.'),(800,'IA-4','4','The organization defines characteristics for identifying individual status.','DoD has defined the characteristics as contractor or government employee and by nationality. User identifiers will follow the same format as DoD user e-mail addresses (john.smith.ctr@army.mil or john.smith.uk@army.mil); \n- DoD user e-mail display names (e.g., John Smith, Contractor <john.smith.ctr@army.mil> or John Smith, United Kingdom <john.smith.uk@army.mil>);  and \n- automated signature blocks (e.g., John Smith, Contractor,  J-6K, Joint Staff or John Doe, Australia, LNO, Combatant Command).\nContractors who are also foreign nationals are identified as both, e.g., john.smith.ctr.uk@army.mil','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the characteristics as contractor or government employee and by nationality. User identifiers will follow the same format as DoD user e-mail addresses (john.smith.ctr@army.mil or john.smith.uk@army.mil); \n- DoD user e-mail display names (e.g., John Smith, Contractor <john.smith.ctr@army.mil> or John Smith, United Kingdom <john.smith.uk@army.mil>);  and \n- automated signature blocks (e.g., John Smith, Contractor,  J-6K, Joint Staff or John Doe, Australia, LNO, Combatant Command).\nContractors who are also foreign nationals are identified as both, e.g., john.smith.ctr.uk@army.mil'),(801,'IA-4','4','The organization manages individual identifiers by uniquely identifying each individual as organization-defined characteristic identifying individual status.','The organization being inspected/assessed documents and implements a process to manage individual identifiers by uniquely identifying each individual as contractor or government employee and by nationality. User identifiers will follow the same format as DoD user e-mail addresses (john.smith.ctr@army.mil or john.smith.uk@army.mil); \n- DoD user e-mail display names (e.g., John Smith, Contractor <john.smith.ctr@army.mil> or John Smith, United Kingdom <john.smith.uk@army.mil>);  and \n- automated signature blocks (e.g., John Smith, Contractor,  J-6K, Joint Staff or John Doe, Australia, LNO, Combatant Command).\nContractors who are also foreign nationals are identified as both, e.g., john.smith.ctr.uk@army.mil. \n \nDoD has defined the characteristics as contractor or government employee and by nationality. User identifiers will follow the same format as DoD user e-mail addresses (john.smith.ctr@army.mil or john.smith.uk@army.mil); \n- DoD user e-mail display names (e.g., John Smith, Contractor <john.smith.ctr@army.mil> or John Smith, United Kingdom <john.smith.uk@army.mil>);  and \n- automated signature blocks (e.g., John Smith, Contractor,  J-6K, Joint Staff or John Doe, Australia, LNO, Combatant Command).\nContractors who are also foreign nationals are identified as both, e.g., john.smith.ctr.uk@army.mil. ','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed manages individual identifiers by uniquely identifying each individual as  contractor or government employee and by nationality. User identifiers will follow the same format as DoD user e-mail addresses (john.smith.ctr@army.mil or john.smith.uk@army.mil); \n- DoD user e-mail display names (e.g., John Smith, Contractor <john.smith.ctr@army.mil> or John Smith, United Kingdom <john.smith.uk@army.mil>);  and \n- automated signature blocks (e.g., John Smith, Contractor,  J-6K, Joint Staff or John Doe, Australia, LNO, Combatant Command).\nContractors who are also foreign nationals are identified as both, e.g., john.smith.ctr.uk@army.mil. \n \nDoD has defined the characteristics as contractor or government employee and by nationality. User identifiers will follow the same format as DoD user e-mail addresses (john.smith.ctr@army.mil or john.smith.uk@army.mil); \n- DoD user e-mail display names (e.g., John Smith, Contractor <john.smith.ctr@army.mil> or John Smith, United Kingdom <john.smith.uk@army.mil>);  and \n- automated signature blocks (e.g., John Smith, Contractor,  J-6K, Joint Staff or John Doe, Australia, LNO, Combatant Command).\nContractors who are also foreign nationals are identified as both, e.g., john.smith.ctr.uk@army.mil. '),(803,'IA-7','','The information system implements mechanisms for authentication to a cryptographic module that meet the requirements of applicable federal laws, Executive Orders, directives, policies, regulations, standards, and guidance for such authentication.','The organization being inspected/assessed configures the information system to implement mechanisms for authentication to a cryptographic module that meet the requirements of applicable federal laws, Executive Orders, directives, policies, regulations, standards, and guidance for such authentication.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 803.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement mechanisms for authentication to a cryptographic module that meet the requirements of applicable federal laws, Executive Orders, directives, policies, regulations, standards, and guidance for such authentication.\n  \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 803.'),(804,'IA-8','','The information system uniquely identifies and authenticates non-organizational users (or processes acting on behalf of non-organizational users).','The organization being inspected/assessed configures the information system to uniquely identify and authenticate non-organizational users (or processes acting on behalf of non-organizational users).\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 804.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to uniquely identify and authenticate non-organizational users (or processes acting on behalf of non-organizational users).\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 804.'),(805,'IR-1','','The organization develops and documents an incident response policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','CJCSI 6510.01F \"Information Assurance and Support to Computer Network Defense,\"   CJCSM 6510.01B, \"Cyber Incident Handling Program,\" DoDD O-8530.1, and DoDI O-8530.2 meet the DoD requirements for incident response policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, CJCSI 6510.01F, CJCSM 6510.01B, DoDD O-8530.1, and DoDI O-8530.2.','CJCSI 6510.01F \"Information Assurance and Support to Computer Network Defense,\"   CJCSM 6510.01B, \"Cyber Incident Handling Program,\" DoDD O-8530.1, and DoDI O-8530.2 meet the DoD requirements for incident response policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, CJCSI 6510.01F, CJCSM 6510.01B, DoDD O-8530.1, and DoDI O-8530.2.'),(806,'IR-1','','The organization disseminates an incident response policy to organization-defined personnel or roles.','CJCSI 6510.01F \"Information Assurance and Support to Computer Network Defense,\"   CJCSM 6510.01B, \"Cyber Incident Handling Program,\" DoDD O-8530.1, and DoDI O-8530.2 meet the DoD requirements for incident response policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, CJCSI 6510.01F, CJCSM 6510.01B, DoDD O-8530.1, and DoDI O-8530.2.','CJCSI 6510.01F \"Information Assurance and Support to Computer Network Defense,\"   CJCSM 6510.01B, \"Cyber Incident Handling Program,\" DoDD O-8530.1, and DoDI O-8530.2 meet the DoD requirements for incident response policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, CJCSI 6510.01F, CJCSM 6510.01B, DoDD O-8530.1, and DoDI O-8530.2.'),(807,'IR-1','','The organization reviews and updates the current incident response policy in accordance with organization-defined frequency.','CJCSI 6510.01F \"Information Assurance and Support to Computer Network Defense,\"   CJCSM 6510.01B, \"Cyber Incident Handling Program,\" DoDD O-8530.1, and DoDI O-8530.2 meet the DoD requirements for incident response policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, CJCSI 6510.01F, CJCSM 6510.01B, DoDD O-8530.1, and DoDI O-8530.2.','CJCSI 6510.01F \"Information Assurance and Support to Computer Network Defense,\"   CJCSM 6510.01B, \"Cyber Incident Handling Program,\" DoDD O-8530.1, and DoDI O-8530.2 meet the DoD requirements for incident response policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, CJCSI 6510.01F, CJCSM 6510.01B, DoDD O-8530.1, and DoDI O-8530.2.'),(808,'IR-1','','The organization defines the frequency to review and update the current incident response policy.','DoD has defined the frequency as every 5 years.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as every 5 years.'),(809,'IR-1','','The organization develops and documents procedures to facilitate the implementation of the incident response policy and associated incident response controls.','The organization being inspected/assessed develops and documents procedures to facilitate the implementation of the incident response policies defined in CJCSI 6510.01F , CJCSM 6510.01B, DoDD O-8530.1, and DoDI O-8530.2 and associated incident response controls.','The organization conducting the inspection/assessment obtains and examines the documented procedures to ensure the organization being inspected/assessed develops and documents procedures to facilitate the implementation of the incident response policies defined in CJCSI 6510.01F, CJCSM 6510.01B, DoDD O-8530.1, and DoDI O-8530.2 and associated incident response controls.'),(810,'IR-1','','The organization disseminates incident response procedures to organization-defined personnel or roles.','The organization being inspected/assessed disseminates incident response procedures to  all personnel identified as stakeholders in the incident response process, as well as the ISSM and ISSO via an information sharing capability.\n \nDoD has defined the personnel or roles as all personnel identified as stakeholders in the incident response process, as well as the ISSM and ISSO.','The organization conducting the inspection/assessment obtains and examines the procedures via the organization\'s information sharing capability to ensure the organization being inspected/assessed disseminates incident response procedures to  all personnel identified as stakeholders in the incident response process, as well as the ISSM and ISSO via an information sharing capability.\n \nDoD has defined the personnel or roles as all personnel identified as stakeholders in the incident response process, as well as the ISSM and ISSO.'),(811,'IR-1','','The organization reviews and updates the current incident response procedures in accordance with organization-defined frequency.','The organization being inspected/assessed reviews and updates the current incident response procedures annually.\n \nThe organization must maintain an audit trail of reviews and updates.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines the audit trail of reviews and udpates to ensure the organization being inspected/assessed reviews and updates the current incident response procedures annually.\n \nDoD has defined the frequency as annually.'),(812,'IR-1','','The organization defines the frequency to review and update the current incident response procedures.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(813,'IR-2','','The organization provides incident response training to information system users consistent with assigned roles and responsibilities within an organization-defined time period of assuming an incident response role or responsibility.','The organization being inspected/assessed documents and implement a process to provide incident response training to information system users consistent with assigned roles and responsibilities within 30 working days of assuming an incident response role or responsibility.\n \nThe organization must maintain a record of training.\n \nDoD has defined the time period as 30 working days.','The organization conducting the inspection/assessment obtains and examines the documented process as well as training records for a sampling of information system users to ensure the organization being inspected/assessed provides incident response training to information system users consistent with assigned roles and responsibilities within 30 working days of assuming an incident response role or responsibility.\n \nDoD has defined the time period as 30 working days.'),(814,'IR-2','','The organization provides refresher incident response training in accordance with organization-defined frequency.','The organization being inspected/assessed documents and implements a process to provide incident response training to information system users, other than general users, consistent with assigned roles and responsibilities annually.\n \nFor general users, DoD components are automatically compliant with the requirement based on DoDD 8570.01 requirements for IA awareness training.\n \nThe organization must maintain a record of training.\n \nDoD has defined the frequency as annually.\n','The organization conducting the inspection/assessment obtains and examines the documented process as well as training records for a sampling of information system users to ensure the organization being inspected/assessed provides incident response training to information system users, other than general users, consistent with assigned roles and responsibilities annually.\n \nFor general users, DoD components are automatically compliant with the requirement based on DoDD 8570.01 requirements for IA awareness training. \n  \nDoD has defined the frequency as annually.'),(815,'IR-2','','The organization defines a frequency for refresher incident response training.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(816,'IR-2','1','The organization incorporates simulated events into incident response training to facilitate effective response by personnel in crisis situations.','The organization being inspected/assessed will document a process to include simulated events into incident response training to facilitate effective response by personnel in crisis situations.\n \nThe process to include simulated events shall be documented IAW CJCSI 6510.01F, CJCSM 6510.01B, DoDD O-8530.1, and DoDI O-8530.2.\n \nThe organization must maintain a record of incident response training to include simulated events.','The organization conducting the inspection/assessment obtains and examines incident response training materials and a record of training events to ensure that simulated events have been included.'),(817,'IR-2','2','The organization employs automated mechanisms to provide a more thorough and realistic incident response training environment.','The organization being inspected/assessed employs an automated mechanism such as scenario-based interactive online training/CBT  providing a realistic incident response training environment.','The organization conducting the inspection/assessment obtains and examines the automated mechanism such as scenario-based interactive online training/CBT  to verify that it provides a realistic incident response training environment.'),(818,'IR-3','','The organization tests the incident response capability for the information system on an organization-defined frequency using organization-defined tests  to determine the incident response effectiveness.','The organization being inspected/assessed documents and implements a process to test its incident response capability for the information system at least every six months for high availability and at least annually for low/med availability using tests and as defined in the incident response plan.\n \nThe organization must maintain a record of test results.\n \nDoD has defined the frequency as at least every six months for high availability and at least annually for low/med availability.\n \nDoD has defined the tests as tests as defined in the incident response plan.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of test results to ensure the organization being inspected/assessed tests its incident response capability for the information system at least every six months for high availability and at least annually for low/med availability using tests and as defined in the incident response plan.\n \nDoD has defined the frequency as at least every six months for high availability and at least annually for low/med availability.\n \nDoD has defined the tests as tests as defined in the incident response plan.'),(819,'IR-3','','The organization defines a frequency for incident response tests.','DoD has defined the frequency as at least every six months for high availability and at least annually for low/med availability.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as at least every six months for high availability and at least annually for low/med availability.'),(820,'IR-3','','The organization defines tests for incident response.','DoD has defined the tests as tests as defined in the incident response plan.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the tests as tests  as defined in the incident response plan.'),(821,'IR-3','1','The organization employs automated mechanisms to more thoroughly and effectively test the incident response capability.','The organization being inspected/assessed will identify and employ automated mechanisms to test the incident response capability for the information system.','The organization conducting the inspection/assessment obtains and examines the identified automated mechanisms in use to test the incident response capability for the information system.'),(822,'IR-4','','The organization implements an incident handling capability for security incidents that includes preparation, detection and analysis, containment, eradication, and recovery.','The organization being inspected/assessed must have a documented and certified CNDSP and documented procedures for information system users and site security personnel to handle incidents until they are transferred to the responsibility of the CNDSP.\n \n','The organization conducting the inspection/assessment obtains and examines the documentation identifying the CNDSP leveraged as well as the documented procedures for incident handling to ensure that there is a certified CNDSP in use and that there are procedures implemented to handle incidents  until they are transferred to the responsibility of the CNDSP.\n '),(823,'IR-4','','The organization coordinates incident handling activities with contingency planning activities.','The organization being inspected/assessed will coordinate the incident response plan (IR-8) and contingency plan (CP-2) to ensure they allow for an effective transfer of information system activity and maintain confidentiality and integrity of the contigency assets.\n \n ','The organization conducting the inspection/assessment obtains and examines the incident response plan (IR-8) and contingency plan (CP-2) to ensure they allow for an effective transfer of information system activity and maintain confidentiality and integrity of the contigency assets.\n '),(824,'IR-4','','The organization incorporates lessons learned from ongoing incident handling activities into incident response procedures, training, and testing/exercises.','The organization being inspected/assessed will conduct after action reviews from incidents to identify lessons learned and will incorporate them into procedures, training, and testing/exercises.\n \nThe organization must maintain records of after action reviews.','The organization conducting the inspection/assessment obtains and examines after action reports or meeting minutes to identify actionable lessons learned to verify that lessons learned are incorporated into the plan as changes are necessary.'),(825,'IR-4','1','The organization employs automated mechanisms to support the incident handling process.','The organization being inspected/assessed will document within their incident handling plan, procedures to leverage the Joint Incident Management System (JIMS).\n \nFor the DoD, JIMS is the automated mechanism.','The organization conducting the inspection/assessment obtains and examines the incident handling plan to ensure that there are procedures identified to leverage the JIMS.'),(826,'IR-4','2','The organization includes dynamic reconfiguration of organization-defined information system components as part of the incident response capability.','The organization being inspected/assessed  will ensure that their incident response plan includes procedures for dynamic reconfiguration of information system components defined in IR-4 (2), CCI 2781 as part of the incident response capability IAW CM-3.\n \nDynamic reconfiguration bypasses the organization\'s standard CCB process and may include, for example, changes to router rules, access control lists, intrusion detection/prevention systems, firewalls, etc.  Organizations will have procedures to examine dynamic reconfiguration changes at the earliest opportunity IAW CCB.','The organization conducting the inspection/assessment obtains and examines the incident response plan and verifies it has procedures addressing dynamic reconfiguration of information system components defined in IR-4 (2), CCI 2781 as part of the incident response capability IAW CM-3.'),(827,'IR-4','3','The organization defines and identifies classes of incidents for which organization-defined actions are to be taken to ensure continuation of organizational mission and business functions.','CJCSM 6510.01B has already identified DoD\'s classes of incidents.\n \nDoD has defined the classes of incidents as classes of incidents defined in CJCSM 6510.01B Appendix A- Enclosure B.','CJCSM 6510.01B has already identified DoD\'s classes of incidents.\n \nThe organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the classes of incidents as classes of incidents defined in CJCSM 6510.01B Appendix A- Enclosure B.6510.01M'),(828,'IR-4','3','The organization defines and identifies actions to take in response to organization-defined classes of incidents to ensure continuation of organizational missions and business functions.','CJCSM 6510.01B has already identified DoD\'s actions to take in response to classes of incidents.\n \nDoD has defined the actions as actions defined in CJCSM 6510.01B.','CJCSM 6510.01B has already identified DoD\'s actions to take in response to classes of incidents.\n \nThe organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the actions as actions defined in CJCSM 6510.01B.'),(829,'IR-4','4','The organization correlates incident information and individual incident responses to achieve an organization-wide perspective on incident awareness and response.','The organization being inspected/assessed defines procedures to examine incident information gathered and the actual actions taken by both the individuals affected and the incident response personnel.  These procedures shall be defined IAW CJCSM 6510.01B.  The end goal is to achieve a top level perspective of the effectiveness of the incident response and awareness.\n ','The organization conducting the inspection/assessment obtains and examines proof of the analysis (such as minutes from an incident response after action meeting or other similar activity) to ensure that incident information is being examined and correlated. \n '),(830,'IR-4','5','The organization defines security violations that, if detected, initiate a configurable capability to automatically disable the information system.','The organization being inspected/assessed defines and document a list of security violations that upon occurrence initiate an automated action to disable or shutdown the information system.\n \nViolations may be identified by specific activity or by class/type of activity.\n \nDoD has determined the security violations are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the list of documented security violations to ensure the organization has clearly identified those violations that initiate an automated disabling or shut down of the information system. \n \nDoD has determined the security violations are not appropriate to define at the Enterprise level.'),(831,'IR-4','5','The organization implements a configurable capability to automatically disable the information system if organization-defined security violations are detected.','The organization being inspected/assessed will clearly identify, document, and implement a configurable automated mechanism (or mechanisms) that utilizes the list of security violations identified in IR-4 (5), CCI 000830 to disable or shutdown the information system.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 831.\n','The organization conducting the inspection/assessment examines the information system to ensure an automated mechanism is configured to disable or shutdown the information system based on the identified security violations (IR-4 (5), CCI 000830).\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 831.'),(832,'IR-5','','The organization tracks and documents information system security incidents.','The organization being inspected/assessed will document within their incident handling plan, procedures to leverage the Joint Incident Management System (JIMS).\n \nFor the DoD, JIMS is the automated mechanism. ','The organization conducting the inspection/assessment obtains and examines the incident handling plan to ensure that there are procedures identified to leverage the JIMS.'),(833,'IR-5','1','The organization employs automated mechanisms to assist in the tracking of security incidents.','The organization being inspected/assessed will document within their incident handling plan, procedures to leverage the Joint Incident Management System (JIMS).\n \nFor the DoD, JIMS is the automated mechanism. ','The organization conducting the inspection/assessment obtains and examines the incident handling plan to ensure that there are procedures identified to leverage the JIMS.'),(834,'IR-6','','The organization defines a time period for personnel to report suspected security incidents to the organizational incident response capability.','DoD has defined the time period as the timeframes specified by CJCSM 6510.01B (Table C-A-1) unless the data owner provides more restrictive guidance.\n \nIf organizations decide to be more restrictive than the guidance in the CJCSM, then they should address the more restrictive response time requirements in their incident response plan.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the time period as the timeframes specified by CJCSM 6510.01B (Table C-A-1) unless the data owner provides more restrictive guidance.\n \nThe organization conducting the inspection/assessment obtains and examines the incident response plan to determine if more stringent response time requirements have been identified.'),(835,'IR-6','','The organization requires personnel to report suspected security incidents to the organizational incident response capability within the organization-defined time period.','The organization being inspected/assessed documents within the user agreement the requirement for all system users to report suspected security incidents to the organizational incident response capability within the timeframes specified by CJCSM 6510.01B (Table C-A-1) unless the data owner provides more restrictive guidance.\n \nDoD has defined the time period as the timeframes specified by CJCSM 6510.01B (Table C-A-1) unless the data owner provides more restrictive guidance.','The organization conducting the inspection/assessment obtains and examines the user agreement to ensure users are required to report suspected security incidents to the organizational incident response capability within the timeframes specified by CJCSM 6510.01B (Table C-A-1) unless the data owner provides more restrictive guidance.\n \nDoD has defined the time period as the timeframes specified by CJCSM 6510.01B (Table C-A-1)  unless the data owner provides more restrictive guidance.'),(836,'IR-6','','The organization reports security incident information to organization-defined authorities.','The organization being inspected/assessed documents and implements a process to report to the appropriate CIRT/CERT (such as US-CERT, DoD CERT, IC CERT).any security incidents IAW the incident response plan (IR-8).  Reporting shall be conducted IAW CJCSM 6510.01B.\n \nDoD has defined the authorities as the appropriate CIRT/CERT (such as US-CERT, DoD CERT, IC CERT).\n \n','The organization conducting the inspection/assessment obtains and examines a sample of previous security incidents to ensure the incidents were reported to the appropriate CIRT/CERT (such as US-CERT, DoD CERT, IC CERT).\n  any security incidents IAW the incident response plan (IR-8).  Reporting shall be conducted IAW CJCSM 6510.01B.\n \n DoD has defined the authorities as the appropriate CIRT/CERT (such as US-CERT, DoD CERT, IC CERT).\n \n \n '),(837,'IR-6','1','The organization employs automated mechanisms to assist in the reporting of security incidents.','The organization being inspected/assessed will document within their incident handling plan, procedures to leverage the Joint Incident Management System (JIMS).\n \nFor the DoD, JIMS is the automated mechanism. ','The organization conducting the inspection/assessment obtains and examines the incident handling plan to ensure that there are procedures identified to leverage the JIMS. '),(838,'IR-6','2','The organization reports information system vulnerabilities associated with reported security incidents to organization-defined personnel or roles.','The organization being inspected/assessed documents and implements a process to report to personnel defined in IR-6 (2), CCI 2792  information system vulnerabilities associated with reported security incident IAW the incident response plan (IR-8).  Reporting shall be conducted IAW CJCSM 6510.01B.\n ','The organization conducting the inspection/assessment obtains and examines a sample of previous security incidents to ensure the associated vulnerabilities were reported to personnel defined in IR-6 (2), CCI 2792 IAW the incident response plan (IR-8).  Reporting shall be conducted IAW CJCSM 6510.01B.'),(839,'IR-7','','The organization provides an incident response support resource, integral to the organizational incident response capability, that offers advice and assistance to users of the information system for the handling and reporting of security incidents.','The organization being inspected/assessed will establish an incident response support service, analogous to an IT help desk, to provide advice and assistance to users for handling and reporting of security incidents.\n \n','The organization conducting the inspection/assessment will interview organizational users to determine awareness of incident response support services and quality of assistance of those services when used.  If interviewing organizational users is not feasible, then review users manuals/documentation to ensures it identifies an incident response support service to contact.'),(840,'IR-7','1','The organization employs automated mechanisms to increase the availability of incident response-related information and support.','The organization being inspected/assessed will implement an automated intra-organization incident response information sharing capability to provide the following incident related information and support, for example:\n1. SOP for incident reporting\n2. Incident handling FAQ\n3. Current incident activity awareness information\n4. Incident response contact information\n5. Incident report submission','The organization conducting the inspection/assessment obtains and examines the incident response information sharing capability to validate the information sharing capability is available to organizational users.'),(841,'IR-7','2','The organization establishes a direct, cooperative relationship between its incident response capability and external providers of information system protection capability.','The organization being inspected/assessed must establish a formal agreement with a computer network defense service provider (CNDSP).  ','The organization conducting the inspection/assessment obtains and examines the formal agreement document between the organization and CNDSP to validate it is current and valid.'),(842,'IR-7','2','The organization identifies organizational incident response team members to the external providers.','The organization being inspected/assessed must provide and update the list of internal incident response team members as necessary throughout the lifecycle of the CNDSP agreement, in conjunction with the CNDSP agreement.','The organization conducting the inspection/assessment obtains and examines the list of internal incident response team members to validate it is accurate and current.  Interviews with CNDSP personnel and organizational incident response team members may also be conducted.'),(844,'IR-8','','The organization develops an incident response plan that is reviewed and approved by organization-defined personnel or roles.','The organization being inspected/assessed will have an incident response plan signed and approved by at a minimum, the ISSM and ISSO.\n \nDoD has defined the personnel or roles as at a minimum, the ISSM and ISSO.','The organization conducting the inspection/assessment obtains and examines the incident response plan to validate it has been properly signed by  at a minimum, the ISSM and ISSO.\n \nDoD has defined the personnel or roles as at a minimum, the ISSM and ISSO.'),(845,'IR-8','','The organization defines incident response personnel (identified by name and/or by role) and organizational elements to whom copies of the incident response plan is distributed.','DoD has defined the list as all stakeholders identified in the incident response plan.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the list as all stakeholders identified in the incident response plan.'),(846,'IR-8','','The organization distributes copies of the incident response plan to organization-defined incident response personnel (identified by name and/or by role) and organizational elements.','The organization being inspected/assessed makes available to all stakeholders identified in the incident response plan via organizationally approved information sharing mechanism.\n \nDoD has defined the list as all stakeholders identified in the incident response plan.','The organization conducting the inspection/assessment obtains and examines organizationally approved information sharing mechanism to validate all stakeholders identified in the incident response plan have adequate access to the incident response plan.\n \nDoD has defined the list as all stakeholders identified in the incident response plan.'),(847,'IR-8','','The organization defines the frequency for reviewing the incident response plan.','DoD has defined the frequency as at least annually (incorporating lessons learned from past incidents).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as at least annually (incorporating lessons learned from past incidents).'),(848,'IR-8','','The organization reviews the incident response plan on an organization-defined frequency.','The organization being inspected/assessed will conduct reviews of its incident response plan at least annually.\n \nDoD has defined the frequency as at least annually (incorporating lessons learned from past incidents).','The organization conducting the inspection/assessment obtains and examines the incident response plan to validate it is current and  has been reviewed within the last year.\n \nDoD has defined the frequency as at least annually (incorporating lessons learned from past incidents).\n '),(849,'IR-8','','The organization updates the incident response plan to address system/organizational changes or problems encountered during plan implementation, execution, or testing.','The organization being inspected/assessed must update the incident response plan to address system/organizational changes or problems encountered during plan implementation, execution, or testing and incorporate lessons learned from past incidents (IR-4a).\n \nThe organization must document the update actions as an audit trail.','The organization conducting the inspection/assessment obtains and examines documentation of the update actions for the incident response plan to ensure the organization is updating the incident response plan to address system/organizational changes or problems encountered during plan implementation, execution, or testing and incorporating lessons learned from past incidents (IR-4a).'),(850,'IR-8','','The organization communicates incident response plan changes to organization-defined incident response personnel (identified by name and/or by role) and organizational elements.','The organization being inspected/assessed communicates incident response plan changes to all stakeholders identified in the incident response plan, not later than 30 days after the change is made.\n \nDoD has defined the incident response personnel as all stakeholders identified in the incident response plan, not later than 30 days after the change is made.','The organization conducting the inspection/assessment examines the incident response plan via the inspected organization\'s information sharing capability (e.g. portal, intranet, email, etc.) to ensure it has been communicated to all stakeholders identified in the incident response plan, not later than 30 days after the change is made.\n \nDoD has defined the incident response personnel as all stakeholders identified in the incident response plan, not later than 30 days after the change is made.'),(851,'MA-1','','The organization defines the frequency to review and update the current system maintenance policy.','DoD has defined the frequency as every 5 years.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as every 5 years.'),(852,'MA-1','','The organization develops and documents a system maintenance policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','The organization being inspected/assessed develops and documents a system maintenance policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','The organization conducting the inspection/assessment obtains and examines the documented maintenance policy to ensure the organization being inspected/assessed develops and documents  a system maintenance policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.'),(853,'MA-1','','The organization disseminates to organization-defined personnel or roles a system maintenance policy.','The organization being inspected/assessed ensures the maintenance policy is disseminated to the  SCA, ISSO, and maintenance personnel as needed by role in maintaining the system.\n\nDoD has defined the personnel or roles as the SCA, ISSO, and maintenance personnel as needed by role in maintaining the system.','The organization conducting the inspection/assessment obtains and examines the maintenance policy via the inspected organization\'s information sharing capability (e.g. portal, intranet, email, etc.) to ensure it has been disseminated to the SCA, ISSO, and maintenance personnel as needed by role in maintaining the system.\n\n\nDoD has defined the personnel or roles as the SCA, ISSO, and maintenance personnel as needed by role in maintaining the system.\n\n'),(854,'MA-1','','The organization reviews and updates the current system maintenance policy in accordance with organization-defined frequency.','The organization being inspected/assessed  reviews the current system maintenance policy every 5 years and revises as necessary to comply with DoD regulations.\n\nThe organization must document each occurrence of the reviews and update actions as an audit trail.\n\nDoD has defined the frequency as every 5 years.','The organization conducting the inspection/assessment obtains and examines documentation of occurrence of reviews and update actions for the maintenance policy to ensure  review is occurring every 5 years and updates are made as necessary.\n\nDoD has defined the frequency as every 5 years.'),(855,'MA-1','','The organization develops and documents procedures to facilitate the implementation of the system maintenance policy and associated system maintenance controls.','The organization being inspected/assessed documents the maintenance procedures within the Security Plan.  The maintenance procedures shall be developed IAW maintenance policy provided in DoDI 8500.01..','The organization conducting the inspection/assessment obtains and examines the Security Plan to ensure maintenance procedures are documented and are developed IAW maintenance policy provided in DoDI 8500.01..\n \n'),(856,'MA-1','','The organization disseminates to organization-defined personnel or roles procedures to facilitate the implementation of the system maintenance policy and associated system maintenance controls.','The organization being inspected/assessed ensures the maintenance procedures are disseminated to the SCA, ISSO, and maintenance personnel as needed by role in maintaining the system via an information sharing capability.\n \nDoD has defined the personnel or roles as the SCA, ISSO, and maintenance personnel as needed by role in maintaining the system.','The organization conducting the inspection/assessment examines the maintenance procedures via the inspected organization\'s information sharing capability (e.g. portal, intranet, email, etc.) to ensure it has been disseminated to the SCA, ISSO, and maintenance personnel as needed by role in maintaining the system.\n \n \nDoD has defined the personnel or roles as the SCA, ISSO, and maintenance personnel as needed by role in maintaining the system.'),(857,'MA-1','','The organization reviews and updates the current system maintenance procedures in accordance with organization-defined frequency.','The organization being inspected/assessed reviews the current system maintenance procedures annually and revises as needed to comply with DoD regulations.\n \nThe organization must document each occurrence of the reviews and update actions as an audit trail.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines documentation of occurrence of reviews and update actions for the maintenance procedures to ensure annual review and necessary updates are occurring. \n \nDoD has defined the frequency as annually.'),(859,'MA-2','','The organization approves and monitors all maintenance activities, whether performed on site or remotely and whether the equipment is serviced on site or removed to another location.','The organization being inspected/assessed approves and monitors all maintenance activities, whether performed on site or remotely and whether the equipment is serviced on site or removed to another location.\n \nThe organization must maintain records of all approvals and monitoring activities.','The organization conducting the inspection/assessment obtains and examines records of all approvals and monitoring activities to ensure the organization being inspected/assessed approves and monitors all maintenance activities whether performed on site or remotely and whether the equipment is serviced on site or removed to another location.'),(860,'MA-2','','The organization requires that organization-defined personnel or roles explicitly approve the removal of the information system or system components from organizational facilities for off-site maintenance or repairs.','The organization being inspected/assessed documents within their risk management strategy personnel or roles defined in MA-2, CCI 2874 who must explicitly approve the removal of the information system or system components from organizational facilities for off-site maintenance or repairs.\n \nThe organization must maintain written records of approval for the removal of the information system or system components from organizational facilities for off-site maintenance or repairs.','The organization conducting the inspection/assessment obtains and examines: 1. the organization\'s risk management strategy to ensure the personnel or roles defined in MA-2, CCI 2874 have been designated to approve the removal of the information system or system components;\n2. and written records of approval for the removal of the information system or system components from organizational facilities for off-site maintenance or repairs to ensure the removal is explicitly approved.'),(861,'MA-2','','The organization sanitizes equipment to remove all information from associated media prior to removal from organizational facilities for off-site maintenance or repairs.','The organization being inspected/assessed sanitizes equipment to remove all information from associated media prior to removal from organizational facilities for off-site maintenance or repairs IAW DoDM 5200.01-V3  for classified media and DoDM 5200.01-V4 for unclassified media.\n \nThe organization must maintain written records of media sanitization.','The organization conducting the inspection/assessment obtains and examines written records of media sanitization to ensure the organization sanitizes equipment to remove all information from associated media prior to removal from organizational facilities for off-site maintenance or repairs.'),(862,'MA-2','','The organization checks all potentially impacted security controls to verify that the controls are still functioning properly following maintenance or repair actions.','The organization being inspected/assessed identifies and documents the impacted security controls and takes steps to verify that the controls are still functioning properly following maintenance or repair actions.','The organization conducting the inspection/assessment obtains and examines documented evidence of the verification of security controls following maintenance and repair actions to ensure that the organization being inspected/assessed checks all potentially impacted security controls to verify that they are still functioning properly.'),(865,'MA-3','','The organization approves information system maintenance tools.','The organization being inspected/assessed documents the approved maintenance tools within the Security Plan.','The organization conducting the inspection/assessment:\n1. obtains and examines the Security Plan to ensure the list of approved maintenance tools is documented;\n2. ensures only the approved maintenance tools are used within the system.'),(866,'MA-3','','The organization controls information system maintenance tools.','The organization being inspected/assessed controls information system maintenance tools that are approved IAW MA-3, CCI 865.','The organization conducting the inspection/assessment:\n1. obtains and examines the Security Plan to identify the list of approved maintenance tools;\n2. ensures the organization being inspected/assessed controls the approved information system maintenance tools.'),(867,'MA-3','','The organization monitors information system maintenance tools.','The organization being inspected/assessed develops and implements procedures to monitor the use of the approved information system maintenance tools IAW MA-3, CCI 865. \n \nRecords of monitoring activity must be maintained.','The organization conducting the inspection/assessment obtains and examines:\n1.  the Security Plan to identify the list of approved maintenance tools; and\n2. documented procedures to identify how the use of maintenance tools is monitored; and\n3. reviews evidence that the monitoring is conducted IAW the documented procedures.'),(869,'MA-3','1','The organization inspects the maintenance tools carried into a facility by maintenance personnel for improper or unauthorized modifications.','The organization being inspected/assessed documents the procedures for and implements inspections of the maintenances tools carried into a facility by maintenance personnel for improper or unauthorized modifications.\n \nRecords of inspection must be maintained.','The organization conducting the inspection/assessment obtains and examines procedures for, and records of inspection of the maintenance tools carried into a facility by maintenance personnel  to ensure the tools are inspected for improper or unauthorized modifications.'),(870,'MA-3','2','The organization checks media containing diagnostic and test programs for malicious code before the media are used in the information system.','The organization being inspected/assessed:\n1. documents and implements procedures to check all media containing diagnostic and test programs for malicious code before the media are used in the information system; and\n2. Runs an automated tool set to check all media containing diagnostic and test programs for malicious code before the media are used in the information system.\n \nThe organization must maintain configuration files for the automated tool set and audit logs of the tool set used to check media.','The organization conducting the inspection/assessment obtains and examines the procedures for checking all diagnostic and test media for malicious code, and a sampling of configuration files and audit logs of the tool set used to check media.  The purpose of the review is to ensure the organization being inspected/assessed checks all media containing diagnostic and test programs for malicious code before the media are used in the information system.'),(871,'MA-3','3','The organization prevents the unauthorized removal of maintenance equipment containing organizational information by: (a) verifying that there is no organizational information contained on the equipment; (b) sanitizing or destroying the equipment; (c) retaining the equipment within the facility; or (d) obtaining an exemption from organization-defined personnel or roles explicitly authorizing removal of the equipment from the facility.','The organization being inspected/assessed documents and implements a process to take one of the following actions before authorizing removal of information equipment from the facility:\n1. verify there is no organizational information contained on maintenance equipment;\n2. Sanitize or destroy the equipment;\n3. Retain the equipment within the facility; or\n4. Obtain an exemption from personnel or roles defined in MA-3 (3), CCI 2882 explicitly authorizing removal of the equipment from the facility. \n \nThe organization must maintain a record of maintenance equipment removal and actions taken.','The organization conducting the inspection/assessment obtains and examines the documented process and record of maintenance equipment removal to ensure  the organization being inspected/assessed takes one of the four actions listed in the implementation guidance.'),(873,'MA-4','','The organization approves nonlocal maintenance and diagnostic activities.','The organization being inspected/assessed documents the procedures for approving non-local maintenance and diagnostic activities within the Security Plan.\n \nThe organization must maintain records of approved non-local maintenance and diagnostic activities.','The organization conducting the inspection/assessment obtains and examines:\n1. the Security Plan to ensure the procedures for approving non-local maintenance and diagnostic activities are documented; and\n2. records approving non-local maintenance and diagnostic activities.'),(874,'MA-4','','The organization monitors nonlocal maintenance and diagnostic activities.','The organization being inspected/assessed develops and implements procedures to monitor non-local maintenance and diagnostic activities. \n \nRecords of monitoring activity must be maintained.','The organization conducting the inspection/assessment obtains and examines:\n1.  the Security Plan to identify the authorized non-local maintenance and diagnostic activities; and\n2. documented procedures to identify how the use of non-local maintenance and diagnostic activities are monitored; and\n3. reviews evidence that the monitoring is conducted IAW the documented procedures.'),(876,'MA-4','','The organization allows the use of nonlocal maintenance and diagnostic tools only as consistent with organizational policy and documented in the security plan for the information system.','The organization being inspected/assessed:\n1. documents within the Security Plan the non-local maintenance and diagnostic tools that are allowed; and\n2. allows the use of non-local maintenance and diagnostic tools IAW the tools identified in the Security Plan and MA-4, CCI 873.','The organization conducting the inspection/assessment obtains and examines:\n1. the Security Plan to ensure non-local maintenance and diagnostic tools have been identified; and \n2. maintenance records to ensure only those tools allowed are used IAW MA-4, CCI 873.'),(877,'MA-4','','The organization employs strong authenticators in the establishment of nonlocal maintenance and diagnostic sessions.','The organization being inspected/assessed configures the information system to employ strong authenticators in the establishment of nonlocal maintenance and diagnostic sessions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 877.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to employ strong authenticators in the establishment of nonlocal maintenance and diagnostic sessions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 877.'),(878,'MA-4','','The organization maintains records for nonlocal maintenance and diagnostic activities.','The organization being inspected/assessed maintains records of authorized non-local maintenance and diagnostic activities.','The organization conducting the inspection/assessment obtains records of authorized non-local maintenance and diagnostic activities, and examines a sampling to verify the organization is maintaining records for all non-local maintenance and diagnostic activities.'),(879,'MA-4','','The organization terminates sessions and network connections when nonlocal maintenance is completed.','The organization being inspected/assessed terminates session and network connections when non-local maintenance is completed.\n \nThe organization must retain audit logs of session and network connections termination for non-local maintenance.','The organization conducting the inspection/assessment obtains and examines audit logs of session and network connections termination for non-local maintenance to ensure session and network connections are terminated when non-local maintenance is completed.'),(881,'MA-4','2','The organization documents in the security plan for the information system, the policies and procedures for the establishment and use of nonlocal maintenance and diagnostic connections.','The organization being inspected/assessed documents within the Security Plan the policies and procedures for the establishment and use of nonlocal maintenance and diagnostic connections.','The organization conducting the inspection/assessment obtains and examines the Security Plan to ensure the plan identifies the establishment and use of non-local maintenance and diagnostic connections.'),(882,'MA-4','3','The organization requires that nonlocal maintenance and diagnostic services to be performed from an information system that implements a security capability comparable to the capability implemented on the system being serviced.','The organization being inspected/assessed  clearly defines in its contracts and/or service level agreements the requirement that any IS used to conduct non-local maintenance and diagnostic services will have a security level at least as high as the security level implemented on the IS being serviced.   \n \nAlternatively, the organization being inspected/assessed complies with MA-4 (3) CCIs 883 and 1631.','The organization conducting the inspection/assessment obtains and examines contracts and/or service level agreements for all non-local maintenance and diagnostic services  to ensure that any IS used for those services is required to have security level at least as high as the security level implemented on the IS being serviced.   \n \nAlternatively, the organization conducting the inspection/assessment ensures the organization being inspected/assessed complies with  MA-4 (3) CCIs 883 and 1631.'),(883,'MA-4','3','The organization removes the component to be serviced from the information system and prior to nonlocal maintenance or diagnostic services, sanitizes the component (with regard to organizational information) before removal from organizational facilities.','The organization being inspected/assessed  removes the component to be serviced from the information system and prior to non-local maintenance or diagnostic services, sanitizes the component (with regard to organizational information) before removal from organizational facilities.\n \nAlternatively, the organization being inspected/assessed complies with MA-4 (3) CCI 882.','The organization conducting the inspection/assessment obtains and examines maintenance procedures for all non-local maintenance and diagnostic services  to ensure that the organization being inspected/assessed sanitizes components before removal from organizational facilities.  \n \nAlternatively, the organization conducting the inspection/assessment ensures the organization being inspected/assessed complies with  MA-4 (3) CCI 882.'),(884,'MA-4','4','The organization protects nonlocal maintenance sessions by employing organization-defined authenticators that are replay resistant.','The organization being inspected/assessed configures the information system to protect nonlocal maintenance sessions by employing authenticators defined in MA-4 (4), CCI 2887 that are replay resistant.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 884.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to protect nonlocal maintenance sessions by employing authenticators defined in MA-4 (4), CCI 2887 that are replay resistant.\n  \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 884.'),(886,'MA-4','5','The organization defines the personnel or roles to be notified of the date and time of planned nonlocal maintenance.','DoD has defined the personnel or roles as the user base which could be impacted by the maintenance event.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as the user base which could be impacted by the maintenance event.'),(887,'MA-4','5','The organization requires the approval of each nonlocal maintenance session by organization-defined personnel or roles.','The organization being inspected/assessed defines within their maintenance procedures a process for the ISSO to approve the non-local maintenance.\n \nWritten approval must be maintained.\n \nDoD has defined the personnel or roles as the ISSO.','The organization conducting the inspection/assessment obtains and examines the maintenance procedures and historical approvals to ensure that the ISSO approves the non-local maintenance.\n \nDoD has defined the personnel or roles as the ISSO.'),(890,'MA-5','','The organization establishes a process for maintenance personnel authorization.','The organization being inspected/assessed  clearly defines, documents, and establishes a process for the authorization of maintenance personnel.','The organization conducting the inspection/assessment obtains and examines  procedures addressing maintenance personnel to ensure that the organization being inspected/assessed has established processes for the authorization of maintenance personnel.'),(891,'MA-5','','The organization maintains a list of authorized maintenance organizations or personnel.','The organization being inspected/assessed maintains a current list of authorized maintenance organizations or personnel.','The organization conducting the inspection/assessment obtains and examines the current list of authorized maintenance organizations or personnel to ensure the organization being inspected/assessed is maintaining the list.'),(893,'MA-5','1','The organization implements procedures for the use of maintenance personnel that lack appropriate security clearances or are not U.S. citizens.','The organization being inspected/assessed documents and implements procedures for the use of maintenance personnel that lack appropriate security clearances or are not U.S. Citizens in the procedures documented IAW MA-5, CCI 890.','The organization conducting the inspection/assessment obtains and examines the procedures identified in MA-5, CCI 890 to ensure it includes specific procedures for maintenance personnel that lack appropriate security clearances or are not U.S. citizens.'),(894,'MA-5','1','The organization requires maintenance personnel who do not have needed access authorizations, clearances, or formal access approvals to be escorted and supervised during the performance of maintenance and diagnostic activities on the information system by approved organizational personnel who are fully cleared, have appropriate access authorizations, and are technically qualified.','The organization being inspected/assessed  requires maintenance personnel who do not have needed access authorizations, clearances, or formal access approvals to be escorted and supervised during the performance of maintenance and diagnostic activities on the information system by approved organizational personnel who are fully cleared, have appropriate access authorizations, and are technically qualified.\n \nThe organization must maintain records of maintenance personnel who access the system including information on escorts.','The organization conducting the inspection/assessment obtains and examines the  records of maintenance personnel who access the system to ensure the organization being inspected/assessed requires maintenance personnel who do not have needed access authorizations, clearances, or formal access approvals to be escorted and supervised during the performance of maintenance and diagnostic activities on the information system by approved organizational personnel who are fully cleared, have appropriate access authorizations, and are technically qualified.'),(895,'MA-5','1','The organization requires that prior to initiating maintenance or diagnostic activities by personnel who do not have needed access authorizations, clearances or formal access approvals, all volatile information storage components within the information system are sanitized and all nonvolatile storage media are removed or physically disconnected from the system and secured.','The organization being inspected/assessed documents and implements a process to sanitize, remove, or physically disconnect all nonvolatile storage media from the system prior to initiating maintenance or diagnostic activities by personnel who do not have needed access authorizations, clearances or formal access approvals.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed sanitizes, removes, or physically disconnects all nonvolatile storage media from the system prior to initiating maintenance or diagnostic activities by personnel who do not have needed access authorizations, clearances or formal access approvals.'),(897,'MA-5','2','The organization ensures that personnel performing maintenance and diagnostic activities on an information system processing, storing, or transmitting classified information possess security clearances and formal access approvals for at least the highest classification level and for all compartments of information on the system.','The organization being inspected/assessed documents and implements a process to ensure that personnel performing maintenance and diagnostic activities on an information system processing, storing, or transmitting classified information possess security clearances and formal access approvals for at least the highest classification level and for all compartments of information on the system.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed ensures that personnel performing maintenance and diagnostic activities on an information system processing, storing, or transmitting classified information possess security clearances and formal access approvals for at least the highest classification level and for all compartments of information on the system.'),(898,'MA-5','3','The organization ensures that personnel performing maintenance and diagnostic activities on an information system processing, storing, or transmitting classified information are U.S. citizens.','The organization being inspected/assessed documents and implements a process to ensure that personnel performing maintenance and diagnostic activities on an information system processing, storing, or transmitting classified information are U.S. citizens.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed  ensures that personnel performing maintenance and diagnostic activities on an information system processing, storing, or transmitting classified information are U.S. citizens.'),(899,'MA-5','4','The organization ensures that cleared foreign nationals (i.e., foreign nationals with appropriate security clearances), are used to conduct maintenance and diagnostic activities on classified information systems only when the systems are jointly owned and operated by the United States and foreign allied governments, or owned and operated solely by foreign allied governments.','The organization being inspected/assessed documents and implements a process to ensure that cleared foreign nationals (i.e., foreign nationals with appropriate security clearances), are used to conduct maintenance and diagnostic activities on classified information systems only when the systems are jointly owned and operated by the United States and foreign allied governments, or owned and operated solely by foreign allied governments.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed  ensures that cleared foreign nationals (i.e., foreign nationals with appropriate security clearances), are used to conduct maintenance and diagnostic activities on classified information systems only when the systems are jointly owned and operated by the United States and foreign allied governments, or owned and operated solely by foreign allied governments.'),(900,'MA-5','4','The organization ensures that approvals, consents, and detailed operational conditions regarding the use of foreign nationals to conduct maintenance and diagnostic activities on classified information systems are fully documented within  Memorandum of Agreements.','The organization being inspected/assessed documents and implements a process to  ensure that approvals, consents, and detailed operational conditions regarding the use of foreign nationals to conduct maintenance and diagnostic activities on classified information systems are fully documented within  Memorandum of Agreements.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed  ensures that approvals, consents, and detailed operational conditions regarding the use of foreign nationals to conduct maintenance and diagnostic activities on classified information systems are fully documented within  Memorandum of Agreements.'),(903,'MA-6','','The organization obtains maintenance support and/or spare parts for organization-defined information system components within an organization-defined time period of failure.','The organization being inspected/assessed obtains maintenance support and/or spare parts for information system components defined in MA-6, CCI 2896 within 24 hours (Low and Moderate Availability) or immediately upon failure for (High Availability). \n \nDoD has defined the time period as within 24 hours (Low and Moderate Availability) or immediately upon failure for (High Availability). ','The organization conducting the inspection/assessment obtains evidence that maintenance support is available for information system components defined in MA-6, CCI 2896 and that the support will be provided within 24 hours (Low and Moderate Availability) or immediately upon failure for (High Availability). \n \nEvidence can include maintenance support contracts, inventories of spare parts, etc.\n \nDoD has defined the time period as within 24 hours (Low and Moderate Availability) or immediately upon failure for (High Availability). '),(904,'PE-1','','The organization develops and documents a physical and environment protection policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','The organization being inspected/assessed will develop or provide an existing physical and environmental protection plan for the facility/facilities where information systems are located.  This plan will be developed IAW the organization\'s parent component policies and directives and will include purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','The organization conducting the inspection/assessment obtains and examines the organization\'s physical and environmental protection plan to ensure the plan contains at a minimum the following elements: purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance (IAW the organization\'s parent component policies and directives).'),(905,'PE-1','','The organization disseminates a physical and environmental protection policy to organization-defined personnel or roles.','The organization being inspected/assessed will ensure the physical and environmental protection plan is disseminated to all personnel via an information sharing capability.\n \nDoD has defined the personnel or roles as all personnel.','The organization conducting the inspection/assessment examines the physical and environmental protection plan via the inspected organization\'s information sharing capability (e.g. portal, intranet, email, etc.) to ensure it has been disseminated to all personnel.\n \nDoD has defined the personnel or roles as all personnel.'),(906,'PE-1','','The organization reviews and updates the current physical and environmental protection policy in accordance with organization-defined frequency.','The organization being inspected/assessed reviews the physical and environmental protection plan annually and revises as needed to comply with DoD regulations.\n \nThe organization must document each occurrence of the reviews and update actions as an audit trail.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines documentation of occurrence of reviews and update actions for the physical and environmental protection plan to ensure annual review and necessary updates are occurring. \n \nDoD has defined the frequency as annually.'),(907,'PE-1','','The organization defines the frequency to review and update the physical and environmental protection policy.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the frequency as annually.'),(908,'PE-1','','The organization develops and documents procedures to facilitate the implementation of the physical and environmental protection policy and associated physical and environmental protection controls.','The organization being inspected/assessed will develop or provide existing procedures to facilitate the implementation of the physical and environmental protection plan and associated physical and environmental protection controls. This plan will be developed IAW the organization\'s parent component policies and directives.','The organization conducting the inspection/assessment obtains and examines the organization\'s protection procedures to ensure the facilitation and implementation of the physical and environmental protection plan and associated physical and environmental protection controls IAW the organization\'s parent component policies and directives.'),(909,'PE-1','','The organization disseminates physical and environmental protection procedures to organization-defined personnel or roles.','The organization being inspected/assessed ensures the physical and environmental protection procedures are disseminated to all personnel via an information sharing capability.\n \nDoD has defined the personnel or roles as all personnel.','The organization conducting the inspection/assessment examines the protection procedures via the inspected organization\'s information sharing capability (e.g. portal, intranet, email, etc.) to ensure it has been disseminated to all personnel.\n \nDoD has defined the personnel or roles as all personnel.'),(910,'PE-1','','The organization reviews and updates the current physical and environmental protection procedures in accordance with organization-defined frequency.','The organization being inspected/assessed reviews the physical and environmental protection procedures annually and revises as needed to comply with DoD regulations.\n \nThe organization must document each occurrence of the reviews and update actions as an audit trail.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines documentation of occurrence of reviews and update actions for the physical and environmental protection procedures to ensure annual review and necessary updates are occurring. \n \nDoD has defined the frequency as annually.'),(911,'PE-1','','The organization defines the frequency to review and update the physical and environmental protection procedures.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the frequency as annually.'),(912,'PE-2','','The organization develops a list of individuals with authorized access to the facility where the information system resides.','The organization being inspected/assessed will develop and maintain a list of personnel with authorized access to the facilities where information systems reside.\n \nThe organization will also take action to identify and officially designate its publicly accessible areas where access authorization is not required.','The organization conducting the inspection/assessment obtains and examines the list of personnel with authorized access to facilities where information systems reside to ensure it is current within every 90 days.\n \nThe review process should also determine if the organization has identified and officially designated its publicly accessible areas where access authorization is not required.\n \nDoD has defined the frequency as every 90 days.'),(913,'PE-2','','The organization issues authorization credentials for facility access.','The organization being inspected/assessed utilizes the list of personnel with authorized access (IAW PE-2, CCI-000912) and issues credentials accordingly.\n \nThe organization must document the credential issuing activity as an audit trail.','The organization conducting the inspection/assessment obtains and examines documentation of credential issuing activities to ensure credentials are issued to personnel with authorized access.'),(914,'PE-2','','The organization reviews the access list detailing authorized facility access by individuals in accordance with organization-defined frequency.','The organization being inspected/assessed will review the access list and authorization credentials every 90 days and document these review and approval actions as an audit trail. \n \nDoD has defined the frequency as every 90 days.','The organization conducting the inspection/assessment obtains and examines the audit records of the review actions to ensure that reviews are conducted every 90 days. \n \nDoD has defined the frequency as every 90 days.'),(915,'PE-2','','The organization defines the frequency to review the access list detailing authorized facility access by individuals.','DoD has defined the frequency as every 90 days.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the frequency as every 90 days.'),(916,'PE-2','1','The organization authorizes physical access to the facility where the information system resides based on position or role.','The organization being inspected/assessed must:\n1. Develop and document a list of roles or positions that have access to the facility where the information system resides.  \n2. Identify and document personnel assigned to those roles.\n3. Authorize and document access to the facility to personnel in identified roles','The organization conducting the inspection/assessment obtains and examines:\n1. The list of roles or positions that have access to the facility where the information system resides.\n2. The list of personnel assigned to those roles\nRecommended:\n3. Access logs to verify access to the facility was authorized based on the appropriate roles and positions'),(917,'PE-2','2','The organization requires two forms of identification from organization-defined list of acceptable forms of identification for visitor access to the facility where the information system resides.','The organization being inspected/assessed will only grant access to the facility with two organization approved government issued forms of identification defined in PE-2 (2), CCI 2912.\n \nThis requirement must be documented within the organization\'s physical security policy.\n \nThe organization must maintain access control documentation as an auditable event per AU-2, CCI 000123.','The organization conducting the inspection/assessment obtains and examines the inspected organization\'s physical security policy for requirements and implementation guidance to have two forms of identification defined in PE-2 (2), CCI 2912 and physical access control logs or records; and any other relevant documents or records to validate compliance.'),(919,'PE-3','','The organization enforces physical access authorizations at organization-defined entry/exit points to the facility where the information system resides.','The organization being inspected/assessed will implement physical access authorizations at entry/exit points defined in PE-3, CCI 2915 and secure those physical access points (i.e. doors and/or windows) that are not intended for normal access.','The organization conducting the inspection/assessment performs a physical inspection of facility entry/exit points defined in PE-3, CCI 2915 to ensure that either physical access authorization controls are in place for those access points considered normal access points or are properly secured.  \n \nPhysical access points that are not documented or are not secured would be a failure of this control.'),(920,'PE-3','','The organization verifies individual access authorizations before granting access to the facility.','The organization being inspected/assessed verifies and grants access to facilities based upon individual access authorizations.','The organization conducting the inspection/assessment obtains and examines the access authorization list of personnel that have access to the facility (per access list implemented through PE-2, CCI 000912) where the information system resides. Inspect selected facilities to confirm the inspected organization is granting access at all physical access points to only authorized personnel.'),(921,'PE-3','','The organization controls ingress/egress to the facility using one or more organization-defined physical access control systems/devices or guards.','The organization being inspected/assessed will control ingress/egress to the facility using the physical access control devices and/or guards defined in PE-3, CCI 2916.','The organization conducting the inspection/assessment obtains and examines the list of physical access control devices and/or guards in use defined in PE-3, CCI 2916  and conducts random inspections of entry points.  The purpose is to determine whether the organization is using those physical access devices and/or guards to control entry of personnel into the facility hosting the information system.'),(923,'PE-3','','The organization secures keys, combinations, and other physical access devices.','The organization being inspected/assessed will secure as appropriate (in safes or secure containers) items used for physical access control such as keys, combinations, portable locks, etc.   Fixed access control devices such as card readers, installed locks, key pads, etc. should be protected from tampering.','The organization conducting the inspection/assessment conducts physical inspections and interviews physical security/safety personnel to validate the organization has taken the proper precautions, and established the proper procedures to ensure it has adequately secured its keys, combinations, and other physical devices.'),(924,'PE-3','','The organization inventories organization-defined physical access devices every organization-defined frequency.','The organization being inspected/assessed conducts and documents an inventory of minimally keys or any other physical token used to gain access annually.  \n \nInventory documents must be retained for at least one year beyond the completion of the next inventory.\n \nDoD has defined the frequency as annually.\n \nDoD has defined the physical access devices as minimally keys or any other physical token used to gain access.','The organization conducting the inspection/assessment obtains and examines the records of inventory of minimally keys or any other physical token used to gain acces to ensure the inventory is being conducted annually.\n \nDoD has defined the frequency as annually.\n \nDoD has defined the physical access devices as minimally keys or any other physical token used to gain access.'),(925,'PE-3','','The organization defines the frequency for conducting inventories of organization-defined physical access devices.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the frequency as annually.'),(926,'PE-3','','The organization changes combinations and keys in accordance with organization-defined frequency and/or when keys are lost, combinations are compromised, or individuals are transferred or terminated.','The organization being inspected/assessed will document each occurrence of these change actions, with the reason for the action, as an audit trail for future reference.\n \nDoD has defined the frequency as required by security relevant events.','The organization conducting the inspection/assessment obtains and examines documentation of these change actions to validate the organization is changing its keys and combinations upon occurrence of security relevant events and when keys are lost, combinations are compromised, or individuals are transferred or terminated.\n \nDoD has defined the frequency as required by security relevant events.'),(927,'PE-3','','The organization defines a frequency for changing combinations and keys.','DoD has defined the frequency as required by security relevant event.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the frequency as required by security relevant event.'),(928,'PE-3','1','The organization enforces physical access authorizations to the information system in addition to the physical access controls for the facility at organization-defined physical spaces containing one or more components of the information system.','The organization being inspected/assessed will\nprovide documentation of additional physical access authorizations for the facility/facilities at physical spaces containing one or more components of the information system defined in PE-3 (1), CCI 2926.\n \nThe organization will ensure that these controls are separate from, and independent of, the physical access controls established for the facility.','The organization conducting the inspection/assessment obtains and examines the documented list of additional physical access authorizations for the facility/facilities at physical spaces containing one or more components of the information system.\n \nThe objective of the examination is to determine if the organization is enforcing additional physical access authorizations to areas of the facility at physical spaces containing one or more components of the information system defined in PE-3 (1), CCI 2926.  These controls are independent of the physical access controls established for the facility.'),(929,'PE-3','2','The organization performs security checks in accordance with organization-defined frequency at the physical boundary of the facility or information system for unauthorized exfiltration of information or removal of information system components.','The organization being inspected/assessed documents and implements procedures to perform security checks at the physical boundary of the facility or information system  at a minimum, annually.\n \nThe organization must maintain an audit trail of security checks at the physical boundary.\n \nDoD has defined the frequency as at a minimum, annually.','The organization conducting the inspection/assessment obtains and examines the documented procedures as well as the audit trail of security checks at the physical boundaru to ensure the organization being inspected/assessed performs security checks at the physical boundary of the facility or information system  at a minimum, annually.\n \n DoD has defined the frequency as at a minimum, annually.\n '),(930,'PE-3','3','The organization employs guards and/or alarms to monitor every physical access point to the facility where the information system resides 24 hours per day, 7 days per week.','The organization being inspected/assessed employs guards and/or alarms to monitor every physical access point to the facility where the information system resides 24 hours per day, 7 days per week.\n \nThe organization must create and maintain a list of guards or alarms for every physical access point to the facility where the information system resides 24 hours per day, 7 days per week.','The organization conducting the inspection/assessment obtains the list of guards or alarms for every physical access point to the facility where the information system resides and visually verifies a sampling of access points to ensure the appropriate guard or alarm to monitor is in place 24 hours per day, 7 days per week.'),(931,'PE-3','4','The organization uses lockable physical casings to protect organization-defined information system components from unauthorized physical access.','The organization being inspected/assessed will  deploy and install lockable physical casings designed to protect organization-defined information system components from unauthorized physical access.','The organization conducting the inspection/assessment performs a sample inspection of the lockable physical casings.  The objective of the reviews is to validate the organization is using lockable physical casings to protect organization-defined information system components from unauthorized physical access.'),(932,'PE-3','4','The organization defines information system components to be protected from unauthorized physical access using lockable physical casings.','The organization being inspected/assessed defines and documents information system components to be protected from unauthorized physical access using lockable physical casings.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system components to ensure the organization being inspected/assessed defines  information system components to be protected from unauthorized physical access using lockable physical casings.\n  \nDoD has determined the information system components are not appropriate to define at the Enterprise level.'),(933,'PE-3','5','The organization employs organization-defined security safeguards to deter and or prevent physical tampering or alteration of organization-defined hardware components within the information system.','The organization being inspected/assessed employs security safeguards defined in PE-3 (5), CCI 2928 to deter and or prevent physical tampering or alteration of hardware components defined in PE-3 (5), CCI 2929 within the information system.','The organization conducting the inspection/assessment inspects the information system to ensure the organization being inspected/assessed  employs security safeguards defined in PE-3 (5), CCI 2928 to deter and or prevent physical tampering or alteration of hardware components defined in PE-3 (5), CCI 2929 within the information system.'),(934,'PE-3','6','The organization employs a penetration testing process that includes organization-defined frequency, unannounced attempts to bypass or circumvent security controls associated with physical access points to the facility.','The organization being inspected/assessed executes a penetration testing process annually, that includes unannounced attempts, as defined in its physical security assessment plan for testing effectiveness of security controls in place for physical access points to the facility.  Results of all penetration testing will be documented as an audit trail.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines the inspected organization\'s physical security assessment plan and reviews documented results to ensure annual penetration testing of physical access points occurred.\n \nDoD has defined the frequency as annually.'),(935,'PE-3','6','The organization defines the frequency of unannounced attempts to be included in a penetration testing process to bypass or circumvent security controls associated with physical access points to the facility.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the frequency as annually.'),(936,'PE-4','','The organization controls physical access to organization-defined information system distribution and transmission lines within organizational facilities using organization-defined security safeguards.','The organization being inspected/assessed  controls physical access to information system distribution and transmission lines defined in PE-4, CCI 2930 within organizational facilities using security safeguards defined in PE-4, CCI 2931.','The organization conducting the inspection/assessment inspects the information system distribution and transmission lines defined in PE-4, CCI 2930 to ensure the security safeguards defined in PE-4, CCI 2931 are in place.'),(937,'PE-5','','The organization controls physical access to information system output devices to prevent unauthorized individuals from obtaining the output.','The organization being inspected/assessed will identify, document, and execute any additional access controls required for output devices above and beyond physical access controls already in place for the facility IAW DoD 5200.08-R and DoD 5200.01-M (Volumes 1-4).','The organization conducting the inspection/assessment obtains and examines the list of additional access controls for output devices.  Physical inspection is required to ensure these access controls are properly implemented.'),(939,'PE-6','','The organization reviews physical access logs in accordance with organization-defined frequency.','The organization being inspected/assessed will review physical access logs every 30 days.  \n \nThe organization must document each occurrence the physical access log review, with results of any necessary incident analysis and action taken, as an audit trail for future reference.\n \nDoD has defined the frequency as every 30 days.','The organization conducting the inspection/assessment obtains and examines the inspected organization\'s physical access logs or records; physical access incident reports; and any other relevant documents or records.  The purpose of the reviews is to determine if the organization is conducting reviews of the physical access logs every 30 days.\n \nDoD has defined the frequency as every 30 days.'),(940,'PE-6','','The organization defines a frequency for reviewing physical access logs.','DoD has defined the frequency as every 30 days.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the frequency as every 30 days.'),(941,'PE-6','','The organization coordinates results of reviews and investigations with the organizations incident response capability.','The organization being inspected/assessed will coordinate the results of reviews and investigations of physical security incidents with the organization\'s incident response capability (for physical security incidents).','The organization conducting the inspection/assessment obtains and examines documentation of physical security incidents to ensure coordination  with the inspected organization\'s incident response capability occurred.'),(942,'PE-6','1','The organization monitors physical intrusion alarms and surveillance equipment.','The organization being inspected/assessed will actively monitor physical intrusion alarms and surveillance equipment.','The organization conducting the inspection/assessment will observe and interview security personnel conducting monitoring activities to validate the organization is actively monitoring all physical intrusion alarms and surveillance equipment.'),(947,'PE-8','','The organization maintains visitor access records to the facility where the information system resides for organization-defined time period.','The organization being inspected/assessed must maintain visitor access records for their facilities for at least one year.\n \nDoD has defined the time period as at least one year.','The organization conducting the inspection/assessment obtains and examines visitor access records to determine if the organization is maintaining visitor access records to the facility where the information system resides for at least one year.\n \nDoD has defined the time period as at least one year.'),(948,'PE-8','','The organization reviews visitor access records in accordance with organization-defined frequency.','The organization being inspected/assessed conducts reviews of visitor access records every 30 days and must establish and maintain a documented audit trail within the authorization lifecycle.  \n \nDoD has defined the frequency as every 30 days.','The organization conducting the inspection/assessment obtains and examines the audit documentation of visitor access record review to ensure the inspected organization is conducting reviews every 30 days.\n  \nDoD has defined the frequency as every 30 days.'),(949,'PE-8','','The organization defines the frequency  to review the visitor access records for the facility where the information system resides.','DoD has defined the frequency as every 30 days.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the frequency as every 30 days.'),(950,'PE-8','1','The organization employs automated mechanisms to facilitate the maintenance and review of access records.','The organization being inspected/assessed will identify, document, and employ automated mechanisms to facilitate the maintenance and review of access records.','The organization conducting the inspection/assessment:\n1. obtains documentation identifying the automated mechanism in use by the inspected organization to facilitate the maintenance and review of access records\n2. Observes the use of the automated mechanism by the inspected organization'),(952,'PE-9','','The organization protects power equipment and power cabling for the information system from damage and destruction.','The organization being inspected/assessed provides a list of protective measures in place to prevent damage and/or destruction of power equipment and power cabling for their information system environment, IAW CP-2 (1), CCI 469.','The organization conducting the inspection/assessment obtains and examines the list of protective measures.  Physical inspection of power equipment and power cabling will be done to ensure identified protective measures are in place.'),(954,'PE-9','2','The organization employs automatic voltage controls for organization-defined critical information system components.','The organization being inspected/assessed \nemploys automatic voltage controls for all IT Components Critical to Execution of Missions. \n \nAutomatic voltage controls are devices intended to eliminate voltage fluctuations (e.g., spikes).  This controls apply to voltage controls for mission critical IT Components and not for facilities.\n \nDoD has defined the list of critical information system components as all IT Components Critical to Execution of Missions.','The organization conducting the inspection/assessment obtains the documentation of the all mission critical IT Components required to have automatic voltage controls mechanisms devices in place (IAW PE-9 (2), CCI 955) and does a visual inspection of at least a sample of the above list to ensure automatic voltage control mechanisms are in place.\n \nDoD has defined the list of critical information system components as all IT Components Critical to Execution of Missions.'),(955,'PE-9','2','The organization defines critical information system components that require automatic voltage controls.','The organization being inspected/assessed must document all IT Components Critical to Execution of Missions.\n \nDoD has defined the list of critical information system components as all IT Components Critical to Execution of Missions.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the list of critical information system components as all IT Components Critical to Execution of Missions.'),(956,'PE-10','','The organization provides the capability of shutting off power to the information system or individual system components in emergency situations.','This control does not apply to individual workstations, laptops, printers, etc.  This control only applies to facilities containing concentrations of information system resources (e.g., datacenters, server rooms, mainframe computer rooms).\n \nThe organization being inspected/assessed will establish and document the capability to shut off the power to facilities or areas within facilities containing concentrations of information system resources (e.g., datacenters, server rooms, mainframe computer rooms) in emergency situations.','The organization conducting the inspection/assessment obtains and examines documentation of the capability to shut off the power to facilities or areas within facilities containing concentrations of information system resources (e.g., datacenters, server rooms, mainframe computer rooms) in emergency situations.\n \nThe purpose is to validate the organization has provided the capability of shutting off power in emergency situations.'),(957,'PE-10','','The organization places emergency shutoff switches or devices in an organization-defined location by information system or system component to facilitate safe and easy access for personnel.','This control does not apply to individual workstations, laptops, printers, etc.  This control only applies to facilities containing concentrations of information system resources (e.g., datacenters, server rooms, mainframe computer rooms).\n \nThe organization being inspected/assessed places emergency shutoff switches or devices near more than one egress point of the IT area and ensure it is labeled and protected by a cover to prevent accidental shut-off to facilitate safe and easy access for personnel.\n \nDoD has defined the location as near more than one egress point of the IT area and ensure it is labeled and protected by a cover to prevent accidental shut-off.','The organization conducting the inspection/assessment will physically inspect emergency shutoff switches or devices for placement to validate the organization has installed the emergency shutoff switches or devices near more than one egress point of the IT area and ensure it is labeled and protected by a cover to prevent accidental shut-off to facilitate safe and easy access for personnel.\n \nDoD has defined the location as near more than one egress point of the IT area and ensure it is labeled and protected by a cover to prevent accidental shut-off.'),(958,'PE-10','','The organization defines a location for emergency shutoff switches or devices by information system or system component.','DoD has defined the location as near more than one egress point of the IT area and ensures it is labeled and protected by a cover to prevent accidental shut-off.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the location as near more than one egress point of the IT area and ensures it is labeled and protected by a cover to prevent accidental shut-off.'),(959,'PE-10','','The organization protects emergency power shutoff capability from unauthorized activation.','The organization being inspected/assessed will protect emergency power shutoff capability. \n \nDoD has defined the location as near more than one egress point of the IT area and ensures it is labeled and protected by a cover to prevent accidental shut-off.','The organization conducting the inspection/assessment will ensure that the inspected organization has protected emergency power shutoff capability.\n \nDoD has defined the location as near more than one egress point of the IT area and ensures it is labeled and protected by a cover to prevent accidental shut-off.'),(961,'PE-11','1','The organization provides a long-term alternate power supply for the information system that is capable of maintaining minimally required operational capability in the event of an extended loss of the primary power source.','The organization being inspected/assessed will:\n1. implement alternate power supply capable of supporting minimal operational capability over the long term. \n2. Provide a list of physical IT assets within the boundary of the information system that require a long term alternate power supply.  This list may come from the inspected organization\'s security plan, continuity plan, or other documentation.','The organization conducting the inspection/assessment obtains and examines the list of physical IT assets within the boundary of the information system that require a long term alternate power supply.  Physically inspect a sample from the list to ensure that long term power supply capability  supporting minimal operational capability has been provided.'),(963,'PE-12','','The organization employs and maintains automatic emergency lighting for the information system that activates in the event of a power outage or disruption and that covers emergency exits and evacuation routes within the facility.','The organization being inspected/assessed must install and maintain automatic emergency lighting for the information system that activates in the event of a power outage or disruption and covers emergency exits and evacuation routes within the facility in compliance with established OSHA requirements.','The organization conducting the inspection/assessment conducts visual inspections and interviews physical security personnel to validate the organization is in compliance with established OSHA requirements by employing and maintaining emergency lighting for the information system, the emergency lighting activates in the event of a power outage or disruption, and it covers emergency exits and evacuation routes within the facility'),(965,'PE-13','','The organization employs and maintains fire suppression and detection devices/systems for the information system that are supported by an independent energy source.','The organization being inspected/assessed must implement and maintain fire suppression and detection devices/systems for the information system that are supported by an independent energy source.\n \nAn independent energy source is some source other than the primary energy source for that facility.\n \nExamples include sprinkler systems, hand held fire extinguishers, fixed fire hoses, and smoke detectors.','The organization conducting the inspection/assessment will conduct visual observation and interview organizational personnel with responsibilities for fire detection and suppression devices/systems. The purpose of the reviews and interviews is to validate the fire suppression and detection devices/systems for the information system are supported by an independent energy source.'),(968,'PE-13','3','The organization employs an automatic fire suppression capability for the information system when the facility is not staffed on a continuous basis.','The organization being inspected/assessed must implement and maintain an automatic fire suppression capability that is fully operational when the facility is not staffed on a continuous basis.','The organization conducting the inspection/assessment conducts visual inspections and interviews physical security/safety personnel to validate the organization has installed and implemented an automatic fire suppression capability which is operational during those times the facility is not staffed.'),(971,'PE-14','','The organization maintains temperature and humidity levels within the facility where the information system resides at organization-defined acceptable levels.','Humidity controls are not required for general office areas where information system components may be in use and are only required where there are concentrations of information systems such as server farms, mainframes, etc.\n \nThe organization being inspected/assessed must maintain temperature and where applicable humidity levels of for commercial grade information systems: 64.4 – 80.6 degrees F;  45% – 60% Relative Humidity;  Dew Point 41.9 ° – 59°F; measured at the air intake inlet of the IT equipment casing; for other systems, levels within manufacturer specifications.\n \nDoD has defined the acceptable levels as for commercial grade information systems: 64.4 – 80.6 degrees F;  45% – 60% Relative Humidity;  Dew Point 41.9 ° – 59°F; measured at the air intake inlet of the IT equipment casing; for other systems, levels within manufacturer specifications.','The organization conducting the inspection/assessment reviews temperature and humidity controls to validate that they are set within DoD specified guidelines.\n \nDoD has defined the acceptable levels as for commercial grade information systems: 64.4 – 80.6 degrees F;  45% – 60% Relative Humidity;  Dew Point 41.9 ° – 59°F; measured at the air intake inlet of the IT equipment casing; for other systems, levels within manufacturer specifications.'),(972,'PE-14','','The organization defines acceptable temperature and humidity levels to be maintained within the facility where the information system resides.','DoD has defined the acceptable levels as for commercial grade information systems: 64.4 – 80.6 degrees F;  45% – 60% Relative Humidity;  Dew Point 41.9 ° – 59°F; measured at the air intake inlet of the IT equipment casing; for other systems, levels within manufacturer specifications.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the acceptable levels as for commercial grade information systems: 64.4 – 80.6 degrees F;  45% – 60% Relative Humidity;  Dew Point 41.9 ° – 59°F; measured at the air intake inlet of the IT equipment casing; for other systems, levels within manufacturer specifications.'),(973,'PE-14','','The organization monitors temperature and humidity levels in accordance with organization-defined frequency.','The organization being inspected/assessed will maintain an independent monitor device for temperature and humidity levels not located in the immediate vicinity of the controller continuously unless manufacturer specifications allow for a wide enough tolerance that control is not required.\n \nRecords of monitoring must be maintained as an audit trail within the authorization lifecycle.\n \nDoD has defined the frequency as continuously unless manufacturer specifications allow for a wide enough tolerance that control is not required.','The organization conducting the inspection/assessment will visually observe the inspected organization\'s independent monitoring device, obtain and examine audit logs, and interview physical security/safety personnel to validate the inspected organization monitors temperature and humidity levels continuously unless manufacturer specifications allow for a wide enough tolerance that control is not required.\n \nDoD has defined the frequency as continuously unless manufacturer specifications allow for a wide enough tolerance that control is not required.'),(974,'PE-14','','The organization defines a frequency for monitoring temperature and humidity levels.','DoD has defined the frequency as  continuously unless manufacturer specifications allow for a wide enough tolerance that control is not required.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the frequency as continuously unless manufacturer specifications allow for a wide enough tolerance that control is not required.'),(975,'PE-14','1','The organization employs automatic temperature and humidity controls in the facility to prevent fluctuations potentially harmful to the information system.','Humidity controls are not required for general office areas where information system components may be in use and are only required where there are concentrations of information systems such as server farms, mainframes, etc.\n \nThe organization being inspected/assessed must implement and maintain automatic temperature and humidity controls in the facility designed to prevent temperature and humidity fluctuations that would be potentially harmful to the information system.','The organization conducting the inspection/assessment conducts visual inspections and interviews personnel responsible for maintaining automatic temperature and humidity controls to validate the organization is employing automatic temperature and humidity  controls for the information system to prevent fluctuations potentially harmful to the information system.'),(976,'PE-14','2','The organization employs temperature and humidity monitoring that provides an alarm or notification of changes potentially harmful to personnel or equipment.','Humidity controls are not required for general office areas where information system components may be in use and are only required where there are concentrations of information systems such as server farms, mainframes, etc.\n \nThe organization being inspected/assessed must implement and maintain automatic temperature and humidity controls in the facility and provides an alarm or notification of changes to either of these environmental conditions that are potentially harmful to personnel or equipment.','The organization conducting the inspection/assessment conducts visual inspections and interviews personnel responsible for maintaining automatic temperature and humidity controls to validate the inspected organization is employing automatic temperature and humidity  controls that provide an alarm or notification of changes potentially harmful to personnel or equipment.'),(977,'PE-15','','The organization protects the information system from damage resulting from water leakage by providing master shutoff or isolation valves that are accessible.','The organization being inspected/assessed must provide master shutoff valves that are accessible to protect the information system from damage resulting from water leakage.','The organization conducting the inspection/assessment will inspect the master shutoff valves to ensure they are installed and accessible.'),(978,'PE-15','','The organization protects the information system from damage resulting from water leakage by providing master shutoff or isolation valves that are working properly.','The organization being inspected/assessed will ensure that master shutoff valves are working properly and have been inspected by the appropriate organization (e.g., fire marshal, department of public works).','The organization conducting the inspection/assessment will visually inspect master shutoff valve inspection documentation (e.g., inspection form, tag attached to valve).'),(979,'PE-15','','Key personnel have knowledge of the master water shutoff or isolation valves.','The organization being inspected/assessed  will identify and document key personnel and will provide training on the location and procedures for use of master shutoff valves.','The organization conducting the inspection/assessment obtains and examines list of key personnel with knowledge of location and activation procedures for master shutoff valves and any other relevant documents or records.  Interview key personnel from the list to determine if identified key personnel within the organization have knowledge of the master shutoff valves.'),(981,'PE-16','','The organization authorizes organization-defined types of information system components entering and exiting the facility.','The organization being inspected/assessed authorizes and maintains authorization records of all system components entering and exiting the facility.  \n \nDoD has defined the types of information system components as all system components.','The organization conducting the inspection/assessment obtains and examines records authorizing all system components entering and exiting the facility.  \n \nDoD has defined the types of information system components as all system components.'),(982,'PE-16','','The organization monitors organization-defined types of information system components entering and exiting the facility.','The organization being inspected/assessed  monitors all system components entering and exiting the facility.  \n \nDoD has defined the types of information system components as all system components.','The organization conducting the inspection/assessment obtains and examines records monitoring all system components entering and exiting the facility.  \n \nDoD has defined the types of information system components as all system components.'),(983,'PE-16','','The organization controls organization-defined types of information system components entering and exiting the facility.','The organization being inspected/assessed: \n1. Documents in their physical and environmental protection plan (PE-1) controls for all system components entering and exiting the facility.  \n2. Implements documented controls for system components entering and exiting the facility. \n \nDoD has defined the types of information system components as all system components.','The organization conducting the inspection/assessment obtains and examines the physical and environmental protection plan to determine if controls have been documented for all system components entering and exiting the facility and visually inspects the controls (e.g., logs, scans, etc.) to ensure implementation.\n \n \nDoD has defined the types of information system components as all system components.'),(984,'PE-16','','The organization maintains records of information system components entering and exiting the facility.','The organization being inspected/assessed will maintain records of all information system components entering and exiting the facility.\n \nIf the organization is following General Records Schedule (GRS) 18, Section 12 they are automatically compliant.','The organization conducting the inspection/assessment obtains and examines records of physical entry and exit events to the facility.   The purpose of the reviews is to ensure the organization is maintaining detailed and accurate records of information system components that enter and exit the facility.\n \nIf the organization is following GRS 18, Section 12 they are automatically compliant.'),(985,'PE-17','','The organization employs organization-defined security controls at alternate work sites.','The organization being inspected/assessed  implements security controls defined in PE-17, CCI 2975 at alternate work sites.\n \nAlternate work sites are further defined in the definitions associated with this implementation guide.\n \nOrganizational telework policies should be used to address alternate work sites that are private residences. \n  \nComment:\nFor classified information see DoD 5200.01  Vol 3 Manual','The organization conducting the inspection/assessment obtains and examines the alternate work site policy of the organization being inspected/assessed to ensure the organization implements security controls defined in PE-17, CCI 2975 at alternate work sites.'),(987,'PE-17','','The organization assesses as feasible, the effectiveness of security controls at alternate work sites.','The organization being inspected/assessed  must implement procedures to assess, when feasible, the effectiveness of the documented alternate work site security controls. \nThe organization must document results of conducted assessments as part of an audit trail. \n \nAlternate work sites are further defined in the definitions associated with this implementation guide.','The organization conducting the inspection/assessment obtains and examines:\n1. The procedures for assessing the effectiveness of alternate work site security controls.\n2. The audit records of assessments they have conducted of security controls effectiveness for alternate work sites.'),(988,'PE-17','','The organization provides a means for employees to communicate with information security personnel in case of security incidents or problems.','The organization being inspected/assessed must disseminate current contact information for appropriate security personnel to all employees; for example, telephone or e-mail.','The organization conducting the inspection/assessment obtains and examines contact information for appropriate security personnel to ensure its accuracy and dissemination.'),(989,'PE-18','','The organization positions information system components within the facility to minimize potential damage from organization-defined physical and environmental hazards.','The organization being inspected/assessed  positions information system components within the facility to minimize potential damage from physical and environmental hazards defined in PE-18, CCI 2976 specific to the location of the information system as documented in PE-1, CCI 000904.','The organization conducting the inspection/assessment reviews the physical and environmental protection policy developed in PE-1, CCI 000904 to validate that the systems have been positioned according to the environmental policy.'),(991,'PE-18','','The organization positions information system components within the facility to minimize the opportunity for unauthorized access.','The organization being inspected/assessed  positions information system components within the facility to minimize the opportunity for unauthorized access specific to the location of the information system as documented in PE-1, CCI 00904.','The organization conducting the inspection/assessment reviews the physical and environmental protection policy developed in PE-1, CCI 000904 to validate that the systems have been positioned according to the environmental policy.'),(993,'PE-19','','The organization protects the information system from information leakage due to electromagnetic signals emanations.','\nThe organization being inspected/assessed will obtain a TEMPEST countermeasure review and implement the required countermeasures in order to protect  the information system from information leakage due to electromagnetic signals emanations.','The organization conducting the inspection/assessment obtains and examines the TEMPEST countermeasures review and inspects the information system to ensure those countermeasures have been implemented.'),(994,'PE-19','1','The organization ensures that information system components, associated data communications, and networks are protected in accordance with national emissions and TEMPEST policies and procedures based on the security category or classification of the information.','\nThe organization being inspected/assessed will obtain a TEMPEST countermeasure review and implement the required countermeasures in order to protect  the information system from information leakage due to electromagnetic signals emanations.','The organization conducting the inspection/assessment obtains and examines the TEMPEST countermeasures review and inspects the information system to ensure those countermeasures have been implemented.'),(995,'MP-1','','The organization develops and documents a media protection policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','DoDI 5200.01 and DoDM 5200.01 Vol. 1-4 meet the DoD requirements for media protection policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDI 5200.01 and  DoDM 5200.01 Vol. 1-4.','DoDI 5200.01 and  DoDM 5200.01 Vol. 1-4  meet the DoD requirements for media protection policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDI 5200.01 and  DoDM 5200.01 Vol. 1-4.'),(996,'MP-1','','The organization disseminates to organization-defined personnel or roles a media protection policy.','DoDI 5200.01 and  DoDM 5200.01 Vol. 1-4 meet the DoD requirements for media protection policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDI 5200.01 and  DoDM 5200.01 Vol. 1-4.','DoDI 5200.01 and  DoDM 5200.01 Vol. 1-4  meet the DoD requirements for media protection policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDI 5200.01 and DoDM 5200.01 Vol. 1-4.'),(997,'MP-1','','The organization reviews and updates the current media protection policy in accordance with organization-defined frequency.','DoDI 5200.01 and  DoDM 5200.01 Vol. 1-4 meet the DoD requirements for media protection policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDI 5200.01 and  DoDM 5200.01 Vol. 1-4.','DoDI 5200.01 and  DoDM 5200.01 Vol. 1-4 meet the DoD requirements for media protection policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDI 5200.01 and  DoDM 5200.01 Vol. 1-4.'),(998,'MP-1','','The organization defines a frequency for reviewing and updating the current media protection policy.','DoD has defined the frequency as every 5 years.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as every 5 years.'),(999,'MP-1','','The organization develops and documents procedures to facilitate the implementation of the media protection policy and associated media protection controls.','DoDI 5200.01 and  DoDM 5200.01 Vol. 1-4 meet the DoD requirements for media protection policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDI 5200.01 and  DoDM 5200.01 Vol. 1-4.','DoDI 5200.01 and  DoDM 5200.01 Vol. 1-4 meet the DoD requirements for media protection policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDI 5200.01 and DoDM 5200.01 Vol. 1-4.'),(1000,'MP-1','','The organization disseminates to organization-defined personnel or roles procedures to facilitate the implementation of the media protection policy and associated media protection controls.','DoDI 5200.01 and  DoDM 5200.01 Vol. 1-4 meet the DoD requirements for media protection policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDI 5200.01 and  DoDM 5200.01 Vol. 1-4.','DoDI 5200.01 and DoDM 5200.01 Vol. 1-4  meet the DoD requirements for media protection policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDI 5200.01 and  DoDM 5200.01 Vol. 1-4.'),(1001,'MP-1','','The organization reviews and updates the current media protection procedures in accordance with organization-defined frequency.','DoDI 5200.01 and  DoDM 5200.01 Vol. 1-4 meet the DoD requirements for media protection policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDI 5200.01 and  DoDM 5200.01 Vol. 1-4.','DoDI 5200.01 and DoDM 5200.01 Vol. 1-4 meet the DoD requirements for media protection policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoDI 5200.01 and  DoDM 5200.01 Vol. 1-4.'),(1002,'MP-1','','The organization defines a frequency for reviewing and updating the current media protection procedures.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(1003,'MP-2','','The organization restricts access to organization-defined types of digital and/or non-digital media to organization-defined personnel or roles.','The organization being inspected/assessed restricts access to all types of digital and/or non-digital media containing information not cleared for public release to the personnel or roles defined in MP-2, CCI 1005.\n \nDoD has defined the types of digital and non-digital media as  all types of digital and/or non-digital media containing information not cleared for public release.','The organization conducting the inspection/assessment interviews organizational personnel with information system media protection responsibilities to ensure the organization being inspected/assessed restricts access to all types of digital and/or non-digital media containing information not cleared for public release to the personnel or roles defined in MP-2, CCI 1005.\n \nDoD has defined the types of digital and non-digital media as  all types of digital and/or non-digital media containing information not cleared for public release.\n '),(1004,'MP-2','','The organization defines types of digital and/or non-digital media for which the organization restricts access.','DoD has defined the types of digital and non-digital media as  all types of digital and/or non-digital media containing information not cleared for public release.\n \n','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the types of digital and non-digital media as  all types of digital and/or non-digital media containing information not cleared for public release.\n \n '),(1005,'MP-2','','The organization defines personnel or roles to restrict access to organization-defined types of digital and/or non-digital media.','The organization being inspected/assessed will define and document personnel or roles to restrict access to media IAW DoD 5200.01-M, CTO 10-133, and CTO 08-001.\n \nDoD has determined the personnel or roles are not appropriate to define at the Enterprise level, but personnel must be identified\nIAW DoD 5200.01-M, CTO 10-133, and CTO 08-001.','The organization conducting the inspection/assessment obtains and examines the documented personnel or roles to restrict access to media to ensure the access is granted IAW DoD 5200.01-M, CTO 10-133, and CTO 08-001.\n \nDoD has determined the personnel or roles are not appropriate to define at the Enterprise level, but personnel must be identified\nIAW DoD 5200.01-M, CTO 10-133, and CTO 08-001.'),(1007,'MP-4','2','The organization employs automated mechanisms to restrict access to media storage areas.','The organization being inspected/assessed implements automated mechanisms to restrict access to media storage areas.','The organization conducting the inspection/assessment examines the information system\'s environment to ensure the organization being inspected/assessed implements automated mechanisms to restrict access to media storage areas.'),(1008,'MP-4','2','The organization employs automated mechanisms to audit access attempts and access granted to media storage areas.','The organization being inspected/assessed implements automated mechanisms to audit access attempts and access granted to media storage areas.','The organization conducting the inspection/assessment examines the information system\'s environment to ensure the organization being inspected/assessed implements automated mechanisms to audit access attempts and access granted to media storage areas.'),(1010,'MP-3','','The organization marks information system media indicating the distribution limitations, handling caveats, and applicable security markings (if any) of the information.','The organization being inspected/assessed marks information system media and information system output IAW DoDM 5200.01 Vol. 1-4.','The organization conducting the inspection/assessment obtains a sampling of  information system media and information system output to verify that it is marked in compliance with DoDM 5200.01 Vol. 1-4.'),(1011,'MP-3','','The organization exempts organization-defined types of information system media from marking as long as the media remain within organization-defined controlled areas.','All information system media must be marked in all areas IAW DoDM 5200.01 Vol. 1-4.','The organization conducting the inspection/assessment examines information system media to ensure it is marked IAW DoDM 5200.01 Vol. 1-4.'),(1012,'MP-3','','The organization defines types of information system media to exempt from marking as long as the media remain within organization-defined controlled areas.','DoD has defined the list of information system media as nothing unless otherwise exempted by DoDI 5200.01 and DoDM 5200.01 Vol 1-4.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the list of information system media as nothing unless otherwise exempted by DoDI 5200.01 and DoDM 5200.01 Vol 1-4'),(1013,'MP-3','','The organization defines controlled areas where organization-defined types of information system media are exempt from being marked.','DoD has defined the controlled areas as all areas unless otherwise exempted by DoDI 5200.01 and DoDM 5200.01 Vol 1-4','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the controlled areas as  all areas unless otherwise exempted by DoDI 5200.01 and DoDM 5200.01 Vol 1-4'),(1014,'MP-4','','The organization physically controls and securely stores organization-defined types of digital and/or non-digital media within organization-defined controlled areas.','The organization being inspected/assessed physically controls and securely stores all digital and non-digital media containing sensitive, controlled, and/or classified information within areas approved for processing or storing data IAW the sensitivity and/or classification level of the information contained on/within the media.\n \nDoD has defined the digital and non-digital media types as all digital and non-digital media containing sensitive, controlled, and/or classified information.  \n \nDoD has defined the controlled areas as areas approved for processing or storing data IAW the sensitivity and/or classification level of the information contained on/within the media.','The organization conducting the inspection/assessment obtains and examines the list of all digital and non-digital media containing sensitive, controlled, and/or classified information within areas approved for processing or storing data IAW the sensitivity and/or classification level of the information contained on/within the media to ensure that physical controls are in place and that it is securely stored as defined in PE-3.\n \nDoD has defined the digital and non-digital media types as all digital and non-digital media containing sensitive, controlled, and/or classified information.  \n \nDoD has defined the controlled areas as areas approved for processing or storing data IAW the sensitivity and/or classification level of the information contained on/within the media.'),(1015,'MP-4','','The organization defines types of digital and/or non-digital media to physically control and securely store within organization-defined controlled areas.','DoD has defined the digital and non-digital media types as all digital and non-digital media containing sensitive, controlled, and/or classified information.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the digital and non-digital media types as all digital and non-digital media containing sensitive, controlled, and/or classified information.'),(1016,'MP-4','','The organization defines controlled areas where organization-defined types of digital and/or non-digital media are physically controlled and securely stored.','DoD has defined the controlled areas as areas approved for processing or storing data IAW the sensitivity and/or classification level of the information contained on/within the media.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the controlled areas as areas approved for processing or storing data IAW the sensitivity and/or classification level of the information contained on/within the media.'),(1018,'MP-4','','The organization protects information system media until the media are destroyed or sanitized using approved equipment, techniques, and procedures.','The organization being inspected/assessed protects information system media IAW DoDM 5200.01 M Vol. 1-4.','The organization conducting the inspection/assessment obtains and examines the list of media and verifies it is being stored and protected IAW DoDM 5200.01 M Vol. 1-4.'),(1020,'MP-5','','The organization protects and controls organization-defined types of information system media during transport outside of controlled areas using organization-defined security safeguards.','The organization being inspected/assessed protects and controls information system media during transport outside of controlled areas using security measures defined in DoDM 5200.01 M Vol. 1-4 and DoDD 5015.2.','The organization conducting the inspection/assessment obtains and examines the organization\'s records management policy or process to ensure appropriate protection of information according to its classification or designation during transport outside of controlled areas, IAW security measures defined in DoDM 5200.01 M Vol. 1-4 and DoDD 5015.2.'),(1021,'MP-5','','The organization defines types of information system media protected and controlled during transport outside of controlled areas.','DoD has defined the types of information system media as all digital and non-digital media containing sensitive, controlled, and/or classified information.','DoD has defined the types of information system media as all digital and non-digital media containing sensitive, controlled, and/or classified information.  \n \nThe organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.'),(1022,'MP-5','','The organization defines security safeguards to be used to protect and control organization-defined types of information system media during transport outside of controlled areas.','DoD has defined the security safeguards as DoDI 5200.1R and other organizationally defined security safeguards.','DoD has defined the security safeguards as DoDI 5200.1R and other organizationally defined security safeguards.\n \nThe organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.'),(1023,'MP-5','','The organization maintains accountability for information system media during transport outside of controlled areas.','The organization being inspected/assessed ensures the organization defined security measures (MP-2) includes method of accountability for information system media during transport outside of controlled areas, IAW DoDM 5200.01 M Vol. 1-4 and DoDD 5015.2.','The organization conducting the inspection/assessment obtains and examines the list of organization defined security measures (MP-2) to ensure method of accountability for information system media during transport outside of controlled areas has been identified.'),(1024,'MP-5','','The organization restricts the activities associated with the transport of information system media to authorized personnel.','The organization being inspected/assessed ensures the organization defined security measures (MP-2) includes a requirement to develop and maintain a list of personnel authorized to transport information system media outside of controlled areas, IAW DoDM 5200.01 M Vol. 1-4 and DoDD 5015.2.\n \nDevelop and maintain the list of personnel authorized to transport information system media outside of controlled areas.','The organization conducting the inspection/assessment obtains and examines the list of personnel authorized to transport information system media outside of  controlled areas.\n \nOrganizational personnel with information system media transport responsibilities and security management personnel are to be interviewed. The purpose of the reviews and reviews is to determine if the organization has established restrictions associated with the transport of information system media to authorized personnel only.'),(1025,'MP-5','','The organization documents activities associated with the transport of information system media.','The organization being inspected/assessed documents activities associated with the transport of information system media.','The organization conducting the inspection/assessment obtains and examines the documented activities to ensure the organization being inspected/assessed documents activities associated with the transport of information system media.'),(1026,'MP-5','3','The organization employs an identified custodian during transport of information system media outside of controlled areas.','The organization being inspected/assessed identifies and documents a custodian that is at all times responsible for the transport of the all information system media, from pick-up to final delivery and receipt acknowledgement.','The organization conducting the inspection/assessment obtains and examines documentation identifying the custodian that is at all times responsible for the transport of the all information system media, from pick-up to final delivery and receipt acknowledgement.'),(1027,'MP-5','4','The information system implements cryptographic mechanisms to protect the confidentiality and integrity of information stored on digital media during transport outside of controlled areas.','The organization being inspected/assessed shall document within their Security Plan, and implement, FIPS 140-2 or other NSA approved cryptographic mechanisms to protect the confidentiality and integrity of information stored on digital media during transport outside of controlled areas.','The organization conducting the inspection/assessment obtains and examines the Security Plan to ensure the organization being inspected has identified FIPS 140-2 or other NSA approved cryptographic mechanisms to protect the confidentiality and integrity of information stored on digital media during transport outside of controlled areas.'),(1028,'MP-6','','The organization sanitizes organization-defined information system media prior to disposal, release out of organizational control, or release for reuse using organization-defined sanitization techniques and procedures in accordance with applicable federal and organizational standards and policies.','The organization being inspected/assessed sanitizes all media prior to disposal, release out of organizational control, or release for reuse IAW DoDM 5200.01 Vol. 1-4 using techniques and procedures IAW NIST SP 800-88.\n \nDoD has defined the sanitization techniques as techniques and procedures IAW NIST SP 800-88.\n \nDoD has defined the information system media as all media.','The organization conducting the inspection/assessment obtains and examines media sanitization records, audit records, any other relevant documents or records, and sanitization tools to ensure sanitization is in compliance with DoDM 5200.01 Vol. 1-4 and uses techniques and procedures IAW NIST SP 800-88.\n \nThe objective of the review is to verify the organization is sanitizing its digital and non-digital information system media prior to disposal, release for reuse, or release out of the organizational control.\n \nDoD has defined the sanitization techniques as techniques and procedures IAW NIST SP 800-88.\n \nDoD has defined the information system media as all media.'),(1030,'MP-6','2','The organization tests sanitization equipment and procedures in accordance with the organization-defined frequency to verify that the intended sanitization is being achieved.','The organization being inspected/assessed shall document plans to implement their sanitization equipment and procedures every 180 days to verify correct performance.\n \nDoD has defined the frequency as every 180 days.','The organization conducting the inspection/assessment obtains and examines documented test plans and evidence of past tests to ensure that tests are conducted every 180 days to verify correct performance of sanitization equipment and procedures.\n \nDoD has defined the frequency as every 180 days.'),(1031,'MP-6','2','The organization defines a frequency for testing sanitization equipment and procedures to verify that the intended sanitization is being achieved.','DoD has defined the frequency as every 180 days.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as every 180 days.'),(1032,'MP-6','3','The organization applies nondestructive sanitization techniques to portable storage devices prior to connecting such devices to the information system in accordance with organization-defined circumstances requiring sanitization of portable storage devices.','The organization being inspected/assessed documents and implements plans to apply nondestructive sanitization techniques to portable storage devices prior to connecting such devices to the information system when such devices are first purchased from the manufacturer or vendor prior to initial use, when being considered for reuse, or when the organization loses a positive chain of custody for the device. Media obtained from unknown sources shall not be sanitized and reused.\n \nPortable storage devices include but are not limited to thumb drives, flash drives, and external storage devices.\n \nDoD has defined the circumstances as when such devices are first purchased from the manufacturer or vendor prior to initial use, when being considered for reuse, or when the organization loses a positive chain of custody for the device. Media obtained from unknown sources shall not be sanitized and reused.','The organization conducting the inspection/assessment obtains and examines  media sanitization records, audit records, and any other relevant documents or records. \n \nThe objective of the reviews is to confirm the organization is in compliance with the list of defined circumstances requiring the sanitization of portable storage devices prior to connecting such devices to the information system.'),(1033,'MP-6','3','The organization defines circumstances requiring sanitization of portable storage devices prior to connecting such devices to the information system.','DoD has defined the list circumstances as when such devices are first purchased from the manufacturer or vendor prior to initial use, when being considered for reuse, or when the organization loses a positive chain of custody for the device. Media obtained from unknown sources shall not be sanitized and reused.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the circumstances as when such devices are first purchased from the manufacturer or vendor prior to initial use, when being considered for reuse, or when the organization loses a positive chain of custody for the device. Media obtained from unknown sources shall not be sanitized and reused.'),(1037,'RA-1','','The organization develops and documents a risk assessment policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','NIST SP 800-30 meets the DoD requirements for risk assessment policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, NIST SP 800-30.','NIST SP 800-30 meets the DoD requirements for risk assessment policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, NIST SP 800-30.'),(1038,'RA-1','','The organization disseminates a risk assessment policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance to organization-defined personnel or roles.','NIST SP 800-30 meets the DoD requirements for risk assessment policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, NIST SP 800-30.','NIST SP 800-30 meets the DoD requirements for risk assessment policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, NIST SP 800-30.'),(1039,'RA-1','','The organization reviews and updates the current risk assessment policy in accordance with organization-defined frequency.','NIST SP 800-30 meets the DoD requirements for risk assessment policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, NIST SP 800-30.','NIST SP 800-30 meets the DoD requirements for risk assessment policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, NIST SP 800-30.'),(1040,'RA-1','','The organization defines the frequency to review and update the current risk assessment policy.','DoD has defined the frequency as every five years.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as every five years.'),(1041,'RA-1','','The organization develops and documents  procedures to facilitate the implementation of the risk assessment policy and associated risk assessment controls.','NIST SP 800-30 meets the DoD requirements for risk assessment policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, NIST SP 800-30.','NIST SP 800-30 meets the DoD requirements for risk assessment policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, NIST SP 800-30.'),(1042,'RA-1','','The organization disseminates risk assessment procedures to facilitate the implementation of the risk assessment policy and associated risk assessment controls to organization-defined personnel or roles.','NIST SP 800-30 meets the DoD requirements for risk assessment policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, NIST SP 800-30.','NIST SP 800-30 meets the DoD requirements for risk assessment policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, NIST SP 800-30.'),(1043,'RA-1','','The organization reviews and updates the current risk assessment procedures in accordance with organization-defined frequency.','NIST SP 800-30 meets the DoD requirements for risk assessment policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, NIST SP 800-30.',' NIST SP 800-30 meets the DoD requirements for risk assessment policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, NIST SP 800-30.'),(1044,'RA-1','','The organization defines the frequency to review and update the current risk assessment procedures.','DoD has defined the frequency as annually.','DoD Components are automatically compliant with this control because they are covered by the DoD level policy, NIST SP 800-30.'),(1045,'RA-2','','The organization categorizes information and the information system in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, and guidance.','The organization being inspected/assessed documents and implements a process to categorize information and the information system in accordance with CNSSI 1253 and applicable federal laws, Executive Orders, directives, policies, regulations, standards, and guidance.\n ','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed categorizes information and the information system in accordance with CNSSI 1253 and applicable federal laws, Executive Orders, directives, policies, regulations, standards, and guidance.\n '),(1046,'RA-2','','The organization documents the security categorization results (including supporting rationale) in the security plan for the information system.','The organization being inspected/assessed documents the security categorization results (including supporting rationale) in the security plan for the information system IAW CNSSI 1253.\n \n ','The organization conducting the inspection/assessment obtains and examines the documented security categorization results to ensure the organization being inspected/assessed documents the security categorization results (including supporting rationale) in the security plan for the information system IAW CNSSI 1253.'),(1047,'RA-2','','The organization ensures the security categorization decision is reviewed and approved by the authorizing official or authorizing official designated representative.','The organization being inspected/assessed documents and implements a process IAW CNSSI 1253 to ensure the security categorization decision is reviewed and approved by the authorizing official or authorizing official designated representative.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed ensures the security categorization decision is reviewed and approved by the authorizing official or authorizing official designated representative.'),(1048,'RA-3','','The organization conducts an assessment of risk of the information system and the information it processes, stores, or transmits that includes the likelihood and magnitude of harm from the unauthorized access, use, disclosure, disruption, modification, or destruction.','The organization being inspected/assessed conducts an assessment of risk of the information system and the information it processes, stores, or transmits that includes the likelihood and magnitude of harm from the unauthorized access, use, disclosure, disruption, modification, or destruction.\n \nThe organization must maintain an audit trail \nof assessments.','The organization conducting the inspection/assessment obtains and examines the audit trail of assessments to ensure the organization being inspected/assessed conducts an assessment of risk of the information system and the information it processes, stores, or transmits that includes the likelihood and magnitude of harm from the unauthorized access, use, disclosure, disruption, modification, or destruction.'),(1049,'RA-3','','The organization documents risk assessment results in the organization-defined document.','The organization being inspected/assessed documents risk assessment results in the risk assessment report.\n \nDoD has defined the document as a risk assessment report.','The organization conducting the inspection/assessment obtains and examines the risk assessment report to ensure the organization being inspected/assessed documents risk assessment results in the risk assessment report.\n \nDoD has defined the document as a risk assessment report.'),(1050,'RA-3','','The organization reviews risk assessment results on an organization-defined frequency.','The organization being inspected/assessed  reviews risk assessment results upon re-accreditation. \n \nThe organization must maintain a record of reviews.\n \nDoD has defined the frequency as upon re-accreditation. ','The organization conducting the inspection/assessment obtains and examines the record of reviews to ensure the organization being inspected/assessed reviews risk assessment results upon re-accreditation. \n\nDoD has defined the frequency as upon re-accreditation. \n'),(1051,'RA-3','','The organization defines a frequency for reviewing risk assessment results.','DoD has defined the frequency as upon re-accreditation. ','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as upon re-accreditation. '),(1052,'RA-3','','The organization updates the risk assessment on an organization-defined frequency or whenever there are significant changes to the information system or environment of operation (including the identification of new threats and vulnerabilities), or other conditions that may impact the security state of the system.','The organization being inspected/asssessed updates the risk assessment upon re-accreditation or whenever there are significant changes to the information system or environment of operation (including the identification of new threats and vulnerabilities), or other conditions that may impact the security state of the system.\n \nDoD has defined the frequency as upon re-accreditation. ','The organization conducting the inspection/assessment obtains and examines historical versions of the risk assessment as well as records of changes to the system to ensure the organization being inspected/assessed updates the risk assessment upon re-accreditation or whenever there are significant changes to the information system or environment of operation (including the identification of new threats and vulnerabilities), or other conditions that may impact the security state of the system.\n \nDoD has defined the frequency as upon re-accreditation. '),(1053,'RA-3','','The organization defines a frequency for updating the risk assessment.','DoD has defined the frequency as upon re-accreditation. ','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as upon re-accreditation. '),(1054,'RA-5','','The organization scans for vulnerabilities in the information system and hosted applications on an organization-defined frequency.','The organization being inspected/assessed will\ndefine, document, and implement procedures for vulnerability scans of the information system and hosted applications; and scan for vulnerabilities  in the information system and hosted applications every 30 days or as directed by an authoritative source (e.g. IAVM, CTOs, DTMs, STIGs).  \n \nThis control is not targeted at security control compliance scanning.\n \nDoD has defined the frequency as every 30 days or as directed by an authoritative source (e.g. IAVM, CTOs, DTMs, STIGs).','The organization conducting the inspection/assessment obtains and examines the organization\'s vulnerability scanning procedures and results for the 90 days preceding the inspection/assessment.\n \nIf the system in question has not been operational for more than 90 days the organization will provide all available scan(s).'),(1055,'RA-5','','The organization defines a frequency for scanning for vulnerabilities in the information system and hosted applications.','DoD has defined the frequency as every 30 days or as directed by an authoritative source (e.g. IAVM, CTOs, DTMs, STIGs).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as every 30 days or as directed by an authoritative source (e.g. IAVM, CTOs, DTMs, STIGs).'),(1056,'RA-5','','The organization scans for vulnerabilities in the information system and hosted applications when new vulnerabilities potentially affecting the system/applications are identified and reported.','The organization being inspected/assessed will conduct vulnerability scans of the information system and hosted applications when new vulnerabilities potentially affecting the system/applications are identified and reported via authoritative sources (e.g., IAVM, CTO, DTM, STIG, product vendor).','The organization conducting the inspection/assessment obtains and examines the organization\'s vulnerability scanning procedures and results in order to validate the organization conducts vulnerability scans of its Information System (IS) and hosted  applications when new vulnerabilities potentially affecting the IS and/or applications are identified and reported.'),(1057,'RA-5','','The organization employs vulnerability scanning tools and techniques that facilitate interoperability among tools and automate parts of the vulnerability management process by using standards for: enumerating platforms, software flaws, and improper configurations; formatting checklists and test procedures; and measuring vulnerability impact.','The organization being inspected/assessed employs the DoD Enterprise scanning tool.  ','The organization conducting the inspection/assessment obtains and examines the software list or vulnerability scanning procedures to ensure the organization being inspected/assessed employs the DoD Enterprise scanning tool.'),(1058,'RA-5','','The organization analyzes vulnerability scan reports and results from security control assessments.','The organization being inspected/assessed analyzes vulnerability scan reports and security control assessment results with the intent of identifying legitimate vulnerabilities and the relationship between vulnerabilities and security controls.','The organization conducting the inspection/assessment will interview organizational personnel with security control assessment and vulnerability scanning responsibilities.  The purpose of the reviews and interviews is to validate the organization is conducting an analysis of the vulnerability scan reports and results from the security control assessments.'),(1059,'RA-5','','The organization remediates legitimate vulnerabilities in organization-defined response times in accordance with an organizational assessment risk.','The organization being inspected/assessed takes corrective actions as appropriate on legitimate vulnerabilities identified in RA-5, CCI 001058 IAW an authoritative source (e.g. IAVM, CTOs, DTMs, STIGs).\n \nAudit records of actions must be maintained IAW applicable DoD, CYBERCOM, and/or component policies.\n \nDoD has defined the response times as IAW an authoritative source (e.g. IAVM, CTOs, DTMs, STIGs).','The organization conducting the inspection/assessment obtains and examines audit records to validate the organization is taking action to remediate legitimate vulnerabilities within the required response times (IAW an authoritative source (e.g. IAVM, CTOs, DTMs, STIGs).\n \nThe organization conducting the inspection/assessment may conduct independent vulnerability scans to compare those scan results with audit records of remediation actions.\n \nDoD has defined the response times as IAW an authoritative source (e.g. IAVM, CTOs, DTMs, STIGs).'),(1060,'RA-5','','The organization defines response times for remediating legitimate vulnerabilities in accordance with an organization assessment of risk.','DoD has defined the response times as IAW an authoritative source (e.g. IAVM, CTOs, DTMs).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the response times as IAW an authoritative source (e.g. IAVM, CTOs, DTMs).'),(1061,'RA-5','','The organization shares information obtained from the vulnerability scanning process and security control assessments with organization-defined personnel or roles to help eliminate similar vulnerabilities in other information systems (i.e., systemic weaknesses or deficiencies).','The organization being inspected/assessed documents and implements a process to share information obtained from the vulnerability scanning process and security control assessments with at a minimum, the ISSM and ISSO to help eliminate similar vulnerabilities in other information systems (i.e., systemic weaknesses or deficiencies).\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed shares information obtained from the vulnerability scanning process and security control assessments with at a minimum, the ISSM and ISSO to help eliminate similar vulnerabilities in other information systems (i.e., systemic weaknesses or deficiencies).\n \n \nDoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.'),(1062,'RA-5','1','The organization employs vulnerability scanning tools that include the capability to readily update the information system vulnerabilities to be scanned.','The organization being inspected/assessed will employ scanning tools that maintain currency with industry standard information system vulnerabilities to ensure that scanning activities are conducted with the most up to date list of known vulnerabilities to include USCYBERCOM issued IAVMs.\n \nDoD has provided an enterprise scanning tool that fully meets this requirement.  Organizations that choose not to use the enterprise scanning tool must identify which scanning tool they are using and ensure that it meets these requirements.','The organization conducting the inspection/assessment will: \n1. If the inspected organization is using the DoD provided enterprise scanning tool, compliance with this control is complete.\n2. Validate the identified tool in use by the inspected organization is able to maintain current up to date information system vulnerability data.'),(1063,'RA-5','2','The organization updates the information system vulnerabilities scanned on an organization-defined frequency, prior to a new scan and/or when new vulnerabilities are identified and reported.','The organization being inspected/assessed will update the list of information system vulnerabilities scanned for prior to running scans.\n \nThe organization must maintain a record of scans including the list of vulnerabilities scanned for.\n \nDoD has defined the frequency as prior to running scans.','The organization conducting the inspection/assessment obtains and examines the record of scans to ensure the latest most up to date scanning policies are present.'),(1064,'RA-5','2','The organization defines a frequency for updating the information system vulnerabilities scanned.','DoD has defined the frequency as prior to running scans.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as prior to running scans.'),(1066,'RA-5','4','The organization determines what information about the information system is discoverable by adversaries.','If the organization being inspected/assessed is conducting vulnerability scans IAW base control RA-5, they are compliant with this control.','The organization conducting the inspection/assessment will review results of validation of base control RA-5, if the inspected organization is compliant with the requirements of RA-5, they are compliant with this control.'),(1067,'RA-5','5','The information system implements privileged access authorization to organization-identified information system components for selected organization-defined vulnerability scanning activities.','The organization being inspected/assessed configures the information system to implement privileged access authorization to all information systems and infrastructure components for selected vulnerability scanning activities defined in RA-5 (5), CCI 2906.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1067.\n \nDoD has defined the information system components as all information systems and infrastructure components.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement privileged access authorization to all information systems and infrastructure components for selected vulnerability scanning activities defined in RA-5 (5), CCI 2906.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1067.\n \nDoD has defined the information system components as all information systems and infrastructure components.'),(1068,'RA-5','6','The organization employs automated mechanisms to compare the results of vulnerability scans over time to determine trends in information system vulnerabilities.','The organization being inspected/assessed must configure and implement automated mechanisms which provide the capability to compare the results of vulnerability scans over time to determine trends in information system vulnerabilities.','The organization conducting the inspection/assessment validates the organization is employing automated mechanisms to compare the results of vulnerability scans over time to determine trends in information system vulnerabilities.'),(1071,'RA-5','8','The organization reviews historic audit logs to determine if a vulnerability identified in the information system has been previously exploited.','The organization being inspected/assessed reviews audit logs and determines if the identified vulnerability has been previously exploited within the information system.\n \nAny findings must be documented and acted upon IAW IR-1.','The organization conducting the inspection/assessment obtains and examines the audit trail to determine if the organization has documented any previously identified exploited vulnerabilities.'),(1074,'SC-1','','The organization develops a system and communications protection policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance','DoDI 8523.01 \"Communications Security (COMSEC)\"meets the DoD requirement for developing a system and communications protection policy.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8523.01.','DoDI 8523.01 \"Communications Security (COMSEC)\"meets the DoD requirement for developing a system and communications protection policy.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8523.01.'),(1075,'SC-1','','The organization disseminates to organization-defined personnel or roles the system and communications protection policy.','DoDI 8523.01 \"Communications Security (COMSEC)\"meets the DoD requirement for disseminating the system and communications protection policy. \n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8523.01.','DoDI 8523.01 \"Communications Security (COMSEC)\"meets the DoD requirement for disseminating the system and communications protection policy. \n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8523.01.'),(1076,'SC-1','','The organization reviews and updates the system and communications protection policy in accordance with organization-defined frequency.','DoDI 8523.01 \"Communications Security (COMSEC)\"meets the DoD requirement for reviewing and updating the system and communications protection policy.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8523.01.','DoDI 8523.01 \"Communications Security (COMSEC)\"meets the DoD requirement for reviewing and updating the system and communications protection policy.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8523.01.'),(1077,'SC-1','','The organization defines the frequency for reviewing and updating the system and communications protection policy.','DoD has defined the frequency as every 5 years.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as every 5 years.'),(1078,'SC-1','','The organization develops system and communications protection procedures to facilitate the implementation of the system and communications protection policy and communications protection controls and associated system and communications protection controls.','DoDI 8523.01 \"Communications Security (COMSEC)\"meets the DoD requirement for developing system and communications protection procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8523.01.','DoDI 8523.01 \"Communications Security (COMSEC)\"meets the DoD requirement for developing system and communications protection procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8523.01.'),(1079,'SC-1','','The organization disseminates to organization-defined personnel or roles the procedures to facilitate the implementation of the system and communications protection policy and associated system and communications protection controls.','DoDI 8523.01 \"Communications Security (COMSEC)\"meets the DoD requirement for disseminating the procedures to facilitate the implementation of the system and communications protection policy.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8523.01.','DoDI 8523.01 \"Communications Security (COMSEC)\"meets the DoD requirement for disseminating the procedures to facilitate the implementation of the system and communications protection policy.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8523.01.'),(1080,'SC-1','','The organization reviews and updates the system and communications protection procedures in accordance with organization-defined frequency.','DoDI 8523.01 \"Communications Security (COMSEC)\"meets the DoD requirement for reviewing and updating the system and communications protection procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8523.01.','DoDI 8523.01 \"Communications Security (COMSEC)\"meets the DoD requirement for reviewing and updating the system and communications protection procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8523.01.'),(1081,'SC-1','','The organization defines the frequency of system and communications protection procedure reviews and updates.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(1082,'SC-2','','The information system separates user functionality (including user interface services) from information system management functionality.','The organization being inspected/assessed configures the information system to separate user functionality (including user interface services) from information system management functionality.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1082.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to separate user functionality (including user interface services) from information system management functionality.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1082.'),(1083,'SC-2','1','The information system prevents the presentation of information system management-related functionality at an interface for non-privileged users.','The organization being inspected/assessed configures the information system to prevent the presentation of information system management-related functionality at an interface for non-privileged users.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1083.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to prevent the presentation of information system management-related functionality at an interface for non-privileged users.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1083.'),(1084,'SC-3','','The information system isolates security functions from nonsecurity functions.','The organization being inspected/assessed configures the information system to isolate security functions from nonsecurity functions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1084.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to isolate security functions from nonsecurity functions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1084.'),(1085,'SC-3','1','The information system utilizes underlying hardware separation mechanisms to implement security function isolation.','The organization being inspected/assessed configures the information system to utilize underlying hardware separation mechanisms to implement security function isolation.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1085.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to utilize underlying hardware separation mechanisms to implement security function isolation.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1085.'),(1086,'SC-3','2','The information system isolates security functions enforcing access and information flow control from both nonsecurity functions and from other security functions.','The organization being inspected/assessed configures the information system to  isolate security functions enforcing access and information flow control from both nonsecurity functions and from other security functions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1086.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  isolate security functions enforcing access and information flow control from both nonsecurity functions and from other security functions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1086.'),(1089,'SC-3','5','The organization implements security functions as a layered structure minimizing interactions between layers of the design and avoiding any dependence by lower layers on the functionality or correctness of higher layers.','The organization being inspected/assessed configures the information system to implement security functions as a layered structure minimizing interactions between layers of the design and avoiding any dependence by lower layers on the functionality or correctness of higher layers.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1089.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement security functions as a layered structure minimizing interactions between layers of the design and avoiding any dependence by lower layers on the functionality or correctness of higher layers.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1089.'),(1090,'SC-4','','The information system prevents unauthorized and unintended information transfer via shared system resources.','The organization being inspected/assessed configures the information system to  prevent unauthorized and unintended information transfer via shared system resources.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1090.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  prevent unauthorized and unintended information transfer via shared system resources.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1090.'),(1093,'SC-5','','The organization defines the types of denial of service attacks (or provides references to sources of current denial of service attacks) that can be addressed by the information system.','The organization being inspected/assessed defines and documents the types of denial of service attacks (or provides references to sources of current denial of service attacks) that can be addressed by the information system.\n \nDoD has determined the types of denial of service attacks are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented types of denial of service attacks to ensure the organization being inspected/assessed defines the types of denial of service attacks (or provides references to sources of current denial of service attacks) that can be addressed by the information system.\n \nDoD has determined the types of denial of service attacks are not appropriate to define at the Enterprise level.'),(1094,'SC-5','1','The information system restricts the ability of individuals to launch organization-defined denial of service attacks against other information systems.','The organization being inspected/assessed configures the information system to restrict the ability of individuals to launch denial of service attacks defined in SC-5 (1), CCI 2387 against other information systems.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1094.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  restrict the ability of individuals to launch denial of service attacks defined in SC-5 (1), CCI 2387 against other information systems.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1094.'),(1095,'SC-5','2','The information system manages excess capacity, bandwidth, or other redundancy to limit the effects of information flooding types of denial of service attacks.','The organization being inspected/assessed configures the information system to manage excess capacity, bandwidth, or other redundancy to limit the effects of information flooding types of denial of service attacks.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1095.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to manage excess capacity, bandwidth, or other redundancy to limit the effects of information flooding types of denial of service attacks.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1095.'),(1097,'SC-7','','The information system monitors and controls communications at the external boundary of the system and at key internal boundaries within the system.','The organization being inspected/assessed documents and implements processes to monitor and control communications at the external boundary of the system and at key internal boundaries within the system.\n \nThe organization must maintain an audit trail of monitoring activities.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of monitoring activities to ensure the organization being inspected/assessed  monitors and controls communications at the external boundary of the system and at key internal boundaries within the system.'),(1098,'SC-7','','The information system connects to external networks or information systems only through managed interfaces consisting of boundary protection devices arranged in accordance with an organizational security architecture.','The organization being inspected/assessed designs the information system to enforce requirements that components connect to external networks or information systems only through managed interfaces consisting of boundary protection devices arranged in accordance with an organizational security architecture.','The organization conducting the inspection/assessment obtains and examines network topology diagrams, architecture documentation, or any other documentation identifying component connectivity to ensure the organization being inspected/assessed   connects to external networks or information systems only through managed interfaces consisting of boundary protection devices arranged in accordance with an organizational security architecture.'),(1101,'SC-7','3','The organization limits the number of external network connections to the information system.','The organization being inspected/assessed documents and implements information system access control mechanisms to limit the number of external connections to the information system.','The organization conducting the inspection/assessment obtains and examines the documented access control mechanisms to ensure that the organization being inspected/assessed limits the number of external network connections to the information system.'),(1102,'SC-7','4','The organization implements a managed interface for each external telecommunication service.','The organization being inspected/assessed designs the information system to have a managed interface for each telecommunication service.','The organization conducting the inspection/assessment obtains and examines network topology diagrams, architecture documentation, or any other documentation identifying system interfaces to ensure the organization being inspected/assessed implements a managed interface for each external telecommunication service.'),(1103,'SC-7','4','The organization establishes a traffic flow policy for each managed interface for each external telecommunication service.','The organization being inspected/assessed defines and documents a traffic flow policy for each managed interface for each external telecommunication service.','The organization conducting the inspection/assessment obtains and examines the documented traffic flow policy to ensure the organization being inspected/assessed establishes a traffic flow policy for each managed interface for each external telecommunication service.'),(1105,'SC-7','4','The organization documents each exception to the traffic flow policy with a supporting mission/business need and duration of that need for each external telecommunication service.','The organization being inspected/assessed documents each exception to the traffic flow policy with a supporting mission/business need and duration of that need for each external telecommunication service.','The organization conducting the inspection/assessment obtains and examines the documented exceptions to the traffic flow policy to ensure the organization being inspected/assessed identifies each exception with supporting mission/business need and duration of that need for each external telecommunication service.'),(1106,'SC-7','4','The organization reviews exceptions to the traffic flow policy on an organization-defined frequency for each external telecommunication service.','The organization being inspected/assessed implements a process to review exceptions to the traffic flow policy every 180 days for each external telecommunication service.\n \nThe organization must maintain an audit trail of reviews.\n \nDoD has defined the frequency as every 180 days.','The organization conducting the inspection/assessment obtains and examines the audit trail of reviews to ensure the organization being inspected/assessed reviews exceptions to the traffic flow policy every 180 days for each external telecommunication service.\n \nDoD has defined the frequency as every 180 days.'),(1107,'SC-7','4','The organization defines a frequency for the review of exceptions to the traffic flow policy for each external telecommunication service.','DoD has defined the frequency as every 180 days.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as every 180 days.'),(1108,'SC-7','4','The organization removes traffic flow policy exceptions that are no longer supported by an explicit mission/business need for each external telecommunication service.','The organization being inspected/assessed documents and implements a process to remove traffic flow policy exceptions that are no longer supported by an explicit mission/business need for each external telecommunication service.','The organization conducting the inspection/assessment obtains and examines the documented process as well as a sampling of existing exceptions to ensure the organization being inspected/assessed removes traffic flow policy exceptions that are no longer supported by an explicit mission/business need for each external telecommunication service.'),(1109,'SC-7','5','The information system at managed interfaces denies network communications traffic by default and allows network communications traffic by exception (i.e., deny all, permit by exception).','The organization being inspected/assessed configures the information system to deny network communications traffic at managed interfaces by default and allows network communications traffic by exception (i.e., deny all, permit by exception).\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1109.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  deny network communications traffic at managed interfaces by default and allows network communications traffic by exception (i.e., deny all, permit by exception).\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1109.'),(1112,'SC-7','8','The information system routes organization-defined internal communications traffic to organization-defined external networks through authenticated proxy servers at managed interfaces.','The organization being inspected/assessed configures the information system to route  protocols as designated by PPSM guidance (e.g. HTTPS, HTTP, FTP, SNMP) to any network external to the authorization boundary through authenticated proxy servers at managed interfaces.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1112.\n \nDoD has defined the internal communications traffic as protocols as designated by PPSM guidance (e.g. HTTPS, HTTP, FTP, SNMP).\n \nDoD has defined the external networks as any network external to the authorization boundary.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to route  protocols as designated by PPSM guidance (e.g. HTTPS, HTTP, FTP, SNMP) to any network external to the authorization boundary through authenticated proxy servers at managed interfaces.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1112.\n \nDoD has defined the internal communications traffic as protocols as designated by PPSM guidance (e.g. HTTPS, HTTP, FTP, SNMP).\n \nDoD has defined the external networks as any network external to the authorization boundary.'),(1113,'SC-7','8','The organization defines the internal communications traffic to be routed to external networks.','DoD has defined the internal communications traffic as protocols as designated by PPSM guidance (e.g. HTTPS, HTTP, FTP, SNMP).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the internal communications traffic as protocols as designated by PPSM guidance (e.g. HTTPS, HTTP, FTP, SNMP).'),(1114,'SC-7','8','The organization defines the external networks to which the organization-defined internal communications traffic should be routed.','DoD has defined the external networks as any network external to the authorization boundary.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the external networks as any network external to the authorization boundary.'),(1116,'SC-7','10','The organization prevents the unauthorized exfiltration of information across managed interfaces.','The organization being inspected/assessed documents and implements mechanisms to prevent  the unauthorized exfiltration of information across managed interfaces.','The organization conducting the inspection/assessment obtains and examines the documented mechanisms to ensure the organization being inspected/assessed prevents the unauthorized exfiltration of information across managed interfaces.'),(1119,'SC-7','13','The organization isolates organization-defined information security tools, mechanisms, and support components from other internal information system components by implementing physically separate subnetworks with managed interfaces to other components of the system.','The organization being inspected/assessed designs the information system to isolate key information security tools, mechanisms, and support components such as, but not limited to PKI, Patching infrastructure, HBSS, CND Tools, Special Purpose Gateway, vulnerability tracking systems, honeypots, internet access points (IAPs); network element and data center administrative/management traffic; Demilitarized Zones (DMZs), Server farms/computing centers,  centralized audit log servers etc. from other internal information system components by implementing physically separate subnetworks with managed interfaces to other components of the system.\n \nDoD has defined the  key information security tools, mechanisms, and support components as key information security tools, mechanisms, and support components such as, but not limited to PKI, Patching infrastructure, HBSS, CND Tools, Special Purpose Gateway, vulnerability tracking systems, honeypots, internet access points (IAPs); network element and data center administrative/management traffic; Demilitarized Zones (DMZs), Server farms/computing centers,  centralized audit log servers etc.\n ','The organization conducting the inspection/assessment obtains and examines network topology diagrams, architecture documentation, or any other documentation identifying component partitioning to ensure the organization being inspected/assessed isolates key information security tools, mechanisms, and support components such as, but not limited to PKI, Patching infrastructure, HBSS, CND Tools, Special Purpose Gateway, vulnerability tracking systems, honeypots, internet access points (IAPs); network element and data center administrative/management traffic; Demilitarized Zones (DMZs), Server farms/computing centers,  centralized audit log servers etc. from other internal information system components by implementing physically separate subnetworks with managed interfaces to other components of the system.\n\nDoD has defined the  key information security tools, mechanisms, and support components as key information security tools, mechanisms, and support components such as, but not limited to PKI, Patching infrastructure, HBSS, CND Tools, Special Purpose Gateway, vulnerability tracking systems, honeypots, internet access points (IAPs); network element and data center administrative/management traffic; Demilitarized Zones (DMZs), Server farms/computing centers,  centralized audit log servers etc.'),(1120,'SC-7','13','The organization defines key information security tools, mechanisms, and support components to be isolated.','DoD has defined the  key information security tools, mechanisms, and support components as key information security tools, mechanisms, and support components such as, but not limited to PKI, Patching infrastructure, HBSS, CND Tools, Special Purpose Gateway, vulnerability tracking systems, honeypots, internet access points (IAPs); network element and data center administrative/management traffic; Demilitarized Zones (DMZs), Server farms/computing centers,  centralized audit log servers etc.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the  key information security tools, mechanisms, and support components as key information security tools, mechanisms, and support components such as, but not limited to PKI, Patching infrastructure, HBSS, CND Tools, Special Purpose Gateway, vulnerability tracking systems, honeypots, internet access points (IAPs); network element and data center administrative/management traffic; Demilitarized Zones (DMZs), Server farms/computing centers,  centralized audit log servers etc.'),(1121,'SC-7','14','The organization protects against unauthorized physical connections at organization-defined managed interfaces.','The organization being inspected/assessed documents and implements mechanisms to protect against unauthorized physical connections at internet access points, enclave LAN to WAN, cross domain solutions, and any DoD Approved Alternate Gateways.\n \nDoD has defined the managed interfaces as internet access points, enclave LAN to WAN, cross domain solutions, and any DoD Approved Alternate Gateways.','The organization conducting the inspection/assessment obtains and examines the documented mechanisms to ensure the organization being inspected/assessed protects against unauthorized physical connections at internet access points, enclave LAN to WAN, cross domain solutions, and any DoD Approved Alternate Gateways.\n \nDoD has defined the managed interfaces as internet access points, enclave LAN to WAN, cross domain solutions, and any DoD Approved Alternate Gateways.'),(1122,'SC-7','14','The organization defines the managed interfaces where boundary protections against unauthorized physical connections are to be implemented.','DoD has defined the managed interfaces as internet access points, enclave LAN to WAN, cross domain solutions, and any DoD Approved Alternate Gateways.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the managed interfaces as internet access points, enclave LAN to WAN, cross domain solutions, and any DoD Approved Alternate Gateways.'),(1123,'SC-7','15','The information system routes all networked, privileged accesses through a dedicated, managed interface for purposes of access control and auditing.','The organization being inspected/assessed designs the information system to route all networked, privileged accesses through a dedicated, managed interface for purposes of access control and auditing.','The organization conducting the inspection/assessment obtains and examines network topology diagrams, architecture documentation, or any other documentation identifying network data flow to ensure the organization being inspected/assessed routes all networked, privileged accesses through a dedicated, managed interface for purposes of access control and auditing.'),(1124,'SC-7','16','The information system prevents discovery of specific system components composing a managed interface.','The organization being inspected/assessed configures the information system to prevent discovery of specific system components composing a managed interface.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1124.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to prevent discovery of specific system components composing a managed interface.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1124.'),(1125,'SC-7','17','The information system enforces adherence to protocol format.','The organization being inspected/assessed configures the information system to enforce adherence to protocol format.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1125.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce adherence to protocol format.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1125.'),(1126,'SC-7','18','The information system fails securely in the event of an operational failure of a boundary protection device.','The organization being inspected/assessed configures the information system to  fail securely in the event of an operational failure of a boundary protection device.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1126.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  fail securely in the event of an operational failure of a boundary protection device.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1126.'),(1133,'SC-10','','The information system terminates the network connection associated with a communications session at the end of the session or after an organization-defined time period of inactivity.','The organization being inspected/assessed configures the information system to terminate the network connection associated with a communications session at the end of the session or after 10 minutes in band management and 15 minutes for user sessions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1133.\n \nDoD has defined the time period as 10 minutes in band management and 15 minutes for user sessions.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to terminate the network connection associated with a communications session at the end of the session or after 10 minutes in band management and 15 minutes for user sessions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1133.\n \nDoD has defined the time period as 10 minutes in band management and 15 minutes for user sessions.'),(1134,'SC-10','','The organization defines the time period of inactivity after which the information system terminates a network connection associated with a communications session.','DoD has defined the time period as 10 minutes in band management and 15 minutes for user sessions.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as 10 minutes in band management and 15 minutes for user sessions.'),(1135,'SC-11','','The information system establishes a trusted communications path between the user and organization-defined security functions within the information system.','The organization being inspected/assessed designs and configures the information system to establish a trusted communications path between the user and providers of authentication, reauthentication, and all privileged commands (administration, monitoring, and controlling) within the information system.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1135.\n \nDoD has defined the security functions as providers of authentication, reauthentication, and all privileged commands (administration, monitoring, and controlling).','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to establish a trusted communications path between the user and providers of authentication, reauthentication, and all privileged commands (administration, monitoring, and controlling) within the information system.\n \nAdditionally, the organization conducting the inspection/assessment obtains and examines network topology diagrams, architecture documentation, or any other documentation identifying data flow to ensure the organization being inspected/assessed establishes a trusted communications path between the user and providers of authentication, reauthentication, and all privileged commands (administration, monitoring, and controlling) within the information system.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1135.\n \nDoD has defined the security functions as providers of authentication, reauthentication, and all privileged commands (administration, monitoring, and controlling).'),(1139,'SC-12','1','The organization maintains availability of information in the event of the loss of cryptographic keys by users.','The organization being inspected/assessed documents and implements a process to maintain availability of information in the event of the loss of cryptographic keys by users.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed maintains availability of information in the event of the loss of cryptographic keys by users.'),(1150,'SC-15','','The information system prohibits remote activation of collaborative computing devices excluding the organization-defined exceptions where remote activation is to be allowed.','The organization being inspected/assessed configures the information system to prohibit remote activation of collaborative computing devices excluding dedicated VTC suites located in approved VTC locations that are centrally managed.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1150.\n \nDoD has defined the exceptions as dedicated VTC suites located in approved VTC locations that are centrally managed.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to prohibit remote activation of collaborative computing devices excluding dedicated VTC suites located in approved VTC locations that are centrally managed.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1150.\n \nDoD has defined the exceptions as dedicated VTC suites located in approved VTC locations that are centrally managed.'),(1151,'SC-15','','The organization defines exceptions to the prohibiting of collaborative computing devices where remote activation is to be allowed.','DoD has defined the exceptions as dedicated VTC suites located in approved VTC locations that are centrally managed.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the exceptions as dedicated VTC suites located in approved VTC locations that are centrally managed.'),(1152,'SC-15','','The information system provides an explicit indication of use to users physically present at collaborative computing devices.','The organization being inspected/assessed configures the information system to provide an explicit indication of use to users physically present at collaborative computing devices.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1152.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  provide an explicit indication of use to users physically present at collaborative computing devices.\n  \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1152.'),(1153,'SC-15','1','The information system provides physical disconnect of collaborative computing devices in a manner that supports ease of use.','The organization being inspected/assessed provides a means of physical disconnect of collaborative computing devices in a manner that supports ease of use.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1153.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed provides a means of physical disconnect of collaborative computing devices in a manner that supports ease of use.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1153.'),(1155,'SC-15','3','The organization disables or removes collaborative computing devices from organization-defined information systems or information system components in organization-defined secure work areas.','The organization being inspected/assessed implements a process to disable or remove  any device used that may incorporate camera, microphone, or smart board capability in secure work areas defined in SC-15 (3), CCI 1156.\n \nDoD has defined information systems or information system components as any device used that may incorporate camera, microphone, or smart board capability.','The organization conducting the inspection/assessment obtains and examines the organization defined secure work area to ensure that any device that may incorporate   camera, microphone, or smart board capability has been disabled or removed.\n \nDoD has defined information systems or information system components as any device used that may incorporate camera, microphone, or smart board capability.'),(1156,'SC-15','3','The organization defines secure work areas where collaborative computing devices are to be disabled or removed.','The organization being inspected/assessed defines and documents secure work areas where collaborative computing devices are to be disabled or removed.\n \nDoD has determined the secure work areas are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented secure work areas to ensure the organization being inspected/assessed  defines secure work areas where collaborative computing devices are to be disabled or removed.\n \nDoD has determined the secure work areas are not appropriate to define at the Enterprise level.'),(1157,'SC-16','','The information system associates organization-defined security attributes with information exchanged between information systems.','The organization being inspected/assessed implements association of security attributes defined in SC-16, CCI 2454 with information exchanged between information systems.','The organization conducting the inspection/assessment examines the information system to ensure it associates security attributes defined in SC-16, CCI 2454 with information exchanged between information systems.'),(1158,'SC-16','1','The information system validates the integrity of transmitted security attributes.','The organization being inspected/assessed configures the information system to validate the integrity of transmitted security attributes.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1158.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  validate the integrity of transmitted security attributes.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1158.'),(1159,'SC-17','','The organization issues public key certificates under an organization-defined certificate policy or obtains public key certificates from an approved service provider.','The organization being inspected/assessed configures the information system to issue public key certificates under DoDI 8520.02, \"Public Key Infrastructure (PKI) and Public Key (PK) Enabling\" or obtains public key certificates from an approved service provider.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1159.\n \n \nDoD has defined the certificate policy as DoDI 8520.02, \"Public Key Infrastructure (PKI) and Public Key (PK) Enabling.\"','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  issue public key certificates under DoDI 8520.02, \"Public Key Infrastructure (PKI) and Public Key (PK) Enabling\" or obtains public key certificates from an approved service provider.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1159.\n \nDoD has defined the certificate policy as DoDI 8520.02, \"Public Key Infrastructure (PKI) and Public Key (PK) Enabling.\"'),(1160,'SC-18','','The organization defines acceptable and unacceptable mobile code and mobile code technologies.','The organization being inspected/assessed defines and documents acceptable and unacceptable mobile code and mobile code technologies IAW the Protection Profile for Web Browsers  and Application SRG.\n\nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must define IAW the STIG/SRG guidance that pertains to CCI 1160.','The organization conducting the inspection/assessmenet obtains and examines the documented acceptable and unacceptable mobile code and mobile code technologies to ensure the organization being inspected/assessed defines acceptable and unacceptable mobile code and mobile code technologies  IAW the Protection Profile for Web Browsers  and Application SRG.\n\nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has defined acceptable and unacceptable mobile code and mobile code technologies IAW the applicable STIGs and SRGs pertaining to CCI 1160.'),(1161,'SC-18','','The organization establishes usage restrictions for acceptable mobile code and mobile code technologies.','The organization being inspected/assessed documents usage restrictions  for acceptable mobile code and mobile code technologies  IAW the Protection Profile for Web Browsers  and Application SRG.\n\nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must establish IAW the STIG/SRG guidance that pertains to CCI 1161.','The organization conducting the inspection/assessmenet obtains and examines the documented usage restrictions to ensure the organization being inspected/assessed establishes usage restrictions  for acceptable mobile code and mobile code technologies  IAW the Protection Profile for Web Browsers  and Application SRG.\n\nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has established usage restrictions IAW the applicable STIGs and SRGs pertaining to CCI 1161.'),(1162,'SC-18','','The organization establishes implementation guidance for acceptable mobile code and mobile code technologies.','The Protection Profile for Web Browsers and Application SRG\nmeet the DoD requirement to establishe implementation guidance for acceptable mobile code and mobile code technologies.\n \nDoD Components are automatically compliant with this control because they are covered by the Protection Profile for Web Browsers and Application SRG.','The Protection Profile for Web Browsers and Application SRG\nmeet the DoD requirement to establishe implementation guidance for acceptable mobile code and mobile code technologies.\n \nDoD Components are automatically compliant with this control because they are covered by the Protection Profile for Web Browsers and Application SRG.'),(1163,'SC-18','','The organizations authorizes the use of mobile code within the information system.','The organization being inspected/assessed documents mobile code which is authorized for use within the information system.','The organization conducting the inspection/assessment obtains and examines the documented list of mobile code which is authorized for use within the information system and examines the information system to ensure that all used mobile code is authorized.'),(1164,'SC-18','','The organization monitors the use of mobile code within the information system.','The organization being inspected/assessed documents and implements a process to monitor the use of mobile code within the information system.','The organization conducting the inspection/assessment obtains and examines the documented process as well as any artifacts applicable to monitoring of mobile code  to ensure the organization being inspected/assessed monitors the use of mobile code within the information system.'),(1165,'SC-18','','The organization controls the use of mobile code within the information system.','The organization being inspected/assessed documents and implements a process to control the use of mobile code within the information system.','The organization conducting the inspection/assessment obtains and examines the documented process and examines the information system to ensure the organization being inspected/assessed controls the use of mobile code within the information system.'),(1166,'SC-18','1','The information system identifies organization-defined unacceptable mobile code.','The organization being inspected/assessed configures the information system to identify  unacceptable mobile code defined in SC-18 (1), CCI 2458.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1166.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  identify  unacceptable mobile code defined in SC-18 (1), CCI 2458.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1166.'),(1167,'SC-18','2','The organization ensures the development of mobile code to be deployed in information systems meets organization-defined mobile code requirements.','The organization being inspected/assessed documents and implements a process to develop mobile code IAW the requirements defined in CCI 1168.  ','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed develops mobile code IAW the requirements defined in CCI 1168.  '),(1168,'SC-18','2','The organization defines requirements for the acquisition, development, and use of mobile code.','The organization being inspected/assessed defines and documents requirements for the acquisition, development, and use of mobile code. The requirements must result in the acquisition and development of mobile code which complies with the Protection Profile for Web Browsers  and Application SRG.\n\nDoD has determined the requirements are not appropriate to define at the Enterprise level.\n\n\n','The organization conducting the inspection/assessment obtains and examines the documented requirements to ensure the organization being inspected/assessed defines requirements for the acquisition, development, and use of mobile code.\n\nDoD has determined the requirements are not appropriate to define at the Enterprise level.'),(1169,'SC-18','3','The information system prevents the download of organization-defined unacceptable mobile code.','The organization being inspected/assessed configures the information system to prevent the download of unacceptable mobile code defined in CCI 2459.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1169.\n \n','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to prevent the download of unacceptable mobile code defined in CCI 2459.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1169.\n \n'),(1170,'SC-18','4','The information system prevents the automatic execution of mobile code in organization-defined software applications.','The organization being inspected/assessed configures the information system to prevent the automatic execution of unacceptable mobile code in software applications defined in CCI 1171.\n\nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1170.\n \n','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to prevent the automatic execution of unacceptable mobile code in software applications defined in CCI 1171.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1170.'),(1171,'SC-18','4','The organization defines software applications in which automatic mobile code execution is to be prohibited','DoD has defined the software applications in which automatic mobile code execution is to be prohibited as the software applications defined in the Protection Profile for Web Browsers and Application SRG.\n \n','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n\nDoD has defined the software applications in which automatic mobile code execution is to be prohibited as the software applications defined in the Protection Profile for Web Browsers and Application SRG.\n\n '),(1172,'SC-18','4','The organization defines actions to be enforced by the information system before executing mobile code.','DoD has defined the actions as the user be prompted.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the actions as the user be prompted.'),(1173,'SC-19','','The organization establishes usage restrictions for Voice over Internet Protocol (VoIP) technologies based on the potential to cause damage to the information system if used maliciously.','The organization being inspected/assessed establishes and documents usage restrictions for Voice over Internet Protocol (VoIP) technologies based on the potential to cause damage to the information system if used maliciously.','The organization conducting the inspection/assessment obtains and examines the documented usage restrictions to ensure the organization being inspected/assessed establishes usage restrictions for Voice over Internet Protocol (VoIP) technologies based on the potential to cause damage to the information system if used maliciously.'),(1174,'SC-19','','The organization establishes implementation guidance for Voice over Internet Protocol (VoIP) technologies based on the potential to cause damage to the information system if used maliciously.','The Voice and Video over Internet Protocol (V-VoIP) STIG meets the DoD requirement for establishing implementation guidance for Voice over Internet Protocol (VoIP) technologies.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy,  V-VoIP STIG.','The V-VoIP STIG meets the DoD requirement for establishing implementation guidance for Voice over Internet Protocol (VoIP) technologies.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy,  V-VoIP STIG.'),(1175,'SC-19','','The organization authorizes the use of VoIP within the information system.','The organization being inspected/assessed authorizes any appropriate usage of VoIP  within the information system and documents those authorizations.','The organization conducting the inspection/assessment obtains and examines the documented authorizations and *insert language* to ensure the organization being inspected/assessed authorizes any appropriate usage of VoIP  within the information system and documents those authorizations.'),(1176,'SC-19','','The organization monitors the use of VoIP within the information system.','The organization being inspected/assessed documents and implements a process to monitor the use of VoIP within the information system.\n \nThe organization must maintain an audit trail of monitoring.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trial of monitoring to ensure the organization being inspected/assessed  monitors the use of VoIP within the information system.'),(1177,'SC-19','','The organization controls the use of VoIP within the information system.','The organization being inspected/assessed designs the information system to control the use of VoIP within the information system','The organization conducting the inspection/assessment obtains and examines network topology diagrams, architecture documentation, or any other documentation identifying the use of VoIP to ensure the organization being inspected/assessed  controls the use of VoIP within the information system.'),(1178,'SC-20','','The information system provides additional data origin authentication artifacts along with the authoritative name resolution data the system returns in response to external name/address resolution queries.','The organization being inspected/assessed configures the authoritative name server software for external queries to enable DNSSEC and creates resource records with digital signatures (RRSig) for each A record.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that determines the  name server software configuration files and pertains to CCI 1178.','The organization conducting the inspection/assessment:\n1. inspects the configuration files for the presence of DNSSEC records for each A record hosted in a zone;\n2. utilizes DNSSEC diagnostic tools, such as dig; and\n3. performs queries which will exercise the data flow path for authoritative name resolution services.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs that determine the  name server software configuration files and pertain to CCI 1178.'),(1179,'SC-20','','The information system, when operating as part of a distributed, hierarchical namespace, provides the means to indicate the security status of child zones.','The organization being inspected/assessed configures the authoritative name server software to enable DNSSEC and creates delegation signer (DS) resource records for each child zone and place those records in the parent zone.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that determines the  name server software configuration files and pertains to CCI 1179.','The organization conducting the inspection/assessment inspect the configuration files for the presence of Delegation Signer (DS) Records for any child domains.  \n \nNote:  This is only applicable for zones with child domains.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs that determine the  name server software configuration files and pertain to CCI 1179.'),(1182,'SC-22','','The information systems that collectively provide name/address resolution service for an organization are fault-tolerant.','The organization being inspected/assessed implements a name service resolution architecture consisting of primary and secondary servers.  \n \nThe organization must document the architecture in the site security plan.  \n  \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1182.','The organization conducting the inspection/assessment reviews the sites implementation documentation of the name resolution servers and verifies primary and alternate services are available.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1182.'),(1183,'SC-22','','The information systems that collectively provide name/address resolution service for an organization implement internal/external role separation.','The organization being inspected/assessed implements a name service resolution architecture where recursive and authoritative server software is not installed on the same information system.   \n \nThe organization must document the architecture in the site security plan.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1183.','The organization conducting the inspection/assessment reviews the sites implementation documentation of the name resolution servers and verifies authoritative and recursive services are not hosted on the same information system. \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1183.'),(1184,'SC-23','','The information system protects the authenticity of communications sessions.','The organization being inspected/assessed configures the information system to protect the authenticity of communications sessions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1184.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to protect the authenticity of communications sessions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1184.'),(1185,'SC-23','1','The information system invalidates session identifiers upon user logout or other session termination.','The organization being inspected/assessed configures the information system to  invalidate session identifiers upon user logout or other session termination.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1185.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  invalidate session identifiers upon user logout or other session termination.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1185.'),(1188,'SC-23','3','The information system generates unique session identifiers  for each session with organization-defined randomness requirements.','The organization being inspected/assessed configures the information system to  generate unique session identifiers  for each session with randomness requirements defined in SC-23 (3), CCI 1189.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1188.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  generate unique session identifiers  for each session with randomness requirements defined in SC-23 (3), CCI 1189.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1188.'),(1189,'SC-23','3','The organization defines randomness requirements for generating unique session identifiers.','The organization being inspected/assessed defines and documents randomness requirements for generating unique session identifiers.\n \nDoD has determined the randomness requirements are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented randomness requirements to ensure the organization being inspected/assessed defines randomness requirements for generating unique session identifiers.\n \nDoD has determined the randomness requirements are not appropriate to define at the Enterprise level.'),(1190,'SC-24','','The information system fails to an organization-defined known-state for organization-defined types of failures.','The organization being inspected/assessed configures the information system to fail to a secure state for failures during system initialization, shutdown, and aborts.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1190.\n \nDoD has defined the known state as secure state.\n \nDoD has defined the types of failures as failures during system initialization, shutdown, and aborts.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  fail to a secure state for failures during system initialization, shutdown, and aborts.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1190.\n \nDoD has defined the known state as secure state.\n \nDoD has defined the types of failures as failures during system initialization, shutdown, and aborts.'),(1191,'SC-24','','The organization defines the known states the information system should fail to in the event of a organization-defined system failure.','DoD has defined the known state as secure state.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the known state as secure state.'),(1192,'SC-24','','The organization defines types of failures for which the information system should fail to an organization-defined known state.','DoD has defined the types of failures as failures during system initialization, shutdown, and aborts.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the types of failures as failures during system initialization, shutdown, and aborts.'),(1193,'SC-24','','The organization defines system state information that should be preserved in the event of a system failure.','DoD has defined system state information as information necessary to determine cause of failure and to return to operations with least disruption to mission/ business processes.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined system state information as information necessary to determine cause of failure and to return to operations with least disruption to mission/ business processes.'),(1194,'SC-25','','The information system employs organization-defined information system components with minimal functionality and information storage.','The organization being inspected/assessed employs information system components defined in SC-25, CCI 2471 with minimal functionality and information storage.','The organization conducting the inspection/assessment obtains and examines the hardware list to ensure the organization being inspected/assessed employs information system components defined in SC-25, CCI 2471 with minimal functionality and information storage.'),(1195,'SC-26','','The information system includes components specifically designed to be the target of malicious attacks for the purpose of detecting, deflecting, and analyzing such attacks.','The organization being inspected/assessed designs the information system to include decoy components specifically designed to be the target of malicious attacks for the purpose of detecting, deflecting, and analyzing such attacks.','The organization conducting the inspection/assessment obtains and examines the network topology diagrams, architecture documentation, or any other documentation identifying decoy components to be attacked to ensure the organization being inspected/assessed includes components specifically designed to be the target of malicious attacks for the purpose of detecting, deflecting, and analyzing such attacks.'),(1196,'SC-35','','The information system includes components that proactively seek to identify malicious websites and/or web-based malicious code.','The organization being inspected/assessed includes components in the information system that proactively seek to identify malicious websites and/or web-based malicious code.','The organization conducting the inspection/assessment obtains and examines the software list to ensure the organization being inspected/assessed includes components in the information system that proactively seek to identify malicious websites and/or web-based malicious code.'),(1197,'SC-27','','The information system includes organization-defined platform-independent applications.','The organization being inspected/assessed includes platform-independent applications defined in SC-27, CCI 1198.','The organization conducting the inspection/assessment obtains and examines the software list to ensure the organization being inspected/assessed includes platform-independent applications defined in SC-27, CCI 1198.'),(1198,'SC-27','','The organization defines applications that are platform independent.','The organization being inspected/assessed defines and documents applications that are platform independent.\n \nDoD has determined the applications are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented applications to ensure the organization being inspected/assessed defines applications that are platform independent.\n \nDoD has determined the applications are not appropriate to define at the Enterprise level.'),(1199,'SC-28','','The information system protects the confidentiality and/or integrity of organization-defined information at rest.','The organization being inspected/assessed configures the information system to protect the confidentiality and/or integrity of organization-defined information at rest.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1199.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to protect the confidentiality and/or integrity of organization-defined information at rest.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1199.'),(1201,'SC-29','','The organization employs a diverse set of information technologies for organization-defined information system components in the implementation of the information system.','The organization being inspected/assessed designs the information system to employ a diverse set of information technologies for information system components defined in SC-29, CCI 2480 in the implementation of the information system.','The organization conducting the inspection/assessment obtains and examines the hardware and software lists to ensure the organization being inspected/assessed  employs a diverse set of information technologies for information system components defined in SC-29, CCI 2480 in the implementation of the information system.'),(1203,'SC-29','1','The organization employs virtualization techniques to support the deployment of a diversity of operating systems that are changed on an organization-defined frequency.','The organization being inspected/assessed designs the information system to employ  virtualization techniques to support the deployment of a diversity of operating systems that are changed on the frequency defined in SC-29 (1), CCI 1204.','The organization conducting the inspection/assessment obtains and examines the hardware and software lists to ensure the organization being inspected/assessed employs virtualization techniques to support the deployment of a diversity of operating systems that are changed on the frequency defined in SC-29 (1), CCI 1204.'),(1204,'SC-29','1','The organization defines the frequency of changes to operating systems and applications to support a diversity of deployments.','The organization being inspected/assessed defines and documents the  frequency of changes to operating systems and applications to support a diversity of deployments.\n \nDoD has determined the frequency is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented frequency to ensure the organization being inspected/assessed defines the frequency of changes to operating systems and applications to support a diversity of deployments.\n \nDoD has determined the frequency is not appropriate to define at the Enterprise level.'),(1207,'SC-31','1','The organization tests a subset of the identified covert channels to determine which channels are exploitable.','The organization being inspected/assessed tests a subset of the identified covert channels to determine which channels are exploitable.\n \nThe organization must maintain an audit trail of testing.','The organization conducting the inspection/assessment obtains and examines the test results to ensure the organization being inspected/assessed tests a subset of the identified covert channels to determine which channels are exploitable.'),(1210,'SC-34','','The information system, at organization-defined information system components, loads and executes the operating environment from hardware-enforced, read-only media.','The organization being inspected/assessed configures the information system to load and execute the operating environment from hardware-enforced, read-only media at information system components defined in SC-34, CCI 1212.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1210.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to load and execute the operating environment from hardware-enforced, read-only media at information system components defined in SC-34, CCI 1212.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1210.'),(1211,'SC-34','','The information system, at organization-defined information system components, loads and executes organization-defined applications from hardware-enforced, read-only media.','The organization being inspected/assessed configures the information system to load and execute applications defined in SC-34, CCI  1213 from hardware-enforced, read-only media at information system components defined in SC-34, CCI 1212.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1211.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to load and execute applications defined in SC-34, CCI  1213 from hardware-enforced, read-only media at information system components defined in SC-34, CCI 1212.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1211.'),(1212,'SC-34','','The organization defines information system components for which the operating environment and organization-defined applications are loaded and executed from hardware-enforced, read-only media.','The organization being inspected/assessed defines and documents  information system components for which the operating environment and organization-defined applications are loaded and executed from hardware-enforced, read-only media.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system components to ensure the organization being inspected/assessed defines information system components for which the operating environment and organization-defined applications are loaded and executed from hardware-enforced, read-only media.\n  \nDoD has determined the information system components are not appropriate to define at the Enterprise level.'),(1213,'SC-34','','The organization defines applications that will be loaded and executed from hardware-enforced, read-only media.','The organization being inspected/assessed defines and documents applications that will be loaded and executed from hardware-enforced, read-only media.\n \nDoD has determined the applications are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented applications to ensure the organization being inspected/assessed defines applications that will be loaded and executed from hardware-enforced, read-only media.\n \nDoD has determined the applications are not appropriate to define at the Enterprise level.'),(1214,'SC-34','1','The organization employs organization-defined information system components with no writeable storage that are persistent across component restart or power on/off.','The organization being inspected/assessed designs the information system to employ  information system components defined in SC-34 (1), CCI 1215 with no writeable storage that are persistent across component restart or power on/off.','The organization conducting the inspection/assessment obtains and examines the hardware list to ensure the organization being inspected/assessed employs information system components defined in SC-34 (1), CCI 1215 with no writeable storage that are persistent across component restart or power on/off.'),(1215,'SC-34','1','The organization defines the information system components to be employed with no writeable storage.','The organization being inspected/assessed defines and documents  the information system components to be employed with no writeable storage.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system components to ensure the organization being inspected/assessed defines the information system components to be employed with no writeable storage.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.'),(1216,'SC-34','2','The organization protects the integrity of the information prior to storage on read-only media.','The organization being inspected/assessed documents and implements mechanisms to protect the integrity of the information prior to storage on read-only media.','The organization conducting the inspection/assessment obtains and examines the documented mechanisms to ensure the organization being inspected/assessed protects the integrity of the information prior to storage on read-only media.'),(1217,'SI-1','','The organization develops and documents a system and information integrity policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','Documenting and implementing the Risk Management Framework (RMF) for DoD IT meets the DoD requirement for a system and information integrity policy.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, Risk Management Framework (RMF) for DoD IT.','Documenting and implementing the Risk Management Framework (RMF) for DoD IT meets the DoD requirement for a system and information integrity policy.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, Risk Management Framework (RMF) for DoD IT.'),(1218,'SI-1','','The organization disseminates the system and information integrity policy to organization-defined personnel or roles.','Documenting and implementing the Risk Management Framework (RMF) for DoD IT meets the DoD requirement for a system and information integrity policy.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, Risk Management Framework (RMF) for DoD IT.','Documenting and implementing the Risk Management Framework (RMF) for DoD IT meets the DoD requirement for a system and information integrity policy.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, Risk Management Framework (RMF) for DoD IT.'),(1219,'SI-1','','The organization reviews and updates system and information integrity policy in accordance with organization-defined frequency.','Documenting and implementing the Risk Management Framework (RMF) for DoD IT meets the DoD requirement for a system and information integrity policy.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, Risk Management Framework (RMF) for DoD IT.','Documenting and implementing the Risk Management Framework (RMF) for DoD IT meets the DoD requirement for a system and information integrity policy.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, Risk Management Framework (RMF) for DoD IT.'),(1220,'SI-1','','The organization develops and documents procedures to facilitate the implementation of the system and information integrity policy and associated system integrity controls.','Documenting and implementing the Risk Management Framework (RMF) for DoD IT meets the DoD requirement for a system and information integrity procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, Risk Management Framework (RMF) for DoD IT.','Documenting and implementing the Risk Management Framework (RMF) for DoD IT meets the DoD requirement for a system and information integrity procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, Risk Management Framework (RMF) for DoD IT.'),(1221,'SI-1','','The organization disseminates to organization-defined personnel or roles procedures to facilitate the implementation of the system and information integrity policy and associated system integrity controls.','Documenting and implementing the Risk Management Framework (RMF) for DoD IT meets the DoD requirement for a system and information integrity procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, Risk Management Framework (RMF) for DoD IT.','Documenting and implementing the Risk Management Framework (RMF) for DoD IT meets the DoD requirement for a system and information integrity procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, Risk Management Framework (RMF) for DoD IT.'),(1222,'SI-1','','The organization reviews and updates system and information integrity procedures in accordance with organization-defined frequency.','Documenting and implementing the Risk Management Framework (RMF) for DoD IT meets the DoD requirement for a system and information integrity procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, Risk Management Framework (RMF) for DoD IT.','Documenting and implementing the Risk Management Framework (RMF) for DoD IT meets the DoD requirement for a system and information integrity procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, Risk Management Framework (RMF) for DoD IT.'),(1223,'SI-1','','The organization defines the frequency of system and information integrity policy reviews and updates.','DoD has defined the frequency as every 5 years.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as every 5 years.'),(1224,'SI-1','','The organization defines the frequency of system and information integrity procedure reviews and updates','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(1225,'SI-2','','The organization identifies information system flaws.','The organization being inspected/assessed documents and implements a process to identify information system flaws.\n \nThe process shall include  review of the system through automated scans and manual checks to determine the existence of flaws such as IAVM, CVE, or other resources.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed identifies information system flaws.'),(1226,'SI-2','','The organization reports information system flaws.','The organization being inspected/assessed reports information system flaws according to DoD Cybersecurity policy and organizational roles and responsibilities.\n \nThe organization must report information system flaws in their POA&M.','The organization conducting the inspection/assessment obtains and examines the authorization package, verifies the POA&M is up to date and includes recently identified information system flaws, and verifies that the organization has notified appropriate personnel as defined by DoD Cybersecurity policy and organizational roles and responsibilities.'),(1227,'SI-2','','The organization corrects information system flaws.','The organization being inspected/assessed corrects information system flaws within the time period directed by an authorative source (e.g. IAVM, CTOs, DTMs, STIGs). \n \nThe organization documents the corrections on their POA&M.\n \nDoD has defined the time period as within the time period directed by an authorative source (e.g. IAVM, CTOs, DTMs, STIGs). ','The organization conducting the inspection/assessment obtains and examines the information system POA&M and examines the information system to ensure the organization being inspected/assessed corrects information system flaws.'),(1228,'SI-2','','The organization tests software updates related to flaw remediation for effectiveness before installation.','The organization being inspected/assessed documents and implements a process to test  software updates related to flaw remediation for effectiveness before installation.\n \nIf the software update is being provided by a vendor who has documented the effectiveness of the update in fixing the affected IAVM/CVE, further testing by the organization may not be required.','The organization conducting the inspection/assessment obtains and examines the documented process and test results to ensure the organization being inspected/assessed tests software updates related to flaw remediation for effectiveness before installation.'),(1229,'SI-2','','The organization tests software updates related to flaw remediation for potential side effects before installation.','The organization being inspected/assessed documents and implements a process for regression testing IAW CM-4 to identify any potential side effects before installation of software updates.','The organization conducting the inspection/assessment obtains and examines the documented process and test results to ensure the organization being inspected/assessed tests software updates related to flaw remediation for potential side effects before installation.'),(1230,'SI-2','','The organization incorporates flaw remediation into the organizational configuration management process.','The organization being inspected/assessed documents within their configuration management plan, flaw remediation processes.','The organization conducting the inspection/assessment obtains and examines the configuration management plan to ensure that it incorporates flaw remediation.'),(1231,'SI-2','1','The organization centrally manages the flaw remediation process.','The organization being inspected/assessed documents and implements a process to centrally manage the flaw remediation process.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed  centrally manages the flaw remediation process.'),(1233,'SI-2','2','The organization employs automated mechanisms on an organization-defined frequency to determine the state of information system components with regard to flaw remediation.','The organization being inspected/assessed configures the information system to employ automated mechanisms continuously with HBSS; 30 days for any additional internal network scans not covered by HBSS; annually for external scans by (Computer Network Defense Service Provider) CNDSP to determine the state of information system components with regard to flaw remediation.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1233.\n \nDoD has defined the frequency as continuously with HBSS; 30 days for any additional internal network scans not covered by HBSS; annually for external scans by (Computer Network Defense Service Provider) CNDSP.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to employ automated mechanisms  continuously with HBSS; 30 days for any additional internal network scans not covered by HBSS; annually for external scans by (Computer Network Defense Service Provider) CNDSP to determine the state of information system components with regard to flaw remediation.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1233.\n \nDoD has defined the frequency as continuously with HBSS; 30 days for any additional internal network scans not covered by HBSS; annually for external scans by (Computer Network Defense Service Provider) CNDSP.'),(1234,'SI-2','2','The organization defines a frequency for employing automated mechanisms to determine the state of information system components with regard to flaw remediation.','DoD has defined the frequency as continuously with HBSS; 30 days for any additional internal network scans not covered by HBSS; annually for external scans by (Computer Network Defense Service Provider) CNDSP.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as continuously with HBSS; 30 days for any additional internal network scans not covered by HBSS; annually for external scans by (Computer Network Defense Service Provider) CNDSP.'),(1235,'SI-2','3','The organization measures the time between flaw identification and flaw remediation.','The organization being inspected/assessed documents and implements a process to measure the time between flaw identification and flaw remediation.\n \nThe organization must maintain an audit trail of flaw identification and flaw remediation.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of flaw identification and flaw remediation to ensure the organization being inspected/assessed measures the time between flaw identification and flaw remediation.'),(1236,'SI-2','3','The organization defines benchmarks for the time taken to apply corrective actions after flaw identification.','DoD has defined the benchmarks as within the time period directed by an authorative source (e.g. IAVM, CTOs, DTMs, STIGs). ','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the benchmarks as within the time period directed by an authorative source (e.g. IAVM, CTOs, DTMs, STIGs). '),(1240,'SI-3','','The organization updates malicious code protection mechanisms whenever new releases are available in accordance with organizational configuration management policy and procedures.','The organization being inspected/assessed configures the information system to update malicious code protection mechanisms whenever new releases are available in accordance with organizational configuration management policy and procedures.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1240.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to update malicious code protection mechanisms whenever new releases are available in accordance with organizational configuration management policy and procedures.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1240.'),(1241,'SI-3','','The organization configures malicious code protection mechanisms to perform periodic scans of the information system on an organization-defined frequency.','The organization being inspected/assessed configures malicious code protection mechanisms to perform periodic scans of the information system on every 7 days.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1241.\n \nDoD has defined the frequency as every 7 days.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures malicious code protection mechanisms to perform periodic scans of the information system on every 7 days.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1241.\n \nDoD has defined the frequency as every 7 days.'),(1242,'SI-3','','The organization configures malicious code protection mechanisms to perform real-time scans of files from external sources at endpoints as the files are downloaded, opened, or executed in accordance with organizational security policy.','The organization being inspected/assessed configures malicious code protection mechanisms to perform real-time scans of files from external sources at endpoints as the files are downloaded, opened, or executed in accordance with organizational security policy.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1242.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures malicious code protection mechanisms to perform real-time scans of files from external sources at endpoints as the files are downloaded, opened, or executed in accordance with organizational security policy.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1242.'),(1243,'SI-3','','The organization configures malicious code protection mechanisms to perform organization-defined action(s) in response to malicious code detection.','The organization being inspected/assessed configures malicious code protection mechanisms to perform block and quarantine malicious code and then send an alert to the administrator immediately in near real-time in response to malicious code detection.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1243.\n \nDoD has defined the actions as block and quarantine malicious code and then send an alert to the administrator immediately in near real-time.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures malicious code protection mechanisms to perform block and quarantine malicious code and then send an alert to the administrator immediately in near real-time in response to malicious code detection.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1243.\n \n DoD has defined the actions as block and quarantine malicious code and then send an alert to the administrator immediately in near real-time.'),(1244,'SI-3','','The organization defines one or more actions to perform in response to malicious code detection, such as blocking malicious code, quarantining malicious code, or sending alert to administrator.','DoD has defined the actions as block and quarantine malicious code and then send an alert to the administrator immediately in near real-time.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the actions as block and quarantine malicious code and then send an alert to the administrator immediately in near real-time.'),(1245,'SI-3','','The organization addresses the receipt of false positives during malicious code detection and eradication, and the resulting potential impact on the availability of the information system.','The organization being inspected/assessed configures the information system to address the receipt of false positives during malicious code detection and eradication, and the resulting potential impact on the availability of the information system.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1245.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to address the receipt of false positives during malicious code detection and eradication, and the resulting potential impact on the availability of the information system.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1245.'),(1246,'SI-3','1','The organization centrally manages malicious code protection mechanisms.','The organization being inspected/assessed documents and implements a process to centrally manage malicious code protection mechanisms.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed centrally manages malicious code protection mechanisms.'),(1247,'SI-3','2','The information system automatically updates malicious code protection mechanisms.','The organization being inspected/assessed configures the information system to  automatically update malicious code protection mechanisms.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1247.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to automatically update malicious code protection mechanisms.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1247.'),(1249,'SI-3','4','The information system updates malicious code protection mechanisms only when directed by a privileged user.','The organization being inspected/assessed configures the information system to update malicious code protection mechanisms only when directed by a privileged user.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1249.\n \nThis control enhancement may be appropriate for situations where for reasons of security or operational continuity, updates are only applied when selected/approved by designated organizational personnel.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  update malicious code protection mechanisms only when directed by a privileged user.\n  \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1249.'),(1251,'SI-3','6','The organization tests malicious code protection mechanisms on an organization-defined frequency by introducing a known benign, non-spreading test case into the information system.','The organization being inspected/assessed documents and implement a process to test malicious code protection mechanisms twice annually or when substantial changes are made to the malicious code protection mechanisms by introducing a known benign, non-spreading test case into the information system.\n \nDoD has defined the frequency as twice annually or when substantial changes are made to the malicious code protection mechanisms.','The organization conducting the inspection/assessment obtains and examines the documented process and test results to ensure the organization being inspected/assessed tests malicious code protection mechanisms twice annually or when substantial changes are made to the malicious code protection mechanisms by introducing a known benign, non-spreading test case into the information system.\n \nDoD has defined the frequency as twice annually or when substantial changes are made to the malicious code protection mechanisms.'),(1253,'SI-4','','The organization defines the objectives of monitoring for attacks and indicators of potential attacks on the information system.','DoD has defined the monitoring objectives as sensor placement and monitoring requirements within CJCSI 6510.01F.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the monitoring objectives as sensor placement and monitoring requirements within CJCSI 6510.01F.'),(1255,'SI-4','','The organization deploys monitoring devices strategically within the information system to collect organization determined essential information.','The organization being inspected/assessed documents and implements a process to  deploy monitoring devices strategically within the information system to collect organization determined essential information.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed  deploys monitoring devices strategically within the information system to collect organization determined essential information.'),(1256,'SI-4','','The organization deploys monitoring devices at ad hoc locations within the system to track specific types of transactions of interest to the organization.','The organization being inspected/assessed documents and implements a process to  deploy monitoring devices at ad hoc locations within the system to track specific types of transactions of interest to the organization.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed  deploys monitoring devices at ad hoc locations within the system to track specific types of transactions of interest to the organization.'),(1257,'SI-4','','The organization heightens the level of information system monitoring activity whenever there is an indication of increased risk to organizational operations and assets, individuals, other organizations, or the Nation based on law enforcement information, intelligence information, or other credible sources of information.','The organization being inspected/assessed documents and implements a process to  heighten the level of information system monitoring activity whenever there is an indication of increased risk to organizational operations and assets, individuals, other organizations, or the Nation based on law enforcement information, intelligence information, or other credible sources of information.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed heightens the level of information system monitoring activity whenever there is an indication of increased risk to organizational operations and assets, individuals, other organizations, or the Nation based on law enforcement information, intelligence information, or other credible sources of information.'),(1258,'SI-4','','The organization obtains legal opinion with regard to information system monitoring activities in accordance with applicable federal laws, Executive Orders, directives, policies, or regulations.','The organization being inspected/assessed  obtains and documents legal opinion with regard to information system monitoring activities in accordance with applicable federal laws, Executive Orders, directives, policies, or regulations.','The organization conducting the inspection/assessment obtains and examines the documented legal opinion to ensure the organization being inspected/assessed obtains legal opinion with regard to information system monitoring activities in accordance with applicable federal laws, Executive Orders, directives, policies, or regulations.'),(1260,'SI-4','2','The organization employs automated tools to support near real-time analysis of events.','The organization being inspected/assessed documents and implements automated tools to support near real-time analysis of events.','The organization conducting the inspection/assessment obtains and examines documentation of the use of the identified automated tools to ensure the organization being inspected/assessed employs automated tools to support near real-time analysis of events.\n \nThe organization being inspected/assessed may be required to demonstrate use of their automated tools.'),(1264,'SI-4','5','The organization defines indicators of compromise or potential compromise to the security of the information system which will result in information system alerts being provided to organization-defined personnel or roles.','DoD has defined the compromise indicators as real time intrusion detection and when there are threats identified by authoritative sources (e.g. CTOs) and IAW incident categories I, II, IV, & VII  within CJCSM 6510.01B.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the compromise indicators as real time intrusion detection and when there are threats identified by authoritative sources (e.g. CTOs) and IAW incident categories I, II, IV, & VII  within CJCSM 6510.01B.'),(1266,'SI-4','7','The information system notifies an organization-defined list of incident response personnel (identified by name and/or by role) of detected suspicious events.','The organization being inspected/assessed configures the information system to notify incident response personnel defined in the incident response plan of detected suspicious events.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1266.\n \nDoD has defined the incident response personnel as incident response personnel defined in the incident response plan.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to notify incident response personnel defined in the incident response plan of detected suspicious events.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1266.\n \nDoD has defined the incident response personnel as incident response personnel defined in the incident response plan.'),(1267,'SI-4','7','The organization defines a list of incident response personnel (identified by name and/or by role) to be notified of detected suspicious events.','DoD has defined the incident response personnel as incident response personnel defined in the incident response plan.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the incident response personnel as incident response personnel defined in the incident response plan.'),(1268,'SI-4','7','The organization defines a list of least-disruptive actions to be taken by the information system to terminate suspicious events.','The organization being inspected/assessed defines and documents a list of least-disruptive actions to be taken by the information system to terminate suspicious events.\n \nDoD has determined the least-disruptive actions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented list of least-disruptive actions to ensure the organization being inspected/assessed  defines a list of least-disruptive actions to be taken by the information system to terminate suspicious events.\n \nDoD has determined the least-disruptive actions are not appropriate to define at the Enterprise level.'),(1270,'SI-4','9','The organization tests intrusion monitoring tools at an organization-defined frequency.','The organization being inspected/assessed documents and implements a process to test intrusion monitoring tools every 30 days.\n \nThe organization must maintain an audit trail of test results.\n \nDoD has defined the frequency as every 30 days.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of test results to ensure the organization being inspected/assessed tests intrusion monitoring tools every 30 days.\n \nDoD has defined the frequency as every 30 days.'),(1271,'SI-4','9','The organization defines the frequency for testing intrusion monitoring tools.','DoD has defined the frequency as every 30 days.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as every 30 days.'),(1273,'SI-4','11','The organization analyzes outbound communications traffic at the external boundary of the information system to discover anomalies.','The organization being inspected/assessed documents and implements a process to analyze outbound communications traffic at the external boundary of the information system to discover anomalies.\n \nThe organization must maintain a record of any discovered anomalies.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of any discovered anomalies to ensure the organization being inspected/assessed analyzes outbound communications traffic at the external boundary of the information system to discover anomalies.'),(1274,'SI-4','12','The organization employs automated mechanisms to alert security personnel of an organization-defined inappropriate or unusual activities with security implications.','The organization being inspected/assessed documents and implements automated mechanisms to alert security personnel when there are threats identified by authoritative sources (e.g. CTOs) and IAW  with CJCSM 6510.01B.\n \nFor automated alert mechanisms that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1274.\n \nDoD has defined the activities that trigger alerts as when there are threats identified by authoritative sources (e.g. CTOs) and IAW  with CJCSM 6510.01B.','The organization conducting the inspection/assessment obtains and examines documentation of the use of the identified automated mechanisms used to alert security personnel when there are threats identified by authoritative sources (e.g. CTOs) and IAW  with CJCSM 6510.01B.\n \nFor automated alert mechanisms that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1274.\n \nThe organization being inspected/assessed may be required to demonstrate use of their identified automated mechanisms.\n \nDoD has defined the activities that trigger alerts as when there are threats identified by authoritative sources (e.g. CTOs) and IAW  with CJCSM 6510.01B.'),(1275,'SI-4','12','The organization defines the activities which will trigger alerts to security personnel of inappropriate or unusual activities.','DoD has defined the activities that trigger alerts as when there are threats identified by authoritative sources (e.g. CTOs) and IAW  with CJCSM 6510.01B.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the activities that trigger alerts as when there are threats identified by authoritative sources (e.g. CTOs) and IAW  with CJCSM 6510.01B.'),(1276,'SI-4','13','The organization analyzes communications traffic/event patterns for the information system.','The organization being inspected/assessed documents and implements a process to analyze communications traffic/event patterns for the information system.\n \nThe organization must maintain a record of the analysis.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of analysis to ensure the organization being inspected/assessed analyzes communications traffic/event patterns for the information system.'),(1277,'SI-4','13','The organization develops profiles representing common traffic patterns and/or events.','The organization being inspected/assessed develops and documents profiles representing common traffic patterns and/or events.','The organization conducting the inspection/assessment obtains and examines the documented profiles to ensure the organization being inspected/assessed develops profiles representing common traffic patterns and/or events.'),(1282,'SI-4','15','The organization employs an intrusion detection system to monitor wireless communications traffic as the traffic passes from wireless to wireline networks.','The organization being inspected/assessed documents and implements an intrusion detection system to monitor wireless communications traffic as the traffic passes from wireless to wireline networks.','The organization conducting the inspection/assessment obtains and examines documentation of the use of the identified  intrusion detection system to ensure the organization being inspected/assessed employs an intrusion detection system to monitor wireless communications traffic as the traffic passes from wireless to wireline networks.\n \nThe organization being inspected/assessed may be required to demonstrate use of the  intrusion detection system.'),(1283,'SI-4','16','The organization correlates information from monitoring tools employed throughout the information system.','The organization being inspected/assessed documents and implements a process to correlate information from monitoring tools employed throughout the information system.','The organization conducting the inspection/assessment obtains and examines the documented process and the correlated results to ensure the organization being inspected/assessed correlates information from monitoring tools employed throughout the information system.'),(1284,'SI-4','17','The organization correlates information from monitoring physical, cyber, and supply chain activities to achieve integrated, organization-wide situational awareness.','The organization being inspected/assessed documents and implements a process to correlate information from monitoring physical, cyber, and supply chain activities to achieve integrated, organization-wide situational awareness.','The organization conducting the inspection/assessment obtains and examines the documented process and the correlated results to ensure the organization being inspected/assessed correlates information from monitoring physical, cyber, and supply chain activities to achieve integrated, organization-wide situational awareness.'),(1285,'SI-5','','The organization receives information system security alerts, advisories, and directives from organization-defined external organizations on an ongoing basis.','The organization being inspected/assessed receives information system security alerts, advisories, and directives from at a minimum, USCYBERCOM on an ongoing basis.\n \nDoD has defined the external organizations as at a minimum, USCYBERCOM.','The organization conducting the inspection/assessment obtains and examines alerts, advisories, and directives received by the organization being inspected/assessed to ensure they receive information system security alerts, advisories, and directives from at a minimum, USCYBERCOM on an ongoing basis.\n \nDoD has defined the external organizations as at a minimum, USCYBERCOM.'),(1286,'SI-5','','The organization generates internal security alerts, advisories, and directives as deemed necessary.','The organization being inspected/assessed documents and implements a process to generate internal security alerts, advisories, and directives as deemed necessary.','The organization conducting the inspection/assessment obtains and examines documented process as well as the generated internal security alerts, advisories, and directives to ensure the organization being inspected/assessed generates internal security alerts, advisories, and directives as deemed necessary.'),(1287,'SI-5','','The organization disseminates security alerts, advisories, and directives to organization-defined personnel or roles, organization-defined elements within the organization, and/or organization-defined external organizations.','The organization being inspected/assessed disseminates security alerts, advisories, and directives to the ISSO and ISSM and/or external organizations defined in SI-5, CCI 2694.\n \nDoD has defined the personnel or roles as the ISSO and ISSM.','The organization conducting the inspection/assessment obtains and examines any applicable artifacts showing dissemination of security alerts, advisories, and directives to ensure the organization being inspected/assessed disseminates security alerts, advisories, and directives to the ISSO and ISSM and/or external organizations defined in SI-5, CCI 2694.\n \nDoD has defined the personnel or roles as the ISSO and ISSM.'),(1288,'SI-5','','The organization defines the personnel or roles to whom the organization will disseminate security alerts, advisories and directives.','DoD has defined the personnel or roles as the ISSO and ISSM.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as the ISSO and ISSM.'),(1289,'SI-5','','The organization implements security directives in accordance with established time frames, or notifies the issuing organization of the degree of noncompliance.','The organization being inspected/assessed implements security directives in accordance with established time frames, or notifies the issuing organization of the degree of noncompliance.','The organization conducting the inspection/assessment examines the information system and obtains and examines records of compliance and/or non-compliance reporting  to ensure that security directives have been implemented in accordance with established time frames, or notifies the issuing organization of the degree of noncompliance.'),(1290,'SI-5','1','The organization employs automated mechanisms to make security alert and advisory information available throughout the organization.','The organization being inspected/assessed documents and implements automated mechanisms to make security alert and advisory information available throughout the organization.','The organization conducting the inspection/assessment obtains and examines documentation of the use of the identified automated mechanisms to ensure the organization being inspected/assessed  employs automated mechanisms to make security alert and advisory information available throughout the organization.\n \nThe organization being inspected/assessed may be required to demonstrate use of their identified automated mechanisms.'),(1294,'SI-6','','The information system notifies organization-defined personnel or roles of failed security verification tests.','The organization being inspected/assessed configures the information system to notify the ISSO and ISSM of failed security verification tests.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1294.\n \nDoD has defined the personnel or roles as the ISSO and ISSM.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  notify the ISSO and ISSM of failed security verification tests.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1294.\n \nDoD has defined the personnel or roles as the ISSO and ISSM.'),(1295,'SI-6','2','The information system implements automated mechanisms to support the management of distributed security testing.','The organization being inspected/assessed configures the information system to implement automated mechanisms to support the management of distributed security testing.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1295.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement automated mechanisms to support the management of distributed security testing.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1295.'),(1296,'SI-6','3','The organization reports the result of security function verification to organization-defined personnel or roles.','The organization being inspected/assessed documents and implements a process to report the result of security function verification to at a minimum, the ISSO and ISSM.\n \nThe organization must maintain an audit trail of reporting.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of reporting to ensure the organization being inspected/assessed reports the result of security function verification to at a minimum, the ISSO and ISSM.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.'),(1300,'SI-7','2','The organization employs automated tools that provide notification to organization-defined personnel or roles upon discovering discrepancies during integrity verification.','The organization being inspected/assessed documents and implements automated tools that provide notification to at a minimum, the ISSO and ISSM upon discovering discrepancies during integrity verification.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.','The organization conducting the inspection/assessment obtains and examines documentation of the use of the identified automated tools to ensure the organization being inspected/assessed employs automated tools that provide notification to at a minimum, the ISSO and ISSM upon discovering discrepancies during integrity verification.\n \nThe organization being inspected/assessed may be required to demonstrate use of their identified automated tools.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.'),(1301,'SI-7','3','The organization employs centrally managed integrity verification tools.','The organization being inspected/assessed documents and implements centrally managed integrity verification tools.','The organization conducting the inspection/assessment obtains and examines documentation of the use of the identified centrally managed integrity verification tools to ensure the organization being inspected/assessed employs centrally managed integrity verification tools.\n \nThe organization being inspected/assessed may be required to demonstrate use of their identified integrity verification tools.'),(1306,'SI-8','','The organization updates spam protection mechanisms when new releases are available in accordance with organizational configuration management policy and procedures.','The organization being inspected/assessed documents and implements a process to update spam protection mechanisms when new releases are available in accordance with organizational configuration management policy and procedures.','The organization conducting the inspection/assessment obtains and examines the documented process and examines the spam protection mechanisms to ensure the organization being inspected/assessed updates spam protection mechanisms when new releases are available in accordance with organizational configuration management policy and procedures.'),(1307,'SI-8','1','The organization centrally manages spam protection mechanisms.','The organization being inspected/assessed documents and implements a process to centrally manage spam protection mechanisms.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed centrally manages spam protection mechanisms.'),(1308,'SI-8','2','The information system automatically updates spam protection mechanisms .','The organization being inspected/assessed configures the information system to automatically update spam protection mechanisms.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1308.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to automatically update spam protection mechanisms.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1308.'),(1310,'SI-10','','The information system checks the validity of organization-defined inputs.','The organization being inspected/assessed configures the information system to check the validity of all inputs except those identified specifically by the organization.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1310.\n \nDoD has defined the information inputs as all inputs except those identified specifically by the organization.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  check the validity of all inputs except those identified specifically by the organization.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1310.\n \nDoD has defined the information inputs as all inputs except those identified specifically by the organization.'),(1312,'SI-11','','The information system generates error messages that provide information necessary for corrective actions without revealing information that could be exploited by adversaries.','The organization being inspected/assessed configures the information system to generate error messages that provide information necessary for corrective actions without revealing information that could be exploited by adversaries.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1312.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to generate error messages that provide information necessary for corrective actions without revealing information that could be exploited by adversaries.\n \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1312.'),(1314,'SI-11','','The information system reveals error messages only to organization-defined personnel or roles.','The organization being inspected/assessed configures the information system to reveal error messages only to the ISSO, ISSM, and SCA.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1314.\n \nDoD has defined the personnel or roles as the ISSO, ISSM, and SCA.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  reveal error messages only to the ISSO, ISSM, and SCA.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1314.\n \nDoD has defined the personnel or roles as the ISSO, ISSM, and SCA.'),(1315,'SI-12','','The organization handles information within the information system and information output from the system in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, and operational requirements.','The organization being inspected/assessed identifies and documents federal laws, Executive Orders, directives, policies, regulations, standards, and operational requirements which apply to the information within the information system.  \n \nThe organization documents and implements a process to handle information IAW those documented federal laws, Executive Orders, directives, policies, regulations, standards, and operational requirements.','The organization conducting the inspection/assessment obtains and examines the documented list of applicable federal laws, Executive Orders, directives, policies, regulations, standards, and operational requirements which apply to the information within the information system, as well as the documented process for information handling to ensure the organization being inspected/assessed handles information within the information system and information output from the system in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, and operational requirements.'),(1318,'SI-13','','The organization provides substitute information system components.','The organization being inspected/assessed documents and implements a process to provide substitute information system components.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed provides substitute information system components.'),(1319,'SI-13','1','The organization takes the information system components out of service by transferring component responsibilities to a substitute component no later than an organization-defined fraction or percentage of mean time to failure.','The organization being inspected/assessed documents and implements a process to take the information system components out of service by transferring component responsibilities to a substitute component no later than a fraction or percentage of mean time to failure defined in SI-13 (1), CCI 1320.\n \nThe organization must maintain a log of component substitution.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the log of component substitution to ensure the organization being inspected/assessed  takes the information system components out of service by transferring component responsibilities to a substitute component no later than a fraction or percentage of mean time to failure defined in SI-13 (1), CCI 1320.'),(1320,'SI-13','1','The organization defines the maximum fraction or percentage of mean time to failure used to determine when information system components are taken out of service by transferring component responsibilities to substitute components.','The organization being inspected/assessed defines and documents the maximum fraction or percentage of mean time to failure used to determine when information system components are taken out of service by transferring component responsibilities to substitute components.\n \nDoD has determined the fraction or percentage is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented fraction or percentage to ensure the organization being inspected/assessed defines the maximum fraction or percentage of mean time to failure used to determine when information system components are taken out of service by transferring component responsibilities to substitute components.\n \nDoD has determined the fraction or percentage is not appropriate to define at the Enterprise level.'),(1321,'SI-7','16','The organization does not allow a process to execute without supervision for more than an organization-defined time period.','The organization being inspected/assessed does not allow a process to execute without supervision for more than the time period defined in SI-7 (16), CCI 1322.','The organization conducting the inspection/assessment obtains and examines any applicable evidence of process supervision to ensure the organization being inspected/assessed does not allow a process to execute without supervision for more than the time period defined in SI-7 (16), CCI 1322.'),(1322,'SI-7','16','The organization defines a time period that is the most a process is allowed to execute without supervision.','The organization being inspected/assessed defines and documents a time period that is the most a process is allowed to execute without supervision.\n \nDoD has determined the time period is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented time period to ensure the organization being inspected/assessed defines a time period that is the most a process is allowed to execute without supervision.\n \nDoD has determined the time period is not appropriate to define at the Enterprise level.'),(1324,'SI-13','3','The organization defines the minimum frequency at which the organization manually initiates a transfer between active and standby information system components if the mean time to failure exceeds the organization-defined time period.','The organization being inspected/assessed defines and documents the minimum frequency at which the organization manually initiates a transfer between active and standby information system components if the mean time to failure exceeds the organization-defined time period.\n \nDoD has determined the frequency is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented frequency to ensure the organization being inspected/assessed defines the  minimum frequency at which the organization manually initiates a transfer between active and standby information system components if the mean time to failure exceeds the organization-defined time period.\n \nDoD has determined the frequency is not appropriate to define at the Enterprise level.'),(1325,'SI-13','3','The organization defines a time period that the mean time to failure must exceed before the organization manually initiates a transfer between active and standby information system components.','The organization being inspected/assessed defines and documents a time period that the mean time to failure must exceed before the organization manually initiates a transfer between active and standby information system components.\n \nThe time period should be based on organizational need to maintain readiness of standby components.\n \nDoD has determined the time period is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented time period to ensure the organization being inspected/assessed defines a time period that the mean time to failure must exceed before the organization manually initiates a transfer between active and standby information system components.\n \nDoD has determined the time period is not appropriate to define at the Enterprise level.'),(1326,'SI-13','4','The organization, if information system component failures are detected, ensures standby components are successfully and transparently installed within an organization-defined time period.','The organization being inspected/assessed documents and implements a process to transparently install standby components within a time period defined in SI-13 (4), CCI 1327 if information system component failures are detected.\n \nThe organization must maintain a log of standby component installation to include time periods.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the log of standby component installation to ensure the organization being inspected/assessed transparently installs standby components within a time period defined in SI-13 (4), CCI 1327 if information system component failures are detected.'),(1327,'SI-13','4','The organization defines a time period for a standby information system component to be successfully and transparently installed for the information system component that has failed.','The organization being inspected/assessed defines and documents a time period for a standby information system component to be successfully and transparently installed for the information system component that has failed\n \nDoD has determined the time period is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented time period to ensure the organization being inspected/assessed defines a time period for a standby information system component to be successfully and transparently installed for the information system component that has failed.\n \nDoD has determined the time period is not appropriate to define at the Enterprise level.'),(1328,'SI-13','4','The organization, if an information system component failure is detected, activates an organization-defined alarm and/or automatically shuts down the information system.','The organization being inspected/assessed configures the information system to activate an alarm defined in SI-13( 4), CCI 1329 and/or automatically shuts down the information system if an information system component failure is detected.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1328.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to activate an alarm defined in SI-13( 4), CCI 1329 and/or automatically shuts down the information system if an information system component failure is detected.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1328.'),(1329,'SI-13','4','The organization defines the alarm to be activated when an information system component failure is detected.','The organization being inspected/assessed defines and documents the alarm to be activated when an information system component failure is detected.\n \nDoD has determined the alarm is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented alarm to ensure the organization being inspected/assessed defines the alarm to be activated when an information system component failure is detected.\n \nDoD has determined the alarm is not appropriate to define at the Enterprise level.'),(1330,'AC-19','4','The organization prohibits the use of unclassified mobile devices in facilities containing information systems processing, storing, or transmitting classified information unless specifically permitted by the authorizing official.','The organization being inspected/assessed documents and implements a process to prohibit the use of unclassified mobile devices in facilities containing information systems processing, storing, or transmitting classified information unless specifically permitted by the authorizing official.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed prohibits the use of unclassified mobile devices in facilities containing information systems processing, storing, or transmitting classified information unless specifically permitted by the authorizing official.'),(1331,'AC-19','4','The organization prohibits connection of unclassified mobile devices to classified information systems.','The organization being inspected/assessed documents and implements a process to prohibit connection of unclassified mobile devices to classified information systems.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed prohibits connection of unclassified mobile devices to classified information systems.'),(1332,'AC-19','4','The organization requires approval from the authorizing official for the connection of unclassified mobile devices to unclassified information systems.','The organization being inspected/assessed documents and implements a process to require approval from the authorizing official for the connection of unclassified mobile devices to unclassified information systems.\n \nThe organization must maintain an audit trail of approvals.','The organization conducting the inspection/assessment obtains and examines the documented process and the audit trail of approvals to ensure the organization being inspected/assessed requires approval from the authorizing official for the connection of unclassified mobile devices to unclassified information systems.'),(1333,'AC-19','4','The organization prohibits use of internal or external modems or wireless interfaces within unclassified mobile devices in facilities containing information systems processing, storing, or transmitting classified information.','The organization being inspected/assessed documents and implements a process to prohibit use of internal or external modems or wireless interfaces within unclassified mobile devices in facilities containing information systems processing, storing, or transmitting classified information.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed prohibits use of internal or external modems or wireless interfaces within unclassified mobile devices in facilities containing information systems processing, storing, or transmitting classified information.'),(1334,'AC-19','4','The organization requires that unclassified mobile devices used in facilities containing information systems processing, storing, or transmitting classified information and the information stored on those devices are subject to random reviews and inspections by organization-defined security officials.','The organization being inspected/assessed documents and implements a process to require that unclassified mobile devices used in facilities containing information systems processing, storing, or transmitting classified information and the information stored on those devices are subject to random reviews and inspections by the ISSM/ISSO.\n \nDoD has defined the security officials as the ISSM/ISSO.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed requires that unclassified mobile devices used in facilities containing information systems processing, storing, or transmitting classified information and the information stored on those devices are subject to random reviews and inspections by the ISSM/ISSO.\n  \nDoD has defined the security officials as the ISSM/ISSO.'),(1335,'AC-19','4','The organization defines security officials to perform reviews and inspections of unclassified mobile devices in facilities containing information systems processing, storing, or transmitting classified information.','DoD has defined the security officials as the ISSM/ISSO.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the security officials as the ISSM/ISSO.'),(1336,'AT-4','','The organization retains individual training records for an organization-defined time period.','The organization being inspected/assessed will maintain records training records for at least 5 years or 5 years after completion of a specific training program. \n \nDoD has defined the frequency as at least 5 years or 5 years after completion of a specific training program.','The organization conducting the inspection/assessment obtains and examines training records to ensure records have been maintained for at least 5 years or 5 years after completion of a specific training program. \n \nDoD has defined the frequency as at least 5 years or 5 years after completion of a specific training program.'),(1337,'AT-4','','The organization defines a time period for retaining individual training records.','DoD has defined the frequency as at least 5 years or 5 years after completion of a specific training program.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the frequency as at least 5 years or 5 years after completion of a specific training program.'),(1340,'AU-10','3','The information system maintains reviewer/releaser identity and credentials within the established chain of custody for all information reviewed or released.','The organization being inspected/assessed configures the information system to maintain reviewer/releaser identity and credentials within the established chain of custody for all information reviewed or released.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1340.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to maintain reviewer/releaser identity and credentials within the established chain of custody for all information reviewed or released.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1340.'),(1341,'AU-10','4','The information system validates the binding of the information reviewer identity to the information at the transfer or release points prior to release/transfer between organization-defined security domains.','The organization being inspected/assessed configures the information system to validate the binding of the information reviewers identity at the transfer or release points between security domains defined in AU-10 (4), CCI 1907.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to validate the binding of the information reviewers identity at the transfer or release points between security domains defined in AU-10 (4), CCI 1907.'),(1348,'AU-9','2','The information system backs up audit records on an organization defined frequency onto a different system or system component than the system or component being audited.','The organization being inspected/assessed configures the information system to back up audit records at least every seven days.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1348.\n \nDoD has defined the frequency as every seven days.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to back up audit records at least every seven days.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1348.\n \nDoD has defined the frequency as every seven days.'),(1349,'AU-9','2','The organization defines a frequency for backing up system audit records onto a different system or system component than the system or component being audited.','DoD has defined the frequency as every seven days.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as every seven days.'),(1350,'AU-9','3','The information system implements cryptographic mechanisms to protect the integrity of audit information.','The organization being inspected/assessed configures the information system to implement cryptographic mechanisms to protect the integrity of audit information.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1350.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to implement cryptographic mechanisms to protect the integrity of audit information.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1350.'),(1351,'AU-9','4','The organization authorizes access to management of audit functionality to only organization-defined subset of privileged users.','The organization being inspected/assessed authorizes access to the management of audit functionality to only  the subset of privileged users defined in AU-9 (4), CCI 1894.','The organization conducting the inspection/assessment obtains and examines the documentation of access authorizations for the management of audit functionality to ensure only the subset of privileged users defined in AU-9 (4), CCI 1894 have been granted access authorization.'),(1353,'AU-12','2','The information system produces a system-wide (logical or physical) audit trail composed of audit records in a standardized format.','The organization being inspected/assessed configures the information system to produce a system-wide (logical or physical) audit trail composed of audit records in a standardized format.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1353.','The organization conducting the inspection/assessment examines the information system to ensure the information system is configured to produce a system-wide (logical or physical) audit trail composed of audit records in a standardized format.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1353.'),(1358,'AC-2','7','The organization establishes privileged user accounts in accordance with a role-based access scheme that organizes allowed information system  access and privileges into roles.','The organization being inspected/assessed documents and implements a process to establish privileged user accounts in accordance with a role-based access scheme that organizes allowed information system  access and privileges into roles.','The organization conducting the inspection/assessment obtains and examines documented processes for privileged user account creation to ensure the organization being inspected/assessed establishes privileged user accounts in accordance with a role-based access scheme that organizes allowed information system  access and privileges into roles.'),(1360,'AC-2','7','The organization monitors privileged role assignments.','The organization being inspected/assessed implements a process to monitor privileged role assignments.\n \nThe organization must maintain an audit trail of monitoring.','The organization conducting the inspection/assessment obtains and examines the audit trail of monitoring to ensure the organization being inspected/assessed  monitors privileged role assignments.'),(1361,'AC-2','2','The organization defines a time period after which temporary accounts are automatically terminated.','DoD has defined the time period as 72 hours.\n \nThe time period of 72 hours applies to  temporary user accounts.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as 72 hours.\n \nThe time period of 72 hours applies to temporary user accounts.'),(1365,'AC-2','2','The organization defines a time period after which emergency accounts are automatically terminated.','DoD has defined the time period as never.\n \nThe time period of never applies to emergency admin accounts.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as never.\n \nThe time period of never applies to emergency admin accounts.'),(1368,'AC-4','','The information system enforces approved authorizations for controlling the flow of information within the system based on organization-defined information flow control policies.','The organization being inspected/assessed configures the information system to  enforce approved authorizations for controlling the flow of information within the system based on information flow control policies defined in AC-4, CCI 1548.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1368.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  enforce approved authorizations for controlling the flow of information within the system based on information flow control policies defined in AC-4, CCI 1548.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1368.'),(1371,'AC-4','14','The organization defines information security policy filters requiring fully enumerated formats which are to be implemented when transferring information between different security domains.','The organization being inspected/assessed defines and documents information security policy filters requiring fully enumerated formats which are to be implemented when transferring information between different security domains. \n \nDoD has determined the information security policy filters are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information security policy filters to ensure the organization being inspected/assessed defines. information security policy filters requiring fully enumerated formats which are to be implemented when transferring information between different security domains. \n \nDoD has determined the frequency is not appropriate to define at the Enterprise level.'),(1372,'AC-4','14','The information system, when transferring information between different security domains, implements organization-defined security policy filters requiring fully enumerated formats that restrict data structure and content.','The organization being inspected/assessed configures the information system to implement  security policy filters defined in AC-4 (14), CCI 1371 requiring fully enumerated formats that restrict data structure and content.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1372.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement  security policy filters defined in AC-4 (14), CCI 1371 requiring fully enumerated formats that restrict data structure and content.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1372.'),(1373,'AC-4','15','The information system, when transferring information between different security domains, examines the information for the presence of organized-defined unsanctioned information.','The organization being inspected/assessed configures the information system to examine the information for the presence of unsanctioned information defined in AC-4 (15), CCI 2203 when transferring information between different security domains.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1373.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to examine the information for the presence of unsanctioned information defined in AC-4 (15), CCI 2203 when transferring information between different security domains.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1373.'),(1374,'AC-4','15','The information system, when transferring information between different security domains, prohibits the transfer of organization-defined unsanctioned information in accordance with the organization-defined security policy.','The organization being inspected/assessed configures the information system to prohibit the transfer of unsanctioned information defined in AC-4 (15), CCI 2203 in accordance with the security policy defined in AC-4 (15), CCI 2204.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1374.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  prohibit the transfer of unsanctioned information defined in AC-4 (15), CCI 2203 in accordance with the security policy defined in AC-4 (15), CCI 2204.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1374.'),(1380,'AC-5','','The organization documents separation of duties of individuals.','The organization being inspected/assessed documents separation of duties of individuals.','The organization conducting the inspection/assessment obtains and examines the documented separation of duties to ensure the organization being inspected/assessed documents separation of duties of individuals.'),(1384,'AC-8','','The information system, for publicly accessible systems, displays system use information organization-defined conditions before granting further access.','The organization being inspected/assessed configures the information system to display the content of DTM 08-060, \"Policy on Use of Department of Defense (DoD) Information Systems - Standard Consent Banner and User Agreement,\" March 2013  before granting further access for publicly accessible systems\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1384.\n \nDoD has defined the conditions as the content of DTM 08-060, \"Policy on Use of Department of Defense (DoD) Information Systems - Standard Consent Banner and User Agreement,\" March 2013.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  display the content of DTM 08-060, \"Policy on Use of Department of Defense (DoD) Information Systems - Standard Consent Banner and User Agreement,\" March 2013 before granting further access for publicly accessible systems\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1384.\n\nDoD has defined the conditions as the content of DTM 08-060, \"Policy on Use of Department of Defense (DoD) Information Systems - Standard Consent Banner and User Agreement,\" March 2013.'),(1385,'AC-8','','The information system, for publicly accessible systems, displays references, if any, to monitoring that are consistent with privacy accommodations for such systems that generally prohibit those activities.','The organization being inspected/assessed configures the information system to display references, if any, to monitoring that are consistent with privacy accommodations for such systems that generally prohibit those activities for publicly accessible systems.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1385.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to display references, if any, to monitoring that are consistent with privacy accommodations for such systems that generally prohibit those activities for publicly accessible systems.\n  \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1385.'),(1386,'AC-8','','The information system for publicly accessible systems displays references, if any, to recording that are consistent with privacy accommodations for such systems that generally prohibit those activities.','The organization being inspected/assessed configures the information system to display references, if any, to recording that are consistent with privacy accommodations for such systems that generally prohibit those activities  for publicly accessible systems.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1386.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to display references, if any, to recording that are consistent with privacy accommodations for such systems that generally prohibit those activities  for publicly accessible systems.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1386.'),(1387,'AC-8','','The information system for publicly accessible systems displays references, if any, to auditing that are consistent with privacy accommodations for such systems that generally prohibit those activities.','The organization being inspected/assessed configures the information system to display references, if any, to auditing that are consistent with privacy accommodations for such systems that generally prohibit those activities for publicly accessible systems.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1387.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to display references, if any, to auditing that are consistent with privacy accommodations for such systems that generally prohibit those activities for publicly accessible systems.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1387.'),(1388,'AC-8','','The information system, for publicly accessible systems, includes a description of the authorized uses of the system.','The organization being inspected/assessed configures the information system to include a description of the authorized uses of the system for publicly accessible systems.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1388.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  include a description of the authorized uses of the system for publicly accessible systems.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1388.'),(1389,'AC-9','2','The organization defines the time period that the information system notifies the user of the number of successful logon/access attempts.','DoD has determined this CCI is not applicable because this option is not selected.','DoD has determined this CCI is not applicable because this option is not selected.'),(1390,'AC-9','2','The organization defines the time period that the information system notifies the user of the number of unsuccessful logon/access attempts.','DoD has defined the time period as the time since the last successful login (for  unsuccessful logon/access attempts).  ','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as the time since the last successful login (for  unsuccessful logon/access attempts).  '),(1391,'AC-9','2','The information system notifies the user of the number of successful logins/accesses that occur during the organization-defined time period.','DoD has determined this CCI is not applicable because this option is not selected.','DoD has determined this CCI is not applicable because this option is not selected.'),(1392,'AC-9','2','The information system notifies the user of the number of unsuccessful login/access attempts that occur during organization-defined time period.','The organization being inspected/assessed configures the information system to notify the user of the number of unsuccessful login/access attempts that occur during the time period defined in AC-9 (2), CCI 1389.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1392.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to notify the user of the number of unsuccessful login/access attempts that occur during the time period defined in AC-9 (2), CCI 1389.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1392.'),(1393,'AC-9','3','The organization defines the security-related characteristics/parameters of the user’s account which, when changed, will result in a notification being provided to the user during the organization-defined time period.','DoD has defined the security-related characteristics/parameters as access and/or privilege parameters.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the security-related characteristics/parameters as access and/or privilege parameters.'),(1394,'AC-9','3','The organization defines the time period during which organization-defined security-related changes to the user\'s account are to be tracked.','DoD has defined the time period as since last successful login.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as since last successful login.'),(1395,'AC-9','3','The information system notifies the user of changes to organization-defined security-related characteristics/parameters of the user’s account that occur during the organization-defined time period.','The organization being inspected/assessed configures the information system to notify the user of changes to access and/or privilege parameters that occur since last successful login.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1395.\n \nDoD has defined the time period as since last successful login.\n \nDoD has defined the security-related characteristics/parameters as access and/or privilege parameters.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to notify the user of changes to access and/or privilege parameters that occur since last successful login.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1395.\n \nDoD has defined the time period as since last successful login.\n \nDoD has defined the security-related characteristics/parameters as access and/or privilege parameters.'),(1403,'AC-2','4','The information system automatically audits account modification actions.','The organization being inspected/assessed configures the information system to automatically audit account modification actions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1403.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to automatically audit account modification actions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1403.'),(1404,'AC-2','4','The information system automatically audits account disabling actions.','The organization being inspected/assessed configures the information system to automatically audit account disabling actions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1404.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to automatically audit account disabling actions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1404.'),(1405,'AC-2','4','The information system automatically audits account removal actions.','The organization being inspected/assessed configures the information system to automatically audit account removal actions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1405.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to automatically audit account removal actions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1405.'),(1406,'AC-2','5','The organization defines a time period of expected inactivity when users are required to log out.','DoD has defined the time period as at the end of the users standard work period unless otherwise defined in formal organizational policy.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as at the end of the users standard work period unless otherwise defined in formal organizational policy.'),(1407,'AC-2','7','The organization administers privileged user accounts in accordance with a role-based access scheme that organizes allowed information system  access  and privileges into roles.','The organization being inspected/assessed documents and implements a process to administer privileged user accounts in accordance with a role-based access scheme that organizes allowed information system  access and privileges into roles.','The organization conducting the inspection/assessment obtains and examines documented processes for privileged user account creation to ensure the organization being inspected/assessed administers privileged user accounts in accordance with a role-based access scheme that organizes allowed information system  access and privileges into roles.'),(1408,'AC-3','2','The organization defines privileged commands for which dual authorization is to be enforced.','The organization being inspected/assessed defines and documents  privileged commands for which dual authorization is to be enforced.\n \nDoD has determined the other actions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented privileged commands to ensure they have been defined. \n \nDoD has determined the other actions are not appropriate to define at the Enterprise level.'),(1411,'AC-3','5','The organization defines security-relevant information to which the information system prevents access except during secure, nonoperable system states.','The organization being inspected/assessed defines and documents security-relevant information to which the information system prevents access except during secure, nonoperable system states.  At a minimum, the security-relevant information shall include installing and updating crypto keys.\n \nDoD has determined the security-relevant information is not appropriate to define at the Enterprise level, but at a minimum, installing and updating crypto keys.','The organization conducting the inspection/assessment obtains and examines the documented security-relevant information to ensure it has been defined and at a minimum, includes installing and updating crypto keys.\n \nDoD has determined the security-relevant information is not appropriate to define at the Enterprise level, but at a minimum, installing and updating crypto keys.'),(1414,'AC-4','','The information system enforces approved authorizations for controlling the flow of information between interconnected systems based on organization-defined information flow control policies.','The organization being inspected/assessed configures the information system to  enforce approved authorizations for controlling the flow of information between interconnected systems based on information flow control policies defined in AC-4, CCI 1549.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1414.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  enforce approved authorizations for controlling the flow of information between interconnected systems based on information flow control policies defined in AC-4, CCI 1549.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1414.'),(1415,'AC-4','5','The organization defines limitations of the embedding of data types within other data types.','The organization being inspected/assessed defines and documents the  limitations of the embedding of data types within other data types.\n \nDoD has determined the limitations are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented limitations to ensure the organization being inspected/assessed defines the limitations of the embedding of data types within other data types.\n \nDoD has determined the limitations are not appropriate to define at the Enterprise level.'),(1416,'AC-4','7','The organization defines one-way information flows to be enforced by the information system.','The organization being inspected/assessed defines and documents one-way information flows to be enforced by the information system.\n \nDoD has determined the one-way information flow is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented one-way information flows to ensure the organization being inspected/assessed  defines one-way information flows to be enforced by the information system. \n \nDoD has determined the one-way information flow is not appropriate to define at the Enterprise level.'),(1417,'AC-4','8','The organization defines security policy filters to be enforced by the information system and used as a basis for flow control decisions.','The organization being inspected/assessed defines and documents security policy filters to be enforced by the information system and used as a basis for flow control decisions.\n \nDoD has determined the security policy filters are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security policy filters to ensure the organization being inspected/assessed defines security policy filters to be enforced by the information system and used as a basis for flow control decisions.\n \nDoD has determined the security policy filters are not appropriate to define at the Enterprise level.'),(1419,'AC-6','2','The organization defines the security functions or security-relevant information to which users of information system accounts, or roles, have access.','DoD has defined the security functions and security-relevant information as any privileged security functions or security-relevant information.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the security functions and security-relevant information as any privileged security functions or security-relevant information.'),(1420,'AC-6','3','The organization defines the privileged commands to which network access is to be authorized only for organization-defined compelling operational needs.','The organization being inspected/assessed defines and documents the privileged commands to which network access is to be authorized only for organization-defined compelling operational needs.\n \nDoD has determined the privileged commands are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented privileged commands to ensure the organization being inspected/assessed defines the privileged commands to which network access is to be authorized only for organization-defined compelling operational needs.\n \nDoD has determined the privileged commands are not appropriate to define at the Enterprise level.'),(1422,'AC-6','6','The organization prohibits privileged access to the information system by non-organizational users.','The organization being inspected/assessed implements as a step in the access authorization process, a check to prohibit privileged access to the information system by non-organizational users.','The organization conducting the inspection/assessment obtains and examines the access authorization process as well as a sampling of information system access agreements to ensure that the organization being inspected/assessed prohibits privileged access to the information system by non-organizational users.'),(1423,'AC-7','','The organization defines the time period in which the organization-defined maximum number of consecutive invalid logon attempts occur.','DoD has defined the time period as 15 minutes.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n  \nDoD has defined the time period as 15 minutes.'),(1424,'AC-16','1','The information system dynamically associates security attributes with organization-defined subjects in accordance with organization-defined security policies as information is created and combined.','The organization being inspected/assessed configures the information system to dynamically associates security attributes with the subjects defined in AC-16 (1), CCI 2274 in accordance with the security policies defined in AC-16 (1), CCI 2273 as information is created and combined.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1424.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  dynamically associates security attributes with the subjects defined in AC-16 (1), CCI 2274 in accordance with the security policies defined in AC-16 (1), CCI 2273 as information is created and combined.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1424.'),(1425,'AC-16','2','The information system provides authorized individuals (or processes acting on behalf of individuals) the capability to change the value of associated security attributes.','The organization being inspected/assessed configures the information system to provide authorized individuals (or processes acting on behalf of individuals) the capability to change the value of associated security attributes.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1425.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  provides authorized individuals (or processes acting on behalf of individuals) the capability to change the value of associated security attributes.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1425.'),(1428,'AC-16','5','The information system displays security attributes in human readable form on each object that the system transmits to output devices to identify organization-identified special dissemination, handling, or distribution instructions using organization-identified human readable, standard naming conventions.','The organization being inspected/assessed configures the information system to display security attributes in human readable form on each object that the system transmits to output devices to identify special dissemination, handling, or distribution instructions defined in AC-16 (5), CCI 1429 using human readable, standard naming conventions defined in AC-16 (5), CCI 1430.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1428.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  display security attributes in human readable form on each object that the system transmits to output devices to identify special dissemination, handling, or distribution instructions defined in AC-16 (5), CCI 1429 using human readable, standard naming conventions defined in AC-16 (5), CCI 1430.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1428.'),(1429,'AC-16','5','The organization identifies special dissemination, handling, or distribution instructions for identifying security attributes on output.','DoD has defined the instructions as for instructions relating to classification,  special dissemination, handling, or distribution instructions IAW DODI 5200.1R; for SCI and SAP, IAW Controlled Access Program Coordination Office (CAPCO) register.  For all other instructions, not appropriate to define at the Enterprise level.\n \nThe organization being inspected/assessed defines and documents special dissemination, handling, or distribution instructions not relating to classification, for identifying security attributes on output.','DoD has defined the instructions as for instructions relating to classification,  special dissemination, handling, or distribution instructions IAW DODI 5200.1R; for SCI and SAP, IAW Controlled Access Program Coordination Office (CAPCO) register.  For all other instructions, not appropriate to define at the Enterprise level.\n \nThe organization conducting the inspection/assessment obtains and examines the documented instructions not relating to classification to ensure the organization being inspected/assessed  identifies special dissemination, handling, or distribution instructions for identifying security attributes on output.'),(1430,'AC-16','5','The organization identifies human readable, standard naming conventions for identifying security attributes on output.','DoD has defined the human readable, standard naming conventions for security attributes relating to classification as human readable, standard naming conventions IAW DODI 5200.1R; for TS SCI, IAW Controlled Access Program Coordination Office (CAPCO) register. For all other security attributes, not appropriate to define at the Enterprise level.\n \nThe organization  being inspected/assessed defines and documents all other security attributes not relating to classification.','DoD has defined the human readable, standard naming conventions for security attributes relating to classification as human readable, standard naming conventions IAW DODI 5200.1R; for TS SCI, IAW Controlled Access Program Coordination Office (CAPCO) register. For all other security attributes, not appropriate to define at the Enterprise level.\n \nThe organization conducting the inspection/assessment obtains and examines the documented security attributes not relating to classification to ensure the organization being inspected/assessed identifies human readable, standard naming conventions for identifying security attributes on output.'),(1438,'AC-18','','The organization establishes usage restrictions for wireless access.','The organization being inspected/assessed establishes and documents  usage restrictions for wireless access.','The organization conducting the inspection/assessment obtains and examines documented usage restrictions to ensure the organization being inspected/assessed establishes usage restrictions for wireless access.'),(1439,'AC-18','','The organization establishes implementation guidance for wireless access.','The organization being inspected/assessed establishes and documents implementation guidance for wireless access.','The organization conducting the inspection/assessment obtains and examines the documented  implementation guidance to ensure the organization being inspected/assessed establishes implementation guidance for wireless access.'),(1441,'AC-18','','The organization authorizes wireless access to the information system prior to allowing such connections.','The organization being inspected/assessed authorizes wireless access to the information system prior to allowing such connections.\n \nThe organization must maintain an audit trail of authorizations.','The organization conducting the inspection/assessment obtains and examines the audit trail of authorizations to ensure the organization being inspected/assessed authorizes wireless access to the information system prior to allowing such connections.'),(1443,'AC-18','1','The information system protects wireless access to the system using authentication of users and/or devices.','The organization being inspected/assessed configures the information system to protect wireless access to the system using authentication of users and/or devices.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1443.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to protect wireless access to the system using authentication of users and/or devices.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1443.'),(1444,'AC-18','1','The information system protects wireless access to the system using encryption.','The organization being inspected/assessed configures the information system to protect wireless access to the system using encryption.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1444.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to protect wireless access to the system using encryption.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1444.'),(1449,'AC-18','3','The organization disables, when not intended for use, wireless networking capabilities internally embedded within information system components prior to issuance and deployment.','The organization being inspected/assessed documents and implements a process to disable wireless networking capabilities internally embedded within information system components prior to issuance and deployment when not intended for use.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed disables, when not intended for use, wireless networking capabilities internally embedded within information system components prior to issuance and deployment.\n \nThe organization conducting the inspection/assessment obtains and examines a sampling of information systems to ensure that any internally embedded wireless networking capabilities are disabled unless a documented need exists.'),(1451,'AC-18','5','The organization selects radio antennas and calibrates transmission power levels to reduce the probability that usable signals can be received outside of organization-controlled boundaries.','The organization being inspected/assessed documents and implements a process to select radio antennas and calibrate transmission power levels to reduce the probability that usable signals can be received outside of organization-controlled boundaries.','The organization conducting the inspection/assessment obtains and examines the documentation from radio antenna installation to ensure that the organization being inspected/assessed selects radio antennas and calibrates transmission power levels to reduce the probability that usable signals can be received outside of organization-controlled boundaries.'),(1453,'AC-17','2','The information system implements cryptographic mechanisms to protect the integrity of remote access sessions.','The organization being inspected/assessed configures the information system to  implement cryptographic mechanisms to protect the integrity of remote access sessions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1453.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  implement cryptographic mechanisms to protect the integrity of remote access sessions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1453.'),(1458,'AC-19','4','The organization requires that if classified information is found on mobile devices, the incident handling policy is followed.','The organization being inspected/assessed documents and implements a process to  require that if classified information is found on mobile devices, the incident handling policy is followed.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed requires that if classified information is found on mobile devices, the incident handling policy is followed.'),(1459,'AU-12','','The organization defines information system components that provide audit record generation capability.','DoD has defined the information system components as all information system and network components.','DoD has defined the information system components as all information system and network components.'),(1460,'AU-13','','The organization monitors organization-defined open source information and/or information sites per organization-defined frequency for evidence of unauthorized exfiltration or disclosure of organizational information.','The organization being inspected/assessed documents and implements a process to monitor open source information and/or information sites defined in AU-13, CCI 1915 for evidence of unauthorized exfiltration or disclosure of organizational information on a  frequency defined in AU-13, CCI 1461.  \n \nThe organization must maintain an audit trail of monitoring activity.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of monitoring activity to ensure the organization being inspected/assessed monitors open source information and/or information sites defined in AU-13, CCI 1915 for evidence of unauthorized exfiltration or disclosure of organizational information on a  frequency defined in AU-13, CCI 1461.'),(1461,'AU-13','','The organization defines a frequency for monitoring open source information and/or information sites for evidence of unauthorized exfiltration or disclosure of organizational information.','The organization being inspected/assessed defines and documents the frequency for monitoring open source information and/or information sites for evidence of unauthorized exfiltration or disclosure of organizational information.\n  \nDoD has determined that the frequency should be defined at the Component level, not appropriate to define at the Enterprise level. Note:  The value in this control may not be used to deny reciprocal acceptance of a C&A (A&A) package.','The organization conducting the inspection/assessment obtains and examines the documented frequency to ensure the organization being inspected/assessed defines  the  frequency for monitoring open source information and/or information sites for evidence of unauthorized exfiltration or disclosure of organizational information.\n   \nDoD has determined that the frequency should be defined at the Component level, not appropriate to define at the Enterprise level. Note:  The value in this control may not be used to deny reciprocal acceptance of a C&A (A&A) package.'),(1462,'AU-14','2','The information system provides the capability for authorized users to capture/record and log content related to a user session.','The organization being inspected/assessed configures the information system to provide the capability for authorized users to capture/record and log content related to a user session.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1462.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to provide the capability for authorized users to capture/record and log content related to a user session.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1462.'),(1464,'AU-14','1','The information system initiates session audits at system start-up.','The organization being inspected/assessed configures the information system to initiate session audits at system start-up.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1464.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to initiate session audits at system start-up.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1464.'),(1470,'AC-21','','The organization defines information sharing circumstances where user discretion is required.','The organization being inspected/assessed defines and documents information sharing circumstances where user discretion is required.\n \nDoD has determined the information sharing circumstances are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information sharing circumstances to ensure the organization being inspected/assessed defines information sharing circumstances where user discretion is required. \n \nDoD has determined the information sharing circumstances are not appropriate to define at the Enterprise level.'),(1471,'AC-21','','The organization employs organization-defined automated mechanisms or manual processes required to assist users in making information sharing/collaboration decisions.','The organization being inspected/assessed implements the process defined in AC-21, CCI 1472 to assist users in making information sharing/collaboration decisions.','The organization conducting the inspection/assessment obtains and examines the documented process defined per AC-21, CCI 1472 to ensure the organization being inspected/assessed assists users in making information sharing/collaboration decisions.'),(1472,'AC-21','','The organization defines the automated mechanisms or manual processes required to assist users in making information sharing/collaboration decisions.','The organization being inspected/assessed defines and documents the automated mechanisms or manual processes required to assist users in making information sharing/collaboration decisions.\n \nDoD has determined the automated mechanisms or manual processes are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented automated mechanisms to ensure the organization being inspected/assessed defines the automated mechanisms or manual processes required to assist users in making information sharing/collaboration decisions.\n \nDoD has determined the automated mechanisms or manual processes are not appropriate to define at the Enterprise level.'),(1473,'AC-22','','The organization designates individuals authorized to post information onto a publicly accessible information system.','The organization being inspected/assessed identifies and documents individuals authorized to post information onto a publicly accessible information system.','The organization conducting the inspection/assessment obtains and examines the list of individuals to ensure the organization being inspected/assessed  designates individuals authorized to post information onto a publicly accessible information system.'),(1474,'AC-22','','The organization trains authorized individuals to ensure that publicly accessible information does not contain nonpublic information.','The organization being inspected/assessed documents and implements a process to train  authorized individuals to ensure that publicly accessible information does not contain nonpublic information.\n \nThe organization must maintain an audit trail of the training conducted.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of the training conducted to ensure the organization being inspected/assessed trains authorized individuals to ensure that publicly accessible information does not contain nonpublic information.'),(1475,'AC-22','','The organization reviews the proposed content of information prior to posting onto the publicly accessible information system to ensure that nonpublic information is not included.','The organization being inspected/assessed','The organization conducting the inspection/assessment obtains and examines'),(1476,'AC-22','','The organization reviews the content on the publicly accessible information system for nonpublic information on an organization-defined frequency.','The organization being inspected/assessed documents and implements a process to review the content on the publicly accessible information system for nonpublic information on an organization-defined frequency.\n \nThe organization must maintain an audit trail of reviews.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of reviews to ensure the organization being inspected/assessed reviews the content on the publicly accessible information system for nonpublic information on an organization-defined frequency.'),(1477,'AC-22','','The organization defines a frequency for reviewing the content on the publicly accessible information system for nonpublic information.','DoD has defined the frequency as every 90 days or as new information is posted.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as every 90 days or as new information is posted.'),(1478,'AC-22','','The organization removes nonpublic information from the publicly accessible information system, if discovered.','The organization being inspected/assessed documents and implements a process to remove nonpublic information from the publicly accessible information system, if discovered.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed removes nonpublic information from the publicly accessible information system, if discovered.'),(1479,'AT-2','','The organization provides refresher security awareness training to all information system users (including managers, senior executives, and contractors) in accordance with the organization-defined frequency.','DoDD 8570.01 meets the DoD requirement for IA awareness training policy and procedures.  DISA\'s DoD IA awareness CBT is the DoD baseline standard. \n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDD 8570.01.\n ','DoDD 8570.01 meets the DoD requirement for IA awareness training policy and procedures.  DISA\'s DoD IA awareness CBT is the DoD baseline standard. \n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDD 8570.01.\n '),(1480,'AT-2','','The organization defines the frequency for providing refresher security awareness training to all information system users (including managers, senior executives, and contractors).','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level (DoDD 8570.01). \n \nDoD has defined the frequency as annually.'),(1481,'AT-3','1','The organization provides organization-defined personnel or roles with initial training in the employment and operation of environmental controls.','The organization being inspected/assessed:\n1. Identifies and documents environmental controls that require training. \n2. Identifies the personnel defined in AT-3 (1), CCI 2050\n3. Ensures designated personnel receive this training.\n4. Maintains and monitors records of personnel who have received this training.','The organization conducting the inspection/assessment obtains and examines:\n1. Documentation of environmental controls that require training.   \n2. Documented list of personnel defined in AT-3 (1), CCI 2050\n3. Ensures identified personnel have received the initial training.'),(1482,'AT-3','1','The organization provides organization-defined personnel or roles with refresher training in the employment and operation of environmental controls in accordance with the organization-defined frequency.','The organization being inspected/assessed:\n1. Identifies and documents environmental controls that require training. \n2. Identifies the personnel defined in AT-3 (1), CCI 2050\n3. Ensures designated personnel receive this training annually\n4. Maintains and monitors records of personnel who have received this training.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines:  1. Documentation of environmental controls that require training.   \n2. Documented list of personnel defined in AT-3 (1), CCI 2050\n3. Ensures identified personnel have received training annually.\n \nDoD has defined the frequency as annually.'),(1483,'AT-3','1','The organization defines a frequency for providing employees with refresher training in the employment and operation of environmental controls.','DoD has defined the frequency as annual.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the frequency as annual.'),(1484,'AU-2','','The organization defines frequency of (or situation requiring) auditing for each identified event.','DoD has defined the frequency as all auditable events defined in AU-2 (a) per occurrence.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as all auditable events defined in AU-2 (a) per occurrence.'),(1485,'AU-2','','The organization defines the events which are to be audited on the information system on an organization-defined frequency of (or situation requiring) auditing for each identified event.','The organization being inspected/assessed defines and documents events which are to be audited on the information system.  Events should be selected from the events the information system is capable of auditing as defined in AU-2 (a) and should be based on ongoing risk assessments of current threat information and environment.  \n \nDoD has determined that the events are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines \nthe documented list of events which are to be audited on the information system to ensure those events have been defined.\n \nDoD has determined that the events are not appropriate to define at the Enterprise level.'),(1486,'AU-2','3','The organization defines a frequency for reviewing and updating the list of organization-defined auditable events.','DoD has defined the frequency as annually or more frequently upon changes to situational awareness of threats or vulnerabilities.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually or more frequently upon changes to situational awareness of threats or vulnerabilities.'),(1487,'AU-3','','The information system generates audit records containing information that establishes the identity of any individuals or subjects associated with the event.','The organization being inspected/assessed configures the information system to generate audit records containing information that establishes the identity of any individuals or subjects associated with the event.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1487.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to generate audit records containing information that establishes the identity of any individuals or subjects associated with the event.  The organization conducting the inspection/assessment reviews the audit records generated to ensure that the records contain  information that establishes the identity of any individuals or subjects associated with the event.\n \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1487.'),(1488,'AU-3','1','The organization defines additional, more detailed information to be included in the audit records.','The organization being inspected/assessed defines and documents additional, more detailed information to be included in the audit records.  The additional information must include at a minimum, full-text recording of privileged commands or the individual identities of group account users.  The additional information must provide sufficient detail to reconstruct events to determine cause of compromise and magnitude of damage, malfunction, or security violation.\n \nDoD has determined that additional, more detailed information must include, at a minimum, full-text recording of privileged commands or the individual identities of group account users.   DoD has determined that all additional, more detailed information is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented list of additional more detailed information to be included in the audit records to ensure that:\n1. The list is defined; and\n2. The list includes full-text recording of privileged commands or the individual identities of group account users.\n \nDoD has determined that additional, more detailed information must include, at a minimum, full-text recording of privileged commands or the individual identities of group account users.   DoD has determined that it is not appropriate to define at the Enterprise level.'),(1490,'AU-5','','The organization defines actions to be taken by the information system upon audit failure (e.g., shut down information system, overwrite oldest audit records, stop generating audit records).','The organization being inspected/assessed will define and document actions to be taken by the information system upon audit failure.  The organization shall consider trade-offs between the needs for system availability and audit integrity when defining the actions.\n \nUnless availability is an overriding concern, the default action should be to shut down the information system.\n \nDoD has determined that the actions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented actions to ensure the organization being inspected/assessed has defined the actions to be taken by the information system upon audit failure.\n \nDoD has determined that the actions are not appropriate to define at the Enterprise level.'),(1491,'AU-6','6','The organization correlates information from audit records with information obtained from monitoring physical access to further enhance the ability to identify suspicious, inappropriate, unusual, or malevolent activity.','The organization being inspected/assessed will document and implement a process to correlate information from audit records with information obtained from monitoring physical access to further enhance the ability to identify suspicious, inappropriate, unusual, or malevolent activity.','The organization conducting the inspection/assessment obtains and examines the documented process and correlated results to ensure the organization being inspected/assessed correlates information from audit records with information obtained from monitoring physical access to further enhance the ability to identify suspicious, inappropriate, unusual, or malevolent activity.'),(1492,'AU-8','1','The organization defines an authoritative time source for the synchronization of internal information system clocks.','DoD has defined the authoritative time source as an authoritative time server  which is synchronized with redundant United States Naval Observatory (USNO) time servers as designated for the appropriate DoD network (NIPRNet / SIPRNet) and/or the Global Positioning System (GPS).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the authoritative time source as an authoritative time server  which is synchronized with redundant United States Naval Observatory (USNO) time servers as designated for the appropriate DoD network (NIPRNet / SIPRNet) and/or the Global Positioning System (GPS).'),(1493,'AU-9','','The information system protects audit tools from unauthorized access.','The organization being inspected/assessed configures the information system to disallow unauthorized access to audit tools.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1493.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to disallow unauthorized access to audit tools.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1493.'),(1494,'AU-9','','The information system protects audit tools from unauthorized modification.','The organization being inspected/assessed configures the information system to disallow unauthorized modification of audit tools.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1494.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to disallow unauthorized modification of audit tools.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1494.'),(1495,'AU-9','','The information system protects audit tools from unauthorized deletion.','The organization being inspected/assessed configures the information system to disallow unauthorized deletion of audit tools.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1495.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to disallow unauthorized deletion of audit tools.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1495.'),(1496,'AU-9','3','The information system implements cryptographic mechanisms to protect the integrity of audit tools.','The organization being inspected/assessed configures the information system to implement cryptographic mechanisms to protect the integrity of audit tools.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1496.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to implement cryptographic mechanisms to protect the integrity of audit tools.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1496.'),(1497,'CM-2','1','The organization defines a frequency for the reviews and updates to the baseline configuration of the information system.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(1498,'CM-3','1','The organization defines a time period after which proposed changes to the information system that have not been approved or disapproved are highlighted.','DoD has defined the time period as 7 days.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as 7 days.'),(1499,'CM-5','6','The organization limits privileges to change software resident within software libraries.','The organization being inspected/assessed documents and implements a process to limit privileges to accounts authorized to change software resident within software libraries.  \n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1499.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed limits privileges to change software resident within software libraries.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1499.'),(1502,'CM-6','','The organization monitors changes to the configuration settings in accordance with organizational policies and procedures.','The organization being inspected/assessed develops and documents a process for monitoring changes to the configuration settings in accordance with organizational policies and procedures.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed monitors changes to the configuration settings in accordance with organizational policies and procedures.'),(1503,'CM-6','','The organization controls changes to the configuration settings in accordance with organizational policies and procedures.','The organization being inspected/assessed develops and documents a process for controlling changes to the configuration settings in accordance with organizational policies and procedures.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed controls changes to the configuration settings in accordance with organizational policies and procedures.'),(1504,'PS-1','','The organization develops and documents a personnel security policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','DoD 5200.2-R meets the DoD requirements for personnel security policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoD 5200.2-R.','DoD 5200.2-R meets the DoD requirements for personnel security policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoD 5200.2-R.'),(1505,'PS-1','','The organization disseminates a personnel security policy to organization-defined personnel or roles.','DoD 5200.2-R meets the DoD requirements for personnel security policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoD 5200.2-R.','DoD 5200.2-R meets the DoD requirements for personnel security policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoD 5200.2-R.'),(1506,'PS-1','','The organization reviews and updates the current personnel security policy in accordance with organization-defined frequency.','DoD 5200.2-R meets the DoD requirements for personnel security policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoD 5200.2-R.','DoD 5200.2-R meets the DoD requirements for personnel security policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoD 5200.2-R.'),(1507,'PS-1','','The organization defines the frequency to review and update the current personnel security policy.','DoD has defined the frequency as every 5 years.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as every 5 years.'),(1508,'PS-1','','The organization defines the frequency to review and update the current personnel security procedures.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(1509,'PS-1','','The organization develops and documents procedures to facilitate the implementation of the personnel security policy and associated personnel security controls.','DoD 5200.2-R meets the DoD requirements for personnel security policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoD 5200.2-R.','DoD 5200.2-R meets the DoD requirements for personnel security policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoD 5200.2-R.'),(1510,'PS-1','','The organization disseminates personnel security procedures to organization-defined personnel or roles.','DoD 5200.2-R meets the DoD requirements for personnel security policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoD 5200.2-R.','DoD 5200.2-R meets the DoD requirements for personnel security policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoD 5200.2-R.'),(1511,'PS-1','','The organization reviews and updates the current personnel security procedures in accordance with organization-defined frequency.','DoD 5200.2-R meets the DoD requirements for personnel security policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoD 5200.2-R.','DoD 5200.2-R meets the DoD requirements for personnel security policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoD 5200.2-R.'),(1512,'PS-2','','The organization assigns a risk designation to all organizational positions.','The organization being inspected/assessed will designate and document all organizational positions, to include government and contract positions, with the appropriate ADP/IT level designation, IAW DoD 5200.2-R.','The organization conducting the inspection/assessment obtains and examines documentation of the ADP/IT level designations.'),(1513,'PS-2','','The organization establishes screening criteria for individuals filling organizational positions.','DoD 5200.2-R meets the DoD requirements for establishing screening criteria for individuals filling organizational positions.\n \nDoD organizations are automatically compliant with this control as they are covered at the DoD level by DoD 5200.2-R.','DoD 5200.2-R meets the DoD requirements for establishing screening criteria for individuals filling organizational positions.\n \nDoD organizations are automatically compliant with this control as they are covered at the DoD level by DoD 5200.2-R.'),(1514,'PS-2','','The organization reviews and updates position risk designations in accordance with organization-defined frequency.','The organization being inspected/assessed reviews position risk designations annually and revises designations as required based on the reviews.  \n \nRecords of these reviews must be maintained as an audit trail.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment reviews the audit records of the position designation reviews to ensure reviews are done annually.\n \nDoD has defined the frequency as annually.'),(1515,'PS-2','','The organization defines the frequency  to review and update position risk designations.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(1516,'PS-3','','The organization screens individuals prior to authorizing access to the information system.','The organization being inspected/assessed will screen all government and contract personnel to ensure they meet the appropriate ADP/IT level designation requirements IAW DoD 5200.2-R prior to authorizing access to the information system.','The organization conducting the inspection/assessment obtains and examines the information system access list (AC-2) and compares a sampling of authorized users to manning documents (PS-2) to ensure access was granted appropriately IAW ADP/IT level designation requirements within DoD 5200.2-R.'),(1517,'PS-3','','The organization rescreens individuals with authorized access to the information system according to organization-defined conditions requiring rescreening, and where rescreening is so indicated, the organization-defined frequency of such rescreening.','The information system owner will rescreen individuals according to system owner defined list of conditions requiring rescreening (CCI-001518) individuals for access to the information system and frequency (CCI - 001519) of such rescreening.\n \nRescreening actions will be maintained as an audit trail (AU-2).','The organization conducting the inspection/assessment obtains and examines audit records of rescreening actions to ensure the system owner is rescreening individuals according to a system owner-defined list of conditions requiring rescreening and, where re-screening is so indicated, based on the system owner-defined frequency of such rescreening.'),(1518,'PS-3','','The organization defines the conditions requiring rescreening of individuals with authorized access to the information system.','The information system owner will develop and document the list of conditions requiring  rescreening individuals for access to the information system.\n \nDoD has determined the list of conditions is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documentation of conditions requiring rescreening of individuals for access to the information system.\n \nDoD has determined the list of conditions is not appropriate to define at the Enterprise level.'),(1519,'PS-3','','The organization defines the frequency for rescreening individuals with authorized access to the information system when organization-defined conditions requiring rescreening are met.','The information system owner will define and document the required frequency of rescreening for access to the information system.\n \nDoD has determined the frequency is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documentation defining the required frequency for rescreening individuals for access to the system.\n \nDoD has determined the frequency is not appropriate to define at the Enterprise level.'),(1520,'PS-3','1','The organization ensures that individuals  accessing an information system processing, storing, or transmitting classified information are cleared and indoctrinated to the highest classification level of the information to which they have access on the system.','The organization being inspected/assessed ensures that individuals accessing an information system processing, storing, or transmitting classified information are cleared and indoctrinated to the highest classification level of the information to which they have access on the system.','The organization conducting the inspection/assessment obtains and examines security clearance data for all individuals using the classified information system and the system account list (AC-2) and compares lists to ensure all personnel accessing the system are cleared and indoctrinated to the highest classification level of the information to which they have access on the system.'),(1521,'PS-3','2','The organization ensures that individuals accessing an information system processing, storing, or transmitting types of classified information which require formal indoctrination, are formally indoctrinated for all of the relevant types of information to which they have access on the system.','The organization being inspected/assessed ensures that individuals accessing an information system processing, storing, or transmitting types of classified information (e.g. Special Access Programs (SAP), Restricted Data (RD), and Sensitive Compartmented Information (SCI)) which require formal indoctrination, is formally indoctrinated for all of the relevant types of information to which they have access on the system.','The organization conducting the inspection/assessment obtains and examines security clearance data for all individuals using the classified information system and the system account list (AC-2) and compares lists to ensure all personnel accessing the system are formally indoctrinated for all of the relevant types of information to which they have access on the system.'),(1522,'PS-4','','The organization, upon termination of individual employment, disables information system access within organization-defined time period.','The organization being inspected/assessed   upon termination of  individual employment, terminates information system access immediately and IAW organization security policy and procedures.  The organization must retain an audit trail of account termination actions (AU-2).\n \nDoD has defined the time period as immediately.','The organization conducting the inspection/assessment obtains and examines organizational security policy and procedures documentation and audit records of account termination actions to ensure account termination actions are conducted immediately and IAW organizational security policy and procedures.\n \nDoD has defined the time period as immediately.'),(1523,'PS-4','','The organization, upon termination of individual employment, conducts exit interviews that include a discussion of organization-defined information security topics.','The organization being inspected/assessed, conducts exit interviews that include a discussion of information security topics defined in PS-4, CCI 3024 upon termination of individual employment IAW organization security policy and procedures.  The organization must retain an audit trail of conducted exit interviews (AU-2)','The organization conducting the inspection/assessment obtains and examines documentation of departed personnel and the audit trail of conducted exit interviews to ensure all departed personnel had exit interviews conducted that include a discussion of information security topics defined in PS-4, CCI 3024.'),(1524,'PS-4','','The organization, upon termination of individual employment, retrieves all security-related organizational information systems-related property.','The organization being inspected/assessed  upon termination of individual employment retrieves all security-related organizational information systems-related property IAW organization security policy and procedures.  The organization must retain an audit trail of all retrieved security-related organizational information systems-related property (AU-2).','The organization conducting the inspection/assessment obtains and examines appropriate organization security-related organizational information systems-related property documentation/logs and compares to audit trail of all retrieved security-related organizational information systems-related property (AU-2) to ensure all property has been retrieved.'),(1525,'PS-4','','The organization, upon termination of individual employment, retains access to organizational information formerly controlled by terminated individual.','The organization being inspected/assessed  upon termination of individual employment retains access to organizational information formerly controlled by terminated individual IAW organization security policy and procedures. \n \nOrganizational information formerly controlled by terminated individuals generally refers to online work-product including email files.','The organization conducting the inspection/assessment interviews appropriate IT and security personnel to validate the organization has procedures in place which, upon termination of individual\'s employment, will ensure it retains access to organizational information formerly controlled by the terminated individual.'),(1526,'PS-4','','The organization, upon termination of individual employment, retains access to organizational information systems formerly controlled by terminated individual.','The organization being inspected/assessed  upon termination of individual employment retains access to organizational information systems formerly controlled by terminated individual IAW organization security policy and procedures. \n \nOrganizational information systems formerly controlled by terminated individuals generally refers to issued hardware (e.g. laptops, BlackBerrys, PEDs, removable media, etc.)','The organization conducting the inspection/assessment interviews appropriate IT and security personnel to validate the organization has procedures in place which, upon termination of individual\'s employment, will ensure it retains access to organizational information systems formerly controlled by the terminated individual.'),(1527,'PS-5','','The organization reviews and confirms ongoing operational need for current logical and physical access authorizations to information systems/facilities when individuals are reassigned or transferred to other positions within the organization.','The organization being inspected/assessed   reviews and confirms ongoing operational need for logical and physical access authorizations to information systems/facilities when individuals are reassigned or transferred to other positions within the organization.\n \nThe organization must maintain an audit trail of reviews.','The organization conducting the inspection/assessment obtains and examines the audit trail of reviews to ensure that the organization has confirmed the ongoing operational need for logical and physical access authorizations to information systems/facilities when individuals are reassigned or transferred to other positions within the organization.'),(1528,'PS-5','','The organization initiates organization-defined transfer or reassignment actions within an organization-defined time period following the formal personnel transfer action.','The organization being inspected/assessed initiates transfer or reassignment actions to ensure all system accesses no longer required are removed and actions to ensure all system accesses required due to the individual\'s new position are granted immediately when personnel are reassigned or transferred to other positions.\n \nDoD defines transfer or reassignment actions as actions to ensure all system accesses no longer required are removed.\n \nDoD defines the time period as immediately.','The organization conducting the inspection/assessment obtains and examines appropriate organization security-related organizational physical and logical access documentation/logs and compares to transferred personnel documentation to ensure appropriate logical and physical access have been revoked for previous positions and granted for new positions immediately. \n \nDoD defines the time period as immediately.'),(1529,'PS-5','','The organization defines transfer or reassignment actions to initiate within an organization-defined time period following the formal personnel transfer action.','DoD defines transfer or reassignment actions as actions to ensure all system accesses no longer required are removed.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD defines transfer or reassignment actions as actions to ensure all system accesses no longer required are removed.'),(1530,'PS-5','','The organization defines the time period within which the organization initiates organization-defined transfer or reassignment actions, following the formal personnel transfer action.','DoD defines the time period as immediately.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD defines the time period as immediately.'),(1531,'PS-6','','The organization ensures that individuals requiring access to organizational information and information systems sign appropriate access agreements prior to being granted access.','The organization being inspected/assessed will ensure all individuals have appropriate access agreements in place prior to being granted access to information and information systems.\n \nDD Form 2875 is the accepted DoD methodology of requesting and granting of access to information and information systems.','The organization conducting the inspection/assessment obtains a list of organizational individuals with active accounts and validates the existence of signed DD Form 2875 (paper or electronic) associated with a sampling of individuals selected from the list.'),(1532,'PS-6','','The organization reviews and updates the access agreements in accordance with organization-defined frequency.','The organization being inspected/assessed reviews/updates the access agreements annually of employees who have signed access agreements.  The purpose of this review/update is to ensure access agreements are current and departed employees no longer have access agreements.\n \nThe organization must maintain an audit trail of the review and update activity for review.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines the audit trail to ensure review/update occurred annually and departed employees no longer have valid access agreements.'),(1533,'PS-6','','The organization defines the frequency to review and update the access agreements.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(1536,'PS-6','2','The organization ensures that access to classified information requiring special protection is granted only to individuals who have a valid access authorization that is demonstrated by assigned official government duties.','The organization being inspected/assessed will grant access to classified information requiring special protection only to individuals who have a valid access authorization that is demonstrated by assigned official government duties.\n \nDD Form 2875 is the accepted DoD methodology of requesting and granting of access to information and information systems.','The organization conducting the inspection/assessment obtains a list of organizational individuals with active accounts and validates the existence of signed DD Form 2875 (paper or electronic) associated with individuals requiring access to classified information with special protection.'),(1537,'PS-6','2','The organization ensures that access to classified information requiring special protection is granted only to individuals who satisfy associated personnel security criteria.','The organization being inspected/assessed ensures all authorized access to classified information requiring special protection  is granted only to those individuals who have satisfied the associated personnel security criteria.\n \nDD Form 2875 is the accepted DoD methodology of requesting and granting of access to information and information systems.','The organization conducting the inspection/assessment reviews access agreements; access authorizations; personnel security criteria; along with other relevant documents or records to ensure the organization has granted authorized access to classified information requiring special protection  only to those individuals who have satisfied the associated personnel security criteria.'),(1538,'PS-6','2','The organization ensures that access to classified information requiring special protection is granted only to individuals who have read, understood, and signed a nondisclosure agreement.','The organization being inspected/assessed grants access to classified information  requiring special protection only to individuals who have read, understood, and signed a nondisclosure agreement.','The organization conducting the inspection/assessment obtains and examines the access roster and requests the signed nondisclosure agreements of a sampling of individuals to validate the organization requires all access to classified information requiring special protection is granted only to individuals who have a signed nondisclosure agreement.'),(1539,'PS-7','','The organization establishes personnel security requirements including security roles and responsibilities for third-party providers.','DoD 5220.22-M, DoD 5220.22-R, DoD 5200.2-R, DoD 8570.01-M and DoDI 3020.41 meet the DoD personnel security requirements including security roles and responsibilities for third-party providers.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoD 5220.22-M, DoD 5220.22-R, DoD 5200.2-R, DoD 8570.01-M and DoDI 3020.41.','DoD 5220.22-M, DoD 5220.22-R, DoD 5200.2-R, DoD 8570.01-M and DoDI 3020.41 meet the DoD personnel security requirements including security roles and responsibilities for third-party providers.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policies, DoD 5220.22-M, DoD 5220.22-R, DoD 5200.2-R, DoD 8570.01-M and DoDI 3020.41.'),(1540,'PS-7','','The organization documents personnel security requirements for third-party providers.','The organization being inspected/assessed documents personnel security requirements for third-party providers.','The organization conducting the inspection/assessment obtains and examines the personnel security requirements to ensure the organization being inspected/assessed documents personnel security requirements for third-party providers.'),(1541,'PS-7','','The organization monitors third-party provider compliance with personnel security requirements.','The organization being inspected/assessed monitors third-party provider compliance with personnel security requirements.\n \nThe organization must maintain an audit trail of monitoring activity.','The organization conducting the inspection/assessment obtains and examines the audit trail of monitoring activity to ensure the organization being inspected/assessed monitors third-party provider compliance with personnel security requirements.'),(1542,'PS-8','','The organization employs a formal sanctions process for individuals failing to comply with established information security policies and procedures.','The organization being inspected/assessed will develop formal procedures within the organizational security policy to employ formal sanctions for personnel failing to comply with established information security policies and procedures.','The organization conducting the inspection/assessment obtains and examines the organizational security policy to ensure it addresses formal procedures for sanctions and interviews security personnel to validate the organization employs a formal sanctions process for personnel failing to comply with established information security policies and procedures.'),(1544,'IA-5','','The organization manages information system authenticators by ensuring that authenticators have sufficient strength of mechanism for their intended use.','The organization being inspected/assessed documents and implements authenticator strength mechanisms sufficient for the intended use of the authenticators.','The organization conducting the inspection/assessment obtains and examines documented authenticator strength mechanisms to ensure that they are defined and that the mechanisms have sufficient strength for the intended use of the authenticators.'),(1545,'AC-1','','The organization defines a frequency for reviewing and updating the access control policy.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(1546,'AC-1','','The organization defines a frequency for reviewing and updating the access control procedures.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(1547,'AC-2','','The organization defines the frequency on which it will review information system accounts for compliance with account management requirements.','DoD has defined the frequency as at a minimum, annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as at a minimum, annually.'),(1548,'AC-4','','The organization defines the information flow control policies for controlling the flow of information within the system.','The organization being inspected/assessed defines and documents the information flow control policies for controlling the flow of information within the system.\n \nDoD has determined the information flow control policies are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information flow control policies to ensure the organization being inspected/assessed  defines the information flow control policies for controlling the flow of information within the system.\n \nDoD has determined the information flow control policies are not appropriate to define at the Enterprise level.'),(1549,'AC-4','','The organization defines the information flow control policies for controlling the flow of information between interconnected systems.','The organization being inspected/assessed defines and documents the information flow control policies for controlling the flow of information between interconnected systems.\n \nDoD has determined the information flow control policies are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information flow control policies to ensure the organization being inspected/assessed  defines the information flow control policies for controlling the flow of information between interconnected systems.\n \nDoD has determined the information flow control policies are not appropriate to define at the Enterprise level.'),(1550,'AC-4','','The organization defines approved authorizations for controlling the flow of information within the system.','The organization being inspected/assessed defines and documents approved authorizations for controlling the flow of information within the system.','The organization conducting the inspection/assessment obtains and examines the documented approved authorizations to ensure the organization being inspected/assessed defines  approved authorizations for controlling the flow of information within the system.'),(1551,'AC-4','','The organization defines approved authorizations for controlling the flow of information between interconnected systems.','The organization being inspected/assessed defines and documents approved authorizations for controlling the flow of information between interconnected systems.','The organization conducting the inspection/assessment obtains and examines the documented approved authorizations to ensure the organization being inspected/assessed defines  approved authorizations for controlling the flow of information between interconnected systems.'),(1553,'AC-4','10','The organization defines the security policy filters that privileged administrators have the capability to enable/disable.','The organization being inspected/assessed defines and documents the  security policy filters that privileged administrators have the capability to enable/disable.\n \nDoD has determined the security policy filters are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security policy filters to ensure the organization being inspected/assessed defines the security policy filters that privileged administrators have the capability to enable/disable.\n \nDoD has determined the security policy filters are not appropriate to define at the Enterprise level.'),(1554,'AC-4','11','The organization defines the security policy filters that privileged administrators have the capability to configure.','The organization being inspected/assessed defines and documents the  security policy filters that privileged administrators have the capability to configure.\n  \nDoD has determined the security policy filters are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security policy filters to ensure the organization being inspected/assessed defines the security policy filters that privileged administrators have the capability to configure.\n \nDoD has determined the security policy filters are not appropriate to define at the Enterprise level.'),(1558,'AC-6','1','The organization defines the security functions (deployed in hardware, software, and firmware) for which access must be explicitly authorized.','DoD has defined the security functions as all functions not publicly accessible.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the security functions as  all functions not publicly accessible.'),(1559,'AC-16','2','The organization identifies the individuals authorized to change the value of associated security attributes.','The organization being inspected/assessed identifies and documents the individuals authorized to change the value of associated security attributes.','The organization conducting the inspection/assessment obtains and examines the documented individuals to ensure the organization being inspected/assessed identifies the individuals authorized to change the value of associated security attributes.'),(1560,'AC-16','4','The organization identifies individuals (or processes acting on behalf of individuals) authorized to associate organization-defined security attributes with organization-defined objects.','The organization being inspected/assessed identifies and documents individuals (or processes acting on behalf of individuals) authorized to associate security attributes defined in AC-16 (4), CCI 2288 with objects defined in AC-16 (4), CCI 2287.','The organization conducting the inspection/assessment obtains and examines the documented individuals to ensure the organization being inspected/assessed identifies individuals (or processes acting on behalf of individuals) authorized to associate security attributes defined in AC-16 (4), CCI 2288 with objects defined in AC-16 (4), CCI 2287.'),(1561,'AC-17','3','The organization defines managed access control points for remote access to the information system.','The organization being inspected/assessed defines and documents managed access control points for remote access to the information system.','The organization conducting the inspection/assessment obtains and examines the documented managed access points to ensure the organization being inspected/assessed defines managed access control points for remote access to the information system.'),(1564,'AT-1','','The organization defines the frequency of security awareness and training policy reviews and updates.','DoD has defined the frequency as every 5 years.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as every 5 years.'),(1565,'AT-1','','The organization defines the frequency of security awareness and training procedure reviews and updates.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(1566,'AT-3','2','The organization provides organization-defined personnel or roles with initial training in the employment and operation of physical security controls.','The organization being inspected/assessed:\n1. Identifies and documents physical security controls that require training. \n2. Identifies the personnel defined in AT-3 (2), CCI 2051\n3. Ensures designated personnel receive this training.\n4. Maintains and monitors records of personnel who have received this training.','The organization conducting the inspection/assessment obtains and examines:\n1. Documentation of physical security controls that require training.   \n2. Documented list of personnel defined in AT-3 (2), CCI 2051\n3. Ensures identified personnel have received the initial training.'),(1567,'AT-3','2','The organization provides organization-defined personnel or roles with refresher training in the employment and operation of physical security controls in accordance with the organization-defined frequency.','The organization being inspected/assessed:\n1. Identifies and documents physical security controls that require training. \n2. Identifies personnel defined in AT-3 (2), CCI 2051\n3. Ensures designated personnel receive this training annually\n4. Maintains and monitors records of personnel who have received this training.\n \nDoD has defined the frequency as annual.','The organization conducting the inspection/assessment obtains and examines:  \n1. Documentation of physical security controls that require training.   \n2. Documented list of personnel defined in AT-3 (2), CCI 2051\n3. Ensures identified personnel have received training annually.\n \nDoD has defined the frequency as annual.'),(1568,'AT-3','2','The organization defines a frequency for providing employees with refresher training in the employment and operation of physical security controls.','DoD has defined the frequency as annual.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the frequency as annual.'),(1569,'AU-1','','The organization defines the frequency on which it will review and update the audit and accountability policy.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(1570,'AU-1','','The organization defines the frequency on which it will review and update the audit and accountability procedures.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(1571,'AU-2','','The organization defines the information system auditable events.','DoD has defined the information system auditable events as successful and unsuccessful attempts to access, modify, or delete privileges, security objects, security levels, or categories of information (e.g. classification levels). Successful and unsuccessful logon attempts, Privileged activities or other system level access, Starting and ending time for user access to the system, Concurrent logons from different workstations, Successful and unsuccessful accesses to objects, All program initiations, All direct access to the information system.  All account creations, modifications, disabling, and terminations. All kernel module load, unload, and restart.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the information system auditable events as successful and unsuccessful attempts to access, modify, or delete privileges, security objects, security levels, or categories of information (e.g. classification levels). Successful and unsuccessful logon attempts, Privileged activities or other system level access, Starting and ending time for user access to the system, Concurrent logons from different workstations, Successful and unsuccessful accesses to objects, All program initiations, All direct access to the information system.  All account creations, modifications, disabling, and terminations. All kernel module load, unload, and restart.'),(1572,'AU-5','','The organization defines the personnel or roles to be alerted in the event of an audit processing failure.','The organization being inspected/assessed defines and documents any personnel or roles, in addition to the SCA and ISSO, who shall be alerted in the event of audit processing failure.  If there are no additional personnel or roles, the organization must also document that.\n \nDoD has defined the personnel or roles as at a minimum, the SCA and ISSO.','The organization conducting the inspection/assessment obtains and examines the documented list of personnel or roles who should be alerted in the event of audit processing failure to ensure the organization being inspected/assessed has either defined additional personnel or roles, or identified that there are no additional personnel or roles.\n  \nDoD has defined the personnel or roles as at a minimum, the SCA and ISSO.'),(1573,'AU-5','3','The organization defines whether to reject or delay network traffic that exceeds organization-defined thresholds.','DoD has defined the action to take as delay.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the action to take as delay.'),(1574,'AU-5','3','The information system rejects or delays, as defined by the organization, network traffic which exceed the organization-defined thresholds.','The organization being inspected/assessed configures the information system to delay network communications traffic exceeding the thresholds defined in AU-5 (3), CCI 1859.\n \nDoD has defined the action to take as delay.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1574.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to delay network communications traffic exceeding the thresholds defined in AU-5 (3), CCI 1859.\n \nDoD has defined the action to take as delay.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1574.'),(1575,'AU-9','2','The organization defines the system or system component for storing audit records that is a different system or system component other than the system or component being audited.','The organization being inspected/assessed defines and documents a system or storage media that will be used to store information system audit data different and separate from the system or media generating the audit data.','The organization conducting the inspection/assessment obtains and examines \nthe information system or media documentation addressing the storage of backups of information system audit records; information system audit records; and any other relevant documents or records.  \n \nThe purpose of the reviews is to ensure the organization has defined and documented a system or storage media different from the system or media being audited.'),(1577,'AU-12','1','The organization defines the information system components from which audit records are to be compiled into the system-wide audit trail.','The organization being inspected/assessed will define and document the information system components from which audit records are to be compiled into the system-wide audit trail.  The organization will periodically update this list to ensure it is current.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the system-wide audit trail documentation to ensure the organization being inspected/assessed maintains a current list of information system components.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.'),(1578,'CA-1','','The organization defines the frequency to review and update the current security assessment and authorization procedures.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(1581,'CA-7','','The organization defines personnel or roles to whom the security status of organization and the information system should be reported.','Future DoD-wide CM guidance to be published','Future DoD-wide CM guidance to be published'),(1582,'CA-2','2','The organization defines other forms of security assessments other than in-depth monitoring; vulnerability scanning; malicious user testing; insider threat assessment and performance/load testing that should be included as part of security control assessments.','The organization being inspected/assessed defines and documents other forms of security assessments other than in-depth monitoring; vulnerability scanning; malicious user testing; insider threat assessment and performance/load testing that should be included as part of security control assessments.\n \nDoD has determined the other forms of security assessments are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented other forms of security assessments to ensure the organization being inspected/assessed defines other forms of security assessments other than in-depth monitoring; vulnerability scanning; malicious user testing; insider threat assessment and performance/load testing that should be included as part of security control assessments.\n \nDoD has determined the other forms of security assessments are not appropriate to define at the Enterprise level.'),(1583,'CA-2','2','The organization selects announced or unannounced assessments  for each form of security control assessments.','The organization being inspected/assessed  selects and documents whether announced or unannounced assessments are required for each form of security control assessment that was selected as part of CA-2 (2), CCI 2064.\n \nDoD has determined the announced or unannounced nature of the assessments is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented list of security control assessment techniques defined in CA-2 (2), CCI 2064 and verifies that the security assessment plan defines whether the assessment is announced or unannounced.'),(1584,'CM-1','','The organization defines the frequency to review and update configuration management procedures.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(1585,'CM-2','1','The organization defines the circumstances that require reviews and updates to the baseline configuration of the information system.','DoD has defined the circumstances as baseline configuration changes or as events dictate  such as changes due to USCYBERCOM tactical orders/ directives or cyber attacks.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the circumstances as baseline configuration changes or as events dictate  such as changes due to USCYBERCOM tactical orders/ directives or cyber attacks.'),(1586,'CM-3','','The organization defines the configuration change control element (e.g., committee, board) responsible for coordinating and providing oversight for configuration change control activities.','DoD has defined the configuration change control element as a configuration control board (CCB).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the configuration change control element as a configuration control board (CCB).'),(1588,'CM-6','','The organization-defined security configuration checklists reflect the most restrictive mode consistent with operational requirements.','DoD security configuration or implementation guidance (e.g. STIGs, SRGs,  NSA configuration guides, CTOs, DTMs etc.) meet the DoD requirement for ensuring security configuration checklists reflect the most restrictive mode consistent with operational requirements.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level security configuration or implementation guidance (e.g. STIGs,  SRGs, NSA configuration guides, CTOs, DTMs etc.).','DoD security configuration or implementation guidance (e.g. STIGs,  SRGs, NSA configuration guides, CTOs, DTMs etc.) meet the DoD requirement for ensuring security configuration checklists reflect the most restrictive mode consistent with operational requirements.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level security configuration or implementation guidance (e.g. STIGs, SRGs, NSA configuration guides, CTOs, DTMs etc.).'),(1592,'CM-7','2','The organization defines the rules authorizing the terms and conditions of software program usage on the information system.','The organization being inspected/assessed defines and documents their rules for approval of software program usage.\n \nFor network capable software programs, the organization being inspected/assessed complies with DoDI 8551.\n \nDoD has determined that the rules authorizing the terms and conditions of software program usage on the information system are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the rules as well as the software list to ensure that all network capable software programs are DoDI 8551 compliant and that the rules authorizing the use of all other programs are defined.\n \nDoD has determined that the rules authorizing the terms and conditions of software program usage on the information system are not appropriate to define at the Enterprise level'),(1596,'CP-1','','The organization defines the frequency to review and update the current contingency planning procedures.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(1597,'CP-1','','The organization disseminates contingency planning procedures to organization-defined personnel or roles.','DoD disseminates DoDI 8500.01 organization-wide via the DoD Issuances website.\nhttp://www.dtic.mil/whs/directives/corres/dir.html\n \nNIST disseminates NIST SP 800-34 via\nhttp://csrc.nist.gov/publications/PubsSPs.html','DoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8500.01  and NIST SP 800-34.'),(1598,'CP-1','','The organization reviews and updates the current contingency planning procedures in accordance with the organization-defined frequency.','DoDI 8500.01 and NIST SP 800-34 meet the DoD requirements for contingency planning policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8500.01 and NIST SP 800-34.','DoDI 8500.01 and NIST SP 800-34 meet the DoD requirements for contingency planning policy and procedures.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8500.01 and NIST SP 800-34.'),(1599,'CP-2','5','The organization sustains operational continuity of essential missions until full information system restoration at primary processing and/or storage sites.','The organization being inspected/assessed develops and documents procedures within the contingency plan to sustain operational continuity of essential missions until full information system restoration at primary processing and/or storage sites.','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure it documents procedures to sustain operational continuity of essential missions until full information system restoration at primary processing and/or storage sites.'),(1600,'CP-2','5','The organization sustains operational continuity of essential business functions until full information system restoration at primary processing and/or storage sites.','The organization being inspected/assessed develops and documents procedures within the contingency plan to sustain operational continuity of essential business functions until full information system restoration at primary processing and/or storage sites.','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure it documents procedures to sustain operational continuity of essential business functions until full information system restoration at primary processing and/or storage sites.'),(1601,'CP-2','6','The organization sustains operational continuity of essential missions at alternate processing and/or storage sites until information system restoration at primary processing and/or storage sites.','The organization being inspected/assessed documents within their continuity plan a process for continuation of essential missions at alternate processing and/or storage sites until information system restoration at primary processing and/or storage sites.','The organization conducting the inspection/assessment obtains and examines the continuity plan to ensure the organization being inspected/assessed documents a process for continuation of essential missions at alternate processing and/or storage sites until information system restoration at primary processing and/or storage sites.'),(1602,'CP-2','6','The organization sustains operational continuity of essential business functions at alternate processing and/or storage sites until information system restoration at primary processing and/or storage sites.','The organization being inspected/assessed documents within their continuity plan a process for continuation of essential business functions at alternate processing and/or storage sites until information system restoration at primary processing and/or storage sites.','The organization conducting the inspection/assessment obtains and examines the continuity plan to ensure the organization being inspected/assessed documents a process for continuation of essential business functions at alternate processing and/or storage sites until information system restoration at primary processing and/or storage sites.'),(1604,'CP-6','3','The organization outlines explicit mitigation actions for organization identified accessibility problems to the alternate storage site in the event of an area-wide disruption or disaster.','The organization being inspected/assessed must identify and document in the contingency plan explicit mitigation actions for  accessibility problems identified in CP-6 (3), CCI 509 to the alternate storage site in the event of an area-wide disruption or disaster.','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure the organization has documented explicit mitigation actions for  accessibility problems identified in CP-6 (3), CCI 509 to the alternate storage site in the event of an area-wide disruption or disaster.'),(1606,'CP-7','2','The organization outlines explicit mitigation actions for organization identified potential accessibility problems to the alternate processing site in the event of an area-wide disruption or disaster.','The organization being inspected/assessed must identify and document in the contingency plan explicit mitigation actions for  accessibility problems identified in CP-7 (2), CCI 517 to the alternate processing site in the event of an area-wide disruption or disaster.','The organization conducting the inspection/assessment obtains and examines the contingency plan to ensure the organization has documented explicit mitigation actions for accessibility problems identified in CP-7 (2), CCI 517 to the alternate processing site in the event of an area-wide disruption or disaster.'),(1609,'CP-9','6','The organization can activate the redundant secondary information system that is not collocated with the primary system without loss of information or disruption to operations.','The organization being inspected/assessed establishes a service level agreement which will provide for redundant secondary system support that is not co-located with the primary system, and has configured the system so that it can be activated to accomplish system backups without a loss of information or operational disruption.','The organization conducting the inspection/assessment determines if the organization has established a service level agreement for a redundant secondary system support that is not co-located with the primary system, and has configured the system so it can be activated to accomplish system backups without a loss of information or operational disruption.'),(1610,'IA-5','','The organization defines the time period (by authenticator type) for changing/refreshing authenticators.','DoD has defined the time period as CAC - every 3 years, or 1 year from term of contract  \nPassword: 60 days  \nBiometrics: every 3 years.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as CAC - every 3 years, or 1 year from term of contract  \nPassword: 60 days  \nBiometrics: every 3 years.'),(1611,'IA-5','1','The organization defines the minimum number of special characters for password complexity enforcement.','DoD has defined the  minimum number of special characters for password complexity enforcement as one special character.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the  minimum number of special characters for password complexity enforcement as one special character.'),(1612,'IA-5','1','The organization defines the minimum number of upper case characters for password complexity enforcement.','DoD has defined the minimum number of upper case characters for password complexity enforcement as one upper-case character.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the minimum number of upper case characters for password complexity enforcement as one upper-case character.'),(1613,'IA-5','1','The organization defines the minimum number of lower case characters for password complexity enforcement.','DoD has defined the minimum number of lower case characters for password complexity enforcement as one lower-case character.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the minimum number of lower case characters for password complexity enforcement as one lower-case character.'),(1614,'IA-5','1','The organization defines the minimum number of numeric characters for password complexity enforcement.','DoD has defined the minimum number of numeric characters for password complexity enforcement as one numeric character.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n\nDoD has defined the minimum number of numeric characters for password complexity enforcement as one numeric character.'),(1615,'IA-5','1','The organization defines the minimum number of characters that are changed when new passwords are created.','DoD has defined the minimum number of characters as 50% of the minimum password length.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the minimum number of characters as 50% of the minimum password length.'),(1616,'IA-5','1','The organization defines minimum password lifetime restrictions.','DoD has defined the minimum password lifetime restrictions as 24 hours.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the minimum password lifetime restrictions as 24 hours.'),(1617,'IA-5','1','The organization defines maximum password lifetime restrictions.','DoD has defined the maximum password lifetime restrictions as 60 days.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the maximum password lifetime restrictions as 60 days.'),(1618,'IA-5','1','The organization defines the number of generations for which password reuse is prohibited.','DoD has defined the number of generations as a minimum of 5.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the number of generations as a minimum of 5.'),(1619,'IA-5','1','The information system enforces password complexity by the minimum number of special characters used.','The organization being inspected/assessed configures the information system to enforce password complexity by the minimum number of special characters used.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1619.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce password complexity by the minimum number of special characters used.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1619.'),(1621,'IA-5','8','The organization implements organization-defined security safeguards to manage the risk of compromise due to individuals having accounts on multiple information systems.','The organization being inspected/assessed documents and implements policies and user training including advising users not to use the same password for any of the following: \nDomains of differing classification levels. \nMore than one domain of a classification level (e.g., internal agency network and Intelink). \nMore than one privilege level (e.g., user, administrator).','The organization conducting the inspection/assessment obtains and examines the documented policies as well as training records to ensure that the organization being inspected/assessed implements policies and training advising users not to use the same password for any of the following: \nDomains of differing classification levels. \nMore than one domain of a classification level (e.g., internal agency network and Intelink). \nMore than one privilege level (e.g., user, administrator).'),(1624,'IR-3','','The organization documents the results of incident response tests.','The organization being inspected/assessed   will  document the results of incident response tests.','The organization conducting the inspection/assessment obtains and examines:\n1. the organization\'s incident response plan to identify organization\'s testing schedule and,  \n2. results of previous incident response tests to ensure the organization is documenting the results IAW their incident response plan.'),(1625,'IR-4','','The organization implements the resulting incident handling activity changes to incident response procedures, training and testing/exercise accordingly.','The organization being inspected/assessed will \nfollow the latest incident response plan (IR-8) that has been revised (based on IR-4, CCI-000824) and disseminated.\n \n','The organization conducting the inspection/assessment obtains and examines \nrecent changes to the incident response plan (based on IR-4, CCI 000824) to verify that they have been disseminated and reviews the most recent after action report to ensure that changes have been followed.\n \n'),(1626,'IR-5','1','The organization employs automated mechanisms to assist in the collection of security incident information.','The organization being inspected/assessed will document within their incident handling plan, procedures to leverage the Joint Incident Management System (JIMS).\n \nFor the DoD, JIMS is the automated mechanism. ','The organization conducting the inspection/assessment obtains and examines the incident handling plan to ensure that there are procedures identified to leverage the JIMS.'),(1627,'IR-5','1','The organization employs automated mechanisms to assist in the analysis of security incident information.','The organization being inspected/assessed will document within their incident handling plan, procedures to leverage the Joint Incident Management System (JIMS).\n \nFor the DoD, JIMS is the automated mechanism. ','The organization conducting the inspection/assessment obtains and examines the incident handling plan to ensure that there are procedures identified to leverage the JIMS. '),(1628,'MA-1','','The organization defines a frequency to review and update the current system maintenance procedures.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(1631,'MA-4','3','The organization, before removal from organizational facilities, and after the service is performed, inspects and sanitizes the component (with regard to potentially malicious software) before reconnecting the component to the information system.','The organization being inspected/assessed  sanitizes and inspects serviced components prior to reusing them on any information system.\n \nAlternatively, the organization being inspected/assessed complies with MA-4 (3) CCI 882.','The organization conducting the inspection/assessment obtains and examines maintenance procedures for all non-local maintenance and diagnostic services  to ensure that the organization being inspected/assessed sanitizes and inspects serviced components prior to reusing them on any information system.\n \nAlternatively, the organization conducting the inspection/assessment ensures the organization being inspected/assessed complies with  MA-4 (3) CCI 882.'),(1632,'MA-4','4','The organization protects nonlocal maintenance sessions by separating the maintenance session from other network sessions with the information system by either physically separated communications paths or logically separated communications paths based upon encryption.','The organization being inspected/assessed configures the information system to protect nonlocal maintenance sessions by separating the maintenance session from other network sessions with the information system by either physically separated communications paths or logically separated communications paths based upon encryption.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1632.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  protect nonlocal maintenance sessions by separating the maintenance session from other network sessions with the information system by either physically separated communications paths or logically separated communications paths based upon encryption.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1632.'),(1635,'PE-2','','The organization removes individuals from the facility access list when access is no longer required.','The organization being inspected/assessed will  remove personnel from the authorized access list who no longer have approved access and revoke their credentials, as identified in actions per PE-2, CCI 914.\n \nThe organization must document each removal and revocation action as an audit trail.','The organization conducting the inspection/assessment obtains and examines the review and approval actions documentation to ensure that personnel no longer requiring access have been removed from the authorized access list and their credentials have been revoked.'),(1636,'PL-1','','The organization defines the frequency to review and update the current security planning policy.','DoD has defined the frequency as every 5 years.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as every 5 years.'),(1637,'PL-1','','The organization reviews and updates the current security planning policy in accordance with organization-defined frequency.','The organization being inspected/assessed reviews and updates  the current security planning policy every 5 years, IAW DoDI 8510.01.\n\nThe organization must maintain an audit trail of review and update activity.\n\nDoD has defined the frequency as every 5 years.','The organization conducting the inspection/assessment obtains and examines the audit trail of review and update activity to ensure the organization being inspected/assessed eviews and updates the current security planning policy every 5 years, IAW DoDI 8510.01.\n\nDoD has defined the frequency as every 5 years.'),(1638,'PL-1','','The organization defines the frequency to review and update the current security planning procedures.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(1639,'PL-4','','The organization makes readily available to individuals requiring access to the information system, the rules that describe their responsibilities and expected behavior with regard to information and information system usage.','The organization being inspected/assessed must disseminate to all information system users, via an information sharing capability, rules that describe information system user responsibilities and expected behavior with regard to information and information system usage, acceptable use policy (AUP).  \n \nOrganizations should disseminate the rules by providing to users and requiring signature of acceptance.','The organization conducting the inspection/assessment obtains and examines rules that describe information system user responsibilities via the inspected organization\'s information sharing capability (e.g. portal, intranet, email, etc.) to ensure it has been disseminated.'),(1640,'PM-8','','The organization updates the critical infrastructure and key resources protection plan that addresses information security issues.','DoDD 3020.40 meets the DoD requirement for the development of a critical infrastructure and key resource protection plan.\n \nDoD components are automatically compliant with this control as they are covered by the DoD level, DoDD 3020.40.','DoDD 3020.40 meets the DoD requirement for the development of a critical infrastructure and key resource protection plan.\n \nDoD components are automatically compliant with this control as they are covered by the DoD level, DoDD 3020.40.'),(1641,'RA-5','','The organization defines the process for conducting random vulnerability scans on the information system and hosted applications.','DoD has defined the requirement for vulnerability scanning periodicity of every 30 days.  If the organization being inspected/assessed has determined a requirement for random scanning they must document that process.\n \nDoD has defined the frequency as every 30 days or as directed by an authoritative source (e.g. IAVM, CTOs, DTMs, STIGs).','The organization conducting the inspection/assessment obtains and examines random vulnerability process documentation (if applicable) to validate the organization has clearly defined and documented a process for conducting random vulnerability scans on the information system and hosted applications.\n \nIf the organization being inspected/assessed has determined they have no requirement for random scanning, there is no requirement for a process.'),(1642,'RA-3','','The organization defines the organizational document in which risk assessment results are documented (e.g., security plan, risk assessment report).','DoD has defined the document as a risk assessment report.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the document as a risk assessment report.'),(1643,'RA-5','','The organization scans for vulnerabilities in the information system and hosted applications in accordance with the organization-defined process for random scans.','The organization being inspected/assessed will conduct random vulnerability scans every 30 days or as directed by an authorative source (e.g. IAVM, CTOs, DTMs, STIGs).\n \nThe organization will document the vulnerability scans as an audit trail for future reference.  The audit trail must be maintained IAW DoD, CYBERCOM, or component policies.\n \nDoD has defined the frequency as every 30 days or as directed by an authorative source (e.g. IAVM, CTOs, DTMs, STIGs).\n .','The organization conducting the inspection/assessment obtains and examines  \nthe vulnerability scanning results every 30 days or as directed by an authorative source (e.g. IAVM, CTOs, DTMs, STIGs) to verify compliance with the organization being inspected/assessed random vulnerability scanning process.  \n \nDoD has defined the frequency as every 30 days or as directed by an authorative source (e.g. IAVM, CTOs, DTMs, STIGs).\n'),(1645,'RA-5','5','The organization identifies the information system components to which privileged access is authorized for selected organization-defined vulnerability scanning activities.','DoD has defined the information system components as all information systems and infrastructure components.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the information system components as all information systems and infrastructure components.'),(1646,'SA-1','','The organization defines the frequency to review and update the current system and services acquisition procedures.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(1661,'SC-11','','The organization defines the security functions, to minimally include information system authentication and re-authentication, within the information system to be included in a trusted communications path.','DoD has defined the security functions as providers of authentication, reauthentication, and all privileged commands (administration, monitoring, and controlling).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the security functions as providers of authentication, reauthentication, and all privileged commands (administration, monitoring, and controlling).'),(1662,'SC-18','1','The information system takes organization-defined corrective action when organization-defined unacceptable mobile code is identified.','The organization being inspected/assessed configures the information system to take  corrective actions defined in SC-18 (1), CCI  2457 when unacceptable mobile code defined in SC-18 (1), CCI 2458 is identified.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1662.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to take  corrective actions defined in SC-18 (1), CCI  2457 when unacceptable mobile code defined in SC-18 (1), CCI 2458 is identified.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1662.'),(1663,'SC-20','','The information system, when operating as part of a distributed, hierarchical namespace, provides the means to enable verification of a chain of trust among parent and child domains (if the child supports secure resolution services).','The organization being inspected/assessed installs and utilizes software capable of validating the chain of trust (Examples of software include dig, dnsviz, dnssec-debugger, dnssec validator for Mozilla, etc.).\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1663.','The organization conducting the inspection/assessment utilizes DNSSEC diagnostic tools, such as dig,  and performs queries which will exercise the data flow path for authoritative name resolution services where parent and child domains exist.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs that pertains to CCI 1663.'),(1664,'SC-23','3','The information system recognizes only session identifiers that are system-generated.','The organization being inspected/assessed configures the information system to recognize only session identifiers that are system-generated.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1664.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to recognize only session identifiers that are system-generated.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1664.'),(1665,'SC-24','','The information system preserves organization-defined system state information in the event of a system failure.','The organization being inspected/assessed configures the information system to  preserve  information necessary to determine cause of failure and to return to operations with least disruption to mission/ business processes in the event of a system failure.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1665.\n \nDoD has defined system state information as information necessary to determine cause of failure and to return to operations with least disruption to mission/ business processes.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to preserve  information necessary to determine cause of failure and to return to operations with least disruption to mission/ business processes in the event of a system failure.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1665.\n \nDoD has defined system state information as information necessary to determine cause of failure and to return to operations with least disruption to mission/ business processes.'),(1669,'SI-3','6','The organization defines the frequency of testing malicious code protection mechanisms.','DoD has defined the frequency as twice annually or when substantial changes are made to the malicious code protection mechanisms.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as twice annually or when substantial changes are made to the malicious code protection mechanisms.'),(1670,'SI-4','7','The information system takes organization-defined least-disruptive actions to terminate suspicious events.','The organization being inspected/assessed configures the information system to take least-disruptive actions defined in SI-4 (7), CCI 1268 to terminate suspicious events.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1670.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to take least-disruptive actions defined in SI-4 (7), CCI 1268 to terminate suspicious events.\n  \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1670.'),(1671,'SI-4','11','The organization analyzes outbound communications traffic at selected organization-defined interior points within the system (e.g., subnetworks, subsystems) to discover anomalies.','The organization being inspected/assessed documents and implements a process to analyze outbound communications traffic at selected interior points defined in SI-4 (11), CCI 2668 within the system (e.g., subnetworks, subsystems) to discover anomalies.\n \nThe organization must maintain a record of any discovered anomalies.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of any discovered anomalies to ensure the organization being inspected/assessed analyzes outbound communications traffic at selected interior points defined in SI-4 (11), CCI 2668 within the system (e.g., subnetworks, subsystems) to discover anomalies.'),(1673,'SI-4','14','The organization employs a wireless intrusion detection system to identify rogue wireless devices and to detect attack attempts and potential compromises/breaches to the information system.','The organization being inspected/assessed documents and implements a wireless intrusion detection system to identify rogue wireless devices and to detect attack attempts and potential compromises/breaches to the information system.','The organization conducting the inspection/assessment obtains and examines documentation of the use of the identified wireless intrusion detection system and the system hardware/software list to ensure the organization being inspected/assessed employs a wireless intrusion detection system to identify rogue wireless devices and to detect attack attempts and potential compromises/breaches to the information system.\n \nThe organization being inspected/assessed may be required to demonstrate use of the wireless intrusion detection system.'),(1675,'SI-6','3','The organization defines the personnel or roles that are to receive reports on the results of security function verification.','DoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.'),(1678,'SI-12','','The organization retains information within the information system and information output from the system in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, and operational requirements.','The organization being inspected/assessed identifies and documents federal laws, Executive Orders, directives, policies, regulations, standards, and operational requirements which apply to the information within the information system.  \n \nThe organization documents and implements a process to retain information IAW those documented federal laws, Executive Orders, directives, policies, regulations, standards, and operational requirements.','The organization conducting the inspection/assessment obtains and examines the documented list of applicable federal laws, Executive Orders, directives, policies, regulations, standards, and operational requirements which apply to the information within the information system, as well as the documented process for information retention to ensure the organization being inspected/assessed  retains information within the information system and information output from the system in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, and operational requirements.'),(1680,'PM-1','','The organization develops an organization-wide information security program plan that includes the identification and assignment of roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','DoDI 8500.01 and the Knowledge Service meet the requirement for this control; individual organizations and system owners must provide documentation of common control implementation in their Security Plan.','DoD components are automatically compliant with this control as they are covered at the DoD level by DoDI 8500.01 and the Knowledge Service.  If the organization or system owner is utilizing common controls they must be documented  in their Security Plan.'),(1682,'AC-2','2','The information system automatically removes or disables emergency accounts after an organization-defined time period for each type of account.','The organization being inspected/assessed configures the information system to never automatically remove or disable emergency accounts.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1682.\n \nDoD has defined the time period as never.\n ','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to never automatically remove or disable emergency accounts.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1682.\n \nDoD has defined the time period as never.'),(1683,'AC-2','4','The information system notifies organization-defined personnel or roles  for account creation actions.','The organization being inspected/assessed configures the information system to notify the system administrator and ISSO  for account creation actions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1683.\n \nDoD has defined the personnel or roles as the system administrator and ISSO.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  notify the system administrator and ISSO  for account creation actions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1683.\n \nDoD has defined the personnel or roles as the system administrator and ISSO.'),(1684,'AC-2','4','The information system notifies organization-defined personnel or roles  for account modification actions.','The organization being inspected/assessed configures the information system to notify the system administrator and ISSO  for account modification actions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1684.\n \nDoD has defined the personnel or roles as the system administrator and ISSO.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  notify the system administrator and ISSO  for account modification actions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1684.\n \nDoD has defined the personnel or roles as the system administrator and ISSO.'),(1685,'AC-2','4','The information system notifies organization-defined personnel or roles for account disabling actions.','The organization being inspected/assessed configures the information system to notify the system administrator and ISSO for account disabling actions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1685.\n \nDoD has defined the personnel or roles as the system administrator and ISSO.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  notify the system administrator and ISSO for account disabling actions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1685.\n \nDoD has defined the personnel or roles as the system administrator and ISSO.'),(1686,'AC-2','4','The information system notifies organization-defined personnel or roles for account removal actions.','The organization being inspected/assessed configures the information system to notify the system administrator and ISSO for account removal actions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1686.\n \nDoD has defined the personnel or roles as the system administrator and ISSO.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  notify the system administrator and ISSO for account removal actions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1686.\n \nDoD has defined the personnel or roles as the system administrator and ISSO.'),(1687,'SC-18','2','The organization ensures the use of mobile code to be deployed in information systems meets organization-defined mobile code requirements.','The organization being inspected/assessed documents and implements a process to use mobile code IAW the requirements defined in CCI 1168.  ','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed uses mobile code IAW the requirements defined in CCI 1168.  '),(1688,'SC-18','2','The organization ensures the acquisition of mobile code to be deployed in information systems meets organization-defined mobile code requirements.','The organization being inspected/assessed documents and implements a process to acquire mobile code IAW the requirements defined in CCI 1168.  ','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed acquire mobile code IAW the requirements defined in CCI 1168.  '),(1695,'SC-18','3','The information system prevents the execution of organization-defined unacceptable mobile code.','The organization being inspected/assessed configures the information system to prevent the execution of unacceptable mobile code defined in CCI 2459.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1695.\n \n','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to prevent the execution of unacceptable mobile code defined in CCI 2459.\n\nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1695.\n \n'),(1726,'CM-10','','The organization uses software in accordance with contract agreements.','The organization being inspected/assessed  uses software in accordance with contract agreements.','The organization conducting the inspection/assessment obtains and examines a sampling of contract agreements and supporting evidence concerning the usage of software to ensure compliance with the contract agreements.'),(1727,'CM-10','','The organization uses software documentation in accordance with contract agreements.','The organization being inspected/assessed uses software documentation in accordance with contract agreements.','The organization conducting the inspection/assessment obtains and examines a sampling of contract agreements associated with software documentation and supporting evidence concerning the usage of software documentation to ensure compliance with contract agreements.'),(1728,'CM-10','','The organization uses software in accordance with copyright laws.','The organization being inspected/assessed uses software in accordance with copyright laws.','The organization conducting the inspection/assessment obtains and examines supporting evidence concerning the usage of software  to ensure compliance with copyright laws.'),(1729,'CM-10','','The organization uses software documentation in accordance with copyright laws.','The organization being inspected/assessed uses software documentation in accordance with copyright laws.','The organization conducting the inspection/assessment obtains and examines supporting evidence concerning the usage of software documentation to ensure compliance with copyright laws.'),(1730,'CM-10','','The organization tracks the use of software protected by quantity licenses to control copying of the software.','The organization being inspected/assessed  tracks the use of software protected by quantity licenses to control copying of the software.\n \nSoftware license tracking can be accomplished by manual methods (e.g., simple spreadsheets) or automated methods (e.g., specialized tracking applications) depending on organizational needs.','The organization conducting the inspection/assessment obtains and examines the tracking records to ensure the organization being inspected/assessed tracks the use of software protected by quantity licenses to control copying of the software.'),(1731,'CM-10','','The organization tracks the use of software documentation protected by quantity licenses to control distribution of the software documentation.','The organization being inspected/assessed  tracks the use of software documentation protected by quantity licenses to control distribution of the software documentation.\n \nSoftware license tracking can be accomplished by manual methods (e.g., simple spreadsheets) or automated methods (e.g., specialized tracking applications) depending on organizational needs.','The organization conducting the inspection/assessment obtains and examines the tracking records to ensure the organization being inspected/assessed tracks the use of software documentation protected by quantity licenses to control distribution of the software documentation.'),(1732,'CM-10','','The organization controls the use of peer-to-peer file sharing technology to ensure that this capability is not used for the unauthorized distribution, display, performance, or reproduction of copyrighted work.','The organization being inspected/assessed reviews and authorizes in order to control the use of peer-to-peer file sharing technology to ensure that this capability is not used for the unauthorized distribution, display, performance, or reproduction of copyrighted work.\n \nThe organization must maintain an audit trail of peer-to-peer file sharing technology reviews and authorizations.','The organization conducting the inspection/assessment obtains and examines the audit trail of peer-to-peer file sharing technology reviews and authorizations to ensure the organization being inspected/assessed controls the use of peer-to-peer file sharing technology to ensure that this capability is not used for the unauthorized distribution, display, performance, or reproduction of copyrighted work.'),(1733,'CM-10','','The organization documents the use of peer-to-peer file sharing technology to ensure that this capability is not used for the unauthorized distribution, display, performance, or reproduction of copyrighted work.','The organization being inspected/assessed  documents the use of peer-to-peer file sharing technology to ensure that this capability is not used for the unauthorized distribution, display, performance, or reproduction of copyrighted work.','The organization conducting the inspection/assessment obtains and examines the documentation for the use of peer-to-peer file sharing technology to ensure that this capability is not used for the unauthorized distribution, display, performance, or reproduction of copyrighted work.'),(1734,'CM-10','1','The organization defines the restrictions to be followed on the use of open source software.','DoD has defined the restrictions as IAW DoD Memorandum \"Clarifying Guidance Regarding Open Source Software (OSS)\" 16 Oct 2009 (http://dodcio.defense.gov/Home/Issuances/DoDCIOMemorandums.aspx).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the restrictions as IAW DoD Memorandum \"Clarifying Guidance Regarding Open Source Software (OSS)\" 16 Oct 2009 (http://dodcio.defense.gov/Home/Issuances/DoDCIOMemorandums.aspx).'),(1735,'CM-10','1','The organization establishes organization-defined restrictions on the use of open source software.','DoD Memorandum \"Clarifying Guidance Regarding Open Source Software (OSS)\" 16 Oct 2009 (http://dodcio.defense.gov/Home/Issuances/DoDCIOMemorandums.aspx) meets the DoD requirement for establishing restrictions on the use of open source software.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoD Memorandum \"Clarifying Guidance Regarding Open Source Software (OSS).\"','DoD Memorandum \"Clarifying Guidance Regarding Open Source Software (OSS)\" 16 Oct 2009 (http://dodcio.defense.gov/Home/Issuances/DoDCIOMemorandums.aspx) meets the DoD requirement for establishing restrictions on the use of open source software.\n\nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoD Memorandum \"Clarifying Guidance Regarding Open Source Software (OSS).\"'),(1736,'CM-2','3','The organization defines the previous versions of baseline configuration of the information system required to support rollback.','DoD has defined the previous versions as the previous approved baseline configuration of IS components for a minimum of 3 month.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the previous versions as the previous approved baseline configuration of IS components for a minimum of 3 month.'),(1737,'CM-2','7','The organization defines the information systems, system components, or devices that are to have organization-defined configurations applied when located in areas of significant risk.','The organization being inspected/assessed defines and documents, in the configuration management policy, the information systems, system components, or devices that are to have configurations defined in CM-2 (7), CCI 1738 applied when located in areas of significant risk.\n \nDoD has determined that this value is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the configuration management policy to ensure the organization being inspected/assessed defines the information systems, system components, or devices that are to have configurations defined in CM-2 (7), CCI 1738 applied when located in areas of significant risk.\n \nDoD has determined that this value is not appropriate to define at the Enterprise level.'),(1738,'CM-2','7','The organization defines the security configurations to be implemented on information systems, system components, or devices when they are located in areas of significant risk.','The organization being inspected/assessed defines and documents, in the configuration management policy, the security configurations to be implemented on information systems, system components, or devices when they are located in areas of significant risk.\n \nDoD has determined that this value is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the configuration management policy to ensure the organization being inspected/assessed defines the security configurations to be implemented on information systems, system components, or devices when they are located in areas of significant risk.\n \nDoD has determined that this value is not appropriate to define at the Enterprise level.'),(1739,'CM-2','7','The organization issues organization-defined information systems, system components, or devices with organization-defined configurations to individuals traveling to locations the organization deems to be of significant risk.','The organization being inspected/assessed issues information systems, system components, or devices as defined in CM-2 (7) CCI 1737 with configurations as defined in CM-2 (7) CCI 1738 to individuals traveling to locations the organization deems to be of significant risk.','The organization conducting the inspection/assessment interviews organizational personnel with configuration management responsibilities to ensure that  individuals traveling to locations that the organization deems to be of significant risk are issued information systems, system components, or devices as defined in CM-2 (7) CCI 1737 with configurations as defined in CM-2 (7) CCI 1738.'),(1740,'CM-3','','The organization reviews proposed configuration controlled changes to the information system.','The organization being inspected/assessed conducts reviews of records documenting the proposed configuration controlled changes to each information system.  \n \nThe organization will maintain an audit trail of each proposed configuration controlled change.\n \nThis action will be implemented by the CCB as defined in CM-3, CCI 1586.','The organization conducting the inspection/assessment obtains and examines the audit trail of a sampling of proposed configuration controlled changes to ensure the reviews are being conducted.'),(1741,'CM-3','','The organization documents configuration change decisions associated with the information system.','The organization being inspected/assessed documents configuration change decisions associated with the information system.\n \nThe organization must maintain an audit trail of configuration change decisions.\n \nThis action will be implemented by the CCB as defined in CM-3, CCI 1586.','The organization conducting the inspection/assessment obtains and examines the audit trail documenting configuration change decisions associated with the information system to ensure the organization being inspected/assessed has documented their decisions.'),(1742,'CM-3','1','The organization defines the approval authorities to be notified when proposed changes to the information system are received.','DoD has defined the approval authorities as the configuration control board (CCB).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the approval authorities as the configuration control board (CCB).'),(1743,'CM-3','5','The organization defines the security responses to be automatically implemented by the information system if baseline configurations are changed in an unauthorized manner.','The organization being inspected/assessed defines and documents, in the configuration management policy, the security responses to be automatically implemented by the information system if baseline configurations are changed in an unauthorized manner.\n \nDoD has determined that the value is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the configuration management policy to ensure the organization being inspected/assessed defines the security responses to be automatically implemented by the information system if baseline configurations are changed in an unauthorized manner.\n \n \nDoD has determined that the value is not appropriate to define at the Enterprise level.'),(1744,'CM-3','5','The information system implements organization-defined security responses automatically if baseline configurations are changed in an unauthorized manner.','The organization being inspected/assessed implements security responses, as defined in CM-3 (5), CCI 1743, automatically if baseline configurations are changed in an unauthorized manner.\n \nThe information system must maintain an audit trail of automatic security responses to unauthorized changes in baseline configurations.','The organization conducting the inspection/assessment obtains and examines the audit trail to ensure the organization being inspected/assessed implements security responses, as defined in CM-3 (5), CCI 1743, automatically if baseline configurations are changed in an unauthorized manner.'),(1745,'CM-3','6','The organization defines the security safeguards that are to be provided by the cryptographic mechanisms which are employed by the organization.','DoD has defined the security safeguards as all security safeguards.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the security safeguards as all security safeguards.'),(1746,'CM-3','6','The organization ensures that cryptographic mechanisms used to provide organization-defined security safeguards are under configuration management.','The organization being inspected/assessed  ensures that cryptographic mechanisms used to provide all security safeguards are under configuration management.\n \nDoD has defined the security safeguards as all security safeguards.','The organization conducting the inspection/assessment obtains and examines the configuration management policy to ensure that cryptographic mechanisms used to provide all security safeguards are documented in the policy.\n \nDoD has defined the security safeguards as all security safeguards.'),(1747,'CM-5','3','The organization defines critical software components the information system will prevent from being installed without verification the component has been digitally signed using a certificate that is recognized and approved by the organization.','DoD has defined the software components as any software components when the vendor provides digitally signed products.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the software components as any software components when the vendor provides digitally signed products.'),(1748,'CM-5','3','The organization defines critical firmware components the information system will prevent from being installed without verification the component has been digitally signed using a certificate that is recognized and approved by the organization.','DoD has defined the critical firmware components as any firmware components when the vendor provides digitally signed products.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the critical firmware components as any firmware components when the vendor provides digitally signed products.'),(1749,'CM-5','3','The information system prevents the installation of organization-defined software components without verification the software component has been digitally signed using a certificate that is recognized and approved by the organization.','The organization being inspected/assessed documents and implements a process to prevent the installation of software onto any software components when the vendor provides digitally signed products without verification that software has been digitally signed using a certificate and approved by the organization.\n \nDoD has defined the software components as any software components when the vendor provides digitally signed products.','The organization conducting the inspection/assessment obtains and examines the documented process for preventing the installation of software onto any software components when the vendor provides digitally signed products without verification that software has been digitally signed using a certificate and approved by the organization.\n \nThe organization conducting the inspection/assessment reviews software on a sampling of the defined components to ensure that only software digitally signed by a defined CA is installed.\n \nDoD has defined the software components as any software components when the vendor provides digitally signed products.'),(1750,'CM-5','3','The information system prevents the installation of organization-defined firmware components without verification the firmware component has been digitally signed using a certificate that is recognized and approved by the organization.','The organization being inspected/assessed documents and implements a process to prevent the installation of firmware onto  any firmware components when the vendor provides digitally signed products without verification that firmware has been digitally signed using a certificate and approved by the organization.\n \nDoD has defined the critical firmware components as any firmware components when the vendor provides digitally signed products.','The organization conducting the inspection/assessment obtains and examines the documented process for preventing the installation of firmware onto  any firmware components when the vendor provides digitally signed products without verification that firmware has been digitally signed using a certificate and approved by the organization.\n \nThe organization conducting the inspection/assessment reviews firmware on a sampling of the defined components to ensure that only firmware digitally signed by a defined CA is installed.'),(1751,'CM-5','4','The organization defines system-level information requiring enforcement of a dual authorization for information system changes.','The organizationg being inspected/assessed defines and documents system-level information requiring enforcement of a dual authorization for information system changes.\n \nDoD has determined to the information is not appropriate to define at the Enterprise level.',' The organization conducting the inspection/assessment obtains and examines the documentated system-level information to ensure the organization being inspected/assessed defines the system-level information requiring enforcement of a dual authorization for information system changes.\n   \nDoD has determined to the information is not appropriate to define at the Enterprise level.'),(1752,'CM-5','4','The organization enforces dual authorization for changes to organization-defined system-level information.','The organization being inspected/assessed documents and implements a process to enforce dual authorization for changes to system-level information defined in CM-5 (4), CCI 1751.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed enforces dual authorization for changes to system-level information defined in CM-5 (4), CCI 1751.'),(1753,'CM-5','5','The organization limits privileges to change information system components within a production or operational environment.','The organization being inspected/assessed documents and implements a process to limit privileges to change information system components within a production or operational environment.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed limits privileges to change information system components within a production or operational environment.'),(1754,'CM-5','5','The organization limits privileges to change system-related information within a production or operational environment.','The organization being inspected/assessed documents and implements a process to limit privileges to change system-related information within a production or operational environment.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed limits privileges to change system-related information within a production or operational environment.'),(1755,'CM-6','','The organization defines the information system components for which any deviation from the established configuration settings are to be identified, documented and approved.','DoD has defined the information system components as all configurable information system components.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the information system components as all configurable information system components.'),(1756,'CM-6','','The organization defines the operational requirements on which the configuration settings for the organization-defined information system components are to be based.','The organization being inspected/assessed must define and document in the system security plan, the requirements which may deviate from the approved configuration settings on the information system components defined in CM-6, CCI 1755.  \n \nDoD has determined that it is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the system security plan to ensure the organization being inspected/assessed defines   the requirements which may deviate from the approved configuration settings on the information system components defined in CM-6, CCI 1755. \n \nDoD has determined that it is not appropriate to define at the Enterprise level.'),(1757,'CM-6','2','The organization defines the security safeguards the organization is to employ when responding to unauthorized changes to the organization-defined configuration settings.','The organization being inspected/assessed must define and document in the configuration management policy, the security safeguards the organization is to employ when responding to unauthorized changes to the configuration settings defined in CM-6 (2), CCI 1758.\n \nDoD has determined that it is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the configuration management policy to ensure the organization being inspected/assessed defines the security safeguards the organization is to employ when responding to unauthorized changes to the configuration settings defined in CM-6 (2), CCI 1758.\n \nDoD has determined that it is not appropriate to define at the Enterprise level.'),(1758,'CM-6','2','The organization defines configuration settings for which the organization will employ organization-defined security safeguards in response to unauthorized changes.','The organization being inspected/assessed must define and document in the configuration management policy, the configuration settings for which the organization will employ security safeguards defined in CM-6 (2), CCI 1757 in response to unauthorized changes.\n \nDoD has defined the configuration settings as security related configuration settings   defined at the program/system level.','The organization conducting the inspection/assessment obtains and examines the configuration management policy to ensure the organization being inspected/assessed defines the configuration settings for which the organization will employ security safeguards CM-6 (2), CCI 1757 in response to unauthorized changes.\n \nDoD has defined the configuration settings as security related configuration settings   defined at the program/system level. '),(1759,'CM-6','2','The organization employs organization-defined security safeguards to respond to unauthorized changes to organization-defined configuration settings.','The organization being inspected/assessed documents and implements security safeguards defined in CM-6 (2), CCI 1757 to respond to unauthorized changes to security related configuration settings  defined at the program/system level. \n  \nThe organization must maintain an audit trail of security safeguard implementation.\n \nDoD has defined the configuration settings as security related configuration settings  defined at the program/system level. ','The organization conducting the inspection/assessment obtains and examines the documented process and the audit trail of security safeguard implementation to ensure the organization being inspected/assessed implements security safeguards defined in CM-6 (2), CCI 1757 to respond to unauthorized changes to security related configuration settings  defined at the program/system level. \n \nDoD has defined the configuration settings as security related configuration settings  defined at the program/system level. '),(1760,'CM-7','1','The organization defines the frequency of information system reviews to identify unnecessary and/or nonsecure functions, ports, protocols, and services.','DoD has defined the frequency as every 30 days.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as every 30 days.'),(1761,'CM-7','1','The organization defines the functions, ports, protocols and services within the information system that are to be disabled when deemed unnecessary and/or nonsecure.','The organization being inspected/assessed must define and document in the system security plan, the functions, ports, protocols and services within the information system that are to be disabled when deemed unnecessary.\n \nDoD has determined that it is not appropriate to define unnecessary functions, ports, protocols and service at the Enterprise level.  Nonsecure functions, ports, protocols and services are defined in DoDI 8551.01.','The organization conducting the inspection/assessment obtains and examines the system security plan to ensure the organization being inspected/assessed defines the functions, ports, protocols and services within the information system that are to be disabled when deemed unnecessary.\n \nDoD has determined that it is not appropriate to define unnecessary functions, ports, protocols and service at the Enterprise level.  Nonsecure functions, ports, protocols and services are defined in DoDI 8551.01.'),(1762,'CM-7','1','The organization disables organization-defined functions, ports, protocols, and services within the information system deemed to be unnecessary and/or nonsecure.','The organization being inspected/assessed must disable functions, ports, protocols, and services within the information system deemed to be unnecessary and/or nonsecure as defined in CM-7 (1), CCI 1761.','The organization conducting the inspection/assessment inspects the information system to ensure the organization being inspected/assessed disables functions, ports, protocols, and services within the information system deemed to be unnecessary and/or nonsecure as defined in CM-7 (1), CCI 1761.'),(1763,'CM-7','2','The organization defines the policies regarding software program usage and restrictions.','The organization being inspected/assessed defines and documents their rules for approval of software program usage.\n \nFor network capable software programs, the organization being inspected/assessed complies with DoDI 8551.\n \nDoD has determined that the rules authorizing the terms and conditions of software program usage on the information system are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the rules as well as the software list to ensure that all network capable software programs are DoDI 8551 compliant and that the rules authorizing the use of all other programs are defined.\n \nDoD has determined that the rules authorizing the terms and conditions of software program usage on the information system are not appropriate to define at the Enterprise level.'),(1764,'CM-7','2','The information system prevents program execution in accordance with organization-defined policies regarding software program usage and restrictions, and/or rules authorizing the terms and conditions of software program usage.','The organization being inspected/assessed configures the information system to prevent the execution of programs not authorized in accordance with CM-7 (2) CCIs 1592 and 1763.','The organization conducting the inspection/assessment examines the information systems to ensure the systems are configured to prevent the execution of programs not authorized in accordance with CM-7 (2) CCIs 1592 and 1763.'),(1765,'CM-7','4','The organization defines the software programs not authorized to execute on the information system.','The organization being inspected/assessed must define and document software programs not authorized to execute on the information system.\n \nFor network capable software, the organization-defined list must include all software programs as defined IAW DoDI 8551.01.\n \nDoD has determined that a comprehensive list of unauthorized software programs is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented list of software programs not authorized to execute to ensure that list is defined.\n \nThe organization conducting the inspection/assessment reviews the list to ensure that any network capable software is included IAW DoDI 8551.01.\n \nDoD has determined that a comprehensive list of unauthorized software programs is not appropriate to define at the Enterprise level.'),(1766,'CM-7','4','The organization identifies the organization-defined software programs not authorized to execute on the information system.','The organization being inspected/assessed must define and document software programs not authorized to execute on the information system.\n \nFor network capable software, the organization-defined list must include all software programs as defined IAW DoDI 8551.01.','The organization conducting the inspection/assessment obtains and examines the documented list of software programs not authorized to execute to ensure that list is defined.\n \nThe organization conducting the inspection/assessment reviews the list to ensure that any network capable software is included IAW DoDI 8551.01.'),(1767,'CM-7','4','The organization employs an allow-all, deny-by-exception policy to prohibit the execution of unauthorized software programs on the information system.','Within the DoD, this control cannot be implemented.','Within the DoD, this control cannot be implemented.'),(1768,'CM-7','4','The organization defines the frequency on which it will review and update the list of unauthorized software programs.','DoD has defined the frequency as monthly.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as monthly.'),(1770,'CM-7','4','The organization reviews and updates the list of unauthorized software programs per organization-defined frequency.','The organization being inspected/assessed documents and implements a process to review and update the list of unauthorized software programs monthly. \n \nThe organization must maintain an audit trail of the review and update activity.\n \nDoD has defined the frequency as monthly.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of reviews and updates to ensure that the organization being inspected/assessed reviews and updates the list of unauthorized software programs monthly. \n \nDoD has defined the frequency as monthly.'),(1772,'CM-7','5','The organization defines the software programs authorized to execute on the information system.','The organization being inspected/assessed must define and document software programs that are authorized to execute on the information system.\n \nDoD has determined that a comprehensive list of unauthorized software programs is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented list of software programs that are authorized to execute to ensure that list is defined.\n \nDoD has determined that a comprehensive list of unauthorized software programs is not appropriate to define at the Enterprise level.'),(1773,'CM-7','5','The organization identifies the organization-defined software programs authorized to execute on the information system.','The organization being inspected/assessed must define and document software programs that are authorized to execute on the information system.\n \n','The organization conducting the inspection/assessment obtains and examines the documented list of software programs that are authorized to execute to ensure that list is defined.\n \n'),(1774,'CM-7','5','The organization employs an deny-all, permit-by-exception policy to allow the execution of authorized software programs on the information system.','The organization being inspected/assessed configures the information system to deny-all and only permit by exception the execution of authorized software programs on the information system.','The organization conducting the inspection/assessment examines the information system to ensure that it is configured to deny-all and only permit by exception the execution of authorized software programs on the information system.'),(1775,'CM-7','5','The organization defines the frequency on which it will review and update the list of authorized software programs.','DoD has defined the frequency as monthly.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as monthly.'),(1777,'CM-7','5','The organization reviews and updates the list of authorized software programs per organization-defined frequency.','The organization being inspected/assessed documents and implements a process to review and update the list of authorized software programs monthly. \n \nThe organization must maintain an audit trail of the review and update activity.\n \nDoD has defined the frequency as monthly.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of reviews and updates to ensure that the organization being inspected/assessed reviews and updates the list of authorized software programs monthly. \n \nDoD has defined the frequency as monthly.'),(1779,'CM-8','','The organization defines the frequency on which the information system component inventory is to be reviewed and updated','DoD has defined the frequency as at a minimum, annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n\nDoD has defined the frequency as at a minimum, annually.'),(1780,'CM-8','','The organization reviews and updates the information system component inventory per organization-defined frequency.','The organization being inspected/assessed documents and implements a process to review and update the information system component inventory at a minimum, annually.\n \nThe organization must maintain an audit trail of review and update activity.\n\nDoD has defined the frequency as at a minimum, annually.','The organization conducting the inspection/assessment obtains and examines the documented process for reviews and updates as well as the audit trail of reviews and updates to ensure the organization being inspected/assessed reviews and updates the information system component inventory  at a minimum, annually.\n\nDoD has defined the frequency as at a minimum, annually.'),(1783,'CM-8','3','The organization defines the personnel or roles to be notified when unauthorized hardware, software, and firmware components are detected within the information system.','The organization being inspected/assessed defines and documents any personnel or roles, in addition to the ISSO or ISSM, to be notified when unauthorized hardware, software, and firmware components are detected within the information system.  If there are no additional personnel or roles, the organization must also document that.\n \nDoD has defined the personnel or roles as the ISSO and ISSM and others as the local organization deems appropriate.','The organization conducting the inspection/assessment obtains and examines the documented list of personnel or roles to be notified when unauthorized hardware, software, and firmware components are detected within the information system to ensure the organization being inspected/assessed has either defined additional personnel or roles, or identified that there are no additional personnel or roles.\n  \nDoD has defined the personnel or roles as the ISSO and ISSM and others as the local organization deems appropriate.'),(1784,'CM-8','3','When unauthorized hardware, software, and firmware components are detected within the information system, the organization takes action to disable network access by such components, isolates the components, and/or notifies organization-defined personnel or roles.','The organization being inspected/assessed documents and implements a process to take action to disable network access by unauthorized software, hardware, and firmware components,  isolate the components, and/or notify the ISSO and ISSM and others as the local organization deems appropriate.\n \nThe organization must maintain an audit trail of actions taken upon detection of unauthorized software, hardware, and firmware components.\n \nDoD has defined the personnel or roles as the ISSO and ISSM and others as the local organization deems appropriate.','The organization conducting the inspection/assessment obtains and examines the documented process and audit trail for taking action upon detection of unauthorized components to ensure the organization being inspected/assessed takes action to disable network access by unauthorized software, hardware, and firmware components,  isolate the components, and/or notify the ISSO and ISSM and others as the local organization deems appropriate.\n \nDoD has defined the personnel or roles as the ISSO and ISSM and others as the local organization deems appropriate.'),(1785,'CM-8','7','The organization provides a centralized repository for the inventory of information system components.','The organization being inspected/assessed documents and implements a centralized repository for the inventory of information system components.','The organization conducting the inspection/assessment obtains and examines the documentation of a centralized repository to ensure the organization being inspected/assessed provides a centralized repository for the inventory of information system components.'),(1786,'CM-8','8','The organization employs automated mechanisms to support tracking of information system components by geographic location.','The organization being inspected/assessed documents and implements automated mechanisms to support tracking of information system components by geographic location.','The organization conducting the inspection/assessment obtains and examines the documentation of the automated mechanisms to ensure the organization being inspected/assessed employs automated mechanisms to support tracking of information system components by geographic location.'),(1787,'CM-8','9','The organization defines the acquired information system components that are to be assigned to an information system.','The organization being inspected/assessed defines and documents the acquired information system components that are to be assigned to an information system.\n\nAt no lower than the AO level, the organization must define and document the criteria for or types of information system components where assignment must be tracked. For example, all information system components that collect, store, or process information and are not themselves simply a storage media.\n \nDoD has determined that the acquired information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documentation of acquired information system components to ensure the organization being inspected/assessed defines the acquired information system components that are to be assigned to an information system.\n \nDoD has determined that the acquired information system components are not appropriate to define at the Enterprise level.'),(1788,'CM-8','9','The organization assigns organization-defined acquired information system components to an information system.','The organization being inspected/assessed  assigns and documents the assignment of acquired information system components, as defined in CM-8 (9), CCI 1787, to an information system.','The organization conducting the inspection/assessment obtains and examines the documentation pertaining to the acquisition of information system components to ensure the organization being inspected/assessed assigns acquired information system components, as defined in CM-8 (9), CCI 1787, to an information system.'),(1789,'CM-8','9','The organization receives an acknowledgement from the information system owner of the assignment of the acquired information system components to an information system.','The organization being inspected/assessed documents and implements a process to ensure the organization receives an acknowledgement from the information system owner of the assignment of the acquired information system components to an information system.\n \nThe organization must maintain an audit trail of the acknowledgements.','The organization conducting the inspection/assessment obtains and examines the documented process and audit trail of acknowledgements to ensure the organization being inspected/assessed receives an acknowledgement from the information system owner of the assignment of the acquired information system components to an information system.'),(1790,'CM-9','','The organization develops a configuration management plan for the information system that establishes a process for identifying configuration items throughout the system development life cycle.','The organization being inspected/assessed will develop a configuration management plan for the information system that establishes a process for identifying configuration items throughout the system development life cycle.','The organization conducting the inspection/assessment obtains and examines the configuration management plan to verify it establishes a process for identifying configuration items throughout the system development life cycle.'),(1791,'CM-9','','The organization documents a configuration management plan for the information system that establishes a process for identifying configuration items throughout the system development life cycle.','The organization being inspected/assessed will document a configuration management plan for the information system that establishes a process for identifying configuration items throughout the system development life cycle.','The organization conducting the inspection/assessment obtains and examines the configuration management plan to verify it documents a process for identifying configuration items throughout the system development life cycle.'),(1792,'CM-9','','The organization implements a configuration management plan for the information system that establishes a process for identifying configuration items throughout the system development life cycle.','The organization being inspected/assessed will implement a configuration management plan for the information system that establishes a process for identifying configuration items throughout the system development life cycle.','The organization conducting the inspection/assessment obtains and examines the configuration management plan as well as evidence of implementation (e.g., completed change requests, meeting minutes, and other relevant documents) to ensure the organization being inspected/assessed implements a configuration management plan for the information system that establishes a process for identifying configuration items throughout the system development life cycle.\n \nChecks should include verification that items being processed for CM are the items identified and that identified configuration items have not been changed without going through the documented process.'),(1793,'CM-9','','The organization develops a configuration management plan for the information system that establishes a process for managing the configuration of the configuration items.','The organization being inspected/assessed will develop  a configuration management plan for the information system that establishes a process for managing the configuration of the configuration items.','The organization conducting the inspection/assessment obtains and examines the configuration management plan to ensure it establishes a process for managing the configuration of the configuration items.'),(1794,'CM-9','','The organization documents a configuration management plan for the information system that establishes a process for managing the configuration of the configuration items.','The organization being inspected/assessed will document a configuration management plan for the information system that establishes a process for managing the configuration of the configuration items.','The organization conducting the inspection/assessment obtains and examines the configuration management plan to ensure the organization being inspected/assessed documents a process for managing the configuration of the configuration items.'),(1795,'CM-9','','The organization implements a configuration management plan for the information system that establishes a process for managing the configuration of the configuration items.','The organization being inspected/assessed will implement a configuration management plan that has a process for controlling changes to configuration items.','The organization conducting the inspection/assessment obtains and examines the configuration management plan as well as evidence of implementation (e.g., completed change requests, meeting minutes, and other relevant documents) to ensure the organization being inspected/assessed implements a configuration management plan for the information system that establishes a process for managing the configuration of the configuration items.'),(1796,'CM-9','','The organization develops a configuration management plan for the information system that places the configuration items under configuration management.','The organization being inspected/assessed will develop a configuration management plan for the information system that places the configuration items under configuration management.','The organization conducting the inspection/assessment obtains and examines the configuration management plan to ensure it places  the configuration items under configuration management.'),(1797,'CM-9','','The organization documents a configuration management plan for the information system that places the configuration items under configuration management.','The organization being inspected/assessed will document a configuration management plan for the information system that places the configuration items under configuration management.','The organization conducting the inspection/assessment obtains and examines the configuration management plan to ensure the organization being inspected/assessed documents that configuration items are placed under configuration management.'),(1798,'CM-9','','The organization implements a configuration management plan for the information system that places the configuration items under configuration management.','The organization being inspected/assessed will implement a configuration management plan for the information system that places the configuration items under configuration management.','The organization conducting the inspection/assessment obtains and examines the configuration management plan as well as evidence of implementation (e.g., completed change requests, meeting minutes, and other relevant documents) to ensure the organization being inspected/assessed implements a configuration management plan  for the information system and that configuration items identified are under configuration management.'),(1799,'CM-9','','The organization develops a configuration management plan for the information system that protects the configuration management plan from unauthorized disclosure and modification.','The organization being inspected/assessed must develop and document a plan to protect the configuration management plan from unauthorized disclosure and modification.  \n \nMeasures must include marking, labeling, and handling to prevent improper disclosure.  The organization being inspected/assessed must ensure that all changes to the CM plan are approved.','The organization conducting the inspection/assessment obtains and examines the configuration management plan to verify that it identifies the protection measures.'),(1801,'CM-9','','The organization implements a configuration management plan for the information system that protects the configuration management plan from unauthorized disclosure and modification.','The organization being inspected/assessed must implement a plan to protect the configuration management plan from unauthorized disclosure and modification.  \n \nMeasures must include marking, labeling, and handling to prevent improper disclosure.  The organization being inspected/assessed must ensure that all changes to the CM plan are approved.','The organization conducting the inspection/assessment obtains and examines the configuration management plan to verify that the identified protection measures are implemented.'),(1802,'CM-10','','The organization tracks the use of software documentation protected by quantity licenses to control copying of the software documentation.','The organization being inspected/assessed  tracks the use of software documentation protected by quantity licenses to control copying of the software documentation.\n \nSoftware license tracking can be accomplished by manual methods (e.g., simple spreadsheets) or automated methods (e.g., specialized tracking applications) depending on organizational needs.','The organization conducting the inspection/assessment obtains and examines the tracking records to ensure the organization being inspected/assessed tracks the use of software documentation protected by quantity licenses to control copying of the software documentation.'),(1803,'CM-10','','The organization tracks the use of software protected by quantity licenses to control distribution of the software.','The organization being inspected/assessed  tracks the use of software protected by quantity licenses to control distribution of the software.\n \nSoftware license tracking can be accomplished by manual methods (e.g., simple spreadsheets) or automated methods (e.g., specialized tracking applications) depending on organizational needs.','The organization conducting the inspection/assessment obtains and examines the tracking records to ensure the organization being inspected/assessed tracks the use of software protected by quantity licenses to control distribution of the software.'),(1804,'CM-11','','The organization defines the policies for governing the installation of software by users.','The organization being inspected/assessed must define policies governing the installation of software by users.\n \nDoD has determined the policies are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines policies governing the installation of software by users (e.g., user agreements, CM plan, etc.) to ensure the organization being inspected/assessed defines the policies for governing the installation of software by users.\n \nDoD has determined the policies are not appropriate to define at the Enterprise level.'),(1805,'CM-11','','The organization establishes organization-defined policies governing the installation of software by users.','The organization being inspected/assessed documents their policies governing the installation of software by users (e.g., user agreements, CM plan, etc.).','The organization conducting the inspection/assessment obtains and examines documented policies  governing the installation of software by users (e.g., user agreements, CM plan, etc.) to ensure the organization being inspected/assessed establishes policies governing the installation of software by users.'),(1806,'CM-11','','The organization defines methods to be employed to enforce the software installation policies.','The organization being inspected/assessed must define and document the methods employed to enforce the software installation policies.\n \nDoD has determined the policies are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines documentation of the methods employed to ensure the organization being inspected/assessed defines methods to be employed to enforce the software installation policies.\n \nDoD has determined the policies are not appropriate to define at the Enterprise level.'),(1807,'CM-11','','The organization enforces software installation policies through organization-defined methods.','The organization being inspected/assessed must enforce software installation policies as defined in CM-11, CCI 1804 through methods defined in CM-11, CCI 1806.','The organization conducting the inspection/assessment obtains and examines software installation policies defined in CM-11, CCI 1804 and inspects the methods defined in CM-11, CCI 1806 to verify they are properly implemented.'),(1808,'CM-11','','The organization defines the frequency on which it will monitor software installation policy compliance.','DoD has defined the frequency as at least monthly.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as at least monthly.'),(1809,'CM-11','','The organization monitors software installation policy compliance per organization-defined frequency.','The organization being inspected/assessed must monitor software installation policy compliance at least monthly.\n \nThe organization must maintain audit trails of monitoring activity.\n \nDoD has defined the frequency as at least monthly.','The organization conducting the inspection/assessment obtains and examines the audit trails of monitoring activities to ensure the organization being inspected/assessed  monitors software installation policy compliance at least monthly.\n \nDoD has defined the frequency as at least monthly.'),(1810,'CM-11','1','The organization defines the personnel or roles to be notified when unauthorized software is detected.','The organization being inspected/assessed must define and document the personnel or roles to be notified when unauthorized software is detected.\n \nDoD has defined the personnel or roles that must be notified when unauthorized software is detected as the ISSO and ISSM and others as the local organization deems appropriate.','The organization conducting the inspection/assessment obtains and examines the documentation of the personnel or roles to be notified when unauthorized software is detected to ensure that ISSO and ISSM and others as the local organization deems appropriate are defined.\n \nDoD has defined the personnel or roles that must be notified when unauthorized software is detected as the ISSO and ISSM and others as the local organization deems appropriate.'),(1811,'CM-11','1','The information system alerts organization-defined personnel or roles when the unauthorized installation of software is detected.','The organization being inspected/assessed must configure the information system to alert ISSO and ISSM and others as the local organization deems appropriate when the unauthorized installation of software is detected.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1811.\n \nDoD has defined the personnel or roles that must be notified when unauthorized software is detected as the ISSO and ISSM and others as the local organization deems appropriate.','The organization conducting the inspection/assessment obtains and examines the configuration of the automated mechanism or evidence that alerts are occuring when unauthorized software is installed to ensure the information system alerts the ISSO and ISSM and others as the local organization deems appropriate when the unauthorized installation of software is detected.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1811. \n \nDoD has defined the personnel or roles that must be notified when unauthorized software is detected as the ISSO and ISSM and others as the local organization deems appropriate.'),(1812,'CM-11','2','The information system prohibits user installation of software without explicit privileged status.','The organization being inspected/assessed must configure the information system to prevent the installation of software by non-privileged users.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1812.','The organization conducting the inspection/assessment obtains and examines the configuration of the information system components to ensure that installation of  software without explicit privileged status is prohibited.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1812.'),(1813,'CM-5','1','The information system enforces access restrictions.','The organization being inspected/assessed documents and implements a process to enforce access restrictions provided by the information system.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the configuration of the information system to ensure access restrictions are implemented.'),(1814,'CM-5','1','The Information system supports auditing of the enforcement actions.','The organization being inspected/assessed leverages only information systems which support auditing of enforcement actions.','The organization conducting the inspection/assessment reviews vendor documentation to ensure the information system supports auditing of the enforcement actions.  If vendor documentation is not available, the organization conducting the inspection/assessment tests the information system for the capability.'),(1815,'CM-2','7','The organization defines the security safeguards to be applied to devices when they return from areas of significant risk.','The organization being inspected/assessed defines and documents, in the configuration management policy, the security safeguards to be applied to devices when they return from areas of significant risk.\n \nDoD has determined that this value is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the configuration management policy to ensure the organization being inspected/assessed defines the security safeguards to be applied to devices when they return from areas of significant risk.\n \nDoD has determined that this value is not appropriate to define at the Enterprise level.'),(1816,'CM-2','7','The organization applies organization-defined security safeguards to devices when individuals return from areas of significant risk.','The organization being inspected/assessed applies security safeguards as defined in CM-2 (7) CCI 1815 to devices when individuals return from areas of significant risk.','The organization conducting the inspection/assessment interviews organizational personnel with configuration management responsibilities to ensure that when individuals return from areas of significant risk, security safeguards as defined in CM-2 (7) CCI 1815 are applied to devices as defined in CM-2 (7) CCI 1737.'),(1817,'CM-4','1','The organization, when analyzing changes to the information system, looks for security impacts due to flaws, weaknesses, incompatibility, or intentional malice.','The organization being inspected/assessed documents within their process for analyzing changes to the information system, methods for identifying security impacts due to flaws, weaknesses, incompatibility, or intentional malice.\n \nThe organization implements the documented process and must maintain a record of analysis.','The organization conducting the inspection/assessment obtains and examines the documented process and record of analysis to ensure the organization being inspected/assessed, when analyzing changes to the information system, looks for security impacts due to flaws, weaknesses, incompatibility, or intentional malice.'),(1818,'CM-4','1','The organization analyzes changes to the information system in a separate test environment before installation in an operational environment.','The organization being inspected/assessed documents and employs a policy to analyze changes to the information system in a separate test environment before installation in an operational environment, looking for security impacts due to flaws, weaknesses, incompatibility, or intentional malice.\n \nThe organization must maintain records of analysis of changes to the information system.','The organization conducting the inspection/assessment obtains and examines the documented policy for analyzing changes as well as records of analysis to ensure the organization being inspected/assessed analyzes changes to the information system in a separate test environment before installation in an operational environment, looking for security impacts due to flaws, weaknesses, incompatibility, or intentional malice.'),(1819,'CM-3','','The organization implements approved configuration-controlled changes to the information system.','The organization being inspected/assessed implements approved configuration-controlled changes to the information system.\n \nThe organization must maintain an audit trail of the implementation of approved configuration-controlled changes.','The organization conducting the inspection/assessment obtains and examines the audit trail documenting the implementation of approved configuration-controlled changes to the information system to ensure the organization being inspected/assessed has implemented the approved changes.'),(1821,'CM-1','','The organization defines the organizational personnel or roles to whom the configuration management policy is to be disseminated.','\nDoD has defined the organizational personnel or roles as all stakeholders in the configuration management process.','\nThe organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the organizational personnel or roles as all stakeholders in the configuration management process.'),(1822,'CM-1','','The organization disseminates the configuration management policy to organization defined personnel or roles.','The organization being inspected/assessed disseminates a configuration management policy via an information sharing capability (e.g. portal, intranet, email, etc.) to  all stakeholders in the configuration management process.\n\nDoD has defined the organizational personnel or roles as all stakeholders in the configuration management process.','The organization conducting the inspection/assessment obtains and examines the configuration management policy via the inspected organization\'s information sharing capability (e.g. portal, intranet, email, etc.) to ensure it has been disseminated.'),(1824,'CM-1','','The organization defines the organizational personnel or roles to whom the configuration management procedures are to be disseminated.','\nDoD has defined the organizational personnel or roles as all stakeholders in the configuration management process.','\nThe organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the organizational personnel or roles as all stakeholders in the configuration management process.'),(1825,'CM-1','','The organization disseminates to organization defined personnel or roles the procedures to facilitate the implementation of the configuration management policy and associated configuration management controls.','The organization being inspected/assessed disseminates the procedures to facilitate the implementation of the configuration management policy and associated configuration management controls via an information sharing capability (e.g. portal, intranet, email, etc.) to all stakeholders in the configuration management process.\n\nDoD has defined the organizational personnel or roles as all stakeholders in the configuration management process.','The organization conducting the inspection/assessment obtains and examines the procedures to facilitate the implementation of the configuration management policy and associated configuration management controls via the inspected organization\'s information sharing capability (e.g. portal, intranet, email, etc.) to ensure it has been disseminated.'),(1826,'CM-5','2','The organization defines the circumstances when the organization reviews the information system changes to determine whether unauthorized changes have occurred.','DoD has defined the circumstances as when there is an incident or when planned changes have been performed.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the circumstances as when there is an incident or when planned changes have been performed.'),(1827,'CM-5','5','The organization defines frequency to review information system privileges.','DoD has defined the frequency as every 90 days.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n\nDoD has defined the frequency as every 90 days.'),(1828,'CM-5','5','The organization defines frequency to reevaluate information system privileges.','DoD has defined the frequency as every 90 days.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n\nDoD has defined the frequency as every 90 days.'),(1829,'CM-5','5','The organization reviews information system privileges per organization defined frequency.','The organization being inspected/assessed reviews information system privileges every 90 days.\n \nThe organization must maintain the reviews as an audit trail.\n \nDoD has defined the frequency as every 90 days.','The organization conducting the inspection/assessment obtains and examines the audit trail of reviews to ensure the organization being inspected/assessed reviews information system privileges every 90 days .\n \nDoD has defined the frequency as every 90 days.'),(1830,'CM-5','5','The organization reevaluates information system privileges per organization defined frequency.','The organization being inspected/assessed  reevaluates information system privileges every 90 days .\n \nThe organization must maintain the reevaluations as an audit trail.\n \nDoD has defined the frequency as every 90 days.','The organization conducting the inspection/assessment obtains and examines the audit trail of reviews to ensure the organization being inspected/assessed reevaluates information system privileges every 90 days. \n\nDoD has defined the frequency as every 90 days.'),(1832,'AU-1','','The organization disseminates the audit and accountability policy to organization-defined personnel or roles.','The organization being inspected/assessed disseminates, via an information sharing capibility, to  the ISSO and ISSM and others as the local organization deems appropriate an audit and accountability policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.\n \nDoD has defined the personnel or roles as the ISSO and ISSM and others as the local organization deems appropriate.\n ','The organization conducting the inspection/assessment obtains and examines the audit and accountability procedures via the inspected organization\'s information sharing capability (e.g. portal, intranet, email, etc.) to ensure it has been disseminated. '),(1834,'AU-1','','The organization disseminates to organization-defined personnel or roles procedures to facilitate the implementation of the audit and accountability policy and associated audit and accountability controls.','The organization being inspected/assessed disseminates, via an information sharing capibility, to the ISSO and ISSM and others as the local organization deems appropriate audit and accountability procedures to facilitate the implementation of the audit and accountability policy and associated audit and accountability controls.\n\nDoD has defined the personnel or roles as the ISSO and ISSM and others as the local organization deems appropriate.\n \n','The organization conducting the inspection/assessment obtains and examines the audit and accountability procedures via the inspected organization\'s information sharing capability (e.g. portal, intranet, email, etc.) to ensure it has been disseminated. '),(1844,'AU-3','2','The information system provides centralized management and configuration of the content to be captured in audit records generated by organization-defined information system components.','The organization being inspected/assessed configures the information system to provide centralized management and configuration of the content to be captured in audit records generated by all information system and network components.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1844.\n \nDoD has defined the information system components as all information system and network components.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to  provide centralized management and configuration of the content to be captured in audit records generated by  all information system and network components.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1844.\n \nDoD has defined the information system components as all information system and network components.'),(1846,'AU-3','2','The organization defines information system components that will generate the audit records which are to be captured for centralized management of the content.','DoD has defined the information system components as all information system and network components.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the information system components as all information system and network components.'),(1847,'AU-3','2','The organization defines information system components that will generate the audit records which are to be captured for centralized configuration of the content.','DoD has defined the information system components as all information system and network components.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the information system components as all information system and network components.'),(1848,'AU-4','','The organization defines the audit record storage requirements.','The organization being inspected/assessed defines and documents the required audit record storage capacity.\n \nDoD has determined the audit record storage requirements are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented audit record storage requirements to ensure the organization being inspected/assessed has defined those requirements.\n \nDoD has determined the audit record storage requirements are not appropriate to define at the Enterprise level.'),(1849,'AU-4','','The organization allocates audit record storage capacity in accordance with organization-defined audit record storage requirements.','The organization being inspected/assessed allocates, and configures the information system to allocate audit record storage capacity as defined in AU-4, CCI 1848.  \n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1849.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to allocate audit record storage capacity as defined in AU-4, CCI 1848.   \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1849.'),(1850,'AU-4','1','The organization defines the frequency on which the information system off-loads audit records onto a different system or media than the system being audited.','DoD has defined the frequency as at a minimum, real-time for interconnected systems and weekly for stand-alone systems.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as at a minimum, real-time for interconnected systems and weekly for stand-alone systems.'),(1851,'AU-4','1','The information system off-loads audit records per organization-defined frequency onto a different system or media than the system being audited.','The organization being inspected/assessed configures the information system to off-load audit records at a minimum, in real-time for interconnected systems and weekly for stand-alone systems onto a different system or media than the system being audited.\n \nDoD has defined the frequency as at a minimum, real-time for interconnected systems and weekly for stand-alone systems.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1851.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed has configured the information system to off-load audit records at a minimum, in real-time for interconnected systems and weekly for stand-alone systems onto a different system or media than the system being audited.\n \nDoD has defined the frequency as at a minimum, real-time for interconnected systems and weekly for stand-alone systems.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1851.'),(1852,'AU-5','1','The organization defines the personnel, roles and/or locations to receive a warning when allocated audit record storage volume reaches a defined percentage of maximum audit records storage capacity.','The organization being inspected/assessed defines and documents any personnel or roles, in addition to the ISSO/PMO and ISSM, who shall receive a warning when allocated audit record storage volume reaches a defined percentage of maximum audit records storage capacity.  If there are no additional personnel or roles, the organization must also document that.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO/PMO and ISSM.','The organization conducting the inspection/assessment obtains and examines the documented list of personnel or roles who should receive a warning when allocated audit record storage volume reaches a defined percentage of maximum audit records storage capacity to ensure the organization being inspected/assessed has either defined additional personnel or roles, or identified that there are no additional personnel or roles beyond the ISSO/PMO and ISSM.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO/PMO and ISSM.'),(1853,'AU-5','1','The organization defines the time period within which organization-defined personnel, roles and/or location are to receive warnings when allocated audit record storage volume reaches a organization-defined percentage of maximum audit records storage capacity.','DoD has defined the time period as immediate.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as immediate.'),(1854,'AU-5','1','The organization defines the percentage of maximum audit record storage capacity that is to be reached at which time the information system will provide a warning to organization-defined personnel, roles and/or locations.','DoD has defined the percentage as 75 percent.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the percentage as 75 percent.'),(1855,'AU-5','1','The information system provides a warning to organization-defined personnel, roles, and/or locations within organization-defined time period when allocated audit record storage volume reaches organization-defined percentage of repository maximum audit record storage capacity.','The organization being inspected/assessed configures the information system to immediately provide  a warning to personnel, roles, and/or locations defined in AU-5 (1), CCI 1852 when allocated audit record storage volume reaches 75 percent of repository maximum audit record storage capacity. \n \nDoD has defined the time period as immediate.\n \nDoD has defined the percentage as 75 percent.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1855.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed has configured the information system to immediately provide a warning to personnel, roles, and/or locations defined in AU-5 (1), CCI 1852 when allocated audit record storage volume reaches 75 percent of repository maximum audit record storage capacity. \n \nDoD has defined the time period as immediate.\n \nDoD has defined the percentage as 75 percent.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1855.'),(1856,'AU-5','2','The organization defines the real-time period within which the information system is to provide an alert when organization-defined audit failure events occur.','DoD has defined the real-time period as immediate.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the real-time period as immediate.'),(1857,'AU-5','2','The organization defines the personnel, roles and/or locations to receive alerts when organization-defined audit failure events occur.','The organization being inspected/assessed defines and documents any personnel or roles, in addition to the SCA and ISSO, who shall receive alerts when all audit failure events occur.  If there are no additional personnel or roles, the organization must also document that.\n \nDoD has defined the personnel or roles as at a minimum, the SCA and ISSO.\n \nDoD has defined the audit failure events as all.','The organization conducting the inspection/assessment obtains and examines the documented list of personnel or roles who should receive alerts when all audit failure events occur to ensure the organization being inspected/assessed has either defined additional personnel or roles, or identified that there are no additional personnel or roles.\n \nDoD has defined the audit failure events as all.'),(1858,'AU-5','2','The information system provides a real-time alert in organization-defined real-time period to organization-defined personnel, roles, and/or locations when organization-defined audit failure events requiring real-time alerts occur.','The organization being inspected/assessed configures the information system to immediately provide a real-time alert to personnel, roles, and/or locations defined in AU-5 (2), CCI 1857 when all audit failure events requiring real-time alerts occur.\n \nDoD has defined the real-time period as immediate.\n \nDoD has defined the audit failure events as all.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1858.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configured the information system to immediately provide a real-time alert to personnel, roles, and/or locations defined in AU-5 (2), CCI 1857 when all audit failure events requiring real-time alerts occur.\n \nDoD has defined the real-time period as immediate.\n \nDoD has defined the audit failure events as all.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1858.'),(1859,'AU-5','3','The organization defines the network communication traffic volume thresholds reflecting limits on auditing capacity, specifying when the information system will reject or delay network traffic that exceed those thresholds.','The organization being inspected/assessed defines and documents the network communication traffic volume thresholds reflecting limits on auditing capacity, specifying when the information system will reject or delay network traffic that exceed those thresholds.','The organization conducting the inspection/assessment obtains and examines the documented network communication traffic volume thresholds to ensure they have been defined.'),(1860,'AU-5','4','The organization defines the audit failures which, should they occur, will invoke an organization-defined system mode.','DoD has defined the audit failures as all.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the audit failures as all.'),(1861,'AU-5','4','The information system invokes an organization-defined system mode, in the event of organization-defined audit failures, unless an alternate audit capability exists.','The organization being inspected/assessed configures the information system to invoke the system mode defined in AU-5 (4), CCI 2907 in the event all audit failures, unless an alternate audit capability exists.\n \nDoD has defined the audit failures as all.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1861.\n','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed  invokes the system mode defined in AU-5 (4), CCI 2907 in the event all audit failures, unless an alternate audit capability exists.\n \nDoD has defined the audit failures as all. \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1861'),(1862,'AU-6','','The organization defines the types of inappropriate or unusual activity to be reviewed and analyzed in the audit records.','The organization being inspected/assessed defines and documents the  types of inappropriate or unusual activity to be reviewed and analyzed in the audit records.\n \nDoD has determined that the types of inappropriate or unusual activity are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented types of inappropriate or unusual activity to ensure they have been defined.\n \nDoD has determined that the types of inappropriate or unusual activity are not appropriate to define at the Enterprise level.'),(1863,'AU-6','','The organization defines the personnel or roles to receive the reports of organization-defined inappropriate or unusual activity.','The organization being inspected/assessed defines and documents any personnel or roles, in addition to the ISSO and ISSM, who shall receive the reports of inappropriate or unusual activity defined in AU-6, CCI 1862.  If there are no additional personnel or roles, the organization must also document that.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.','The organization conducting the inspection/assessment obtains and examines the documented list of personnel or roles who should receive the reports of inappropriate or unusual activity defined in AU-6, CCI 1862 to ensure the organization being inspected/assessed has either defined additional personnel or roles, or identified that there are no additional personnel or roles.'),(1864,'AU-6','1','The organization employs automated mechanisms to integrate audit review and analysis to support organizational processes for investigation of response to suspicious activities.','The organization being inspected/assessed identifies and implements automated mechanisms to integrate audit review and analysis. \n \nThe goal is to support organizational investigation of and response to suspicious activities.','The organization conducting the inspection/assessment obtains and examines documentation identifying automated mechanisms to integrate audit review and analysis to ensure such mechanisms have been identified.\n \nThe organization conducting the inspection/assessment examines the identified automated mechanisms to ensure they have been implemented.'),(1865,'AU-6','1','The organization employs automated mechanisms to integrate reporting processes to support organizational investigation of and response to suspicious activities.','The organization being inspected/assessed identifies and implements automated mechanisms to integrate reporting processes (e.g., centralized log analysis tools).\n \nThe goal is to support organizational investigation of and response to suspicious activities.','The organization conducting the inspection/assessment obtains and examines documentation identifying automated mechanisms to integrate reporting processes to ensure such mechanisms have been identified.\n \nThe organization conducting the inspection/assessment examines the identified automated mechanisms to ensure they have been implemented.'),(1866,'AU-6','5','The organization defines the data/information to be collected from other sources to enhance its ability to identify inappropriate or unusual activity.','The organization being inspected/assessed defines and documents the data/information to be collected from other sources to enhance its ability to identify inappropriate or unusual activity.\n \nIf no additional data/information is to be collected, that should also be documented.\n \nDoD has determined that the data/information is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines documented data/information from other sources to ensure the information has been defined.\n \nDoD has determined that the data/information is not appropriate to define at the Enterprise level.'),(1867,'AU-6','5','The organization integrates analysis of audit records with analysis of vulnerability scanning information, performance data, information system monitoring information, and/or organization-defined data/information collected from other sources to further enhance its ability to identify inappropriate or unusual activity.','The organization being inspected/assessed documents and implements a process to integrate the analysis of audit records with the data/information defined in AU-6 (5), CCI 1866 (if any) to further enhance its ability to identify inappropriate or unusual activity.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed integrates the analysis of audit records with the data/information defined in AU-6 (5), CCI 1866 (if any) to further enhance its ability to identify inappropriate or unusual activity.'),(1868,'AU-6','7','The organization specifies the permitted actions for each information system process, role, and/or user associated with the review and analysis of audit information.','The organization being inspected/assessed specifies and documents the permitted actions for each information system process, role, and/or user associated with the review and analysis of audit information.','The organization conducting the inspection/assessment obtains and examines the documented permitted actions to ensure the organization being inspected/assessed specifies the permitted actions for each information system process, role, and/or user associated with the review and analysis of audit information.'),(1869,'AU-6','7','The organization specifies the permitted actions for each information system process, role, and/or user associated with the reporting of audit information.','The organization being inspected/assessed specifies and documents the permitted actions for each information system process, role, and/or user associated with the reporting of audit information.','The organization conducting the inspection/assessment obtains and examines the documented permitted actions to ensure the organization being inspected/assessed specifies the permitted actions for each information system process, role, and/or user associated with the reporting of audit information.'),(1870,'AU-6','8','The organization performs a full-text analysis of audited privileged commands in a physically-distinct component or subsystem of the information system, or other information system that is dedicated to that analysis.','The organization being inspected/assessed documents and implements a process to perform a full-text analysis of audited privileged commands in a physically-distinct component or subsystem of the information system, or other information system that is dedicated to that analysis.','The organization conducting the inspection/assessment obtains and examines the documented process and supporting records (e.g., analysis results) to ensure the organization being inspected/assessed performs a full-text analysis of audited privileged commands in a physically-distinct component or subsystem of the information system, or other information system that is dedicated to that analysis.'),(1871,'AU-6','9','The organization correlates information from non-technical sources with audit information to enhance organization-wide situational awareness.','The organization being inspected/assessed documents and implements a process to correlate information from non-technical sources with audit information to enhance organization-wide situational awareness.','The organization conducting the inspection/assessment obtains and examines the documented process and supporting records to ensure the organization being inspected/assessed correlates information from non-technical sources with audit information to enhance organization-wide situational awareness.'),(1872,'AU-6','10','The organization adjusts the level of audit review and analysis within the information system when there is a change in risk based on law enforcement information, intelligence information, or other credible sources of information.','The organization being inspected/assessed documents and implements a process for adjusting the level of audit review within the information system when there is a change in risk based on law enforcement information, intelligence information, or other credible sources of information (e.g., INFOCON).','The organization conducting the inspection/assessment obtains and examines the documented process and supporting records to ensure the organization being inspected/assessed adjusts the level of audit review within the information system when there is a change in risk based on law enforcement information, intelligence information, or other credible sources of information.'),(1874,'AU-6','10','The organization adjusts the level of audit reporting within the information system when there is a change in risk based on law enforcement information, intelligence information, or other credible sources of information.','The organization being inspected/assessed documents and implements a process for adjusting the level of audit reporting within the information system when there is a change in risk based on law enforcement information, intelligence information, or other credible sources of information (e.g., INFOCON).','The organization conducting the inspection/assessment obtains and examines the documented process and supporting records to ensure the organization being inspected/assessed adjusts the level of audit reporting within the information system when there is a change in risk based on law enforcement information, intelligence information, or other credible sources of information.'),(1875,'AU-7','','The information system provides an audit reduction capability that supports on-demand audit review and analysis.','The organization being inspected/assessed must employ information systems that provide an audit reduction capability that support on-demand audit review and analysis (either natively or through the use of third-party tools).\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1875.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed employs information systems that provide an audit reduction capability that support on-demand audit review and analysis (either natively or through the use of third-party tools).\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1875.'),(1876,'AU-7','','The information system provides an audit reduction capability that supports on-demand reporting requirements.','The organization being inspected/assessed must employ information systems that provide an audit reduction capability that support on-demand reporting requirements (either natively or through the use of third-party tools).\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1876.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed employs information systems that provide an audit reduction capability that supports on-demand reporting requirements (either natively or through the use of third-party tools).\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1876.'),(1877,'AU-7','','The information system provides an audit reduction capability that supports after-the-fact investigations of security incidents.','The organization being inspected/assessed must employ information systems that provide an audit reduction capability that support after-the-fact investigations of security incidents (either natively or through the use of third-party tools).\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1877.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed employs information systems that provide an audit reduction capability that supports after-the-fact investigations of security incidents (either natively or through the use of third-party tools).\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1877.'),(1878,'AU-7','','The information system provides a report generation capability that supports on-demand audit review and analysis.','The organization being inspected/assessed must employ information systems that provide a report generation capability that support on-demand audit review and analysis (either natively or through the use of third-party tools).\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1878.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed employs information systems that provide a report generation capability that supports on-demand audit review and analysis (either natively or through the use of third-party tools).\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1878.'),(1879,'AU-7','','The information system provides a report generation capability that supports on-demand reporting requirements.','The organization being inspected/assessed must employ information systems that provide a report generation capability that support on-demand reporting requirements (either natively or through the use of third-party tools).\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1879.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed employs information systems that provide a report generation capability that supports on-demand reporting requirements (either natively or through the use of third-party tools).\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1879.'),(1880,'AU-7','','The information system provides a report generation capability that supports after-the-fact investigations of security incidents.','The organization being inspected/assessed must employ information systems that provide a report generation capability that support after-the-fact investigations of security incidents (either natively or through the use of third-party tools).\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1880.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed employs information systems that provide a report generation capability that supports after-the-fact investigations of security incidents (either natively or through the use of third-party tools).\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1880.'),(1881,'AU-7','','The information system provides an audit reduction capability that does not alter original content or time ordering of audit records.','The organization being inspected/assessed must ensure that the audit reduction capability does not alter the original audit records.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1881.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed employs an audit reduction capability that does not alter original audit records.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1881.'),(1882,'AU-7','','The information system provides a report generation capability that does not alter original content or time ordering of audit records.','The organization being inspected/assessed must ensure that the report generation capability does not alter the original audit records.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1882.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed employs a report generation capability that does not alter original audit records.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1882.'),(1883,'AU-7','1','The organization defines the audit fields within audit records to be processed for events of interest by the information system.','The organization being inspected/assessed must define and document  the audit fields within audit records to be processed for events of interest by the information system.\n \nDoD has determined that the audit fields are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented audit fields to ensure the organization being inspected/assessed defines the audit fields within audit records to be processed for events of interest by the information system.\n \n DoD has determined that the audit fields are not appropriate to define at the Enterprise level.'),(1884,'AU-7','2','The organization defines the audit fields within audit records to be sorted for events of interest by the information system.','The organization being inspected/assessed must define and document the audit fields within audit records to be sorted for events of interest by the information system.\n \nDoD has determined that the audit fields are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented audit fields to ensure the organization being inspected/assessed defines the audit fields within audit records to be sorted for events of interest by the information system.\n \nDoD has determined that the audit fields are not appropriate to define at the Enterprise level.'),(1885,'AU-7','2','The organization defines the audit fields within audit records to be searched for events of interest by the information system.','The organization being inspected/assessed must define and document the audit fields within audit records to be searched for events of interest by the information system.\n \nDoD has determined that the audit fields are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented audit fields to ensure the organization being inspected/assessed defines the audit fields within audit records to be searched for events of interest by the information system.\n \n DoD has determined that the audit fields are not appropriate to define at the Enterprise level.'),(1886,'AU-7','2','The information system provides the capability to sort audit records for events of interest based on the content of organization-defined audit fields within audit records.','The organization being inspected/assessed must employ information systems that provide the capability to sort audit records for events of interest based on the content of audit fields within audit records as defined in AU-7 (2), CCI 1884.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1886.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed employs information systems that provide the capability to sort audit records for events of interest based on the content of audit fields within audit records as defined in AU-7 (2), CCI 1884.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1886.'),(1887,'AU-7','2','The information system provides the capability to search audit records for events of interest based on the content of organization-defined audit fields within audit records.','The organization being inspected/assessed must employ information systems that provide the capability to search audit records for events of interest based on the content of audit fields within audit records as defined in AU-7 (2), CCI 1885.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1887.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed employs information systems that provide the capability to search audit records for events of interest based on the content of audit fields within audit records as defined in AU-7 (2), CCI 1885.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1887.'),(1888,'AU-8','','The organization defines the granularity of time measurement for time stamps generated for audit records.','DoD has defined the granularity of time measurement as one second.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the granularity of time measurement as one second.'),(1889,'AU-8','','The information system records time stamps for audit records that meets organization-defined granularity of time measurement.','The organization being inspected/assessed configures the information system to generate time in the time stamps for audit records that meets one second granularity of time measurement.\n \nDoD has defined the granularity of time measurement as one second.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1889.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to generate time in the time stamps for audit records that meets one second granularity of time measurement.\n \nDoD has defined the granularity of time measurement as one second.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1889.'),(1890,'AU-8','','The information system records time stamps for audit records that can be mapped to Coordinated Universal Time (UTC) or Greenwich Mean Time (GMT).','The organization being inspected/assessed configures the information system to generate  time stamps for audit records that contain time zones or time offsets that can be mapped to Coordinated Universal Time (UTC) or Greenwich Mean Time (GMT).\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1890.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to generate  time stamps for audit records that contain time zones or time offsets that can be mapped to Coordinated Universal Time (UTC) or Greenwich Mean Time (GMT).\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1890.'),(1891,'AU-8','1','The information system compares internal information system clocks on an organization-defined frequency with an organization-defined authoritative time source.','The organization being inspected/assessed configures the information system to synchronize internal information system clocks every 24 hours for networked systems with an authoritative time server which is synchronized with redundant United States Naval Observatory (USNO) time servers as designated for the appropriate DoD network (NIPRNet / SIPRNet) and/or the Global Positioning System (GPS) when the time difference is greater than the difference defined in AU-8 (1), CCI 1892.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1891.\n \nDoD has defined the frequency as every 24 hours for networked systems.\n \nDoD has defined the authoritative time source as an authoritative time server  which is synchronized with redundant United States Naval Observatory (USNO) time servers as designated for the appropriate DoD network (NIPRNet / SIPRNet) and/or the Global Positioning System (GPS).','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to synchronize internal information system clocks every 24 hours for networked systems with an authoritative time server which is synchronized with redundant United States Naval Observatory (USNO) time servers as designated for the appropriate DoD network (NIPRNet / SIPRNet) and/or the Global Positioning System (GPS) when the time difference is greater than the difference defined in AU-8 (1), CCI 1892.\n  \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1891.\n \nDoD has defined the frequency as every 24 hours for networked systems.\n \nDoD has defined the authoritative time source as an authoritative time server  which is synchronized with redundant United States Naval Observatory (USNO) time servers as designated for the appropriate DoD network (NIPRNet / SIPRNet) and/or the Global Positioning System (GPS).'),(1892,'AU-8','1','The organization defines the time difference which, when exceeded, will require the information system to synchronize the internal information system clocks to the organization-defined authoritative time source.','The organization being inspected/assessed defines and documents the time difference, which, when exceeded, will require the information system to synchronize the internal information system clocks.  \n \nDoD has determined the time difference is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented time difference to ensure the organization being inspected/assessed defines the time difference which, when exceeded, will require the information system to synchronize the internal information system clocks.\n \n DoD has determined the time difference is not appropriate to define at the Enterprise level.'),(1893,'AU-8','2','The information system identifies a secondary authoritative time source that is located in a different geographic region than the primary authoritative time source.','The organization being inspected/assessed configures the information system to use a secondary authoritative time source that is located in a different geographic region than the primary authoritative time source.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1893.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed uses a secondary authoritative time source that is located in a different geographic region than the primary authoritative time source.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1893.'),(1894,'AU-9','4','The organization defines the subset of privileged users who will be authorized access to the management of audit functionality.','The organization being inspected/assessed defines and documents the subset of privileged users to be authorized access to the management of audit functionality.\n \nDoD has determined the subset of privileged users is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented subset of privileged users to be authorized access to the management of audit functionality, to ensure the organization being inspected/assessed defines and documents the subset of privileged users to be authorized access to the management of audit functionality.\n \n \nDoD has determined the subset of privileged users is not appropriate to define at the Enterprise level.'),(1895,'AU-9','5','The organization defines the audit information requiring dual authorization for movement or deletion actions.','The organization being inspected/assessed defines and documents the audit information requiring dual authorization for movement or deletion actions.\n \nDoD has determined the audit information is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the definition of audit information requiring dual authorization for movement or deletion actions, to ensure the organization being inspected/assessed defines and documents the audit information requiring dual authorization for movement or deletion actions.\n \nDoD has determined the audit information is not appropriate to define at the Enterprise level.'),(1896,'AU-9','5','The organization enforces dual authorization for movement and/or deletion of organization-defined audit information.','The organization being inspected/assessed configures the information system to enforce dual authorization for movement and/or deletion of audit information defined in AU-9 (5), CCI 1895.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1896.','The organization conducting the inspection/assessment examines the information system to ensure that the organization being inspected/assessed has configured the information system to enforce dual authorization for movement and/or deletion of audit information defined in AU-9 (5), CCI 1895.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1896.'),(1897,'AU-9','6','The organization defines the subset of privileged users who will be authorized read-only access to audit information.','The organization being inspected/assessed defines and documents the subset of privileged users who will be authorized read-only access to audit information.\n \nDoD has determined that the subset of privileged users is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the subset of privileged users who will be authorized read-only access to audit information, to ensure the organization being inspected/assessed defines and documents subset of privileged users who will be authorized read-only access to audit information.\n \n \nDoD has determined that the subset of privileged users is not appropriate to define at the Enterprise level.'),(1898,'AU-9','6','The organization authorizes read-only access to audit information to organization-defined subset of privileged users.','The organization being inspected/assessed authorizes read only access to audit information to only the subset of privileged users defined in AU-9 (6), CCI 1897.','The organization conducting the inspection/assessment obtains and examines the documentation of read only access authorizations for audit information to ensure only the subset of privileged users defined in AU-9 (6), CCI 1897 have been granted access authorization.'),(1899,'AU-10','','The organization defines the action to be covered by non-repudiation.','DoD has defined the actions to be covered by non-repudiation as actions defined by DoDI 8520.02 and DoDI 8520.03. ','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n\nDoD has defined the actions to be covered by non-repudiation as actions defined by DoDI 8520.02 and DoDI 8520.03. \n  '),(1900,'AU-10','1','The organization defines the strength of binding to be applied to the binding of the identity of the information producer with the information.','The organization being inspected/assessed  defines and documents the strength of binding and where within the information system it has been implemented, to be applied to the binding of the identity of the information producer with the information.\n \nDoD has determined that the strength of binding is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented strength of binding to ensure the organization being inspected/assessed defines the strength of binding and where within the information system it has been implemented, to be applied to the binding of the identity of the information producer with the information.\n \nDoD has determined that the strength of binding is not appropriate to define at the Enterprise level.'),(1901,'AU-10','1','The information system binds the identity of the information producer with the information to organization-defined strength of binding.','The organization being inspected/assessed configures the information system to bind the identify  of the information producer with the information with the strength of binding defined in AU-10 (1) CCI 1900.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1901.','The organization conducting the inspection/assessment examines the information system to ensure the producer identity is bound to the information with the strength of binding defined in AU-10 (1) CCI 1900.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1901.'),(1902,'AU-10','1','The information system provides the means for authorized individuals to determine the identity of the producer of the information.','The organization being inspected/assessed configures the information system to provide a means for authorized individuals to determine the identity of the producer of the information.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1902.','The organization conducting the inspection/assessment examines the information system to ensure authorized individuals are able to determine the identity of the producer of the information.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1902.'),(1903,'AU-10','2','The organization defines the frequency on which the information system is to validate the binding of the information producer identity to the information.','DoD has defined the frequency as according to the tool\'s capability frequency, but at a minimum, upon first access or hourly in cases of continued access.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as according to the tool\'s capability frequency, but at a minimum, upon first access or hourly in cases of continued access.'),(1904,'AU-10','2','The information system validates the binding of the information producer identity to the information at organization-defined frequency.','The organization being inspected/assessed configures the information system to validate the binding of the information producer identity to the information according to the tool\'s capability frequency, but at a minimum, upon first access or hourly in cases of continued access.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1904.\n \nDoD has defined the frequency as according to the tool\'s capability frequency, but at a minimum, upon first access or hourly in cases of continued access.','The organization conducting the inspection/assessment examines the information system to ensure the information system is configured to validate the binding of the information producer identity to the information according to the tool\'s capability frequency, but at a minimum, upon first access or hourly in cases of continued access.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1904.\n \nDoD has defined the frequency as according to the tool\'s capability frequency, but at a minimum, upon first access or hourly in cases of continued access.'),(1905,'AU-10','2','The organization defines the actions to be performed in the event of an error when validating the binding of the information producer identity to the information.','The organization being inspected/assessed defines and documents the actions to be performed in the event of an error when validating the binding of the information producer identity to the information.\n \nThe organization should consider the system\'s environment and impact of the errors when defining the actions.\n \nExamples of actions include automated notification to administrators, halt system process or read action\n \nDoD has determined the actions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented actions to ensure the organization being inspected/assessed defines the actions to be performed in the event of an error when validating the binding of the information producer identity to the information.\n \nDoD has determined the actions are not appropriate to define at the Enterprise level.'),(1906,'AU-10','2','The information system performs organization-defined actions in the event of an error when validating the binding of the information producer identity to the information.','The organization being inspected/assessed configures the information system to perform the actions defined in AU-10 (2), CCI 1905 in the event of an error when validating the binding of the information producer identity to the information.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1906.','The organization conducting the inspection/assessment examines the information system to ensure the information system is configured to perform the actions defined in AU-10 (2), CCI 1905 in the event of an error when validating the binding of the information producer identity to the information.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1906.'),(1907,'AU-10','4','The organization defines the security domains which will require the information system validate the binding of the information reviewer identity to the information at the transfer or release points prior to release/transfer.','The organization being inspected/assessed defines and documents the security domains  which require the information system validate the binding of the information reviewer identity to the information at the transfer or release points prior to release/transfer.\n \nDoD has determined the security domains are not appropriate to define at the Enterprise level.\n \nNote: Security domain as defined by CNSSI 4009.','The organization conducting the inspection/assessment obtains and examines the documented security domains to ensure the organization being inspected/assessed defines the security domains which require the information system validate the binding of the information reviewer identity to the information at the transfer or release points prior to release/transfer.\n \nDoD has determined the security domains are not appropriate to define at the Enterprise level.'),(1908,'AU-10','4','The organization defines the action the information system is to perform in the event of a information reviewer identity binding validation error.','The organization being inspected/assessed defines and documents the actions the information system is to perform in the event of a information reviewer identity binding validation error.  At a minimum, the actions must include alerting the data/information owner of a validation error on a reviewers identity.\n \nDoD has determined that all actions are not appropriate to define at the Enterprise level.    At a minimum, the actions must include alerting the data/information owner of a validation error on a reviewers identity.','The organization conducting the inspection/assessment obtains and examines the documented actions to ensure the organization being inspected/assessed defines the actions the information system is to perform in the event of a information reviewer identity binding validation error.  At a minimum, the actions must include alerting the data/information owner of a validation error on a reviewers identity.\n \nDoD has determined that all actions are not appropriate to define at the Enterprise level.    At a minimum, the actions must include alerting the data/information owner of a validation error on a reviewers identity.'),(1909,'AU-10','4','The information system performs organization-defined actions in the event of an information reviewer identity binding validation error.','The organization being inspected/assessed configures the information system to perform actions defined in AU-10 (4), CCI 1908 in the event of an information reviewer identity binding validation error.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1909.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to perform actions defined in AU-10 (4), CCI 1908 in the event of an information reviewer identity binding validation error.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1909.'),(1910,'AU-12','','The organization defines the personnel or roles allowed select which auditable events are to be audited by specific components of the information system.','DoD has defined the personnel or roles as the ISSM or individuals appointed by the ISSM.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n\nDoD has defined the personnel or roles as the ISSM or individuals appointed by the ISSM.'),(1911,'AU-12','3','The organization defines the selectable event criteria to be used as the basis for changes to the auditing to be performed on organization-defined information system components, by organization-defined individuals or roles, within organization-defined time thresholds.','The organization being inspected/assessed defines and documents the selectable event criteria for which changed auditing is to be performed.\n \nDoD has determined the selectable event criteria is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented selectable event criteria to ensure the organization being inspected/assessed defines the selectable event criteria for which changed auditing is to be performed.\n \nDoD has determined the selectable event criteria is not appropriate to define at the Enterprise level.'),(1912,'AU-12','3','The organization defines the time thresholds for organizational-defined individuals or roles to change the auditing to be performed based on organization-defined selectable event criteria.','The organization being inspected/assessed defines and documents the time thresholds for individuals or roles to change the auditing to be performed on information system components based on selectable event criteria defined in AU-12 (3), CCI 1911 occurs.\n \nDoD has determined the time thresholds are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented time thresholds to ensure the organization being inspected/assessed defines  the time thresholds for individuals or roles to change the auditing to be performed on information system components based on selectable event criteria defined in AU-12 (3), CCI 1911 occurs.\n \nDoD has determined the time thresholds are not appropriate to define at the Enterprise level.'),(1913,'AU-12','3','The organization defines the individuals or roles that are to be provided the capability to change the auditing to be performed based on organization-defined selectable event criteria, within organization-defined time thresholds.','The organization being inspected/assessed defines and documents the individuals or roles that are to be provided the capability to change the auditing to be performed based on the selectable event criteria defined in AU-12 (3), CCI 1911, within the time thresholds defined in AU-12 (3), CCI 1912.\n \nDoD has determined that the individuals or roles are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented individuals or roles to ensure the organization being inspected/assessed defines the individuals or roles that are to be provided the capability to change the auditing to be performed  based on the selectable event criteria defined in AU-12 (3), CCI 1911, within the time thresholds defined in AU-12 (3), CCI 1912.\n \nDoD has determined that the individuals or roles are not appropriate to define at the Enterprise level.'),(1914,'AU-12','3','The information system provides the capability for organization-defined individuals or roles to change the auditing to be performed on organization-defined information system components based on organization-defined selectable event criteria within organization-defined time thresholds.','The organization being inspected/assessed configures the information system to provide the capability for  individuals or roles defined in AU-12 (3), CCI 1913 to change the auditing to be performed on information system components defined in AU-12 (3), CCI 2047 based on selectable event criteria defined in AU-12 (3), CCI 1911 within time thresholds defined in AU-12 (3), CCI 1912.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1914.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to provide the capability for  individuals or roles defined in AU-12 (3), CCI 1913 to change the auditing to be performed on information system components defined in AU-12 (3), CCI 2047 based on selectable event criteria defined in AU-12 (3), CCI 1911 within time thresholds defined in AU-12 (3), CCI 1912.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1914.'),(1915,'AU-13','','The organization defines the open source information and/or information sites to be monitored for evidence of unauthorized exfiltration or disclosure of organizational information.','The organization being inspected/assessed defines and documents the open source information and/or information sites to be monitored for evidence of unauthorized exfiltration or disclosure of organizational information.\n \nDoD has determined that open source information and/or information sites should be defined at the Component level, not appropriate to define at the Enterprise level. Note:  The value in this control may not be used to deny reciprocal acceptance of a C&A (A&A) package.','The organization conducting the inspection/assessment obtains and examines the documented open source information and/or information sites to ensure the organization being inspected/assessed defines  the open source information and/or information sites to be monitored for evidence of unauthorized exfiltration or disclosure of organizational information.\n  \nDoD has determined that open source information and/or information sites should be defined at the Component level, not appropriate to define at the Enterprise level. Note:  The value in this control may not be used to deny reciprocal acceptance of a C&A (A&A) package.'),(1916,'AU-13','1','The organization employs automated mechanisms to determine if organizational information has been disclosed in an unauthorized manner.','The organization being inspected/assessed documents and employs an automated mechanism to determine if organizational information has been disclosed in an unauthorized manner.','The organization conducting the inspection/assessment obtains and examines documentation of the use of the identified automated mechanisms to ensure that the identified system determines if organizational information has been disclosed in an unauthorized manner.\n \nThe organization being inspected/assessed may be required to demonstrate use of their identified automated mechanisms.'),(1917,'AU-13','2','The organization defines the frequency for reviewing the open source information sites being monitored.','The organization being inspected/assessed defines and documents the frequency for reviewing the open source information sites being monitored.\n \nDoD has determined that the frequency should be defined at the Component level, not appropriate to define at the Enterprise level. Note:  The value in this control may not be used to deny reciprocal acceptance of a C&A (A&A) package.','The organization conducting the inspection/assessment obtains and examines the documented frequency to ensure the organization being inspected/assessed defines the frequency for reviewing the open source information sites being monitored.\n \nDoD has determined that the frequency should be defined at the Component level, not appropriate to define at the Enterprise level. Note:  The value in this control may not be used to deny reciprocal acceptance of a C&A (A&A) package.'),(1918,'AU-13','2','The organization reviews the open source information sites being monitored per organization-defined frequency.','The organization being inspected/assessed documents and implements a process to review the open source information sites being monitored per the frequency defined in AU-13 (2), CCI 1917.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed reviews the open source information sites being monitored per the frequency defined in AU-13 (2), CCI 1917.'),(1919,'AU-14','','The information system provides the capability for authorized users to select a user session to capture/record or view/hear.','The organization being inspected/assessed configures the information system to provide the capability for authorized users to select a user session to capture/record or view/hear.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1919.','The organization conducting the inspection/assessments examines the information system to ensure the organization being inspected/assessed configures the information system to provide the capability for authorized users to select a user session to capture/record or view/hear.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1919.'),(1920,'AU-14','3','The information system provides the capability for authorized users to remotely view/hear all content related to an established user session in real time.','The organization being inspected/assessed configures the information system to provide the capability for authorized users to remotely view/hear all content related to an established user session in real time.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1920.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to provide the capability for authorized users to remotely view/hear all content related to an established user session in real time.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1920.');
REPLACE INTO `cci` (`id`, `control_id`, `enh_id`, `def`, `guidance`, `procedures`) VALUES (1921,'AU-15','','The organization defines the alternative audit functionality to be provided in the event of a failure in the primary audit capability.','The organization being inspected/assessed will define and document the alternative audit functionality to be provided in the event of a failure in the primary audit capability.  The organization shall consider trade-offs between the needs for system availability and audit integrity when defining the actions.\n \nUnless availability is an overriding concern, the default action should be to shut down the information system.\n \nDoD has determined that the actions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented alternative audit functionality to ensure the organization being inspected/assessed has defined the alternative audit functionality to be provided in the event of a failure in the primary audit capability. \n \nDoD has determined that the actions are not appropriate to define at the Enterprise level.'),(1922,'AU-15','','The organization provides an alternative audit capability in the event of a failure in primary audit capability that provides organization-defined alternative audit functionality.','The organization being inspected/assessed configures the information system to implement an alternative audit capability in the event of a failure in primary audit capability that provides the alternative audit functionality defined in AU-15, CCI 1921.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1922.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement an alternative audit capability in the event of a failure in primary audit capability that provides the alternative audit functionality defined in AU-15, CCI 1921.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1922.'),(1923,'AU-16','','The organization defines the audit information to be coordinated among external organizations when audit information is transmitted across organizational boundaries.','The organization being inspected/assessed defines and documents the audit information to be coordinated among external organizations when audit information is transmitted across organizational boundaries.\n \nDoD has determined the methods are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented audit information to ensure the organization being inspected/assessed defines the audit information to be coordinated among external organizations when audit information is transmitted across organizational boundaries.\n \nDoD has determined the methods are not appropriate to define at the Enterprise level.'),(1924,'AU-16','','The organization defines the methods to be employed when coordinating audit information among external organizations when audit information is transmitted across organizational boundaries.','The organization being inspected/assessed defines and documents the methods to be employed when coordinating audit information among external organizations when audit information is transmitted across organizational boundaries.\n \nDoD has determined the methods are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented methods to ensure the organization being inspected/assessed defines the methods to be employed when coordinating audit information among external organizations when audit information is transmitted across organizational boundaries.\n \nDoD has determined the methods are not appropriate to define at the Enterprise level.'),(1925,'AU-16','','The organization employs organization-defined methods for coordinating organization-defined audit information among external organizations when audit information is transmitted across organizational boundaries.','The organization being inspected/assessed documents and implements a process to employ the methods defined in AU-16, CCI 1924 for coordinating audit information defined in AU-16, CCI 1923 among external organizations when audit information is transmitted across organizational boundaries.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed employs a process to employ the methods defined in AU-16, CCI 1924 for coordinating audit information defined in AU-16, CCI 1923 among external organizations when audit information is transmitted across organizational boundaries.'),(1926,'AU-16','1','The organization requires that the identity of individuals be preserved in cross organizational audit trails.','The organization being inspected/assessed implements a process to ensure that the identity of individuals be preserved in cross organizational audit trails.','The organization conducting the inspection/assessment obtains and examines a sampling of cross organizational audit trails to ensure that the identify of individuals conducting audited actions is preserved.'),(1927,'AU-16','2','The organization defines the organizations that will be provided cross-organizational audit information.','The organization being inspected/assessed defines and documents the organizations that will be provided cross-organizational audit information.\n \nDoD has determined the cross-organizational sharing agreements are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented organizations to ensure the organization being inspected/assessed defines the organizations that will be provided cross-organizational audit information.\n \nDoD has determined the cross-organizational sharing agreements are not appropriate to define at the Enterprise level.'),(1928,'AU-16','2','The organization defines the cross-organizational sharing agreements to be established with organization-defined organizations authorized to be provided cross-organizational sharing of audit information.','The organization being inspected/assessed defines and documents the cross-organizational sharing agreements to be established with organizations defined in AU-16 (2), CCI 1927 authorized to be provided cross-organizational sharing of audit information.\n \nDoD has determined the cross-organizational sharing agreements are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented sharing agreements to ensure the organization being inspected/assessed defines the cross-organizational sharing agreements to be established with organizations defined in AU-16 (2), CCI 1927 authorized to be provided cross-organizational sharing of audit information.\n \nDoD has determined the cross-organizational sharing agreements are not appropriate to define at the Enterprise level.'),(1929,'AU-16','2','The organization provides cross-organizational audit information to organization-defined organizations based on organization-defined cross organizational sharing agreements.','The organization being inspected/assessed provides cross-organizational audit information to organizations defined in AU-16 (2), CCI 1927 based on cross organizational sharing agreements defined in AU-16 (2), CCI  1928.','The organization conducting the inspection/assessment obtains and examines the audit information that provides cross-organizational audit information  to organizations defined in AU-16 (2), CCI 1927 based on cross organizational sharing agreements defined in AU-16 (2), CCI  1928.'),(1930,'AU-1','','The organization defines the organizational personnel or roles to whom the audit and accountability policy is to be disseminated.','The organization being inspected/assessed defines and documents any personnel or roles, in addition to the ISSO or ISSM, to whom the audit and accountability policy is to be disseminated.  If there are no additional personnel or roles, the organization must also document that.\n \nDoD has defined the personnel or roles as the ISSO and ISSM and others as the local organization deems appropriate.','The organization conducting the inspection/assessment obtains and examines the documented list of personnel or roles to whom the audit and accountability policy is to be disseminated to ensure the organization being inspected/assessed has either defined additional personnel or roles, or identified that there are no additional personnel or roles.\n  \nDoD has defined the personnel or roles as the ISSO and ISSM and others as the local organization deems appropriate.'),(1931,'AU-1','','The organization defines the organizational personnel or roles to whom the audit and accountability procedures are to be disseminated.','The organization being inspected/assessed defines and documents any personnel or roles, in addition to the ISSO or ISSM, to whom the audit and accountability procedures are to be disseminated.  If there are no additional personnel or roles, the organization must also document that.\n \nDoD has defined the personnel or roles as the ISSO and ISSM and others as the local organization deems appropriate.','The organization conducting the inspection/assessment obtains and examines the documented list of personnel or roles to whom the audit and accountability procedures are to be disseminated to ensure the organization being inspected/assessed has either defined additional personnel or roles, or identified that there are no additional personnel or roles.\n  \nDoD has defined the personnel or roles as the ISSO and ISSM and others as the local organization deems appropriate.'),(1932,'IA-1','','The organization documents an identification and authentication policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','The organization being inspected/assessed develops and documents  an identification and authentication policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','The organization conducting the inspection/assessment obtains and examines the identification and authentication policy to ensure the organization being inspected/assessed develops and documents an identification and authentication policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.'),(1933,'IA-1','','The organization defines the personnel or roles to be recipients of the identification and authentication policy and the procedures to facilitate the implementation of the identification and authentication policy and associated identification and authentication controls.','The organization being inspected/assessed must define and document the personnel or roles to be recipients of the identification and authentication policy and the procedures to facilitate the implementation of the identification and authentication policy and associated identification and authentication controls.\n \nDoD has defined the personnel or roles to be recipients of the identification and authentication policy and the procedures as the ISSO and ISSM and others as the local organization deems appropriate.','The organization conducting the inspection/assessment obtains and examines the documentation of the personnel or roles to be recipients of the identification and authentication policy and the procedures to ensure that ISSO and ISSM and others as the local organization deems appropriate are defined.\n \nDoD has defined the personnel or roles to be recipients of the identification and authentication policy and the procedures as the ISSO and ISSM and others as the local organization deems appropriate.'),(1934,'IA-1','','The organization documents procedures to facilitate the implementation of the identification and authentication policy and associated identification and authentication controls.','The organization being inspected/assessed develops and documents identification and authentication procedures to facilitate the implementation of the identification and authentication policy and associated identification and authentication controls.','The organization conducting the inspection/assessment obtains and examines the identification and authentication procedures to ensure the organization being inspected/assessed develops and documents  identification and authentication procedures to facilitate the implementation of the identification and authentication policy and associated identification and authentication controls.'),(1935,'IA-2','6','The organization defines the strength of mechanism requirements for the device that is separate from the system gaining access to privileged accounts.','For the strength of mechanism requirements DoD has defined requirements as DoD PKI or a technology approved by their Authorizing Official, FIPS 140-2, NIAP Certification, or NSA approval.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nFor the strength of mechanism requirements DoD has defined requirements as DoD PKI or a technology approved by their Authorizing Official, FIPS 140-2, NIAP Certification, or NSA approval.'),(1936,'IA-2','6','The information system implements multifactor authentication for network access to privileged accounts such that one of the factors is provided by a device separate from the system gaining access.','The organization being inspected/assessed configures the information system to implement multifactor authentication for network access to privileged accounts such that one of the factors is provided by a device separate from the system gaining access. \n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1936.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement multifactor authentication for network access to privileged accounts such that one of the factors is provided by a device separate from the system gaining access. \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1936.'),(1937,'IA-2','6','The device used in the information system implementation of multifactor authentication for network access to privileged accounts meets organization-defined strength of mechanism requirements.','The organization being inspected/assessed will use DoD PKI or a technology approved by their Authorizing Official that meet Federal standards for authentication such as FIPS 140-2, NIAP Certification, or NSA approval.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1937.','The organization conducting the inspection/assessment obtains and examines the device used to ensure that the device implemented for multifactor authentication for network access to privileged accounts meets Federal standards for authentication such as FIPS 140-2, NIAP Certification, or NSA approval. \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1937.'),(1938,'IA-2','7','The organization defines the strength of mechanism requirements for the device that is separate from the system gaining access to non-privileged accounts.','For the strength of mechanism requirements DoD has defined requirements as DoD PKI or a technology approved by their Authorizing Official, FIPS 140-2, NIAP Certification, or NSA approval.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nFor the strength of mechanism requirements DoD has defined requirements as DoD PKI or a technology approved by their Authorizing Official, FIPS 140-2, NIAP Certification, or NSA approval.'),(1939,'IA-2','7','The information system implements multifactor authentication for network access to non-privileged accounts such that one of the factors is provided by a device separate from the system gaining access.','The organization being inspected/assessed configures the information system to implement multifactor authentication for network access to non-privileged accounts such that one of the factors is provided by a device separate from the system gaining access. \n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1939.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement multifactor authentication for network access to non-privileged accounts such that one of the factors is provided by a device separate from the system gaining access. \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1939,'),(1940,'IA-2','7','The device used in the information system implementation of multifactor authentication for network access to non-privileged accounts meets organization-defined strength of mechanism requirements.','The organization being inspected/assessed will use DoD PKI or a technology approved by their Authorizing Official that meet Federal standards for authentication such as FIPS 140-2, NIAP Certification, or NSA approval.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1940.','The organization conducting the inspection/assessment obtains and examines the device used to ensure that the device implemented for multifactor authentication for network access to non-privileged accounts meets Federal standards for authentication such as FIPS 140-2, NIAP Certification, or NSA approval. \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1940.'),(1941,'IA-2','8','The information system implements replay-resistant authentication mechanisms for network access to privileged accounts.','The organization being inspected/assessed configures the information system to implement replay-resistant authentication mechanisms for network access to privileged accounts.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1941.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement replay-resistant authentication mechanisms for network access to privileged accounts.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1941.'),(1942,'IA-2','9','The information system implements replay-resistant authentication mechanisms for network access to non-privileged accounts.','The organization being inspected/assessed configures the information system to  implement replay-resistant authentication mechanisms for network access to non-privileged accounts.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1942.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement replay-resistant authentication mechanisms for network access to non-privileged accounts.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1942.'),(1943,'IA-2','10','The organization defines the information system accounts for which single sign-on capability will be provided.','The organization being inspected/assessed defines and documents any accounts for which a single sign-on capability is provided.  \n \nFor single sign-on providers (creator/maintainer of the single sign-on user accounts) this will be a list of accounts or groups that are authorized to use single sign-on capability.  \n \nFor single sign-on services this will be a per provider list of accounts or groups authorized to use the service.\n \nDoD has determined the system services are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented list of system accounts to ensure the organization being inspected/assessed defines any accounts for which a single sign-on capability is provided.   \n \nDoD has determined the system services are not appropriate to define at the Enterprise level.'),(1944,'IA-2','10','The organization defines the information system services for which single sign-on capability will be provided.','The organization being inspected/assessed defines and documents any services (e.g., websites) for which a single sign-on capability is provided.\n \nDoD has determined the system services are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented system services to ensure the organization being inspected/assessed defines any services (e.g., websites) for which a single sign-on capability is provided. \n \nDoD has determined the system services are not appropriate to define at the Enterprise level.'),(1945,'IA-2','10','The information system provides a single sign-on capability for organization-defined list of information system accounts.','The organization being inspected/assessed configures the information system to  provide a single sign-on capability for the list of information system accounts defined in IA-2 (10), CCI 1943.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1945.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  provide a single sign-on capability for the list of information system accounts  defined in IA-2 (10), CCI 1943.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1945.'),(1946,'IA-2','10','The information system provides a single sign-on capability for organization-defined list of information system services.','The organization being inspected/assessed configures the information system to  provide a single sign-on capability for the list of information system services defined in IA-2 (10), CCI 1944.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1946.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  provide a single sign-on capability for the list of information system services defined in IA-2 (10), CCI 1944.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1946.'),(1947,'IA-2','11','The organization defines the strength of mechanism requirements for the device that is separate from the system gaining access and is to provide one factor of a multifactor authentication for remote access to privileged accounts.','For the strength of mechanism requirements DoD has defined requirements as DoD PKI or a technology approved by their Authorizing Official, FIPS 140-2, NIAP Certification, or NSA approval.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nFor the strength of mechanism requirements DoD has defined requirements as DoD PKI or a technology approved by their Authorizing Official, FIPS 140-2, NIAP Certification, or NSA approval.'),(1948,'IA-2','11','The information system implements multifactor authentication for remote access to privileged accounts such that one of the factors is provided by a device separate from the system gaining access.','The organization being inspected/assessed configures the information system to  implement multifactor authentication for remote access to privileged accounts such that one of the factors is provided by a device separate from the system gaining access.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1948.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  implement multifactor authentication for remote access to privileged accounts such that one of the factors is provided by a device separate from the system gaining access.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1948.'),(1949,'IA-2','11','The device used in the information system implementation of multifactor authentication for remote access to privileged accounts meets organization-defined strength of mechanism requirements.','The organization being inspected/assessed will use DoD PKI or a technology approved by their Authorizing Official that meet Federal standards for authentication such as FIPS 140-2, NIAP Certification, or NSA approval.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1949.','The organization conducting the inspection/assessment obtains and examines the device used to ensure that the device implemented for multifactor authentication for remote access to privileged accounts meets Federal standards for authentication such as FIPS 140-2, NIAP Certification, or NSA approval. \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1949.'),(1950,'IA-2','11','The organization defines the strength of mechanism requirements for the device that is separate from the system gaining access and is to provide one factor of a multifactor authentication for remote access to non-privileged accounts.','For the strength of mechanism requirements DoD has defined requirements as DoD PKI or a technology approved by their Authorizing Official, FIPS 140-2, NIAP Certification, or NSA approval.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nFor the strength of mechanism requirements DoD has defined requirements as DoD PKI or a technology approved by their Authorizing Official, FIPS 140-2, NIAP Certification, or NSA approval.'),(1951,'IA-2','11','The information system implements multifactor authentication for remote access to non-privileged accounts such that one of the factors is provided by a device separate from the system gaining access.','The organization being inspected/assessed configures the information system to  implement multifactor authentication for remote access to non-privileged accounts such that one of the factors is provided by a device separate from the system gaining access.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1951.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  implement multifactor authentication for remote access to non-privileged accounts such that one of the factors is provided by a device separate from the system gaining access.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1951.'),(1952,'IA-2','11','The device used in the information system implementation of multifactor authentication for remote access to non-privileged accounts meets organization-defined strength of mechanism requirements.','The organization being inspected/assessed will use DoD PKI or a technology approved by their Authorizing Official that meet Federal standards for authentication such as FIPS 140-2, NIAP Certification, or NSA approval.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1952.','The organization conducting the inspection/assessment obtains and examines the device used to ensure that the device implemented for multifactor authentication for remote access to non-privileged accounts meets Federal standards for authentication such as FIPS 140-2, NIAP Certification, or NSA approval. \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1952.'),(1953,'IA-2','12','The information system accepts Personal Identity Verification (PIV) credentials.','The organization being inspected/assessed configures the information system to accept PIV/CAC authentication.\n \nThis control enhancement applies to organizations implementing logical access control systems (LACS) and physical access control systems (PACS). \n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1953','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to accept PIV/CAC authentication.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1953.'),(1954,'IA-2','12','The information system electronically verifies Personal Identity Verification (PIV) credentials.','The organization being inspected/assessed configures the information system to verify PIV/CAC authentication.\n \nThis control enhancement applies to organizations implementing logical access control systems (LACS) and physical access control systems (PACS). \n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1954.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to verify PIV/CAC authentication.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1954.'),(1955,'IA-2','13','The organization defines the out-of-band authentication to be implemented by the information system under organization-defined conditions.','The organization being inspected/assessed defines and documents the out-of-band authentication to be implemented by the information system under organization-defined conditions.\n \nDoD has determined the out-of-band authentication is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented out-of-band authentication to ensure the organization being inspected/assessed defines the out-of-band authentication to be implemented by the information system under organization-defined conditions.\n \nDoD has determined the out-of-band authentication is not appropriate to define at the Enterprise level.'),(1956,'IA-2','13','The organization defines the conditions for which the information system implements organization-defined out-of-band authentication.','The organization being inspected/assessed defines and documents the conditions for which the information system implements organization-defined out-of-band authentication.\n \nDoD has determined the conditions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented conditions to ensure the organization being inspected/assessed defines  the conditions for which the information system implements organization-defined out-of-band authentication.\n \nDoD has determined the conditions are not appropriate to define at the Enterprise level.'),(1957,'IA-2','13','The information system implements organization-defined out-of-band authentication under organization-defined conditions.','The organization being inspected/assessed configures the information system to implement out-of-band authentication defined in IA-2 (13), CCI 1955 under conditions defined in IA-2 (13), CCI 1956.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1957.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement out-of-band authentication defined in IA-2 (13), CCI 1955 under conditions defined in IA-2 (13), CCI 1956.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1957.'),(1958,'IA-3','','The information system authenticates an organization defined list of specific and/or types of devices before establishing a local, remote, or network connection.','The organization being inspected/assessed configures the network infrastructure to authenticate all mobiles devices and network connected endpoint devices (including but not limited to: workstations, printers, servers (outside a datacenter), VoIP Phones, VTC CODECs) before establishing a local, remote, network connection.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1958.\n \nDoD has defined the value as all mobile devices and network connected endpoint devices (including but not limited to: workstations, printers, servers (outside a datacenter), VoIP Phones, VTC CODECs).  ','The organization conducting the inspection/assessment examine a sampling of the network infrastructure device configurations to ensure devices connecting to the infrastructure are uniquely authenticated.  \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1958.'),(1959,'IA-3','1','The organization defines the specific devices and/or type of devices the information system is to authenticate before establishing a connection.','DoD has defined the value as all network connected endpoint devices (including but not limited to: workstations, printers, servers (outside a datacenter), VoIP Phones, VTC CODECs).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the value as all network connected endpoint devices (including but not limited to: workstations, printers, servers (outside a datacenter), VoIP Phones, VTC CODECs).'),(1960,'IA-3','3','The organization defines the lease information to be assigned to devices.','The organization being inspected/assessed defines and documents the lease information to be assigned to devices.\n \nDoD has determined the lease information is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented lease information assigned to devices.\n  \nDoD has determined the lease information is not appropriate to define at the Enterprise level.'),(1961,'IA-3','3','The organization defines the lease duration to be assigned to devices.','The organization being inspected/assessed defines and documents the lease duration to be assigned to devices.\n \nDoD has determined the lease duration is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented lease duration to ensure the organization being inspected/assessed defines the lease duration to be assigned to devices.\n \n \nDoD has determined the lease duration is not appropriate to define at the Enterprise level'),(1962,'IA-3','3','The organization standardizes dynamic address allocation lease information assigned to devices in accordance with organization-defined lease information.','The organization being inspected/assessed configures the information system to grant leases containing organization defined lease information.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1962.','The organization conducting the inspection/assessment examines the information system granting the lease to ensure the organization configures the information system to implement dynamic address allocation in accordance with CCI  1961.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1962.'),(1963,'IA-3','3','The organization standardizes dynamic address allocation lease duration assigned to devices in accordance with organization-defined lease duration.','The organization being inspected/assessed configures the information system to grant the leases assigned to devices in accordance with organization-defined lease duration.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1963.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to grant the leases assigned to devices in accordance with organization-defined lease duration.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1963.'),(1965,'IA-3','4','The organization defines the configuration management process that is to handle the device authentication procedures.','The organization being inspected/assessed defines and documents the configuration management process that is to handle the device authentication procedures.\n \nDoD has determined the configuration management process is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented configuration management process to ensure the organization being inspected/assessed defines the configuration management process that is to handle the device authentication procedures.\n \nDoD has determined the configuration management process is not appropriate to define at the Enterprise level.'),(1966,'IA-3','4','The organization ensures that device identification based on attestation is handled by the organization-defined configuration management process.','The organization being inspected/assessed ensures that device identification based on attestation is handled by the configuration management process defined in IA-3 (4), CCI 1968.','The organization conducting the inspection/assessment obtains and examines the documented configuration management process to ensure the organization being inspected/assessed has device identification based on attestation handled via the configuration management process.'),(1967,'IA-3','1','The information system authenticates organization-defined devices and/or types of devices before establishing a local, remote and/or network connection using bidirectional authentication that is cryptographically based.','The organization being inspected/assessed configures the information system to use cryptographically based bidirectional authentication.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1967.','The organization conducting the inspection/assessment  examine a sampling of the network infrastructure device configurations to ensure devices connecting to the infrastructure use cryptographically based bidirectional authentication.  \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1967.'),(1968,'IA-3','4','The organization defines the configuration management process that is to handle the device identification procedures.','The organization being inspected/assessed defines and documents the configuration management process that is to handle the device identification procedures.\n \nDoD has determined the configuration management process is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented configuration management process to ensure the organization being inspected/assessed defines the configuration management process that is to handle the device identification procedures.\n \nDoD has determined the configuration management process is not appropriate to define at the Enterprise level.'),(1969,'IA-3','4','The organization ensures that device authentication based on attestation is handled by the organization-defined configuration management process.','The organization being inspected/assessed ensures that device authentication based on attestation is handled by the configuration management process defined in IA-3 (4), CCI 1965.','The organization conducting the inspection/assessment obtains and examines the documented configuration management process to ensure the organization being inspected/assessed has device authentication based on attestation handled via the configuration management process.'),(1970,'IA-4','','The organization defines the personnel or roles that authorize the assignment of individual, group, role, and device identifiers.','DoD has defined the personnel or roles as the ISSM or ISSO.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n\nDoD has defined the personnel or roles as the ISSM or ISSO.'),(1971,'IA-4','','The organization manages information system identifiers by receiving authorization from organization-defined personnel or roles to assign an individual, group, role or device identifier.','The organization being inspected/assessed implements a process to manage information system identifiers by receiving authorization from  the ISSM or ISSO  to assign an individual, group, role or device identifier.\n\nDoD has defined the personnel or roles as the ISSM or ISSO.','The organization conducting the inspection/assessment obtains and examines documentation and system configuration information to ensure the organization being inspected/assessed manages information system identifiers by receiving authorization from  the ISSM or ISSO to assign an individual, group, role or device identifier.\n\nDoD has defined the personnel or roles as the ISSM or ISSO.'),(1972,'IA-4','','The organization manages information system identifiers by selecting an identifier that identifies an individual, group, role, or device.','The organization being inspected/assessed implements a process to manage information system identifiers by selecting an identifier that identifies an individual, group, role, or device.','The organization conducting the inspection/assessment obtains and examines documentation or system configuration information to ensure the organization being inspected/assessed manages information system identifiers by selecting an identifier that identifies an individual, group, role, or device.'),(1973,'IA-4','','The organization manages information system identifiers by assigning the identifier to the intended individual, group, role, or device.','The organization being inspected/assessed implements a process to manage information system identifiers by assigning the identifier to the intended individual, group, role, or device.','The organization conducting the inspection/assessment obtains and examines documentation or system configuration information to ensure the organization being inspected/assessed manages information system identifiers by assigning the identifier to the intended individual, group, role, or device.'),(1974,'IA-4','','The organization defines the time period for which the reuse of identifiers is prohibited.','DoD has defined the time period as 1 year for user identifiers (DoD is not going to specify value for device identifier).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as 1 year for user identifiers (DoD is not going to specify value for device identifier).'),(1975,'IA-4','','The organization manages information system identifiers by preventing reuse of identifiers for an organization-defined time period.','The organization being inspected/assessed implements a process for information system identifiers to prevent reuse of identifiers for 1 year for user identifiers (DoD is not going to specify value for device identifier).\n \nDoD has defined the time period as 1 year for user identifiers (DoD is not going to specify value for device identifier).','The organization conducting the inspection/assessment obtains and examines documentation or system configuration information  to ensure the organization being inspected/assessed prevents the reuse of identifiers for 1 year for user identifiers (DoD is not going to specify value for device identifier).\n \nDoD has defined the time period as 1 year for user identifiers (DoD is not going to specify value for device identifier).'),(1976,'IA-4','5','The information system dynamically manages identifiers.','The organization being inspected/assessed configures the information system to dynamically manage identifiers.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1976.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to dynamically manage identifiers.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1976.'),(1977,'IA-4','6','The organization defines the external organizations with which it will coordinate for cross-management of identifiers.','DoD has defined the external organizations as any external organization that shares cross-organizational identifiers.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the external organizations as any external organization that shares cross-organizational identifiers.'),(1978,'IA-4','6','The organization coordinates with organization-defined external organizations for cross-organization management of identifiers.','The organization being inspected/assessed documents and implements a process to coordinate with any external organization that shares cross-organizational identifiers.\n \nDoD has defined the external organizations as any external organization that shares cross-organizational identifiers.','The organization conducting the inspection/assessment obtains and examines the documentation (e.g., Service Level Agreements (SLAs), Memorandum of Understanding (MOU), Memorandum of Agreement (MOA),  contracts, etc.) to ensure the organization being inspected/assessed implements a process to coordinate with any external organization that shares cross-organizational identifiers.\n \nDoD has defined the external organizations as any external organization that shares cross-organizational identifiers.'),(1979,'IA-4','7','The organization requires the registration process to receive an individual identifier be conducted in person before a designated registration authority.','The organization being inspected/assessed documents and implements a process to require the registration process to receive an individual identifier be conducted in person before a designated registration authority.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed  requires the registration process to receive an individual identifier be conducted in person before a designated registration authority.'),(1980,'IA-5','','The organization manages information system authenticators by verifying, as part of the initial authenticator distribution, the identity of the individual, group, role, or device receiving the authenticator.','The organization being inspected/assessed defines and documents procedures for the secure distribution of authenticators.  The process shall include verification of the identify of the individual, group, role, or device receiving the authenticator.','The organization conducting the inspection/assessment obtains and examines the documented procedures for the secure distribution of authenticators to ensure they have been defined and that they include a method to verify the identify of the individual, group, role, or device receiving the authenticator.'),(1981,'IA-5','','The organization manages information system authenticators by establishing administrative procedures for initial authenticator distribution.','The organization being inspected/assessed defines and documents procedures for the secure distribution of authenticators.','The organization conducting the inspection/assessment obtains and examines the documented procedures for the secure distribution of authenticators to ensure they have been defined.'),(1982,'IA-5','','The organization manages information system authenticators by establishing administrative procedures for lost/compromised authenticators.','The organization being inspected/assessed defines and documents procedures for lost/compromised authenticators.','The organization conducting the inspection/assessment obtains and examines the documented procedures for lost/compromised authenticators to ensure they have been defined.'),(1983,'IA-5','','The organization manages information system authenticators by establishing administrative procedures for damaged authenticators.','The organization being inspected/assessed defines and documents procedures for the secure disposal of damaged authenticators.','The organization conducting the inspection/assessment obtains and examines the documented procedures for the secure disposal of damaged authenticators to ensure they have been defined.'),(1984,'IA-5','','The organization manages information system authenticators by establishing administrative procedures for revoking authenticators.','The organization being inspected/assessed defines and documents procedures for  revoking authenticators.','The organization conducting the inspection/assessment obtains and examines the documented procedures for revoking authenticators to ensure the procedures are defined.'),(1985,'IA-5','','The organization manages information system authenticators by implementing administrative procedures for initial authenticator distribution.','The organization being inspected/assessed implements administrative procedures for initial authenticator distribution as documented in IA-5, CCIs 1980 & 1981.','The organization conducting the inspection/assessment obtains and examines records of initial authenticator distribution and interviews individuals responsible for authenticator distribution to ensure that the organization being inspected/assessed implements the process as defined in IA-5,  CCIs 1980 & 1981.'),(1986,'IA-5','','The organization manages information system authenticators by implementing administrative procedures for lost/compromised authenticators.','The organization being inspected/assessed implements administrative procedures for the response to lost/compromised authenticators as documented in IA-5, CCI 1982.','The organization conducting the inspection/assessment obtains and examines documented procedures for the response to lost/compromised authenticators to ensure that the organization being inspected/assessed implements the process as defined in IA-5,  CCI 1982.'),(1987,'IA-5','','The organization manages information system authenticators by implementing administrative procedures for damaged authenticators.','The organization being inspected/assessed implements administrative procedures for the response to damaged authenticators as documented in IA-5, CCI 1983.','The organization conducting the inspection/assessment obtains and examines documented procedures for the response to damaged authenticators to ensure that the organization being inspected/assessed implements the process as defined in IA-5,  CCI 1983.'),(1988,'IA-5','5','The organization requires developers/installers of information system components to provide unique authenticators or change default authenticators prior to delivery/installation.','The organization being inspected/assessed documents and enforces a requirement for developers/installers of information system components to provide unique authenticators or change default authenticators prior to delivery/installation.','The organization conducting the inspection/assessment obtains and examines the documented requirements placed upon developers/installers of information system components to ensure that there is a documented requirement to provide unique authenticators or change default authenticators prior to delivery/installation.'),(1989,'IA-5','','The organization manages information system authenticators by changing default content of authenticators prior to information system installation.','The organization being inspected/assessed documents and implements a procedures to change default authenticators prior to information system installation.','The organization conducting the inspection/assessment obtains and examines the documented procedures to change default authenticators to ensure the procedures are defined.\n \nThe organization conducting the inspection/assessment obtains and examines a sampling of authenticator age data for default accounts to ensure that default authenticators are changed prior to installation.'),(1990,'IA-5','','The organization manages information system authenticators by changing authenticators for group/role accounts when membership to those accounts changes.','The organization being inspected/assessed documents and implements procedures for changing authenticators for group/role accounts when membership to those accounts changes.','The organization conducting the inspection/assessment obtains and examines the documented procedures for group/role authenticator change to ensure the procedures are defined and applied when membership to those accounts changes.\n \nThe organization conducting the inspection/assessment obtains and examines a sampling of authenticator age data and documentation of personnel role changes to ensure that group/role authenticators are changed when membership changes.'),(1991,'IA-5','2','The information system, for PKI-based authentication, implements a local cache of revocation data to support path discovery and validation in case of inability to access revocation information via the network.','The information system must be configured to locally cache revocation data to support path discovery and validation in case of inability to access revocation information via the network.  The information system may meet this requirement by locally caching certificate revocation lists (CRLs), Online Certificate Status Protocol (OCSP) responses, or a combination thereof.  \n \nCached revocation data must include revocation information from all PKIs serving known or anticipated users of the information system.  Cached data must be refreshed with a frequency shorter than the life of the data (e.g. if a CRL is valid for 7 days, a new CRL must be retrieved and cached more frequently than every 7 days) to ensure that cached data is valid and not expired.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 1991.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed has configured the information system to locally cache revocation data (CRLs and/or OCSP responses) to support path discovery and validation in case of inability to access revocation information via the network.\n \nThe organization conducting the inspection/assessment examines the information system to ensure that revocation data is cached for all PKIs serving known or anticipated users of the information system.\n \nThe organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed has configured a process for the information system to refresh cached revocation data prior to the data’s expiration.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 1991.'),(1992,'IA-5','3','The organization defines the personnel or roles responsible for authorizing the organization\'s registration authority accountable for the authenticator registration process.','The DoD PKI Registration Authority (RA) – Local Registration Authority (LRA) Certification Practice Statement (CPS) defines the nomination process for DoD PKI RAs.  The NSS PKI DoD Registration Practice Statement (RPS) defines the nomination process for NSS PKI RAs for DoD.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD PKI RA-LRA CPS and NSS PKI DoD RPS.','The DoD PKI RA–LRA CPS defines the nomination process for DoD PKI RAs.  The NSS PKI DoD RPS defines the nomination process for NSS PKI RAs for DoD.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD PKI RA-LRA CPS and NSS PKI DoD RPS.'),(1993,'IA-5','3','The organization defines the registration authority accountable for the authenticator registration process.','The DoD PKI Certificate Policy (CP) defines the role and responsibilities of a DoD PKI Registration Authority (RA).  The NSS PKI CP defines the role and responsibilities of an NSS PKI RA.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD PKI CP and NSS PKI CP.','The DoD PKI CP defines the role and responsibilities of a DoD PKI Registration Authority (RA).  The NSS PKI CP defines the role and responsibilities of an NSS PKI RA.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD PKI CP and NSS PKI CP.'),(1994,'IA-5','3','The organization defines the types of and/or specific authenticators that are subject to the authenticator registration process.','The DoD PKI Certificate Policy (CP) defines DoD PKI subscribers (entities identified as the subject of PKI certificates) and the authentication requirements for issuance of credentials to subscribers.  The NSS PKI CP defines NSS PKI subscribers and the authentication requirements for issuance of credentials to subscribers.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD PKI CP and NSS PKI CP.','The DoD PKI CP defines DoD PKI subscribers and the authentication requirements for issuance of credentials to subscribers.  The NSS PKI CP defines NSS PKI subscribers and the authentication requirements for issuance of credentials to subscribers.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD PKI CP and NSS PKI CP.'),(1995,'IA-5','3','The organization requires that the registration process, to receive organization-defined types of and/or specific authenticators, be conducted in person, or by a trusted third-party, before organization-defined registration authority with authorization by organization-defined personnel or roles.','The DoD PKI Certificate Policy (CP) requires in-person authentication of DoD PKI applicants in accordance with each Certificate Management Authority’s (CMA’s) Certification Practice Statement (CPS) prior to issuance of credentials.  The NSS PKI CP requires in-person authentication of NSS PKI applicants by a Registration Authority (RA) or Trusted Agent (TA) prior to issuance of credentials.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD PKI CP and NSS PKI CP.','The DoD PKI CP requires in-person authentication of DoD PKI applicants in accordance with each CMA’s CPS prior to issuance of credentials.  The NSS PKI CP requires in-person authentication of NSS PKI applicants by an RA or TA prior to issuance of credentials.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD PKI CP and NSS PKI CP.'),(1996,'IA-5','4','The organization defines the requirements required by the automated tools to determine if password authenticators are sufficiently strong.','DoD has defined the requirements as the complexity as identified in IA-5 (1) Part A.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the requirements as the complexity as identified in IA-5 (1) Part A.'),(1997,'IA-5','4','The organization employs automated tools to determine if password authenticators are sufficiently strong to satisfy organization-defined requirements.','The organization being inspected/assessed implements automated tools to check passwords strength per the complexity requirements defined in IA-5 (1) Part A.','The organization conducting the inspection/assessment examines the automated tools and inspects the configuration of the automated tools to ensure that they are implemented to check password strength per the complexity requirements defined in IA-5 (1) Part A.'),(1998,'IA-5','','The organization manages information system authenticators by implementing administrative procedures for revoking authenticators.','The organization being inspected/assessed implements administrative procedures for revoking authenticators as documented in IA-5, CCI 1984.','The organization conducting the inspection/assessment obtains and examines documented procedures for revoking authenticators to ensure that the organization being inspected/assessed implements the process as defined in IA-5,  CCI 1984.'),(1999,'IA-5','9','The organization defines the external organizations to be coordinated with for cross-organization management of credentials.',' DoD has defined the external organizations as any external organization that shares cross-organizational identifiers.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n\nDoD has defined the external organizations as any external organization that shares cross-organizational identifiers.'),(2000,'IA-5','9','The organization coordinates with organization-defined external organizations for cross-organization management of credentials.','The organization being inspected/assessed documents and implements a process to coordinate with external organizations defined in IA-5 (9), CCI 1999 for cross-organization management of credentials.\n \nThe organization maintains records of coordination.','The organization conducting the inspection/assessment obtains and examines the documented process and a sampling of coordination records to ensure the organization being inspected/assessed coordinates with external organizations defined in IA-5 (9), CCI 1999 for cross-organization management of credentials.'),(2001,'IA-5','10','The information system dynamically provisions identities.','The organization being inspected/assessed configures the information system to dynamically provision identities.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2001.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to dynamically provision identities.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2001.'),(2002,'IA-5','11','The organization defines the token quality requirements to be employed by the information system mechanisms for token-based authentication.','DoDI 8520.03 defines types of authentication credentials that are acceptable for authentication to different systems based on the systems’ information sensitivity levels and the users’ access environments.  The definitions for credential strengths D, E and H found in DoDI 8520.03 Enclosure 3, Section 3 specifically deal with acceptable types of hardware PKI credentials.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD-level policy, DoDI 8520.03.','DoDI 8520.03 defines types of authentication credentials that are acceptable for authentication to different systems based on the systems’ information sensitivity levels and the users’ access environments.  The definitions for credential strengths D, E and H found in DoDI 8520.03 Enclosure 3, Section 3 specifically deal with acceptable types of hardware PKI credentials.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD-level policy, DoDI 8520.03.'),(2003,'IA-5','11','The information system, for token-based authentication, employs mechanisms that satisfy organization-defined token quality requirements.','The information system performing hardware token-based authentication must be configured to accept only DoD-approved PKI credentials in accordance with DoDI 8520.02 and DoDI 8520.03.  For unclassified systems, DoD-approved PKI credentials include DoD PKI credentials, External Certification Authority (ECA) PKI credentials, and DoD-approved external PKI credentials.  For SIPRNet, DoD-approved PKI credentials include DoD PKI credentials and NSS PKI credentials.\n \nIf the information system accepts DoD-approved external PKI credentials, the information system must be configured to accept only certificates at approved assurance levels, as represented by the Certificate Policy Object Identifiers (OIDs) asserted in the certificate.  The current list of DoD-approved external PKIs and acceptable Object Identifiers (OIDs) for each approved external PKI is available at http://iase.disa.mil/pki-pke/interoperability.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed has configured the information system to accept only DoD-approved PKI credentials in accordance with (IAW) DoDI 8520.02 and DoDI 8520.03.\nIf the information system accepts DoD-approved external PKI credentials, the organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed has configured the information system to accept only DoD-approved external PKI credentials that assert an approved Certificate Policy OID and reject credentials issued off of DoD-approved external PKIs that do not assert an approved OID.'),(2004,'IA-5','12','The organization defines the biometric quality requirements to be employed by the information system mechanisms for biometric-based authentication.','The organization being inspected/assessed defines and documents quality requirements to be employed by the information system mechanisms.  Quality requirements shall include minimum requirements for accurate identification.\n \nNIST has draft documentation for biometrics available at http://csrc.nist.gov/publications/PubsSPs.html.\n \nDoD has determined the biometric quality requirements are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines documented requirements to ensure they have been defined and include minimum requirements for accurate identification.\n \nDoD has determined the biometric quality requirements are not appropriate to define at the Enterprise level.'),(2005,'IA-5','12','The information system, for biometric-based authentication, employs mechanisms that satisfy organization-defined biometric quality requirements.','The organization being inspected/assessed configures the information system to employ mechanisms that satisfy biometric quality requirements as defined in IA-5 (12), CCI 2004 for biometric-based authentication. \n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2005.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to employ mechanisms that satisfy biometric quality requirements as defined in IA-5 (12), CCI 2004 for biometric-based authentication. \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2005.'),(2006,'IA-5','13','The organization defines the time period after which the use of cached authenticators are prohibited.','The organization being inspected/assessed defines and documents the time period after which the use of cached authenticators are prohibited.\n \nDoD has determined the time period is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented time period to ensure it has been defined.\n \nDoD has determined the time period is not appropriate to define at the Enterprise level.'),(2007,'IA-5','13','The information system prohibits the use of cached authenticators after an organization defined time period.','The organization being inspected/assessed configures the information system to prohibit the use of cached authenticators after an organization defined time period.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2007.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to prohibit the use of cached authenticators after an organization defined time period.\n  \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2007.'),(2008,'IA-5','14','The organization, for PKI-based authentication, employs a deliberate organization-wide methodology for managing the content of PKI trust stores installed across all platforms including networks, operating systems, browsers, and applications.','DoD trust store management requirements are defined in information system components’ applicable STIGs and SRGs.  All information systems are required to undergo a STIG compliance review as part of their certification and accreditation process prior to being granted an authority to operate.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD-level STIGs and SRGs.','DoD trust store management requirements are defined in information system components’ applicable STIGs and SRGs.  All information systems are required to undergo a STIG compliance review as part of their certification and accreditation process prior to being granted an authority to operate.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD-level STIGs and SRGs.'),(2009,'IA-8','1','The information system accepts Personal Identity Verification (PIV) credentials from other federal agencies.','The information system performing hardware token-based authentication must be configured to accept DoD-approved external PKI PIV credentials to authenticate federal agency users in accordance with DoDI 8520.02 and DoDI 8520.03.  The information system must be configured to accept only certificates at approved assurance levels, as represented by the Certificate Policy Object Identifiers (OIDs) asserted in the certificate.  The current list of DoD-approved external PKIs and acceptable Object Identifiers (OIDs) for each approved external PKI is available at http://iase.disa.mil/pki-pke/interoperability.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2009.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed has configured the information system to accept DoD-approved external PKI PIV credentials in accordance with DoDI 8520.02 and DoDI 8520.03.  \nThe organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed has configured the information system to accept only DoD-approved external PKI PIV credentials that assert an approved Certificate Policy OID and reject credentials issued off of DoD-approved external PKIs that do not assert an approved OID.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2009.'),(2010,'IA-8','1','The information system electronically verifies Personal Identity Verification (PIV) credentials from other federal agencies.','The information system performing hardware token-based authentication must be configured to validate DoD-approved external PKI PIV credentials to authenticate federal agency users in accordance with RFC 5280.  \n \nThe information system must be configured to perform a revocation check as part of the certificate validation process.  Revocation checking may be performed using certificate revocation lists (CRLs) published by the issuing PKI or Online Certificate Status Protocol (OCSP) services.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI  2010.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed has configured the information system to validate DoD-approved external PKI PIV credentials in accordance with RFC 5280.  \n \nThe organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed has configured the information system to perform a revocation check as part of the certificate validation process.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2010.'),(2011,'IA-8','2','The information system accepts FICAM-approved third-party credentials.','The organization being inspected/assessed configures the information system to accept Federal Identity,  Credential, and Access Management (FICAM)-approved third-party credentials.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2011.\n \nFICAM Guidance is available at http://www.idmanagement.gov.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to accept FICAM-approved third-party credentials\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2011.'),(2012,'IA-8','3','The organization defines the information systems which will employ only FICAM-approved information system components.','The organization being inspected/assessed defines and documents the information systems which will employ only Federal Identity, Credential, and Access Management (FICAM)-approved information system components.\n \nDoD has determined the information systems are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information systems to ensure they have been defined.\n \nDoD has determined the information systems are not appropriate to define at the Enterprise level.'),(2013,'IA-8','3','The organization employs only FICAM-approved information system components in organization-defined information systems to accept third-party credentials.','The organization being inspected/assessed employs only Federal Identity, \nCredential, and Access Management (FICAM)-approved information system components to accept third-party credentials in information systems defined in IA-8 (3), CCI 2012.\n \nFICAM Guidance is available at http://www.idmanagement.gov.','The organization conducting the inspection/assessment obtains and examines the list of information system components in use to ensure the organization being inspected/assessed uses only FICAM-approved components in information systems defined in IA-8 (3), CCI 2012.'),(2014,'IA-8','4','The information system conforms to FICAM-issued profiles.','The organization being inspected/assessed configures the information system to conform to Federal Identity, Credential, and Access Management (FICAM)-issued profiles.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2014.\n \nFICAM Guidance is available at http://www.idmanagement.gov.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to conform to FICAM-issued profiles.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2014.'),(2015,'IA-8','5','The information system accepts Personal Identity Verification-I (PIV-I) credentials.','The information system performing hardware token-based authentication must be configured to accept DoD-approved external PKI PIV-I credentials in accordance with DoDI 8520.02, DoDI 8520.03, and DoD CIO Memorandum “Department of Defense Requirements for Accepting Non-Federally Issued Identity Credentials” dated 24 January 2013.  The information system must be configured to accept only certificates at approved assurance levels, as represented by the Certificate Policy Object Identifiers (OIDs) asserted in the certificate.  The current list of DoD-approved external PKIs and acceptable Object Identifiers (OIDs) for each approved external PKI is available at http://iase.disa.mil/pki-pke/interoperability.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2015.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed has configured the information system to accept DoD-approved external PKI PIV-I credentials in accordance with DoDI 8520.02, DoDI 8520.03, and DoD CIO Memorandum “Department of Defense Requirements for Accepting Non-Federally Issued Identity Credentials” dated 24 January 2013.  \nThe organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed has configured the information system to accept only DoD-approved external PKI PIV-I credentials that assert an approved Certificate Policy OID and reject credentials issued off of DoD-approved external PKIs that do not assert an approved OID.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2015.'),(2016,'IA-8','5','The information system electronically verifies Personal Identity Verification-I (PIV-I) credentials.','The information system performing hardware token-based authentication must be configured to validate DoD-approved external PKI PIV-I credentials in accordance with RFC 5280.  \n \nThe information system must be configured to perform a revocation check as part of the certificate validation process.  Revocation checking may be performed using certificate revocation lists (CRLs) published by the issuing PKI or Online Certificate Status Protocol (OCSP) services.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2016.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed has configured the information system to validate DoD-approved external PKI PIV-I credentials in accordance with RFC 5280.  \n \nThe organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed has configured the information system to perform a revocation check as part of the certificate validation process.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2016.'),(2017,'IA-9','','The organization defines the information system services requiring identification.','The organization being inspected/assessed defines and documents the  information system services requiring identification.\n \nDoD has determined the information system services are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system services to ensure they have been defined.\n \nDoD has determined the information system services are not appropriate to define at the Enterprise level.'),(2018,'IA-9','','The organization defines the information system services requiring authentication.','The organization being inspected/assessed defines and documents the  information system services requiring authentication.\n \nDoD has determined the information system services are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system services to ensure they have been defined.\n \nDoD has determined the information system services are not appropriate to define at the Enterprise level.'),(2019,'IA-9','','The organization defines the security safeguards to be used when identifying information system services.','The organization being inspected/assessed defines and documents the security safeguards to be used when identifying information system services.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security safeguards to ensure they have been defined and offers sufficient security.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(2020,'IA-9','','The organization defines the security safeguards to be used when authenticating information system services.','The organization being inspected/assessed defines and documents the security safeguards to be used when authenticating information system services.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security safeguards to ensure they have been defined and offers sufficient security.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(2021,'IA-9','','The organization identifies organization-defined information system services using organization-defined security safeguards.','The organization being inspected/assessed documents and implements a process to identify information system services defined in IA-9, CCIs 2017 & 2018 using security safeguards defined in IA-9, CCIs 2019-2020.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed identifies information system services defined in IA-9, CCIs 2017 & 2018 using security safeguards defined in IA-9, CCIs 2019-2020.'),(2022,'IA-9','','The organization authenticates organization-defined information system services using organization-defined security safeguards.','The organization being inspected/assessed documents and implements a process to authenticate information system services defined in IA-9, CCIs 2017 & 2018 using security safeguards defined in IA-9, CCIs 2019-2020.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed authenticates information system services defined in IA-9, CCIs 2017 & 2018 using security safeguards defined in IA-9, CCIs 2019-2020.'),(2023,'IA-9','1','The organization ensures that service providers receive identification information.','The organization being inspected/assessed implements a process to ensure that service providers receive identification information.','The organization conducting the inspection/assessment reviews the process to ensure that service providers receive identification information to ensure the process is effectively implemented.'),(2024,'IA-9','1','The organization ensures that service providers validate identification information.','The organization being inspected/assessed implements a process to ensure that service providers validate identification information.','The organization conducting the inspection/assessment reviews the process to ensure that service providers validate identification information to ensure the process is effectively implemented.'),(2025,'IA-9','1','The organization ensures that service providers transmit identification information.','The organization being inspected/assessed implements a process to ensure that service providers transmit identification information.','The organization conducting the inspection/assessment reviews the process to ensure that service providers transmit identification information to ensure the process is effectively implemented.'),(2026,'IA-9','1','The organization ensures that service providers receive authentication information.','The organization being inspected/assessed implements a process to ensure that service providers receive authentication information.','The organization conducting the inspection/assessment reviews the process to ensure that service providers receive authentication information to ensure the process is effectively implemented.'),(2027,'IA-9','1','The organization ensures that service providers validate authentication information.','The organization being inspected/assessed implements a process to ensure that service providers validate authentication information.','The organization conducting the inspection/assessment reviews the process to ensure that service providers validate authentication information to ensure the process is effectively implemented. .'),(2028,'IA-9','1','The organization ensures that service providers transmit authentication information.','The organization being inspected/assessed implements a process to ensure that service providers transmit authentication information.','The organization conducting the inspection/assessment reviews the process to ensure that service providers transmit authentication information to ensure the process is effectively implemented.'),(2029,'IA-9','2','The organization defines the services between which identification decisions are to be transmitted.','The organization being inspected/assessed defines and documents  the services between which identification decisions are to be transmitted.\n \nDoD has determined the services are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented services to ensure they have been defined.\n \nDoD has determined the services are not appropriate to define at the Enterprise level.'),(2030,'IA-9','2','The organization defines the services between which authentication decisions are to be transmitted.','The organization being inspected/assessed defines and documents  the services between which authentication decisions are to be transmitted.\n \nDoD has determined the services are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented services to ensure they have been defined.\n \nDoD has determined the services are not appropriate to define at the Enterprise level.'),(2031,'IA-9','2','The organization ensures that identification decisions are transmitted between organization-defined services consistent with organizational policies.','The organization being inspected/assessed implements a process to ensure that identification decisions are transmitted between services defined in IA-9 (2), CCI 2029 consistent with organizational policies.','The organization conducting the inspection/assessment reviews the process to ensure the organization being inspected/assessed implements policies for transmitting identification decisions between services defined in IA-9 (2), CCI 2029.'),(2032,'IA-9','2','The organization ensures that authentication decisions are transmitted between organization-defined services consistent with organizational policies.','The organization being inspected/assessed implements a process to ensure that authentication decisions are transmitted between services defined in IA-9 (2), CCI 2030 consistent with organizational policies.','The organization conducting the inspection/assessment reviews the process to ensure the organization being inspected/assessed implements policies for transmitting authentication decisions between services defined in IA-9 (2), CCI 2030.'),(2033,'IA-10','','The organization defines the specific circumstances or situations when individuals accessing an information system employ organization-defined supplemental authentication techniques or mechanisms.','The organization being inspected/assessed defines and documents the specific circumstances or situations when individuals accessing an information system employ organization-defined supplemental authentication techniques or mechanisms.\n \nDoD has determined the circumstances or situations are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented circumstances or situations to ensure they have been defined.\n \nDoD has determined the circumstances or situations are not appropriate to define at the Enterprise level.'),(2034,'IA-10','','The organization defines the supplemental authentication techniques or mechanisms to be employed in specific organization-defined circumstances or situations by individuals accessing the information system.','The organization being inspected/assessed defines and documents the supplemental authentication techniques or mechanisms to be employed in specific organization-defined circumstances or situations by individuals accessing the information system.\n \nDoD has determined the supplemental authentication techniques or mechanisms are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented supplemental authentication techniques or mechanisms to ensure they have been defined. \n \nDoD has determined the supplemental authentication techniques or mechanisms are not appropriate to define at the Enterprise level.'),(2035,'IA-10','','The organization requires that individuals accessing the information system employ organization-defined supplemental authentication techniques or mechanisms under specific organization-defined circumstances or situations.','The organization being inspected/assessed implements a process to require that individuals accessing the information system employ supplemental authentication techniques or mechanisms defined in IA-10, CCI 2034 under specific circumstances or situations defined in IA-10, CCI 2033.','The organization conducting the inspection/assessment reviews the process to ensure the organization being inspected/assessed requires that individuals accessing the information system employ supplemental authentication techniques or mechanisms defined in IA-10, CCI 2034 under specific circumstances or situations defined in IA-10, CCI 2033.'),(2036,'IA-11','','The organization defines the circumstances or situations when users will be required to reauthenticate.','The organization being inspected/assessed defines and documents the circumstances or situations when users will be required to reauthenticate.\n \nDoD has determined the circumstances or situations are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented circumstances or situations to ensure they have been defined.\n \nDoD has determined the circumstances or situations are not appropriate to define at the Enterprise level.'),(2037,'IA-11','','The organization defines the circumstances or situations when devices will be required to reauthenticate.','The organization being inspected/assessed defines and documents the circumstances or situations when devices will be required to reauthenticate.\n \nDoD has determined the circumstances or situations are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented circumstances or situations to ensure they have been defined.\n \nDoD has determined the circumstances or situations are not appropriate to define at the Enterprise level.'),(2038,'IA-11','','The organization requires users to reauthenticate when organization-defined circumstances or situations requiring reauthentication.','The organization being inspected/assessed implements a process to require users to reauthenticate when circumstances or situations requiring reauthentication as defined in IA-11, CCI 2036.','The organization conducting the inspection/assessment reviews the process to ensure the organization being inspected/assessed requires users to reauthenticate when circumstances or situations requiring reauthentication as defined in IA-11, CCI 2036.'),(2039,'IA-11','','The organization requires devices to reauthenticate when organization-defined circumstances or situations requiring reauthentication.','The organization being inspected/assessed implements a process to require devices to reauthenticate when circumstances or situations requiring reauthentication as defined in IA-11, CCI 2037.','The organization conducting the inspection/assessment reviews the process to ensure the organization being inspected/assessed requires devices to reauthenticate when circumstances or situations requiring reauthentication as defined in IA-11, CCI 2037.'),(2040,'IA-4','2','The organization requires that the registration process to receive an individual identifier includes supervisor authorization.','The organization being inspected/assessed documents and implements a process that requires supervisor authorization to assign individual identifiers.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed requires supervisor authorization to assign individual identifiers.'),(2041,'IA-5','1','The information system allows the use of a temporary password for system logons with an immediate change to a permanent password.','The organization being inspected/assessed configures the information system to  allow the use of a temporary password for system logons with an immediate change to a permanent password.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2041.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to allow the use of a temporary password for system logons with an immediate change to a permanent password.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2041.'),(2042,'IA-5','','The organization manages information system authenticators by protecting authenticator content from unauthorized modification.','The organization being inspected/assessed configures the information system to manage information system authenticators by protecting authenticator content from unauthorized modification.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2042.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  manage information system authenticators by protecting authenticator content from unauthorized modification.\n  \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2042.'),(2043,'IA-5','15','The organization uses only FICAM-approved path discovery and validation products and services.','The organization being inspected/assessed uses only Federal Identity, \nCredential, and Access Management (FICAM)-approved path discovery and validation products and services.\n \nFICAM Guidance is available at http://www.idmanagement.gov.','The organization conducting the inspection/assessment obtains and examines the list of path discovery and validation products and services in use to ensure the organization being inspected/assessed uses only FICAM-approved path discovery and validation products and services.'),(2044,'AU-11','1','The organization defines measures to be employed to ensure that long-term audit records generated by the information system can be retrieved.','The organization being inspected/assessed defines and documents measures to be employed to ensure that long-term audit records generated by the information system can be retrieved.\n \nDoD has determined that the measures are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented measures to ensure the organization being inspected/assessed defines measures to be employed to ensure that long-term audit records generated by the information system can be retrieved.\n \nDoD has determined that the measures are not appropriate to define at the Enterprise level.'),(2045,'AU-11','1','The organization employs organization-defined measures to ensure that long-term audit records generated by the information system can be retrieved.','The organization being inspected/assessed employs the measures defined in AU-11 (1), CCI 2044 to ensure that long-term audit records generated by the information system can be retrieved.','The organization conducting the inspection/assessment obtains and examines the documented measures to ensure the organization being inspected/assessed employs the measures defined in AU-11 (1), CCI 2044 to ensure that long-term audit records generated by the information system can be retrieved.'),(2046,'AU-8','1','The information system synchronizes the internal system clocks to the authoritative time source when the time difference is greater than the organization-defined time period.','The organization being inspected/assessed configures the information system to synchronize the internal system clocks to the authoritative time source when the time difference is greater than the time period defined in AU-8 (1), CCI 1892.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2046.','The organization conducting the inspection/assessment examines the information system to ensure the system synchronizes the internal system clocks to the authoritative time source when the time difference is greater than the time period defined in AU-8 (1), CCI 1892.\n  \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2046.'),(2047,'AU-12','3','The organization defines the information system components on which the auditing that is to be performed can be changed by organization-defined individuals or roles.','The organization being inspected/assessed defines and documents the information system components on which the auditing that is to be performed can be changed by individuals or roles defined in AU-12 (3), CCI 1913.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system components to ensure the organization being inspected/assessed has defined the information system components on which the auditing that is to be performed can be changed by the individuals or roles defined in AU-12 (3), CCI 1913.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.'),(2048,'AT-1','','The organization defines the personnel or roles to whom the security awareness and training policy is disseminated.','DoD has defined the personnel or roles as all personnel.\n \nDoD disseminates DoDD 8570.01 organization-wide via the DoD Issuances website.\nhttp://www.dtic.mil/whs/directives/corres/dir.html','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as all personnel.'),(2049,'AT-1','','The organization defines the personnel or roles to whom the security awareness and training procedures are disseminated.','DoD has defined the personnel or roles as all personnel.\n','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as all personnel.'),(2050,'AT-3','1','The organization defines the personnel or roles to whom initial and refresher training in the employment and operation of environmental controls is to be provided.','The organization being inspected/assessed defines and documents the personnel or roles to whom initial and refresher training in the employment and operation of environmental controls is to be provided.\n \nDoD has determined the personnel or roles are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented personnel or roles to ensure the organization being inspected/assessed defines the personnel or roles to whom initial and refresher training in the employment and operation of environmental controls is to be provided.\n \nDoD has determined the personnel or roles are not appropriate to define at the Enterprise level.'),(2051,'AT-3','2','The organization defines the personnel or roles to  whom initial and refresher training in the employment and operation of physical security controls is to be provided.','The organization being inspected/assessed defines and documents the personnel or roles to  whom initial and refresher training in the employment and operation of physical security controls is to be provided.\n \nDoD has determined the personnel or roles are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented personnel or roles to ensure the organization being inspected/assessed defines the personnel or roles to  whom initial and refresher training in the employment and operation of physical security controls is to be provided.\n \nDoD has determined the personnel or roles are not appropriate to define at the Enterprise level.'),(2052,'AT-3','3','The organization includes practical exercises in security training that reinforce training objectives.','The organization being inspected/assessed includes practical exercises in security training that reinforce training objectives.','The organization conducting the inspection/assessment obtains and examines the security training materials to ensure the organization being inspected/assessed includes practical exercises in security training that reinforce training objectives.'),(2053,'AT-3','4','The organization provides training to its personnel on organization-defined indicators of malicious code to recognize suspicious communications and anomalous behavior in organizational information systems.','The organization being inspected/assessed provides training to its personnel on  indicators of malicious code defined in AT-3 (4), CCI 2054 to recognize suspicious communications and anomalous behavior in organizational information systems.','The organization conducting the inspection/assessment obtains and examines the training materials and indicators of malicious code defined in AT-3 (4), CCI 2054 to ensure the organization being inspected/assessed provides users with the means to recognize suspicious communications and anomalous behavior in organizational information systems.'),(2054,'AT-3','4','The organization defines indicators of malicious code to recognize suspicious communications and anomalous behavior in organizational information systems.','The organization being inspected/assessed defines and documents indicators of malicious code to recognize suspicious communications and anomalous behavior in organizational information systems.\n \nDoD has determined the indicators are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented indicators to ensure the organization being inspected/assessed defines indicators of malicious code to recognize suspicious communications and anomalous behavior in organizational information systems.\n \nDoD has determined the indicators are not appropriate to define at the Enterprise level.'),(2055,'AT-2','2','The organization includes security awareness training on recognizing and reporting potential indicators of insider threat.','The IA Awareness CBT, \"Cyber Awareness Challenge,\" and Virtual Training Environment (VTE) Courses: \"Introduction to Insider Threat\" and \"Monitoring for Insider Threat\" available on the IASE website meet the DoD requirement to include security awareness training on recognizing and reporting potential indicators of insider threat.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level training available on the IASE website.','The IA Awareness CBT, \"Cyber Awareness Challenge,\" and Virtual Training Environment (VTE) Courses: \"Introduction to Insider Threat\" and \"Monitoring for Insider Threat\" available on the IASE website meet the DoD requirement to include security awareness training on recognizing and reporting potential indicators of insider threat.\n  \nDoD Components are automatically compliant with this control because they are covered by the DoD level training available on the IASE website.'),(2056,'CM-3','','The organization defines the time period the record of configuration-controlled changes are to be retained.','DoD has defined the time period as a time period defined by the organization\'s CCB.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n\nDoD has defined the time period as a time period defined by the organization\'s CCB.'),(2057,'CM-3','1','The organization defines the personnel to be notified when approved changes to the information system are completed.','The organization being inspected/assessed defines and documents the personnel to be notified when approved changes to the information system are completed, which must include, at a minimum, the CCB.\n \nDoD has defined the personnel as at a minimum, the CCB.','The organization conducting the inspection/assessment obtains and examines the documented personnel to ensure the organization being inspected/assessed defines  the personnel to be notified when approved changes to the information system are completed, which must include, at a minimum, the CCB.\n \nDoD has defined the personnel as at a minimum, the CCB.'),(2058,'CM-3','1','The organization employs automated mechanisms to notify organization-defined personnel when approved changes to the information system are completed.','The organization being inspected/assessed notifies  at a minimum, the CCB when approved changes to the information system are completed.\n \nThe organization must maintain an audit trail of notifications of completed changes to the information system.\n \nDoD has defined the personnel as at a minimum, the CCB.','The organization conducting the inspection/assessment obtains and examines the audit trail of notifications of completed changes to the information system to ensure the organization being inspected/assessed notifies at a minimum, the CCB when approved changes to the information system are completed.\n \nDoD has defined the personnel as at a minimum, the CCB.\n'),(2059,'CM-6','1','The organization defines the information system components for which the organization will employ automated mechanisms to centrally manage, apply, and verify configuration settings.','The organization being inspected/assessed defines and documents the  information system components for which the organization will employ automated mechanisms to centrally manage, apply, and verify configuration settings.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examine the documented  information system components to ensure the organization being inspected/assessed defines the information system components for which the organization will employ automated mechanisms to centrally manage, apply, and verify configuration settings.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.'),(2061,'CA-1','','The organization defines the personnel or roles to whom security assessment and authorization policy is to be disseminated.','DoD has defined the personnel or roles as all personnel.\n \nDoD disseminates DoDI 8510.01 organization-wide via the DoD Issuances website.\nhttp://www.dtic.mil/whs/directives/corres/ins1.html','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as all personnel.'),(2062,'CA-1','','The organization defines the personnel or roles to whom the security assessment and authorization procedures are to be disseminated.','DoD has defined the personnel or roles as all personnel.\n','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as all personnel.'),(2063,'CA-2','1','The organization defines the level of independence for assessors or assessment teams to conduct security control assessments of organizational information systems.','The organization being inspected/assessed defines and documents the level of independence for assessors or assessment teams to conduct security control assessments of organizational information systems.\n \nDoD has determined the level of independence is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented level of independence to ensure the organization being inspected/assessed defines the level of independence for assessors or assessment teams to conduct security control assessments of organizational information systems.\n \nDoD has determined the level of independence is not appropriate to define at the Enterprise level.'),(2064,'CA-2','2','The organization selects one or more security assessment techniques to be conducted.','The organization being inspected/assessed selects and documents one or more security assessment techniques to be conducted.  Techniques include in-depth monitoring; vulnerability scanning; malicious user testing; insider threat assessment and performance/load testing, as well as any other techniques identified in CA-2 (2), CCI 1582.\n \nDoD has determined the other forms of security assessments are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the selected list of assessment techniques that are to be conducted to ensure the selections have been documented.'),(2065,'CA-2','2','The organization defines the frequency to conduct security control assessments.','DoD has defined the frequency as at least annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as at least annually.'),(2066,'CA-2','3','The organization accepts the results of an assessment of the organization-defined information system performed by organization-defined external organization when the assessment meets organization-defined requirements.','The organization being inspected/assessed accepts the results of an assessment of the information system defined in CA-2 (3), CCI 2067 performed by external organization defined in CA-2 (3), CCI  2068 when the assessment meets requirements defined in CA-2 (3), CCI 2069.\n \nThe organization must maintain records of acceptance or rejection of external organization assessment results.','The organization conducting the inspection/assessment obtains and examines a sampling of records of acceptance or rejection of external organization assessment results to ensure the organization being inspected/assessed accepts the results of an assessment of the information system defined in CA-2 (3), CCI 2067 performed by external organization defined in CA-2 (3), CCI  2068 when the assessment meets requirements defined in CA-2 (3), CCI 2069.'),(2067,'CA-2','3','The organization defines the information systems for which they will accept the results of an assessment performed by an external organization.','The organization being inspected/assessed defines and documents the information systems for which they will accept the results of an assessment performed by an external organization. \n \nDoD has determined the information systems are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information systems to ensure the organization being inspected/assessed  defines the information systems for which they will accept the results of an assessment performed by an external organization. \n \nDoD has determined the information systems are not appropriate to define at the Enterprise level.'),(2068,'CA-2','3','The organization defines the external organizations from which assessment results for organization-defined information systems will be accepted.','The organization being inspected/assessed defines and documents the external organizations from which assessment results for organization-defined information systems will be accepted.\n \nDoD has determined the external organizations are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented external organizations to ensure the organization being inspected/assessed defines the external organizations from which assessment results for organization-defined information systems will be accepted.\n \nDoD has determined the external organizations are not appropriate to define at the Enterprise level.'),(2069,'CA-2','3','The organization defines the requirements the assessments  for organization-defined information systems from organization-defined external organizations must meet.','The organization being inspected/assessed defines and documents the requirements the assessments  for organization-defined information systems from organization-defined external organizations must meet.\n \nDoD has determined the requirements are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examine the documented requirements to ensure the organization being inspected/assessed defines  the requirements the assessments  for organization-defined information systems from organization-defined external organizations must meet.\n \nDoD has determined the requirements are not appropriate to define at the Enterprise level.'),(2070,'CA-2','','The organization\'s security assessment plan describes assessment team, assessment roles and responsibilities.','The organization being inspected/assessed lists their assessment team members and their associated assessment roles and responsibilities in the security assessment plan.','The organization conducting the inspection/assessment obtains and examines the security assessment plan to ensure the organization being inspected/assessed lists their assessment team members and their associated assessment roles and responsibilities in the security assessment plan.'),(2071,'CA-2','','The organization defines the individuals or roles to whom the results of the security control assessment is to be provided.','DoD has defined the individuals or roles as at a minimum, the ISSO and ISSM.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the individuals or roles as at a minimum, the ISSO and ISSM.'),(2072,'CA-3','1','The organization defines the unclassified, national security systems that are prohibited from directly connecting to an external network without the use of an organization-defined boundary protection device.','DoD has defined the unclassified, national security systems as all unclassified NSS.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the unclassified, national security systems as all unclassified NSS.'),(2073,'CA-3','1','The organization defines the boundary protection device to be used  to connect organization-defined unclassified, national security systems to an external network.','The organization being inspected/assessed defines and documents the boundary protection device to be used  to connect organization-defined unclassified, national security systems to an external network.\n \nDoD has determined the boundary protection device is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented boundary protection device to ensure the organization being inspected/assessed defines the boundary protection device to be used  to connect organization-defined unclassified, national security systems to an external network.\n \nDoD has determined the boundary protection device is not appropriate to define at the Enterprise level.'),(2074,'CA-3','2','The organization defines the boundary protection device to be used for the direct connection of classified, national security system to an external network.','The organization being inspected/assessed defines and documents the  boundary protection device to be used for the direct connection of classified, national security system to an external network.\n \nDoD has determined the boundary protection device is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented boundary protection device to ensure the organization being inspected/assessed defines the boundary protection device to be used for the direct connection of classified, national security system to an external network.\n \nDoD has determined the boundary protection device is not appropriate to define at the Enterprise level.'),(2075,'CA-3','3','The organization prohibits the direct connection of an organization-defined unclassified, non-national security system to an external network without the use of organization-defined boundary protection device.','The organization being inspected/assessed does not connect any national security systems to an external network without the use of protection devices defined in CA-3 (3), CCI 2077.','The organization conducting the inspection/assessment obtains and examines network topology diagrams and examines the information system to ensure the organization being inspected/assessed does not connect any national security systems to an external network without the use of protection devices defined in CA-3 (3), CCI 2077.'),(2076,'CA-3','3','The organization defines the unclassified, non-national security system that is prohibited from directly connecting to an external network without the use of an organization-defined boundary protection device.','The organization being inspected/assessed defines and documents the unclassified, non-national security system that is prohibited from directly connecting to an external network without the use of an organization-defined boundary protection device.\n \nDoD has determined the unclassified, non-national security system is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented unclassified, non-national security system to ensure the organization being inspected/assessed defines the unclassified, non-national security system that is prohibited from directly connecting to an external network without the use of an organization-defined boundary protection device.\n \nDoD has determined the unclassified, non-national security system is not appropriate to define at the Enterprise level.'),(2077,'CA-3','3','The organization defines the boundary protection device to be used to directly connect an organization-defined unclassified, non-national security system to an external network.','The organization being inspected/assessed  defines and documents the boundary protection device to be used to directly connect an organization-defined unclassified, non-national security system to an external network.\n \nDoD has determined the boundary protection device is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented boundary protection device to ensure the organization being inspected/assessed defines the boundary protection device to be used to directly connect an organization-defined unclassified, non-national security system to an external network.\n  \nDoD has determined the boundary protection device is not appropriate to define at the Enterprise level.'),(2078,'CA-3','4','The organization prohibits the direct connection of an organization-defined information system to a public network.','The organization being inspected/assessed does not connect any information system defined in CA-3 (4), CCI 2079 to a public network.','The organization conducting the inspection/assessment obtains and examines network topology diagrams and examines the information system to ensure the organization being inspected/assessed does not connect any information system defined in CA-3 (4), CCI 2079 to a public network.'),(2079,'CA-3','4','The organization defines the information system that is prohibited from directly connecting to a public network.','The organization being inspected/assessed defines and documents the information system that is prohibited from directly connecting to a public network.\n \nDoD has determined the information system is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system to ensure the organization being inspected/assessed defines the information system that is prohibited from directly connecting to a public network.\n \nDoD has determined the information system is not appropriate to define at the Enterprise level.'),(2080,'CA-3','5','The organization employs either an allow-all, deny-by exception or deny-all, permit by exception policy for allowing organization-defined information systems to connect to external information systems.','The organization being inspected/assessed configures the information system to employ  a deny-all, permit by exception policy for allowing any systems requiring external connectivity to connect to external information systems.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2080.\n \nDoD has defined the information systems as any systems requiring external connectivity.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to employ a deny-all, permit by exception policy for allowing any systems requiring external connectivity to connect to external information systems.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2080.\n\nDoD has defined the information systems as any systems requiring external connectivity.'),(2081,'CA-3','5','The organization defines the information systems that employ either allow-all, deny-by-exception or deny-all, permit by exception policy for allowing connection to external information systems.','DoD has defined the information systems as any systems requiring external connectivity.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the information systems as any systems requiring external connectivity.'),(2082,'CA-3','5','The organization selects either allow-all, deny-by exception or deny-all, permit by exception policy for allowing organization-defined information systems to connect to external information systems.','The organization being inspected/assessed selects deny-all, permit by exception policy for allowing any systems requiring external connectivity to connect to external information systems.\n \nDoD has defined the information systems as any systems requiring external connectivity.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed selects deny-all, permit by exception policy for allowing any systems requiring external connectivity to connect to external information systems.\n\nDoD has defined the information systems as any systems requiring external connectivity.'),(2083,'CA-3','','The organization reviews and updates Interconnection Security Agreements on an organization-defined frequency.','The organization being inspected/assessed reviews and updates Interconnection Security Agreements at least annually.\n \nThe organization must maintain an audit trail of reviews and updates.\n \nDoD has defined the frequency as at least annually.','The organization conducting the inspection/assessment obtains and examines the audit trail of reviews and updates to ensure the organization being inspected/assessed reviews and updates Interconnection Security Agreements at least annually.\n \nDoD has defined the frequency as at least annually.'),(2084,'CA-3','','The organization defines the frequency that reviews and updates to the Interconnection Security Agreements must be conducted.','DoD has defined the frequency as at least annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as at least annually.'),(2085,'CA-7','1','The organization defines the level of independence the assessors or assessment teams must have to monitor the security controls in the information system on an ongoing basis.','Future DoD-wide CM guidance to be published','Future DoD-wide CM guidance to be published'),(2086,'CA-7','3','The organization employs trend analyses to determine if security control implementations, the frequency of continuous monitoring activates, and/or the types of activities used in the continuous monitoring process need to be modified based on empirical data.','Future DoD-wide CM guidance to be published','Future DoD-wide CM guidance to be published'),(2087,'CA-7','','The organization establishes and defines the metrics to be monitored for the continuous monitoring program.','Future DoD-wide CM guidance to be published','Future DoD-wide CM guidance to be published'),(2088,'CA-7','','The organization establishes and defines the frequencies for continuous monitoring.','Future DoD-wide CM guidance to be published','Future DoD-wide CM guidance to be published'),(2089,'CA-7','','The organization establishes and defines the frequencies for assessments supporting continuous monitoring.','Future DoD-wide CM guidance to be published','Future DoD-wide CM guidance to be published'),(2090,'CA-7','','The organization implements a continuous monitoring program that includes ongoing security status monitoring of organization-defined metrics in accordance with the organizational continuous monitoring strategy.','Future DoD-wide CM guidance to be published','Future DoD-wide CM guidance to be published'),(2091,'CA-7','','The organization implements a continuous monitoring program that includes correlation and analysis of security-related information generated by assessments and monitoring.','Future DoD-wide CM guidance to be published','Future DoD-wide CM guidance to be published'),(2092,'CA-7','','The organization implements a continuous monitoring program that includes response actions to address results of the analysis of security-related information.','Future DoD-wide CM guidance to be published','Future DoD-wide CM guidance to be published'),(2093,'CA-8','','The organization conducts penetration testing in accordance with organization-defined frequency on organization-defined information systems or system components.','The organization being inspected/assessed documents and implements a process to conduct penetration testing in accordance with the frequency defined in CA-8, CCI 2094  on information systems or system components defined in CA-8, CCI 2095.\n \nThe organization must maintain a record of penetration test results.','The organization conducting the inspection/assessment obtains and examines the documented process as well as a sampling of the penetration test results to ensure the organization being inspected/assessed conducts penetration testing in accordance with the frequency defined in CA-8, CCI 2094  on information systems or system components defined in CA-8, CCI 2095.'),(2094,'CA-8','','The organization defines the frequency for conducting penetration testing on organization-defined information systems or system components.','The organization being inspected/assessed defines and documents the frequency for conducting penetration testing on organization-defined information systems or system components.\n \nDoD has determined the frequency is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented frequency to ensure the organization being inspected/assessed  defines the frequency for conducting penetration testing on organization-defined information systems or system components.\n \nDoD has determined the frequency is not appropriate to define at the Enterprise level.'),(2095,'CA-8','','The organization defines the information systems or system components on which penetration testing will be conducted.','The organization being inspected/assessed defines and documents the information systems or system components on which penetration testing will be conducted.\n \nDoD has determined the information systems or system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information systems or system components to ensure the organization being inspected/assessed defines the information systems or system components on which penetration testing will be conducted.\n \nDoD has determined the information systems or system components are not appropriate to define at the Enterprise level.'),(2096,'CA-8','1','The organization employs an independent penetration agent or penetration team to perform penetration testing on the information system or system components.','The organization being inspected/assessed employs an independent penetration agent or penetration team to perform penetration testing on the information system or system components.\n \nThe organization must maintain a record of penetration test results.','The organization conducting the inspection/assessment obtains and examines a sampling of the penetration test results to ensure the organization being inspected/assessed employs an independent penetration agent or penetration team to perform penetration testing on the information system or system components.'),(2097,'CA-8','2','The organization defines red team exercises to simulate attempts by adversaries to compromise organizational information systems.','The organization being inspected/assessed defines and documents  red team exercises to simulate attempts by adversaries to compromise organizational information systems.\n \nDoD has determined the red team exercises are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented red team exercises to ensure the organization being inspected/assessed defines red team exercises to simulate attempts by adversaries to compromise organizational information systems.\n \nDoD has determined the red team exercises are not appropriate to define at the Enterprise level.'),(2098,'CA-8','2','The organization defines rules of engagement for red team exercise to simulate attempts by adversaries to compromise organizational information systems.','The organization being inspected/assessed defines and documents rules of engagement for red team exercise to simulate attempts by adversaries to compromise organizational information systems.\n \nDoD has determined the rules of engagement are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented rules of engagement to ensure the organization being inspected/assessed defines the rules of engagement for red team exercise to simulate attempts by adversaries to compromise organizational information systems.\n \nDoD has determined the rules of engagement are not appropriate to define at the Enterprise level.'),(2099,'CA-8','2','The organization employs organization-defined red team exercises to simulate attempts by adversaries to compromise organizational information systems in accordance with organization-defined rules of engagement.','The organization being inspected/assessed employs red team exercises defined in CA-8 (2), CCI  2097 to simulate attempts by adversaries to compromise organizational information systems in accordance with rules of engagement defined in CA-8 (2), CCI 2098.\n \nThe organization must maintain a record of red team exercises and results.','The organization conducting the inspection/assessment obtains and examines the record of red team exercises and results to ensure the organization being inspected/assessed employs red team exercises defined in CA-8 (2), CCI  2097 to simulate attempts by adversaries to compromise organizational information systems in accordance with rules of engagement defined in CA-8 (2), CCI 2098.'),(2100,'CA-9','1','The information system performs security compliance checks on constituent components prior to the establishment of the internal connection.','The organization being inspected/assessed documents and implements a process to perform security compliance checks on constituent components prior to the establishment of the internal connection.\n \nThe organization must maintain a record of security compliance checks.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of security compliance checks to ensure the organization being inspected/assessed performs security compliance checks on constituent components prior to the establishment of the internal connection.'),(2101,'CA-9','','The organization authorizes internal connections of organization-defined information system components or classes of components to the information system.','The organization being inspected/assessed authorizes internal connections of  information system components defined in CA-9, CCI 2102 or classes of components to the information system.\n \nThe organization must maintain an audit trail of authorizations.','The organization conducting the inspection/assessment obtains and examines the audit trail of authorizations to ensure the organization being inspected/assessed  authorizes internal connections of  information system components defined in CA-9, CCI 2102 or classes of components to the information system.'),(2102,'CA-9','','The organization defines the information system components or classes of components that that are authorized internal connections to the information system.','The organization being inspected/assessed defines and documents the information system components or classes of components that that are authorized internal connections to the information system.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the  documented information system components to ensure the organization being inspected/assessed defines the information system components or classes of components that that are authorized internal connections to the information system.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.'),(2103,'CA-9','','The organization documents, for each internal connection, the interface characteristics.','The organization being inspected/assessed  documents, for each internal connection, the interface characteristics.','The organization conducting the inspection/assessment obtains and examines the documented interface characteristics as well as the network topology to ensure the organization being inspected/assessed documents, for each internal connection, the interface characteristics.'),(2104,'CA-9','','The organization documents, for each internal connection, the security requirements.','The organization being inspected/assessed documents, for each internal connection, the security requirements.','The organization conducting the inspection/assessment obtains and examines the documented security requirements as well as the network topology to ensure the organization being inspected/assessed documents, for each internal connection, the security requirements.'),(2105,'CA-9','','The organization documents, for each internal connection, the nature of the information communicated.','The organization being inspected/assessed documents, for each internal connection, the nature of the information communicated.','The organization conducting the inspection/assessment obtains and examines the documented nature of information communication as well as the network topology to ensure the organization being inspected/assessed documents, for each internal connection, the nature of the information communicated.'),(2106,'AC-1','','The organization documents the access control policy.','The organization being inspected/assessed develops and documents an access control policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','The organization conducting the inspection/assessment obtains and examines the access control policy to ensure the organization being inspected/assessed develops and documents an access control policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance.'),(2107,'AC-1','','The organization defines the personnel or roles to be recipients of the access control policy necessary to facilitate the implementation of the access control policy and associated access controls.','DoD has defined the personnel or roles as all personnel.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as all personnel.'),(2108,'AC-1','','The organization defines the personnel or roles to be recipients of the procedures necessary to facilitate the implementation of the access control policy and associated access controls.','DoD has defined the personnel or roles as all personnel.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as all personnel.'),(2109,'AC-1','','The organization documents procedures to facilitate the implementation of the access control policy and associated access controls.','The organization being inspected/assessed develops and documents procedures to facilitate the implementation of the access control policy and associated access controls.','The organization conducting the inspection/assessment obtains and examines the procedures to facilitate the implementation of the access control policy and associated access controls to ensure the organization being inspected/assessed develops and documents procedures to facilitate the implementation of the access control policy and associated access controls.'),(2110,'AC-2','','The organization defines the information system account types that support the organizational missions/business functions.','The organization being inspected/assessed defines and documents the information system account types that support the organizational missions/business functions.\n \nDoD has determined the information system account types are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system account types to ensure the organization being inspected/assessed defines the information system account types that support the organizational missions/business functions.\n \nDoD has determined the information system account types are not appropriate to define at the Enterprise level.'),(2111,'AC-2','','The organization identifies and selects the organization-defined information system account types of information system accounts which support organizational missions/business functions.','The account types are defined per AC-2, CCI  2110.','The account types are defined per AC-2, CCI  2110.'),(2112,'AC-2','','The organization assigns account managers for information system accounts.','The organization being inspected/assessed documents personnel responsible for the management of system accounts.','The organization conducting the inspection/assessment obtains and examines the documented appointment of management personnel to ensure that the organization being inspected/assessed has documented personnel responsible for the management of system accounts.'),(2113,'AC-2','','The organization establishes conditions for role membership.','The organization being inspected/assessed documents conditions for adding accounts as members of roles.','The organization conducting the inspection/assessment obtains and examines the documented conditions for adding accounts as members of roles to ensure that the conditions are established.'),(2115,'AC-2','','The organization specifies authorized users of the information system.','The organization being inspected/assessed documents authorized users of the information system.','The organization conducting the inspection/assessment obtains and examines the documented list of authorized users for a sampling of information system accounts to ensure that the authorized users are specified.'),(2116,'AC-2','','The organization specifies authorized group membership on the information system.','The organization being inspected/assessed documents authorized group membership on the information system.','The organization conducting the inspection/assessment obtains and examines the documented list of authorized groups for a sampling of information system accounts to ensure that the authorized groups are specified.'),(2117,'AC-2','','The organization specifies authorized role membership on the information system.','The organization being inspected/assessed documents authorized role membership on the information system.','The organization conducting the inspection/assessment obtains and examines the documented list of authorized roles for a sampling of information system accounts to ensure that the authorized roles are specified'),(2118,'AC-2','','The organization specifies access authorizations (i.e., privileges) for each account on the information system.','The organization being inspected/assessed documents  access authorizations (i.e., privileges) for each account on the information system.','The organization conducting the inspection/assessment obtains and examines the documented list of access authorizations for a sampling of information system accounts to ensure that the access authorizations are specified.'),(2119,'AC-2','','The organization specifies other attributes for each account on the information system.','The organization being inspected/assessed documents other attributes for each account on the information system.','The organization conducting the inspection/assessment obtains and examines the documented list of other attributes for a sampling of information system accounts to ensure that other attributes are specified.'),(2120,'AC-2','','The organization defines the personnel or roles authorized to approve the creation of information system accounts.','DoD has defined the personnel or roles as the ISSM or ISSO.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as the ISSM or ISSO.'),(2121,'AC-2','','The organization defines the procedures or conditions to be employed when creating, enabling, modifying, disabling, and removing information system accounts.','The organization being inspected/assessed defines and documents the procedures or conditions to be employed when creating, enabling, modifying, disabling, and removing information system accounts.\n  \nDoD has determined the procedures or conditions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented procedures or conditions to ensure the organization being inspected/assessed defines the procedures or conditions to be employed when creating, enabling, modifying, disabling, and removing information system accounts. \n \nDoD has determined the procedures or conditions are not appropriate to define at the Enterprise level.'),(2122,'AC-2','','The organization monitors the use of information system accounts.','The organization being inspected/assessed implements a process to monitor the use of information system accounts.','The organization conducting the inspection/assessment obtains and examines the audit trail to ensure that the organization being inspected/assessed implements a process to monitor the use of information system accounts.'),(2123,'AC-2','','The organization notifies account managers when accounts are no longer required.','The organization being inspected/assessed implements a process to notify account managers when accounts are no longer required.\n \nThe organization being inspected/assessed maintains an audit trail of notifications.','The organization conducting the inspection/assessment obtains and examines the audit trail of notifications to ensure the organization being inspected/assessed implements a process to notify account managers when accounts are no longer required.'),(2124,'AC-2','','The organization notifies account managers when users are terminated or transferred.','The organization being inspected/assessed implements a process to notify account managers when users are terminated or transferred.\n \nThe organization being inspected/assessed maintains an audit trail of notifications.','The organization conducting the inspection/assessment obtains and examines the audit trail of notifications to ensure the organization being inspected/assessed implements a process to notify account managers when users are terminated or transferred.'),(2125,'AC-2','','The organization notifies account managers when individual information system usage or need-to-know changes.','The organization being inspected/assessed implements a process to notify account managers when individual information system usage or need-to-know changes.\n \nThe organization being inspected/assessed maintains an audit trail of notifications.','The organization conducting the inspection/assessment obtains and examines the audit trail of notifications to ensure the organization being inspected/assessed implements a process to notify account managers when individual information system usage or need-to-know changes.'),(2126,'AC-2','','The organization authorizes access to the information system based on a valid access authorization.','The organization being inspected/assessed authorizes access to the information system based on the access authorization process.\n \nThe organization being inspected/assessed maintains an audit trail of approved access.','The organization conducting the inspection/assessment obtains and examines the audit trail of approved access to ensure the organization being inspected/assessed authorizes access to the information system based on the access authorization process.'),(2127,'AC-2','','The organization authorizes access to the information system based on intended system usage.','The organization being inspected/assessed authorizes access to the information system based on intended system usage.\n \nThe organization being inspected/assessed maintains an audit trail of approved access.','The organization conducting the inspection/assessment obtains and examines the audit trail of approved access to ensure the organization being inspected/assessed authorizes access to the information system based on intended system usage.'),(2128,'AC-2','','The organization authorizes access to the information system based on other attributes as required by the organization or associated missions/business functions.','The organization being inspected/assessed authorizes access to the information system based on other attributes as required by the organization or associated missions/business functions.\n \nThe organization being inspected/assessed maintains an audit trail of approved access.','The organization conducting the inspection/assessment obtains and examines the audit trail of approved access to ensure the organization being inspected/assessed authorizes access to the information system based on other attributes as required by the organization or associated missions/business functions.'),(2129,'AC-2','','The organization establishes a process for reissuing shared/group account credentials (if deployed) when individuals are removed from the group.','The organization being inspected/assessed includes in the account management procedures a process for reissuing shared/group account credentials (if deployed) when individuals are removed from the group.','The organization conducting the inspection/assessment obtains and examines the account management procedures to ensure the organization being inspected/assessed includes in the account management procedures a process for reissuing shared/group account credentials (if deployed) when individuals are removed from the group.'),(2130,'AC-2','4','The information system automatically audits account enabling actions.','The organization being inspected/assessed configures the information system to automatically audit account enabling actions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2130.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to automatically audit account enabling actions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2130.'),(2131,'AC-2','4','The organization defines the personnel or roles to be notified on account creation, modification, enabling, disabling, and removal actions.','DoD has defined the personnel or roles as the system administrator and ISSO.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as the system administrator and ISSO.'),(2132,'AC-2','4','The information system notifies organization-defined personnel or roles for account enabling actions.','The organization being inspected/assessed configures the information system to notify the system administrator and ISSO for account enabling actions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2132.\n \nDoD has defined the personnel or roles as the system administrator and ISSO.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to notify the system administrator and ISSO for account enabling actions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2132.\n \nDoD has defined the personnel or roles as the system administrator and ISSO.'),(2133,'AC-2','5','The organization defines other conditions when users are required to log out.','The organization being inspected/assessed defines and documents the other conditions when users are required to log out.\n \nDoD has determined the conditions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented conditions to ensure they have been defined.\n \nDoD has determined the conditions are not appropriate to define at the Enterprise level.'),(2134,'AC-2','6','The organization defines a list of dynamic privilege management capabilities to be implemented by the information system.','The organization being inspected/assessed defines and documents a list of dynamic privilege management capabilities to be implemented by the information system.\n \nDoD has determined the list is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented list to ensure the dynamic privilege management capabilities have been defined.\n \nDoD has determined the list is not appropriate to define at the Enterprise level.'),(2135,'AC-2','6','The information system implements the organization-defined list of dynamic privilege management capabilities.','The organization being inspected/assessed configures the information system to implement the list of dynamic privilege management capabilities defined in AC-2 (6), CCI 2134.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2135.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement the list of dynamic privilege management capabilities defined in AC-2 (6), CCI 2134.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2135.'),(2136,'AC-2','7','The organization defines the actions to be taken when privileged role assignments are no longer appropriate','DoD has defined the actions as disables (or revokes) privileged user account.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the actions as disables (or revokes) privileged user account.'),(2137,'AC-2','7','The organization takes organization-defined actions when privileged role assignments are no longer appropriate.','The organization being inspected/assessed documents and implements a process to disable (or revoke) the privileged user account when privileged role assignments are no longer appropriate.\n \nThe organization must maintain an audit trail of the actions taken.\n \nDoD has defined the actions as disables (or revokes) privileged user account.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of actions taken to ensure the organization being inspected/assessed disables (or revokes) the privileged user accoun when privileged role assignments are no longer appropriate.\n \nDoD has defined the actions as disables (or revokes) privileged user account.'),(2138,'AC-2','8','The organization defines the information system accounts that can be dynamically created.','The organization being inspected/assessed defines and documents the information system accounts that can be dynamically created.\n \nDoD has determined the information system accounts are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system accounts to ensure they have been defined.\n \nDoD has determined the information system accounts are not appropriate to define at the Enterprise level.'),(2139,'AC-2','8','The information system creates organization-defined information system accounts dynamically.','The organization being inspected/assessed configures the information system to dynamically create information system accounts defined in AC-2 (8), CCI 2138.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2139.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to dynamically create information system accounts defined in AC-2 (8), CCI 2138.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2139.'),(2140,'AC-2','9','The organization defines the conditions for establishing shared/group accounts.','The organization being inspected/assessed defines and documents the conditions for establishing shared/group accounts.\n \nDoD has determined the conditions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented conditions to ensure they have been defined.\n \nDoD has determined the conditions are not appropriate to define at the Enterprise level.'),(2141,'AC-2','9','The organization only permits the use of shared/group accounts that meet organization-defined conditions for establishing shared/group accounts.','The organization being inspected/assessed only permits the use of shared/group accounts that meet the conditions for establishing shared/group accounts defined in AC-2 (9), CCI 2140.','The organization conducting the inspection/assessment examines the shared/group accounts to ensure the organization being inspected/assessed only permits the use of shared/group accounts that meet the conditions for establishing shared/group accounts defined in AC-2 (9), CCI 2140.'),(2142,'AC-2','10','The information system terminates shared/group account credentials when members leave the group.','The organization being inspected/assessed configures the information system to terminate shared/group account credentials when members leave the group.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2142.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to terminate shared/group account credentials when members leave the group.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2142.'),(2143,'AC-2','11','The organization defines the circumstances and/or usage conditions that are to be enforced for organization-defined information system accounts.','The organization being inspected/assessed defines and documents the circumstances and/or usage conditions that are to be enforced for organization-defined information system accounts.\n \nDoD has determined the circumstances and/or usage conditions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented circumstances and/or usage conditions to ensure they have been defined.\n \nDoD has determined the circumstances and/or usage conditions are not appropriate to define at the Enterprise level.'),(2144,'AC-2','11','The organization defines the information system accounts that are to be subject to the enforcement of organization-defined circumstances and/or usage conditions.','The organization being inspected/assessed defines and documents the  information system accounts that are to be subject to the enforcement of organization-defined circumstances and/or usage conditions.\n \nDoD has determined the information system accounts are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system accounts to ensure they have been defined.\n \nDoD has determined the information system accounts are not appropriate to define at the Enterprise level.'),(2145,'AC-2','11','The information system enforces organization-defined circumstances and/or usage conditions for organization-defined information system accounts.','The organization being inspected/assessed configures the information system to enforce the circumstances and/or usage conditions defined in AC-2 (11), CCI 2143 for information system accounts defined in AC-2 (11), CCI 2144.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2145.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce the circumstances and/or usage conditions defined in AC-2 (11), CCI 2143 for information system accounts defined in AC-2 (11), CCI 2144.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2145.'),(2146,'AC-2','12','The organization defines atypical usage for which the information system accounts are to be monitored.','The organization being inspected/assessed defines and documents atypical usage for which the information system accounts are to be monitored.\n \nDoD has determined atypical usage is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented atypical usage to ensure it has been defined.\n \nDoD has determined atypical usage is not appropriate to define at the Enterprise level.'),(2147,'AC-2','12','The organization monitors information system accounts for organization-defined atypical use.','The organization being inspected/assessed monitors information system accounts for atypical use defined in AC-2 (12), CCI 2146.\n \nThe organization must maintain an audit trail of monitoring.','The organization conducting the inspection/assessment obtains and examines the audit trail of monitoring to ensure the organization being inspected/assessed monitors information system accounts for atypical use defined in AC-2 (12), CCI 2146.'),(2148,'AC-2','12','The organization defines the personnel or roles to whom atypical usage of information system accounts are to be reported.','DoD has defined the personnel or roles as at a minium, the ISSO.\n ','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as at a minium, the ISSO.\n '),(2149,'AC-2','12','The organization reports atypical usage of information system accounts to organization-defined personnel or roles.','The organization being inspected/assessed documents and implements a process to report atypical usage defined in AC-2 (12), CCI 2146 of information system accounts to at a minium, the ISSO.\n \nThe organization must maintain an audit trail of reporting.\n \nDoD has defined the personnel or roles as at a minium, the ISSO.\n \n ','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of reporting to ensure the organization being inspected/assessed reports atypical usage defined in AC-2 (12), CCI 2146 of information system accounts to at a minium, the ISSO.\n \nDoD has defined the personnel or roles as at a minium, the ISSO.\n '),(2150,'AC-2','13','The organization defines the time period within which the accounts of users posing a significant risk are to be disabled after discovery of the risk.','DoD has defined the time period as 30 minutes unless otherwise defined in formal organizational policy.\n ','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as 30 minutes unless otherwise defined in formal organizational policy.\n '),(2151,'AC-2','13','The organization disables accounts of users posing a significant risk within organization-defined time period of discovery of the risk.','The organization being inspected/assessed documents and implements a process to disable accounts of users posing a significant risk within 30 minutes unless otherwise defined in formal organizational policy.\n \n DoD has defined the time period as 30 minutes unless otherwise defined in formal organizational policy.\n ','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed disables accounts of users posing a significant risk within 30 minutes unless otherwise defined in formal organizational policy.\n \nDoD has defined the time period as 30 minutes unless otherwise defined in formal organizational policy.\n \n'),(2152,'AC-3','2','The organization defines other actions necessary for which dual authorization is to be enforced.','The organization being inspected/assessed defines and documents the other actions necessary for which dual authorization is to be enforced.\n \nDoD has determined the other actions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented actions to ensure they have been defined. \n \nDoD has determined the other actions are not appropriate to define at the Enterprise level.'),(2153,'AC-3','3','The organization defines the mandatory access control policies that are to be enforced over all subjects and objects.','The organization being inspected/assessed defines and documents  the mandatory access control policies that are to be enforced over all subjects and objects.\n \nDoD has determined the mandatory access control policies are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented mandatory access control policies to ensure they have been defined.\n \nDoD has determined the mandatory access control policies are not appropriate to define at the Enterprise level.'),(2154,'AC-3','3','The mandatory access control policy specifies that the policy is uniformly enforced across all subjects and objects within the boundary of the information system.','The organization being inspected/assessed configures the information system to uniformly enforce the mandatory access control policies defined in AC-3 (3), CCI 2153 across all subjects and objects within the boundary of the information system\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2154.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to uniformly enforce the mandatory access control policies defined in AC-3 (3), CCI 2153 across all subjects and objects within the boundary of the information system\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2154.'),(2155,'AC-3','3','The mandatory access control policy specifies that a subject that has been granted access to information is constrained from passing the information to unauthorized subjects or objects.','The organization being inspected/assessed configures the information system to enforce the mandatory access control policies defined in AC-3 (3), CCI 2153 which specifies that a subject that has been granted access to information is constrained from passing the information to unauthorized subjects or objects. \n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2155.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce the mandatory access control policies defined in AC-3 (3), CCI 2153 which specifies that a subject that has been granted access to information is constrained from passing the information to unauthorized subjects or objects. \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2155.'),(2156,'AC-3','3','The mandatory access control policy specifies that a subject that has been granted access to information is constrained from granting its privileges to other subjects.','The organization being inspected/assessed configures the information system to enforce the mandatory access control policies defined in AC-3 (3), CCI 2153 which specifies that a subject that has been granted access to information is constrained from granting its privileges to other subjects.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2156.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce the mandatory access control policies defined in AC-3 (3), CCI 2153  which specifies that a subject that has been granted access to information is constrained from granting its privileges to other subjects.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2156.'),(2157,'AC-3','3','The mandatory access control policy specifies that a subject that has been granted access to information is constrained from changing one or more security attributes on subjects, objects, the information system, or information system components.','The organization being inspected/assessed configures the information system to enforce the mandatory access control policies defined in AC-3 (3), CCI 2153  which specifies that a subject that has been granted access to information is constrained from changing one or more security attributes on subjects, objects, the information system, or information system components.\n\nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2157.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce the mandatory access control policies defined in AC-3 (3), CCI 2153 which specifies that a subject that has been granted access to information is constrained from changing one or more security attributes on subjects, objects, the information system, or information system components.\n\nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2157.'),(2158,'AC-3','3','The mandatory access control policy specifies that a subject that has been granted access to information is constrained from choosing the security attributes to be associated with newly created or modified objects.','The organization being inspected/assessed configures the information system to enforce the mandatory access control policies defined in AC-3 (3), CCI 2153  which specifies that a subject that has been granted access to information is constrained from choosing the security attributes to be associated with newly created or modified objects.\n\nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2158.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce the mandatory access control policies defined in AC-3 (3), CCI 2153  which specifies that a subject that has been granted access to information is constrained from choosing the security attributes to be associated with newly created or modified objects.\n\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2158.'),(2159,'AC-3','3','The mandatory access control policy specifies that a subject that has been granted access to information is constrained from choosing the attribute values to be associated with newly created or modified objects.','The organization being inspected/assessed configures the information system to enforce the mandatory access control policies defined in AC-3 (3), CCI 2153 which specifies that a subject that has been granted access to information is constrained from choosing the attribute values to be associated with newly created or modified objects.\n\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2159.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce the mandatory access control policies defined in AC-3 (3), CCI 2153 which specifies that a subject that has been granted access to information is constrained from choosing the attribute values to be associated with newly created or modified objects.\n\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2159.'),(2160,'AC-3','3','The mandatory access control policy specifies that a subject that has been granted access to information is constrained from changing the rules governing access control.','The organization being inspected/assessed configures the information system to enforce the mandatory access control policies defined in AC-3 (3), CCI 2153  which specifies that a subject that has been granted access to information is constrained from changing the rules governing access control.\n\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2160.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce the mandatory access control policies defined in AC-3 (3), CCI 2153  which specifies that a subject that has been granted access to information is constrained from changing the rules governing access control.\n\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2160.'),(2161,'AC-3','3','The organization defines subjects which may explicitly be granted organization-defined privileges such that they are not limited by some or all of the mandatory access control constraints.','The organization being inspected/assessed defines and documents subjects which may explicitly be granted organization-defined privileges such that they are not limited by some or all of the mandatory access control constraints.\n \nDoD has determined that the subjects are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented subjects to ensure they have been defined.\n \nDoD has determined that the subjects are not appropriate to define at the Enterprise level.'),(2162,'AC-3','3','The organization defines the privileges that may explicitly be granted to organization-defined subjects such that they are not limited by some or all of the mandatory access control constraints.','The organization being inspected/assessed defines and documents the  privileges that may explicitly be granted to organization-defined subjects such that they are not limited by some or all of the mandatory access control constraints.\n \nDoD has determined the privileges are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented privileges to ensure they have been defined.\n \nDoD has determined the privileges are not appropriate to define at the Enterprise level.'),(2163,'AC-3','4','The organization defines the discretionary access control policies the information system is to enforce over subjects and objects.','The organization being inspected/assessed defines and documents the discretionary access control policies the information system is to enforce over subjects and objects.\n \nDoD has determined that the discretionary access control policies are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented access control policies to ensure they have been defined.\n \nDoD has determined that the discretionary access control policies are not appropriate to define at the Enterprise level.'),(2164,'AC-3','4','The organization specifies in the discretionary access control policies that a subject which has been granted access to information can do one or more of the following: pass the information to any other subjects or objects; grant its privileges to other subjects; change security attributes on subjects, objects, the information system, or the information system’s components; choose the security attributes to be associated with newly created or revised objects; and/or change the rules governing access control.','The organization being inspected/assessed documents the discretionary access control policies that a subject which has been granted access to information can do one or more of the following: pass the information to any other subjects or objects; grant its privileges to other subjects; change security attributes on subjects, objects, the information system, or the information system’s components; choose the security attributes to be associated with newly created or revised objects; and/or change the rules governing access control.','The organization conducting the inspection/assessment obtains and examines the documented discretionary access control policies to ensure the organization being inspected/assessed specifies that a subject which has been granted access to information can do one or more of the following: pass the information to any other subjects or objects; grant its privileges to other subjects; change security attributes on subjects, objects, the information system, or the information system’s components; choose the security attributes to be associated with newly created or revised objects; and/or change the rules governing access control.'),(2165,'AC-3','4','The information system enforces organization-defined discretionary access control policies over defined subjects and objects.','The organization being inspected/assessed configures the information system to  enforce the discretionary access control policies defined in AC-3 (4), CCI 2163 over defined subjects and objects.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2165.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce the discretionary access control policies defined in AC-3 (4), CCI 2163 over defined subjects and objects.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2165.'),(2166,'AC-3','7','The organization defines the role-based access control policies the information system is to enforce over all subjects and objects.','The organization being inspected/assessed defines and documents the role-based access control policies the information system is to enforce over all subjects and objects.','The organization conducting the inspection/assessment obtains and examines the documented role-based access control policies to ensure the organization being inspected/assessed defines the role-based access control policies the information system is to enforce over all subjects and objects.'),(2167,'AC-3','7','The organization defines the subjects over which the information system will enforce a role-based access control policy.','The organization being inspected/assessed defines and documents the subjects over which the information system will enforce a role-based access control policy.','The organization conducting the inspection/assessment obtains and examines the documented subjects to ensure the organization being inspected/assessed defines the subjects over which the information system will enforce a role-based access control policy.'),(2168,'AC-3','7','The organization defines the objects over which the information system will enforce a role-based access control policy.','The organization being inspected/assessed defines and documents the objects over which the information system will enforce a role-based access control policy.','The organization conducting the inspection/assessment obtains and examines the documented objects to ensure the organization being inspected/assessed defines the objects over which the information system will enforce a role-based access control policy.'),(2169,'AC-3','7','The information system enforces a roles-based access control policy over defined subjects and objects.','The organization being inspected/assessed configures the information system to enforce a roles-based access control policy over defined subjects and objects.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2169.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  enforce a roles-based access control policy over defined subjects and objects.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2169.'),(2170,'AC-3','7','The information system controls access based upon organization-defined roles and users authorized to assume such roles.','The organization being inspected/assessed configures the information system to control access based upon the roles and users defined in AC-3 (7), CCIs 2173 and 2174 authorized to assume such roles.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2170.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  control access based upon the roles and users defined in AC-3 (7), CCIs 2173 and 2174 authorized to assume such roles.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2170.'),(2173,'AC-3','7','The organization defines the roles the information system will control access based upon the organization-defined role-based access control policy.','The organization being inspected/assessed defines and documents the  roles the information system will control access based upon the organization-defined role-based access control policy.\n \nDoD has determined the roles are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented roles to ensure the organization being inspected/assessed defines  the  roles the information system will control access based upon the organization-defined role-based access control policy. \n \nDoD has determined the roles are not appropriate to define at the Enterprise level.'),(2174,'AC-3','7','The organization defines the users the information system will control access based upon the organization-defined role-based access control policy.','The organization being inspected/assessed defines and documents the users the information system will control access based upon the organization-defined role-based access control policy.\n \nDoD has determined the users are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented roles to ensure the organization being inspected/assessed defines  the users the information system will control access based upon the organization-defined role-based access control policy.\n \nDoD has determined the users are not appropriate to define at the Enterprise level.'),(2177,'AC-3','8','The organization defines the rules which will govern the timing of revocation of access authorizations.','The organization being inspected/assessed defines and documents the rules which will govern the timing of revocation of access authorizations.\n \nDoD has determined the rules are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented rules to ensure the organization being inspected/assessed defines the rules which will govern the timing of revocation of access authorizations.\n \n DoD has determined the rules are not appropriate to define at the Enterprise level.'),(2178,'AC-3','8','The information system enforces the revocation of access authorizations resulting from changes to the security attributes of subjects based on organization-defined rules governing the timing of revocations of access authorizations.','The organization being inspected/assessed configures the information system to enforce the revocation of access authorizations resulting from changes to the security attributes of subjects based on the rules defined in AC-3 (8), CCI 2177 governing the timing of revocations of access authorizations.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2178.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce the revocation of access authorizations resulting from changes to the security attributes of subjects based on the rules defined in AC-3 (8), CCI 2177 governing the timing of revocations of access authorizations.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2178.'),(2179,'AC-3','8','The information system enforces the revocation of access authorizations resulting from changes to the security attributes of objects based on organization-defined rules governing the timing of revocations of access authorizations.','The organization being inspected/assessed configures the information system to enforce the revocation of access authorizations resulting from changes to the security attributes of objects based on the rules defined in AC-3 (8), CCI 2177 governing the timing of revocations of access authorizations.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2179.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce the revocation of access authorizations resulting from changes to the security attributes of objects based on the rules defined in AC-3 (8), CCI 2177 governing the timing of revocations of access authorizations.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2179.'),(2180,'AC-3','9','The organization defines the security safeguards the organization-defined information system or system component is to provide to protect  information released outside the established system boundary.','The organization being inspected/assessed defines and documents the security safeguards the organization-defined information system or system component is to provide to protect  information released outside the established system boundary.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security safeguards to ensure the organization being inspected/assessed defines the security safeguards the organization-defined information system or system component is to provide to protect  information released outside the established system boundary.\n \n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(2181,'AC-3','9','The organization defines information systems or system components that are to provide organization-defined security safeguards to protect information received outside the established system boundary.','The organization being inspected/assessed defines and documents the  information systems or system components that are to provide organization-defined security safeguards to protect information received outside the established system boundary.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information systems or system components to ensure the organization being inspected/assessed  defines the information systems or system components that are to provide organization-defined security safeguards to protect information received outside the established system boundary.\n \n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(2182,'AC-3','9','The information system does not release information outside of the established system boundary unless the receiving organization-defined information system or system component provides organization-defined security safeguards.','The organization being inspected/assessed configures the information system to not release information outside of the established system boundary unless the receiving  information system or system component defined in AC-3 (9), CCI 2181 provides security safeguards defined in AC-3 (9), CCI 2180.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2182.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  not release information outside of the established system boundary unless the receiving information system or system component defined in AC-3 (9), CCI 2181 provides security safeguards defined in AC-3 (9), CCI 2180.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2182.'),(2183,'AC-3','9','The organization defines the security safeguards to be used to validate the appropriateness of the information designated for release.','The organization being inspected/assessed defines and documents the security safeguards to be used to validate the appropriateness of the information designated for release.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security safeguards to ensure the organization being inspected/assessed defines the security safeguards to be used to validate the appropriateness of the information designated for release. \n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(2184,'AC-3','9','The information system does not release information outside of the established system boundary unless organization-defined security safeguards are used to validate the appropriateness of the information designated for release.','The organization being inspected/assessed configures the information system to not release information outside of the established system boundary unless security safeguards defined in AC-3 (9), CCI 2183 are used to validate the appropriateness of the information designated for release.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2184.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to not release information outside of the established system boundary unless security safeguards defined in AC-3 (9), CCI 2183 are used to validate the appropriateness of the information designated for release.\n \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2184.'),(2185,'AC-3','10','The organization defines the conditions in which it will employ an audited override of automated access control mechanisms.','The organization being inspected/assessed defines and documents the conditions in which it will employ an audited override of automated access control mechanisms.\n \nDoD has determined the conditions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented conditions to ensure the organization being inspected/assessed defines the conditions in which it will employ an audited override of automated access control mechanisms. \n \nDoD has determined the conditions are not appropriate to define at the Enterprise level.'),(2186,'AC-3','10','The organization employs an audited override of automated access control mechanisms under organization-defined conditions.','The organization being inspected/assessed configures the information system to employ an audited override of automated access control mechanisms under conditions defined in AC-3 (10), CCI 2185.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2186.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to employ an audited override of automated access control mechanisms under conditions defined in AC-3 (10), CCI 2185.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2186.'),(2187,'AC-4','1','The organization defines the security attributes to be used to enforce organization-defined information flow control policies.','The organization being inspected/assessed defines and documents the security attributes to be used to enforce organization-defined information flow control policies.\n \nDoD has determined the security attributes are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security attributes to ensure the organization being inspected/assessed defines the security attributes to be used to enforce organization-defined information flow control policies.\n \nDoD has determined the security attributes are not appropriate to define at the Enterprise level.'),(2188,'AC-4','1','The organization defines the information, source and destination objects with which the organization-defined security attributes are to be associated.','The organization being inspected/assessed defines and documents the information, source and destination objects with which the organization-defined security attributes are to be associated.\n \nDoD has determined the information, source and destination objects are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information, source, and destination objects to ensure the organization being inspected/assessed defines the information, source and destination objects with which the organization-defined security attributes are to be associated.\n \nDoD has determined the information, source and destination objects are not appropriate to define at the Enterprise level.'),(2189,'AC-4','1','The organization defines the information flow control policies to be enforced for flow control decisions.','The organization being inspected/assessed defines and documents the information flow control policies to be enforced for flow control decisions.\n \nDoD has determined the information flow control policies are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information flow control policies to ensure the organization being inspected/assessed defines the information flow control policies to be enforced for flow control decisions. \n \nDoD has determined the information flow control policies are not appropriate to define at the Enterprise level.'),(2190,'AC-4','1','The information system uses organization-defined security attributes associated with organization-defined information, source, and destination objects to enforce organization-defined information flow control policies as a basis for flow control decisions.','The organization being inspected/assessed configures the information system to use the  security attributes defined in AC-4 (1), CCI  287 associated with the information, source, and destination objects defined in AC-4 (1), CCI 2188  to enforce information flow control policies defined in AC-4 (1), CCI 2189 as a basis for flow control decisions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2190.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to use the  security attributes defined in AC-4 (1), CCI  287 associated with the information, source, and destination objects defined in AC-4 (1), CCI 2188  to enforce information flow control policies defined in AC-4 (1), CCI 2189 as a basis for flow control decisions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2190.'),(2191,'AC-4','2','The organization defines the information flow control policies to be enforced by the information system using protected processing domains.','The organization being inspected/assessed defines and documents the information flow control policies to be enforced by the information system using protected processing domains.\n \nDoD has determined the information flow control policies are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the information flow control policies to ensure the organization being inspected/assessed  defines the information flow control policies to be enforced by the information system using protected processing domains. \n \nDoD has determined the information flow control policies are not appropriate to define at the Enterprise level.'),(2192,'AC-4','3','The organization defines the policies the information system is to enforce to achieve dynamic information flow control.','The organization being inspected/assessed defines and documents  the policies the information system is to enforce to achieve dynamic information flow control.\n \nThe policies shall address dynamic reconfiguration of data flow based upon predefined rules.\n \nDoD has determined the policies are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented policies to ensure the organization being inspected/assessed defines the policies the information system is to enforce to achieve dynamic information flow control. \n \nDoD has determined the policies are not appropriate to define at the Enterprise level'),(2193,'AC-4','4','The organization defines procedures or methods to be employed by the information system to prevent encrypted information from bypassing content-checking mechanisms, such as decrypting the information, blocking the flow of the encrypted information, and/or terminating communications sessions attempting to pass encrypted information.','The organization being inspected/assessed selects or defines, and documents the mechanism to prevent encrypted information from bypassing content-checking mechanisms, such as decrypting the information, blocking the flow of the encrypted information, and/or terminating communications sessions attempting to pass encrypted information.  Alternatively, the organization may define their own procedure or method.\n \nDoD has determined the procedures or methods are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented mechanism to ensure the organization being inspected/assessed selects or defines the mechanism to prevent encrypted information from bypassing content-checking mechanisms.\n \nDoD has determined the procedures or methods are not appropriate to define at the Enterprise level.'),(2194,'AC-4','6','The organization defines the metadata the information system uses to enforce information flow control.','The organization being inspected/assessed defines and documents  the metadata the information system uses to enforce information flow control.\n \nDoD has determined the metadata is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented metadata to ensure the organization being inspected/assessed defines the metadata the information system uses to enforce information flow control.\n \nDoD has determined the metadata is not appropriate to define at the Enterprise level.'),(2195,'AC-4','8','The organization defines the information flows against which the organization-defined security policy filters are to be enforced.','DoD has defined the information flows as all information flows.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the information flows as all information flows.'),(2196,'AC-4','9','The organization defines the information flows  for which the information system will enforce the use of human reviews under organization-defined conditions.','The organization being inspected/assessed defines and documents the information flows  for which the information system will enforce the use of human reviews under organization-defined conditions.\n  \nDoD has determined the information flows are not appropriate to define at the Enterprise level','The organization conducting the inspection/assessment obtains and examines the documented information flows to ensure the organization being inspected/assessed defines the information flows  for which the information system will enforce the use of human reviews under organization-defined conditions.\n  \nDoD has determined the information flows are not appropriate to define at the Enterprise level.'),(2197,'AC-4','9','The organization defines the conditions which will require the use of human reviews of organization-defined information flows.','The organization being inspected/assessed defines and documents the conditions which will require the use of human reviews of organization-defined information flows.\n  \nDoD has determined the conditions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented conditions to ensure the organization being inspected/assessed defines the conditions which will require the use of human reviews of organization-defined information flows. \n \nDoD has determined the conditions are not appropriate to define at the Enterprise level.'),(2198,'AC-4','9','The information system enforces the use of human reviews for organization-defined information flows under organization-defined conditions.','The organization being inspected/assessed configures the information system to enforce the use of human reviews for information flows defined in AC-4 (9), CCI 2196 under conditions defined in AC-4 (9), CCI 2197.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2198.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce the use of human reviews for information flows defined in AC-4 (9), CCI 2196 under conditions defined in AC-4 (9), CCI 2197.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2198.'),(2199,'AC-4','10','The organization defines the conditions under which the information system provides the capability for privileged administrators to enable/disable organization-defined security policy filters.','The organization being inspected/assessed defines and documents the conditions under which the information system provides the capability for privileged administrators to enable/disable organization-defined security policy filters. \n \nDoD has determined the conditions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented conditions to ensure the organization being inspected/assessed defines the conditions under which the information system provides the capability for privileged administrators to enable/disable organization-defined security policy filters. \n \nDoD has determined the conditions are not appropriate to define at the Enterprise level.'),(2200,'AC-4','12','The organization defines the data type identifiers to be used to validate data being transferred between different security domains.','The organization being inspected/assessed defines and documents the data type identifiers to be used to validate data being transferred between different security domains.\n \nDoD has determined the data type identifiers are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented data type identifiers to ensure the organization being inspected/assessed defines  the data type identifiers to be used to validate data being transferred between different security domains.\n \nDoD has determined the data type identifiers are not appropriate to define at the Enterprise level.'),(2201,'AC-4','12','The information system, when transferring information between different security domains, uses organization-defined data type identifiers to validate data essential for information flow decisions.','The organization being inspected/assessed configures the information system to use data type identifiers defined in AC-4 (12), CCI 2200 to validate data essential for information flow decisions when transferring information between different security domains.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2201.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to use data type identifiers defined in AC-4 (12), CCI 2200 to validate data essential for information flow decisions when transferring information between different security domains.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2201.'),(2202,'AC-4','13','The organization defines the policy relevant subcomponents into which information being transferred between different security domains is to be decomposed into for submission to policy enforcement mechanisms.','The organization being inspected/assessed defines and documents the policy relevant subcomponents into which information being transferred between different security domains is to be decomposed into for submission to policy enforcement mechanisms.\n \nDoD has determined the policy-relevant subcomponents are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented policy-relevant subcomponents to ensure the organization being inspected/assessed defines the policy relevant subcomponents into which information being transferred between different security domains is to be decomposed into for submission to policy enforcement mechanisms.\n \nDoD has determined the policy-relevant subcomponents are not appropriate to define at the Enterprise level.'),(2203,'AC-4','15','The organization defines the unsanctioned information for which the information system is to examine when transferring information between different security domains.','The organization being inspected/assessed defines and documents the unsanctioned information for which the information system is to examine when transferring information between different security domains.\n \nDoD has determined the unsanctioned information is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented unsanctioned information to ensure the organization being inspected/assessed defines the unsanctioned information for which the information system is to examine when transferring information between different security domains.\n \nDoD has determined the unsanctioned information is not appropriate to define at the Enterprise level.'),(2204,'AC-4','15','The organization defines security policy which prohibits the transfer of unsanctioned information between different security domains.','The organization being inspected/assessed defines and documents  security policy which prohibits the transfer of unsanctioned information between different security domains.\n \nDoD has determined the security policy is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security policy to ensure the organization being inspected/assessed defines security policy which prohibits the transfer of unsanctioned information between different security domains.\n \nDoD has determined the security policy is not appropriate to define at the Enterprise level.'),(2205,'AC-4','17','The information system uniquely identifies and authenticates source by organization, system, application, and/or individual for information transfer.','The organization being inspected/assessed configures the information system to uniquely identify and authenticate source by organization, system, application, and/or individual for information transfer.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2205.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to uniquely identify and authenticate source by organization, system, application, and/or individual for information transfer.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2205.'),(2207,'AC-4','17','The information system uniquely identifies and authenticates destination by organization, system, application, and/or individual for information transfer.','The organization being inspected/assessed configures the information system to uniquely and authenticate identify destination by organization, system, application, and/or individual for information transfer.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2207.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to uniquely identify and authenticate destination by organization, system, application, and/or individual for information transfer.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2207.'),(2209,'AC-4','18','The organization defines the techniques to be used to bind security attributes to information.','The organization being inspected/assessed defines and documents the techniques to be used to bind security attributes to information.\n \nDoD has determined the techniques are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented techniques to ensure the organization being inspected/assessed defines the techniques to be used to bind security attributes to information.\n \nDoD has determined the techniques are not appropriate to define at the Enterprise level'),(2210,'AC-4','18','The information system binds security attributes to information using organization-defined binding techniques to facilitate information flow policy enforcement.','The organization being inspected/assessed configures the information system to bind security attributes to information using  binding techniques defined in AC-4 (18), CCI 2209 to facilitate information flow policy enforcement.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2210.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  bind security attributes to information using  binding techniques defined in AC-4 (18), CCI 2209 to facilitate information flow policy enforcement.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2210.'),(2211,'AC-4','19','The information system, when transferring information between different security domains, applies the same security policy filtering to metadata as it applies to data payloads.','The organization being inspected/assessed configures the information system to apply the same security policy filtering to metadata as it applies to data payloads when transferring information between different security domains.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2211.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to apply the same security policy filtering to metadata as it applies to data payloads when transferring information between different security domains.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2211.'),(2212,'AC-4','20','The organization defines the solutions in approved configurations to be employed to control the flow of organization-defined information across security domains.','The organization being inspected/assessed defines and documents the solutions in approved configurations to be employed to control the flow of information defined in AC-4 (20), CCI 2213 across security domains.\n  \nDoD has determined the solutions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented solutions to ensure the organization being inspected/assessed defines the solutions in approved configurations to be employed to control the flow of information defined in AC-4 (20), CCI 2213 across security domains.\n \nDoD has determined the solutions are not appropriate to define at the Enterprise level.'),(2213,'AC-4','20','The organization defines the information to be subjected to flow control across security domains.','The organization being inspected/assessed defines and documents the information to be subjected to flow control across security domains.\n  \nDoD has determined the information is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information to ensure the organization being inspected/assessed defines  the information to be subjected to flow control across security domains.\n \nDoD has determined the information is not appropriate to define at the Enterprise level.'),(2214,'AC-4','20','The organization employs organization-defined solutions in approved configurations to control the flow of organization-defined information across security domains.','The organization being inspected/assessed documents and implements solutions defined in AC-4 (20), CCI 2212 in approved configurations to control the flow of  information defined in AC-4 (20), CCI 2213 across security domains.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed employs solutions defined in AC-4 (20), CCI 2212 in approved configurations to control the flow of  information defined in AC-4 (20), CCI 2213 across security domains.'),(2215,'AC-4','21','The organization defines the mechanisms and/or techniques to be used to logically or physically separate information flows.','The organization being inspected/assessed defines and documents the mechanisms and/or techniques to be used to logically or physically separate information flows.\n \nDoD has determined the mechanisms are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented mechanisms to ensure the organization being inspected/assessed defines the mechanisms and/or techniques to be used to logically or physically separate information flows.\n \nDoD has determined the mechanisms are not appropriate to define at the Enterprise level.'),(2216,'AC-4','21','The organization defines the types of information required to accomplish logical or physical separation of information flows.','The organization being inspected/assessed defines and documents the types of information required to accomplish logical or physical separation of information flows.\n \nDoD has determined the types of information are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented types of information to ensure the organization being inspected/assessed defines the types of information required to accomplish logical or physical separation of information flows.\n \nDoD has determined the types of information are not appropriate to define at the Enterprise level.'),(2217,'AC-4','21','The information system separates information flows logically or physically using organization-defined mechanisms and/or techniques to accomplish organization-defined required separations by types of information.','The organization being inspected/assessed configures the information system to separate information flows logically or physically using mechanisms and/or techniques defined in AC-4 (21), CCI 2215 to accomplish required separations by types of information defined in AC-4 (21), CCI 2216.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2217.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to separate information flows logically or physically using mechanisms and/or techniques defined in AC-4 (21), CCI 2215 to accomplish required separations by types of information defined in AC-4 (21), CCI 2216.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2217.'),(2218,'AC-4','22','The information system provides access from a single device to computing platforms, applications, or data residing on multiple different security domains, while preventing any information flow between the different security domains.','The organization being inspected/assessed configures the information system to provide access from a single device to computing platforms, applications, or data residing on multiple different security domains, while preventing any information flow between the different security domains.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2218.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  provide access from a single device to computing platforms, applications, or data residing on multiple different security domains, while preventing any information flow between the different security domains.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2218.'),(2219,'AC-5','','The organization defines the duties of individuals that are to be separated.','The organization being inspected/assessed defines and documents the duties of individuals that are to be separated.\n \nDoD has determined the duties are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented duties to ensure the organization being inspected/assessed  defines the duties of individuals that are to be separated.\n \nDoD has determined the duties are not appropriate to define at the Enterprise level.'),(2220,'AC-5','','The organization defines information system access authorizations to support separation of duties.','The organization being inspected/assessed defines and documents the information system access authorizations to support separation of duties.','The organization conducting the inspection/assessment obtains and examines the documented  information system access authorizations to ensure the organization being inspected/assessed defines information system access authorizations to support separation of duties.'),(2221,'AC-6','1','The organization defines the security-relevant information for which access must be explicitly authorized.','DoD has defined the security-relevant information as all security-relevant information not publicly available.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the security-relevant information as all security-relevant information not publicly available.'),(2222,'AC-6','1','The organization explicitly authorizes access to organization-defined security functions.','The organization being inspected/assessed documents and implements a process to explicitly authorize access to all functions not publicly accessible.\n \nExplicit authorization can be in the form of an acceptable use policy signed by the user at the time of access being granted.\n \nDoD has defined the security functions as all functions not publicly accessible.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed explicitly authorizes access to all functions not publicly accessible.\n \nDoD has defined the security functions as all functions not publicly accessible.'),(2223,'AC-6','1','The organization explicitly authorizes access to organization-defined security-relevant information.','The organization being inspected/assessed documents and implements a process to explicitly authorize access to  all security-relevant information not publicly available.\n \nExplicit authorization can be in the form of an acceptable use policy signed by the user at the time of access being granted.\n \nDoD has defined the security-relevant information as all security-relevant information not publicly available.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed explicitly authorizes access to  all security-relevant information not publicly available.\n\n \nDoD has defined the security-relevant information as all security-relevant information not publicly available.'),(2224,'AC-6','3','The organization defines the compelling operational needs that must be met in order to be authorized network access to organization-defined privileged commands.','The organization being inspected/assessed defines and documents the compelling operational needs that must be met in order to be authorized network access to organization-defined privileged commands.\n \nDoD has determined the compelling operational needs are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented compelling operational needs to ensure the organization being inspected/assessed defines the  compelling operational needs that must be met in order to be authorized network access to organization-defined privileged commands.\n \nDoD has determined the compelling operational needs are not appropriate to define at the Enterprise level.'),(2225,'AC-6','4','The information system provides separate processing domains to enable finer-grained allocation of user privileges.','The organization being inspected/assessed configures the information system to provide separate processing domains to enable finer-grained allocation of user privileges.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2225.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to provide separate processing domains to enable finer-grained allocation of user privileges.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2225.'),(2226,'AC-6','5','The organization defines the personnel or roles to whom privileged accounts are to  be restricted on the information system.','The organization being inspected/assessed defines and documents the personnel or roles to whom privileged accounts are to  be restricted on the information system.\n \nDoD has determined the personnel and roles are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented personnel or roles to ensure the organization being inspected/assessed defines the personnel or roles to whom privileged accounts are to  be restricted on the information system. \n \nDoD has determined the personnel and roles are not appropriate to define at the Enterprise level.'),(2227,'AC-6','5','The organization restricts privileged accounts on the information system to organization-defined personnel or roles.','The organization being inspected/assessed implements a process to only provide privileged accounts on the information system to personnel or roles defined in AC-6 (5), CCI 2226.','The organization conducting the inspection/assessment obtains and examines  a sampling of information system access authorizations to ensure the organization being inspected/assessed implements a process to only provide privileged accounts on the information system to personnel or roles defined in AC-6 (5), CCI 2226.'),(2228,'AC-6','7','The organization defines the frequency on which it conducts reviews of the privileges assigned to organization-defined roles or classes of users.','DoD has defined the frequency as at a minimum, annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as at a minimum, annually.'),(2229,'AC-6','7','The organization defines the roles or classes of users that are to have their privileges reviewed on an organization-defined frequency.','DoD has defined the roles or classes of users as all users.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the roles or classes of users as all users.'),(2230,'AC-6','7','The organization reviews the privileges assigned to organization-defined roles or classes of users on an organization-defined frequency to validate the need for such privileges.','The organization being inspected/assessed documents and implements a process to review the privileges assigned to all users at a minimum, annually to validate the need for such privileges.\n \nThe organization must maintain an audit trail of reviews.\n \nDoD has defined the roles or classes of users as all users.\n \nDoD has defined the frequency as at a minimum, annually.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of reviews to ensure the organization being inspected/assessed reviews the privileges assigned to all users at a minimum, annually. to validate the need for such privileges.\n \nDoD has defined the roles or classes of users as all users.\n \nDoD has defined the frequency as at a minimum, annually.'),(2231,'AC-19','5','The organization employs full-device encryption or container encryption to protect the integrity of information on organization-defined mobile devices.','The organization being inspected/assessed documents and implements a process for full-device encryption or container encryption to protect the integrity of information on mobile devices defined in AC-19 (5), CCI 2329.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed employs full-device encryption or container encryption to protect the integrity of information on mobile devices defined in AC-19 (5), CCI 2329.'),(2232,'AC-6','8','The organization defines software that is restricted from executing at a higher privilege than users executing the software.','DoD has defined the software as any software except software explicitly documented.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the software as any software except software explicitly documented.'),(2233,'AC-6','8','The information system prevents organization-defined software from executing at higher privilege levels than users executing the software.','The organization being inspected/assessed configures the information system to any software except software explicitly documented from executing at higher privilege levels than users executing the software.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2233.\n \nDoD has defined the software as any software except software explicitly documented.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to prevent any software except software explicitly documented from executing at higher privilege levels than users executing the software.\n  \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2233.\n \nDoD has defined the software as any software except software explicitly documented.'),(2234,'AC-6','9','The information system audits the execution of privileged functions.','The organization being inspected/assessed configures the information system to audit the execution of privileged functions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2234.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to audit the execution of privileged functions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2234.'),(2235,'AC-6','10','The information system prevents non-privileged users from executing privileged functions to include disabling, circumventing, or altering implemented security safeguards/countermeasures.','The organization being inspected/assessed configures the information system to prevent non-privileged users from executing privileged functions to include disabling, circumventing, or altering implemented security safeguards/countermeasures.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2235.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to prevent non-privileged users from executing privileged functions to include disabling, circumventing, or altering implemented security safeguards/countermeasures.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2235.'),(2236,'AC-7','','The organization defines the time period the information system will automatically lock the account or node when the maximum number of unsuccessful attempts is exceeded.','DoD has defined the time period as until released by an administrator.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as until released by an administrator.'),(2237,'AC-7','','The organization defines the delay algorithm to be employed by the information system to delay the next login prompt when the maximum number of unsuccessful attempts is exceeded.','DoD has defined the delay algorithm as a minimum of 5 seconds.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the delay algorithm as a minimum of 5 seconds.'),(2238,'AC-7','','The information system automatically locks the account or node for either an organization-defined time period, until the locked account or node is released by an administrator, or delays the next login prompt according to the organization-defined delay algorithm when the maximum number of unsuccessful attempts is exceeded.','The organization being inspected/assessed configures the information system to automatically lock the account or node until the locked account is released by an administrator and delays the next login prompt for a minimum of 5 seconds when the maximum number of unsuccessful attempts is exceeded.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2238.\n \nDoD has defined the delay algorithm as a minimum of 5 seconds.\n \nDoD has defined the time period as until released by an administrator.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to automatically lock the account or node until the locked account is released by an administrator and delays the next login prompt for a minimum of 5 seconds when the maximum number of unsuccessful attempts is exceeded.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2238.\n \nDoD has defined the delay algorithm as a minimum of 5 seconds.\n \nDoD has defined the time period as until released by an administrator.'),(2239,'AC-7','2','The organization defines the mobile devices that are to be purged/wiped by the information system after an organization-defined number of consecutive, unsuccessful device logon attempts.','The organization being inspected/assessed defines and documents the mobile devices that are to be purged/wiped by the information system after an organization-defined number of consecutive, unsuccessful device logon attempts.\n \nMobile devices may be defined in terms of manufacturer and model name.\n \nDoD has determined the mobile devices are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented mobile devices to ensure the organization being inspected/assessed defines the mobile devices that are to be purged/wiped by the information system after an organization-defined number of consecutive, unsuccessful device logon attempts. \n \nDoD has determined the mobile devices are not appropriate to define at the Enterprise level.'),(2240,'AC-7','2','The organization defines the purging/wiping requirements/techniques to be used by the information system on organization-defined mobile devices after an organization-defined number of consecutive, unsuccessful device logon attempts.','DoD has defined the purging/wiping requirements/techniques as requirements and techniques identified in NIST SP 800-88, \"Guidelines for Media Sanitization.\"','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the purging/wiping requirements/techniques as requirements and techniques identified in NIST SP 800-88, \"Guidelines for Media Sanitization.\"'),(2241,'AC-7','2','The organization defines the number of consecutive, unsuccessful device logon attempts after which the information system will purge/wipe organization-defined mobile devices.','DoD has defined the number as 10.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the number as 10.'),(2242,'AC-7','2','The information system purges/wipes information from organization-defined mobile devices based on organization-defined purging/wiping requirements/techniques after organization-defined number consecutive, unsuccessful device logon attempts.','The organization being inspected/assessed configures the information system to  purge/wipe information from mobile devices defined in AC-7 (2), CCI 2239 based on requirements and techniques identified in NIST SP 800-88, \"Guidelines for Media Sanitization\" after 10 consecutive, unsuccessful device logon attempts.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the \nSTIG/SRG guidance that pertains to CCI 2242.\n \nDoD has defined the number as 10.\n \nDoD has defined the purging/wiping requirements/techniques as requirements and techniques identified in NIST SP 800-88, \"Guidelines for Media Sanitization.\"','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to purge/wipe information from mobile devices defined in AC-7 (2), CCI 2239 based on requirements and techniques identified in NIST SP 800-88, \"Guidelines for Media Sanitization\" after 10 consecutive, unsuccessful device logon attempts.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2242.\n \nDoD has defined the number as 10.\n \nDoD has defined the purging/wiping requirements/techniques as requirements and techniques identified in NIST SP 800-88, \"Guidelines for Media Sanitization.\"'),(2243,'AC-8','','The organization-defined information system use notification message or banner is to state that users are accessing a U.S. Government information system.','DTM 08-060, \"Policy on Use of Department of Defense (DoD) Information Systems – Standard Consent Banner and User Agreement,\" March 2013 meets the DoD requirements the information system use notification message or banner.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DTM 08-060.','DTM 08-060, \"Policy on Use of Department of Defense (DoD) Information Systems – Standard Consent Banner and User Agreement,\" March 2013 meets the DoD requirements the information system use notification message or banner.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DTM 08-060.'),(2244,'AC-8','','The organization-defined information system use notification message or banner is to state that information system usage may be monitored, recorded, and subject to audit.','DTM 08-060, \"Policy on Use of Department of Defense (DoD) Information Systems – Standard Consent Banner and User Agreement,\" March 2013 meets the DoD requirements the information system use notification message or banner.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DTM 08-060.','DTM 08-060, \"Policy on Use of Department of Defense (DoD) Information Systems – Standard Consent Banner and User Agreement,\" March 2013 meets the DoD requirements the information system use notification message or banner.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DTM 08-060.'),(2245,'AC-8','','The organization-defined information system use notification message or banner is to state that unauthorized use of the information system is prohibited and subject to criminal and civil penalties.','DTM 08-060, \"Policy on Use of Department of Defense (DoD) Information Systems – Standard Consent Banner and User Agreement,\" March 2013 meets the DoD requirements the information system use notification message or banner.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DTM 08-060.','DTM 08-060, \"Policy on Use of Department of Defense (DoD) Information Systems – Standard Consent Banner and User Agreement,\" March 2013 meets the DoD requirements the information system use notification message or banner.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DTM 08-060.'),(2246,'AC-8','','The organization-defined information system use notification message or banner is to state that use of the information system indicates consent to monitoring and recording.','DTM 08-060, \"Policy on Use of Department of Defense (DoD) Information Systems – Standard Consent Banner and User Agreement,\" March 2013 meets the DoD requirements the information system use notification message or banner.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DTM 08-060.','DTM 08-060, \"Policy on Use of Department of Defense (DoD) Information Systems – Standard Consent Banner and User Agreement,\" March 2013 meets the DoD requirements the information system use notification message or banner.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DTM 08-060.'),(2247,'AC-8','','The organization defines the use notification message or banner the information system displays to users before granting access to the system.','DoD has defined the use notification message or banner as the content of DTM 08-060, \"Policy on Use of Department of Defense (DoD) Information Systems – Standard Consent Banner and User Agreement,\" March 2013.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the use notification message or banner as the content of DTM 08-060, \"Policy on Use of Department of Defense (DoD) Information Systems – Standard Consent Banner and User Agreement,\" March 2013.'),(2248,'AC-8','','The organization defines the conditions of use which are to be displayed to users of the information system before granting further access.','DoD has defined the conditions as the content of DTM 08-060, \"Policy on Use of Department of Defense (DoD) Information Systems – Standard Consent Banner and User Agreement,\" March 2013.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the conditions as the content of DTM 08-060, \"Policy on Use of Department of Defense (DoD) Information Systems – Standard Consent Banner and User Agreement,\" March 2013.'),(2249,'AC-9','4','The organization defines the information of the last logon (access) that is to be provided by the information system to the user upon successful logon (access).','The organization being inspected/assessed defines and documents the information, in addition to the date and time of the last logon (access) to be included in the notification to the user upon successful logon (access).\n \nDoD has determined the information is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information to ensure the organization being inspected/assessed defines  the information, in addition to the date and time of the last logon (access) to be included in the notification to the user upon successful logon (access).\n \nDoD has determined the information is not appropriate to define at the Enterprise level.'),(2250,'AC-9','4','The information system notifies the user, upon successful logon (access), of the organization-defined information of the last logon (access).','The organization being inspected/assessed configures the information system to notify the user, upon successful logon (access), of the information defined in AC-9 (4), CCI 2249 to be included in addition to the date and time of the last logon (access).\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2250.\n','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to notify the user, upon successful logon (access), of the information defined in AC-9 (4), CCI 2249 to be included in addition to the date and time of the last logon (access).\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2250.'),(2252,'AC-10','','The organization defines the accounts for which the information system will limit the number of concurrent sessions.','DoD has defined the account types and/or accounts as all account types and/or accounts.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the account types and/or accounts as all account types and/or accounts.'),(2256,'AC-16','','The organization defines security attributes having organization-defined types of security attribute values which are associated with information in storage.','The organization being inspected/assessed defines and documents the  security attributes having organization-defined types of security attribute values which are associated with information in storage. \n \nDoD has determined the security attributes are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security attributes to ensure the organization being inspected/assessed defines security attributes having organization-defined types of security attribute values which are associated with information in storage. \n \nDoD has determined the security attributes are not appropriate to define at the Enterprise level.'),(2257,'AC-16','','The organization defines security attributes having organization-defined types of security attribute values which are associated with information in process.','The organization being inspected/assessed defines and documents the  security attributes having organization-defined types of security attribute values which are associated with information in process. \n \nDoD has determined the security attributes are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security attributes to ensure the organization being inspected/assessed defines security attributes having organization-defined types of security attribute values process. \n \nDoD has determined the security attributes are not appropriate to define at the Enterprise level.'),(2258,'AC-16','','The organization defines security attributes, having organization-defined types of security attribute values, which are associated with information in transmission.','The organization being inspected/assessed defines and documents the  security attributes having organization-defined types of security attribute values which are associated with information in transmission. \n \nDoD has determined the security attributes are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security attributes to ensure the organization being inspected/assessed defines security attributes having organization-defined types of security attribute values which are associated with information in transmission. \n \nDoD has determined the security attributes are not appropriate to define at the Enterprise level.'),(2259,'AC-16','','The organization defines security attribute values associated with organization-defined types of security attributes for information in storage.','The organization being inspected/assessed defines and documents the  security attributes values associated with organization-defined types of security attributes for information in storage.\n \nDoD has determined the security attribute values are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security attribute values to ensure the organization being inspected/assessed defines security attribute values associated with organization-defined types of security attributes for information in storage.\n \nDoD has determined the security attribute values are not appropriate to define at the Enterprise level.'),(2260,'AC-16','','The organization defines security attribute values associated with organization-defined types of security attributes for information in process.','The organization being inspected/assessed defines and documents the  security attributes values associated with organization-defined types of security attributes for information in process.\n \nDoD has determined the security attribute values are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security attribute values to ensure the organization being inspected/assessed defines security attribute values associated with organization-defined types of security attributes for information in process.\n \nDoD has determined the security attribute values are not appropriate to define at the Enterprise level.'),(2261,'AC-16','','The organization defines security attribute values associated with organization-defined types of security attributes for information in transmission.','The organization being inspected/assessed defines and documents the  security attributes values associated with organization-defined types of security attributes for information in transmission.\n \nDoD has determined the security attribute values are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security attribute values to ensure the organization being inspected/assessed defines security attribute values associated with organization-defined types of security attributes for information in transmission.\n \nDoD has determined the security attribute values are not appropriate to define at the Enterprise level.'),(2262,'AC-16','','The organization provides the means to associate organization-defined types of security attributes having organization-defined security attribute values with information in storage.','The organization being inspected/assessed configures the information system to provide the means to associate types of security attributes in defined in AC-16, CCI 2256 having  security attribute values defined in AC-16, CCI 2259 with information in storage.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2262.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to provide the means to associate types of security attributes in defined in AC-16, CCI 2256 having  security attribute values defined in AC-16, CCI 2259 with information in storage.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2262.'),(2263,'AC-16','','The organization provides the means to associate organization-defined types of security attributes having organization-defined security attribute values with information in process.','The organization being inspected/assessed configures the information system to provide the means to associate types of security attributes in defined in AC-16, CCI 2257 having  security attribute values defined in AC-16, CCI 2260 with information in process.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2263.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to provide the means to associate types of security attributes in defined in AC-16, CCI 2257 having  security attribute values defined in AC-16, CCI 2260 with information in process.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2263.'),(2264,'AC-16','','The organization provides the means to associate organization-defined types of security attributes having organization-defined security attribute values with information in transmission.','The organization being inspected/assessed configures the information system to provide the means to associate types of security attributes in defined in AC-16, CCI 2258 having  security attribute values defined in AC-16, CCI 2261 with information in transmission.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2264.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to provide the means to associate types of security attributes in defined in AC-16, CCI 2258 having  security attribute values defined in AC-16, CCI 2261 with information in transmission.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2264.'),(2265,'AC-16','','The organization ensures that the security attribute associations are made with the information.','The organization being inspected/assessed documents and implements a process to ensure that the security attribute associations are made with the information.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed ensures that the security attribute associations are made with the information.'),(2266,'AC-16','','The organization ensures that the security attribute associations are retained with the information.','The organization being inspected/assessed documents and implements a process to ensure that the security attribute associations are retained with the information.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed ensures that the security attribute associations are retained with the information.'),(2267,'AC-16','','The organization defines the security attributes that are permitted for organization-defined information systems.','DoD has defined the security attributes as the security attributes defined in AC-16, CCIs 2256-2258.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the security attributes as the security attributes defined in AC-16, CCIs 2256-2258.'),(2268,'AC-16','','The organization defines the information systems for which permitted organization-defined attributes are to be established.','DoD has defined the information systems as all information systems.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the information systems as all information systems.'),(2269,'AC-16','','The organization establishes the permitted organization-defined security attributes for organization-defined information systems.','The organization being inspected/assessed establishes and documents the permitted security attributes for all information systems as a subset of the security attributes defined in AC-16, CCI 2267.\n \nDoD has defined the information systems as all information systems.','The organization conducting the inspection/assessment obtains and examines the documented list of permitted security attributes to ensure the organization being inspected/assessed has established the list of  permitted security attributes for all information systems as a subset of the security attributes defined in AC-16, CCI 2267.\n \nDoD has defined the information systems as all information systems.'),(2270,'AC-16','','The organization defines the values or ranges permitted for each of the established security attributes.','DoD has defined the values or ranges as the values defined in AC-16, CCIs 2259-2261.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the values or ranges as the values defined in AC-16, CCIs 2259-2261.'),(2271,'AC-16','','The organization determines the permitted organization-defined values or ranges for each of the established security attributes.','The organization being inspected/assessed\nestablishes and documents the permitted values or ranges for each of the established security attributes as a subset of the values or ranges defined in AC-16, CCI 2270.','The organization conducting the inspection/assessment obtains and examines the documented permitted values or ranges to ensure the organization being inspected/assessed has established the permitted values or ranges for each of the established security attributes as a subset of the values or ranges defined in AC-16, CCI 2270.'),(2272,'AC-16','1','The information system dynamically associates security attributes with organization-defined objects in accordance with organization-defined security policies as information is created and combined.','The organization being inspected/assessed configures the information system to dynamically associates security attributes with the objects defined in AC-16 (1), CCI 2275 in accordance with the security policies defined in AC-16 (1), CCI 2273 as information is created and combined.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2272.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  dynamically associates security attributes with the objects defined in AC-16 (1), CCI 2275 in accordance with the security policies defined in AC-16 (1), CCI 2273 as information is created and combined.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2272.'),(2273,'AC-16','1','The organization defines the security policies the information system is to adhere to when dynamically associating security attributes with organization-defined subjects and objects.','The organization being inspected/assessed defines and documents the security policies the information system is to adhere to when dynamically associating security attributes with organization-defined subjects and objects.\n \nDoD has determined the security policies are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security policies to ensure the organization being inspected/assessed defines the security policies the information system is to adhere to when dynamically associating security attributes with organization-defined subjects and objects.\n \nDoD has determined the security policies are not appropriate to define at the Enterprise level.'),(2274,'AC-16','1','The organization defines the subjects the information system is to dynamically associate security attributes to as information is created and combined.','The organization being inspected/assessed defines and documents the subjects the information system is to dynamically associate security attributes to as information is created and combined.\n \nDoD has determined the subjects are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented objects to ensure the organization being inspected/assessed defines the subjects the information system is to dynamically associate security attributes to as information is created and combined.\n \nDoD has determined the subjects are not appropriate to define at the Enterprise level.'),(2275,'AC-16','1','The organization defines the objects the information system is to dynamically associate security attributes to as information is created and combined.','The organization being inspected/assessed defines and documents the objects the information system is to dynamically associate security attributes to as information is created and combined.\n \nDoD has determined the objects are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented objects to ensure the organization being inspected/assessed defines the objects the information system is to dynamically associate security attributes to as information is created and combined.\n \nDoD has determined the objects are not appropriate to define at the Enterprise level.'),(2276,'AC-16','2','The organization identifies the individuals authorized to define the value of associated security attributes.','The organization being inspected/assessed identifies and documents the individuals authorized to define the value of associated security attributes.','The organization conducting the inspection/assessment obtains and examines the documented individuals to ensure the organization being inspected/assessed identifies the individuals authorized to define the value of associated security attributes.'),(2277,'AC-16','2','The information system provides authorized individuals (or processes acting on behalf of individuals) the capability to define the value of associated security attributes.','The organization being inspected/assessed configures the information system to provide authorized individuals (or processes acting on behalf of individuals) the capability to define the value of associated security attributes.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2277.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to provide authorized individuals (or processes acting on behalf of individuals) the capability to define the value of associated security attributes.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2277.'),(2278,'AC-16','3','The organization defines security attributes for which the association and integrity  to organization-defined subjects and objects is maintained by the information system.','he organization being inspected/assessed defines and documents the security attributes for which the association and integrity  to organization-defined subjects and objects is maintained by the information system\n \nDoD has determined the security attributes are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security attributes to ensure the organization being inspected/assessed defines the security attributes for which the association and integrity  to organization-defined subjects and objects is maintained by the information system.  \n \nDoD has determined the security attributes are not appropriate to define at the Enterprise level.'),(2279,'AC-16','3','The organization defines subjects for which the association and integrity of organization-defined security attributes is maintained by the information system.','The organization being inspected/assessed defines and documents the  subjects for which the association and integrity of organization-defined security attributes is maintained by the information system.  \n \nDoD has determined the subjects are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented subjects to ensure the organization being inspected/assessed defines the subjects for which the association and integrity of organization-defined security attributes is maintained by the information system.  \n  \nDoD has determined the subjects are not appropriate to define at the Enterprise level.'),(2280,'AC-16','3','The organization defines objects for which the association and integrity of organization-defined security attributes is maintained by the information system.','The organization being inspected/assessed defines and documents the  objects for which the association and integrity of organization-defined security attributes is maintained by the information system.  \n \nDoD has determined the objects are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented subjects to ensure the organization being inspected/assessed defines the objects for which the association and integrity of organization-defined security attributes is maintained by the information system.  \n  \nDoD has determined the objects are not appropriate to define at the Enterprise level.'),(2281,'AC-16','3','The information system maintains the association of organization-defined security attributes to organization-defined subjects.','The organization being inspected/assessed configures the information system to maintain the association of the security attributes defined in AC-16 (3), CCI 2278 to subjects defined in AC-16 (3), CCI 2279.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2281.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  maintain the association of the security attributes defined in AC-16 (3), CCI 2278 to subjects defined in AC-16 (3), CCI 2280\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2281.'),(2282,'AC-16','3','The information system maintains the association of organization-defined security attributes to organization-defined objects.','The organization being inspected/assessed configures the information system to maintain the association of the security attributes defined in AC-16 (3), CCI 2278 to objects defined in AC-16 (3), CCI 2280.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2282.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to   maintain the association of the security attributes defined in AC-16 (3), CCI 2278 to objects defined in AC-16 (3), CCI 2280\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2282.'),(2283,'AC-16','3','The information system maintains the integrity of organization-defined security attributes to organization-defined subjects.','The organization being inspected/assessed configures the information system to maintain the integrity of the security attributes defined in AC-16 (3), CCI 2278 to subjects defined in AC-16 (3), CCI 2279.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2283.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  maintain the integrity of the security attributes defined in AC-16 (3), CCI 2278 to subjects defined in AC-16 (3), CCI 2279.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2283.'),(2284,'AC-16','3','The information system maintains the integrity of organization-defined security attributes to organization-defined objects.','The organization being inspected/assessed configures the information system to maintain the integrity of the security attributes defined in AC-16 (3), CCI  2278 to objects defined in AC-16 (3), CCI 2280.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2284.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information to maintain the integrity of the security attributes defined in AC-16 (3), CCI  2278 to objects defined in AC-16 (3), CCI 2280.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2284.'),(2285,'AC-16','4','The organization identifies individuals (or processes acting on behalf of individuals) authorized to associate organization-defined security attributes with organization-defined subjects.','The organization being inspected/assessed identifies and documents individuals (or processes acting on behalf of individuals) authorized to associate security attributes defined in AC-16 (4), CCI 2288 with subjects defined in AC-16 (4), CCI 2286.','The organization conducting the inspection/assessment obtains and examines the documented individuals to ensure the organization being inspected/assessed identifies individuals (or processes acting on behalf of individuals) authorized to associate security attributes defined in AC-16 (4), CCI 2288 with subjects defined in AC-16 (4), CCI 2286.'),(2286,'AC-16','4','The organization defines the subjects with which organization-defined security attributes may be associated by authorized individuals (or processes acting on behalf of individuals).','The organization being inspected/assessed defines and documents the subjects with which organization-defined security attributes may be associated by authorized individuals (or processes acting on behalf of individuals).\n \nDoD has defined the subjects as not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented objects to ensure the organization being inspected/assessed defines  the  subjects with which organization-defined security attributes may be associated by authorized individuals (or processes acting on behalf of individuals).\n \nDoD has defined the subjects as not appropriate to define at the Enterprise level.'),(2287,'AC-16','4','The organization defines the objects with which organization-defined security attributes may be associated by authorized individuals (or processes acting on behalf of individuals).','The organization being inspected/assessed defines and documents the objects with which organization-defined security attributes may be associated by authorized individuals (or processes acting on behalf of individuals).\n \nDoD has defined the objects as not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented objects to ensure the organization being inspected/assessed defines  the  objects with which organization-defined security attributes may be associated by authorized individuals (or processes acting on behalf of individuals).\n \nDoD has defined the objects as not appropriate to define at the Enterprise level.'),(2288,'AC-16','4','The organization defines the security attributes authorized individuals (or processes acting on behalf of individuals) are permitted to associate with organization-defined subjects and objects.','The organization being inspected/assessed defines and documents the security attributes authorized individuals (or processes acting on behalf of individuals) are permitted to associate with organization-defined subjects and objects.\n \nDoD has defined the security attributes as not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security attributes to ensure the organization being inspected/assessed defines  the security attributes authorized individuals (or processes acting on behalf of individuals) are permitted to associate with organization-defined subjects and objects.\n \nDoD has defined the security attributes as not appropriate to define at the Enterprise level.'),(2289,'AC-16','4','The information system supports the association of organization-defined security attributes with organization-defined subjects by authorized individuals (or processes acting on behalf of individuals).','The organization being inspected/assessed configures the information system to support the association of security attributes defined in AC-16 (4), CCI 2288 with the subjects defined in AC-16 (4), CCI 2286 by authorized individuals (or processes acting on behalf of individuals).\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2289.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  support the association of security attributes defined in AC-16 (4), CCI 2288 with the subjects defined in AC-16 (4), CCI 2286 by authorized individuals (or processes acting on behalf of individuals).\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2289.'),(2290,'AC-16','4','The information system supports the association of organization-defined security attributes with organization-defined objects by authorized individuals (or processes acting on behalf of individuals).','The organization being inspected/assessed configures the information system to support the association of security attributes defined in AC-16 (4), CCI 2288 with the objects defined in AC-16 (4), CCI 2287 by authorized individuals (or processes acting on behalf of individuals).\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2290.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to support the association of security attributes defined in AC-16 (4), CCI 2288 with the objects defined in AC-16 (4), CCI 2287 by authorized individuals (or processes acting on behalf of individuals).\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2290.'),(2291,'AC-16','6','The organization defines the security policies to be followed  by personnel when associating organization-defined security attributes with organization-defined subjects and objects.','The organization being inspected/assessed defines and documents the security policies to be followed  by personnel when associating organization-defined security attributes with organization-defined subjects and objects.\n \nDoD has determined the security policies are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security policies to ensure the organization being inspected/assessed defines the security policies to be followed  by personnel when associating organization-defined security attributes with organization-defined subjects and objects.\n \nDoD has determined the security policies are not appropriate to define at the Enterprise level.'),(2292,'AC-16','6','The organization defines the security attributes which are to be associated with organization-defined subjects and objects.','The organization being inspected/assessed defines and documents the  security attributes which are to be associated with organization-defined subjects and objects.\n \nDoD has determined the security attributes are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security attributes to ensure the organization being inspected/assessed defines the security attributes which are to be associated with organization-defined subjects and objects.\n \nDoD has determined the security attributes are not appropriate to define at the Enterprise level.'),(2293,'AC-16','6','The organization defines the subjects to be associated, and that association maintained,  with organization-defined security attributes in accordance with organization-defined security policies.','The organization being inspected/assessed defines and documents the subjects to be associated, and that association maintained,  with organization-defined security attributes in accordance with organization-defined security policies.\n  \nDoD has determined the subjects are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented subjects to ensure the organization being inspected/assessed defines the subjects to be associated, and that association maintained,  with organization-defined security attributes in accordance with organization-defined security policies.\n \nDoD has determined the subjects are not appropriate to define at the Enterprise level.'),(2294,'AC-16','6','The organization defines the objects to be associated, and that association maintained, with organization-defined security attributes in accordance with organization-defined security policies.','The organization being inspected/assessed defines and documents the  objects to be associated, and that association maintained, with organization-defined security attributes in accordance with organization-defined security policies.\n \nDoD has determined the objects are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented objects to ensure the organization being inspected/assessed defines the objects to be associated, and that association maintained, with organization-defined security attributes in accordance with organization-defined security policies.\n \nDoD has determined the objects are not appropriate to define at the Enterprise level.'),(2295,'AC-16','6','The organization allows personnel to associate organization-defined security attributes with organization-defined subjects in accordance with organization-defined security policies.','The organization being inspected/assessed \ndocuments and implements a process  requiring personnel to associate security attributes defined in AC-16 (6), CCI 2292 with subjects defined in AC-16 (6), CCI 2293 in accordance with  security policies defined in AC-16 (6), CCI 2291.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed requires personnel to associate security attributes defined in AC-16 (6), CCI 2292 with subjects defined in AC-16 (6), CCI 2293 in accordance with  security policies defined in AC-16 (6), CCI 2291.'),(2296,'AC-16','6','The organization allows personnel to associate organization-defined security attributes with organization-defined objects in accordance with organization-defined security policies.','The organization being inspected/assessed \ndocuments and implements a process  requiring personnel to associate security attributes defined in AC-16 (6), CCI 2292 with objects defined in AC-16 (6), CCI 2294 in accordance with security policies defined in AC-16 (6), CCI 2291.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed requires personnel to associate security attributes defined in AC-16 (6), CCI 2292 with objects defined in AC-16 (6), CCI 2294 in accordance with security policies defined in AC-16 (6), CCI 2291.'),(2297,'AC-16','6','The organization allows personnel to maintain the association of organization-defined security attributes with organization-defined subjects in accordance with organization-defined security policies.','The organization being inspected/assessed \ndocuments and implements a process  requiring personnel to maintain the association of security attributes defined in AC-16 (6), CCI 2292 with subjects defined in AC-16 (6), CCI 2293 in accordance with  security policies defined in AC-16 (6), CCI 2291.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed requires personnel to maintain the association of security attributes defined in AC-16 (6), CCI 2292 with subjects defined in AC-16 (6), CCI 2293 in accordance with  security policies defined in AC-16 (6), CCI 2291.'),(2298,'AC-16','6','The organization allows personnel to maintain the association of organization-defined security attributes with organization-defined objects in accordance with organization-defined security policies.','The organization being inspected/assessed \ndocuments and implements a process  requiring personnel to  maintain the association of security attributes defined in AC-16 (6), CCI 2292 with objects defined in AC-16 (6), CCI 2294 in accordance with  security policies defined in AC-16 (6), CCI 2291.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed requires personnel to  maintain the association of security attributes defined in AC-16 (6), CCI 2292 with objects defined in AC-16 (6), CCI 2294 in accordance with  security policies defined in AC-16 (6), CCI 2291.'),(2299,'AC-16','7','The organization provides a consistent interpretation of security attributes transmitted between distributed information system components.','The organization being inspected/assessed documents and implements a process to provide a consistent interpretation of security attributes transmitted between distributed information system components.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed  provides a consistent interpretation of security attributes transmitted between distributed information system components.'),(2300,'AC-16','8','The organization defines the techniques or technologies to be implemented when associating security attributes with information.','The organization being inspected/assessed defines and documents the techniques or technologies to be implemented when associating security attributes with information. \n \nDoD has determined the technique or technologies are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented techniques and technologies to ensure the organization being inspected/assessed defines the techniques or technologies to be implemented when associating security attributes with information. \n \nDoD has determined the technique or technologies are not appropriate to define at the Enterprise level.'),(2301,'AC-16','8','The organization defines the level of assurance to be provided when implementing organization-defined techniques or technologies in associating security attributes to information.','The organization being inspected/assessed defines and documents the level of assurance to be provided when implementing organization-defined techniques or technologies in associating security attributes to information.\n \nDoD has determined the level of assurance is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented level of assurance to ensure the organization being inspected/assessed defines the level of assurance to be provided when implementing organization-defined techniques or technologies in associating security attributes to information.\n \nDoD has determined the level of assurance is not appropriate to define at the Enterprise level.'),(2302,'AC-16','8','The information system implements organization-defined techniques or technologies with organization-defined level of assurance in associating security attributes to information.','The organization being inspected/assessed configures the information system to implement the techniques or technologies defined in AC-16 (8), CCI 2300 with the level of assurance defined in AC-16 (8), CCI 2301 in associating security attributes to information.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2302.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement the techniques or technologies defined in AC-16 (8), CCI 2300 with the level of assurance defined in AC-16 (8), CCI 2301 in associating security attributes to information.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2302.'),(2303,'AC-16','9','The organization defines the techniques or procedures to be employed to validate re-grading mechanisms.','The organization being inspected/assessed defines and documents the techniques or procedures to be employed to validate re-grading mechanisms.\n \nDoD has determined the techniques or procedures are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented techniques or procedures to ensure the organization being inspected/assessed defines the techniques or procedures to be employed to validate re-grading mechanisms.\n \nDoD has determined the techniques or procedures are not appropriate to define at the Enterprise level.'),(2304,'AC-16','9','The organization ensures security attributes associated with information are reassigned only via re-grading mechanisms validated using organization-defined techniques or procedures.','The organization being inspected/assessed documents and implements a process to ensure security attributes associated with information are reassigned only via re-grading mechanisms validated using techniques or procedures defined in AC-16 (9), CCI 2303.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed ensures security attributes associated with information are reassigned only via re-grading mechanisms validated  using techniques or procedures defined in AC-16 (9), CCI 2303.'),(2305,'AC-16','10','The organization identifies individuals authorized to define or change the type and value of security attributes available for association with subjects and objects.','The organization being inspected/assessed identifies and documents individuals authorized to define or change the type and value of security attributes available for association with subjects and objects.','The organization conducting the inspection/assessment obtains and examines the documented individuals to ensure the organization being inspected/assessed identifies individuals authorized to define or change the type and value of security attributes available for association with subjects and objects.'),(2306,'AC-16','10','The information system provides authorized individuals the capability to define or change the type of security attributes available for association with subjects.','The organization being inspected/assessed configures the information system to provide authorized individuals the capability to define or change the type of security attributes available for association with subjects.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2306.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to provide authorized individuals the capability to define or change the type of security attributes available for association with subjects.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2306.'),(2307,'AC-16','10','The information system provides authorized individuals the capability to define or change the value of security attributes available for association with subjects.','The organization being inspected/assessed configures the information system to provide authorized individuals the capability to define or change the value of security attributes available for association with subjects.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2307.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to provide authorized individuals the capability to define or change the value of security attributes available for association with subjects.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2307.'),(2308,'AC-16','10','The information system provides authorized individuals the capability to define or change the type of security attributes available for association with objects.','The organization being inspected/assessed configures the information system to provide authorized individuals the capability to define or change the type of security attributes available for association with objects.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2308.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to provide authorized individuals the capability to define or change the type of security attributes available for association with objects.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2308.'),(2309,'AC-16','10','The information system provides authorized individuals the capability to define or change the value of security attributes available for association with objects.','The organization being inspected/assessed configures the information system to provide authorized individuals the capability to define or change the value of security attributes available for association with objects.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2309.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to provide authorized individuals the capability to define or change the value of security attributes available for association with objects.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2309.'),(2310,'AC-17','','The organization establishes and documents usage restrictions for each type of remote access allowed.','The organization being inspected/assessed establishes and documents usage restrictions for each type of remote access allowed.','The organization conducting the inspection/assessment obtains and examines the documented usage restrictions to ensure the organization being inspected/assessed  establishes and documents usage restrictions for each type of remote access allowed.'),(2311,'AC-17','','The organization establishes and documents configuration/connection requirements for each type of remote access allowed.','The organization being inspected/assessed establishes and documents configuration/connection requirements for each type of remote access allowed.','The organization conducting the inspection/assessment obtains and examines the documented requirements to ensure the organization being inspected/assessed  establishes and documents configuration/connection requirements for each type of remote access allowed.'),(2312,'AC-17','','The organization establishes and documents implementation guidance for each type of remote access allowed.','The organization being inspected/assessed establishes and documents implementation guidance for each type of remote access allowed.','The organization conducting the inspection/assessment obtains and examines the documented implementation guidance to ensure the organization being inspected/assessed establishes and documents implementation guidance for each type of remote access allowed.'),(2314,'AC-17','1','The information system controls remote access methods.','The organization being inspected/assessed configures the information system to control remote access methods.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2314.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to control remote access methods.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2314.'),(2315,'AC-17','3','The organization defines the number of managed network access control points through which the information system routes all remote access.','The organization being inspected/assessed defines and documents the number of managed network access control points through which the information system routes all remote access.\n \nDoD has determined the number is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented number to ensure the organization being inspected/assessed defines the number of managed network access control points through which the information system routes all remote access. \n \nDoD has determined the number is not appropriate to define at the Enterprise level.'),(2316,'AC-17','4','The organization authorizes the access to security-relevant information via remote access only for organization-defined needs.','The organization being inspected/assessed authorizes the access to security-relevant information via remote access only for needs defined in AC-17 (4), CCI 2318.\n \nThe organization being inspected/assessed maintains an audit trail of authorizations.','The organization conducting the inspection/assessment obtains and examines the audit trail of authorizations to ensure the organization being inspected/assessed authorizes the access to security-relevant information via remote access only for needs defined in AC-17 (4), CCI 2318.'),(2317,'AC-17','4','The organization defines the operational needs when the execution of privileged commands via remote access is to be authorized.','The organization being inspected/assessed defines and documents the operational needs when the execution of privileged commands via remote access is to be authorized.\n \nDoD has determined the operational needs are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented operational needs to ensure the organization being inspected/assessed defines the operational needs when the execution of privileged commands via remote access is to be authorized.\n \nDoD has determined the operational needs are not appropriate to define at the Enterprise level.'),(2318,'AC-17','4','The organization defines the operational needs when access to security-relevant information via remote access is to be authorized.','The organization being inspected/assessed defines and documents the operational needs when access to security-relevant information via remote access is to be authorized.\n \nDoD has determined the operational needs are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented operational needs to ensure the organization being inspected/assessed defines the operational needs when access to security-relevant information via remote access is to be authorized.\n \nDoD has determined the operational needs are not appropriate to define at the Enterprise level.'),(2319,'AC-17','4','The organization documents in the security plan for the information system the rationale for authorization of the execution of privilege commands via remote access.','The organization being inspected/assessed documents in the security plan for the information system the rationale for authorization of the execution of privilege commands via remote access.','The organization conducting the inspection/assessment obtains and examines the security plan to ensure the organization being inspected/assessed documents in the security plan for the information system the rationale for authorization of the execution of privilege commands via remote access.'),(2320,'AC-17','4','The organization documents in the security plan for the information system the rationale for authorization of access to security-relevant information via remote access.','The organization being inspected/assessed documents in the security plan for the information system the rationale for authorization of access to security-relevant information via remote access.','The organization conducting the inspection/assessment obtains and examines the security plan to ensure the organization being inspected/assessed documents in the security plan for the information system the rationale for authorization of access to security-relevant information via remote access.'),(2321,'AC-17','9','The organization defines the time period within which it disconnects or disables remote access to the information system.','DoD has defined the time period as immediately.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as immediately.'),(2322,'AC-17','9','The organization provides the capability to expeditiously disconnect or disable remote access to the information system within the organization-defined time period.','The organization being inspected/assessed configures the information system to provide the capability to expeditiously disconnect or disable remote access to the information system immediately.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2322.\n \nDoD has defined the time period as immediately.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  provide the capability to expeditiously disconnect or disable remote access to the information system immediately.\n  \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2322.\n \nDoD has defined the time period as immediately.'),(2323,'AC-18','','The organization establishes configuration/connection requirements for wireless access.','The organization being inspected/assessed  establishes and documents configuration/connection requirements for wireless access.','The organization conducting the inspection/assessment obtains and examines the documented configuration/connection requirements to ensure the organization being inspected/assessed establishes configuration/connection requirements for wireless access.'),(2324,'AC-18','4','The organization identifies and explicitly authorizes users allowed to independently configure wireless networking capabilities.','The organization being inspected/assessed identifies and explicitly authorizes users allowed to independently configure wireless networking capabilities.\n \nThe organization must maintain an audit trail of authorizations.','The organization conducting the inspection/assessment obtains and examines the audit trail of authorizations to ensure the organization being inspected/assessed identifies and explicitly authorizes users allowed to independently configure wireless networking capabilities.'),(2325,'AC-19','','The organization establishes configuration requirements for organization controlled mobile devices.','DoD is automatically compliant with this CCI because existing STIGs establish configuration requirements for approved mobile devices.','DoD is automatically compliant with this CCI because existing STIGs establish configuration requirements for approved mobile devices.'),(2326,'AC-19','','The organization establishes connection requirements for organization controlled mobile devices.','The organization being inspected/assessed establishes and documents  connection requirements for organization controlled mobile devices.','The organization conducting the inspection/assessment obtains and examines the documented connection requirements to ensure the organization being inspected/assessed establishes connection requirements for organization controlled mobile devices.'),(2327,'AC-19','4','The organization defines the security policies which restrict the connection of classified mobile devices to classified information systems.','The organization being inspected/assessed defines and documents the security policies which restrict the connection of classified mobile devices to classified information systems. \n \nDoD has determined the security policies are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security policies to ensure the organization being inspected/assessed defines the security policies which restrict the connection of classified mobile devices to classified information systems.\n \nDoD has determined the security policies are not appropriate to define at the Enterprise level.'),(2328,'AC-19','4','The organization restricts the connection of classified mobile devices to classified information systems in accordance with organization-defined security policies.','The organization being inspected/assessed documents and implements a process to restrict the connection of classified mobile devices to classified information systems in accordance with the security policies defined in AC-19 (4), CCI 2327.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed restricts the connection of classified mobile devices to classified information systems in accordance with the security policies defined in AC-19 (4), CCI 2327.'),(2329,'AC-19','5','The organization defines the mobile devices that are to employ full-device or container encryption to protect the confidentiality and integrity of the information on device.','The organization being inspected/assessed defines and documents the mobile devices that are to employ full-device or container encryption to protect the confidentiality and integrity of the information on device.\n \nDoD has determined the mobile devices are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented mobile devices to ensure the organization being inspected/assessed  defines  the mobile devices that are to employ full-device or container encryption to protect the confidentiality and integrity of the information on device.\n \nDoD has determined the mobile devices are not appropriate to define at the Enterprise level.'),(2330,'AC-19','5','The organization employs full-device encryption or container encryption to protect the confidentiality of information on organization-defined mobile devices.','The organization being inspected/assessed documents and implements a process for full-device encryption or container encryption to protect the confidentiality of information on  mobile devices defined in AC-19 (5), CCI 2329.\n \n ','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed employs full-device encryption or container encryption to protect the confidentiality of information on mobile devices defined in AC-19 (5), CCI 2329.'),(2331,'AC-6','7','The organization reassigns or removes privileges, if necessary, to correctly reflect organizational mission/business needs.','The organization being inspected/assessed documents and implements a process to reassign or remove privileges, if necessary, to correctly reflect organizational mission/business needs.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed reassigns or removes privileges, if necessary, to correctly reflect organizational mission/business needs.'),(2332,'AC-20','','The organization establishes terms and conditions, consistent with any trust relationships established with other organizations owning, operating, and/or maintaining external information systems, allowing authorized individuals to process, store or transmit organization-controlled information using the external information systems.','The organization being inspected/assessed establishes and documents the terms and conditions, consistent with any trust relationships established with other organizations owning, operating, and/or maintaining external information systems, allowing authorized individuals to process, store or transmit organization-controlled information using the external information systems.','The organization conducting the inspection/assessment obtains and examines the documented terms and conditions to ensure the organization being inspected/assessed establishes terms and conditions, consistent with any trust relationships established with other organizations owning, operating, and/or maintaining external information systems, allowing authorized individuals to process, store or transmit organization-controlled information using the external information systems.'),(2333,'AC-20','1','The organization permits authorized individuals to use an external information system to access the information system only when the organization verifies the implementation of required security controls on the external system as specified in the organization’s information security policy and security plan.','The organization being inspected/assessed documents and implements a process to permit authorized individuals to use an external information system to access the information system only when the organization verifies the implementation of required security controls on the external system as specified in the organization’s information security policy and security plan.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed permits authorized individuals to use an external information system to access the information system only when the organization verifies the implementation of required security controls on the external system as specified in the organization’s information security policy and security plan.'),(2334,'AC-20','1','The organization permits authorized individuals to use an external information system to process organization-controlled information only when the organization verifies the implementation of required security controls on the external system as specified in the organization’s information security policy and security plan.','The organization being inspected/assessed documents and implements a process to permit authorized individuals to use an external information system to process organization-controlled information only when the organization verifies the implementation of required security controls on the external system as specified in the organization’s information security policy and security plan.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed permits authorized individuals to use an external information system to process organization-controlled information only when the organization verifies the implementation of required security controls on the external system as specified in the organization’s information security policy and security plan.'),(2335,'AC-20','1','The organization permits authorized individuals to use an external information system to store organization-controlled information only when the organization verifies the implementation of required security controls on the external system as specified in the organization’s information security policy and security plan.','The organization being inspected/assessed documents and implements a process to permit authorized individuals to use an external information system to store organization-controlled information only when the organization verifies the implementation of required security controls on the external system as specified in the organization’s information security policy and security plan.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed permits authorized individuals to use an external information system to store organization-controlled information only when the organization verifies the implementation of required security controls on the external system as specified in the organization’s information security policy and security plan.'),(2336,'AC-20','1','The organization permits authorized individuals to use an external information system to transmit organization-controlled information only when the organization verifies the implementation of required security controls on the external system as specified in the organization’s information security policy and security plan.','The organization being inspected/assessed documents and implements a process to permit authorized individuals to use an external information system to transmit organization-controlled information only when the organization verifies the implementation of required security controls on the external system as specified in the organization’s information security policy and security plan.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed permits authorized individuals to use an external information system to transmit organization-controlled information only when the organization verifies the implementation of required security controls on the external system as specified in the organization’s information security policy and security plan.'),(2337,'AC-20','1','The organization permits authorized individuals to use an external information system to access the information system or to process, store, or transmit organization-controlled information only when the organization retains approved information system connection or processing agreements with the organizational entity hosting the external information system.','The organization being inspected/assessed documents and implements a process to permit  authorized individuals to use an external information system to access the information system or to process, store, or transmit organization-controlled information only when the organization retains approved information system connection or processing agreements with the organizational entity hosting the external information system.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed permits  authorized individuals to use an external information system to access the information system or to process, store, or transmit organization-controlled information only when the organization retains approved information system connection or processing agreements with the organizational entity hosting the external information system.'),(2338,'AC-20','3','The organization restricts or prohibits the use of non-organizationally owned information systems, system components, or devices to process, store, or transmit organizational information.','The organization being inspected/assessed documents and implements a process to  restrict or prohibit the use of non-organizationally owned information systems, system components, or devices to process, store, or transmit organizational information.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed restricts or prohibits the use of non-organizationally owned information systems, system components, or devices to process, store, or transmit organizational information.'),(2339,'AC-20','4','The organization defines the network accessible storage devices that are to be prohibited from being used in external information systems.','The organization being inspected/assessed defines and documents the network accessible storage devices that are to be prohibited from being used in external information systems.\n \nDoD has determined the network accessible storage devices are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented network accessible storage devices to ensure the organization being inspected/assessed defines the network accessible storage devices that are to be prohibited from being used in external information systems.\n \nDoD has determined the network accessible storage devices are not appropriate to define at the Enterprise level.'),(2340,'AC-20','4','The organization prohibits the use of organization-defined network accessible storage devices in external information systems.','The organization being inspected/assessed documents and implements a process to prohibit the use of  network accessible storage devices defined in AC-20 (4), CCI 2339 in external information systems.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed prohibits the use of  network accessible storage devices defined in AC-20 (4), CCI 2339 in external information systems.'),(2341,'AC-21','2','The organization defines the information sharing restrictions to be enforced by the information system for information search and retrieval services.','The organization being inspected/assessed defines and documents the information sharing restrictions to be enforced by the information system for information search and retrieval services.\n \nDoD has determined the information sharing restrictions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information sharing restrictions to ensure the organization being inspected/assessed  defines the information sharing restrictions to be enforced by the information system for information search and retrieval services.\n \nDoD has determined the information sharing restrictions are not appropriate to define at the Enterprise level.'),(2342,'AC-21','2','The information system implements information search and retrieval services that enforce organization-defined information sharing restrictions.','The organization being inspected/assessed configures the information system to configure the information system to implement information search and retrieval services that enforce information sharing restrictions defined in AC-21 (2), CCI 2341.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2342.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement information search and retrieval services that enforce information sharing restrictions defined in AC-21 (2), CCI 2341.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2342.'),(2343,'AC-23','','The organization defines the data mining prevention techniques to be employed to adequately protect organization-defined data storage objects against data mining.','The organization being inspected/assessed defines and documents the data mining prevention techniques to be employed to adequately protect organization-defined data storage objects against data mining.\n \nDoD has determined the data mining prevention techniques are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented data mining prevention techniques to ensure the organization being inspected/assessed  defines the data mining prevention techniques to be employed to adequately protect organization-defined data storage objects against data mining.\n \nDoD has determined the data mining prevention techniques are not appropriate to define at the Enterprise level.'),(2344,'AC-23','','The organization defines the data mining detection techniques to be employed to adequately detect data mining attempts against organization-defined data storage objects.','The organization being inspected/assessed defines and documents the data mining detection techniques to be employed to adequately detect data mining attempts against organization-defined data storage objects.\n \nDoD has determined the data mining detection techniques are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented data mining detection techniques to ensure the organization being inspected/assessed  defines the data mining detection techniques to be employed to adequately detect data mining attempts against organization-defined data storage objects.\n \nDoD has determined the data mining detection techniques are not appropriate to define at the Enterprise level.'),(2345,'AC-23','','The organization defines the data storage objects that are to be protected against data mining attempts.','The organization being inspected/assessed defines and documents the data storage objects that are to be protected against data mining attempts.\n \nDoD has determined the data storage objects are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented data storage objects to ensure the organization being inspected/assessed  defines the data storage objects that are to be protected against data mining attempts. \n \nDoD has determined the data storage objects are not appropriate to define at the Enterprise level.'),(2346,'AC-23','','The organization employs organization-defined data mining prevention techniques for organization-defined data storage objects to adequately protect against data mining.','The organization being inspected/assessed configures the information system to employ data mining prevention techniques defined in AC-23, CCI 2343 for data storage objects defined in AC-23, CCI 2345 to adequately detect data mining attempts.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2346.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to employ data mining prevention techniques defined in AC-23, CCI 2343 for data storage objects defined in AC-23, CCI 2345 to adequately detect data mining attempts.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2346.'),(2347,'AC-23','','The organization employs organization-defined data mining detection techniques for organization-defined data storage objects to adequately detect data mining attempts.','The organization being inspected/assessed configures the information system to employ data mining detection techniques defined in AC-23, CCI 2344  for data storage objects defined in AC-23, CCI 2345 to adequately detect data mining attempts.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2347.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to employ data mining detection techniques defined in AC-23, CCI 2344  for data storage objects defined in AC-23, CCI 2345 to adequately detect data mining attempts.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2347.'),(2348,'AC-24','','The organization defines the access control decisions that are to be applied to each access request prior to access enforcement.','The organization being inspected/assessed defines and documents the access control decisions that are to be applied to each access request prior to access enforcement. \n \nDoD has determined the access control decisions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented access control decisions to ensure the organization being inspected/assessed defines  the access control decisions that are to be applied to each access request prior to access enforcement. \n \nDoD has determined the access control decisions are not appropriate to define at the Enterprise level.'),(2349,'AC-24','','The organization establishes procedures to ensure organization-defined access control decisions are applied to each access request prior to access enforcement.','The organization being inspected/assessed establishes and documents procedures to ensure access control decisions defined in AC-24, CCI 2348 are applied to each access request prior to access enforcement.','The organization conducting the inspection/assessment obtains and examines the documented procedures to ensure the organization being inspected/assessed establishes procedures to ensure access control decisions defined in AC-24, CCI 2348 are applied to each access request prior to access enforcement.'),(2350,'AC-24','1','The organization defines the access authorization information that is to be transmitted using organization-defined security safeguards to organization-defined information systems that enforce access control decisions.','The organization being inspected/assessed defines and documents the access authorization information that is to be transmitted using organization-defined security safeguards to organization-defined information systems that enforce access control decisions.\n \nDoD has determined the access authorization information is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented access authorization information to ensure the organization being inspected/assessed defines  the access authorization information that is to be transmitted using organization-defined security safeguards to organization-defined information systems that enforce access control decisions.\n \nDoD has determined the access authorization information is not appropriate to define at the Enterprise level.'),(2351,'AC-24','1','The organization defines the security safeguards to be employed when transmitting organization-defined access authorization information to organization-defined information systems that enforce access control decisions.','The organization being inspected/assessed defines and documents the security safeguards to be employed when transmitting organization-defined access authorization information to organization-defined information systems that enforce access control decisions. \n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security safeguards to ensure the organization being inspected/assessed defines the security safeguards to be employed when transmitting organization-defined access authorization information to organization-defined information systems that enforce access control decisions.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(2352,'AC-24','1','The organization defines the information systems that are to be recipients of organization-defined access authorization information using organization-defined security safeguards.','The organization being inspected/assessed defines and documents the information systems that are to be recipients of organization-defined access authorization information using organization-defined security safeguards.\n \nDoD has determined the information systems are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information systems to ensure the organization being inspected/assessed defines the information systems that are to be recipients of organization-defined access authorization information using organization-defined security safeguards.\n \nDoD has determined the information systems are not appropriate to define at the Enterprise level.'),(2353,'AC-24','1','The information system transmits organization-defined access authorization information using organization-defined security safeguards to organization-defined information systems which enforce access control decisions.','The organization being inspected/assessed configures the information system to transmit access authorization information defined in AC-24 (1), CCI 2350 using security safeguards defined in AC-24 (1), CCI 2351 to information systems defined in AC-24 (1), CCI 2352 which enforce access control decisions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2353.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to transmit access authorization information defined in AC-24 (1), CCI 2350 using security safeguards defined in AC-24 (1), CCI 2351 to information systems defined in AC-24 (1), CCI 2352 which enforce access control decisions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2353.'),(2354,'AC-24','2','The organization defines the security attributes, not to include the identity of the user or process acting on behalf of the user, to be used as the basis for enforcing access control decisions.','The organization being inspected/assessed defines and documents the security attributes, not to include the identity of the user or process acting on behalf of the user, to be used as the basis for enforcing access control decisions.\n \nDoD has determined the security attributes are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security attributes to ensure the organization being inspected/assessed defines the security attributes, not to include the identity of the user or process acting on behalf of the user, to be used as the basis for enforcing access control decisions.\n \nDoD has determined the security attributes are not appropriate to define at the Enterprise level.'),(2355,'AC-24','2','The information system enforces access control decisions based on organization-defined security attributes that do not include the identity of the user or process acting on behalf of the user.','The organization being inspected/assessed configures the information system to enforce access control decisions based on security attributes defined in AC-24 (2), CCI 2354 that do not include the identity of the user or process acting on behalf of the user.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2355.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce access control decisions based on  security attributes defined in AC-24 (2), CCI 2354 that do not include the identity of the user or process acting on behalf of the user.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2355.'),(2356,'AC-25','','The organization defines the access control policies to be implemented by the information system\'s reference monitor.','The organization being inspected/assessed defines and documents the access control policies to be implemented by the information system\'s reference monitor.\n \nDoD has determined the access control policies are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented access control policies to ensure the organization being inspected/assessed  defines the access control policies to be implemented by the information system\'s reference monitor. \n \nDoD has determined the access control policies are not appropriate to define at the Enterprise level.'),(2357,'AC-25','','The information system implements a reference monitor for organization-defined access control policies that is tamperproof.','The organization being inspected/assessed configures the information system to implement a reference monitor for access control policies defined in AC-25, CCI 2356 that is tamperproof.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2357.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement a reference monitor for access control policies defined in AC-25, CCI 2356 that is tamperproof.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2357.'),(2358,'AC-25','','The information system implements a reference monitor for organization-defined access control policies that is always invoked.','The organization being inspected/assessed configures the information system to implement a reference monitor for access control policies defined in AC-25, CCI 2356 that is always invoked.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2358.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  implement a reference monitor for access control policies defined in AC-25, CCI 2356 that is always invoked.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2358.'),(2359,'AC-25','','The information system implements a reference monitor for organization-defined access control policies that is small enough to be subject to analysis and testing, the completeness of which can be assured.','The organization being inspected/assessed configures the information system to implement a reference monitor for access control policies defined in AC-25, CCI 2356 that is small enough to be subject to analysis and testing, the completeness of which can be assured.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2359.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement a reference monitor for access control policies defined in AC-25, CCI 2356 that is small enough to be subject to analysis and testing, the completeness of which can be assured.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2359.'),(2360,'AC-12','','The organization defines the conditions or trigger events requiring session disconnect to be employed by the information system when automatically terminating a user session.','The organization being inspected/assessed defines and documents the conditions or trigger events requiring session disconnect to be employed by the information system when automatically terminating a user session. \n \nDoD has determined the conditions or trigger events are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented conditions or trigger events to ensure the organization being inspected/assessed defines the conditions or trigger events requiring session disconnect to be employed by the information system when automatically terminating a user session. \n \nDoD has determined the conditions or trigger events are not appropriate to define at the Enterprise level.'),(2361,'AC-12','','The information system automatically terminates a user session after organization-defined conditions or trigger events requiring session disconnect.','The organization being inspected/assessed configures the information system to automatically terminate a user session after conditions or trigger events requiring session disconnect, as defined in AC-12, CCI 2360.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2361.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to automatically terminate a user session after conditions or trigger events requiring session disconnect, as defined in AC-12, CCI 2360.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2361.'),(2362,'AC-12','1','The organization defines the resources requiring information system authentication in order to gain access.','DoD has defined the resources as all.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the resources as all.'),(2363,'AC-12','1','The information system provides a logout capability for user-initiated communications sessions whenever authentication is used to gain access to organization-defined information resources.','The organization being inspected/assessed configures the information system to provide a logout capability for user-initiated communications sessions whenever authentication is used to gain access to all information resources.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2363.\n \nDoD has defined the resources as all.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to provide a logout capability for user-initiated communications sessions whenever authentication is used to gain access to all  information resources.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2363.\n \nDoD has defined the resources as all.'),(2364,'AC-12','1','The information system displays an explicit logout message to users indicating the reliable termination of authenticated communications sessions.','The organization being inspected/assessed configures the information system to display an explicit logout message to users indicating the reliable termination of authenticated communications sessions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2364.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to display an explicit logout message to users indicating the reliable termination of authenticated communications sessions.\n \n For information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2364.'),(2365,'IA-5','','The organization manages information system authenticators by requiring individuals to take specific security safeguards to protect authenticators.','The organization being inspected/assessed documents within user agreements that individuals shall safeguard authenticators.','The organization conducting the inspection/assessment obtains and examines the user agreements of the organization being inspected/assessed to ensure that there are requirements for individuals to safeguard authenticators.'),(2366,'IA-5','','The organization manages information system authenticators by having devices implement specific security safeguards to protect authenticators.','The organization being inspected/assessed configures the information system to manage information system authenticators by having devices implement, specific security safeguards to protect authenticators.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2366.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  manage information system authenticators by having devices implement, specific security safeguards to protect authenticators.\n  \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2366.'),(2367,'IA-5','7','The organization ensures unencrypted static authenticators are not embedded in applications.','The organization being inspected/assessed documents and implements requirements that  static authenticators are not embedded in applications.','The organization conducting the inspection/assessment obtains and examines the requirements that  static authenticators are not embedded in applications to ensure the organization being inspected/assessed  ensures unencrypted static authenticators are not embedded in applications.'),(2368,'RA-1','','The organization defines the personnel or roles to whom the risk assessment policy is disseminated.','DoD has defined the personnel or roles as at a minimum, the ISSM and ISSO.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as at a minimum, the ISSM and ISSO.'),(2369,'RA-1','','The organization defines the personnel or roles to whom the risk assessment procedures are disseminated.','DoD has defined the personnel or roles as at a minimum, the ISSM and ISSO.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as at a minimum, the ISSM and ISSO.'),(2370,'RA-3','','The organization disseminates risk assessment results to organization-defined personnel or roles.','The organization being inspected/assessed documents and implements a process to disseminates risk assessment results to the ISSM, ISSO, AO, and PM.\n \nDoD has defined the personnel or roles as the ISSM, ISSO, AO, and PM.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed disseminates the risk assessment results to the ISSM, ISSO, AO, and PM.\n \nDoD has defined the personnel or roles as the ISSM, ISSO, AO, and PM.'),(2371,'RA-3','','The organization defines the personnel or roles whom the risk assessment results will be disseminated.','DoD has defined the personnel or roles as the ISSM, ISSO, AO, and PM.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n\nDoD has defined the personnel or roles as the ISSM, ISSO, AO, and PM.'),(2372,'RA-5','10','The organization correlates the output from vulnerability scanning tools to determine the presence of multi-vulnerability/multi-hop attack vectors.','The organization being inspected/assessed documents and implements a process to correlate the output from vulnerability scanning tools to determine the presence of multi-vulnerability/multi-hop attack vectors.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed correlates the output from vulnerability scanning tools to determine the presence of multi-vulnerability/ multi-hop attack vectors.'),(2373,'RA-5','3','The organization employs vulnerability scanning procedures that can identify the breadth and depth of coverage (i.e. information system components scanned and vulnerabilities checked).','The organization being inspected/assessed employs the DoD Enterprise scanning tool.  ','The organization conducting the inspection/assessment obtains and examines the software list or vulnerability scanning procedures to ensure the organization being inspected/assessed employs the DoD Enterprise scanning tool.'),(2374,'RA-5','4','The organization defines the corrective actions when information about the information system is discoverable by adversaries.','The organization being inspected/assessed defines and documents the corrective actions when information about the information system is discoverable by adversaries.\n \nDoD has determined the corrective actions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented corrective actions to ensure the organization being inspected/assessed  defines the corrective actions when information about the information system is discoverable by adversaries.\n \nDoD has determined the corrective actions are not appropriate to define at the Enterprise level.'),(2375,'RA-5','4','The organization takes organization-defined corrective actions when information about the information system is discoverable by adversaries.','The organization being inspected/assessed documents and implements a process to take the corrective actions defined in RA-5 (4), CCI 2374 when information about the information system is discoverable by adversaries.\n \nThe organization must maintain a record of actions taken.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of actions taken to ensure the organization being inspected/assessed takes the corrective actions defined in RA-5 (4), CCI 2374 when information about the information system is discoverable by adversaries.'),(2376,'RA-5','','The organization defines the personnel or roles whom the information obtained from the vulnerability scanning process and security control assessments will be shared.','DoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.'),(2377,'SC-1','','The organization documents the system and communications protection policy.','DoDI 8523.01 \"Communications Security (COMSEC)\" meets the DoD requirement for documenting the system and communications protection policy. \n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8523.01.','DoDI 8523.01 \"Communications Security (COMSEC)\" meets the DoD requirement for documenting the system and communications protection policy. \n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8523.01.'),(2378,'SC-1','','The organization defines the personnel or roles to be recipients of the system and communications protection policy.','The organization being inspected/assessed defines and documents personnel or roles to be recipients of the system and communications protection policy.  The personnel or roles must include at a minimum, the ISSM/ISSO.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO/ISSM.','The organization conducting the inspection/assessment obtains and examines the documented personnel or roles to ensure the organization being inspected/assessed defines the personnel or roles to be recipients of the system and communications protection policy. The personnel or roles must include at a minimum, the ISSM/ISSO.\n  \nDoD has defined the personnel or roles as at a minimum, the ISSO/ISSM.'),(2379,'SC-1','','The organization documents procedures to facilitate the implementation of the system and communications protection policy and associated system and communications protection controls.','The organization being inspected/assessed documents procedures to enforce defined system and communications protection policy and associated system and communications protection controls.','The organization conducting the inspection/assessment obtains and examines the documented procedures to ensure the organization being inspected/assessed documents procedures to enforce defined system and communications protection policy and associated system and communications protection controls.'),(2380,'SC-1','','The organization defines the personnel or roles to be recipients of the procedures to facilitate the implementation of the system and communications protection policy and associated system and communications protection controls.','The organization being inspected/assessed defines and documents personnel or roles to be recipients of the procedures to facilitate the implementation of the system and communications protection policy and associated system and communications protection controls.  The personnel or roles must include at a minimum, the ISSM/ISSO.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO/ISSM.','The organization conducting the inspection/assessment obtains and examines the documented personnel or roles to ensure the organization being inspected/assessed defines the personnel or roles to be recipients of the procedures to facilitate the implementation of the system and communications protection policy and associated system and communications protection controls. The personnel or roles must include at a minimum, the ISSM/ISSO.\n  \nDoD has defined the personnel or roles as at a minimum, the ISSO/ISSM.'),(2381,'SC-3','3','The organization minimizes the number of nonsecurity functions included within the isolation boundary containing security functions.','The organization being inspected/assessed configures the information system to minimize the number of nonsecurity functions included within the isolation boundary containing security functions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2381.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to minimize the number of nonsecurity functions included within the isolation boundary containing security functions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2381.'),(2382,'SC-3','4','The organization implements security functions as largely independent modules that maximize internal cohesiveness within modules and minimize coupling between modules.','The organization being inspected/assessed configures the information system to implement security functions as largely independent modules that maximize internal cohesiveness within modules and minimize coupling between modules.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2382.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  implement security functions as largely independent modules that maximize internal cohesiveness within modules and minimize coupling between modules.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2382.'),(2383,'SC-4','2','The organization defines the procedures to be employed to prevent the unauthorized information transfer via shared resources when system processing explicitly switches between different information classification levels or security categories.','The organization being inspected/assessed defines and documents the procedures to be employed to prevent the unauthorized information transfer via shared resources when system processing explicitly switches between different information classification levels or security categories.\n \nDoD has determined the procedures are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented procedures to ensure the organization being inspected/assessed defines the procedures to be employed to prevent the unauthorized information transfer via shared resources when system processing explicitly switches between different information classification levels or security categories.\n \nDoD has determined the procedures are not appropriate to define at the Enterprise level.'),(2384,'SC-4','2','The information system prevents unauthorized information transfer via shared resources in accordance with organization-defined procedures when system processing explicitly switches between different information classification levels or security categories.','The organization being inspected/assessed configures the information system to prevent unauthorized information transfer via shared resources in accordance with procedures defined in SC-4 (2), CCI 2383 when system processing explicitly switches between different information classification levels or security categories.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2384.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to prevent unauthorized information transfer via shared resources in accordance with procedures defined in SC-4 (2), CCI 2383 when system processing explicitly switches between different information classification levels or security categories.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2384.'),(2385,'SC-5','','The information system protects against or limits the effects of organization-defined types of denial of service attacks by employing organization-defined security safeguards.','The organization being inspected/assessed configures the information system to protect against or limits the effects of types of denial of service attacks defined in SC-5, CCI 1093 by employing security safeguards defined in SC-5, CCI 2386.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2385.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to protect against or limits the effects of types of denial of service attacks defined in SC-5, CCI 1093 by employing security safeguards defined in SC-5, CCI 2386.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2385.'),(2386,'SC-5','','The organization defines the security safeguards to be employed to protect the information system against, or limit the effects of, denial of service attacks.','The organization being inspected/assessed defines and documents the security safeguards to be employed to protect the information system against, or limit the effects of, denial of service attacks.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security safeguards to ensure the organization being inspected/assessed defines the security safeguards to be employed to protect the information system against, or limit the effects of, denial of service attacks.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(2387,'SC-5','1','The organization defines the denial of service attacks against other information systems the information system is to restrict the ability of individuals to launch.','The organization being inspected/assessed defines and documents  the denial of service attacks against other information systems the information system is to restrict the ability of individuals to launch.\n \nDoD has determined the denial of service attacks as not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented denial of service attacks to ensure the organization being inspected/assessed defines the denial of service attacks against other information systems the information system is to restrict the ability of individuals to launch.\n \nDoD has determined the denial of service attacks as not appropriate to define at the Enterprise level.'),(2388,'SC-5','3','The organization defines a list of monitoring tools to be employed to detect indicators of denial of service attacks against the information system.','The organization being inspected/assessed defines and documents a list of monitoring tools to be employed to detect indicators of denial of service attacks against the information system.\n \nDoD has determined the monitoring tools are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented monitoring tools to ensure the organization being inspected/assessed defines a list of monitoring tools to be employed to detect indicators of denial of service attacks against the information system.\n \nDoD has determined the monitoring tools are not appropriate to define at the Enterprise level.'),(2389,'SC-5','3','The organization employs organization-defined list of monitoring tools to detect indicators of denial of service attacks against the information system.','The organization being inspected/assessed implements the monitoring tools defined in SC-5 (3), CCI 2388 to detect indicators of denial of service attacks against the information system.','The organization conducting the inspection/assessment obtains and examines the list of monitoring tools as defined in SC-5 (3), CCI 2388 and a sampling of monitoring results to ensure the organization being inspected/assessed employs organization-defined list of monitoring tools to detect indicators of denial of service attacks against the information system.'),(2390,'SC-5','3','The organization defines the information system resources to be monitored to determine if sufficient resources exist to prevent effective denial of service attacks.','The organization being inspected/assessed defines and documents the information system resources to be monitored to determine if sufficient resources exist to prevent effective denial of service attacks.\n \nDoD has determined the information system resources are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system resources to ensure the organization being inspected/assessed  defines the information system resources to be monitored to determine if sufficient resources exist to prevent effective denial of service attacks.\n \nDoD has determined the information system resources are not appropriate to define at the Enterprise level.'),(2391,'SC-5','3','The organization monitors organization-defined information system resources to determine if sufficient resources exist to prevent effective denial of service attacks.','The organization being inspected/assessed monitors information system resources defined in SC-5 (3), CCI 2390 to determine if sufficient resources exist to prevent effective denial of service attacks.','The organization conducting the inspection/assessment obtains and examines the documented monitoring procedures and any available artifacts from the monitoring process to ensure the organization being inspected/assessed monitors information system resources defined in SC-5 (3), CCI 2390 to determine if sufficient resources exist to prevent effective denial of service attacks.'),(2392,'SC-6','','The organization defines the resources to be allocated to protect the availability of information system resources.','The organization being inspected/assessed defines and documents the resources to be allocated to protect the availability of information system resources.\n \nDoD has determined the resources are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented resources to ensure the organization being inspected/assessed defines the resources to be allocated to protect the availability of information system resources.\n \nDoD has determined the resources are not appropriate to define at the Enterprise level.'),(2393,'SC-6','','The organization defines the security safeguards to be employed to protect the availability of information system resources.','The organization being inspected/assessed defines and documents security safeguards to be employed to protect the availability of information system resources.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security safeguards to ensure the organization being inspected/assessed defines the security safeguards to be employed to protect the availability of information system resources.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(2394,'SC-6','','The information system protects the availability of resources by allocating organization-defined resources based on priority, quota, and/or organization-defined security safeguards.','The organization being inspected/assessed configures the information system to  protect the availability of resources by allocating  resources defined in SC-6, CCI 2392 based on priority, quota, and/or security safeguards defined in SC-6, CCI 2393.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2394.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to protect the availability of resources by allocating  resources defined in SC-6, CCI 2392 based on priority, quota, and/or security safeguards defined in SC-6, CCI 2393.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2394.'),(2395,'SC-7','','The information system implements subnetworks for publicly accessible system components that are physically and/or logically separated from internal organizational networks.','The organization being inspected/assessed designs the information system to leverage subnetworks so that publicly accessible system components are physically and/or logically separated from internal organizational networks.','The organization conducting the inspection/assessment obtains and examines network topology diagrams, architecture documentation, or any other documentation identifying component partitioning to ensure the organization being inspected/assessed implements subnetworks for publicly accessible system components that are physically and/or logically separated from internal organizational networks.'),(2396,'SC-7','4','The organization protects the confidentiality and integrity of the information being transmitted across each interface for each external telecommunication service.','The organization being inspected/assessed documents and implements mechanisms to protect the confidentiality and integrity of the information being transmitted across each interface for each external telecommunication service.','The organization conducting the inspection/assessment obtains and examines the documented mechanisms to ensure the organization being inspected/assessed protects the confidentiality and integrity of the information being transmitted across each interface for each external telecommunication service.'),(2397,'SC-7','7','The information system, in conjunction with a remote device, prevents the device from simultaneously establishing non-remote connections with the system and communicating via some other connection to resources in external networks.','The organization being inspected/assessed configures the information system to prevent the device from simultaneously establishing non-remote connections with the system and communicating via some other connection to resources in external networks.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2397.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to prevent the device from simultaneously establishing non-remote connections with the system and communicating via some other connection to resources in external networks.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2397.'),(2398,'SC-7','9','The information system detects outgoing communications traffic posing a threat to external information systems.','The organization being inspected/assessed configures the information system to detect outgoing communications traffic posing a threat to external information systems.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2398.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to detect outgoing communications traffic posing a threat to external information systems.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2398.'),(2399,'SC-7','9','The information system denies outgoing communications traffic posing a threat to external information systems.','The organization being inspected/assessed configures the information system to deny outgoing communications traffic posing a threat to external information systems.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2399.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to deny outgoing communications traffic posing a threat to external information systems.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2399.'),(2400,'SC-7','9','The information system audits the identity of internal users associated with denied outgoing communications traffic posing a threat to external information systems.','The organization being inspected/assessed configures the information system to audit the identity of internal users associated with denied outgoing communications traffic posing a threat to external information systems.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2400.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to audit the identity of internal users associated with denied outgoing communications traffic posing a threat to external information systems.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2400.'),(2401,'SC-7','11','The organization defines the authorized sources from which the information system will allow incoming communications.','The organization being inspected/assessed defines and documents the  authorized sources from which the information system will allow incoming communications.\n \nDoD has determined the authorized sources are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented authorized sources to ensure the organization being inspected/assessed  defines the authorized sources from which the information system will allow incoming communications.\n \nDoD has determined the authorized sources are not appropriate to define at the Enterprise level.'),(2402,'SC-7','11','The organization defines the authorized destinations for routing inbound communications.','The organization being inspected/assessed defines and documents the authorized destinations for routing inbound communications.\n \nDoD has determined the authorized destinations are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented authorized destinations to ensure the organization being inspected/assessed  defines the authorized destinations for routing inbound communications.\n \nDoD has determined the authorized destinations are not appropriate to define at the Enterprise level.'),(2403,'SC-7','11','The information system only allows incoming communications from organization-defined authorized sources routed to organization-defined authorized destinations.','The organization being inspected/assessed configures the information system to allow incoming communications from  authorized sources defined in SC-7 (11), CCI 2401 routed to authorized destinations defined in SC-7 (11), CCI 2402.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2403.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to allow incoming communications from  authorized sources defined in SC-7 (11), CCI 2401 routed to authorized destinations defined in SC-7 (11), CCI 2402.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2403.'),(2404,'SC-7','12','The organization defines the host-based boundary protection mechanisms that are to be implemented at organization-defined information system components.','DoD has defined the information system components as McAfee Host Intrusion Prevention (HIPS).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the information system components as McAfee Host Intrusion Prevention (HIPS).'),(2405,'SC-7','12','The organization defines the information system components at which organization-defined host-based  boundary protection mechanisms will be implemented.','DoD has defined the information system components as all information system components.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the information system components as all information system components.'),(2406,'SC-7','12','The organization implements organization-defined host-based boundary protection mechanisms at organization-defined information system components.','The organization being inspected/assessed implements McAfee Host Intrusion Prevention (HIPS) on all information system components.\n \nDoD has defined the host-based boundary protection mechanisms as McAfee Host Intrusion Prevention (HIPS).\n \nDoD has defined the information system components as all information system components.','The organization conducting the inspection/assessment examines a sampling of information system components to ensure the organization being inspected/assessed implements McAfee Host Intrusion Prevention (HIPS) on all information system components.\n \nDoD has defined the host-based boundary protection mechanisms as McAfee Host Intrusion Prevention (HIPS).\n \nDoD has defined the information system components as all information system components.'),(2407,'SC-7','14','The organization defines the managed interfaces at which the organization protects against unauthorized physical connections.','DoD has defined the managed interfaces as internet access points, enclave LAN to WAN, cross domain solutions, and any DoD Approved Alternate Gateways.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the managed interfaces as internet access points, enclave LAN to WAN, cross domain solutions, and any DoD Approved Alternate Gateways.'),(2408,'SC-7','19','The organization defines the independently configured communication clients, which are configured by end users and external service providers, between which the information system will block both inbound and outbound communications traffic.','The organization being inspected/assessed defines and documents the independently configured communication clients, which are configured by end users and external service providers, between which the information system will block both inbound and outbound communications traffic.\n \nDoD has determined the communication clients are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented communication clients to ensure the organization being inspected/assessed defines the independently configured communication clients, which are configured by end users and external service providers, between which the information system will block both inbound and outbound communications traffic.\n \nDoD has determined the communication clients are not appropriate to define at the Enterprise level.'),(2409,'SC-7','19','The information system blocks both inbound and outbound communications traffic between organization-defined communication clients that are independently configured by end users and external service providers.','The organization being inspected/assessed configures the information system to  block both inbound and outbound communications traffic between communication clients defined in SC-7 (19), CCI 2408 that are independently configured by end users and external service providers.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2409.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to block both inbound and outbound communications traffic between communication clients defined in SC-7 (19), CCI 2408 that are independently configured by end users and external service providers.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2409.'),(2410,'SC-7','20','The organization defines information system components that are to be dynamically isolated/segregated from other components of the information system.','The organization being inspected/assessed defines and documents  information system components that are to be dynamically isolated/segregated from other components of the information system.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system components to ensure the organization being inspected/assessed defines information system components that are to be dynamically isolated/segregated from other components of the information system.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.'),(2411,'SC-7','20','The information system provides the capability to dynamically isolate/segregate organization-defined information system components from other components of the system.','The organization being inspected/assessed configures the information system to provide the capability to dynamically isolate/segregate  information system components defined in SC-7 (20), CCI 2410 from other components of the system.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2411.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  provide the capability to dynamically isolate/segregate  information system components defined in SC-7 (20), CCI 2410 from other components of the system.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2411.'),(2413,'SC-7','21','The organization defines the information system components supporting organization-defined missions and/or business functions that are to be separated using boundary protection mechanisms.','The organization being inspected/assessed defines and documents  the information system components supporting organization-defined missions and/or business functions that are to be separated using boundary protection mechanisms.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system components to ensure the organization being inspected/assessed defines the information system components supporting organization-defined missions and/or business functions that are to be separated using boundary protection mechanisms.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.'),(2414,'SC-7','21','The organization defines the missions and/or business functions for which boundary protection mechanisms will be employed to separate the supporting organization-defined information system components.','The organization being inspected/assessed defines and documents  the missions and/or business functions for which boundary protection mechanisms will be employed to separate the supporting organization-defined information system components.\n \nDoD has determined the missions and/or business functions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented missions and/or business functions to ensure the organization being inspected/assessed defines the missions and/or business functions for which boundary protection mechanisms will be employed to separate the supporting organization-defined information system components.\n \n \nDoD has determined the missions and/or business functions are not appropriate to define at the Enterprise level.'),(2415,'SC-7','21','The organization employs boundary protection mechanisms to separate organization-defined information system components supporting organization-defined missions and/or business functions.','The organization being inspected/assessed designs the information system to employ boundary protection mechanisms to separate  information system components defined in SC-7 (21), CCI 2413 supporting missions and/or business functions defined in SC-7 (21), CCI 2414.','The organization conducting the inspection/assessment obtains and examines network topology diagrams, architecture documentation, or any other documentation identifying component partitioning to ensure the organization being inspected/assessed  employs boundary protection mechanisms to separate  information system components defined in SC-7 (21), CCI 2413 supporting missions and/or business functions defined in SC-7 (21), CCI 2414.'),(2416,'SC-7','22','The information system implements separate network addresses (i.e., different subnets) to connect to systems in different security domains.','The organization being inspected/assessed designs the information system to implement separate network addresses (i.e., different subnets) to connect to systems in different security domains.','The organization conducting the inspection/assessment obtains and examines network topology diagrams, architecture documentation, or any other documentation identifying component partitioning to ensure the organization being inspected/assessed  implements separate network addresses (i.e., different subnets) to connect to systems in different security domains.'),(2417,'SC-7','23','The information system disables feedback to senders on protocol format validation failure.','The organization being inspected/assessed configures the information system to disable feedback to senders on protocol format validation failure\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2417.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to disable feedback to senders on protocol format validation failure\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2417.'),(2418,'SC-8','','The information system protects the confidentiality and/or integrity of transmitted information.','The organization being inspected/assessed configures the information system to protect the confidentiality and/or integrity of transmitted information.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2418.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to protect the confidentiality and/or integrity of transmitted information.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2418.'),(2419,'SC-8','1','The organization defines the alternative physical safeguards to be employed when cryptographic mechanisms are not implemented to protect information during transmission.','DoD has defined the alternative physical safeguards as Protected Distribution System (PDS).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the alternative physical safeguards as Protected Distribution System (PDS).'),(2420,'SC-8','2','The information system maintains the confidentiality and/or integrity of information during preparation for transmission.','The organization being inspected/assessed configures the information system to maintain the confidentiality and integrity of information during preparation for transmission.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2420.\n \nDoD has defined the selection as both confidentiality and integrity.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to maintain the confidentiality and integrity of information during preparation for transmission.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2420.'),(2421,'SC-8','1','The information system implements cryptographic mechanisms to prevent unauthorized disclosure of information and/or detect changes to information during transmission unless otherwise protected by organization-defined alternative physical safeguards.','The organization being inspected/assessed configures the information system to  implement cryptographic mechanisms to prevent unauthorized disclosure of information and detect changes to information during transmission unless otherwise protected by Protected Distribution System (PDS).\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2421.\n \nDoD has defined the selection as both prevention of unauthorized disclosure and detection of changes to information.\n \nDoD has defined the alternative physical safeguards as Protected Distribution System (PDS).','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement cryptographic mechanisms to prevent unauthorized disclosure of information and detect changes to information during transmission unless otherwise protected by Protected Distribution System (PDS). \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2421.\n \nDoD has defined the alternative physical safeguards as Protected Distribution System (PDS).'),(2422,'SC-8','2','The information system maintains the confidentiality and/or integrity of information during reception.','The organization being inspected/assessed configures the information system to maintain the confidentiality and integrity of information during reception.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2422.\n \nDoD has defined the selection as both confidentiality and integrity.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to maintain the confidentiality and integrity of information during reception.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2422.'),(2423,'SC-8','3','The information system implements cryptographic mechanisms to protect message externals (e.g., message headers and routing information) unless otherwise protected by organization-defined alternative physical safeguards.','The organization being inspected/assessed configures the information system to implement cryptographic mechanisms to protect message externals (e.g., message headers and routing information) unless otherwise protected by Protected Distribution System (PDS).\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2423.\n \nDoD has defined the alternative physical safeguards as Protected Distribution System (PDS).','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement cryptographic mechanisms to protect message externals (e.g., message headers and routing information) unless otherwise protected by Protected Distribution System (PDS).\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2423.\n \nDoD has defined the alternative physical safeguards as Protected Distribution System (PDS).'),(2424,'SC-8','4','The organization defines the alternative physical safeguards to be employed when cryptographic mechanisms are not implemented by the information system.','DoD has defined the alternative physical safeguards as Protected Distribution System (PDS).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the alternative physical safeguards as Protected Distribution System (PDS).'),(2425,'SC-8','4','The information system implements cryptographic mechanisms to conceal or randomize communication patterns unless otherwise protected by organization-defined alternative physical safeguards.','The organization being inspected/assessed configures the information system to  implement cryptographic mechanisms to conceal or randomize communication patterns unless otherwise protected by Protected Distribution System (PDS).\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2426.\n \nDoD has defined the alternative physical safeguards as Protected Distribution System (PDS).','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  implement cryptographic mechanisms to conceal or randomize communication patterns unless otherwise protected by Protected Distribution System (PDS).\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2426.\n \nDoD has defined the alternative physical safeguards as Protected Distribution System (PDS).'),(2426,'SC-11','1','The information system provides a trusted communications path that is logically isolated and distinguishable from other paths.','The organization being inspected/assessed configures the information system to provide a trusted communications path that is logically isolated and distinguishable from other paths.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2426.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to provide a trusted communications path that is logically isolated and distinguishable from other paths.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2426.'),(2427,'SC-8','3','The organization defines the alternative physical safeguards to be employed to protect message externals (e.g., message headers and routing information) when cryptographic mechanisms are not implemented.','DoD has defined the alternative physical safeguards as Protected Distribution System (PDS).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the alternative physical safeguards as Protected Distribution System (PDS).'),(2428,'SC-12','','The organization defines the requirements for cryptographic key generation to be employed within the information system.','DoD has defined the requirements for key generation as requirements for key generation defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the requirements for key generation as requirements for key generation defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"'),(2429,'SC-12','','The organization defines the requirements for cryptographic key distribution to be employed within the information system.','DoD has defined the requirements for key distribution as  requirements for key distribution defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the requirements for key distribution as  requirements for key distribution defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"'),(2430,'SC-12','','The organization defines the requirements for cryptographic key storage to be employed within the information system.','DoD has defined the requirements for key storage as  requirements for key storage defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the requirements for key storage as  requirements for key storage defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"'),(2431,'SC-12','','The organization defines the requirements for cryptographic key access to be employed within the information system.','DoD has defined the requirements for key access as  requirements for key access defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level. \n \nDoD has defined the requirements for key access as  requirements for key access defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"'),(2432,'SC-12','','The organization defines the requirements for cryptographic key destruction to be employed within the information system.','DoD has defined the requirements for key destruction as  requirements for key destruction defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the requirements for key destruction as  requirements for key destruction defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"'),(2433,'SC-12','','The organization establishes cryptographic keys for required cryptography employed within the information system in accordance with organization-defined requirements for key generation.','The organization being inspected/assessed documents and implements a process to establish  cryptographic keys for required cryptography employed within the information system in accordance with requirements for key generation  defined in  DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"\n \nDoD has defined the requirements for key generation as  requirements for key generation defined in  DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed establishes cryptographic keys for required cryptography employed within the information system in accordance with requirements for key generation defined in  DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"\n \nDoD has defined the requirements for key generation as  requirements for key generation  defined in  DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"'),(2434,'SC-12','','The organization establishes cryptographic keys for required cryptography employed within the information system in accordance with organization-defined requirements for key distribution.','The organization being inspected/assessed documents and implements a process to establish  cryptographic keys for required cryptography employed within the information system in accordance with requirements for key distribution defined in  DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"\n \nDoD has defined the requirements for key distribution as requirements for key distribution defined in  DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed establishes cryptographic keys for required cryptography employed within the information system in accordance with requirements for key distribution defined in  DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"\n \nDoD has defined the requirements for key distribution as requirements for key distribution defined in  DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"'),(2435,'SC-12','','The organization establishes cryptographic keys for required cryptography employed within the information system in accordance with organization-defined requirements for key storage.','The organization being inspected/assessed documents and implements a process to establish  cryptographic keys for required cryptography employed within the information system in accordance with requirements for key storage defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"\n \nDoD has defined the requirements for key storage as  requirements for key storage defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed establishes cryptographic keys for required cryptography employed within the information system in accordance with requirements for key storage defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"\n \nDoD has defined the requirements for key storage as  requirements for key storage defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"'),(2436,'SC-12','','The organization establishes cryptographic keys for required cryptography employed within the information system in accordance with organization-defined requirements for key access.','The organization being inspected/assessed documents and implements a process to establish  cryptographic keys for required cryptography employed within the information system in accordance with requirements for key access defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"\n \nDoD has defined the requirements for key access as  requirements for key access defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed establishes cryptographic keys for required cryptography employed within the information system in accordance with requirements for key access defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"\n \nDoD has defined the requirements for key access as  requirements for key access defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"'),(2437,'SC-12','','The organization establishes cryptographic keys for required cryptography employed within the information system in accordance with organization-defined requirements for key destruction.','The organization being inspected/assessed documents and implements a process to establish  cryptographic keys for required cryptography employed within the information system in accordance with requirements for key destruction defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"\n \nDoD has defined the requirements for key destruction as requirements for key destruction defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed establishes cryptographic keys for required cryptography employed within the information system in accordance with requirements for key destruction defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"\n \nDoD has defined the requirements for key destruction as requirements for key destruction defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"'),(2438,'SC-12','','The organization manages cryptographic keys for required cryptography employed within the information system in accordance with organization-defined requirements for key generation.','The organization being inspected/assessed documents and implements a process to manage cryptographic keys for required cryptography employed within the information system in accordance with requirements for key destruction defined DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"\n \nDoD has defined the requirements for key generation as requirements for key destruction defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed manages cryptographic keys for required cryptography employed within the information system in accordance with  requirements for key destruction defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"\n \nDoD has defined the requirements for key generation as requirements for key destruction defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"'),(2439,'SC-12','','The organization manages cryptographic keys for required cryptography employed within the information system in accordance with organization-defined requirements for key distribution.','The organization being inspected/assessed documents and implements a process to manage cryptographic keys for required cryptography employed within the information system in accordance with requirements for key distribution defined in  DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"\n \nDoD has defined the requirements for key distribution as requirements for key distribution defined in  DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed manages cryptographic keys for required cryptography employed within the information system in accordance with  requirements for key distribution defined in  DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"\n \nDoD has defined the requirements for key distribution as requirements for key distribution defined in  DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"'),(2440,'SC-12','','The organization manages cryptographic keys for required cryptography employed within the information system in accordance with organization-defined requirements for key storage.','The organization being inspected/assessed documents and implements a process to manage cryptographic keys for required cryptography employed within the information system in accordance with requirements for key storage defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"\n \nDoD has defined the requirements for key storage as  requirements for key storage defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed manages cryptographic keys for required cryptography employed within the information system in accordance with requirements for key storage defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"\n \nDoD has defined the requirements for key storage as  requirements for key storage defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"'),(2441,'SC-12','','The organization manages cryptographic keys for required cryptography employed within the information system in accordance with organization-defined requirements for key access.','The organization being inspected/assessed documents and implements a process to manage cryptographic keys for required cryptography employed within the information system in accordance with requirements for key access defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"\n \nDoD has defined the requirements for key access as  requirements for key access defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed manages cryptographic keys for required cryptography employed within the information system in accordance with requirements for key access defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"\n \nDoD has defined the requirements for key access as  requirements for key access defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"'),(2442,'SC-12','','The organization manages cryptographic keys for required cryptography employed within the information system in accordance with organization-defined requirements for key destruction.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed manages cryptographic keys for required cryptography employed within the information system in accordance with  requirements for key destruction defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"\n \nDoD has defined the requirements for key destruction as requirements for key destruction defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"','The organization being inspected/assessed documents and implements a process to manage cryptographic keys for required cryptography employed within the information system in accordance with requirements for key destruction defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"\n \nDoD has defined the requirements for key destruction as requirements for key destruction defined in DoDI 8520.02 \"Public Key Infrastructure and Public Key Enabling\" and DoDI 8520.03 \"Identity Authentication for Information Systems.\"'),(2443,'SC-12','2','The organization produces symmetric cryptographic keys using NIST FIPS-compliant or NSA-approved key management technology and processes.','The organization being inspected/assessed documents and implements a process to produce symmetric cryptographic keys using NIST FIPS-compliant or NSA-approved key management technology and processes.  An example process would be implementation of Key Management Infrastructure (KMI).\n \nDoD requires a minimum of NIST approved cryptography for unclassified systems.  Classified systems require NSA approved cryptography.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed produces appropriate symmetric cryptographic keys using NIST FIPS-compliant or NSA-approved key management technology and processes.'),(2444,'SC-12','2','The organization controls symmetric cryptographic keys using NIST FIPS-compliant or NSA-approved key management technology and processes.','The organization being inspected/assessed documents and implements a process to control symmetric cryptographic keys using NIST FIPS-compliant or NSA-approved key management technology and processes.  An example process would be implementation of Key Management Infrastructure (KMI).\n \nDoD requires a minimum of NIST approved cryptography for unclassified systems.  Classified systems require NSA approved cryptography.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed  controls appropriate symmetric cryptographic keys using NIST FIPS-compliant or NSA-approved key management technology and processes.'),(2445,'SC-12','2','The organization distributes symmetric cryptographic keys using NIST FIPS-compliant or NSA-approved key management technology and processes.','The organization being inspected/assessed documents and implements a process to distribute symmetric cryptographic keys using NIST FIPS-compliant or NSA-approved key management technology and processes.\n \nDoD requires a minimum of NIST approved cryptography for unclassified systems.  Classified systems require NSA approved cryptography.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed distributes appropriate symmetric cryptographic keys using NIST FIPS-compliant or NSA-approved key management technology and processes.'),(2446,'SC-12','3','The organization produces asymmetric cryptographic keys using: NSA-approved key management technology and processes; approved PKI Class 3 certificates or prepositioned keying material; or, approved PKI Class 3 or Class 4 certificates and hardware security tokens that protect the user\'s private key.','The organization being inspected/assessed implements a process to produce asymmetric cryptographic keys using: NSA-approved key management technology and processes; approved PKI medium certificates or prepositioned keying material; or, approved PKI medium or FORTEZZA certificates and hardware security tokens that protect the user\'s private key.','The organization conducting the inspection/assessment obtains and examines any applicable evidence of asymmetric cryptographic key production to ensure the organization being inspected/assessed  produces asymmetric cryptographic keys using: NSA-approved key management technology and processes; approved PKI medium certificates or prepositioned keying material; or, approved PKI medium or FORTEZZA certificates and hardware security tokens that protect the user\'s private key.'),(2447,'SC-12','3','The organization controls asymmetric cryptographic keys using: NSA-approved key management technology and processes; approved PKI Class 3 certificates or prepositioned keying material; or, approved PKI Class 3 or Class 4 certificates and hardware security tokens that protect the user\'s private key.','The organization being inspected/assessed implements a process to control asymmetric cryptographic keys using: NSA-approved key management technology and processes; approved PKI medium certificates or prepositioned keying material; or, approved PKI medium or FORTEZZA certificates and hardware security tokens that protect the user\'s private key.','The organization conducting the inspection/assessment obtains and examines any applicable evidence of asymmetric cryptographic key control to ensure the organization being inspected/assessed  controls asymmetric cryptographic keys using: NSA-approved key management technology and processes; approved PKI medium certificates or prepositioned keying material; or, approved PKI medium or FORTEZZA certificates and hardware security tokens that protect the user\'s private key.'),(2448,'SC-12','3','The organization distributes asymmetric cryptographic keys using: NSA-approved key management technology and processes; approved PKI Class 3 certificates or prepositioned keying material; or, approved PKI Class 3 or Class 4 certificates and hardware security tokens that protect the user\'s private key.','The organization being inspected/assessed implements a process to distribute asymmetric cryptographic keys using: NSA-approved key management technology and processes; approved PKI medium certificates or prepositioned keying material; or, approved PKI medium or FORTEZZA certificates and hardware security tokens that protect the user\'s private key.','The organization conducting the inspection/assessment obtains and examines any applicable evidence of asymmetric cryptographic key distribution to ensure the organization being inspected/assessed  distributes asymmetric cryptographic keys using: NSA-approved key management technology and processes; approved PKI medium certificates or prepositioned keying material; or, approved PKI medium or FORTEZZA certificates and hardware security tokens that protect the user\'s private key.'),(2449,'SC-13','','The organization defines the cryptographic uses, and type of cryptography required for each use, to be implemented by the information system.','DoD has defined the cryptographic uses and type of cryptography required for each use as protection of classified information: NSA-approved cryptography; provision of digital signatures and hashing: FIPS-validated cryptography.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the cryptographic uses and type of cryptography required for each use as protection of classified information: NSA-approved cryptography; provision of digital signatures and hashing: FIPS-validated cryptography.'),(2450,'SC-13','','The information system implements organization-defined cryptographic uses and type of cryptography required for each use in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, and standards.','The organization being inspected/assessed configures the information system to implement, for, protection of classified information: NSA-approved cryptography; for provision of digital signatures and hashing: FIPS-validated cryptography in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, and standards.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2450.\n \nDoD has defined the cryptographic uses and type of cryptography required for each use as protection of classified information: NSA-approved cryptography; provision of digital signatures and hashing: FIPS-validated cryptography.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement, for, protection of classified information: NSA-approved cryptography; for provision of digital signatures and hashing: FIPS-validated cryptography in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, and standards.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2450.\n \nDoD has defined the cryptographic uses and type of cryptography required for each use as protection of classified information: NSA-approved cryptography; provision of digital signatures and hashing: FIPS-validated cryptography.'),(2451,'SC-15','3','The organization defines the information systems or information system components from which collaborative computing devices in organization-defined secure work areas are to be disabled or removed.','DoD has defined information systems or information system components as any device used that may incorporate camera, microphone, or smart board capability.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined information systems or information system components as any device used that may incorporate camera, microphone, or smart board capability.'),(2452,'SC-15','4','The organization defines the online meetings and teleconferences for which the information system provides an explicit indication of current participants.','DoD has defined the online meetings and teleconferences as all VTC and all IP based online meetings and conferences (excludes audio only teleconferences using traditional telephony).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the online meetings and teleconferences as all VTC and all IP based online meetings and conferences (excludes audio only teleconferences using traditional telephony).'),(2453,'SC-15','4','The information system provides an explicit indication of current participants in organization-defined online meetings and teleconferences.','The organization being inspected/assessed configures the information system to provide an explicit indication of current participants in all VTC and all IP based online meetings and conferences (excludes audio only teleconferences using traditional telephony).\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2453.\n \nDoD has defined the online meetings and teleconferences as all VTC and all IP based online meetings and conferences (excludes audio only teleconferences using traditional telephony).','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  provide an explicit indication of current participants in all VTC and all IP based online meetings and conferences (excludes audio only teleconferences using traditional telephony).\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2453.\n \nDoD has defined the online meetings and teleconferences as all VTC and all IP based online meetings and conferences (excludes audio only teleconferences using traditional telephony).'),(2454,'SC-16','','The organization defines the security attributes the information system is to associate with the information being exchanged between information systems and between information system components.','The organization being inspected/assessed defines and documents the security attributes the information system is to associate with the information being exchanged between information systems and between information system components.\n \nDoD has determined the security attributes are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security attributes to ensure the organization being inspected/assessed defines the security attributes the information system is to associate with the information being exchanged between information systems and between information system components.\n \n \nDoD has determined the security attributes are not appropriate to define at the Enterprise level.'),(2455,'SC-16','','The information system associates organization-defined security attributes with information exchanged between information system components.','The organization being inspected/assessed configures the information system to associate the security attributes defined in SC-16, CCI  2454 with information exchanged between information system components.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2455.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to associate the security attributes defined in SC-16, CCI  2454 with information exchanged between information system components.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2455.'),(2456,'SC-17','','The organization defines the certificate policy employed to issue public key certificates.','DoD has defined the certificate policy as DoDI 8520.02, \"Public Key Infrastructure (PKI) and Public Key (PK) Enabling.\"','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the certificate policy as DoDI 8520.02, \"Public Key Infrastructure (PKI) and Public Key (PK) Enabling.'),(2457,'SC-18','1','The organization defines the corrective actions to be taken when organization-defined unacceptable mobile code is identified.','DoD has defined the corrective actions to be taken when organization-defined unacceptable mobile code is identified as the corrective actions defined in the Protection Profile for Web Browsers and Application SRG.\n \n','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n\nDoD has defined the corrective actions to be taken when organization-defined unacceptable mobile code is identified as the corrective actions defined in the Protection Profile for Web Browsers and Application SRG.\n \n\n '),(2458,'SC-18','1','The organization defines what constitutes unacceptable mobile code for its information systems.','The organization being inspected/assessed defines and documents unacceptable mobile code IAW the Protection Profile for Web Browsers  and Application SRG.\n\nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must define IAW the STIG/SRG guidance that pertains to CCI 2458.\n\nDoD has determined the unnacceptable mobile code is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessmenet obtains and examines the documented acceptable and unacceptable mobile code and mobile code technologies to ensure the organization being inspected/assessed defines unacceptable mobile code IAW the Protection Profile for Web Browsers  and Application SRG.\n\nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has defined unacceptable mobile code IAW the applicable STIGs and SRGs pertaining to CCI 2458.\n\nDoD has determined the unnacceptable mobile code is not appropriate to define at the Enterprise level.'),(2459,'SC-18','3','The organization defines the unacceptable mobile code of which the information system is to prevent download and execution.','The organization being inspected/assessed defines and documents unacceptable mobile code of which the information system is to prevent download and execution IAW the Protection Profile for Web Browsers  and Application SRG.\n\nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must define IAW the STIG/SRG guidance that pertains to CCI 2459.\n\nDoD has determined the unnaceptable mobile code is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessmenet obtains and examines the documented unacceptable mobile code to ensure the organization being inspected/assessed defines unacceptable mobile code of which the information system is to prevent download and execution IAW the Protection Profile for Web Browsers  and Application SRG.\n\nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has defined unacceptable mobile code IAW the applicable STIGs and SRGs pertaining to CCI 2459.\n\nDoD has determined the unnaceptable mobile code is not appropriate to define at the Enterprise level.'),(2460,'SC-18','4','The information system enforces organization-defined actions prior to executing the code.','The organization being inspected/assessed configures the information system to prompt the user prior to executing the code.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2460.\n \nDoD has defined the actions as the user be prompted.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  prompt the user prior to executing the code.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2460.\n\nDoD has defined the actions as the user be prompted.\n'),(2461,'SC-18','5','The organization allows execution of permitted mobile code only in confined virtual machine environments.','The organization being inspected/assessed documents within the system and communications protection policy and implements mechanisms to allow the execution of permitted mobile code only in confined virtual machine environments.\n\nUnacceptable mobile code is defined in SC-18 (3).\n','The organization conducting the inspection/assessment obtains and examines the system and communications protection policy and inspects the information systems to ensure the organization being inspected/assessed implements mechanisms to allow the execution of permitted mobile code only in confined virtual machine environments.'),(2462,'SC-20','','The information system provides additional integrity verification artifacts along with the authoritative name resolution data the system returns in response to external name/address resolution queries.','The organization being inspected/assessed configures the  authoritative name server software for external queries to enable DNSSEC and creates resource records with digital signatures (RRSig) for each A record.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that determines the  name server software configuration files and pertains to CCI 2462.','The organization conducting the inspection/assessment:\n1. inspects the configuration files for the presence of DNSSEC records for each A record hosted in a zone;\n2. utilizes DNSSEC diagnostic tools, such as dig; and\n3. performs queries which will exercise the data flow path for authoritative name resolution services.\n \n For information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs that determine the  name server software configuration files and pertain to CCI 2462.'),(2463,'SC-20','2','The information system provides data origin artifacts for internal name/address resolution queries.','The organization being inspected/assessed configures the authoritative name server software for internal queries to enable DNSSEC and creates resource records with digital signatures (RRSig) for each A record.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that determines the  name server software configuration files and pertains to CCI 2463.','The organization conducting the inspection/assessment:\n1. inspects the configuration files for the presence of DNSSEC records for each A record hosted in a zone;\n2. utilizes DNSSEC diagnostic tools, such as dig; and \n3. performs queries which will exercise the data flow path for authoritative name resolution services.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs that determine the  name server software configuration files and pertain to CCI 2463.'),(2464,'SC-20','2','The information system provides data integrity protection artifacts for internal name/address resolution queries.','The organization being inspected/assessed configures the authoritative name server software for internal software to enable DNSSEC and creates resource records with digital signatures(RRSig) for each A record.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that determines the  name server software configuration files and pertains to CCI 2464.','The organization conducting the inspection/assessment:\n1. inspects the configuration files for the presence of DNSSEC records for each A record hosted in a zone;\n2. utilizes DNSSEC diagnostic tools, such as dig; and\n3. performs queries which will exercise the data flow path for authoritative name resolution services.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs that determine the  name server software configuration files and pertain to CCI 2464.'),(2465,'SC-21','','The information system requests data origin authentication verification on the name/address resolution responses the system receives from authoritative sources.','The organization being inspected/assessed configures the:\n1. recursive/caching name server software  to enable DNSSEC;\n2. software to enable DNSSEC validation; and\n3. software to establish a secure entry point trust anchor by installing key signing keys in the software configuration of trusted keys.\n  \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that determines the  name server software configuration files and pertains to CCI 2465.','The organization conducting the inspection/assessment utilizes DNSSEC diagnostic tools, such as dig, and performs queries which will exercise the data flow path for recursive name resolution services.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs that determine the  name server software configuration files and pertain to CCI 2465.'),(2466,'SC-21','','The information system requests data integrity verification on the name/address resolution responses the system receives from authoritative sources.','The organization being inspected/assessed configures the:\n1. recursive/caching name server software  to enable DNSSEC;\n2. software to enable DNSSEC validation; and\n3. software to establish a secure entry point trust anchor by installing key signing keys in the software configuration of trusted keys.\n  \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that determines the  name server software configuration files and pertains to CCI 2466.','The organization conducting the inspection/assessment utilizes DNSSEC diagnostic tools, such as dig, and performs queries which will exercise the data flow path for recursive name resolution services.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs that determine the  name server software configuration files and pertain to CCI 2466.'),(2467,'SC-21','','The information system performs data integrity verification on the name/address resolution responses the system receives from authoritative sources.','The organization being inspected/assessed configures the:\n1. recursive/caching name server software  to enable DNSSEC;\n2. software to enable DNSSEC validation; and\n3. software to establish a secure entry point trust anchor by installing key signing keys in the software configuration of trusted keys.\n \n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that determines the  name server software configuration files and pertains to CCI 2467.','The organization conducting the inspection/assessment utilizes DNSSEC diagnostic tools, such as dig, and performs queries which will exercise the data flow path for recursive name resolution services.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs that determine the  name server software configuration files and pertain to CCI 2467.'),(2468,'SC-21','','The information system performs data origin verification authentication on the name/address resolution responses the system receives from authoritative sources.','The organization being inspected/assessed configures the:\n1. recursive/caching name server software  to enable DNSSEC;\n2. software to enable DNSSEC validation; and\n3. software to establish a secure entry point trust anchor by installing key signing keys in the software configuration of trusted keys.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that determines the  name server software configuration files and pertains to CCI 2468.','The organization conducting the inspection/assessment utilizes DNSSEC diagnostic tools, such as dig, and performs queries which will exercise the data flow path for recursive name resolution services.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs that determine the  name server software configuration files and pertain to CCI 2468.'),(2469,'SC-23','5','The organization defines the certificate authorities the information system will allow to be used on the information system.','DoD has defined the certificate authorities as DoD PKI established certificate authorities.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the certificate authorities as DoD PKI established certificate authorities.'),(2470,'SC-23','5','The information system only allows the use of organization-defined certificate authorities for verification of the establishment of protected sessions.','The organization being inspected/assessed configures the information system to allow the use of DoD PKI established certificate authorities for verification of the establishment of protected sessions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2470.\n \nDoD has defined the certificate authorities as DoD PKI established certificate authorities.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to allow the use of DoD PKI established certificate authorities for verification of the establishment of protected sessions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2470.\n \nDoD has defined the certificate authorities as DoD PKI established certificate authorities.'),(2471,'SC-25','','The organization defines the information system components, with minimal functionality and information storage, to be employed.','The organization being inspected/assessed defines and documents the information system components, with minimal functionality and information storage, to be employed.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system components to ensure the organization being inspected/assessed defines the information system components, with minimal functionality and information storage, to be employed.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.'),(2472,'SC-28','','The organization defines the information at rest that is to be protected by the information system.','The organization being inspected/assessed defines and documents  the information at rest that is to be protected by the information system which must include, at a minimum, PII and classified information.\n \nDoD has determined the information at rest is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information at rest to ensure the organization being inspected/assessed defines and documents  the information at rest that is to be protected by the information system which must include, at a minimum, PII and classified information.\n  \nDoD has determined the information at rest is not appropriate to define at the Enterprise level.'),(2473,'SC-28','1','The organization defines the information at rest for which cryptographic mechanisms will be implemented.','The organization being inspected/assessed defines and documents  the information at rest that is to be protected by the information system which must include, at a minimum, PII and classified information.\n \nDoD has determined the information at rest is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information at rest to ensure the organization being inspected/assessed defines and documents  the information at rest that is to be protected by the information system which must include, at a minimum, PII and classified information.\n  \nDoD has determined the information at rest is not appropriate to define at the Enterprise level.'),(2474,'SC-28','1','The organization defines the information system components which require the implementation of cryptographic mechanisms to prevent unauthorized disclosure and modification of organization-defined information at rest.','DoD has defined the information system components as any information system components storing data defined in SC-28 (1), 2473.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the information system components as any information system components storing data defined in SC-28 (1), 2473.'),(2475,'SC-28','1','The information system implements cryptographic mechanisms to prevent unauthorized modification of organization-defined information at rest on organization-defined information system components.','The organization being inspected/assessed configures the information system to implement cryptographic mechanisms to prevent unauthorized modification of information at rest defined in SC-28 (1), CCI 2473 on any information system components storing data defined in SC-28 (1), 2473.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2475.\n \nDoD has defined the information system components as any information system components storing data defined in SC-28 (1), 2473.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement cryptographic mechanisms to prevent unauthorized modification of information at rest defined in SC-28 (1), CCI 2473 on any information system components storing data defined in SC-28 (1), 2473.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2475.\n \nDoD has defined the information system components as any information system components storing data defined in SC-28 (1), 2473.'),(2476,'SC-28','1','The information system implements cryptographic mechanisms to prevent unauthorized disclosure of organization-defined information at rest on organization-defined information system components.','The organization being inspected/assessed configures the information system to  implement cryptographic mechanisms to prevent unauthorized disclosure of information at rest defined in SC-28 (1), CCI 2473 on any information system components storing data defined in SC-28 (1), 2473.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2476.\n \nDoD has defined the information system components as any information system components storing data defined in SC-28 (1), 2473.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement cryptographic mechanisms to prevent unauthorized disclosure of information at rest defined in SC-28 (1), CCI 2473 on any information system components storing data defined in SC-28 (1), 2473.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2476.\n \nDoD has defined the information system components as any information system components storing data defined in SC-28 (1), 2473.'),(2477,'SC-28','2','The organization defines the information at rest to be removed from on-line storage and stored in an off-line secure location.','The organization being inspected/assessed defines and documents the information at rest to be removed from on-line storage and stored in an off-line secure location.\n \nDoD has determined the information is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information to ensure the organization being inspected/assessed defines the information at rest to be removed from on-line storage and stored in an off-line secure location.\n \nDoD has determined the information is not appropriate to define at the Enterprise level.'),(2478,'SC-28','2','The organization removes organization-defined information at rest from online storage.','The organization being inspected/assessed documents and implements a process to remove information at rest defined in SC-28 (2), CCI 2477 from online storage.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed removes information at rest defined in SC-28 (2), CCI 2477 from online storage.\n \nAdditionally, the organization conducting the inspection/assessment examines the information system to ensure that information defined in SC-28 (2), CCI 2477 is not stored on the information system.'),(2479,'SC-28','2','The organization stores organization-defined information at rest in an off-line secure location.','The organization being inspected/assessed documents and implements a process to store information at rest defined in SC-28 (2), CCI 2477  in an off-line secure location.','The organization conducting the inspection/assessment obtains and examines the documented process and off-line storage records to ensure the organization being inspected/assessed stores information at rest defined in SC-28 (2), CCI 2477  in an off-line secure location.'),(2480,'SC-29','','The organization defines the information system components for which a diverse set of information technologies are to be employed.','The organization being inspected/assessed defines and documents the information system components for which a diverse set of information technologies are to be employed.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system components to ensure the organization being inspected/assessed  defines the information system components for which a diverse set of information technologies are to be employed.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.'),(2481,'SC-29','1','The organization employs virtualization techniques to support the deployment of a diversity of applications that are changed per organization-defined frequency.','The organization being inspected/assessed designs the information system to employ virtualization techniques to support the deployment of a diversity of applications that are changed per the frequency defined in SC-29 (1), CCI 1204.','The organization conducting the inspection/assessment obtains and examines the hardware and software lists to ensure the organization being inspected/assessed employs virtualization techniques to support the deployment of a diversity of applications that are changed per the frequency defined in SC-29 (1), CCI 1204.'),(2482,'SC-30','','The organization defines the concealment and misdirection techniques employed for organization-defined information systems to confuse and mislead adversaries.','The organization being inspected/assessed defines and documents the concealment and misdirection techniques employed for organization-defined information systems to confuse and mislead adversaries.\n \nDoD has determined the concealment and misdirection techniques are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented concealment and misdirection techniques to ensure the organization being inspected/assessed   defines the concealment and misdirection techniques employed for organization-defined information systems to confuse and mislead adversaries..\n \nDoD has determined the concealment and misdirection techniques are not appropriate to define at the Enterprise level.'),(2483,'SC-30','','The organization defines the information systems for which organization-defined concealment and misdirection techniques are to be employed.','The organization being inspected/assessed defines and documents the information systems for which organization-defined concealment and misdirection techniques are to be employed.\n \nDoD has determined the information systems are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information systems to ensure the organization being inspected/assessed  defines the information systems for which organization-defined concealment and misdirection techniques are to be employed.\n \nDoD has determined the information systems are not appropriate to define at the Enterprise level.'),(2484,'SC-30','','The organization defines the time periods at which it will employ organization-defined concealment and misdirection techniques on organization-defined information systems.','The organization being inspected/assessed defines and documents the time periods at which it will employ organization-defined concealment and misdirection techniques on organization-defined information systems.\n \nDoD has determined the time periods are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented time periods to ensure the organization being inspected/assessed defines the time periods at which it will employ organization-defined concealment and misdirection techniques on organization-defined information systems.\n \nDoD has determined the time periods are not appropriate to define at the Enterprise level.'),(2485,'SC-30','','The organization employs organization-defined concealment and misdirection techniques for organization-defined information systems at organization-defined time periods to confuse and mislead adversaries.','The organization being inspected/assessed designs the information system to employ  concealment and misdirection techniques defined in SC-30, CCI 2482 for information systems defined in SC-30, 2483  at  time periods defined in SC-30, CCI  2484 to confuse and mislead adversaries.','The organization conducting the inspection/assessment obtains and examines network topology diagrams, architecture documentation, or any other documentation identifying concealment and misdirection techniques to ensure the organization being inspected/assessed employs concealment and misdirection techniques defined in SC-30, CCI 2482 for information systems defined in SC-30, 2483  at  time periods defined in SC-30, CCI  2484 to confuse and mislead adversaries.'),(2486,'SC-30','2','The organization defines the techniques to be employed to introduce randomness into organizational operations and assets.','The organization being inspected/assessed defines and documents the techniques to be employed to introduce randomness into organizational operations and assets.\n \nDoD has determined the techniques are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented techniques to ensure the organization being inspected/assessed defines the techniques to be employed to introduce randomness into organizational operations and assets. \n \nDoD has determined the techniques are not appropriate to define at the Enterprise level.'),(2487,'SC-30','2','The organization employs organization-defined techniques to introduce randomness into organizational operations.','The organization being inspected/assessed employs techniques defined in SC-30 (2), CCI 2486 to introduce randomness into organizational operations.','The organization conducting the inspection/assessment obtains and examines any applicable evidence of techniques used to introduce randomness to ensure the organization being inspected/assessed employs techniques defined in SC-30 (2), CCI 2486 to introduce randomness into organizational operations.'),(2488,'SC-30','2','The organization employs organization-defined techniques to introduce randomness into organizational assets.','The organization being inspected/assessed employs techniques defined in SC-30 (2), CCI 2486 to introduce randomness into organizational assets.','The organization conducting the inspection/assessment obtains and examines any applicable evidence of techniques used to introduce randomness to ensure the organization being inspected/assessed employs techniques defined in SC-30 (2), CCI 2486 to introduce randomness into organizational assets.'),(2489,'SC-30','3','The organization defines the processing and/or storage locations to be changed at random intervals or at an organization-defined frequency.','The organization being inspected/assessed defines and documents the processing and/or storage locations to be changed at random intervals or at an organization-defined frequency.\n \nDoD has determined the processing and/or storage sites are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented processing and/or storage sites to ensure the organization being inspected/assessed defines the processing and/or storage locations to be changed at random intervals or at an organization-defined frequency.\n \nDoD has determined the processing and/or storage sites are not appropriate to define at the Enterprise level.'),(2490,'SC-30','3','The organization defines the frequency at which it changes the location of organization-defined processing and/or storage.','The organization being inspected/assessed defines and documents the frequency at which it changes the location of organization-defined processing and/or storage.\n \nThe frequency can be defined as random time intervals.\n \nDoD has determined the frequency is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented frequency to ensure the organization being inspected/assessed defines  the frequency at which it changes the location of organization-defined processing and/or storage.\n \nDoD has determined the frequency is not appropriate to define at the Enterprise level.'),(2492,'SC-30','3','The organization changes the location of organization-defined processing and/or storage at organization-defined time frequency or at random time intervals.','The organization being inspected/assessed documents and implements a process to change the location of the processing and/or storage defined in SC-30 (3), CCI 2489 at the time frequency defined in SC-30 (3), CCI 2490 or at random time intervals.\n \nThe organization must maintain an audit trail of changes.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of changes to ensure the organization being inspected/assessed changes the  location of the processing and/or storage defined in SC-30 (3), CCI 2489 at the time frequency defined in SC-30 (3), CCI 2490 or at random time intervals.'),(2493,'SC-30','4','The organization defines the information system components in which it will employ realistic but misleading information regarding its security state or posture.','The organization being inspected/assessed defines and documents the information system components in which it will employ realistic but misleading information regarding its security state or posture.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system components to ensure the organization being inspected/assessed defines the information system components in which it will employ realistic but misleading information regarding its security state or posture.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.'),(2494,'SC-30','4','The organization employs realistic, but misleading, information in organization-defined information system components with regard to its security state or posture.','The organization being inspected/assessed employs realistic, but misleading, information in information system components defined in SC-30 (4), CCI 2493 with regard to its security state or posture.','The organization conducting the inspection/assessment obtains and examines any applicable evidence of methods to employ misinformation to ensure the organization being inspected/assessed employs realistic, but misleading, information in information system components defined in SC-30 (4), CCI 2493 with regard to its security state or posture.'),(2495,'SC-30','5','The organization defines the techniques to be employed to hide or conceal organization-defined information system components.','The organization being inspected/assessed defines and documents the techniques to be employed to hide or conceal organization-defined information system components.\n \nDoD has determined the techniques are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented techniques to ensure the organization being inspected/assessed  defines the techniques to be employed to hide or conceal organization-defined information system components.\n \nDoD has determined the techniques are not appropriate to define at the Enterprise level.'),(2496,'SC-30','5','The organization defines the information system components to be hidden or concealed.','The organization being inspected/assessed defines and documents the information system components to be hidden or concealed.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system components to ensure the organization being inspected/assessed defines the information system components to be hidden or concealed.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.'),(2497,'SC-30','5','The organization employs organization-defined techniques to hide or conceal organization-defined information system components.','The organization being inspected/assessed employs techniques defined in SC-30 (5), CCI  2495 to hide or conceal information system components defined in SC-30 (5), CCI 2496.','The organization conducting the inspection/assessment obtains and examines any applicable evidence of techniques to conceal information to ensure the organization being inspected/assessed employs techniques defined in SC-30 (5), CCI  2495 to hide or conceal information system components defined in SC-30 (5), CCI 2496.'),(2498,'SC-31','','The organization performs a covert channel analysis to identify those aspects of communications within the information system that are potential avenues for covert storage and/or timing channels.','The organization being inspected/assessed performs a covert channel analysis to identify those aspects of communications within the information system that are potential avenues for covert storage and/or timing channels.\n \nThe organization must maintain an audit trail of analyses.','The organization conducting the inspection/assessment obtains and examines the results of the analysis to ensure the organization being inspected/assessed  performs a covert channel analysis to identify those aspects of communications within the information system that are potential avenues for covert storage and/or timing channels.'),(2499,'SC-31','','The organization estimates the maximum bandwidth of the covert storage and timing channels.','The organization being inspected/assessed  implements a process to estimate the maximum bandwidth of the covert storage and timing channels.','The organization conducting the inspection/assessment obtains and examines the estimate to ensure the organization being inspected/assessed  estimates the maximum bandwidth of the covert storage and timing channels.'),(2500,'SC-31','2','The organization defines the maximum bandwidth values to which covert storage and/or timing channels are to be reduced.','The organization being inspected/assessed defines and documents the maximum bandwidth values to which covert storage and/or timing channels are to be reduced.\n \nDoD has determined the maximum bandwidth values are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented maximum bandwidth values to ensure the organization being inspected/assessed defines the maximum bandwidth values to which covert storage and/or timing channels are to be reduced.\n \nDoD has determined the maximum bandwidth values are not appropriate to define at the Enterprise level.'),(2501,'SC-31','2','The organization reduces the maximum bandwidth for identified covert storage and/or timing channels to organization-defined values.','The organization being inspected/assessed reduces the maximum bandwidth for identified covert storage and/or timing channels to values defined in SC-31 (2), CCI 2500.','The organization conducting the inspection/assessment obtains and examines any applicable evidence of bandwidth reduction to ensure the organization being inspected/assessed reduces the maximum bandwidth for identified covert storage and/or timing channels to values defined in SC-31 (2), CCI 2500.'),(2502,'SC-31','3','The organization defines the subset of identified covert channels in the operational environment of the information system that are to have the bandwidth measured.','The organization being inspected/assessed defines and documents the subset of identified covert channels in the operational environment of the information system that are to have the bandwidth measured.\n \nDoD has determined the subset is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented subset of identified covert channels to ensure the organization being inspected/assessed defines the subset of identified covert channels in the operational environment of the information system that are to have the bandwidth measured.\n \nDoD has determined the subset is not appropriate to define at the Enterprise level.'),(2503,'SC-31','3','The organization measures the bandwidth of organization-defined subset of identified covert channels in the operational environment of the information system.','The organization being inspected/assessed measures the bandwidth of a subset of identified covert channels defined in SC-31 (3), CCI 2502 in the operational environment of the information system.','The organization conducting the inspection/assessment obtains and examines any applicable evidence of measurements to ensure the organization being inspected/assessed measures the bandwidth of a subset of identified covert channels defined in SC-31 (3), CCI 2502 in the operational environment of the information system.'),(2504,'SC-32','','The organization defines the information system components into which the information system is partitioned.','The organization being inspected/assessed defines and documents the information system components into which the information system is partitioned.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed defines the information system components into which the information system is partitioned.\n  \nDoD has determined the information system components are not appropriate to define at the Enterprise level.'),(2505,'SC-32','','The organization defines the circumstances under which the information system components are to be physically separated to support partitioning.','The organization being inspected/assessed defines and documents the circumstances under which the information system components are to be physically separated to support partitioning.\n \nDoD has determined the circumstances are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented circumstances to ensure the organization being inspected/assessed  defines the circumstances under which the information system components are to be physically separated to support partitioning.\n \nDoD has determined the circumstances are not appropriate to define at the Enterprise level.'),(2506,'SC-32','','The organization partitions the information system into organization-defined information system components residing in separate physical domains or environments based on organization-defined circumstances for physical separation of components.','The organization being inspected/assessed designs the information system to partition  components defined in SC-32, CCI 2504 residing in separate physical domains or environments based on  circumstances defined in SC-32, CCI 2505 for physical separation of components.','The organization conducting the inspection/assessment obtains and examines network topology diagrams, architecture documentation, or any other documentation identifying component partitioning to ensure the organization being inspected/assessed  partitions components defined in SC-32, CCI 2504 residing in separate physical domains or environments based on  circumstances defined in SC-32, CCI 2505 for physical separation of components.'),(2507,'SC-34','2','The organization controls the read-only media after information has been recorded onto the media.','The organization being inspected/assessed documents and implements mechanisms to control the read-only media after information has been recorded onto the media.','The organization conducting the inspection/assessment obtains and examines the documented mechanisms to ensure the organization being inspected/assessed controls the read-only media after information has been recorded onto the media.'),(2508,'SC-34','3','The organization defines the information system firmware components for which hardware-based, write-protect is employed.','The organization being inspected/assessed defines and documents the information system firmware components for which hardware-based, write-protect is employed.\n \nDoD has determined the information system firmware components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system firmware components to ensure the organization being inspected/assessed defines the information system firmware components for which hardware-based, write-protect is employed.\n \nDoD has determined the information system firmware components are not appropriate to define at the Enterprise level.'),(2509,'SC-34','3','The organization employs hardware-based, write-protect for organization-defined information system firmware components.','The organization being inspected/assessed employs hardware-based, write-protect for  information system firmware components defined in SC-34 (3), CCI 2508.','The organization conducting the inspection/assessment obtains and examines any applicable evidence of hardware-based, write-protect to ensure the organization being inspected/assessed employs hardware-based, write-protect for  information system firmware components defined in SC-34 (3), CCI 2508.'),(2510,'SC-34','3','The organization defines the individuals authorized to manually disable hardware-based, write-protect for firmware modifications and re-enable the write-protect prior to returning to operational mode.','The organization being inspected/assessed defines and documents the individuals authorized to manually disable hardware-based, write-protect for firmware modifications and re-enable the write-protect prior to returning to operational mode.\n \nDoD has determined the individuals are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented authorized individuals to ensure the organization being inspected/assessed defines the individuals authorized to manually disable hardware-based, write-protect for firmware modifications and re-enable the write-protect prior to returning to operational mode.\n \nDoD has determined the individuals are not appropriate to define at the Enterprise level.'),(2511,'SC-34','3','The organization implements specific procedures for organization-defined authorized individuals to manually disable hardware-based, write-protect for firmware modifications.','The organization being inspected/assessed documents and implements specific procedures for authorized individuals defined in SC-34 (3), CCI 2510 to manually disable hardware-based, write-protect for firmware modifications.','The organization conducting the inspection/assessment  obtains and examines the documented procedures and a sampling of the information system components defined in SC-34 (3), CCI 2508 to ensure the organization being inspected/assessed  implements specific procedures for authorized individuals defined in SC-34 (3), CCI 2510 to manually disable hardware-based, write-protect for firmware modifications.'),(2512,'SC-34','3','The organization implements specific procedures for organization-defined authorized individuals to manually re-enable the write-protect prior to returning to operational mode.','The organization being inspected/assessed documents and implements specific procedures for authorized individuals defined in SC-34 (3), CCI 2510 to manually re-enable the write-protect prior to returning to operational mode.','The organization conducting the inspection/assessment obtains and examines the documented procedures and a sampling of the information system components defined in SC-34 (3), CCI 2508 to ensure the organization being inspected/assessed  implements specific procedures for authorized individuals defined in SC-34 (3), CCI 2510 to manually re-enable the write-protect prior to returning to operational mode.'),(2513,'SC-36','','The organization defines the processing that is to be distributed across multiple physical locations.','The organization being inspected/assessed defines and documents the processing that is to be distributed across multiple physical locations.\n \nDoD has determined the processing is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented processing to ensure the organization being inspected/assessed defines the processing that is to be distributed across multiple physical locations.\n \nDoD has determined the processing is not appropriate to define at the Enterprise level.'),(2514,'SC-36','','The organization defines the storage that is to be distributed across multiple physical locations.','The organization being inspected/assessed defines and documents the storage that is to be distributed across multiple physical locations.\n \nDoD has determined the storage is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented storage to ensure the organization being inspected/assessed defines the storage that is to be distributed across multiple physical locations.\n \nDoD has determined the storage is not appropriate to define at the Enterprise level.'),(2515,'SC-36','','The organization distributes organization-defined processing across multiple physical locations.','The organization being inspected/assessed distributes processing defined in SC-36, CCI 2513 across multiple physical locations.','The organization conducting the inspection/assessment obtains and examines hardware lists and other applicable artifacts to ensure the organization being inspected/assessed distributes processing defined in SC-36, CCI 2513 across multiple physical locations.'),(2516,'SC-36','','The organization distributes organization-defined storage across multiple physical locations.','The organization being inspected/assessed  distributes storage defined in SC-36, CCI 2514 across multiple physical locations.','The organization conducting the inspection/assessment obtains and examines hardware lists and other applicable artifacts to ensure the organization being inspected/assessed distributes storage defined in SC-36, CCI 2514 across multiple physical locations.'),(2517,'SC-36','1','The organization defines the distributed processing components that are to be polled to identify potential faults, errors, or compromises.','The organization being inspected/assessed defines and documents the distributed processing components that are to be polled to identify potential faults, errors, or compromises.\n \nDoD has determined the distributed processing components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented distributed processing components to ensure the organization being inspected/assessed defines the distributed processing components that are to be polled to identify potential faults, errors, or compromises.\n \nDoD has determined the distributed processing components are not appropriate to define at the Enterprise level.'),(2518,'SC-36','1','The organization defines the distributed storage components that are to be polled to identify potential faults, errors, or compromises.','The organization being inspected/assessed defines and documents the distributed storage components that are to be polled to identify potential faults, errors, or compromises.\n \nDoD has determined the distributed storage components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented distributed storage components to ensure the organization being inspected/assessed defines the distributed storage components that are to be polled to identify potential faults, errors, or compromises.\n \nDoD has determined the distributed storage components are not appropriate to define at the Enterprise level.'),(2519,'SC-36','1','The organization employs polling techniques to identify potential faults, errors, or compromises to organization-defined distributed processing components.','The organization being inspected/assessed designs and configures the information system to employ polling techniques to identify potential faults, errors, or compromises to distributed processing components defined in SC-36 (1), CCI 2517.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2519.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to employ polling techniques to identify potential faults, errors, or compromises to distributed processing components defined in SC-36 (1), CCI 2517.\n \nIf there is no applicable STIG for the polling technique in use, the organization conducting the inspection/assessment obtains and examines system design documents to ensure the organization being inspected/assessed  employs polling techniques to identify potential faults, errors, or compromises to distributed processing components defined in SC-36 (1), CCI 2517.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2519.'),(2520,'SC-36','1','The organization employs polling techniques to identify potential faults, errors, or compromises to organization-defined distributed storage components.','The organization being inspected/assessed designs and configures the information system to employ polling techniques to identify potential faults, errors, or compromises to distributed storage components defined in SC-36 (1), CCI 2518.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2520.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to employ polling techniques to identify potential faults, errors, or compromises to distributed storage components defined in SC-36 (1), CCI 2518.\n \nIf there is no applicable STIG for the polling technique in use, the organization conducting the inspection/assessment obtains and examines system design documents to ensure the organization being inspected/assessed employs polling techniques to identify potential faults, errors, or compromises to distributed storage components defined in SC-36 (1), CCI 2518.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2520.'),(2521,'SC-37','','The organization defines the out-of-band channels to be employed for the physical delivery or electronic transmission of organization-defined information, information system components, or devices.','The organization being inspected/assessed defines and documents the out-of-band channels to be employed for the physical delivery or electronic transmission of organization-defined information, information system components, or devices.\n \nDoD has determined the out-of-band channels are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented out-of-band channels to ensure the organization being inspected/assessed defines the out-of-band channels to be employed for the physical delivery or electronic transmission of organization-defined information, information system components, or devices.\n \n \nDoD has determined the out-of-band channels are not appropriate to define at the Enterprise level.'),(2522,'SC-37','','The organization defines the information, information system components or devices that are to be electronically transmitted or physically delivered via organization-defined out-of-band channels.','The organization being inspected/assessed   defines and documents the information, information system components or devices that are to be electronically transmitted or physically delivered via organization-defined out-of-band channels.\n \nDoD has determined the information, information system components, or devices are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information, information system components or devices to ensure the organization being inspected/assessed  defines  the information, information system components or devices that are to be electronically transmitted or physically delivered via organization-defined out-of-band channels.\n \n \nDoD has determined the information, information system components, or devices are not appropriate to define at the Enterprise level.'),(2523,'SC-37','','The organization defines the individuals or information systems authorized to be recipients of organization-defined information, information system components, or devices to be delivered by employing organization-defined out-of-band channels for electronic transmission or physical delivery.','The organization being inspected/assessed defines and documents the individuals or information systems authorized to be recipients of organization-defined information, information system components, or devices to be delivered by employing organization-defined out-of-band channels for electronic transmission or physical delivery.\n \nDoD has determined the individuals or information systems are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information, information system components, or devices to ensure the organization being inspected/assessed  defines the individuals or information systems authorized to be recipients of organization-defined information, information system components, or devices to be delivered by employing organization-defined out-of-band channels for electronic transmission or physical delivery.\n \nDoD has determined the individuals or information systems are not appropriate to define at the Enterprise level.'),(2524,'SC-37','','The organization employs organization-defined out-of-band channels for the electronic transmission or physical delivery of organization-defined information, information system components, or devices to organization-defined individuals or information systems.','The organization being inspected/assessed employs out-of-band channels defined in SC-37, CCI 2521 for the electronic transmission or physical delivery of information, information system components, or devices defined in SC-37, CCI 2522 to individuals or information systems defined in SC-37, CCI 2523.','The organization conducting the inspection/assessment obtains and examines any applicable evidence of out-of-band channels to ensure the organization being inspected/assessed employs out-of-band channels defined in SC-37, CCI 2521 for the electronic transmission or physical delivery of information, information system components, or devices defined in SC-37, CCI 2522 to individuals or information systems defined in SC-37, CCI 2523.'),(2525,'SC-37','1','The organization defines the security safeguards to be employed to ensure only organization-defined individuals or information systems receive organization-defined information, information system components or devices.','The organization being inspected/assessed defines and documents the security safeguards to be employed to ensure only organization-defined individuals or information systems receive organization-defined information, information system components or devices.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examine the documented security safeguards to ensure the organization being inspected/assessed defines the security safeguards to be employed to ensure only organization-defined individuals or information systems receive organization-defined information, information system components or devices.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(2526,'SC-37','1','The organization defines the information, information system components or devices which are to be received only by organization-defined individuals or information systems.','The organization being inspected/assessed defines and documents the information, information system components or devices which are to be received only by organization-defined individuals or information systems.\n \nDoD has determined the information, information system components or devices are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information, information system components or devices to ensure the organization being inspected/assessed defines the information, information system components or devices which are to be received only by organization-defined individuals or information systems.\n \nDoD has determined the information, information system components or devices are not appropriate to define at the Enterprise level.'),(2527,'SC-37','1','The organization employs organization-defined security safeguards to ensure only organization-defined individuals or information systems receive the organization-defined information, information system components, or devices.','The organization being inspected/assessed implements security safeguards defined in SC-37 (1), CCI 2525 to ensure only individuals or information systems defined in SC-37 (1), CCI 2523 receive the information, information system components, or devices defined in SC-37 (1), CCI 2526.\n \nThe organization must maintain an audit trail of security safeguard implementation.','The organization conducting the inspection/assessment obtains and examines the audit trail of security safeguard implementation to ensure the organization being inspected/assessed employs security safeguards defined in SC-37 (1), CCI 2525 to ensure only individuals or information systems defined in SC-37 (1), CCI 2523 receive the information, information system components, or devices defined in SC-37 (1), CCI 2526.'),(2528,'SC-38','','The organization defines the operations security safeguards to be employed to protect key organizational information throughout the system development life cycle.','The organization being inspected/assessed defines and documents the operations security safeguards to be employed to protect key organizational information throughout the system development life cycle.\n \nDoD has determined the operations security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented operations security safeguards to ensure the organization being inspected/assessed defines the operations security safeguards to be employed to protect key organizational information throughout the system development life cycle.\n \nDoD has determined the operations security safeguards are not appropriate to define at the Enterprise level.'),(2529,'SC-38','','The organization employs organization-defined operations security safeguards to protect key organizational information throughout the system development life cycle.','The organization being inspected/assessed implements operations security safeguards defined in SC-38, CCI 2528 to protect key organizational information throughout the system development life cycle.\n \nThe organization must maintain an audit trail of security safeguard implementation.','The organization conducting the inspection/assessment obtains and examines the audit trail of security safeguard implementation to ensure the organization being inspected/assessed employs operations security safeguards defined in SC-38, CCI 2528 to protect key organizational information throughout the system development life cycle.'),(2530,'SC-39','','The information system maintains a separate execution domain for each executing process.','The organization being inspected/assessed configures the information system to maintain a separate execution domain for each executing process.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2530.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to maintain a separate execution domain for each executing process.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2530.'),(2531,'SC-39','1','The information system implements underlying hardware separation mechanisms to facilitate process separation.','The organization being inspected/assessed configures the information system to  implement underlying hardware separation mechanisms to facilitate process separation.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2531.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  implement underlying hardware separation mechanisms to facilitate process separation.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2531.'),(2532,'SC-39','2','The organization defines the multi-threaded processing in which a separate execution domain is maintained by the information system for each thread.','The organization being inspected/assessed defines and documents the multi-threaded processing in which a separate execution domain is maintained by the information system for each thread.\n \nDoD has determined the multi-threaded processing is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented multi-thread processing to ensure the organization being inspected/assessed defines the multi-threaded processing in which a separate execution domain is maintained by the information system for each thread.\n \nDoD has determined the multi-threaded processing is not appropriate to define at the Enterprise level.'),(2533,'SC-39','2','The information system maintains a separate execution domain for each thread in organization-defined multi-threaded processing.','The organization being inspected/assessed configures the information system to maintain a separate execution domain for each thread in  multi-threaded processing defined in SC-39 (2), CCI 2532.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2533.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to maintain a separate execution domain for each thread in  multi-threaded processing defined in SC-39 (2), CCI 2532.\n \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2533.'),(2534,'SC-40','','The organization defines types of signal parameter attacks or references to sources for such attacks from which the information system protects organization-defined wireless links.','The organization being inspected/assessed defines and documents the types of signal parameter attacks or references to sources for such attacks from which the information system protects organization-defined wireless links. \n \nDoD has determined the signal parameter attacks or references to sources for such attacks are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented signal parameter attacks or references to sources for such attacks to ensure the organization being inspected/assessed defines types of signal parameter attacks or references to sources for such attacks from which the information system protects organization-defined wireless links.\n \nDoD has determined the signal parameter attacks or references to sources for such attacks are not appropriate to define at the Enterprise level.'),(2535,'SC-40','','The organization defines the external and internal wireless links the information system is to protect from organization-defined types of signal parameter attacks or references to sources for such attacks.','DoD has defined the wireless links as all non-COTS wireless links.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the wireless links as all non-COTS wireless links.'),(2536,'SC-40','','The information system protects organization-defined external and internal wireless links from organization-defined types of signal parameter attacks or references to sources for such attacks.','The organization being inspected/assessed designs the information system to protect all non-COTS wireless links from types of signal parameter attacks or references to sources for such attacks defined in SC-40, CCI 2534.\n \nDoD has defined the wireless links as all non-COTS wireless links.','The organization conducting the inspection/assessment obtains and examines design documentation for wireless links to ensure the organization being inspected/assessed protects all non-COTS wireless links from types of signal parameter attacks or references to sources for such attacks defined in SC-40, CCI 2534.\n \nDoD has defined the wireless links as all non-COTS wireless links.'),(2537,'SC-40','1','The organization defines the level of protection against the effects of intentional electromagnetic interference to be achieved by implemented cryptographic mechanisms.','The organization being inspected/assessed defines and documents the level of protection against the effects of intentional electromagnetic interference to be achieved by implemented cryptographic mechanisms.\n \nDoD has determined the level of protection is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented level of protection to ensure the organization being inspected/assessed defines the level of protection against the effects of intentional electromagnetic interference to be achieved by implemented cryptographic mechanisms.\n \nDoD has determined the level of protection is not appropriate to define at the Enterprise level.'),(2538,'SC-40','1','The information system implements cryptographic mechanisms that achieve organization-defined level of protection against the effects of intentional electromagnetic interference.','The organization being inspected/assessed configures the information system to implement cryptographic mechanisms that achieve level of protection defined in SC-40 (1), CCI 2537 against the effects of intentional electromagnetic interference.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2538.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement cryptographic mechanisms that achieve level of protection defined in SC-40 (1), CCI 2537 against the effects of intentional electromagnetic interference.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2538.'),(2539,'SC-40','2','The organization defines the level of reduction the information system is to implement to reduce the detection potential of wireless links.','The organization being inspected/assessed defines and documents the level of reduction the information system is to implement to reduce the detection potential of wireless links.\n \nDoD has determined the level of reduction is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented level of reduction to ensure the organization being inspected/assessed defines the level of reduction the information system is to implement to reduce the detection potential of wireless links.\n \nDoD has determined the level of reduction is not appropriate to define at the Enterprise level.'),(2540,'SC-40','2','The information system implements cryptographic mechanisms to reduce the detection potential of wireless links to organization-defined level of reduction.','The organization being inspected/assessed configures the information system to implement cryptographic mechanisms to reduce the detection potential of wireless links to the level of reduction defined in SC-40 (2), CCI 2539.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2540.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement cryptographic mechanisms to reduce the detection potential of wireless links to the level of reduction defined in SC-40 (2), CCI 2539.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2540.'),(2541,'SC-40','3','The information system implements cryptographic mechanisms to identify and reject wireless transmissions that are deliberate attempts to achieve imitative or manipulative communications deception based on signal parameters.','The organization being inspected/assessed configures the information system to implement cryptographic mechanisms to identify and reject wireless transmissions that are deliberate attempts to achieve imitative or manipulative communications deception based on signal parameters.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2541.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement cryptographic mechanisms to identify and reject wireless transmissions that are deliberate attempts to achieve imitative or manipulative communications deception based on signal parameters.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2541.'),(2542,'SC-40','4','The organization defines the wireless transmitters that are to have cryptographic mechanisms implemented by the information system to prevent the identification of the wireless transmitters.','The organization being inspected/assessed defines and documents the wireless transmitters that are to have cryptographic mechanisms implemented by the information system to prevent the identification of the wireless transmitters.\n \nDoD has determined the wireless transmitters are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented wireless transmitters to ensure the organization being inspected/assessed defines the wireless transmitters that are to have cryptographic mechanisms implemented by the information system to prevent the identification of the wireless transmitters.\n \nDoD has determined the wireless transmitters are not appropriate to define at the Enterprise level.'),(2543,'SC-40','4','The information system implements cryptographic mechanisms to prevent the identification of organization-defined wireless transmitters by using the transmitter signal parameters.','The organization being inspected/assessed configures the information system to implement cryptographic mechanisms to prevent the identification of wireless transmitters defined in SC-40 (4), CCI 2542 by using the transmitter signal parameters.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2543.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement cryptographic mechanisms to prevent the identification of wireless transmitters defined in SC-40 (4), CCI 2542 by using the transmitter signal parameters.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2543.'),(2544,'SC-41','','The organization defines the information systems or information system components on which organization-defined connection ports or input/output devices are to be physically disabled or removed.','The organization being inspected/assessed defines and documents the information systems or information system components on which organization-defined connection ports or input/output devices are to be physically disabled or removed.\n \nDoD has determined the information systems or information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information systems or information system components to ensure the organization being inspected/assessed defines the information systems or information system components on which organization-defined connection ports or input/output devices are to be physically disabled or removed.\n \nDoD has determined the information systems or information system components are not appropriate to define at the Enterprise level.'),(2545,'SC-41','','The organization defines the connection ports or input/output devices that are to be physically disabled or removed from organization-defined information systems or information system components.','The organization being inspected/assessed defines and documents the connection ports or input/output devices that are to be physically disabled or removed from organization-defined information systems or information system components.\n \nDoD has determined the connection ports or input/output devices are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented connection ports or input/output devices to ensure the organization being inspected/assessed defines the connection ports or input/output devices that are to be physically disabled or removed from organization-defined information systems or information system components. \n \nDoD has determined the connection ports or input/output devices are not appropriate to define at the Enterprise level.'),(2546,'SC-41','','The organization physically disables or removes organization-defined connection ports or input/output devices on organization-defined information systems or information system components.','The organization being inspected/assessed physically disables or removes connection ports or input/output devices defined in SC-41, CCI 2545 on information systems or information system components defined in SC-41, CCI 2544.','The organization conducting the inspection/assessment examines a sampling of devices to ensure the organization being inspected/assessed physically disables or removes connection ports or input/output devices defined in SC-41, CCI 2545 on information systems or information system components defined in SC-41, CCI 2544.'),(2547,'SC-42','','The organization defines the exceptions where remote activation of sensors is allowed.','The organization being inspected/assessed defines and documents the exceptions where remote activation of sensors is allowed.\n \nDoD has determined the exceptions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented exceptions to ensure the organization being inspected/assessed defines the exceptions where remote activation of sensors is allowed.\n \nDoD has determined the exceptions are not appropriate to define at the Enterprise level.'),(2548,'SC-42','','The information system prohibits the remote activation of environmental sensing capabilities except for the organization-defined exceptions where remote activation of sensors is allowed.','The organization being inspected/assessed configures the information system to prohibit the remote activation of environmental sensing capabilities except for the exceptions defined in SC-42, CCI 2547 where remote activation of sensors is allowed.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2548.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  prohibit the remote activation of environmental sensing capabilities except for the exceptions defined in SC-42, CCI 2547 where remote activation of sensors is allowed.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2548.'),(2549,'SC-42','','The organization defines the class of users to receive explicit indication of sensor use.','DoD has defined the class of users all users unless documented by exception.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the class of users all users unless documented by exception.'),(2550,'SC-42','','The information system provides an explicit indication of sensor use to the organization-defined class of users.','The organization being inspected/assessed configures the information system to provide an explicit indication of sensor use to all users unless documented by exception.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2550.\n \nDoD has defined the class of users all users unless documented by exception.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to provide an explicit indication of sensor use to all users unless documented by exception.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2550.\n \nDoD has defined the class of users all users unless documented by exception.'),(2551,'SC-42','1','The organization defines the sensors to be configured so that collected data or information is reported only to authorized individuals or roles.','The organization being inspected/assessed defines and documents the sensors to be configured so that collected data or information is reported only to authorized individuals or roles.\n \nDoD has determined the sensors are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented sensors to ensure the organization being inspected/assessed defines the sensors to be configured so that collected data or information is reported only to authorized individuals or roles.\n \nDoD has determined the sensors are not appropriate to define at the Enterprise level.'),(2552,'SC-42','1','The organization ensures that the information system is configured so that data or information collected by the organization-defined sensors is only reported to authorized individuals or roles.','The organization being inspected/assessed documents and implements a process to ensure that the information system is configured so that data or information collected by the sensors defined in SC-42 (1), CCI 2551 is only reported to authorized individuals or roles.','The organization conducting the inspection/assessed obtains and examines the documented process as well as a sampling of devices to ensure the organization being inspected/assessed configures the information system so that data or information collected by the sensors defined in SC-42 (1), CCI 2551 is only reported to authorized individuals or roles.'),(2553,'SC-42','2','The organization defines the measures to be employed to ensure data or information collected by organization-defined sensors is used only for authorized purposes.','The organization being inspected/assessed defines and documents the measures to be employed to ensure data or information collected by sensors defined in SC-42 (2), CCI 2554 is used only for authorized purposes.\n \nDoD has determined the measures are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented measures to ensure the organization being inspected/assessed defines the measures to be employed to ensure data or information collected by sensors defined in SC-42 (2), CCI 2554 is used only for authorized purposes.\n \nDoD has determined the measures are not appropriate to define at the Enterprise level.'),(2554,'SC-42','2','The organization defines the sensors that are to collect data or information for authorized purposes.','The organization being inspected/assessed defines and documents the sensors that are to collect data or information for authorized purposes.\n \nDoD has determined the sensors are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented sensors to ensure the organization being inspected/assessed defines the sensors that are to collect data or information for authorized purposes.\n \nDoD has determined the sensors are not appropriate to define at the Enterprise level.'),(2555,'SC-42','2','The organization employs organization-defined measures, so that data or information collected by organization-defined sensors is only used for authorized purposes.','The organization being inspected/assessed  employs measures defined in SC-42 (2), CCI 2553 so that data or information collected by sensors defined in SC-42 (2), CCI 2554 is only used for authorized purposes.','The organization conducting the inspection/assessment ensures the measures defined in SC-42 (2), CCI 2553  are employed so that data or information collected by sensors defined in SC-42 (2), CCI 2554 is only used for authorized purposes.'),(2556,'SC-42','3','The organization defines the environmental sensing capabilities prohibited on devices used in organization-defined facilities, areas or systems.','DoD has defined the environmental sensing capabilties as environmental sensing capabilities such as the recording audio or imagery (still or video) or transmitting information (i.e., cell phones, two way radios).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the environmental sensing capabilties as environmental sensing capabilities such as the recording audio or imagery (still or video) or transmitting information (i.e., cell phones, two way radios).'),(2557,'SC-42','3','The organization defines the facilities, areas or systems where devices processing organization-defined environmental sensing capabilities are prohibited.','DoD has defined the facilities, areas, and systems as spaces where Classified information is stored, processed, displayed, or discussed.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the facilities, areas, and systems as spaces where Classified information is stored, processed, displayed, or discussed.'),(2558,'SC-42','3','The organization prohibits the use of devices possessing organization-defined environmental sensing capabilities in organization-defined facilities, areas, or systems.','The organization being inspected/assessed documents and implements a process to prohibit the use of devices possessing  environmental sensing capabilities such as the recording audio or imagery (still or video) or transmitting information (i.e., cell phones, two way radios) in  spaces where Classified information is stored, processed, displayed, or discussed.\n \nDoD has defined the environmental sensing capabilties as environmental sensing capabilities such as the recording audio or imagery (still or video) or transmitting information (i.e., cell phones, two way radios).\n \nDoD has defined the facilities, areas, and systems as spaces where Classified information is stored, processed, displayed, or discussed.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed prohibits the use of devices possessing environmental sensing capabilities such as the recording audio or imagery (still or video) or transmitting information (i.e., cell phones, two way radios) in spaces where Classified information is stored, processed, displayed, or discussed.\n \nDoD has defined the environmental sensing capabilties as environmental sensing capabilities such as the recording audio or imagery (still or video) or transmitting information (i.e., cell phones, two way radios).\n \nDoD has defined the facilities, areas, and systems as spaces where Classified information is stored, processed, displayed, or discussed.'),(2559,'SC-43','','The organization defines the information system components for which usage restrictions and implementation guidance are to be established.','DoD has defined the information system components as all information system components (through the use of an acceptable use agreement).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the information system components as all information system components (through the use of an acceptable use agreement).'),(2560,'SC-43','','The organization establishes usage restrictions and implementation guidance for organization-defined information system components based on the potential to cause damage to the information system if used maliciously.','The organization being inspected/assessed develops and implements usage restrictions and implementation guidance for all information system components (through the use of an acceptable use agreement). \n  \nDoD has defined the information system components as all information system components (through the use of an acceptable use agreement). ','The organization conducting the  inspection/assessment obtains and examines implementation guidance and usage restrictions  and verifies that the organization has implemented them for all information system components (through the use of an acceptable use agreement). \n \nDoD has defined the information system components as all information system components (through the use of an acceptable use agreement). \n  '),(2561,'SC-43','','The organization authorizes the use of organization-defined information system components which have the potential to cause damage to the information system if used maliciously.','The organization being inspected/assessed documents and implements a process to authorize the use of all information system components (through the use of an acceptable use agreement) which have the potential to cause damage to the information system if used maliciously.\n \nThe organization must maintain an audit trail of authorizations.\n \nDoD has defined the information system components as all information system components (through the use of an acceptable use agreement). ','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of authorizations to ensure the organization being inspected/assessed authorizes the use of all information system components (through the use of an acceptable use agreement) which have the potential to cause damage to the information system if used maliciously.\n \nDoD has defined the information system components as all information system components (through the use of an acceptable use agreement). '),(2562,'SC-43','','The organization monitors the use of organization-defined information system components which have the potential to cause damage to the information system if used maliciously.','The organization being inspected/assessed documents and implements a process to monitor the use of all information system components (through the use of an acceptable use agreement) which have the potential to cause damage to the information system if used maliciously.\n \nThe organization must maintain an audit trail of monitoring.\n \n DoD has defined the information system components as all information system components (through the use of an acceptable use agreement). ','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of monitoring to ensure the organization being inspected/assessed monitors the use of  all information system components (through the use of an acceptable use agreement). \n \n DoD has defined the information system components as all information system components (through the use of an acceptable use agreement). '),(2563,'SC-43','','The organization controls the use of organization-defined information system components which have the potential to cause damage to the information system if used maliciously.','The organization being inspected/assessed documents and implements a process to control the use of all information system components (through the use of an acceptable use agreement) which have the potential to cause damage to the information system if used maliciously.\n \nDoD has defined the information system components as all information system components (through the use of an acceptable use agreement). \n','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed controls the use of all information system components (through the use of an acceptable use agreement). \n \nDoD has defined the information system components as all information system components (through the use of an acceptable use agreement). '),(2564,'SC-44','','The organization defines the information system, system components, or location where a detonation chamber (i.e., dynamic execution environments) capability is employed.','The organization being inspected/assessed defines and documents the information system, system components, or location where a detonation chamber (i.e., dynamic execution environments) capability is employed.\n  \nDoD has determined the defines the information system, system components, or location are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system, system components, or location to ensure the organization being inspected/assessed defines the information system, system components, or location where a detonation chamber (i.e., dynamic execution environments) capability is employed.\n \nDoD has determined the defines the information system, system components, or location are not appropriate to define at the Enterprise level.'),(2565,'SC-44','','The organization employs a detonation chamber (i.e., dynamic execution environments) capability within an organization-defined information system, system component, or location.','The organization being inspected/assessed implements a detonation chamber (i.e., dynamic execution environments, sandbox) capability within an information system, system component, or location defined in SC-44, CCI 2564.\n \nThe organization must maintain an audit trail of detonation chamber implementation.','The organization conducting the inspection/assessment obtains and examines the documented detonation chamber to ensure the organization being inspected/assessed employs a detonation chamber (i.e., dynamic execution environments, sandbox) capability within an  information system, system component, or location defined in SC-44, CCI 2564.'),(2566,'MP-1','','The organization defines personnel or roles to whom a documented media protection policy and procedures will be disseminated.','DoD has defined the personnel or roles as all users.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as all users.'),(2567,'MP-6','1','The organization reviews and approves media sanitization.','The organization being inspected/assessed documents and implements a process for reviewing and approving media sanitization.   The process must include procedures for reviewing and approving sanitization actions.\n \nThe organization must maintain a record of media sanitization actions.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of media sanitization actions to ensure the organization being inspected/assessed reviews and approves media sanitization actions.'),(2568,'MP-6','1','The organization tracks and documents media sanitization.','The organization being inspected/assessed documents and implements a process for tracking media sanitization.   The process must include procedures for tracking sanitization actions.\n \nThe organization must maintain a record of media sanitization actions.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of media sanitization actions to ensure the organization being inspected/assessed tracks and documents media sanitization actions.'),(2569,'MP-6','1','The organization verifies media sanitization.','The organization being inspected/assessed documents and implements a process for media sanitization.   The process must include procedures for verification of sanitization actions.\n \nThe organization must maintain a record of media sanitization actions including verification information.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of media sanitization actions to ensure the organization being inspected/assessed verifies media sanitization actions.'),(2570,'MP-6','1','The organization reviews and approves media disposal actions.','The organization being inspected/assessed documents and implements a process for reviewing and approving media disposal.   The process must include procedures for reviewing and approving disposal actions.\n \nThe organization must maintain a record of media disposal actions.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of media disposal actions to ensure the organization being inspected/assessed reviews and approves media disposal actions.'),(2571,'MP-6','1','The organization tracks and documents media disposal actions.','The organization being inspected/assessed documents and implements a process for tracking media disposal.   The process must include procedures for tracking disposal actions.\n \nThe organization must maintain a record of media disposal actions.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of media disposal actions to ensure the organization being inspected/assessed tracks and documents media disposal actions.'),(2572,'MP-6','1','The organization verifies media disposal actions.','The organization being inspected/assessed documents and implements a process for media disposal.   The process must include procedures for verification of disposal actions.\n \nThe organization must maintain a record of media disposal actions including verification information.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of media disposal actions to ensure the organization being inspected/assessed verifies media disposal actions.'),(2573,'MP-6','7','The organization enforces dual authorization for the sanitization of organization-defined information system media.','The organization being inspected/assessed documents and implements a process for dual authorization for the sanitization of information system media defined in MP-6 (7), CCI 2574.\n \nThe organization must maintain a record of sanitization actions for media defined in MP-6 (7), CCI 2574.','The organization conducting the inspection/assessment obtains and examines the documented process as well as a sampling of records of sanitization actions to ensure the organization being inspected/assessed enforces dual authorization for the sanitization of information system media defined in MP-6 (7), CCI 2574.'),(2574,'MP-6','7','The organization defines the information system media that dual authorization should be enforced for sanitization.','The organization being inspected/assessed defines and documents the information system media that dual authorization should be enforced for sanitization.\n \nDoD has determined the information system media is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system media to ensure the organization being inspected/assessed defines the information system media that dual authorization should be enforced for sanitization.\n \nDoD has determined the information system media is not appropriate to define at the Enterprise level.'),(2575,'MP-6','8','The organization defines information systems, system components, or devices that information should be purged/wiped either remotely or under the organization-defined conditions.','The organization being inspected/assessed defines and documents information systems, system components, or devices that information should be purged/wiped either remotely or under the organization-defined conditions.\n \nDoD has determined the information systems, system components, or devices are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information systems, system components, or devices to ensure the organization being inspected/assessed defines  information systems, system components, or devices that information should be purged/wiped either remotely or under the organization-defined conditions.\n \nDoD has determined the information systems, system components, or devices are not appropriate to define at the Enterprise level.'),(2576,'MP-6','8','The organization defines conditions in which information from organization-defined information systems, system components, or devices should be purged/wiped.','The organization being inspected/assessed defines and documents conditions in which information from organization-defined information systems, system components, or devices should be purged/wiped.  \n \nDoD has determined the conditions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented conditions to ensure the organization being inspected/assessed defines  conditions in which information from organization-defined information systems, system components, or devices should be purged/wiped.  \n \nDoD has determined the conditions are not appropriate to define at the Enterprise level.'),(2577,'MP-6','8','The organization  provides the capability to purge/wipe information from organization-defined information systems, system components, or devices either remotely or under organization-defined conditions.','The organization being inspected/assessed documents and implements a process to purge /wipe information from information systems, system components, or devices defined in MP-6 (8), CCI 2575 either remotely or under  conditions defined in MP-6 (8), CCI 2576.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed provides the capability to purge /wipe information from information systems, system components, or devices defined in MP-6 (8), CCI 2575 either remotely or under  conditions defined in MP-6 (8), CCI 2576.'),(2578,'MP-6','','The organization defines information system media to sanitize prior to disposal, release out of organizational control, or release for reuse using organization-defined sanitization techniques and procedures in accordance with applicable federal and organizational standards and policies.','DoD has defined the information system media as all media.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the information system media as all media.'),(2579,'MP-6','','The organization defines the sanitization techniques and procedures in accordance with applicable federal and organization standards and policies to be used to sanitize organization-defined information system media prior to disposal, release out of organizational control, or release for reuse.','DoD has defined the sanitization techniques as techniques and procedures IAW NIST SP 800-88.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the sanitization techniques as techniques and procedures IAW NIST SP 800-88.'),(2580,'MP-6','','The organization employs sanitization mechanisms with the strength and integrity commensurate with the security category or classification of the information.','The organization being inspected/assessed implements sanitization mechanisms with the strength and integrity commensurate with the security category or classification of the information.\n \nThe organization must maintain an audit trail of sanitization actions.','The organization conducting the inspection/assessment obtains and examines the audit trail of sanitization actions to ensure the organization being inspected/assessed implements sanitization mechanisms with the strength and integrity commensurate with the security category or classification of the information.'),(2581,'MP-7','','The organization defines the types of information system media to restrict or prohibit on organization-defined information systems or system components using organization-defined security safeguards.','The organization being inspected/assessed defines and documents the types of information system media to restrict or prohibit on organization-defined information systems or system components using organization-defined security safeguards.\n \nDoD has determined the types of information system media are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented type of information system media to ensure the organization being inspected/assessed defines the types of information system media to restrict or prohibit on organization-defined information systems or system components using organization-defined security safeguards.\n \nDoD has determined the types of information system media are not appropriate to define at the Enterprise level.'),(2582,'MP-7','','The organization defines the information systems or system components to restrict or prohibit the use of organization-defined types of information system media using organization-defined security safeguards.','The organization being inspected/assessed defines and documents the information systems or system components to restrict or prohibit the use of organization-defined types of information system media using organization-defined security safeguards.\n \nDoD has determined the information systems or system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information systems or system components to ensure the organization being inspected/assessed defines  the information systems or system components to restrict or prohibit the use of organization-defined types of information system media using organization-defined security safeguards.\n \nDoD has determined the information systems or system components are not appropriate to define at the Enterprise level.'),(2583,'MP-7','','The organization defines the security safeguards to use for restricting or prohibiting the use of organization-defined types of information system media on organization-defined information systems or system components.','The organization being inspected/assessed defines and documents the security safeguards to use for restricting or prohibiting the use of organization-defined types of information system media on organization-defined information systems or system components.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security safeguards to ensure the organization being inspected/assessed defines the security safeguards to use for restricting or prohibiting the use of organization-defined types of information system media on organization-defined information systems or system components.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(2584,'MP-7','','The organization restricts or prohibits the use of organization-defined types of information system media on organization-defined information systems or system components using organization-defined security safeguards.','The organization being inspected/assessed documents and enforces controls for the use of media defined in MP-7, CCI 2581 on systems defined in MP-7, CCI 2582 using security safeguards defined in MP-7, CCI 2583.','The organization conducting the inspection/assessment obtains and examines the documented controls and examines information system procedures associated with the use of media to ensure the organization being inspected/assessed documents and enforces controls for the use of media defined in MP-7, CCI 2581 on systems defined in MP-7, CCI 2582 using security safeguards defined in MP-7, CCI 2583.'),(2585,'MP-7','1','The organization prohibits the use of portable storage devices in organization information systems when such devices have no identifiable owner.','The organization being inspected/assessed does not use portable storage devices in  organization information systems when such devices have no identifiable owner.','The organization conducting the inspection/assessment examines a sampling of portable storage devices used in the information system to ensure that the devices have an identifiable owner.'),(2586,'MP-7','2','The organization prohibits the use of sanitization-resistant media in organizational information systems.','The organization being inspected/assessed does not use sanitization-resistant media in organizational information systems.','The organization conducting the inspection/assessment examines a sampling of media used in the information system to ensure sanitization-resistant media is not used.'),(2587,'MP-8','1','The organization documents information system media downgrading actions.','The organization being inspected/assessed documents information system media downgrading actions.','The organization conducting the inspection/assessment obtains and examines the documented  information system media downgrading actions to ensure the organization being inspected/assessed documents information system media downgrading actions.'),(2588,'MP-8','2','The organization employs organization-defined tests of downgrading equipment  in accordance with organization-defined frequency.','The organization being inspected/assessed implements tests defined in MP-8 (2), CCI 2590 at a minimum annually to verify correct performance of equipment.\n \nThe organization must maintain a record of tests.\n \nDoD has defined the frequency as at a minimum annually.','The organization conducting the inspection/assessment obtains and examines the record of tests to ensure the organization being inspected/assessed implements tests defined in MP-8 (2), CCI 2590 at a minimum annually to verify correct performance of equipment.\n \nDoD has defined the frequency as at a minimum annually.\n'),(2589,'MP-8','2','The organization employs procedures to verify correct performance of organization-defined tests of downgrading equipment in accordance with organization-defined frequency.','The organization being inspected/assessed implements tests defined in MP-8 (2), CCI 2590 at a minimum annually to verify correct performance of procedures.\n \nThe organization must maintain a record of tests.\n \nDoD has defined the frequency as at a minimum annually.','The organization conducting the inspection/assessment obtains and examines the record of tests to ensure the organization being inspected/assessed implements tests defined in MP-8 (2), CCI 2590 at a minimum annually to verify correct performance of procedures.\n \nDoD has defined the frequency as at a minimum annually.\n '),(2590,'MP-8','2','The organization defines tests to employ for downgrading equipment.','The organization being inspected/assessed defines and documents tests to employ for downgrading equipment.\n \nDoD has determined the tests are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented tests to ensure the organization being inspected/assessed defines tests to employ for downgrading equipment.\n \nDoD has determined the tests are not appropriate to define at the Enterprise level.'),(2591,'MP-8','2','The organization defines the frequency to employ tests of downgrading equipment and procedures to verify correct performance.','DoD has defined the frequency as at a minimum annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as at a minimum annually.'),(2592,'MP-8','3','The organization defines Controlled Unclassified Information (CUI) .','DoD has defined the Controlled Unclassified Information (CUI) as any Controlled Unclassified Information (CUI).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the Controlled Unclassified Information (CUI) as any Controlled Unclassified Information (CUI).'),(2593,'MP-8','3','The organization downgrades information system media containing organization-defined Controlled Unclassified Information (CUI) prior to public release in accordance with applicable federal and organizational standards and policies.','The organization being inspected/assessed implements a process to downgrade information system media containing any Controlled Unclassified Information (CUI) prior to public release in accordance with applicable federal and organizational standards and policies.\n \nThe organization must maintain a record of public release of media and a record of information system media downgrade.\n \nDoD has defined the Controlled Unclassified Information (CUI) as any Controlled Unclassified Information (CUI).','The organization conducting the inspection/assessment obtains and examines the record of public release of media as well as records of information system media downgrade to ensure the organization being inspected/assessed implements a process to downgrade information system media containing any Controlled Unclassified Information (CUI) prior to public release in accordance with applicable federal and organizational standards and policies.\n \nDoD has defined the Controlled Unclassified Information (CUI) as any Controlled Unclassified Information (CUI).'),(2594,'MP-8','4','The organization downgrades information system media containing classified information prior to release to individuals without required access authorizations in accordance with NSA standards and policies.','The organization being inspected/assessed implements a process to downgrade information system media containing classified information prior to release to individuals without required access authorizations in accordance with NSA standards and policies.\n \nThe organization must maintain a record of release of media containing classified information and a record of information system media downgrade.','The organization conducting the inspection/assessment obtains and examines the record of release of media containing classified information as well as records of information system media downgrade to ensure the organization being inspected/assessed implements a process to downgrade information system media containing classified information prior to release to individuals without required access authorizations in accordance with NSA standards and policies.'),(2596,'MP-8','','The organization establishes and defines an information system media downgrading process that includes employing downgrading mechanisms with organization-defined strength and integrity.','The organization being inspected/assessed defines and documents an information system media downgrading process that includes employing downgrading mechanisms with organization-defined strength and integrity. \n \nDoD has determined the information system media downgrading process is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system media downgrading process to ensure the organization being inspected/assessed defines  an information system media downgrading process that includes employing downgrading mechanisms with organization-defined strength and integrity. \n \nDoD has determined the information system media downgrading process is not appropriate to define at the Enterprise level.'),(2597,'MP-8','','The organization defines strength and integrity for downgrading mechanisms to establish an organization-defined information system media downgrading process.','The organization being inspected/assessed defines and documents strength and integrity for downgrading mechanisms to establish an organization-defined information system media downgrading process.\n \nDoD has determined the strength and integrity are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented strength and integrity to ensure the organization being inspected/assessed defines strength and integrity for downgrading mechanisms to establish an organization-defined information system media downgrading process.\n \n \nDoD has determined the strength and integrity are not appropriate to define at the Enterprise level.'),(2598,'MP-8','','The organization ensures that the information system media downgrading process is commensurate with the security category and/or classification level of the information to be removed and the access authorizations of the potential recipients of the downgraded information','The organization being inspected/assessed includes within the process defined in MP-8, CCI 2596, processes which are commensurate with the security category and/or classification level of the information to be removed and the access authorizations of the potential recipients of the downgraded information.','The organization conducting the inspection/assessment obtains and examines the documented process defined in MP-8, CCI 2596 to ensure it is commensurate with the security category and/or classification level of the information to be removed and the access authorizations of the potential recipients of the downgraded information.'),(2599,'MP-8','','The organization defines and identifies the information system media requiring downgrading.','The organization being inspected/assessed defines, identifies, and documents the information system media requiring downgrading.\n \nDoD has determined the information system media is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system media to ensure the organization being inspected/assessed defines and identifies the information system media requiring downgrading.\n \nDoD has determined the information system media is not appropriate to define at the Enterprise level.'),(2600,'MP-8','','The organization downgrades the identified information system media using the established process.','The organization being inspected/assessed implements the process defined in MP-8, CCI 2596 to downgrade media defined in MP-8, CCI 2599.\n \nThe organization must maintain a record of downgrade activities.','The organization conducting the inspection/assessment obtains and examines the record of downgrade activities to ensure the organization being inspected/assessed implements the process defined in MP-8, CCI 2596 to downgrade media defined in MP-8, CCI 2599.'),(2601,'SI-1','','The organization defines the personnel or roles to whom the system and information integrity policy and procedures are to be disseminated.','DoD has defined the personnel or roles as all appointed information assurance personnel.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as all appointed information assurance personnel. '),(2602,'SI-2','','The organization tests firmware updates related to flaw remediation for effectiveness before installation.','The organization being inspected/assessed documents and implements a process to test  firmware updates related to flaw remediation for effectiveness before installation.\n \nIf the firmware update is being provided by a vendor who has documented the effectiveness of the update in fixing the affected IAVM/CVE, further testing by the organization may not be required.','The organization conducting the inspection/assessment obtains and examines the documented process and test results to ensure the organization being inspected/assessed tests firmware updates related to flaw remediation for effectiveness before installation.'),(2603,'SI-2','','The organization tests firmware updates related to flaw remediation for potential side effects before installation.','The organization being inspected/assessed documents and implements a process for regression testing IAW CM-4 to identify any potential side effects before installation of software updates.','The organization conducting the inspection/assessment obtains and examines the documented process and test results to ensure the organization being inspected/assessed tests firmware updates related to flaw remediation for potential side effects before installation.'),(2604,'SI-2','','The organization defines the time period within the release of updates that security-related software updates are to be installed.','DoD has defined the time period as 30 days.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n\nDoD has defined the time period as 30 days'),(2605,'SI-2','','The organization installs security-relevant software updates within organization-defined time period of the release of the updates','The organization being inspected/assessed configures the information system to install security-relevant software updates within 30 days of the release of the updates\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2605.\n \nDoD has defined the time period as 30 days.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  install security-relevant software updates within 30 days of the release of the updates.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2605.\n \nDoD has defined the time period as 30 days.'),(2606,'SI-2','','The organization defines the time period within the release of updates that security-related firmware updates are to be installed.','DoD has defined the time period as 30 days.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n\nDoD has defined the time period as 30 days'),(2607,'SI-2','','The organization installs security-relevant firmware updates within organization-defined time period of the release of the updates','The organization being inspected/assessed configures the information system to install security-relevant firmware updates within 30 days of the release of the updates.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2607.\n \nDoD has defined the time period as 30 days.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  install security-relevant firmware updates within 30 days of the release of the updates.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2607.\n \nDoD has defined the time period as 30 days.'),(2608,'SI-2','3','The organization establishes organization-defined benchmarks for the time taken to apply corrective actions after flaw identification.','The organization being inspected/assessed  implements benchmarks for the time taken to apply corrective actions after flaw identification IAW the period directed by an authorative source (e.g. IAVM, CTOs, DTMs, STIGs). \n \nDoD has defined the benchmarks as within the time period directed by an authorative source (e.g. IAVM, CTOs, DTMs, STIGs). ','The organization conducting the inspection/assessment obtains and examines records of corrective actions taken to ensure the organization being inspected/assessed  implements benchmarks for the time taken to apply corrective actions after flaw identification IAW the period directed by an authorative source (e.g. IAVM, CTOs, DTMs, STIGs). \n  \nDoD has defined the benchmarks as within the time period directed by an authorative source (e.g. IAVM, CTOs, DTMs, STIGs). '),(2609,'SI-2','5','The organization defines the information system components on which organization-defined security-relevant software updates will be automatically installed.','The organization being inspected/assessed defines and documents the information system components on which organization-defined security-relevant software updates will be automatically installed.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system components to ensure the organization being inspected/assessed defines the information system components on which organization-defined security-relevant software updates will be automatically installed.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.'),(2610,'SI-2','5','The organization defines the information system components on which organization-defined security-relevant firmware updates will be automatically installed.','The organization being inspected/assessed defines and documents the information system components on which organization-defined security-relevant firmware updates will be automatically installed.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system components to ensure the organization being inspected/assessed defines the information system components on which organization-defined security-relevant firmware updates will be automatically installed.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.'),(2611,'SI-2','5','The organization defines the security-relevant software updates to be automatically installed on organization-defined information system components.','The organization being inspected/assessed defines and documents the security-relevant software updates to be automatically installed on organization-defined information system components.\n \nDoD has determined the security-relevant software updates are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security-relevant software updates to ensure the organization being inspected/assessed defines the security-relevant software updates to be automatically installed on organization-defined information system components.\n \nDoD has determined the security-relevant software updates are not appropriate to define at the Enterprise level.'),(2612,'SI-2','5','The organization defines the security-relevant firmware updates to be automatically installed on organization-defined information system components.','The organization being inspected/assessed defines and documents  the security-relevant firmware updates to be automatically installed on organization-defined information system components.\n \nDoD has determined the security-relevant firmware updates are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security-relevant firmware updates to ensure the organization being inspected/assessed  defines the security-relevant firmware updates to be automatically installed on organization-defined information system components.\n \nDoD has determined the security-relevant firmware updates are not appropriate to define at the Enterprise level.'),(2613,'SI-2','5','The organization installs organization-defined security-relevant software updates automatically to organization-defined information system components','The organization being inspected/assessed configures the information system to install security-relevant software updates defined in SI-2 (5), CCI 2611 automatically to information system components defined in SI-2 (5), CCI 2609.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2613.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to install security-relevant software updates defined in SI-2 (5), CCI 2611 automatically to information system components defined in SI-2 (5), CCI 2609.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2613.'),(2614,'SI-2','5','The organization installs organization-defined security-relevant firmware updates automatically to organization-defined information system components','The organization being inspected/assessed configures the information system to install security-relevant firmware updates defined in SI-2 (5), CCI 2612 automatically to information system components defined in SI-2 (5), CCI 2610.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2614.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to install security-relevant firmware updates defined in SI-2 (5), CCI 2612 automatically to information system components defined in SI-2 (5), CCI 2610.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2614.'),(2615,'SI-2','6','The organization defines the software components to be removed (e.g., previous versions) after updated versions have been installed.','DoD has defined the software components as all upgraded/replaced software components that are no longer required for operation.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the software components as all upgraded/replaced software components that are no longer required for operation.'),(2616,'SI-2','6','The organization defines the firmware components to be removed (e.g., previous versions) after updated versions have been installed.','DoD has defined the firmware components as all upgraded/replaced firmware components that are no longer required for operation.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the firmware components as all upgraded/replaced firmware components that are no longer required for operation.'),(2617,'SI-2','6','The organization removes organization-defined software components (e.g., previous versions) after updated versions have been installed.','The organization being inspected/assessed configures the information system to remove all upgraded/replaced software components that are no longer required for operation (e.g., previous versions) after updated versions have been installed.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2617.\n \nDoD has defined the software components as all upgraded/replaced software components that are no longer required for operation.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to remove all upgraded/replaced software components that are no longer required for operation (e.g., previous versions) after updated versions have been installed.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2617.\n \nDoD has defined the software components as all upgraded/replaced software components that are no longer required for operation.'),(2618,'SI-2','6','The organization removes organization-defined firmware components (e.g., previous versions) after updated versions have been installed.','The organization being inspected/assessed configures the information system to remove all upgraded/replaced firmware components that are no longer required for operation e.g., previous versions) after updated versions have been installed.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2618.\n \nDoD has defined the firmware components as all upgraded/replaced firmware components that are no longer required for operation.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to remove all upgraded/replaced firmware components that are no longer required for operation (e.g., previous versions) after updated versions have been installed.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2618.\n \nDoD has defined the firmware components as all upgraded/replaced firmware components that are no longer required for operation.'),(2619,'SI-3','','The organization employs malicious code protection mechanisms at information system entry points to detect malicious code.','The organization being inspected/assessed identifies and documents the information system entry points and implements malicious code protection mechanisms at those entry points to detect malicious code.\n \nInformation system entry and exit points include, for example, firewalls, electronic mail servers, web servers, proxy servers, remote-access servers, workstations, notebook computers, and mobile devices. Malicious code protection mechanisms include, for example, anti-virus signature definitions and reputation-based technologies.','The organization conducting the inspection/assessment examines the information system architecture as well as the organization\'s documentation of information system entry points and verifies that malicious code protection mechanisms are implemented.'),(2620,'SI-3','','The organization employs malicious code protection mechanisms at information system exit points to detect malicious code.','The organization being inspected/assessed identifies and documents the information system exit points and implements malicious code protection mechanisms at those exit points to detect malicious code.\n \nInformation system entry and exit points include, for example, firewalls, electronic mail servers, web servers, proxy servers, remote-access servers, workstations, notebook computers, and mobile devices. Malicious code protection mechanisms include, for example, anti-virus signature definitions and reputation-based technologies.','The organization conducting the inspection/assessment examines the information system architecture as well as the organization\'s documentation of information system exit points and verifies that malicious code protection mechanisms are implemented.'),(2621,'SI-3','','The organization employs malicious code protection mechanisms at information system entry points to eradicate malicious code.','The organization being inspected/assessed configures the malicious code protection mechanisms identified in SI-3, CCI 2619 to  eradicate malicious code.','The organization conducting the inspection/assessment examines the information system architecture as well as the organization\'s documentation of information system entry points and verifies that malicious code protection mechanisms are implemented to eradicate malicious code.'),(2622,'SI-3','','The organization employs malicious code protection mechanisms at information system exit points to eradicate malicious code.','The organization being inspected/assessed configures the malicious code protection mechanisms identified in SI-3, CCI 2620 to  eradicate malicious code.','The organization conducting the inspection/assessment examines the information system architecture as well as the organization\'s documentation of information system exit points and verifies that malicious code protection mechanisms are implemented to eradicate malicious code.'),(2623,'SI-3','','The organization defines the frequency for performing periodic scans of the information system for malicious code.','DoD has defined the frequency as every 7 days.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as every 7 days.'),(2624,'SI-3','','The organization configures malicious code protection mechanisms to perform real-time scans of files from external sources at network entry/exit points as the files are downloaded, opened, or executed in accordance with organizational security policy.','The organization being inspected/assessed configures the malicious code protection mechanisms to perform real-time scans of files from external sources at network entry/exit points as the files are downloaded, opened, or executed in accordance with organizational security policy.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2624.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures malicious code protection mechanisms to perform real-time scans of files from external sources at network entry/exit points as the files are downloaded, opened, or executed in accordance with organizational security policy.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2624.'),(2625,'SI-3','6','The organization, when testing malicious code protection mechanisms, verifies the detection of the test case occurs.','The organization being inspected/assessed  verifies the detection of the test case occurs when testing malicious code protection mechanisms.\n \nThe organization must maintain an audit trail of test cases and successful or failed detection.','The organization conducting the inspection/assessment obtains and examines the audit trail of test cases and successful or failed detection to ensure the organization being inspected/assessed verifies the detection of the test case occurs when testing malicious code protection mechanisms.'),(2626,'SI-3','6','The organization, when testing malicious code protection mechanisms, verifies the incident reporting of the test case occurs.','The organization being inspected/assessed verifies the incident reporting of the test case occurs when testing malicious code protection mechanisms.\n \nThe organization must maintain an audit trail of test cases and success or failure.','The organization conducting the inspection/assessment obtains and examines the audit trail of test cases and success or failure to ensure the organization being inspected/assessed verifies the incident reporting of the test case occurs when testing malicious code protection mechanisms.'),(2627,'SI-3','7','The information system implements nonsignature-based malicious code detection mechanisms.','The organization being inspected/assessed configures the information system to implement nonsignature-based malicious code detection mechanisms.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2627.\n \nNonsignature-based detection mechanisms include, for example, the use of heuristics to detect, analyze, and describe the characteristics or behavior of malicious code and to provide safeguards against malicious code for which signatures do not yet exist or for which existing signatures may not be effective.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement nonsignature-based malicious code detection mechanisms.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2627.'),(2628,'SI-3','8','The organization defines the unauthorized operating system commands that are to be detected through the kernel application programming interface by organization-defined information system hardware components.','The organization being inspected/assessed defines and documents the unauthorized operating system commands that are to be detected through the kernel application programming interface by organization-defined information system hardware components.\n \nDoD has determined the unauthorized operating system commands are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented unauthorized operating system commands to ensure the organization being inspected/assessed defines the unauthorized operating system commands that are to be detected through the kernel application programming interface by organization-defined information system hardware components.\n \nDoD has determined the unauthorized operating system commands are not appropriate to define at the Enterprise level.'),(2629,'SI-3','8','The organization defines the information system hardware components that are to detect organization-defined unauthorized operating system commands through the kernel application interface.','The organization being inspected/assessed defines and documents the information system hardware components that are to detect organization-defined unauthorized operating system commands through the kernel application interface.\n \nDoD has determined the information system hardware components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system hardware components to ensure the organization being inspected/assessed defines the information system hardware components that are to detect organization-defined unauthorized operating system commands through the kernel application interface.\n \nDoD has determined the information system hardware components are not appropriate to define at the Enterprise level.'),(2630,'SI-3','8','The information system detects organization-defined unauthorized operating system commands through the kernel application programming interface at organization-defined information system hardware components.','The organization being inspected/assessed configures the information system to detect unauthorized operating system commands defined in SI-3 (8), CCI 2628 through the kernel application programming interface at information system hardware components defined in SI-3 (8), CCI 2629.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2630.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to detect unauthorized operating system commands defined in SI-3 (8), CCI 2628 through the kernel application programming interface at information system hardware components defined in SI-3 (8), CCI 2629.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2630.'),(2631,'SI-3','8','The information system issues a warning, audits the command execution, or prevents the execution of the command when organization-defined unauthorized operating system commands are detected.','The organization being inspected/assessed configures the information system to issue a warning, audits the command execution, or prevents the execution of the command when unauthorized operating system commands defined in SI-3 (8), CCI 2628 are detected.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2631.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to issue a warning, audits the command execution, or prevents the execution of the command when unauthorized operating system commands defined in SI-3 (8), CCI 2628 are detected.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2631.'),(2632,'SI-3','9','The organization defines the remote commands that are to be authenticated using organization-defined safeguards  for malicious code protection.','The organization being inspected/assessed defines and documents the remote commands that are to be authenticated using organization-defined safeguards  for malicious code protection.\n \nDoD has determined the remote commands are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented remote commands to ensure the organization being inspected/assessed defines the remote commands that are to be authenticated using organization-defined safeguards  for malicious code protection.\n \nDoD has determined the remote commands are not appropriate to define at the Enterprise level.'),(2633,'SI-3','9','The organization defines the security safeguards to be implemented to authenticate organization-defined remote commands for malicious code protection.','The organization being inspected/assessed defines and documents the security safeguards to be implemented to authenticate organization-defined remote commands for malicious code protection.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security safeguards to ensure the organization being inspected/assessed  defines the security safeguards to be implemented to authenticate organization-defined remote commands for malicious code protection.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(2634,'SI-3','10','The organization defines the tools to be employed to analyze the characteristics and  behavior of malicious code.','The organization being inspected/assessed defines and documents the tools to be employed to analyze the characteristics and  behavior of malicious code.\n \nDoD has determined the tools are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented tools to ensure the organization being inspected/assessed defines the tools to be employed to analyze the characteristics and  behavior of malicious code.\n \n \nDoD has determined the tools are not appropriate to define at the Enterprise level.'),(2635,'SI-3','10','The organization defines the techniques to be employed to analyze the characteristics and  behavior of malicious code.','The organization being inspected/assessed defines and documents the techniques to be employed to analyze the characteristics and  behavior of malicious code.\n \nDoD has determined the techniques are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented techniques to ensure the organization being inspected/assessed defines the techniques to be employed to analyze the characteristics and  behavior of malicious code.\n \nDoD has determined the techniques are not appropriate to define at the Enterprise level.'),(2636,'SI-3','10','The organization employs organization-defined tools to analyze the characteristics and behavior of malicious code.','The organization being inspected/assessed documents and implements tools defined in SI-3 (10), CCI 2634 to analyze the characteristics and behavior of malicious code.','The organization conducting the inspection/assessment obtains and examines the documented tools to ensure the organization being inspected/assessed employs tools defined in SI-3 (10), CCI 2634 to analyze the characteristics and behavior of malicious code.'),(2637,'SI-3','9','The information system implements organization-defined security safeguards to authenticate organization-defined remote commands for malicious code protection.','The organization being inspected/assessed configures the information system to implement security safeguards defined in SI-3 (9), CCI 2633 to authenticate remote commands for malicious code protection defined in SI-3 (9), CCI 2632.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2637.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement security safeguards defined in SI-3 (9), CCI 2633 to authenticate remote commands for malicious code protection defined in SI-3 (9), CCI 2632.\n \n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2637.'),(2638,'SI-3','10','The organization employs organization-defined techniques to analyze the characteristics and behavior of malicious code.','The organization being inspected/assessed documents and implements techniques defined in SI-3 (10), CCI 2635 to analyze the characteristics and behavior of malicious code.','The organization conducting the inspection/assessment obtains and examines the documented techniques to ensure the organization being inspected/assessed employs techniques defined in SI-3 (10), CCI 2635 to analyze the characteristics and behavior of malicious code.'),(2639,'SI-3','10','The organization incorporates the results from malicious code analysis into organizational incident response processes.','The organization being inspected/assessed incorporates the results from malicious code analysis into organizational incident response processes.','The organization conducting the inspection/assessment obtains and examines the organizational incident response processes to ensure the organization being inspected/assessed  incorporates the results from malicious code analysis into organizational incident response processes.'),(2640,'SI-3','10','The organization incorporates the results from malicious code analysis into organizational flaw remediation processes.','The organization being inspected/assessed incorporates the results from malicious code analysis into organizational flaw remediation processes.','The organization conducting the inspection/assessment obtains and examines the flaw remediation processes to ensure the organization being inspected/assessed  incorporates the results from malicious code analysis into organizational flaw remediation processes.'),(2641,'SI-4','','The organization monitors the information system to detect attacks and indicators of potential attacks in accordance with organization-defined monitoring objectives.','The organization being inspected/assessed documents and implements a process to monitor the information system to detect attacks and indicators of potential attacks in accordance with sensor placement and monitoring requirements within CJCSI 6510.01F.\n \nThe organization must maintain an audit trail of monitoring.\n \nDoD has defined the monitoring objectives as sensor placement and monitoring requirements within CJCSI 6510.01F.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of monitoring to ensure the organization being inspected/assessed monitors the information system to detect attacks and indicators of potential attacks in accordance with sensor placement and monitoring requirements within CJCSI 6510.01F.'),(2642,'SI-4','','The organization monitors the information system to detect unauthorized local connections.','The organization being inspected/assessed documents and implements a process to monitor the information system to detect unauthorized local connections.\n \nThe organization must maintain an audit trail of monitoring.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of monitoring to ensure the organization being inspected/assessed monitors the information system to detect unauthorized local connections.'),(2643,'SI-4','','The organization monitors the information system to detect unauthorized network connections.','The organization being inspected/assessed documents and implements a process to monitor the information system to detect unauthorized network connections.\n \nThe organization must maintain an audit trail of monitoring.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of monitoring to ensure the organization being inspected/assessed monitors the information system to detect unauthorized network connections.'),(2644,'SI-4','','The organization monitors the information system to detect unauthorized remote connections.','The organization being inspected/assessed documents and implements a process to monitor  information system to detect unauthorized remote connections.\n \nThe organization must maintain an audit trail of monitoring.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the audit trail of monitoring to ensure the organization being inspected/assessed monitors the information system to detect unauthorized remote connections.'),(2645,'SI-4','','The organization defines the techniques and methods to be used to identify unauthorized use of the information system.','The organization being inspected/assessed defines and documents the techniques and methods to be used to identify unauthorized use of the information system.\n \nDoD has determined the techniques and methods are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented techniques to ensure the organization being inspected/assessed  defines the techniques and methods to be used to identify unauthorized use of the information system.\n \nDoD has determined the techniques and methods are not appropriate to define at the Enterprise level.'),(2646,'SI-4','','The organization identifies unauthorized use of the information system through organization-defined techniques and methods.','The organization being inspected/assessed identifies unauthorized use of the information system through techniques and methods defined in SI-4, CCI 2645.\n \nThe organization must maintain an audit trail of identified instances of unauthorized use.','The organization conducting the inspection/assessment obtains and examines the audit trail of identified instances of unauthorized use to ensure the organization being inspected/assessed identifies unauthorized use of the information system through techniques and methods defined in SI-4, CCI 2645.'),(2647,'SI-4','','The organization protects information obtained from intrusion-monitoring tools from unauthorized access.','The organization being inspected/assessed  documents and implements a process to protect information obtained from intrusion-monitoring tools from unauthorized access.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed  protects information obtained from intrusion-monitoring tools from unauthorized access.'),(2648,'SI-4','','The organization protects information obtained from intrusion-monitoring tools from unauthorized modification.','The organization being inspected/assessed  documents and implements a process to protect information obtained from intrusion-monitoring tools from unauthorized modification.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed  protects information obtained from intrusion-monitoring tools from unauthorized modification.'),(2649,'SI-4','','The organization protects information obtained from intrusion-monitoring tools from unauthorized deletion.','The organization being inspected/assessed  documents and implements a process to protect information obtained from intrusion-monitoring tools from unauthorized deletion.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed  protects information obtained from intrusion-monitoring tools from unauthorized deletion.'),(2650,'SI-4','','The organization defines the information system monitoring information that is to be provided the organization-defined personnel or roles.','The organization being inspected/assessed defines and documents the information system monitoring information that is to be provided the organization-defined personnel or roles.\n \nDoD has determined the information system monitoring information is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system monitoring information to ensure the organization being inspected/assessed defines  the information system monitoring information that is to be provided the organization-defined personnel or roles.\n  \nDoD has determined the information system monitoring information is not appropriate to define at the Enterprise level.'),(2651,'SI-4','','The organization defines the personnel or roles that are to be provided organization-defined information system monitoring information.','The organization being inspected/assessed defines and documents the personnel or roles that are to be provided organization-defined information system monitoring information.\n \nDoD has determined the personnel or roles are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented personnel or roles to ensure the organization being inspected/assessed  defines the personnel or roles that are to be provided organization-defined information system monitoring information.\n \nDoD has determined the personnel or roles are not appropriate to define at the Enterprise level.'),(2652,'SI-4','','The organization defines the frequency at which the organization will provide the organization-defined information system monitoring information to organization-defined personnel or roles','The organization being inspected/assessed defines and documents the frequency at which the organization will provide the organization-defined information system monitoring information to organization-defined personnel or roles\n \nDoD has determined the frequency is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented frequency to ensure the organization being inspected/assessed defines  the frequency at which the organization will provide the organization-defined information system monitoring information to organization-defined personnel or roles.\n \nDoD has determined the frequency is not appropriate to define at the Enterprise level.'),(2654,'SI-4','','The organization provides organization-defined information system monitoring information to organization-defined personnel or roles as needed or per organization-defined frequency.','The organization being inspected/assessed provides information system monitoring information defined in SI-4, CCI 2650 to personnel or roles defined in SI-4, CCI 2651 as needed or per the frequency defined in SI-4, CCI 2652.\n \nThe organization must maintain an audit trail of when information is provided.','The organization conducting the inspection/assessment obtains and examines the audit trail of when information is provided to ensure the organization being inspected/assessed provides information system monitoring information defined in SI-4, CCI 2650 to personnel or roles defined in SI-4, CCI 2651 as needed or per the frequency defined in SI-4, CCI 2652.'),(2655,'SI-4','1','The organization connects individual intrusion detection tools into an information system-wide intrusion detection system.','The organization being inspected/assessed connects individual intrusion detection tools into an information system-wide intrusion detection system.','The organization conducting the inspection/assessment examines the information system-wide intrusion detection system architecture and individuals tools to ensure the organization being inspected/assessed connects individual intrusion detection tools into an information system-wide intrusion detection system.'),(2656,'SI-4','1','The organization configures individual intrusion detection tools into an information system-wide intrusion detection system.','The organization being inspected/assessed configures individual intrusion detection tools into an information system-wide intrusion detection system.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2656.','The organization conducting the inspection/assessment examines the information system-wide intrusion detection system to ensure the organization being inspected/assessed configures individual intrusion detection tools into an information system-wide intrusion detection system.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2656.'),(2657,'SI-4','3','The organization employs automated tools to integrate intrusion detection tools into access control mechanisms for rapid response to attacks by enabling reconfiguration of these mechanisms in support of attack isolation and elimination.','The organization being inspected/assessed documents and implements automated tools to integrate intrusion detection tools into access control mechanisms for rapid response to attacks by enabling reconfiguration of these mechanisms in support of attack isolation and elimination.','The organization conducting the inspection/assessment obtains and examines documentation of the use of the identified automated tools to ensure the organization being inspected/assessed  employs automated tools to integrate intrusion detection tools into access control mechanisms for rapid response to attacks by enabling reconfiguration of these mechanisms in support of attack isolation and elimination.\n \nThe organization being inspected/assessed may be required to demonstrate use of their automated tools.'),(2658,'SI-4','3','The organization employs automated tools to integrate intrusion detection tools into flow control mechanisms for rapid response to attacks by enabling reconfiguration of these mechanisms in support of attack isolation and elimination.','The organization being inspected/assessed documents and implements automated tools to integrate intrusion detection tools into flow control mechanisms for rapid response to attacks by enabling reconfiguration of these mechanisms in support of attack isolation and elimination.','The organization conducting the inspection/assessment obtains and examines documentation of the use of the identified automated tools to ensure the organization being inspected/assessed  employs automated tools to integrate intrusion detection tools into flow control mechanisms for rapid response to attacks by enabling reconfiguration of these mechanisms in support of attack isolation and elimination.\n \nThe organization being inspected/assessed may be required to demonstrate use of their automated tools.'),(2659,'SI-4','4','The organization defines the frequency on which it will monitor inbound communications for unusual or unauthorized activities or conditions.','DoD has defined the frequency as continuously.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as continuously.'),(2660,'SI-4','4','The organization defines the frequency on which it will monitor outbound communications for unusual or unauthorized activities or conditions.','DoD has defined the frequency as continuously.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as continuously.'),(2661,'SI-4','4','The information system monitors inbound communications traffic per organization-defined frequency for unusual or unauthorized activities or conditions.','The organization being inspected/assessed configures the information system to monitor inbound communications traffic continuously for unusual or unauthorized activities or conditions.\n \nDoD has defined the frequency as continuously.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to monitor inbound communications traffic continuously for unusual or unauthorized activities or conditions.\n \nDoD has defined the frequency as continuously.'),(2662,'SI-4','4','The information system monitors outbound communications traffic per organization-defined frequency for unusual or unauthorized activities or conditions.','The organization being inspected/assessed configures the information system to monitor  outbound communications traffic continuously for unusual or unauthorized activities or conditions.\n \nDoD has defined the frequency as continuously.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to monitor outbound communications traffic continuously for unusual or unauthorized activities or conditions.\n \nDoD has defined the frequency as continuously.'),(2663,'SI-4','5','The organization defines the personnel or roles to receive information system alerts when organization-defined indicators of compromise or potential compromise occur.','DoD has defined the personnel or roles as at a minimum, the ISSM and ISSO. ','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as at a minimum, the ISSM and ISSO. \n '),(2664,'SI-4','5','The information system alerts organization-defined personnel or roles when organization-defined compromise indicators reflect the occurrence of a compromise or a potential compromise.','The organization being inspected/assessed configures the information system to alert at a minimum, the ISSM and ISSO when real time intrusion detection and when there are threats identified by authoritative sources (e.g. CTOs) and IAW incident categories I, II, IV, & VII  within CJCSM 6510.01B reflect the occurrence of a compromise or a potential compromise.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2664.\n \nDoD has defined the personnel or roles as at a minimum, the ISSM and ISSO. \n \nDoD has defined the compromise indicators as real time intrusion detection and when there are threats identified by authoritative sources (e.g. CTOs) and IAW incident categories I, II, IV, & VII  within CJCSM 6510.01B.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  alert at a minimum, the ISSM and ISSO when real time intrusion detection and when there are threats identified by authoritative sources (e.g. CTOs) and IAW incident categories I, II, IV, & VII  within CJCSM 6510.01B reflect the occurrence of a compromise or a potential compromise.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2664.\n \nDoD has defined the personnel or roles as at a minimum, the ISSM and ISSO. \n \nDoD has defined the compromise indicators as real time intrusion detection and when there are threats identified by authoritative sources (e.g. CTOs) and IAW incident categories I, II, IV, & VII  within CJCSM 6510.01B.'),(2665,'SI-4','10','The organization defines the encrypted communications traffic that are to be visible to organization-defined information system monitoring tools.','The organization being inspected/assessed defines and documents the encrypted communications traffic that are to be visible to organization-defined information system monitoring tools.\n \nDoD has determined the encrypted traffic is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented encrypted traffic to ensure the organization being inspected/assessed  defines the encrypted communications traffic that are to be visible to organization-defined information system monitoring tools.\n \n \nDoD has determined the encrypted traffic is not appropriate to define at the Enterprise level.'),(2666,'SI-4','10','The organization defines the information system monitoring tools that will have visibility into organization-defined encrypted communications traffic.','The organization being inspected/assessed defines and documents  the information system monitoring tools that will have visibility into organization-defined encrypted communications traffic.\n \nDoD has determined the information system monitoring tools are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system monitoring tools to ensure the organization being inspected/assessed  defines the information system monitoring tools that will have visibility into organization-defined encrypted communications traffic.\n \nDoD has determined the information system monitoring tools are not appropriate to define at the Enterprise level.'),(2667,'SI-4','10','The organization makes provisions so that organization-defined encrypted communications traffic is visible to organization-defined information system monitoring tools.','The organization being inspected/assessed makes provisions so that encrypted communications traffic defined in SI-4 (10), CCI 2665 is visible to information system monitoring tools defined in SI-4 (10), CCI 2666.','The organization conducting the inspection/assessment examines the information system architecture to verify that the encrypted communications traffic is visible to  information system monitoring tools defined in SI-4 (10), CCI 2666.'),(2668,'SI-4','11','The organization defines the interior points within the information system (e.g., subnetworks, subsystems) where outbound communications will be analyzed to discover anomalies.','The organization being inspected/assessed defines and documents the interior points within the information system (e.g., subnetworks, subsystems) where outbound communications will be analyzed to discover anomalies.\n \nDoD has determined the interior points are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented interior points to ensure the organization being inspected/assessed defines the interior points within the information system (e.g., subnetworks, subsystems) where outbound communications will be analyzed to discover anomalies.\n \nDoD has determined the interior points are not appropriate to define at the Enterprise level.'),(2669,'SI-4','13','The organization uses the traffic/event profiles in tuning system-monitoring devices to reduce the number of false positives and false negatives.','The organization being inspected/assessed documents and implements a process to use the traffic/event profiles in tuning system-monitoring devices to reduce the number of false positives and false negatives.\n \nThe organization must maintain an audit log of tuning events.','The organization conducting the inspection/assessment obtains and examines the documented process as well as audit logs of tuning events to ensure the organization being inspected/assessed uses the traffic/event profiles in tuning system-monitoring devices to reduce the number of false positives and false negatives.'),(2670,'SI-4','18','The organization defines the interior points within the system (e.g., subsystems, subnetworks) where outbound communications will be analyzed to detect covert exfiltration of information.','The organization being inspected/assessed defines and documents the interior points within the system (e.g., subsystems, subnetworks) where outbound communications will be analyzed to detect covert exfiltration of information.\n \nDoD has determined the interior points are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented interior points to ensure the organization being inspected/assessed defines the interior points within the system (e.g., subsystems, subnetworks) where outbound communications will be analyzed to detect covert exfiltration of information.\n \nDoD has determined the interior points are not appropriate to define at the Enterprise level.'),(2671,'SI-4','18','The organization analyzes outbound communications traffic at the external boundary of the information system (i.e., system perimeter) to detect covert exfiltration of information.','The organization being inspected/assessed documents and implements a process to analyze outbound communications traffic at the external boundary of the information system (i.e., system perimeter) to detect covert exfiltration of information.\n \nThe organization must maintain a record of the analysis.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of analysis to ensure the organization being inspected/assessed  analyzes outbound communications traffic at the external boundary of the information system (i.e., system perimeter) to detect covert exfiltration of information.'),(2672,'SI-4','18','The organization analyzes outbound communications traffic at organization-defined interior points within the system (e.g., subsystems, subnetworks) to detect covert exfiltration of information.','The organization being inspected/assessed documents and implements a process to analyze outbound communications traffic at interior points defined in SI-4 (18), CCI 2670 within the system (e.g., subsystems, subnetworks) to detect covert exfiltration of information.\n \nThe organization must maintain a record of the analysis.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of analysis to ensure the organization being inspected/assessed analyzes outbound communications traffic at interior points defined in SI-4 (18), CCI 2670 within the system (e.g., subsystems, subnetworks) to detect covert exfiltration of information.'),(2673,'SI-4','19','The organization defines the additional monitoring to be implemented for individuals identified as posing an increased level of risk.','The organization being inspected/assessed defines and documents the additional monitoring to be implemented for individuals identified as posing an increased level of risk.\n \nDoD has determined the additional monitoring is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented additional monitoring to ensure the organization being inspected/assessed defines the additional monitoring to be implemented for individuals identified as posing an increased level of risk.\n \nDoD has determined the additional monitoring is not appropriate to define at the Enterprise level.'),(2674,'SI-4','19','The organization defines the sources that may be used to identify individuals who pose an increased level of risk.','The organization being inspected/assessed defines and documents the sources that may be used to identify individuals who pose an increased level of risk.\n \nDoD has determined the sources are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented sources to ensure the organization being inspected/assessed defines the sources that may be used to identify individuals who pose an increased level of risk.\n \nDoD has determined the sources are not appropriate to define at the Enterprise level.'),(2675,'SI-4','19','The organization implements organization-defined additional monitoring of individuals who have been identified by organization-defined sources as posing an increased level of risk.','The organization being inspected/assessed implements additional monitoring defined in SI-4 (19), CCI 2673 of individuals who have been identified by  sources defined in SI-4 (19), CCI 2674 as posing an increased level of risk.\n \nThe organization must maintain an audit trail of additional monitoring.','The organization conducting the inspection/assessment obtains and examines the audit trail of additional monitoring to ensure the organization being inspected/assessed implements additional monitoring defined in SI-4 (19), CCI 2673 of individuals who have been identified by  sources defined in SI-4 (19), CCI 2674 as posing an increased level of risk.'),(2676,'SI-4','20','The organization defines additional monitoring to be implemented for privileged users.','The organization being inspected/assessed defines and documents additional monitoring to be implemented for privileged users.\n \nDoD has determined the additional monitoring is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented additional monitoring to ensure the organization being inspected/assessed defines additional monitoring to be implemented for privileged users.\n \nDoD has determined the additional monitoring is not appropriate to define at the Enterprise level.'),(2677,'SI-4','20','The organization implements organization-defined additional monitoring of privileged users.','The organization being inspected/assessed  implements additional monitoring defined in SI-4 (20), CCI 2676 of privileged users.\n \nThe organization must maintain an audit trail of additional monitoring.','The organization conducting the inspection/assessment obtains and examines the audit trail of additional monitoring to ensure the organization being inspected/assessed implements additional monitoring defined in SI-4 (20), CCI 2676 of privileged users.'),(2678,'SI-4','21','The organization defines additional monitoring to be implemented for individuals during an organization-defined probationary period.','The organization being inspected/assessed defines and documents additional monitoring to be implemented for individuals during an organization-defined probationary period.\n \nDoD has determined the additional monitoring is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented additional monitoring to ensure the organization being inspected/assessed defines additional monitoring to be implemented for individuals during an organization-defined probationary period.\n \nDoD has determined the additional monitoring is not appropriate to define at the Enterprise level.'),(2679,'SI-4','21','The organization defines the probationary period during which additional monitoring will be implemented for individuals.','The organization defines and documents the probationary period during which additional monitoring will be implemented for individuals.\n \nDoD has determined the probationary period is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented probationary period to ensure the organization being inspected/assessed defines the probationary period during which additional monitoring will be implemented for individuals.\n \nDoD has determined the probationary period is not appropriate to define at the Enterprise level.'),(2680,'SI-4','21','The organization implements organization-defined additional monitoring of individuals during organization-defined probationary period.','The organization being inspected/assessed implements additional monitoring defined in SI-4 (21), CCI 2678 of individuals during the probationary period defined in SI-4 (21), CCI 2679.\n \nThe organization must maintain an audit trail of additional monitoring.','The organization conducting the inspection/assessment obtains and examines the audit trail of additional monitoring to ensure the organization being inspected/assessed implements additional monitoring defined in SI-4 (21), CCI 2678 of individuals during the probationary period defined in SI-4 (21), CCI 2679.'),(2681,'SI-4','22','The organization defines the authorization or approval process for network services.','DoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.'),(2682,'SI-4','22','The organization defines the personnel or roles to be alerted when unauthorized or unapproved network services are detected.','DoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.'),(2683,'SI-4','22','The information system detects network services that have not been authorized or approved by the organization-defined authorization or approval processes.','The organization being inspected/assessed documents and implements a process to detect network services that have not been authorized or approved by at a minimum, the ISSO and ISSM.\n \nFor network service detection mechanisms that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2683.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.','The organization conducting the inspection/assessment obtains and examines the documented process, and examines the implemented detection mechnanisms to ensure the organization being inspected/assessed implements a process to detect network services that have not been authorized or approved by  at a minimum, the ISSO and ISSM.\n \nFor network service detection mechanisms that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2683.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.'),(2684,'SI-4','22','The information system audits and/or alerts organization-defined personnel when unauthorized network services are detected.','The organization being inspected/assessed configures the information system to audit and/or alert  at a minimum, the ISSO and ISSM when unauthorized network services are detected.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2684.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to audit and/or alert at a minimum, the ISSO and ISSM when unauthorized network services are detected.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2684.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.'),(2685,'SI-4','23','The organization defines the host-based monitoring mechanisms to be implemented at organization-defined information system components.','DoD has defined the host-based monitoring mechanisms as HBSS.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the host-based monitoring mechanisms as HBSS.'),(2686,'SI-4','23','The organization defines the information system components at which organization-defined host-based monitoring mechanisms are to be implemented.','DoD has defined the information system components as all components.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the information system components as all components.'),(2687,'SI-4','23','The organization implements organization-defined host-based monitoring mechanisms at organization-defined information system components.','The organization being inspected/assessed documents and implements HBSS at all  components.\n \n DoD has defined the host-based monitoring mechanisms as HBSS.\n \nDoD has defined the information system components as all components.','The organization conducting the inspection/assessment obtains and examines documentation of the use of HBSS to ensure the organization being inspected/assessed  implements HBSS at all components.\n \nThe organization being inspected/assessed may be required to demonstrate use of HBSS.\n \n DoD has defined the host-based monitoring mechanisms as HBSS.\n \nDoD has defined the information system components as all components.'),(2688,'SI-4','24','The information system discovers indicators of compromise.','The organization being inspected/assessed configures the information system to discover indicators of compromise.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2688.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to discover indicators of compromise.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2688.'),(2689,'SI-4','24','The information system collects indicators of compromise.','The organization being inspected/assessed configures the information system to collect indicators of compromise.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2689.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to collect indicators of compromise.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2689.'),(2690,'SI-4','24','The information system distributes indicators of compromise.','The organization being inspected/assessed configures the information system to distribute indicators of compromise.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2690.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to distribute indicators of compromise.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2690.'),(2691,'SI-4','24','The information system uses indicators of compromise.','The organization being inspected/assessed configures the information system to use indicators of compromise to react to known indicators and prevent future exploitation of them.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2691.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to use indicators of compromise to react to known indicators and prevent future exploitation of them.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2691.'),(2692,'SI-5','','The organization defines the external organizations from which it receives information system security alerts, advisories and directives.','DoD has defined the external organizations as at a minimum, USCYBERCOM.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the external organizations as at a minimum, USCYBERCOM.'),(2693,'SI-5','','The organization defines the elements within the organization to whom the organization will disseminate security alerts, advisories and directives.','DoD has determined the elements are not applicable as elements are not selected as recipients of security alerts, advisories and directives.','DoD has determined the elements are not applicable as elements are not selected as recipients of security alerts, advisories and directives.'),(2694,'SI-5','','The organization defines the external organizations to whom the organization will disseminate security alerts, advisories and directives.','DoD has defined the external organizations as CNDSP Tier 1 for vetting. The CNDSP Tier 1 will pass the information to the accredited Tier 2 CNDSPs.  Tier 2 CNDSPs are responsible for ensuring all Tier 3 entities receive the information.  Tier 3 organizations will ensure all local Op Centers/LAN shops receive information (i.e. Component IT System and Security Personnel) (e.g. ISSM, ISSOs, and system administrators).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the external organizations as CNDSP Tier 1 for vetting. The CNDSP Tier 1 will pass the information to the accredited Tier 2 CNDSPs.  Tier 2 CNDSPs are responsible for ensuring all Tier 3 entities receive the information.  Tier 3 organizations will ensure all local Op Centers/LAN shops receive information (i.e. Component IT System and Security Personnel) (e.g. ISSM, ISSOs, and system administrators).'),(2695,'SI-6','','The organization defines the security functions that require verification of correct operation.','The organization being inspected/assessed defines and documents the security functions that require verification of correct operation.\n \nDoD has determined the security functions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security functions to ensure the organization being inspected/assessed defines the security functions that require verification of correct operation.\n \nDoD has determined the security functions are not appropriate to define at the Enterprise level.'),(2696,'SI-6','','The information system verifies correct operation of organization-defined security functions.','The organization being inspected/assessed configures the information system to verify correct operation of security functions defined in SI-6, CCI 2695.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2696.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  verify correct operation of security functions defined in SI-6, CCI 2695.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2696.'),(2697,'SI-6','','The organization defines the frequency at which it will verify correct operation of organization-defined security functions.','DoD has defined the frequency as 30 days.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as 30 days.'),(2698,'SI-6','','The organization defines the system transitional states when the information system will verify correct operation of organization-defined security functions.','DoD has defined the system transitional states as upon system startup, and/or restart, upon command by user with appropriate privileges.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the system transitional states as upon system startup, and/or restart, upon command by user with appropriate privileges.'),(2699,'SI-6','','The information system performs verification of the correct operation of organization-defined security functions: when the system is in an organization-defined transitional state; upon command by a user with appropriate privileges; and/or on an organization-defined frequency.','The organization being inspected/assessed configures the information system to perform verification of the correct operation of  security functions defined in SI-6, CCI 1294: when the system is in a transitional state defined in SI-6, CCI 2698; upon command by a user with appropriate privileges; and/or 30 days.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2699.\n \nDoD has defined the frequency as 30 days.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to perform verification of the correct operation of  security functions defined in SI-6, CCI 1294: when the system is in a transitional state defined in SI-6, CCI 2698; upon command by a user with appropriate privileges; and/or 30 days.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2699.\n \nDoD has defined the frequency as 30 days.'),(2700,'SI-6','','The organization defines the personnel or roles to be notified when security verification tests fail.','DoD has defined the personnel or roles as the ISSO and ISSM.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as the ISSO and ISSM.'),(2701,'SI-6','','The organization defines alternative action(s) to be taken when the information system discovers anomalies in the operation of organization-defined security functions.','DoD has defined the alternative action(s) as notifies system administrator.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the alternative action(s) as notifies system administrator.'),(2702,'SI-6','','The information system shuts the information system down, restarts the information system, and/or initiates organization-defined alternative action(s) when anomalies in the operation of the organization-defined security functions are discovered.','The organization being inspected/assessed configures the information system to shut the information system down, restarts the information system, and/or notifies system administrator when anomalies in the operation of the security functions defined in SI-6, CCI 2695 are discovered.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2702.\n \nDoD has defined the alternative action(s) as notifies system administrator.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  shut the information system down, restarts the information system, and/or notifies system administrator when anomalies in the operation of the security functions defined in SI-6, CCI 2695 are discovered.\n  \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2702.\n \nDoD has defined the alternative action(s) as notifies system administrator.'),(2703,'SI-7','','The organization defines the software, firmware, and information which will be subjected to integrity verification tools to detect unauthorized changes.','The organization being inspected/assessed defines and documents the software, firmware, and information which will be subjected to integrity verification tools to detect unauthorized changes.\n \nDoD has determined the software, firmware, and information are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented software, firmware, and information to ensure the organization being inspected/assessed defines the software, firmware, and information which will be subjected to integrity verification tools to detect unauthorized changes.\n \nDoD has determined the software, firmware, and information are not appropriate to define at the Enterprise level.'),(2704,'SI-7','','The organization employs integrity verification tools to detect unauthorized changes to organization-defined software, firmware, and information.','The organization being inspected/assessed designs the information system to employ integrity verification tools to detect unauthorized changes to software, firmware, and information defined in SI-7, CCI 2703.','The organization conducting the inspection/assessment obtains and examines the hardware/software lists and any other documentation applicable to integrity verification tools to ensure the organization being inspected/assessed employs  integrity verification tools to detect unauthorized changes to software, firmware, and information defined in SI-7, CCI 2703.'),(2705,'SI-7','1','The organization defines the software on which integrity checks will be performed.','The organization being inspected/assessed defines and documents the software on which integrity checks will be performed.\n \nDoD has determined the software is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented software to ensure the organization being inspected/assessed  defines the firmware on which integrity checks will be performed.\n \nDoD has determined the software is not appropriate to define at the Enterprise level.'),(2706,'SI-7','1','The organization defines the firmware on which integrity checks will be performed.','The organization being inspected/assessed defines and documents the firmware on which integrity checks will be performed.\n \nDoD has determined the firmware is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented firmware to ensure the organization being inspected/assessed  defines the firmware on which integrity checks will be performed.\n \nDoD has determined the firmware is not appropriate to define at the Enterprise level.'),(2707,'SI-7','1','The organization defines the information on which integrity checks will be performed.','The organization being inspected/assessed defines and documents the information on which integrity checks will be performed.\n \nDoD has determined the information is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information to ensure the organization being inspected/assessed  defines the information on which integrity checks will be performed.\n \nDoD has determined the information is not appropriate to define at the Enterprise level.'),(2708,'SI-7','1','The organization defines the transitional state or security-relevant events when the information system will perform integrity checks on software, firmware and information.','The organization being inspected/assessed defines and documents the transitional state or security-relevant events when the information system will perform integrity checks on software, firmware and information.\n \nDoD has determined the transitional state or security-relevant events are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented transitional state or security-relevant event to ensure the organization being inspected/assessed defines the transitional state or security-relevant events when the information system will perform integrity checks on software, firmware and information.\n \nDoD has determined the transitional state or security-relevant events are not appropriate to define at the Enterprise level.'),(2709,'SI-7','1','The organization defines the frequency at which it will perform integrity checks of software, firmware and information.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(2710,'SI-7','1','The information system performs an integrity check of organization-defined software at startup, at organization-defined transitional states or security-relevant events, or on organization-defined frequency.','The organization being inspected/assessed configures the information system to perform an integrity check of software defined in SI-7 (1), CCI 2705 at startup, at transitional states  or security-relevant events defined in SI-7 (1), CCI 2708, or annually.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2710.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to perform an integrity check of software defined in SI-7 (1), CCI 2705 at startup, at transitional states  or security-relevant events defined in SI-7 (1), CCI 2708, or annually.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2710.\n \nDoD has defined the frequency as annually.'),(2711,'SI-7','1','The information system performs an integrity check of organization-defined firmware at startup, at organization-defined transitional states or security-relevant events, or on organization-defined frequency.','The organization being inspected/assessed configures the information system to perform an integrity check of firmware defined in SI-7 (1), CCI 2706 at startup, at transitional states  or security-relevant events defined in SI-7 (1), CCI 2708, or annually.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2711.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to perform an integrity check of firmware defined in SI-7 (1), CCI 2706 at startup, at transitional states  or security-relevant events defined in SI-7 (1), CCI 2708, or annually.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2711.\n \nDoD has defined the frequency as annually.'),(2712,'SI-7','1','The information system performs an integrity check of organization-defined information at startup, at organization-defined transitional states or security-relevant events, or on organization-defined frequency.','The organization being inspected/assessed configures the information system to perform an integrity check of information defined in SI-7 (1), CCI 2707 at startup, at transitional states  or security-relevant events defined in SI-7 (1), CCI 2708, or annually.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2712.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to perform an integrity check of information defined in SI-7 (1), CCI 2707 at startup, at transitional states  or security-relevant events defined in SI-7 (1), CCI 2708, or annually.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2712.\n \nDoD has defined the frequency as annually.'),(2713,'SI-7','2','The organization defines the personnel or roles to be notified when discrepancies are discovered during integrity verification.','DoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.'),(2714,'SI-7','5','The organization defines the security safeguards that are to be employed when integrity violations are discovered.','The organization being inspected/assessed defines and documents the security safeguards that are to be employed when integrity violations are discovered.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security safeguards to ensure the organization being inspected/assessed defines  the security safeguards that are to be employed when integrity violations are discovered.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(2715,'SI-7','5','The information system automatically shuts the information system down, restarts the information system, and/or implements organization-defined security safeguards when integrity violations are discovered.','The organization being inspected/assessed configures the information system to automatically shut the information system down, restart the information system, and/or implement security safeguards defined in SI-7 (5), CCI 2714 when integrity violations are discovered.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2715.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to automatically shut the information system down, restart the information system, and/or implement security safeguards defined in SI-7 (5), CCI 2714 when integrity violations are discovered.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2715.'),(2716,'SI-7','6','The information system implements cryptographic mechanisms to detect unauthorized changes to software.','The organization being inspected/assessed configures the information system to implement FIPS-approved cryptographic mechanisms to detect unauthorized changes to software.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2716.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement FIPS-approved cryptographic mechanisms to detect unauthorized changes to software.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2716.'),(2717,'SI-7','6','The information system implements cryptographic mechanisms to detect unauthorized changes to firmware.','The organization being inspected/assessed configures the information system to implement FIPS-approved cryptographic mechanisms to detect unauthorized changes to firmware.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2717.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement FIPS-approved cryptographic mechanisms to detect unauthorized changes to firmware.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2717.'),(2718,'SI-7','6','The information system implements cryptographic mechanisms to detect unauthorized changes to information.','The organization being inspected/assessed configures the information system to implement FIPS-approved cryptographic mechanisms to detect unauthorized changes to information.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2718.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement FIPS-approved cryptographic mechanisms to detect unauthorized changes to information.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2718.'),(2719,'SI-7','7','The organization defines the unauthorized security-relevant changes to the information system that are to be incorporated into the organizational incident response capability.','The organization being inspected/assessed defines and documents the unauthorized security-relevant changes to the information system that are to be incorporated into the organizational incident response capability.\n \nDoD has determined the security-relevant changes to the information are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security-relevant changes to the information to ensure the organization being inspected/assessed defines the unauthorized security-relevant changes to the information system that are to be incorporated into the organizational incident response capability.\n \nDoD has determined the security-relevant changes to the information are not appropriate to define at the Enterprise level.'),(2720,'SI-7','7','The organization incorporates the detection of unauthorized organization-defined security-relevant changes to the information system into the organizational incident response capability.','The organization being inspected/assessed  incorporates the detection of unauthorized security-relevant changes to the information system defined in SI-7 (7), CCI 2719 into the organizational incident response capability.','The organization conducting the inspection/assessment examines the organizational incident response capability to ensure the organization being inspected/assessed incorporates the detection of unauthorized security-relevant changes to the information system defined in SI-7 (7), CCI 2719.'),(2721,'SI-7','8','The organization defines the personnel or roles that are to be alerted by the information system when it detects a potential integrity violation.','DoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.'),(2722,'SI-7','8','The organization defines other actions that can be taken when the  information system detects a potential integrity violation.','The organization being inspected/assessed defines and documents other actions that can be taken when the  information system detects a potential integrity violation.\n \nDoD has determined the other actions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented other actions to ensure the organization being inspected/assessed defines other actions that can be taken when the  information system detects a potential integrity violation.\n \nDoD has determined the other actions are not appropriate to define at the Enterprise level.'),(2723,'SI-7','8','The information system, upon detection of a potential integrity violation, provides the capability to audit the event.','The organization being inspected/assessed configures the information system to provide the capability to audit the event upon detection of a potential integrity violation.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2723.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  provide the capability to audit the event upon detection of a potential integrity violation.\n  \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2723.'),(2724,'SI-7','8','The information system, upon detection of a potential integrity violation, initiates one or more of following actions: generates an audit record; alerts current user; alerts organization-defined personnel or roles; and/or organization-defined other actions.','The organization being inspected/assessed configures the information system to initiate one or more of following actions: generates an audit record; alerts current user; alerts at a minimum, the ISSO and ISSM; and/or other actions defined in SI-7 (8), CCI  2722 upon detection of a potential integrity violation.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2724.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  initiate one or more of following actions: generates an audit record; alerts current user; alerts at a minimum, the ISSO and ISSM; and/or other actions defined in SI-7 (8), CCI  2722 upon detection of a potential integrity violation.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2724.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and ISSM.'),(2725,'SI-7','9','The organization defines the devices which will have the integrity of the boot process verified.','DoD has defined the devices as all devices capable of verification of the boot process.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the devices as all devices capable of verification of the boot process.'),(2726,'SI-7','9','The information system verifies the integrity of the boot process of organization-defined devices.','The organization being inspected/assessed configures the information system to verify the integrity of the boot process of all devices capable of verification of the boot process.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2726.\n \n DoD has defined the devices as all devices capable of verification of the boot process.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to verify the integrity of the boot process of all devices capable of verification of the boot process.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2726.\n \nDoD has defined the devices as all devices capable of verification of the boot process.'),(2727,'SI-7','10','The organization defines the security safeguards to be implemented to protect the integrity of the boot firmware in organization-defined devices.','The organization being inspected/assessed defines and documents the security safeguards to be implemented to protect the integrity of the boot firmware in organization-defined devices.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security safeguards to ensure the organization being inspected/assessed  defines the security safeguards to be implemented to protect the integrity of the boot firmware in organization-defined devices.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(2728,'SI-7','10','The organization defines the devices on which organization-defined security safeguards will be implemented to protect the integrity of the boot firmware.','The organization being inspected/assessed defines and documents the devices on which organization-defined security safeguards will be implemented to protect the integrity of the boot firmware.\n \nDoD has determined the devices are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented devices to ensure the organization being inspected/assessed  defines the devices on which organization-defined security safeguards will be implemented to protect the integrity of the boot firmware.\n \nDoD has determined the devices are not appropriate to define at the Enterprise level.'),(2729,'SI-7','10','The information system implements organization-defined security safeguards to protect the integrity of boot firmware in organization-defined devices.','The organization being inspected/assessed configures the information system to implement security safeguards defined in SI-7 (10), CCI 2727 to protect the integrity of boot firmware in devices defined in SI-7 (10), CCI 2728.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2729.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  implement security safeguards defined in SI-7 (10), CCI 2727 to protect the integrity of boot firmware in devices defined in SI-7 (10), CCI 2728.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2729.'),(2730,'SI-7','11','The organization defines the user-installed software that is to be executed in a confined physical or virtual machine environment with limited privileges.','The organization being inspected/assessed defines and documents the user-installed software that is to be executed in a confined physical or virtual machine environment with limited privileges.\n \nDoD has determined the user-installed software is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented user-installed software to ensure the organization being inspected/assessed defines the user-installed software that is to be executed in a confined physical or virtual machine environment with limited privileges.\n \nDoD has determined the user-installed software is not appropriate to define at the Enterprise level.'),(2731,'SI-7','11','The organization requires that organization-defined user-installed software execute in a confined physical or virtual machine environment with limited privileges.','The organization being inspected/assessed requires that user-installed software defined in SI-7 (11), CCI 2730 execute in a confined physical or virtual machine environment with limited privileges.','The organization conducting the inspection/assessment examines the information system to ensure that software defined in SI-7 (11), CCI 2730 executes in a confined physical or virtual machine environment with limited privileges.'),(2732,'SI-7','12','The organization defines the user-installed software that is to have its integrity verified prior to execution.','DoD has defined the user-installed software as all user installed software (NOTE: the key is the term \"user installed.\").','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the user-installed software as all user installed software (NOTE: the key is the term \"user installed.\").'),(2733,'SI-7','12','The organization requires that the integrity of organization-defined user-installed software be verified prior to execution.','The organization being inspected/assessed requires that the integrity of all user installed software (NOTE: the key is the term \"user installed.\") be verified prior to execution.\n \nDoD has defined the user-installed software as all user installed software (NOTE: the key is the term \"user installed.\").','The organization conducting the inspection/assessment examines the information system to ensure that all user installed software (NOTE: the key is the term \"user installed.\") is verified prior to execution.\n \nDoD has defined the user-installed software as all user installed software (NOTE: the key is the term \"user installed.\").'),(2734,'SI-7','13','The organization defines the personnel or roles which have the authority to explicitly approve binary or machine-executable code.','DoD has defined has personnel or roles as the ISSO or ISSM.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined has personnel or roles as the ISSO or ISSM.'),(2735,'SI-7','13','The organization allows execution of binary or machine-executable code obtained from sources with limited or no warranty and without the provision of source code only in confined physical or virtual machine environments.','The organization being inspected/assessed allows execution of binary or machine-executable code obtained from sources without vendor support or with no warranty and without the provision of source code only in confined physical or virtual machine environments.','The organization conducting the inspection/assessment obtains and examines the software list and examines the information system to ensure the organization being inspected/assessed allows execution of binary or machine-executable code obtained from sources without vendor support or with no warranty and without the provision of source code only in confined physical or virtual machine environments.'),(2736,'SI-7','13','The organization allows execution of binary or machine-executable code obtained from sources with limited or no warranty and without the provision of source code only with the explicit approval of organization-defined personnel or roles.','The organization being inspected/assessed allows execution of binary or machine-executable code obtained from sources without vendor support or with no warranty and without the provision of source code only with the explicit approval of the ISSO or ISSM.\n \nDoD has defined has personnel or roles as the ISSO or ISSM.','The organization conducting the inspection/assessment obtains and examines the software list and examines the information system to ensure the organization being inspected/assessed allows execution of binary or machine-executable code obtained from sources without vendor support or with no warranty and without the provision of source code only with the explicit approval of the ISSO or ISSM. \n \nDoD has defined has personnel or roles as the ISSO or ISSM.'),(2737,'SI-7','14','The organization prohibits the use of binary or machine-executable code from sources with limited or no warranty and without the provision of source code.','The organization being inspected/assessed prohibits the use of binary or machine-executable code obtained from sources without vendor support or with no warranty and without the provision of source code.','The organization conducting the inspection/assessment obtains and examines the software list and examines the information system to ensure the organization being inspected/assessed prohibits the use of binary or machine-executable code obtained from sources without vendor support or with no warranty and without the provision of source code.'),(2738,'SI-7','14','The organization provides exceptions to the source code requirement only for compelling mission/operational requirements and with the approval of the authorizing official.','The organization being inspected/assessed documents and provides exceptions to the  source code requirement only for compelling mission/operational requirements and with the approval of the authorizing official.','The organization conducting the inspection/assessment obtains and examines the documented exceptions to the source code requirement to ensure the organization being inspected/assessed provides justification and approval of the authorizing official for all exceptions to the source code requirement.'),(2739,'SI-7','15','The organization defines the software or firmware components on which cryptographic mechanisms are to be implemented to support authentication prior to installation.','DoD has defined the software or firmware components as all software and firmware from vendors/sources that provide cryptographic mechanisms to enable the validation of code authenticity and integrity.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the software or firmware components as all software and firmware from vendors/sources that provide cryptographic mechanisms to enable the validation of code authenticity and integrity.'),(2740,'SI-7','15','The information system implements cryptographic mechanisms to authenticate organization-defined software or firmware components prior to installation.','The organization being inspected/assessed configures the information system to implement cryptographic mechanisms to authenticate   all software and firmware from vendors/sources that provide cryptographic mechanisms to enable the validation of code authenticity and integrity prior to installation.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2740.\n \nDoD has defined the software or firmware components as all software and firmware from vendors/sources that provide cryptographic mechanisms to enable the validation of code authenticity and integrity.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  implement cryptographic mechanisms to authenticate all software and firmware from vendors/sources that provide cryptographic mechanisms to enable the validation of code authenticity and integrity prior to installation.\n  \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2740.\n \nDoD has defined the software or firmware components as all software and firmware from vendors/sources that provide cryptographic mechanisms to enable the validation of code authenticity and integrity.'),(2741,'SI-8','','The organization employs spam protection mechanisms at information system entry points to detect and take action on unsolicited messages.','The organization being inspected/assessed implements spam protection mechanisms at information system entry points to detect and take action on unsolicited messages.','The organization conducting the inspection/assessment obtains and examines the hardware/software list to ensure the organization being inspected/assessed  implements spam protection mechanisms at information system entry points to detect and take action on unsolicited messages.\n \nThe organization may be required to demonstrate the use of the identified spam protection mechanisms.'),(2742,'SI-8','','The organization employs spam protection mechanisms at information system exit points to detect and take action on unsolicited messages.','The organization being inspected/assessed implements spam protection mechanisms at information system exit points to detect and take action on unsolicited messages.','The organization conducting the inspection/assessment obtains and examines the hardware/software list to ensure the organization being inspected/assessed  implements spam protection mechanisms at information system exit points to detect and take action on unsolicited messages.\n \nThe organization may be required to demonstrate the use of the identified spam protection mechanisms.'),(2743,'SI-8','3','The information system implements spam protection mechanisms with a learning capability to more effectively identify legitimate communications traffic.','The organization being inspected/assessed configures the information system to implement spam protection mechanisms with a learning capability to more effectively identify legitimate communications traffic.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2743.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement spam protection mechanisms with a learning capability to more effectively identify legitimate communications traffic.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2743.'),(2744,'SI-10','','The organization defines the inputs the information system is to conduct validity checks.','The organization being inspected/assessed defines and documents specific inputs which do not require validity checks.\n \nDoD has defined the information inputs as all inputs except those identified specifically by the organization.','The organization conducting the DoD has defined the information inputs as all inputs except those identified specifically by the organization.'),(2745,'SI-10','1','The organization defines the inputs for which the information system provides a manual override capability for input validation.','The organization being inspected/assessed defines and documents the inputs for which the information system provides a manual override capability for input validation.\n \nDoD has determined the inputs are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented inputs to ensure the organization being inspected/assessed defines the inputs for which the information system provides a manual override capability for input validation.\n \nDoD has determined the inputs are not appropriate to define at the Enterprise level.'),(2746,'SI-10','1','The information system provides a manual override capability for input validation of organization-defined inputs.','The organization being inspected/assessed configures the information system to provide a manual override capability for input validation of inputs defined in SI-10 (1), CCI 2745.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2746.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to provide a manual override capability for input validation of inputs defined in SI-10 (1), CCI 2745.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2746.'),(2747,'SI-10','1','The organization defines the authorized individuals who have the capability to use the manual override capability for input validation.','The organization being inspected/assessed defines and documents the authorized individuals who have the capability to use the manual override capability for input validation.\n \nDoD has determined the authorized individuals are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented authorized individuals to ensure the organization being inspected/assessed defines the authorized individuals who have the capability to use the manual override capability for input validation.\n \nDoD has determined the authorized individuals are not appropriate to define at the Enterprise level.'),(2748,'SI-10','1','The information system restricts the use of the manual override capability to only organization-defined authorized individuals.','The organization being inspected/assessed configures the information system to restrict the use of the manual override capability to only the authorized individuals defined in SI-10 (1), CCI 2747.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2748.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to restrict the use of the manual override capability to only the authorized individuals defined in SI-10 (1), CCI 2747.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2748.'),(2749,'SI-10','1','The information system audits the use of the manual override capability.','The organization being inspected/assessed configures the information system to audit the use of the manual override capability.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2749.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to audit the use of the manual override capability.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2749.'),(2750,'SI-10','2','The organization defines the time period within which input validation errors are reviewed.','The organization being inspected/assessed defines and documents the time period within which input validation errors are reviewed.\n \nDoD has determined the time period is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented time period to ensure the organization being inspected/assessed  defines the time period within which input validation errors are reviewed.\n \nDoD has determined the time period is not appropriate to define at the Enterprise level.'),(2751,'SI-10','2','The organization defines the time period within which input validation errors are resolved.','The organization being inspected/assessed defines and documents the time period within which input validation errors are resolved.\n \nDoD has determined the time period is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented time period to ensure the organization being inspected/assessed  defines the time period within which input validation errors are resolved.\n \nDoD has determined the time period is not appropriate to define at the Enterprise level.'),(2752,'SI-10','2','The organization ensures that input validation errors are reviewed within organization-defined time period.','The organization being inspected/assessed documents and implements a process to review input validation errors within the time period defined in SI-10 (2), CCI 2750.\n \nThe organization must maintain records of review.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the records of review to ensure the organization being inspected/assessed reviews input validation errors within the time period defined in SI-10 (2), CCI 2750.'),(2753,'SI-10','2','The organization ensures that input validation errors are resolved within organization-defined time period.','The organization being inspected/assessed documents and implements a process to resolve input validation errors within the time period defined in SI-10 (2), CCI 2751.\n \nThe organization must maintain records of resolution.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the records of resolution to ensure the organization being inspected/assessed resolves input validation errors within the time period defined in SI-10 (2), CCI 2751.'),(2754,'SI-10','3','The information system behaves in a predictable and documented manner that reflects organizational and system objectives when invalid inputs are received.','The organization being inspected/assessed documents proper behavior that reflects organizational and system objectives for when invalid inputs are received.  \n \nThe organization being inspected/assessed configures the information system to behave in the documented manner when invalid inputs are received.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2754.','The organization conducting the inspection/assessment obtains and examines the documented behavior to ensure the organization being inspected/assessed documents proper behavior that reflects organizational and system objectives for when invalid inputs are received.  \n \nThe organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to behave in the documented manner when invalid inputs are received.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2754.'),(2755,'SI-10','4','The organization accounts for timing interactions among information system components in determining appropriate responses for invalid inputs.','The organization being inspected/assessed designs the information system to account for timing interactions among information system components in determining appropriate responses for invalid inputs.','The organization conducting the inspection/assessment obtains and examines system design artifacts to ensure the organization being inspected/assessed  accounts for timing interactions among information system components in determining appropriate responses for invalid inputs.'),(2756,'SI-10','5','The organization defines the trusted sources to which the usage of information inputs will be restricted (e.g., whitelisting).','The organization being inspected/assessed defines and documents the trusted sources to which the usage of information inputs will be restricted (e.g., whitelisting).\n \nDoD has determined the trusted sources are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented trusted sources to ensure the organization being inspected/assessed defines the trusted sources to which the usage of information inputs will be restricted (e.g., whitelisting).\n \nDoD has determined the trusted sources are not appropriate to define at the Enterprise level.'),(2757,'SI-10','5','The organization defines the acceptable formats to which information inputs are restricted.','The organization being inspected/assessed defines and documents the acceptable formats to which information inputs are restricted.\n \nDoD has determined the acceptable formats are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented acceptable formats to ensure the organization being inspected/assessed defines the acceptable formats to which information inputs are restricted.\n \nDoD has determined the acceptable formats are not appropriate to define at the Enterprise level.'),(2758,'SI-10','5','The organization restricts the use of information inputs to organization-defined trusted sources and/or organization-defined formats.','The organization being inspected/assessed designs the information system to restrict the use of information inputs to trusted sources defined in SI-10 (5), CCI 2756 and/or formats defined in SI-10 (5), CCI 2757.','The organization conducting the inspection/assessment obtains and examines system design artifacts to ensure the organization being inspected/assessed restricts the use of information inputs to trusted sources defined in SI-10 (5), CCI 2756 and/or formats defined in SI-10 (5), CCI 2757.'),(2759,'SI-11','','The organization defines the personnel or roles to whom error messages are to be revealed.','DoD has defined the personnel or roles as the ISSO, ISSM, and SCA.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as the ISSO, ISSM, and SCA.'),(2760,'SI-13','','The organization determines mean time to failure (MTTF) for organization-defined information system components in specific environments of operation.','The organization being inspected/assessed determines through testing or research and documents the mean time to failure (MTTF) for any component within a system requiring high availability in specific environments of operation.\n \nDoD has defined the system components as any component within a system requiring high availability.','The organization conducting the inspection/assessment obtains and examines documented mean time to failure (MTTF) to ensure the organization being inspected/assessed has determined the mean time to failure (MTTF) for any component within a system requiring high availability in specific environments of operation.\n \nDoD has defined the system components as any component within a system requiring high availability.'),(2761,'SI-13','','The organization defines the system components in specific environments of operation for which the mean time to failure (MTTF) is to be determined.','DoD has defined the system components as any component within a system requiring high availability.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the system components as any component within a system requiring high availability.'),(2762,'SI-13','','The organization defines the mean time to failure substitution criteria to be employed as a means to determine the need to exchange active and standby components.','The organization being inspected/assessed defines and documents the  mean time to failure substitution criteria to be employed as a means to determine the need to exchange active and standby components.\n \nDoD has determined the mean time to failure is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented mean time to failure to ensure the organization being inspected/assessed defines the mean time to failure substitution criteria to be employed as a means to determine the need to exchange active and standby components.\n \nDoD has determined the mean time to failure is not appropriate to define at the Enterprise level.'),(2763,'SI-13','','The organization provides a means to exchange active and standby components in accordance with the organization-defined mean time to failure substitution criteria.','The organization being inspected/assessed documents and implements a process to exchange active and standby components in accordance with the mean time to failure substitution criteria defined in SI-13, CCI 2762.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed  provides a means to exchange active and standby components in accordance with the mean time to failure substitution criteria defined in SI-13, CCI 2762.'),(2764,'SI-14','','The organization defines non-persistent information system components and services to be implemented.','The organization being inspected/assessed defines and documents non-persistent information system components and services to be implemented.\n \nDoD has determined the information system components and services are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system components and services to ensure the organization being inspected/assessed defines  non-persistent information system components and services to be implemented.\n  \nDoD has determined the information system components and services are not appropriate to define at the Enterprise level.'),(2765,'SI-14','','The organization defines the frequency at which it will terminate organization-defined non-persistent information system components and services.','The organization being inspected/assessed defines and documents the frequency at which it will terminate organization-defined non-persistent information system components and services.\n \nDoD has determined the frequency is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented frequency to ensure the organization being inspected/assessed defines the frequency at which it will terminate organization-defined non-persistent information system components and services.\n \nDoD has determined the frequency is not appropriate to define at the Enterprise level.'),(2766,'SI-14','','The organization implements organization-defined non-persistence information system components and services that are initiated in a known state.','The organization being inspected/assessed designs the information system to implement  non-persistence information system components and services defined in SI-14, CCI 2764 that are initiated in a known state.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed  implements non-persistence information system components and services defined in SI-14, CCI 2764 that are initiated in a known state.'),(2767,'SI-14','','The organization implements organization-defined non-persistence information system components and services that are terminated upon end of session of use and/or periodically at organization-defined frequency.','The organization being inspected/assessed designs the information system to implement  non-persistence information system components and services defined in SI-14, CCI 2764 that are terminated upon end of session of use and/or periodically at the frequency defined in SI-14, CCI 2765.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed  implements non-persistence information system components and services defined in SI-14, CCI 2764 that are terminated upon end of session of use and/or periodically at the frequency defined in SI-14, CCI 2765.'),(2768,'SI-14','1','The organization defines the trusted sources from which it obtains software and data employed during the refreshing of non-persistent information system component and service.','The organization being inspected/assessed defines and documents the trusted sources from which it obtains software and data employed during the refreshing of non-persistent information system component and service.\n \nDoD has determined the trusted sources are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented trusted sources to ensure the organization being inspected/assessed defines the trusted sources from which it obtains software and data employed during the refreshing of non-persistent information system component and service.\n \nDoD has determined the trusted sources are not appropriate to define at the Enterprise level.'),(2769,'SI-14','1','The organization ensures that software and data employed during non-persistent information system component and service refreshes are obtained from organization-defined trusted sources.','The organization being inspected/assessed documents and implements a process to obtain software and data used during non-persistent information system component and service refreshes from trusted sources defined in SI-14 (1), CCI 2768.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed ensures that software and data used during non-persistent information system component and service refreshes from trusted sources defined in SI-14 (1), CCI 2768.'),(2770,'SI-15','','The organization defines the software programs and/or applications from which the information system is to validate the information output to ensure the information is consistent with expected content.','The organization being inspected/assessed defines and documents the software programs and/or applications from which the information system is to validate the information output to ensure the information is consistent with expected content.\n \nDoD has determined the software programs  and/or applications are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented software programs and/or applications to ensure the organization being inspected/assessed defines the software programs and/or applications from which the information system is to validate the information output to ensure the information is consistent with expected content.\n \nDoD has determined the software programs  and/or applications are not appropriate to define at the Enterprise level.'),(2771,'SI-15','','The information system validates information output from organization-defined software programs and/or applications to ensure that the information is consistent with the expected content.','The organization being inspected/assessed configures the information system to validate information output from software programs and/or applications defined in SI-15, CCI 2770 to ensure that the information is consistent with the expected content.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2771.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to validate information output from software programs and/or applications defined in SI-15, CCI 2770 to ensure that the information is consistent with the expected content.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2771.'),(2773,'SI-17','','The organization defines the fail-safe procedures to be implemented by the information system when organization-defined failure conditions occur.','The organization being inspected/assessed defines and documents the fail-safe procedures to be implemented by the information system when organization-defined failure conditions occur.\n \nDoD has determined the fail-safe procedures are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented fail-safe procedures to ensure the organization being inspected/assessed defines the fail-safe procedures to be implemented by the information system when organization-defined failure conditions occur.\n \nDoD has determined the fail-safe procedures are not appropriate to define at the Enterprise level.'),(2774,'SI-17','','The organization defines the failure conditions which, when they occur, will result in the information system implementing organization-defined fail-safe procedures.','The organization being inspected/assessed defines and documents the failure conditions which, when they occur, will result in the information system implementing organization-defined fail-safe procedures.\n \nDoD has determined the failure conditions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented failure conditions to ensure the organization being inspected/assessed defines the failure conditions which, when they occur, will result in the information system implementing organization-defined fail-safe procedures.\n \nDoD has determined the failure conditions are not appropriate to define at the Enterprise level.'),(2775,'SI-17','','The information system implements organization-defined fail-safe procedures when organization-defined failure conditions occur.','The organization being inspected/assessed configures the information system to implement  fail-safe procedures defined in SI-17, CCI 2773 when failure conditions defined in SI-17, CCI  2774 occur.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2775.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement  fail-safe procedures defined in SI-17, CCI 2773 when failure conditions defined in SI-17, CCI  2774 occur.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2775.'),(2776,'IR-1','','The organization defines the personnel or roles to whom the incident response policy is disseminated.','DoD has defined the personnel or roles as all personnel identified as stakeholders in the incident response process, as well as the ISSM and ISSO.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as all personnel identified as stakeholders in the incident response process, as well as the ISSM and ISSO.'),(2777,'IR-1','','The organization defines the personnel or roles to whom the incident response procedures are disseminated.','DoD has defined the personnel or roles as all personnel identified as stakeholders in the incident response process, as well as the ISSM and ISSO.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as all personnel identified as stakeholders in the incident response process, as well as the ISSM and ISSO.'),(2778,'IR-2','','The organization defines the time period in which information system users whom assume an incident response role or responsibility receive incident response training.','DoD has defined the time period as 30 working days.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as 30 working days.'),(2779,'IR-2','','The organization provides incident response training to information system users consistent with assigned roles and responsibilities when required by information system changes.','The organization being inspected/assessed documents and implements a process to provide incident response training to information system users, other than general users, consistent with assigned roles and responsibilities when required by information system changes.\n \nFor general users, DoD components are automatically compliant with the requirement based on DoDD 8570.01 requirements for IA awareness training.\n \nThe organization must maintain a record of training.','The organization conducting the inspection/assessment obtains and examines the documented process as well as training records for a sampling of information system users to ensure the organization being inspected/assessed provides incident response training to information system users, other than general users, consistent with assigned roles and responsibilities when required by information system changes.\n \nFor general users, DoD components are automatically compliant with the requirement based on DoDD 8570.01 requirements for IA awareness training. '),(2780,'IR-3','2','The organization coordinates incident response testing with organizational elements responsible for related plans.','The organization being inspected/assessed documents within their incident response testing plan, the necessary support from all responsible organizational elements for incident response testing.','The organization conducting the inspection/assessment obtains and examines the incident response testing plan to ensure the organization being inspected/assessed coordinates incident response testing with organizational elements responsible for related plans.'),(2781,'IR-4','2','The organization defines the information system components for dynamic reconfiguration as part of the incident response capability.','The organization being inspected/assessed defines and documents the information system components for dynamic reconfiguration as part of the incident response capability.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system components to ensure the organization being inspected/assessed defines the information system components for dynamic reconfiguration as part of the incident response capability.'),(2782,'IR-4','6','The organization implements incident handling capability for insider threats.','The organization being inspected/assessed documents within their incident response plan and implements plans to respond to incidents related to insider threats.','The organization conducting the inspection/assessment obtains and examines the incident response plan as well as a sampling of incident after action reports to ensure the organization being inspected/assessed  implements incident handling capability for insider threats.'),(2783,'IR-4','7','The organization coordinates incident handling capability for insider threats across organization-defined components or elements of the organization.','The organization being inspected/assessed documents within their incident response plan, the responsibilities of each element of the organization defined in IR-4 (7), CCI 2784.','The organization conducting the inspection/assessment obtains and examines the incident response plan to ensure the organization being inspected/assessed coordinates incident handling capability for insider threats across components or elements of the organization defined in IR-4 (7), CCI 2784.'),(2784,'IR-4','7','The organization defines components or elements of the organization in which incident handling capability for insider threats will be coordinated.','The organization being inspected/assessed defines and documents components or elements of the organization in which incident handling capability for insider threats will be coordinated.\n \nDoD has determined the components or elements are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented components or elements to ensure the organization being inspected/assessed defines components or elements of the organization in which incident handling capability for insider threats will be coordinated.\n \nDoD has determined the components or elements are not appropriate to define at the Enterprise level.'),(2785,'IR-4','8','The organization coordinates with organization-defined external organizations to correlate and share organization-defined incident information to achieve a cross-organization perspective on incident awareness and more effective incident responses.','The organization being inspected/assessed coordinates with external organizations defined in IR-4 (8), CCI 2786 to correlate and share incident information defined in IR-4 (8), CCI 2787 to achieve a cross-organization perspective on incident awareness and more effective incident responses.\n\n','The organization conducting the inspection/assessment obtains and examines reports, meeting minutes, or other evidence that the organization being inspected/assessed is coordinating with external organizations defined in IR-4 (8), CCI 2786 to correlate and share incident information defined in IR-4 (8), CCI 2787 to achieve a cross-organization perspective on incident awareness and more effective incident responses.'),(2786,'IR-4','8','The organization defines external organizations to correlate and share organization-defined incident information.','The organization being inspected/assessed defines and documents  external organizations with whom they will correlate and share organization-defined incident information.\n\nDoD has determined the external organizations are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented external organizations to ensure the organization being inspected/assessed defines external organizations to correlate and share organization-defined incident information.\n\nDoD has determined the external organizations are not appropriate to define at the Enterprise level.'),(2787,'IR-4','8','The organization defines incident information to correlate and share with organization-defined external organizations.','The organization being inspected/assessed defines and documents what incident information will be correlated and shared with each  external organization defined in IR-4 (8), CCI 2786.\n \nDoD has determined the incident information is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented incident information to ensure the organization being inspected/assessed defines what incident information will be correlated and shared with each external organization defined in IR-4 (8), CCI 2786.\n \nDoD has determined the incident information is not appropriate to define at the Enterprise level.'),(2788,'IR-4','9','The organization employs organization-defined dynamic response capabilities to effectively respond to security incidents.','The organization being inspected/assessed implements at a minimum, the appropriate CIRT/CERT (such as US-CERT, DoD CERT, IC CERT) to effectively respond to security incidents.\n \nDoD has defined the dynamic response capabilities as at a minimum, the appropriate CIRT/CERT (such as US-CERT, DoD CERT, IC CERT).\n','The organization conducting the inspection/assessment obtains and examines incident response logs to ensure that they reflect the use of at a minimum, the appropriate CIRT/CERT (such as US-CERT, DoD CERT, IC CERT).\n \nDoD has defined the dynamic response capabilities as at a minimum, the appropriate CIRT/CERT (such as US-CERT, DoD CERT, IC CERT).\n '),(2789,'IR-4','9','The organization defines dynamic response capabilities to effectively respond to security incidents.','DoD has defined the dynamic response capabilities as at a minimum, the appropriate CIRT/CERT (such as US-CERT, DoD CERT, IC CERT).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the dynamic response capabilities as at a minimum, the appropriate CIRT/CERT (such as US-CERT, DoD CERT, IC CERT).'),(2790,'IR-4','10','The organization coordinates incident handling activities involving supply chain events with other organizations involved in the supply chain.','The organization being inspected/assessed  documents and implements a process to coordinate incident handling activities involving supply chain events with other organizations involved in the supply chain.','The organization conducting the inspection/assesment obtains and examines the documented process to ensure the organization being inspected/assessed coordinates incident handling activities involving supply chain events with other organizations involved in the supply chain.'),(2791,'IR-6','','The organization defines authorities to whom security incident information is reported.','DoD has defined the authorities as the appropriate CIRT/CERT (such as US-CERT, DoD CERT, IC CERT).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the authorities as the appropriate CIRT/CERT (such as US-CERT, DoD CERT, IC CERT).'),(2792,'IR-6','2','The organization defines personnel or roles to whom information system vulnerabilities associated with reported security incident information are reported.','The organization being inspected/assessed defines and documents personnel or roles to whom information system vulnerabilities associated with reported security incident information are reported.  The personnel shall be identified IAW CJCSM 6510.01B.\n \nDoD has determined the personnel are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented personnel to ensure the organization being inspected/assessed defines  personnel or roles to whom information system vulnerabilities associated with reported security incident information are reported  IAW CJCSM 6510.01B.'),(2793,'IR-6','3','The organization provides security incident information to other organizations involved in the supply chain for information systems or information system components related to the incident.','The organization being inspected/assessed documents and implement a process to provide security incident information to other organizations involved in the supply chain for information systems or information system components related to the incident.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed provides security incident information to other organizations involved in the supply chain for information systems or information system components related to the incident.'),(2794,'IR-8','','The organization develops an incident response plan.','The organization being inspected/assessed develops and documents an incident response plan.','The organization conducting the inspection/assessment obtains and examines the documented incident response plan to ensure the organization being inspected/assessed develops an incident response plan.'),(2795,'IR-8','','The organization\'s incident response plan provides the organization with a roadmap for implementing its incident response capability.','The organization being inspected/assessed defines and documents within their incident response plan, a roadmap for implementing its incident response capability.','The organization conducting the inspection/assessment obtains and examines the incident response plan to ensure the organization being inspected/assessed provides within their plan, a roadmap for implementing its incident response capability.'),(2796,'IR-8','','The organization\'s incident response plan describes the structure and organization of the incident response capability.','The organization being inspected/assessed defines and documents within their incident response plan, the structure and organization of the incident response capability.','The organization conducting the inspection/assessment obtains and examines the incident response plan to ensure the organization being inspected/assessed describes within their plan, the structure and organization of the incident response capability.'),(2797,'IR-8','','The organization\'s incident response plan provides a high-level approach for how the incident response capability fits into the overall organization.','The organization being inspected/assessed defines and documents within their incident response plan, a high-level approach for how the incident response capability fits into the overall organization.','The organization conducting the inspection/assessment obtains and examines the incident response plan to ensure the organization being inspected/assessed provides within their plan, a high-level approach for how the incident response capability fits into the overall organization.'),(2798,'IR-8','','The organization\'s incident response plan meets the unique requirements of the organization, which relate to mission, size, structure, and functions.','The organization being inspected/assessed will ensure their incident response plan meets the unique requirements of the organization, which relate to mission, size, structure, and functions.','The organization conducting the inspection/assessment obtains and examines the incident response plan to ensure it meets the unique requirements of the organization being inspected/assessed, which relate to mission, size, structure, and functions.'),(2799,'IR-8','','The organization\'s incident response plan defines reportable incidents.','The organization being inspected/assessed defines and document within their incident response plan, reportable incidents IAW CJCSM 6510.01B Table B-A-2. ','The organization conducting the inspection/assessment obtains and examines the incident response plan to ensure the organization being inspected/assessed defines   reportable incidents IAW CJCSM 6510.01B Table B-A-2. '),(2800,'IR-8','','The organization\'s incident response plan provides metrics for measuring the incident response capability within the organization.','The organization being inspected/assessed defines and documents within their incident response plan, metrics for measuring the incident response capability within the organization IAW CJCSM 6510.01B, Enclosure A.','The organization conducting the inspection/assessment obtains and examines the incident response plan to ensure the organization being inspected/assessed defines metrics for measuring the incident response capability within the organization IAW CJCSM 6510.01B, Enclosure A.'),(2801,'IR-8','','The organization\'s  incident response plan defines the resources and management support needed to effectively maintain and mature an incident response capability.','The organization being inspected/assessed defines and documents within their  incident response plan, the resources and management support needed to effectively maintain and mature an incident response capability.','The organization conducting the inspection/assessment obtains and examines the incident response plan to ensure the organization being inspected/assessed defines within their plan, the resources and management support needed to effectively maintain and mature an incident response capability.'),(2802,'IR-8','','The organization defines personnel or roles to review and approve the incident response plan.','DoD has defined the personnel or roles as at a minimum, the ISSM and ISSO.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as at a minimum, the ISSM and ISSO.'),(2803,'IR-8','','The organization defines incident response personnel (identified by name and/or by role) and organizational elements to whom the incident response plan changes will be communicated.','DoD has defined the incident response personnel as all stakeholders identified in the incident response plan, not later than 30 days after the change is made.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the incident response personnel as all stakeholders identified in the incident response plan, not later than 30 days after the change is made.'),(2804,'IR-8','','The organization protects the incident response plan from unauthorized disclosure and modification.','The organization being inspected/assessed protects the incident response plan from unauthorized disclosure and modification.','The organization conducting the inspection/assessment obtains and examines artifacts which identify how the incident response plan is protected to ensure the organization being inspected/assessed protects the incident response plan from unauthorized disclosure and modification.'),(2805,'IR-9','','The organization responds to information spills by identifying the specific information involved in the information system contamination.','The organization being inspected/assessed documents within their incident response plan, a process to identify the specific information involved in the information system contamination.\n \n ','The organization conducting the inspection/assessment obtains and examines the incident response plan as well as after action reports of incidents to ensure that specific information involved in the  information system contamination is identified.'),(2806,'IR-9','','The organization responds to information spills by alerting organization-defined personnel or roles of the information spill using a method of communication not associated with the spill.','The organization being inspected/assessed documents within their incident response plan, a process to alert at a minimum, the Originating Classification Authority (OCA), the information owner/originator, the ISSM, the activity security manager, and the responsible computer incident response center of the information spill using a method of communication not associated with the spill.\n \nDoD has defined the personnel or roles as at a minimum, the OCA, the information owner/originator, the ISSM, the activity security\nmanager, and the responsible computer incident response center.\n \n ','The organization conducting the inspection/assessment obtains and examines the incident response plan as well as after action reports of incidents to ensure that at a minimum, the OCA, the information owner/originator, the ISSM, the activity security manager, and the responsible computer incident response center were alerted of the information spill using a method of communication not associated with the spill.\n \nDoD has defined the personnel or roles as at a minimum, the OCA, the information owner/originator, the ISSM, the activity security\nmanager, and the responsible computer incident response center.'),(2807,'IR-9','','The organization defines personnel or roles to be alerted of the information spill using a method of communication not associated with the spill.','DoD has defined the personnel or roles as at a minimum, the OCA, the information owner/originator, the ISSM, the activity security\nmanager, and the responsible computer incident response center.\n ','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as at a minimum, the OCA, the information owner/originator, the ISSM, the activity security\nmanager, and the responsible computer incident response center.\n '),(2808,'IR-9','','The organization responds to information spills by isolating the contaminated information system or system component.','The organization being inspected/assessed documents within their incident response plan, a process to  isolate the contaminated information system or system component.\n \n ','The organization conducting the inspection/assessment obtains and examines the incident response plan as well as after action reports of incidents to ensure that the organization being inspected/assessed isolates contaminated information system or system component.\n '),(2809,'IR-9','','The organization responds to information spills by eradicating the information from the contaminated information system or component.','The organization being inspected/assessed documents within their incident response plan, a process to eradicate the information from the contaminated information system or component.\n \n ','The organization conducting the inspection/assessment obtains and examines the incident response plan as well as after action reports of incidents to ensure that the organization being inspected/assessed  eradicates the information from the contaminated information system or component.\n '),(2810,'IR-9','','The organization responds to information spills by identifying other information systems or system components that may have been subsequently contaminated.','The organization being inspected/assessed documents within their incident response plan, a process to identify other information systems or system components that may have been subsequently contaminated.\n \n ','The organization conducting the inspection/assessment obtains and examines the incident response plan as well as after action reports of incidents to ensure that the organization being inspected/assessed  identifies other information systems or system components that may have been subsequently contaminated.'),(2811,'IR-9','','The organization responds to information spills by performing other organization-defined actions.','The organization being inspected/assessed documents within their incident response plan, processes to perform actions defined in IR-9, CCI 2812.\n \n','The organization conducting the inspection/assessment obtains and examines the incident response plan as well as after action reports of incidents to ensure that the organization being inspected/assessed   performs actions defined in IR-9, CCI 2812.'),(2812,'IR-9','','The organization defines other actions required to respond to information spills.','The organization being inspected/assessed\ndefines and documents additional actions to be taken in response to spillage incidents. The actions must include the following: \n1)consider the information system as classified at the same level as the spilled information until the appropriate remediation processes have been executed and verified;\n2) Include the investigative team members and questions identified in CNSS Instruction 1001 in investigation of the incident; \n3) Protect information regarding the incident from disclosure.\n \nDoD has determined the actions are not appropriate to define at the Enterprise level.\n','The organization conducting the inspection/assessment obtains and examines the documented additional actions to ensure the organization being inspected/assessed defines other actions required to respond to information spills.\n \nDoD has determined the actions are not appropriate to define at the Enterprise level'),(2813,'IR-9','1','The organization assigns organization-defined personnel or roles with responsibility for responding to information spills.','The organization being inspected/assessed appoints personnel or roles defined in IR-9 (1), CCI 2815 as having the responsibility for responding to information spills.  ','The organization conducting the inspection/assessment obtains and examines appointment letters to ensure the organization being inspected/assessed appoints personnel or roles defined in IR-9 (1), CCI 2815 as having the responsibility for responding to information spills.  '),(2815,'IR-9','1','The organization defines personnel or roles to whom responsibility for responding to information spills will be assigned.','The organization being inspected/assessed defines and documents personnel or roles to whom responsibility for responding to information spills will be assigned. The personnel must include the ISSO and ISSM.\n \nDoD has determined the personnel or roles are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented personnel or roles to ensure the organization being inspected/assessed defines personnel or roles to whom responsibility for responding to information spills will be assigned, which must include the ISSO and ISSM. \n \nDoD has determined the personnel or roles are not appropriate to define at the Enterprise level.'),(2816,'IR-9','2','The organization provides information spillage response training according to an organization-defined frequency.','The organization being inspected/assessed  documents and implements a process to provide information spillage response training annually.\n \nThe organization must maintain a record of training.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the training records for a sampling of incident response personnel to ensure the organization being inspected/assessed provides information spillage response training annually.\n \nDoD has defined the frequency as annually.'),(2817,'IR-9','2','The organization defines the frequency in which to provide information spillage response training.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(2818,'IR-9','3','The organization implements organization-defined procedures to ensure that organizational personnel impacted by information spills can continue to carry out assigned tasks while contaminated systems are undergoing corrective actions.','The organization being inspected/assessed implements procedures defined in IR-9 (3), CCI 2819  to ensure that organizational personnel impacted by information spills can continue to carry out assigned tasks while contaminated systems are undergoing corrective actions.','The organization conducting the inspection/assessment obtains and examines the documented procedures defined in IR-9 (3), CCI 2819 as well as after action reports of incidents to ensure the organization being inspected/assessed implements procedures defined in IR-9 (3), CCI 2819  to ensure that organizational personnel impacted by information spills can continue to carry out assigned tasks while contaminated systems are undergoing corrective actions.'),(2819,'IR-9','3','The organization defines procedures to implement to ensure that organizational personnel impacted by information spills can continue to carry out assigned tasks while contaminated systems are undergoing corrective actions.','The organization being inspected/assessed defines and documents procedures to implement to ensure that organizational personnel impacted by information spills can continue to carry out assigned tasks while contaminated systems are undergoing corrective actions.\n \nDoD has determined the procedures are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented procedures to ensure the organization being inspected/assessed defines procedures to implement to ensure that organizational personnel impacted by information spills can continue to carry out assigned tasks while contaminated systems are undergoing corrective actions.\n \nDoD has determined the procedures are not appropriate to define at the Enterprise level.'),(2820,'IR-9','4','The organization employs organization-defined security safeguards for personnel exposed to information not within assigned access authorizations.','The organization being inspected/assessed documents and implements a process to employ security safeguards defined in IR-9 (4), CCI 2821 for personnel exposed to information not within assigned access authorizations.  ','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed employs security safeguards defined in IR-9 (4), CCI 2821 for personnel exposed to information not within assigned access authorizations.  '),(2821,'IR-9','4','The organization defines security safeguards to employ for personnel exposed to information not within assigned access authorizations.','The organization being inspected/assessed defines and documents security safeguards to employ for personnel exposed to information not within assigned access authorizations.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security safeguards to ensure the organization being inspected/assessed defines security safeguards to employ for personnel exposed to information not within assigned access authorizations.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(2822,'IR-10','','The organization establishes an integrated team of forensic/malicious code analysts, tool developers, and real-time operations personnel.','The organization being inspected/assessed establishes an integrated team of forensic/malicious code analysts, tool developers, and real-time operations personnel.  \n \nThe organization appoints team members and defines and documents roles and responsibilities for each member.','The organization conducting the inspection/assessment obtains and examines appointments to the integrated team as well as the documented roles and responsibilities to ensure the organization being inspected/assessed establishes an integrated team of forensic/malicious code analysts, tool developers, and real-time operations personnel.'),(2823,'SI-16','','The organization defines the security safeguards to be implemented to protect the information system\'s memory from unauthorized code execution.','The organization being inspected/assessed defines and documents the security safeguards to be implemented to protect the information system\'s memory from unauthorized code execution.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security safeguards to ensure the organization being inspected/assessed defines the security safeguards to be implemented to protect the information system\'s memory from unauthorized code execution.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(2824,'SI-16','','The information system implements organization-defined security safeguards to protect its memory from unauthorized code execution.','The organization being inspected/assessed configures the information system to implement  security safeguards defined in SI-16, CCI 2823 to protect its memory from unauthorized code execution.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2824.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement  security safeguards defined in SI-16, CCI 2823 to protect its memory from unauthorized code execution.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2824.'),(2825,'CP-1','','The organization defines personnel or roles to whom the contingency planning policy is to be disseminated.','DoD has defined the personnel or roles as all stakeholders identified in the contingency plan.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as all stakeholders identified in the contingency plan.'),(2826,'CP-1','','The organization defines personnel or roles to whom the contingency planning procedures are disseminated.','DoD has defined the personnel or roles as all stakeholders identified in the contingency plan.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as all stakeholders identified in the contingency plan.'),(2827,'CP-2','7','The organization coordinates its contingency plan with the contingency plans of external service providers to ensure that contingency requirements can be satisfied.','The organization being inspected/assessed implements service level agreements and/or memorandums of agreement with external service providers necessary for the conduct of contingency plans to ensure that contingency requirements can be satisfied.','The organization conducting the inspection/assessment obtains and examines service level agreements and/or memorandums of agreement with external service providers to ensure the organization being inspected/assessed coordinates with those providers.'),(2828,'CP-2','8','The organization identifies critical information system assets supporting essential missions.','The organization being inspected/assessed identifies and documents critical information system assets supporting essential missions.','The organization conducting the inspection/assessment obtains and examines the documented list of critical information system assets supporting essential missions to ensure the organization being inspected/assessed identifies those assets.'),(2829,'CP-2','8','The organization identifies critical information system assets supporting essential business functions.','The organization being inspected/assessed identifies and documents critical information system assets supporting essential business functions.','The organization conducting the inspection/assessment obtains and examines the documented list of critical information system assets supporting essential business functions to ensure the organization being inspected/assessed identifies those assets.'),(2830,'CP-2','','The organization defines the personnel or roles who review and approve the contingency plan for the information system.','DoD has defined the personnel or roles as at a minimum, the ISSM and ISSO.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as at a minimum, the ISSM and ISSO.'),(2831,'CP-2','','The organization defines a list of key contingency personnel (identified by name and/or by role) and organizational elements to whom contingency plan changes are to be communicated.','DoD has defined the list as all stakeholders identified in the contingency plan','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the list as all stakeholders identified in the contingency plan'),(2832,'CP-2','','The organization  protects the contingency plan from unauthorized disclosure and modification.','The organization being inspected/assessed documents and implements a process to protect the contingency plan from unauthorized disclosure and modification.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed protects the contingency plan from unauthorized disclosure and modification.'),(2833,'CP-3','','The organization defines the time period that contingency training is to be provided to information system users consistent with assigned roles and responsibilities  within assuming a contingency role or responsibility.','DoD has defined the time period as at a maximum, 10 working days. ','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as at a maximum, 10 working days. '),(2834,'CP-3','','The organization provides contingency training to information system users consistent with assigned roles and responsibilities when required by information system changes.','The organization being inspected/assessed will update contingency training materials when required by information system changes and provide that training to  personnel with contingency roles and responsibilities IAW CP-2, CCI 449.\n \nThe organization will maintain documentation of the training activity dates, location, and personnel for audit trail purposes and future reference (e.g., scheduling refresher training, etc.).','The organization conducting the inspection/assessment obtains and examines training materials and documentation of training activities to determine whether the materials are accurate in consideration of the state of the information system and content of the contingency plan.  The organization ensures that training is provided to users consistent with assigned roles and responsibilities.'),(2835,'CP-4','2','The organization tests the contingency plan at the alternate processing site to evaluate the capabilities of the alternate processing site to support contingency operations.','The organization being inspected/assessed will perform contingency plan testing at the alternate processing site to evaluate the capabilities of the alternate processing site to support contingency operations.\n \nThe organization must maintain a record of test results.','The organization conducting the inspection/assessment obtains and examines the test results to ensure the organization being inspected/assessed tests the contingency plan at the alternate processing site to evaluate the capabilities of the alternate processing site to support contingency operations.'),(2836,'CP-6','','The organization ensures that the alternate storage site provides information security safeguards equivalent to that of the primary site.','The organization being inspected/assessed documents the information security safeguards that are in place at both the primary and alternate sites and evidence that the alternate site was approved based on an assessment that security is equivalent at the alternate site.','The organization conducting the inspection/assessment obtains and examines the documentation of the primary/alternate site information security safeguards that are in place as well as evidence that the alternate site was approved based on an assessment that security is equivalent at the alternate site.'),(2837,'CP-7','6','The organization plans for circumstances that preclude returning to the primary processing site.','The organization being inspected/assessed documents a process to be followed in the event of circumstances that preclude returning to the primary processing site.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed plans for circumstances that preclude returning to the primary processing site.'),(2838,'CP-7','6','The organization prepares for circumstances that preclude returning to the primary processing site.','The organization being inspected/assessed makes the resources available necessary to implement the plan documented IAW CP-7 (6), CCI 2837.','The organization conducting the inspection/assessment obtains and examines system resource lists or agreements with external support providers to ensure the organization being inspected/assessed prepares for circumstances that preclude returning to the primary processing site.'),(2839,'CP-7','','The organization defines information system operations that are permitted to transfer and resume at an alternate processing sites for essential missions/business functions when the primary processing capabilities are unavailable.','The organization being inspected/assessed defines and documents information system operations that are permitted to transfer and resume at an alternate processing sites for essential missions/business functions when the primary processing capabilities are unavailable.\n \nDoD has determined the information system operations are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system operations to ensure the organization being inspected/assessed defines information system operations that are permitted to transfer and resume at an alternate processing sites for essential missions/business functions when the primary processing capabilities are unavailable.\n \nDoD has determined the information system operations are not appropriate to define at the Enterprise level.'),(2840,'CP-8','','The organization defines the information system operations to be resumed for essential missions within the organization-defined time period when the primary telecommunications capabilities are unavailable at either the primary or alternate processing or storage sites.','The organization being inspected/assessed defines and documents the information system operations to be resumed for essential missions within the organization-defined time period when the primary telecommunications capabilities are unavailable at either the primary or alternate processing or storage sites.  \n \nDoD has determined the information system operations are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system operations to ensure the organization being inspected/assessed defines the information system operations to be resumed for essential missions within the organization-defined time period when the primary telecommunications capabilities are unavailable at either the primary or alternate processing or storage sites.  \n  \nDoD has determined the information system operations are not appropriate to define at the Enterprise level.'),(2841,'CP-8','','The organization defines the information system operations to be resumed for essential business functions within the organization-defined time period when the primary telecommunications capabilities are unavailable at either the primary or alternate processing or storage sites.','The organization being inspected/assessed defines and documents the information system operations to be resumed for essential business functions within the organization-defined time period when the primary telecommunications capabilities are unavailable at either the primary or alternate processing or storage sites.  \n \nDoD has determined the information system operations are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system operations to ensure the organization being inspected/assessed defines the information system operations to be resumed for essential business functions within the organization-defined time period when the primary telecommunications capabilities are unavailable at either the primary or alternate processing or storage sites.  \n \n \nDoD has determined the information system operations are not appropriate to define at the Enterprise level.'),(2842,'CP-8','4','The organization reviews provider contingency plans to ensure that the plans meet organizational contingency requirements.','The organization being inspected/assessed obtains and examines provider contingency plans to ensure the plans meet organizational contingency requirements.\n \nThe organization must maintain an audit trail of reviews.','The organization conducting the inspection/assessment obtains and examines the audit trail of reviews to ensure the organization being inspected/assessed reviews provider contingency plans to ensure that the plans meet organizational contingency requirements.'),(2843,'CP-8','4','The organization defines the frequency to obtain evidence of contingency testing by providers.','DoD has defined the frequency as at least annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as at least annually.'),(2844,'CP-8','4','The organization defines the frequency to obtain evidence of contingency training by providers.','DoD has defined the frequency as at least annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as at least annually.'),(2845,'CP-8','4','The organization obtains evidence of contingency testing by providers in accordance with organization-defined frequency.','The organization being inspected/assessed obtains and maintains evidence of contingency testing by providers to ensure that the training is tested at least annually. \n \nDoD has defined the frequency as at least annually.','The organization conducting the inspection/assessment obtains and examines the evidence of contingency testing to ensure that the organization being inspected/assessed obtains evidence that contingency testing is conducted by providers at least annually. \n \nDoD has defined the frequency as at least annually.'),(2846,'CP-8','4','The organization obtains evidence of contingency training by providers in accordance with organization-defined frequency.','The organization being inspected/assessed obtains and maintains evidence of contingency training by providers to ensure that the training is provided at least annually. \n \nDoD has defined the frequency as at least annually.','The organization conducting the inspection/assessment obtains and examines the evidence of contingency training to ensure that the organization being inspected/assessed obtains evidence that contingency training is conducted by providers at least annually. \n \nDoD has defined the frequency as at least annually.'),(2847,'CP-8','5','The organization defines the frequency to test alternate telecommunication services.','DoD has defined the frequency as at least annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level\n \nDoD has defined the frequency as at least annually.'),(2848,'CP-8','5','The organization tests alternate telecommunication services per organization-defined frequency.','The organization being inspected/assessed documents and implements a process to test alternate telecommunication services at least annually.\n \nThe organization must maintain a record of tests.\n \nDoD has defined the frequency as at least annually.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of tests to ensure the organization being inspected/assessed tests alternate telecommunication services at least annually.\n \nDoD has defined the frequency as at least annually.'),(2849,'CP-9','3','The organization defines critical information system software and other security-related information which backup copies must be stored in a separate facility or in a fire-rated container.','The organization being inspected/assessed defines and documents critical information system software and other security-related information which backup copies must be stored in a separate facility or in a fire-rated container.\n \nDoD has determined the critical information system software and other security-related information is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented critical information system software and other security-related information to ensure the organization being inspected/assessed defines critical information system software and other security-related information which backup copies must be stored in a separate facility or in a fire-rated container.\n \nDoD has determined the critical information system software and other security-related information is not appropriate to define at the Enterprise level.'),(2850,'CP-9','3','The organization stores backup copies of organization defined critical information system software and other security-related information in a separate facility or in a fire-rated container that is not collocated with the operational system.','The organization being inspected/assessed stores backup copies of critical information system software and other security-related information defined in CP-9 (3), CCI 2849 in a separate facility or in a fire-rated container that is not collocated with the operational system.\n \nThe organization must maintain a record of where software is stored.','The organization conducting the inspection/assessment obtains and examines the record of where software is stored to ensure the organization being inspected/assessed stores backup copies of critical information system software and other security-related information defined in CP-9 (3), CCI 2849 in a separate facility or in a fire-rated container that is not collocated with the operational system.'),(2851,'CP-9','7','The organization defines the backup information that requires dual authorization for deletion or destruction.','The organization being inspected/assessed defines and documents the backup information that requires dual authorization for deletion or destruction.\n \nDoD has determined the backup information is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented backup information to ensure the organization being inspected/assessed defines the backup information that requires dual authorization for deletion or destruction.\n \nDoD has determined the backup information is not appropriate to define at the Enterprise level.'),(2852,'CP-9','7','The organization enforces dual authorization for the deletion or destruction of organization-defined backup information.','The organization being inspected/assessed documents and implements a process for dual authorization for the deletion or destruction of  backup information defined in CP-9 (7), CCI 2851.\n \nThe organization must maintain a record of deletion or destruction of information defined in CP-9 (7), CCI 2851.','The organization conducting the inspection/assessment obtains and examines the documented process and record of deletion and destruction to ensure the organization being inspected/assessed enforces dual authorization for the deletion or destruction of  backup information defined in CP-9 (7), CCI 2851.'),(2853,'CP-11','','The information system provides the capability to employ organization-defined alternative communications protocols in support of maintaining continuity of operations.','The organization being inspected/assessed configures the information system to provide the capability to employ alternative communications protocols defined in CP-11, CCI 2854 in support of maintaining continuity of operations.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2853.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to provide the capability to employ alternative communications protocols defined in CP-11, CCI 2854 in support of maintaining continuity of operations.\n  \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2853.'),(2854,'CP-11','','The organization defines the alternative communications protocols the information systems must be capable of providing in support of maintaining continuity of operations.','The organization being inspected/assessed defines and documents the alternative communications protocols the information systems must be capable of providing in support of maintaining continuity of operations.\n \nDoD has determined the alternative communications protocols are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented alternative communications protocols to ensure the organization being inspected/assessed defines the alternative communications protocols the information systems must be capable of providing in support of maintaining continuity of operations.\n \nDoD has determined the alternative communications protocols are not appropriate to define at the Enterprise level.'),(2855,'CP-12','','The information system, when organization-defined conditions are detected, enters a safe mode of operation with organization-defined restrictions of safe mode of operation.','The organization being inspected/assessed configures the information system to enter a safe mode of operation with restrictions of safe mode of operation defined in CP-12, CCI 2857 when conditions defined in CP-12, CCI 2856 are detected.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2855.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enter a safe mode of operation with restrictions of safe mode of operation defined in CP-12, CCI 2857 when conditions defined in CP-12, CCI 2856 are detected.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2855.'),(2856,'CP-12','','The organization defines the conditions, that when detected, the information system enters a safe mode of operation with organization-defined restrictions of safe mode of operation.','The organization being inspected/assessed defines and documents the conditions, that when detected, the information system enters a safe mode of operation with organization-defined restrictions of safe mode of operation.\n \nDoD has determined the conditions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented conditions to ensure the organization being inspected/assessed defines  the conditions, that when detected, the information system enters a safe mode of operation with organization-defined restrictions of safe mode of operation.\n \n \nDoD has determined the conditions are not appropriate to define at the Enterprise level.'),(2857,'CP-12','','The organization defines the restrictions of safe mode of operation that the information system will enter when organization-defined conditions are detected.','The organization being inspected/assessed defines and documents the restrictions of safe mode of operation that the information system will enter when organization-defined conditions are detected.\n \nDoD has determined the restrictions on safe mode of operation are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented restrictions to ensure the organization being inspected/assessed defines  the restrictions of safe mode of operation that the information system will enter when organization-defined conditions are detected.\n \nDoD has determined the restrictions on safe mode of operation are not appropriate to define at the Enterprise level.'),(2858,'CP-13','','The organization employs organization-defined alternative or supplemental security mechanisms for satisfying organization-defined security functions when the primary means of implementing the security function is unavailable or compromised.','The organization being inspected/assessed documents and implement a process to employ alternative or supplemental security mechanisms defined in CP-13, CCI 2859 for satisfying security functions defined in CP-13, CCI 2860 when the primary means of implementing the security function is unavailable or compromised.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed employs alternative or supplemental security mechanisms defined in CP-13, CCI 2859 for satisfying security functions defined in CP-13, CCI 2860 when the primary means of implementing the security function is unavailable or compromised.'),(2859,'CP-13','','The organization defines the alternative or supplemental security mechanisms that will be employed for satisfying organization-defined security functions when the primary means of implementing the security function is unavailable or compromised.','The organization being inspected/assessed defines and documents the alternative or supplemental security mechanisms that will be employed for satisfying organization-defined security functions when the primary means of implementing the security function is unavailable or compromised.\n \nDoD has determined the alternative or supplemental security mechanisms are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented alternative or supplemental security mechanisms to ensure the organization being inspected/assessed defines the alternative or supplemental security mechanisms that will be employed for satisfying organization-defined security functions when the primary means of implementing the security function is unavailable or compromised.\n \nDoD has determined the alternative or supplemental security mechanisms are not appropriate to define at the Enterprise level.'),(2860,'CP-13','','The organization defines the security functions  that must be satisfied when the primary means of implementing the security function is unavailable or compromised.','The organization being inspected/assessed defines and documents the security functions  that must be satisfied when the primary means of implementing the security function is unavailable or compromised.\n \nDoD has determined the security functions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security functions to ensure the organization being inspected/assessed defines the security functions  that must be satisfied when the primary means of implementing the security function is unavailable or compromised.\n \nDoD has determined the security functions are not appropriate to define at the Enterprise level.'),(2861,'MA-1','','The organization defines the personnel or roles to whom a system maintenance policy is disseminated.','DoD has defined the personnel or roles as the SCA, ISSO, and maintenance personnel as needed by role in maintaining the system.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as the SCA, ISSO, and maintenance personnel as needed by role in maintaining the system.'),(2862,'MA-1','','The organization defines the personnel or roles to whom system maintenance procedures are to be disseminated.','DoD has defined the personnel or roles as the SCA, ISSO, and maintenance personnel as needed by role in maintaining the system.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as the SCA, ISSO, and maintenance personnel as needed by role in maintaining the system.'),(2863,'MA-2','2','The organization employs automated mechanisms to schedule, conduct, and document repairs.','The organization being inspected/assessed documents and implements automated mechanisms to schedule, conduct, and document repairs.','The organization conducting the inspection/assessment obtains and examines the documentation of automated mechanisms to ensure the organization being inspected/assessed employs automated mechanisms to schedule, conduct, and document repairs.'),(2864,'MA-2','2','The organization produces up-to date, accurate, and complete records of all maintenance requested, scheduled, in process, and completed.','The organization being inspected/assessed produces and maintains up-to date, accurate, and complete records of all maintenance requested, scheduled, in process, and completed.','The organization conducting the inspection/assessment obtains and examines the records of maintenance to ensure the organization being inspected/assessed  produces up-to date, accurate, and complete records of all maintenance requested, scheduled, in process, and completed.'),(2865,'MA-2','2','The organization produces up-to date, accurate, and complete records of all repair actions requested, scheduled, in process, and completed.','The organization being inspected/assessed produces and maintains up-to date, accurate, and complete records of all repair actions requested, scheduled, in process, and completed.','The organization conducting the inspection/assessment obtains and examines the records of repair actions to ensure the organization being inspected/assessed  produces up-to date, accurate, and complete records of all repair actions requested, scheduled, in process, and completed.'),(2866,'MA-2','','The organization schedules maintenance on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements.','The organization being inspected/assessed schedules maintenance on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements.\n \nThe organization must maintain a record of maintenance.','The organization conducting the inspection/assessment obtains and examines the record of maintenance to ensure the organization being inspected/assessed schedules maintenance on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements.'),(2867,'MA-2','','The organization performs maintenance on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements.','The organization being inspected/assessed  implements a process to perform maintenance on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements.\n \nThe organization must maintain a record of maintenance procedures followed.','The organization conducting the inspection/assessment obtains and examines  the record of maintenance procedures followed to ensure the organization being inspected/assessed performs maintenance on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements.'),(2868,'MA-2','','The organization documents maintenance on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements.','The organization being inspected/assessed documents maintenance on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements.','The organization conducting the inspection/assessment obtains and examines documentation of maintenance to ensure the organization being inspected/assessed documents maintenance on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements.'),(2869,'MA-2','','The organization reviews records of maintenance on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements.','The organization being inspected/assessed documents and implements a process to review records of maintenance on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements.\n \nThe organization must maintain a record of reviews.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of reviews to ensure the organization being inspected/assessed reviews records of maintenance on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements.'),(2870,'MA-2','','The organization schedules repairs on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements','The organization being inspected/assessed schedules repairs on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements.\n \nThe organization must maintain a record of repairs.','The organization conducting the inspection/assessment obtains and examines the record of repairs to ensure the organization being inspected/assessed schedules repairs on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements.'),(2871,'MA-2','','The organization performs repairs on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements.','The organization being inspected/assessed  implements a process to perform repairs on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements.\n \nThe organization must maintain a record of repair procedures followed.','The organization conducting the inspection/assessment obtains and examines  the record of repair procedures followed to ensure the organization being inspected/assessed performs repairs on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements.'),(2872,'MA-2','','The organization documents repairs on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements.','The organization being inspected/assessed documents repairs on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements.','The organization conducting the inspection/assessment obtains and examines documentation of repairs to ensure the organization being inspected/assessed documents repairs on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements.'),(2873,'MA-2','','The organization reviews records of repairs on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements.','The organization being inspected/assessed documents and implements a process to review records of repairs on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements.\n \nThe organization must maintain a record of reviews.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of reviews to ensure the organization being inspected/assessed reviews records of repairs on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements.'),(2874,'MA-2','','The organization defines the personnel or roles who can explicitly approve the removal of the information system or system components from organizational facilities for off-site maintenance or repairs.','The organization being inspected/assessed defines and documents the personnel or roles who can explicitly approve the removal of the information system or system components from organizational facilities for off-site maintenance or repairs.\n \nDoD has determined the personnel or roles are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented personnel or roles to ensure the organization being inspected/assessed defines the personnel or roles who can explicitly approve the removal of the information system or system components from organizational facilities for off-site maintenance or repairs.\n \nDoD has determined the personnel or roles are not appropriate to define at the Enterprise level.'),(2875,'MA-2','','The organization includes organization-defined maintenance-related information in organizational maintenance records.','The organization being inspected/assessed includes maintenance-related information defined in MA-2, CCI 2876 in organizational maintenance records.','The organization conducting the inspection/assessment obtains and examines maintenance records to ensure they include maintenance-related information defined in MA-2, CCI 2876.'),(2876,'MA-2','','The organization defines the maintenance-related information to include in organizational maintenance records.','The organization being inspected/assessed defines and documents the maintenance-related information to include in organizational maintenance records.\n \nDoD has determined the maintenance-related information is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented maintenance-related information to ensure the organization being inspected/assessed defines the maintenance-related information to include in organizational maintenance records.\n \nDoD has determined the maintenance-related information is not appropriate to define at the Enterprise level.'),(2882,'MA-3','3','The organization defines the personnel or roles who can provide an exemption that explicitly authorizes removal of equipment from the facility.','The organization being inspected/assessed defines and documents the personnel or roles who can provide an exemption that explicitly authorizes removal of equipment from the facility.\n \nDoD has determined the personnel or roles are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented personnel or roles to ensure the organization being inspected/assessed defines the personnel or roles who can provide an exemption that explicitly authorizes removal of equipment from the facility.\n \nDoD has determined the personnel or roles are not appropriate to define at the Enterprise level.'),(2883,'MA-3','4','The information system restricts the use of maintenance tools to authorized personnel only.','The organization being inspected/assessed configures the information system to restrict the use of maintenance tools to authorized personnel only.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2883.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to restrict the use of maintenance tools to authorized personnel only.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2883.'),(2884,'MA-4','1','The organization audits nonlocal maintenance and diagnostic sessions\' organization-defined audit events.','The organization being inspected/assessed configures the information system to audit nonlocal maintenance and diagnostic sessions\' organization-defined audit events.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2884.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to audit nonlocal maintenance and diagnostic sessions\' organization-defined audit events.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2884.'),(2885,'MA-4','1','The organization defines the nonlocal maintenance and diagnostic session audit events to audit.','The organization being inspected/assessed defines and documents the nonlocal maintenance and diagnostic session audit events to audit.\n \nDoD has determined the audit events are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented audit events to ensure the organization being inspected/assessed defines  the nonlocal maintenance and diagnostic session audit events to audit.\n \nDoD has determined the audit events are not appropriate to define at the Enterprise level.'),(2886,'MA-4','1','The organization reviews the records of the nonlocal maintenance and diagnostic sessions.','The organization being inspected/assessed documents and implements a process to review the records of the nonlocal maintenance and diagnostic sessions.\n \nThe organization must maintain a record of reviews.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of reviews to ensure the organization being inspected/assessed reviews the records of the nonlocal maintenance and diagnostic sessions.'),(2887,'MA-4','4','The organization defines the authenticators that are replay resistant which will be employed to protect nonlocal maintenance sessions.','The organization being inspected/assessed defines and documents the authenticators that are replay resistant which will be employed to protect nonlocal maintenance sessions.\n \nDoD has determined the authenticators are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented authenticators to ensure the organization being inspected/assessed defines the authenticators that are replay resistant which will be employed to protect nonlocal maintenance sessions.\n \nDoD has determined the authenticators are not appropriate to define at the Enterprise level.'),(2888,'MA-4','5','The organization defines the personnel or roles  authorized to approve each nonlocal maintenance session.','DoD has defined the personnel or roles as the ISSO.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as the ISSO.'),(2889,'MA-4','5','The organization notifies organization-defined personnel or roles of the date and time of planned nonlocal maintenance.','The organization being inspected/assessed documents and implements a process to notify the user base which could be impacted by the maintenance event  of the date and time of planned nonlocal maintenance.\n \nDoD has defined the personnel or roles as the user base which could be impacted by the maintenance event.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed notifies the user base which could be impacted by the maintenance event  of the date and time of planned nonlocal maintenance.\n \nDoD has defined the personnel or roles as the user base which could be impacted by the maintenance event.'),(2890,'MA-4','6','The information system implements cryptographic mechanisms to protect the integrity of nonlocal maintenance and diagnostic communications.','The organization being inspected/assessed configures the information system to  implement cryptographic mechanisms to protect the integrity  of nonlocal maintenance and diagnostic communications.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2890.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement cryptographic mechanisms to protect the integrity of nonlocal maintenance and diagnostic communications.\n  \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2890.'),(2891,'MA-4','7','The information system implements remote disconnect verification at the termination of nonlocal maintenance and diagnostic sessions.','The organization being inspected/assessed configures the information system to implement remote disconnect verification at the termination of nonlocal maintenance and diagnostic sessions.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2891.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement remote disconnect verification at the termination of nonlocal maintenance and diagnostic sessions.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2891.'),(2892,'MA-5','1','The organization develops and implements alternate security safeguards in the event an information system component cannot be sanitized, removed, or disconnected from the system.','The organization being inspected/assessed documents and implements alternate security safeguards in the event an information system component cannot be sanitized, removed, or disconnected from the system.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed develops and implements alternate security safeguards in the event an information system component cannot be sanitized, removed, or disconnected from the system.'),(2893,'MA-5','5','The organization ensures that non-escorted personnel performing maintenance activities not directly associated with the information system but in the physical proximity of the system, have required access authorization.','The organization being inspected/assessed documents and implements a process to  ensure that non-escorted personnel performing maintenance activities not directly associated with the information system but in the physical proximity of the system, have required access authorization.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed ensures that non-escorted personnel performing maintenance activities not directly associated with the information system but in the physical proximity of the system, have required access authorization.'),(2894,'MA-5','','The organization ensures that non-escorted personnel performing maintenance on the information system have required access authorizations.','The organization being inspected/assessed documents and implements a process to ensure that non-escorted personnel performing maintenance on the information system have required access authorizations.\n \nThe organization must maintain a record of personnel performing maintenance on the information system.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of personnel performing maintenance on the information system to ensure the organization being inspected/assessed ensures that non-escorted personnel performing maintenance on the information system have required access authorizations.'),(2895,'MA-5','','The organization designates organizational personnel with required access authorizations and technical competence to supervise the maintenance activities of personnel who do not possess the required access authorizations.','The organization being inspected/assessed defines and documents organizational personnel with required access authorizations and technical competence to supervise the maintenance activities of personnel who do not possess the required access authorizations.','The organization conducting the inspection/assessment obtains and examines documented organizational personnel to ensure the organization being inspected/assessed designates organizational personnel with required access authorizations and technical competence to supervise the maintenance activities of personnel who do not possess the required access authorizations.'),(2896,'MA-6','','The organization defines the information system components for which it obtains maintenance support and/or spare parts.','The organization being inspected/assessed  defines and documents the information system components for which it obtains maintenance support and/or spare parts.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system components to ensure the organization being inspected/assessed defines the information system components for which it obtains maintenance support and/or spare parts.\n  \nDoD has determined the information system components are not appropriate to define at the Enterprise level.'),(2897,'MA-6','','The organization defines a time period for obtaining maintenance support and/or spare parts for organization-defined information system components after a failure.','DoD has defined the time period as within 24 hours (Low and Moderate Availability) or immediately upon failure for (High Availability).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as within 24 hours (Low and Moderate Availability) or immediately upon failure for (High Availability).'),(2898,'MA-6','1','The organization performs preventive maintenance on organization-defined information system components at organization-defined time intervals.','The organization being inspected/assessed performs preventive maintenance on information system components defined in MA-6 (1), CCI 2899 at time intervals defined in MA-6 (1), CCI 2900.\n \nThe organization must maintain schedules and records of preventive maintenance.','The organization conducting the inspection/assessment obtains and examines schedules and records of preventive maintenance to ensure the organization being inspected/assessed performs preventive maintenance on information system components defined in MA-6 (1), CCI 2899 at time intervals defined in MA-6 (1), CCI 2900.'),(2899,'MA-6','1','The organization defines information system components on which to perform preventive maintenance.','The organization being inspected/assessed defines and documents information system components on which to perform preventive maintenance.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system components to ensure the organization being inspected/assessed defines information system components on which to perform preventive maintenance.\n  \nDoD has determined the information system components are not appropriate to define at the Enterprise level.'),(2900,'MA-6','1','The organization defines time intervals to perform preventive maintenance on organization-defined information system components.','The organization being inspected/assessed defines and documents time intervals to perform preventive maintenance on organization-defined information system components.  \n \nTime periods must be determined based on methods of determining what preventive (or other) failure management policies to apply include, for example, original equipment manufacturer (OEM) recommendations, statistical failure records, requirements of codes, legislation, or regulations within a jurisdiction, expert opinion, maintenance that has already been conducted on similar equipment, or measured values and performance indications. \n \nDoD has determined the time intervals are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented time intervals to ensure the organization being inspected/assessed defines time intervals to perform preventive maintenance on organization-defined information system components.  \n  \nDoD has determined the time intervals are not appropriate to define at the Enterprise level.'),(2901,'MA-6','2','The organization performs predictive maintenance on organization-defined information system components at organization-defined intervals.','The organization being inspected/assessed performs predictive maintenance on information system components defined in MA-6 (2), CCI 2902 at time intervals defined in MA-6 (2), CCI 2903.\n \nThe organization must maintain schedules and records of predictive maintenance.','The organization conducting the inspection/assessment obtains and examines schedules and records of predictive maintenance to ensure the organization being inspected/assessed performs predictive maintenance on information system components defined in MA-6 (2), CCI 2902 at time intervals defined in MA-6 (2), CCI 2903.'),(2902,'MA-6','2','The organization defines information system components on which to perform predictive maintenance.','The organization being inspected/assessed defines and documents information system components on which to perform predictive maintenance.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system components to ensure the organization being inspected/assessed defines information system components on which to perform predictive maintenance.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.'),(2903,'MA-6','2','The organization defines time intervals to perform predictive maintenance on organization-defined information system components.','The organization being inspected/assessed defines and documents time intervals to perform predictive maintenance on organization-defined information system components.  \n \nDoD has determined the time intervals are not appropriate to define at the Enterprise level','The organization conducting the inspection/assessment obtains and examines the documented time intervals to ensure the organization being inspected/assessed defines time intervals to perform predictive maintenance on organization-defined information system components.  \n  \nDoD has determined the time intervals are not appropriate to define at the Enterprise level.'),(2904,'MA-6','3','The organization employs automated mechanisms to transfer predictive maintenance data to a computerized maintenance management system.','The organization being inspected/assessed documents and implements automated mechanisms to transfer predictive maintenance data to a computerized maintenance management system.','The organization conducting the inspection/assessment obtains and examines documentation of automated mechanisms to ensure the organization being inspected/assessed employs automated mechanisms to transfer predictive maintenance data to a computerized maintenance management system.'),(2905,'MA-2','2','The organization employs automated mechanisms to schedule, conduct, and document maintenance.','The organization being inspected/assessed documents and implements automated mechanisms to schedule, conduct, and document maintenance.','The organization conducting the inspection/assessment obtains and examines the documentation of automated mechanisms to ensure the organization being inspected/assessed employs automated mechanisms to schedule, conduct, and document maintenance.'),(2906,'RA-5','5','The organization defines the vulnerability scanning activities in which the information system implements privileged access authorization to organization-identified information system components.','The organization being inspected/assessed defines and documents the vulnerability scanning activities in which the information system implements privileged access authorization to organization-identified information system components.\n \nDoD has determined the vulnerability scanning activities are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented vulnerability scanning activities to ensure the organization being inspected/assessed defines the vulnerability scanning activities in which the information system implements privileged access authorization to organization-identified information system components.\n \nDoD has determined the vulnerability scanning activities are not appropriate to define at the Enterprise level.'),(2907,'AU-5','4','The organization defines the system mode to be invoked, such as a full system shutdown, a partial system shutdown, or a degraded operational mode with limited mission/business functionality available, in the event of organization-defined audit failures.','The organization being inspected/assessed defines and documents the system mode to be invoked.  Possible examples of system modes include a full system shutdown, a partial system shutdown, or a degraded operational mode with limited mission/business functionality available.\n \n','The organization conducting the inspection/assessment obtains and examines the documented system mode to ensure the organization being inspected/assessed defines  the system mode to be invoked.\n \n'),(2908,'PE-1','','The organization defines the personnel or roles to whom a physical and environmental protection policy is disseminated.','DoD has defined the personnel or roles as all personnel.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as all personnel.'),(2909,'PE-1','','The organization defines the personnel or roles to whom the physical and environmental protection procedures are disseminated.','DoD has defined the personnel or roles as all personnel.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as all personnel.'),(2910,'PE-2','','The organization approves a list of individuals with authorized access to the facility where the information system resides.','The organization being inspected/assessed  formally approves a list of individuals currently authorized to access the facility where the information system resides.','The organization conducting the inspection/assessment obtains and examines the list of individuals currently authorized to access the facility where the information system resides and ensures it is formally approved.'),(2911,'PE-2','','The organization maintains a list of individuals with authorized access to the facility where the information system resides.','The organization being inspected/assessed  maintains a list of individuals currently authorized to access the facility where the information system resides.','The organization conducting the inspection/assessment obtains and examines the list of individuals to ensure the organization being inspected/assessed maintains a list of individuals currently authorized to access the facility where the information system resides.'),(2912,'PE-2','2','The organization defines a list of acceptable forms of identification for visitor access to the facility where the information system resides.','The organization being inspected/assessed defines and documents a list of acceptable forms of identification for visitor access to the facility where the information system resides.\n \nDoD has determined the list of acceptable forms of identification are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented a list of acceptable forms of identification to ensure the organization being inspected/assessed defines a list of acceptable forms of identification for visitor access to the facility where the information system resides.\n \nDoD has determined the list of acceptable forms of identification are not appropriate to define at the Enterprise level.'),(2913,'PE-2','3','The organization restricts unescorted access to the facility where the information system resides to personnel with one or more of the following: security clearances for all information contained within the system; formal access authorizations for all information contained within the system; need for access to all information contained within the system; organization-defined credentials.','The organization being inspected/assessed defines and documents the requirements that must be met before unescorted access to the facility where the information system resides will be granted.  These requirements will be selected from: security clearances for all information contained within the system; formal access authorizations for all information contained within the system; need for access to all information contained within the system; credentials defined in PE-2 (3), CCI 2914.\n \nThis requirement must be documented within the organization\'s physical security policy.','The organization conducting the inspection/assessment obtains and examines the physical security policy to ensure the organization being inspected/assessed has selected one or more of the physical security requirements that must be met before unescorted access to the facility where the information system resides is granted'),(2914,'PE-2','3','The organization defines the credentials required for personnel to have unescorted access to the facility where the information system resides.','The organization being inspected/assessed defines and documents the credentials required for personnel to have unescorted access to the facility where the information system resides.\n \nDoD has determined the credentials are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented credentials to ensure the organization being inspected/assessed defines  the credentials required for personnel to have unescorted access to the facility where the information system resides.\n \nDoD has determined the credentials are not appropriate to define at the Enterprise level.'),(2915,'PE-3','','The organization defines the entry/exit points to the facility where the information system resides.','The organization being inspected/assessed defines and documents the entry/exit points to the facility where the information system resides.\n \nDoD has determined the entry/exit points are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented entry/exit points and inspects the facility to ensure that all entry/exit points are documented.\n \nDoD has determined the entry/exit points are not appropriate to define at the Enterprise level.'),(2916,'PE-3','','The organization defines the physical access control systems/devices or guards that control ingress/egress to the facility.','The organization being inspected/assessed defines and documents the physical access control systems/devices or guards that control ingress/egress to the facility.\n \nDoD has determined the physical access control systems/devices are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented physical access control systems/devices to ensure the organization being inspected/assessed defines the physical access control systems/devices or guards that control ingress/egress to the facility.\n \nDoD has determined the physical access control systems/devices are not appropriate to define at the Enterprise level.'),(2917,'PE-3','','The organization maintains physical access audit logs for organization-defined entry/exit points.','The organization being inspected/assessed maintains physical access audit logs for entry/exit points defined in PE-3, CCI 2918.','The organization conducting the inspection/assessment obtains and\nexamines the physical access audit logs and compares the logged entry with\nknown access to those entry points to ensure the organization being\ninspected/assessed maintains physical access audit logs for entry/exit\npoints defined in PE-3, CCI 2918.\n \nInstances of access that will be compared with the audit logs include, at a minimum, access as part of the inspection/assessment. Comparison of other\nentry/exit events required elsewhere in system documentation that would have occurred before the inspection/assessment such as daily checks and scheduled\nmaintenance are strongly encouraged and help to establish a history of compliance/non-compliance.'),(2918,'PE-3','','The organization defines entry/exit points that require physical access audit logs be maintained.','The organization being inspected/assessed defines and documents entry/exit points that require physical access audit logs be maintained.\n \nDoD has determined the entry/exit points are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented entry/exit points to ensure the organization being inspected/assessed defines entry/exit points that require physical access audit logs be maintained.\n \nDoD has determined the entry/exit points are not appropriate to define at the Enterprise level.'),(2919,'PE-3','','The organization provides organization-defined security safeguards to control access to areas within the facility officially designated as publicly accessible.','The organization being inspected/assessed provides security safeguards defined in PE-3, CCI 2920 to control access to areas within the facility officially designated as publicly accessible. \n \nThe organization must document which areas are officially designated as publicly accessible.','The organization conducting the inspection/assessment obtains and examines the documentation of areas officially designated as publicly accessible to ensure the organization being inspected/assessed provides security safeguards defined in PE-3, CCI 2920 to control access to areas within the facility officially designated as publicly accessible.'),(2920,'PE-3','','The organization defines security safeguards to control access to areas within the facility officially designated as publicly accessible.','The organization being inspected/assessed defines and documents security safeguards to control access to areas within the facility officially designated as publicly accessible.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security safeguards to ensure the organization being inspected/assessed defines security safeguards to control access to areas within the facility officially designated as publicly accessible.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(2921,'PE-3','','The organization escorts visitors  during organization-defined circumstances requiring visitor escorts.','The organization being inspected/assessed   documents and implements a process to escort visitors during circumstances defined in PE-3, CCI 2922 requiring visitor escorts.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed escorts visitors during circumstances defined in PE-3, CCI 2922 requiring visitor escorts.'),(2922,'PE-3','','The organization defines circumstances requiring visitor escorts.','The organization being inspected/assessed defines and documents circumstances requiring visitor escorts.\n \nDoD has determined the circumstances are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented circumstances to ensure the organization being inspected/assessed defines circumstances requiring visitor escorts.\n \nDoD has determined the circumstances are not appropriate to define at the Enterprise level.'),(2923,'PE-3','','The organization monitors visitor activity during organization-defined circumstances requiring visitor monitoring.','The organization being inspected/assessed documents and implements a process to monitor visitor activity during circumstances defined in PE-3, CCI 2924 requiring visitor monitoring.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed monitors visitor activity during circumstances defined in PE-3, CCI 2924 requiring visitor monitoring.'),(2924,'PE-3','','The organization defines circumstances requiring visitor monitoring.','The organization being inspected/assessed defines and documents circumstances requiring visitor monitoring.\n \nDoD has determined the circumstances are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented circumstances to ensure the organization being inspected/assessed defines circumstances requiring visitor monitoring.\n \nDoD has determined the circumstances are not appropriate to define at the Enterprise level.'),(2925,'PE-3','','The organization defines the physical access devices to inventory.','DoD has defined the physical access devices as minimally keys or any other physical token used to gain access.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the physical access devices as minimally keys or any other physical token used to gain access.'),(2926,'PE-3','1','The organization defines the physical spaces containing one or more components of the information system that require physical access authorizations  and controls at the facility.','The organization being inspected/assessed defines and documents the physical spaces containing one or more components of the information system that require physical access authorizations  and controls at the facility.\n \nDoD has determined the physical spaces are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented physical spaces to ensure the organization being inspected/assessed defines the physical spaces containing one or more components of the information system that require physical access authorizations  and controls at the facility.\n \nDoD has determined the physical spaces are not appropriate to define at the Enterprise level.'),(2927,'PE-3','2','The organization defines the frequency to perform security checks at the physical boundary of the facility or information system for unauthorized exfiltration of information or removal of information system components.','DoD has defined the frequency as at a minimum, annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as at a minimum, annually.'),(2928,'PE-3','5','The organization defines security safeguards to detect and prevent physical tampering or alteration of organization-defined hardware components within the information system.','The organization being inspected/assessed defines and documents security safeguards to detect and prevent physical tampering or alteration of organization-defined hardware components within the information system.  \n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security safeguards to ensure the organization being inspected/assessed defines security safeguards to detect and prevent physical tampering or alteration of organization-defined hardware components within the information system.  \n  \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(2929,'PE-3','5','The organization defines hardware components within the information system to employ organization-defined security safeguards to detect and prevent physical tampering or alteration.','The organization being inspected/assessed defines and documents hardware components within the information system to employ organization-defined security safeguards to detect and prevent physical tampering or alteration.\n \nDoD has determined the hardware components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented hardware components to ensure the organization being inspected/assessed  defines hardware components within the information system to employ organization-defined security safeguards to detect and prevent physical tampering or alteration.\n \nDoD has determined the hardware components are not appropriate to define at the Enterprise level.'),(2930,'PE-4','','The organization defines information system distribution and transmission lines within organizational facilities to control physical access using organization-defined security safeguards.','The organization being inspected/assessed defines and documents information system distribution and transmission lines within organizational facilities to control physical access using organization-defined security safeguards.\n \nIf transmission lines carry classified information, a protected distribution system (PDS) must be used to transmit unencrypted classified information through an area of lesser classification or control.  For additional information, see NSTISSI No. 7003.  \n \nDoD has determined the information system distribution and transmission lines are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system distribution and transmission lines to ensure the organization being inspected/assessed defines information system distribution and transmission lines within organizational facilities to control physical access using organization-defined security safeguards.\n \nDoD has determined the information system distribution and transmission lines are not appropriate to define at the Enterprise level.'),(2931,'PE-4','','The organization defines security safeguards to control physical access to organization-defined information system distribution and transmission lines within organizational facilities.','The organization being inspected/assessed defines and documents security safeguards to control physical access to organization-defined information system distribution and transmission lines within organizational facilities.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security safeguards to ensure the organization being inspected/assessed defines security safeguards to control physical access to organization-defined information system distribution and transmission lines within organizational facilities.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(2932,'PE-5','1','The organization controls physical access to output from organization-defined output devices.','The organization being inspected/assessed  documents and implements a process to control physical access to output from output devices defined in PE-5 (1), CCI 2933.','The organization conducting the inspection/assessment obtains and examines the documented process and inspects the physical access controls surrounding a sampling of output devices to ensure the organization being inspected/assessed controls physical access to output from output devices defined in PE-5 (1), CCI 2933.'),(2933,'PE-5','1','The organization defines output devices for which physical access to output is controlled.','The organization being inspected/assessed defines and documents output devices for which physical access to output is controlled.\n \nDoD has determined the output devices are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented output devices to ensure the organization being inspected/assessed defines output devices for which physical access to output is controlled.\n \nDoD has determined the output devices are not appropriate to define at the Enterprise level.'),(2934,'PE-5','1','The organization ensures that only authorized individuals receive output from the organization-defined output device.','The organization being inspected/assessed documents and implements a process to ensure that only authorized individuals receive output from the output device defined in PE-5 (1), CCI 2933.','The organization conducting the inspection/assessment obtains and examines the documented process and inspects the physical access controls surrounding a sampling of output devices to ensure the organization being inspected/assessed ensures that only authorized individuals receive output from the output device defined in PE-5 (1), CCI 2933.'),(2935,'PE-5','2','The information system controls physical access to output from organization-defined output devices.','The organization being inspected/assessed configures the information system to control physical access to output from output devices  defined in PE-5 (1), CCI 2933.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2935.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to control physical access to output from output devices  defined in PE-5 (1), CCI 2933.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2935.'),(2936,'PE-5','2','The information system links individual identity to receipt of the output from the organization-defined output device.','The organization being inspected/assessed configures the information system to link individual identity to receipt of the output from the output device defined in PE-5 (1), CCI 2933.\n  \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 2936.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to link individual identity to receipt of the output from the output device defined in PE-5 (1), CCI 2933.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 2936.'),(2937,'PE-5','3','The organization marks organization-defined information system output devices indicating the appropriate security marking of the information permitted to be output from the device.','The organization being inspected/assessed marks all devices if the organizational facility contains classified information indicating the appropriate security marking of the information permitted to be output from the device.\n \nDoD has defined the information system output devices as all devices if the organizational facility contains classified information.','The organization conducting the inspection/assessment inspects a sampling of information system components to ensure the organization being inspected/assessed marks all devices if the organizational facility contains classified information indicating the appropriate security marking of the information permitted to be output from the device.\n \nDoD has defined the information system output devices as all devices if the organizational facility contains classified information.'),(2938,'PE-5','3','The organization defines the information system output devices marked indicating the appropriate security marking of the information permitted to be output from the device.','DoD has defined the information system output devices as all devices if the organizational facility contains classified information.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the information system output devices as all devices if the organizational facility contains classified information.'),(2939,'PE-6','','The organization monitors physical access to the facility where the information system resides to detect and respond to physical security incidents.','The organization being inspected/assessed will implement monitoring procedures to ensure physical access intrusion alarms and surveillance equipment are actively monitored to detect and respond to all physical access security incidents.','The organization conducting the inspection/assessment obtains and examines the inspected organization\'s monitoring procedures addressing physical access monitoring. Organizational personnel with physical access monitoring responsibilities are to be interviewed. The objective of the reviews and interviews is to validate the organization is actively monitoring its physical access intrusion alarms and surveillance equipment to detect and respond to all physical access security incidents.'),(2940,'PE-6','','The organization reviews physical access logs upon occurrence of organization-defined events or potential indications of events','The organization being inspected/assessed documents and implements a process to review physical access logs upon occurrence of  events or potential indications of events defined in PE-6, CCI 2941.\n \nThe organization must maintain records of reviews.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the records of reviews to ensure the organization being inspected/assessed reviews physical access logs upon occurrence of  events or potential indications of events defined in PE-6, CCI 2941.'),(2941,'PE-6','','The organization defines events or potential indications of events requiring review of physical access logs.','The organization being inspected/assessed defines and documents events or potential indications of events requiring review of physical access logs.\n \nDoD has determined the events or potential indications of events are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented events or potential indications of events to ensure the organization being inspected/assessed defines events or potential indications of events requiring review of physical access logs.\n \nDoD has determined the events or potential indications of events are not appropriate to define at the Enterprise level.'),(2942,'PE-6','2','The organization employs automated mechanisms to recognize organization-defined classes/types of intrusions.','The organization being inspected/assessed implements automated mechanisms to recognize classes/types of intrusions defined in PE-6 (2), CCI 2943.','The organization conducting the inspection/assessment obtains and examines hardware/software lists and/or any other documentation showing the use of automated intrusion detection systems to ensure the organization being inspected/assessed implements automated mechanisms to recognize classes/types of intrusions defined in PE-6 (2), CCI 2943.'),(2943,'PE-6','2','The organization defines classes/types of intrusions to recognize using automated mechanisms.','The organization being inspected/assessed defines and documents classes/types of intrusions to recognize using automated mechanisms.\n \nDoD has determined the classes/types of intrusions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented classes/types of intrusion to ensure the organization being inspected/assessed defines classes/types of intrusions to recognize using automated mechanisms.\n \nDoD has determined the classes/types of intrusions are not appropriate to define at the Enterprise level.'),(2944,'PE-6','2','The organization employs automated mechanisms to initiate organization-defined response actions to organization-defined classes/types of intrusions.','The organization being inspected/assessed implements automated mechanisms to initiate response actions defined in PE-6 (2), CCI 2945  to classes/types of intrusions defined in PE-6 (2), CCI 2943.','The organization conducting the inspection/assessment obtains and examines hardware/software lists and/or any other documentation showing the use of automated intrusion detection systems to ensure the organization being inspected/assessed implements automated mechanisms to initiate response actions defined in PE-6 (2), CCI 2945  to classes/types of intrusions defined in PE-6 (2), CCI 2943.'),(2945,'PE-6','2','The organization defines response actions to initiate when organization-defined classes/types of intrusions are recognized.','The organization being inspected/assessed defines and documents response actions to initiate when organization-defined classes/types of intrusions are recognized.\n \nDoD has determined the response actions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented response actions to ensure the organization being inspected/assessed defines response actions to initiate when organization-defined classes/types of intrusions are recognized.\n \nDoD has determined the response actions are not appropriate to define at the Enterprise level.'),(2946,'PE-6','3','The organization employs video surveillance of organization-defined operational areas.','The organization being inspected/assessed documents and implements video surveillance of operational areas defined in PE-6 (3), CCI 2947.','The organization conducting the inspection/assessment obtains and examines the documentation of video surveillance a sampling of recorded video surveillance to ensure the organization being inspected/assessed employs video surveillance of operational areas defined in PE-6 (3), CCI 2947.'),(2947,'PE-6','3','The organization defines the operational areas to employ video surveillance.','The organization being inspected/assessed defines and documents the operational areas to employ video surveillance.\n \nDoD has determined the operational areas are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented operational areas to ensure the organization being inspected/assessed defines the operational areas to employ video surveillance.\n \nDoD has determined the operational areas are not appropriate to define at the Enterprise level.'),(2948,'PE-6','3','The organization retains video surveillance recordings for organization-defined time period.','The organization being inspected/assessed documents and implements a process to  retain video surveillance recordings for at a minimum 90 days.\n \nDoD has defined the time period as at a minimum 90 days.','The organization conducting the inspection/assessment obtains and examines the documented process and a sampling of recordings from within 90 days to ensure the organization being inspected/assessed retains video surveillance recordings for at a minimum 90 days.\n \nDoD has defined the time period as at a minimum 90 days.'),(2949,'PE-6','3','The organization defines the time period to retain video surveillance recordings.','DoD has defined the time period as at a minimum 90 days.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as at a minimum 90 days.'),(2950,'PE-6','4','The organization monitors physical access to the information system in addition to the physical access monitoring of the facility as organization-defined physical spaces containing one or more components of the information system.','The organization being inspected/assessed documents and implements a process to monitor physical access to the information system in addition to the physical access monitoring of the facility as physical spaces containing one or more components of the information system defined in PE-6 (4), CCI 2951.\n \nThe organization must maintain records of monitoring.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the records of monitoring to ensure the organization being inspected/assessed monitors physical access to the information system in addition to the physical access monitoring of the facility as physical spaces containing one or more components of the information system defined in PE-6 (4), CCI 2951.'),(2951,'PE-6','4','The organization defines physical spaces containing one or more components of the information system in which physical access is monitored.','The organization being inspected/assessed defines and documents physical spaces containing one or more components of the information system in which physical access is monitored.\n \nDoD has determined the physical spaces are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented physical spaces to ensure the organization being inspected/assessed defines  physical spaces containing one or more components of the information system in which physical access is monitored.\n \nDoD has determined the physical spaces are not appropriate to define at the Enterprise level.'),(2952,'PE-8','','The organization defines the time period to maintain visitor access records to the facility where the information system resides.','DoD has defined the time period as at least one year.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as at least one year.'),(2953,'PE-9','1','The organization employs redundant power cabling paths that are physically separated by organization-defined distance.','The organization being inspected/assessed employs redundant power cabling paths that are physically separated by the distance defined in PE-9 (1), CCI 2954.','The organization conducting the inspection/assessment obtains and examines cabling diagrams or, if unavailable, inspects power cabling configuration to ensure the organization being inspected/assessed employs redundant power cabling paths that are physically separated by the distance defined in PE-9 (1), CCI 2954.'),(2954,'PE-9','1','The organization defines the distance to physically separate redundant power cabling paths.','The organization being inspected/assessed defines and documents the distance to physically separate redundant power cabling paths.\n \nDoD has determined the distance is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented distance to ensure the organization being inspected/assessed defines  the distance to physically separate redundant power cabling paths.\n \nDoD has determined the distance is not appropriate to define at the Enterprise level.'),(2955,'PE-11','','The organization provides a short-term uninterruptible power supply to facilitate an orderly shutdown of the information system and/or transition of the information system to long-term alternate power in the event of a primary power source loss.','The organization being inspected/assessed implements an uninterruptible power supply with sufficient capacity to support orderly shutdown of the system or transition the system to long-term alternate power in the event of a primary power source loss.','The organization conducting the inspection/assessment obtains and examines documentation identifying the capacity of the implemented uninterruptible power supply, documentation identifying the power requirements of the system, and documentation identifying the contingency plan in the event of primary power source loss to ensure the organization being inspected/assessed provides uninterruptible power supply with sufficient capacity to support orderly shutdown of the system or transition the system to long-term alternate power in the event of a primary power source loss.'),(2956,'PE-11','2','The organization provides a long-term alternate power supply for the information system that is self-contained.','The organization being inspected/assessed implements a long-term alternate power supply for the information system that is self-contained.','The organization conducting the inspection/assessment obtains and examines documentation identifying the implemented alternate power supply to ensure the organization being inspected/assessed implements a long-term alternate power supply for the information system that is self-contained.'),(2957,'PE-11','2','The organization provides a long-term alternate power supply for the information system that is not reliant on external power generation.','The organization being inspected/assessed implements a long-term alternate power supply for the information system that is not reliant on external power generation.','The organization conducting the inspection/assessment obtains and examines documentation identifying the implemented alternate power supply to ensure the organization being inspected/assessed implements a  long-term alternate power supply for the information system that is not reliant on external power generation.'),(2958,'PE-11','2','The organization provides a long-term alternate power supply for the information system that is capable of maintaining minimally required operational capability or full operational capability in the event of an extended loss of the primary power source.','The organization being inspected/assessed implements a long-term alternate power supply for the information system that is capable of maintaining minimally required operational capability or full operational capability in the event of an extended loss of the primary power source.','The organization conducting the inspection/assessment obtains and examines documentation identifying the implemented alternate power supply to ensure the organization being inspected/assessed implements a long-term alternate power supply for the information system that is capable of maintaining minimally required operational capability or full operational capability in the event of an extended loss of the primary power source.'),(2959,'PE-12','1','The organization provides emergency lighting for all areas within the facility supporting essential missions.','The organization being inspected/assessed implements emergency lighting for all areas within the facility supporting essential missions.','The organization conducting the inspection/assessment inspects areas within the facility supporting essential missions to ensure emergency lighting is implemented.'),(2960,'PE-12','1','The organization provides emergency lighting for all areas within the facility supporting essential business functions.','The organization being inspected/assessed implements emergency lighting for all areas within the facility supporting essential business functions.','The organization conducting the inspection/assessment inspects areas within the facility supporting essential business functions to ensure emergency lighting is implemented.'),(2961,'PE-13','1','The organization employs fire detection devices/systems for the information system that activate automatically.','The organization being inspected/assessed documents and implements fire detection devices/systems for the information system that activate automatically.','The organization conducting the inspection/assessment obtains and examines the documented evidence of fire detection devices/systems to ensure the organization being inspected/assessed employs fire detection devices/systems for the information system that activate automatically.'),(2962,'PE-13','1','The organization employs fire detection devices/systems for the information system that automatically activate to notify organization-defined personnel or roles and organization-defined emergency responders in the event of a fire.','The organization being inspected/assessed documents and implements fire detection devices/systems for the information system that automatically activate to notify personnel or roles defined in PE-13 (1), CCI 2963 and emergency responders defined in PE-13 (1), CCI 2964 in the event of a fire.','The organization conducting the inspection/assessment obtains and examines the documented evidence of fire detection devices/systems to ensure the organization being inspected/assessed employs fire detection devices/systems for the information system that automatically activate to notify personnel or roles defined in PE-13 (1), CCI 2963 and emergency responders defined in PE-13 (1), CCI 2964 in the event of a fire.'),(2963,'PE-13','1','The organization defines the personnel or roles to be notified in the event of a fire.','The organization being inspected/assessed defines and documents the personnel or roles to be notified in the event of a fire.\n \nDoD has determined the personnel or roles are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented personnel or roles to ensure the organization being inspected/assessed defines the personnel or roles to be notified in the event of a fire.\n \nDoD has determined the personnel or roles are not appropriate to define at the Enterprise level.'),(2964,'PE-13','1','The organization defines the emergency responders to be notified in the event of a fire.','The organization being inspected/assessed defines and documents the emergency responders to be notified in the event of a fire.\n \nDoD has determined the emergency responders are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented emergency responders to ensure the organization being inspected/assessed defines the emergency responders to be notified in the event of a fire.\n \nDoD has determined the emergency responders are not appropriate to define at the Enterprise level.'),(2965,'PE-13','2','The organization employs fire suppression devices/systems for the information system that provide automatic notification of any activation to organization-defined personnel or roles and organization defined emergency responders.','The organization being inspected/assessed documents and implements fire suppression devices/systems for the information system that provide automatic notification of any activation to organization-defined personnel or roles and organization defined emergency responders.','The organization conducting the inspection/assessment obtains and examines the documented evidence of fire detection devices/systems to ensure the organization being inspected/assessed employs fire suppression devices/systems for the information system that provide automatic notification of any activation to organization-defined personnel or roles and organization defined emergency responders.'),(2966,'PE-13','2','The organization defines the personnel or roles to be automatically notified of any activation of fire suppression devices/systems for the information system.','The organization being inspected/assessed defines and documents the personnel or roles to be automatically notified of any activation of fire suppression devices/systems for the information system.\n \nDoD has determined the personnel or roles are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented personnel or roles to ensure the organization being inspected/assessed defines the personnel or roles to be automatically notified of any activation of fire suppression devices/systems for the information system.\n \nDoD has determined the personnel or roles are not appropriate to define at the Enterprise level.'),(2967,'PE-13','2','The organization defines the emergency responders to be automatically notified of any activation of fire suppression devices/systems for the information system.','The organization being inspected/assessed defines and documents the emergency responders to be automatically notified of any activation of fire suppression devices/systems for the information system.\n \nDoD has determined the emergency responders are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented emergency responders to ensure the organization being inspected/assessed defines the emergency responders to be automatically notified of any activation of fire suppression devices/systems for the information system.\n \nDoD has determined the emergency responders are not appropriate to define at the Enterprise level.'),(2968,'PE-13','4','The organization ensures that the facility undergoes, on an organization-defined frequency, fire protection inspections by authorized and qualified inspectors.','The organization being inspected/assessed implements a process to undergo fire protection inspections by authorized and qualified inspectors annually.\n \nThe organization must maintain a record of inspections.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines the record of inspections to ensure the organization being inspected/assessed implements a process to undergo fire protection inspections by authorized and qualified inspectors annually.\n  \nDoD has defined the frequency as annually.'),(2969,'PE-13','4','The organization defines a frequency to undergo fire protection inspections of the facility.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(2970,'PE-13','4','The organization resolves deficiencies identified during facility fire protection inspections within organization-defined time period.','The organization being inspected/assessed resolves deficiencies identified during facility fire protection inspections within 60 days.\n \nDoD has defined the time period as 60 days.','The organization conducting the inspection/assessment obtains and examines past facility fire protection inspection reports and inspects the facility to ensure all deficiencies identified are resolved in 60 days.\n \nDoD has defined the time period as 60 days.'),(2971,'PE-13','4','The organization defines the time period within which to resolve deficiencies that were identified during facility fire protection inspections.','DoD has defined the time period as 60 days.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as 60 days.'),(2972,'PE-15','1','The organization employs automated mechanisms to detect the presence of water in the vicinity of the information system and alerts organization-defined personnel or roles.','The organization being inspected/assessed documents and implements automated mechanisms to detect the presence of water in the vicinity of the information system and alerts personnel or roles defined in PE-15 (1), CCI 2973.','The organization conducting the inspection/assessment obtains and examines documentation identifying water detection mechanisms to ensure the organization being inspected/assessed  implements automated mechanisms to detect the presence of water in the vicinity of the information system and alerts personnel or roles defined in PE-15 (1), CCI 2973.'),(2973,'PE-15','1','The organization defines the personnel or roles to be alerted when automated mechanisms detect the presence of water in the vicinity of the information system.','The organization being inspected/assessed defines and documents the personnel or roles to be alerted when automated mechanisms detect the presence of water in the vicinity of the information system.\n \nDoD has determined the personnel or roles are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented personnel or roles to ensure the organization being inspected/assessed defines the personnel or roles to be alerted when automated mechanisms detect the presence of water in the vicinity of the information system.\n \nDoD has determined the personnel or roles are not appropriate to define at the Enterprise level.'),(2974,'PE-16','','The organization defines types of information system components to authorize, monitor, and control entering and exiting the facility and to maintain records.','DoD has defined the types of information system components as all system components.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the types of information system components as all system components.'),(2975,'PE-17','','The organization defines security controls to employ at alternate work sites.','The organization being inspected/assessed defines and documents security controls to employ at alternate work sites, which must include all applicable building and safety codes for the information system\'s environment\n \nDoD has determined the security controls are not appropriate to define at the Enterprise level, but must include all applicable building and safety codes for the information system\'s environment.','The organization conducting the inspection/assessment obtains and examines the documented security controls to ensure the organization being inspected/assessed defines security controls to employ at alternate work sites, which must include all applicable building and safety codes for the information system\'s environment.\n \nDoD has determined the security controls are not appropriate to define at the Enterprise level,  but must include all applicable building and safety codes for the information system\'s environment.'),(2976,'PE-18','','The organization defines physical and environmental hazards that could cause potential damage to information system components within the facility.','The organization being inspected/assessed defines and documents physical and environmental hazards that could cause potential damage to information system components within the facility.\n \nDoD has determined the physical and environmental hazards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented physical and environmental hazards to ensure the organization being inspected/assessed defines physical and environmental hazards that could cause potential damage to information system components within the facility.\n \nDoD has determined the physical and environmental hazards are not appropriate to define at the Enterprise level.'),(2977,'PE-18','1','The organization plans the location or site of the facility where the information system resides with regard to physical and environmental hazards.','The organization being inspected/assessed  plans the location or site of the facility where the information system resides with regard to physical and environmental hazards.\n \nThe organization must document the rationale for planning the location or site of the facility.','The organization conducting the inspection/assessment obtains and examines the documented rationale to ensure the organization being inspected/assessed plans the location or site of the facility where the information system resides with regard to physical and environmental hazards.'),(2978,'PE-18','1','The organization considers the physical and environmental hazards in its risk mitigation strategy for existing facilities.','The organization being inspected/assessed considers the physical and environmental hazards in its risk mitigation strategy for existing facilities.\n \nThe organization must document the risk assessment.','The organization conducting the inspection/assessment obtains and examines the physical and environmental risk assessment to ensure the organization being inspected/assessed considers the physical and environmental hazards in its risk mitigation strategy for existing facilities.'),(2979,'PE-20','','The organization employs organization-defined asset location technologies to track and monitor the location and movement of organization-defined assets within organization-defined controlled areas.','The organization being inspected/assessed implements asset location technologies defined in PE-20, CCI 2980 to track and monitor the location and movement of assets defined in PE-20, CCI 2981 within controlled areas defined in PE-20, CCI 2982.','The organization conducting the inspection/assessment obtains and examines documentation reflecting asset location technologies in use to ensure the organization being inspected/assessed implements asset location technologies defined in PE-20, CCI 2980 to track and monitor the location and movement of assets defined in PE-20, CCI 2981 within controlled areas defined in PE-20, CCI 2982.'),(2980,'PE-20','','The organization defines asset location technologies to track and monitor the location and movement of organization-defined assets within organization-defined controlled areas.','The organization being inspected/assessed defines and documents asset location technologies to track and monitor the location and movement of organization-defined assets within organization-defined controlled areas.\n \nDoD has determined the asset location technologies are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented asset location technologies to ensure the organization being inspected/assessed defines asset location technologies to track and monitor the location and movement of organization-defined assets within organization-defined controlled areas.\n \nDoD has determined the asset location technologies are not appropriate to define at the Enterprise level.'),(2981,'PE-20','','The organization defines the assets within the organization-defined controlled areas which are to be tracked and monitored for their location and movement.','The organization being inspected/assessed defines and documents the assets within the organization-defined controlled areas which are to be tracked and monitored for their location and movement. \n \nDoD has determined the assets are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented assets to ensure the organization being inspected/assessed defines the assets within the organization-defined controlled areas which are to be tracked and monitored for their location and movement. \n \nDoD has determined the assets are not appropriate to define at the Enterprise level.'),(2982,'PE-20','','The organization defines controlled areas that the location and movement of organization-defined assets are tracked and monitored.','The organization being inspected/assessed defines and documents controlled areas that the location and movement of organization-defined assets are tracked and monitored.\n \nDoD has determined the controlled areas are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented controlled areas to ensure the organization being inspected/assessed defines  controlled areas that the location and movement of organization-defined assets are tracked and monitored.\n \nDoD has determined the controlled areas are not appropriate to define at the Enterprise level.'),(2983,'PE-20','','The organization ensures that asset location technologies are employed in accordance with applicable federal laws, Executive Orders, directives, regulations, policies, standards, and guidance.','The organization being inspected/assessed identifies and documents any  federal laws, Executive Orders, directives, regulations, policies, standards,  and guidance applicable to the asset location technologies in use. In particular, the organization identifies any requirements to protect the privacy of personnel transporting assets being tracked. The organization  documents a process to meet the applicable requirements in their documentation of asset tracking technologies (PE-20, CCI 2980).\n \n ','The organization conducting the inspection/assessment obtains and examines the documented list of any federal laws, Executive Orders, directives, regulations, policies, standards, and guidance applicable to the asset location technologies in use, as well as the documentation of asset tracking technologies per PE-20, CCI 2980, to ensure that the organization being inspected/assessed identifies any requirements (particularly privacy requirements) applicable to the asset tracking methodologies in use, and to  ensure that the organization implements a process to meet those identified requirements.\n '),(2984,'PM-1','','The organization develops an organization-wide information security program plan that reflects coordination among organizational entities responsible for the different aspects of information security (i.e., technical, physical, personnel, cyber-physical).','DoDI 8500.01 and the Knowledge Service meet the requirement for this control; individual organizations and system owners must provide documentation of common control implementation in their Security Plan.','DoD components are automatically compliant with this control as they are covered at the DoD level by DoDI 8500.01 and the Knowledge Service.  If the organization or system owner is utilizing common controls they must be documented  in their Security Plan.'),(2985,'PM-1','','The organization disseminates an organization-wide information security program plan that provides an overview of the requirements for the security program and a description of the security program management controls and common controls in place or planned for meeting those requirements.','The organization being inspected/assessed disseminates, via an information sharing portal, an organization-wide information security program plan that provides an overview of the requirements for the security program and a description of the security program management controls and common controls in place or planned for meeting those requirements.','The organization conducting the inspection/assessment obtains and examines the organization-wide information security program plan via the organization\'s information sharing portal to ensure the organization being inspected/assessed  disseminates an organization-wide information security program plan that provides an overview of the requirements for the security program and a description of the security program management controls and common controls in place or planned for meeting those requirements.'),(2986,'PM-1','','The organization disseminates an organization-wide information security program plan that includes the identification and assignment of roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','The organization being inspected/assessed disseminates, via an information sharing portal, an organization-wide information security program plan that includes the identification and assignment of roles, responsibilities, management commitment, coordination among organizational entities, and compliance.','The organization conducting the inspection/assessment obtains and examines the organization-wide information security program plan via the organization\'s information sharing portal to ensure the organization being inspected/assessed  disseminates an organization-wide information security program plan that includes the identification and assignment of roles, responsibilities, management commitment, coordination among organizational entities, and compliance.'),(2987,'PM-1','','The organization disseminates an organization-wide information security program plan that reflects coordination among organizational entities responsible for the different aspects of information security (i.e., technical, physical, personnel, cyber-physical).','The organization being inspected/assessed disseminates, via an information sharing portal, an organization-wide information security program plan that reflects coordination among organizational entities responsible for the different aspects of information security (i.e., technical, physical, personnel, cyber-physical).','The organization conducting the inspection/assessment obtains and examines the organization-wide information security program plan via the organization\'s information sharing portal to ensure the organization being inspected/assessed  disseminates an organization-wide information security program plan that reflects coordination among organizational entities responsible for the different aspects of information security (i.e., technical, physical, personnel, cyber-physical).'),(2988,'PM-1','','The organization disseminates an organization-wide information security program plan that is approved by a senior official with responsibility and accountability for the risk being incurred to organizational operations (including mission, functions, image, and reputation), organizational assets, individuals, other organizations, and the Nation.','The organization being inspected/assessed disseminates, via an information sharing portal, an organization-wide information security program plan that is approved by a senior official with responsibility and accountability for the risk being incurred to organizational operations (including mission, functions, image, and reputation), organizational assets, individuals, other organizations, and the Nation.','The organization conducting the inspection/assessment obtains and examines the organization-wide information security program plan via the organization\'s information sharing portal to ensure the organization being inspected/assessed disseminates an organization-wide information security program plan that is approved by a senior official with responsibility and accountability for the risk being incurred to organizational operations (including mission, functions, image, and reputation), organizational assets, individuals, other organizations, and the Nation.'),(2989,'PM-1','','The organization protects the information security program plan from unauthorized disclosure.','The organization being inspected/assessed documents and implements methods to protect the information security program plan from unauthorized disclosure such as storage in a secured location.','The organization conducting the inspection/assessment obtains and examines the documented methods of protection to ensure the organization being inspected/assessed implements methods to protect the information security program plan from unauthorized disclosure such as storage in a secured location.'),(2990,'PM-1','','The organization protects the information security program plan from unauthorized modification.','The organization being inspected/assessed documents and implements methods to protect the information security program plan from unauthorized modification such as storage in a secured location.','The organization conducting the inspection/assessment obtains and examines the documented methods of protection to ensure the organization being inspected/assessed implements methods to protect the information security program plan from unauthorized modification such as storage in a secured location.'),(2991,'PM-4','','The organization implements a process for ensuring that plans of action and milestones for the security program and associated organizational information systems are developed.','DoDI 8510.01 and the Knowledge Service meet the DoD requirements to develop a process for plans of action and milestones for the security program.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8510.01 and the Knowledge Service.','DoDI 8510.01 and the Knowledge Service meet the DoD requirements to develop a process for plans of action and milestones for the security program.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8510.01 and the Knowledge Service.'),(2992,'PM-4','','The organization implements a process for ensuring that plans of action and milestones for the security program and associated organizational information systems are reported in accordance with OMB FISMA reporting requirements.','DoDI 8510.01 and the Knowledge Service meet the DoD requirements to implement a process ensuring that the plans of action and milestones for the security program  are reported in accordance with OMB FISMA reporting requirements.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8510.01 and the Knowledge Service.','DoDI 8510.01 and the Knowledge Service meet the DoD requirements to implement a process ensuring that the plans of action and milestones for the security program  are reported in accordance with OMB FISMA reporting requirements.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8510.01 and the Knowledge Service.'),(2993,'PM-4','','The organization reviews plans of action and milestones for the security program and associated organization information systems for consistency with the organizational risk management strategy and organization-wide priorities for risk response actions.','The organization being inspected/assessed documents and implements a process to review plans of action and milestones for the security program and associated organization information systems for consistency with the organizational risk management strategy and organization-wide priorities for risk response actions.\n \nThe organization must maintain a record of reviews.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of reviews to ensure the organization being inspected/assessed reviews plans of action and milestones for the security program and associated organization information systems for consistency with the organizational risk management strategy and organization-wide priorities for risk response actions.'),(2994,'PM-9','','The organization reviews and updates the risk management strategy in accordance with organization-defined frequency or as required, to address organizational changes.','DoD Risk Management Framework meets the requirement for a comprehensive organizational risk strategy.\n \nDoD components are automatically compliant with this control because they are covered by the DoD Risk Management Framework','DoD Risk Management Framework meets the requirement for a comprehensive organizational risk strategy.\n \nDoD components are automatically compliant with this control because they are covered by the DoD Risk Management Framework'),(2995,'PM-9','','The organization defines the frequency to review and update the risk management strategy to address organizational changes.','DoD has defined the frequency as every 5 years.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as every 5 years.'),(2996,'PM-12','','The organization implements an insider threat program that includes a cross-discipline insider threat incident handling team.','The organization being inspected/assessed  documents and implements an insider threat program that includes a cross-discipline insider threat incident handling team.','The organization conducting the inspection/assessment obtains and examines the documented insider threat program to ensure the organization being inspected/assessed implements an insider threat program that includes a cross-discipline insider threat incident handling team.'),(2997,'PM-13','','The organization establishes an information security workforce development and improvement program.','DoD 8570.01-M, \"Information Assurance Workforce Improvement Program\" meets the DoD requirement to  establish an information security workforce development and improvement program.\n \nDoD components are automatically complaint with this control as they are covered at the DoD level, DoDI 8570.01-M.','DoD 8570.01-M meets the DoD requirement to  establish an information security workforce development and improvement program.\n \nDoD components are automatically complaint with this control as they are covered at the DoD level, DoDI 8570.01-M.'),(2998,'PM-14','','The organization implements a process for ensuring that organizational plans for conducting security testing activities associated with organizational information systems are developed.','The organization being inspected/assessed documents and implements a process for ensuring that organizational plans for conducting security testing activities associated with organizational information systems are developed.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed  implements a process for ensuring that organizational plans for conducting security testing activities associated with organizational information systems are developed.'),(2999,'PM-14','','The organization implements a process for ensuring that organizational plans for conducting security testing activities associated with organizational information systems are maintained.','The organization being inspected/assessed documents and implements a process for ensuring that organizational plans for conducting security testing activities associated with organizational information systems are maintained.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed   implements a process for ensuring that organizational plans for conducting security testing activities associated with organizational information systems are maintained.'),(3000,'PM-14','','The organization implements a process for ensuring that organizational plans for conducting security training activities associated with organizational information systems are developed.','The organization being inspected/assessed documents and implements a process for ensuring that organizational plans for conducting security training activities associated with organizational information systems are developed.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed implements a process for ensuring that organizational plans for conducting security training activities associated with organizational information systems are developed.'),(3001,'PM-14','','The organization implements a process for ensuring that organizational plans for conducting security training activities associated with organizational information systems are maintained.','The organization being inspected/assessed documents and implements a process for ensuring that organizational plans for conducting security training activities associated with organizational information systems are maintained.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed   implements a process for ensuring that organizational plans for conducting security training activities associated with organizational information systems are maintained.'),(3002,'PM-14','','The organization implements a process for ensuring that organizational plans for conducting security monitoring activities associated with organizational information systems are developed.','The organization being inspected/assessed documents and implements a process for ensuring that organizational plans for conducting security monitoring activities associated with organizational information systems are developed.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed  implements a process for ensuring that organizational plans for conducting security monitoring activities associated with organizational information systems are developed.'),(3003,'PM-14','','The organization implements a process for ensuring that organizational plans for conducting security monitoring activities associated with organizational information systems are maintained.','The organization being inspected/assessed documents and implements a process for conducting security monitoring activities associated with organizational information systems are maintained.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed   implements a process for ensuring that organizational plans for conducting security monitoring activities associated with organizational information systems are maintained.'),(3004,'PM-14','','The organization implements a process for ensuring that organizational plans for conducting security testing associated with organizational information systems continue to be executed in a timely manner.','The organization being inspected/assessed documents and implements a process for ensuring that organizational plans for conducting security testing associated with organizational information systems continue to be executed in a timely manner.\n \nThe organization must maintain records of execution.','The organization conducting the inspection/assessment obtains and examines the documented process as well as records of execution to ensure the organization being inspected/assessed   implements a process for ensuring that organizational plans for conducting security testing associated with organizational information systems continue to be executed in a timely manner.'),(3005,'PM-14','','The organization implements a process for ensuring that organizational plans for conducting security training associated with organizational information systems continue to be executed in a timely manner.','The organization being inspected/assessed documents and implements a process for ensuring that organizational plans for conducting security training associated with organizational information systems continue to be executed in a timely manner.\n \nThe organization must maintain records of execution.','The organization conducting the inspection/assessment obtains and examines the documented process  as well as the records of execution to ensure the organization being inspected/assessed  implements a process for ensuring that organizational plans for conducting security training associated with organizational information systems continue to be executed in a timely manner.'),(3006,'PM-14','','The organization implements a process for ensuring that organizational plans for conducting security monitoring activities associated with organizational information systems continue to be executed in a timely manner.','The organization being inspected/assessed documents and implements a process for ensuring that organizational plans for conducting security monitoring activities associated with organizational information systems continue to be executed in a timely manner.\n \nThe organization must maintain records of execution.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the records of execution to ensure the organization being inspected/assessed  implements a process for ensuring that organizational plans for conducting security monitoring activities associated with organizational information systems continue to be executed in a timely manner.'),(3007,'PM-14','','The organization reviews testing plans for consistency with the organizational risk management strategy and organization-wide priorities for risk response actions.','The organization being inspected/assessed documents and implements a process to review testing plans for consistency with the organizational risk management strategy and organization-wide priorities for risk response actions. \n \nThe organization must maintain a record of reviews.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of reviews to ensure the organization being inspected/assessed reviews testing plans for consistency with the organizational risk management strategy and organization-wide priorities for risk response actions.'),(3008,'PM-14','','The organization reviews training plans for consistency with the organizational risk management strategy and organization-wide priorities for risk response actions.','The organization being inspected/assessed reviews training plans for consistency with the organizational risk management strategy and organization-wide priorities for risk response actions. \n \nThe organization must maintain a record of reviews.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of reviews to ensure the organization being inspected/assessed reviews training plans for consistency with the organizational risk management strategy and organization-wide priorities for risk response actions.'),(3009,'PM-14','','The organization reviews monitoring plans for consistency with the organizational risk management strategy and organization-wide priorities for risk response actions.','The organization being inspected/assessed reviews monitoring plans for consistency with the organizational risk management strategy and organization-wide priorities for risk response actions. \n \nThe organization must maintain a record of reviews.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of reviews to ensure the organization being inspected/assessed reviews monitoring plans for consistency with the organizational risk management strategy and organization-wide priorities for risk response actions.'),(3010,'PM-15','','The organization establishes and institutionalizes contact with selected groups and associations within the security community to facilitate ongoing security education and training for organizational personnel.','The organization being inspected/assessed establishes and institutionalizes contact with selected groups and associations within the security community to facilitate ongoing security education and training for organizational personnel.','The organization conducting the inspection/assessment obtains and examines artifacts showing contact to ensure the organization being inspected/assessed establishes and institutionalizes contact with selected groups and associations within the security community to facilitate ongoing security education and training for organizational personnel.'),(3011,'PM-15','','The organization establishes and institutionalizes contact with selected groups and associations within the security community to maintain currency with recommended security practices, techniques, and technologies.','The organization being inspected/assessed establishes and institutionalizes contact with selected groups and associations within the security community to maintain currency with recommended security practices, techniques, and technologies.','The organization conducting the inspection/assessment obtains and examines artifacts showing contact to ensure the organization being inspected/assessed establishes and institutionalizes contact with selected groups and associations within the security community to maintain currency with recommended security practices, techniques, and technologies.'),(3012,'PM-15','','The organization establishes and institutionalizes contact with selected groups and associations within the security community to share current security-related information including threats, vulnerabilities, and incidents.','The organization being inspected/assessed establishes and institutionalizes contact with selected groups and associations within the security community to share current security-related information including threats, vulnerabilities, and incidents.','The organization conducting the inspection/assessment obtains and examines artifacts showing contact to ensure the organization being inspected/assessed establishes and institutionalizes contact with selected groups and associations within the security community to share current security-related information including threats, vulnerabilities, and incidents.'),(3013,'PM-16','','The organization implements a threat awareness program that includes a cross-organization information-sharing capability.','The organization being inspected/assessed documents and implements a threat awareness program that includes a cross-organization information-sharing capability.','The organization conducting the inspection/assessment obtains and examines the documented threat awareness program to ensure the organization being inspected/assessed implements a threat awareness program that includes a cross-organization information-sharing capability.'),(3014,'AC-3','3','The information system enforces organization-defined mandatory access control policies over all subjects and objects.','The organization being inspected/assessed configures the information system to enforce  mandatory access control policies defined in AC-3 (3), CCI 2153 over all subjects and objects.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 3014.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to enforce  mandatory access control policies defined in AC-3 (3), CCI 2153 over all subjects and objects.\n \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 3014.'),(3015,'AC-3','3','The mandatory access control policy specifies that organization-defined subjects may explicitly be granted organization-defined privileges such that they are not limited by some or all of the mandatory access control constraints.','The organization being inspected/assessed configures the information system to explicitly grant privileges defined in AC-3 (3), CCI 2162 such that they are not limited by some or all of the mandatory access control constraints.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 3015.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to  explicitly grant privileges defined in AC-3 (3), CCI 2162 such that they are not limited by some or all of the mandatory access control constraints.\n \n For information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 3015.'),(3016,'PS-4','','The organization, upon termination of individual employment, notifies organization-defined personnel or roles within an organization-defined time period.','The organization being inspected/assessed notifies at a minimum, the ISSO and personnel responsible for revoking credentials immediately or within 24 hours upon termination of individual employment.\n \nThe organization must maintain records of termination notification.\n  \nDoD has defined the personnel or roles as at a minimum, the ISSO and personnel responsible for revoking credentials.\n \nDoD has defined the time period as immediately or within 24 hours.','The organization conducting the inspection/assessment obtains and examines records of termination notification to ensure the organization being inspected/assessed notifies at a minimum, the ISSO and personnel responsible for revoking credentials immediately or within 24 hours upon termination of individual employment.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and personnel responsible for revoking credentials.\n \nDoD has defined the time period as immediately or within 24 hours.'),(3017,'PS-1','','The organization defines the personnel or roles to whom a personnel security policy is disseminated.','DoD has defined the personnel or roles as all personnel.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as all personnel.'),(3018,'PS-1','','The organization defines the personnel or roles to whom the personnel security procedures are disseminated.','DoD has defined the personnel or roles as all personnel.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as all personnel.'),(3019,'PS-3','3','The organization ensures that individuals accessing an information system processing, storing, or transmitting information requiring special protection have valid access authorizations that are demonstrated by assigned official government duties.','The organization being inspected/assessed documents and implements a process to ensure that individuals accessing an information system processing, storing, or transmitting information requiring special protection have valid access authorizations that are demonstrated by assigned official government duties.','The organization conducting the inspection/assessment obtains and examines the documented process and a sampling of access authorizations to ensure individuals accessing an information system processing, storing, or transmitting information requiring special protection have valid access authorizations that are demonstrated by assigned official government duties.'),(3020,'PS-3','3','The organization ensures that individuals accessing an information system processing, storing, or transmitting information requiring special protection satisfy organization-defined additional personnel screening criteria.','The organization being inspected/assessed documents and implements a process to ensure that individuals accessing an information system processing, storing, or transmitting information requiring special protection satisfy additional personnel screening criteria defined in PS-3 (3), CCI 3021.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed implements a process to ensure that individuals accessing an information system processing, storing, or transmitting information requiring special protection satisfy additional personnel screening criteria defined in PS-3 (3), CCI 3021.'),(3021,'PS-3','3','The organization defines additional personnel screening criteria that individuals accessing an information system processing, storing, or transmitting information requiring protection must satisfy.','The organization being inspected/assessed defines and documents additional personnel screening criteria that individuals accessing an information system processing, storing, or transmitting information requiring protection must satisfy. \n \nDoD has determined the additional personnel screening criteria is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented additional personnel screening criteria to ensure the organization being inspected/assessed defines additional personnel screening criteria that individuals accessing an information system processing, storing, or transmitting information requiring protection must satisfy. \n  \nDoD has determined the additional personnel screening criteria is not appropriate to define at the Enterprise level.'),(3022,'PS-4','','The organization defines the time period to disable information system access upon termination of individual employment.','DoD has defined the time period as immediately.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as immediately.'),(3023,'PS-4','','The organization, upon termination of individual employment, terminates/revokes any authenticators/credentials associated with the individual.','The organization being inspected/assessed documents and implements a process to terminate/revoke any authenticators/credentials associated with the individual upon termination of individual employment.\n \nThe organization must maintain records of termination/revocation of any authenticators/credentials.','The organization conducting the inspection/assessment obtains and examines the documented process as well as a sampling of records of termination/revocation of any authenticators/credentials to ensure the organization being inspected/assessed terminates/revokes any authenticators/credentials associated with the individual upon termination of individual employment.'),(3024,'PS-4','','The organization defines information security topics to be discussed while conducting exit interviews.','The organization being inspected/assessed defines and documents information security topics to be discussed while conducting exit interviews.\n \nDoD has determined the information security topics are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information security topics to ensure the organization being inspected/assessed defines information security topics to be discussed while conducting exit interviews.\n \nDoD has determined the information security topics are not appropriate to define at the Enterprise level.'),(3025,'PS-4','','The organization defines personnel or roles to notify upon termination of individual employment.','DoD has defined the personnel or roles as at a minimum, the ISSO and personnel responsible for revoking credentials.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and personnel responsible for revoking credentials.'),(3026,'PS-4','','The organization defines the time period in which to notify organization-defined personnel or roles upon termination of individual employment.','DoD has defined the time period as immediately or within 24 hours.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as immediately or within 24 hours.'),(3027,'PS-4','1','The organization notifies terminated individuals of applicable, legally binding post-employment requirements for the protection of organizational information.','The organization being inspected/assessed notifies terminated individuals of applicable, legally binding post-employment requirements for the protection of organizational information.\n \nThe organization must maintain a record of notifications of post-employment requirements.','The organization conducting the inspection/assessment obtains and examines  the record of notifications of post-employment requirements to ensure the organization being inspected/assessed notifies terminated individuals of applicable, legally binding post-employment requirements for the protection of organizational information.'),(3028,'PS-4','1','The organization requires terminated individuals to sign an acknowledgment of post-employment requirements as part of the organizational termination process.','The organization being inspected/assessed documents within their personnel security procedures the requirement for terminated individuals to sign an acknowledgment of post-employment requirements as part of the organizational termination process.','The organization conducting the inspection/assessment obtains and examines the personnel security procedures and a sampling of signed acknowledgments of post-employment requirements to ensure the organization being inspected/assessed requires terminated individuals to sign an acknowledgment of post-employment requirements as part of the organizational termination process.'),(3029,'PS-4','2','The organization employs automated mechanisms to notify organization-defined personnel or roles upon termination of an individual.','The organization being inspected/assessed implements automated mechanisms to notify  at a minimum, the ISSO and personnel responsible for revoking credentials upon termination of an individual.\n  \nDoD has defined the personnel or roles as at a minimum, the ISSO and personnel responsible for revoking credentials.','The organization conducting the inspection/assessment examines the configuration of the automated mechanism and any records of notification sent to ensure the organization being inspected/assessed implements automated mechanisms to notify  at a minimum, the ISSO and personnel responsible for revoking credentials upon termination of an individual.\n  \nDoD has defined the personnel or roles as at a minimum, the ISSO and personnel responsible for revoking credentials.'),(3030,'PS-4','2','The organization defines the personnel or roles to be notified by automated mechanism upon termination of an individual.','DoD has defined the personnel or roles as at a minimum, the ISSO and personnel responsible for revoking credentials.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and personnel responsible for revoking credentials.'),(3031,'PS-5','','The organization modifies access authorization as needed to correspond with any changes in operational need due to reassignment or transfer.','The organization being inspected/assessed documents and implements a process to modify access authorization as needed to correspond with any changes in operational need due to reassignment or transfer.','The organization conducting the inspection/assessment obtains and examines the documented process and a sampling of accounts of users recently transferred or reassigned to ensure the organization being inspected/assessed modifies access authorization as needed to correspond with any changes in operational need due to reassignment or transfer.'),(3032,'PS-5','','The organization notifies organization-defined personnel or roles within an organization-defined time period when individuals are transferred or reassigned to other positions within the organization.','The organization being inspected/assessed notifies at a minimum, the ISSO and personnel responsible for transferring credentials within 24 hours when individuals are transferred or reassigned to other positions within the organization.\n \nThe organization must maintain records of transfer/reassignment notifications.\n  \nDoD has defined the personnel or roles as at a minimum, the ISSO and personnel responsible for transferring credentials.\n \nDoD has defined the time period as within 24 hours.','The organization conducting the inspection/assessment obtains and examines records of transfer/reassignment notifications to ensure the organization being inspected/assessed notifies at a minimum, the ISSO and personnel responsible for transferring credentials  within 24 hours when individuals are transferred or reassigned to other positions within the organization.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and personnel responsible for transferring credentials.\n \nDoD has defined the time period as within 24 hours.'),(3033,'PS-5','','The organization defines personnel or roles to be notified when individuals are transferred or reassigned to other positions within the organization.','DoD has defined the personnel or roles as at a minimum, the ISSO and personnel responsible for transferring credentials.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO and personnel responsible for transferring credentials.'),(3034,'PS-5','','The organization defines the time period within which organization-defined personnel or roles are to be notified when individuals are transferred or reassigned to other positions within the organization.','DoD has defined the time period as immediately.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as immediately.'),(3035,'PS-6','','The organization develops and documents access agreements for organizational information systems.','The organization being inspected/assessed develops and documents access agreements for organizational information systems.','The organization conducting the inspection/assessment obtains and examines the documented access agreements to ensure the organization being inspected/assessed develops and documents access agreements for organizational information systems.'),(3036,'PS-6','','The organization ensures that individuals requiring access to organizational information and information systems re-sign access agreements to maintain access to organizational information systems when access agreements have been updated or in accordance with organization-defined frequency.','The organization being inspected/assessed requires that individuals re-sign access agreements to maintain access to organizational information systems when access agreements have been updated or when there is a change to the user\'s level of access.\n \nDoD has defined the frequency as when there is a change to the user\'s level of access.','The organization conducting the inspection/assessment obtains and examines a sampling of re-signed access agreements to ensure the organization being inspected/assessed requires that individuals re-sign access agreements to maintain access to organizational information systems when access agreements have been updated or when there is a change to the user\'s level of access.\n \nDoD has defined the frequency as when there is a change to the user\'s level of access.'),(3037,'PS-6','','The organization defines the frequency for individuals requiring access to organization information and information systems to re-sign access agreements.','DoD has defined the frequency as when there is a change to the user\'s level of access.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as when there is a change to the user\'s level of access.'),(3038,'PS-6','3','The organization notifies individuals of applicable, legally binding post-employment requirements for protection of organizational information.','The organization being inspected/assessed notifies individuals of applicable, legally binding post-employment requirements for protection of organizational information.\n \nThe organization must maintain records of notifications of post-employment requirements for protection of organizational information.','The organization conducting the inspection/assessment obtains and examines the records of notifications of post-employment requirements for protection of organizational information to ensure the organization being inspected/assessed notifies individuals of applicable, legally binding post-employment requirements for protection of organizational information.'),(3039,'PS-6','3','The organization requires individuals to sign an acknowledgement of legally binding post-employment requirements for protection of organizational information, if applicable, as part of granting initial access to covered information.','The organization being inspected/assessed documents and implements a process to require individuals to sign an acknowledgement of legally binding post-employment requirements for protection of organizational information, if applicable, as part of granting initial access to covered information.','The organization conducting the inspection/assessment obtains and examines the documented process and a sampling of signed acknowledgements to ensure the organization being inspected/assessed requires individuals to sign an acknowledgement of legally binding post-employment requirements for protection of organizational information, if applicable, as part of granting initial access to covered information.'),(3040,'PS-7','','The organization requires third-party providers to comply with personnel security policies and procedures established by the organization.','The organization being inspected/assessed documents and implements a process to require third-party providers to comply with personnel security policies and procedures established by the organization.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed requires third-party providers to comply with personnel security policies and procedures established by the organization.'),(3041,'PS-7','','The organization requires third-party providers to notify organization-defined personnel or roles of any personnel transfers or terminations of third-party personnel who possess organizational credentials and/or badges, or who have information system privileges within an organization-defined time period.','The organization being inspected/assessed documents and implements a process to require third-party providers to notify at a minimum, the ISSO and personnel responsible for transferring credentials of any personnel transfers or terminations of third-party personnel who possess organizational credentials and/or badges, or who have information system privileges immediately.\n \n DoD has defined the personnel or roles as  at a minimum, the ISSO and personnel responsible for transferring credentials.\n \nDoD has defined the time period as immediately.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed requires third-party providers to notify  at a minimum, the ISSO and personnel responsible for transferring credentials of any personnel transfers or terminations of third-party personnel who possess organizational credentials and/or badges, or who have information system privileges immediately.\n \n DoD has defined the personnel or roles as  at a minimum, the ISSO and personnel responsible for transferring credentials.\n \nDoD has defined the time period as immediately.'),(3042,'PS-7','','The organization defines personnel or roles whom third-party providers are to notify when third-party personnel who possess organizational credentials and /or badges or who have information system privileges are transferred or terminated.','DoD has defined the personnel or roles as  at a minimum, the ISSO and personnel responsible for transferring credentials.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as  at a minimum, the ISSO and personnel responsible for transferring credentials.'),(3043,'PS-7','','The organization defines the time period for third-party providers to notify organization-defined personnel or roles when third-party personnel who possess organizational credentials and /or badges or who have information system privileges are transferred or terminated.','DoD has defined the time period as immediately.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as immediately.'),(3044,'PS-8','','The organization notifies organization-defined personnel or roles within an organization-defined time period when a formal employee sanctions process is initiated, identifying the individual sanctioned and the reason for the sanction.','The organization being inspected/assessed  notifies at a minimum, the ISSO immediately when a formal employee sanctions process is initiated, identifying the individual sanctioned and the reason for the sanction.\n \nThe organization must maintain records of notifications of employee sanctions.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO. \n \nDoD has defined the time period as immediately.','The organization conducting the inspection/assessment obtains and examines the records of notifications of employee sanctions to ensure the organization being inspected/assessed notifies at a minimum, the ISSO immediately when a formal employee sanctions process is initiated, identifying the individual sanctioned and the reason for the sanction.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO. \n \nDoD has defined the time period as immediately.'),(3045,'PS-8','','The organization defines personnel or roles whom are to be notified when a formal employee sanctions process is initiated.','DoD has defined the personnel or roles as at a minimum, the ISSO.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO.'),(3046,'PS-8','','The organization defines the time period to notify organization-defined personnel or roles when a formal employee sanctions process is initiated.','DoD has defined the time period as immediately.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the time period as immediately.'),(3047,'PL-1','','The organization defines the personnel or roles to whom a security planning policy is disseminated.','DoD has defined the personnel or roles as all personnel.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as all personnel.'),(3048,'PL-1','','The organization defines the personnel or roles to whom the security planning procedures are disseminated.','DoD has defined the personnel or roles as all personnel.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as all personnel.'),(3049,'PL-2','','The organization develops a security plan for the information system.','The organization being inspected/assessed develops and documents a security plan for the information system.','The organization conducting the inspection/assessment obtains and examines the documented security plan to ensure the organization being inspected/assessed  develops a security plan for the information system.'),(3050,'PL-2','','The organization\'s security plan for the information system is consistent with the organization\'s enterprise architecture.','The organization being inspected/assessed defines a security plan for the information system which is consistent with the organization\'s enterprise architecture.','The organization conducting the inspection/assessment obtains and examines the security plan and the enterprise architecture to ensure the organization\'s security plan for the information system is consistent with the organization\'s enterprise architecture.'),(3051,'PL-2','','The organization\'s security plan for the information system explicitly defines the authorization boundary for the system.','The organization being inspected/assessed explicitly defines within the security plan the authorization boundary for the system.','The organization conducting the inspection/assessment obtains and examines the security plan to ensure the organization being inspected/assessed explicitly defines within the security plan the authorization boundary for the system.'),(3052,'PL-2','','The organization\'s security plan for the information system describes the operational context of the information system in terms of missions and business processes.','The organization being inspected/assessed  describes within the security plan the operational context of the information system in terms of missions and business processes.','The organization conducting the inspection/assessment obtains and examines the security plan to ensure the organization being inspected/assessed describes within the security plan the operational context of the information system in terms of missions and business processes.'),(3053,'PL-2','','The organization\'s security plan for the information system provides the security categorization of the information system including supporting rationale.','The organization being inspected/assessed defines within the security plan the security categorization of the information system including supporting rationale.','The organization conducting the inspection/assessment obtains and examines the security plan to ensure the organization being inspected/assessed defines within the security plan the security categorization of the information system including supporting rationale.'),(3054,'PL-2','','The organization\'s security plan for the information system describes the operational environment for the information system and relationships with or connections to other information systems.','The organization being inspected/assessed describes within the security plan the operational environment for the information system and relationships with or connections to other information systems.','The organization conducting the inspection/assessment obtains and examines the security plan to ensure the organization being inspected/assessed describes within the security plan the operational environment for the information system and relationships with or connections to other information systems.'),(3055,'PL-2','','The organization\'s security plan for the information system provides an overview of the security requirements for the system','The organization being inspected/assessed documents within the security plan, an overview of the security requirements for the system.','The organization conducting the inspection/assessment obtains and examines the security plan to ensure the organization being inspected/assessed their security plan for the information system provides an overview of the security requirements for the system'),(3056,'PL-2','','The organization\'s security plan for the information system identifies any relevant overlays, if applicable.','The organization being inspected/assessed identifies within the security plan any relevant overlays, if applicable.','The organization conducting the inspection/assessment obtains and examines the security plan to ensure the organization being inspected/assessed identifies within the security plan any relevant overlays, if applicable.'),(3057,'PL-2','','The organization\'s security plan for the information system describes the security controls in place or planned for meeting those requirements including a rationale for the tailoring decisions.','The organization being inspected/assessed describes within the security plan the security controls in place or planned for meeting those requirements including a rationale for the tailoring and supplementation decisions.','The organization conducting the inspection/assessment obtains and examines the security plan to ensure the organization being inspected/assessed describes within the security plan the security controls in place or planned for meeting those requirements including a rationale for the tailoring and supplementation decisions.'),(3059,'PL-2','','The organization distributes copies of the security plan to organization-defined personnel or roles.','The organization being inspected/assessed distributes copies of the security plan to, at a minimum, the ISSO, ISSM and SCA via the organization\'s information sharing portal.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO, ISSM and SCA.','The organization conducting the inspection/assessment obtains and examines the security plan via the organization\'s information sharing portal to ensure the organization being inspected/assessed distributes copies of the security plan to  at a minimum, the ISSO, ISSM and SCA via the organization\'s information sharing portal.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO, ISSM and SCA.'),(3060,'PL-2','','The organization defines the personnel or roles to whom copies of the security plan is distributed.','DoD has defined the personnel or roles as at a minimum, the ISSO, ISSM and SCA.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO, ISSM and SCA.'),(3061,'PL-2','','The organization communicates subsequent changes to the security plan to organization-defined personnel or roles.','The organization being inspected/assessed distributes changes to the security plan to, at a minimum, the ISSO, ISSM and SCA via the organization\'s information sharing portal.\n  \nDoD has defined the personnel or roles as at a minimum, the ISSO, ISSM and SCA.','The organization conducting the inspection/assessment examines the organization\'s information sharing portal to ensure at a minimum, the ISSO, ISSM and SCA have been provided changes to the security plan.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO, ISSM and SCA.'),(3062,'PL-2','','The organization defines the personnel or roles to whom changes to the security plan are communicated.','DoD has defined the personnel or roles as at a minimum, the ISSO, ISSM and SCA.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO, ISSM and SCA.'),(3063,'PL-2','','The organization protects the security plan from unauthorized disclosure.','The organization being inspected/assessed documents and implements a process to protect the security plan from unauthorized disclosure.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed  protects the security plan from unauthorized disclosure.'),(3064,'PL-2','','The organization protects the security plan from unauthorized modification.','The organization being inspected/assessed documents and implements a process to protect the security plan from unauthorized modification.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed  protects the security plan from unauthorized modification.'),(3065,'PL-2','3','The organization plans and coordinates security-related activities affecting the information system with organization-defined individuals or groups before conducting such activities in order to reduce the impact on other organizational entities.','The organization being inspected/assessed defines and documents within the security plan, the planning and coordination of security-related activities affecting the information system with individuals or groups defined in PL-2 (3), CCI 3067 before conducting such activities in order to reduce the impact on other organizational entities.','The organization conducting the inspection/assessment obtains and examines the security plan to ensure the organization being inspected/assessed plans and coordinates of security-related activities affecting the information system with individuals or groups defined in PL-2 (3), CCI 3067 before conducting such activities in order to reduce the impact on other organizational entities.'),(3067,'PL-2','3','The organization defines the individuals or groups with whom security-related activities are planned and coordinated.','The organization being inspected/assessed defines and documents the individuals or groups with whom security-related activities are planned and coordinated.\n \nDoD has determined the individuals or groups are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented individuals or groups to ensure the organization being inspected/assessed defines the individuals or groups with whom security-related activities are planned and coordinated.\n \nDoD has determined the individuals or groups are not appropriate to define at the Enterprise level.'),(3068,'PL-4','','The organization reviews and updates the rules of behavior in accordance with organization-defined frequency.','The organization being inspected/assessed reviews and updates the rules of behavior annually.\n \nThe organization must maintain an audit trail of reviews and updates.\n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines the audit trail of reviews and updates to ensure the organization being inspected/assessed reviews and updates the rules of behavior annually.\n \nDoD has defined the frequency as annually.'),(3069,'PL-4','','The organization defines the frequency to review and update the rules of behavior.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(3070,'PL-4','','The  organization requires individuals who have signed a previous version of the rules of behavior to read and resign when the rules of behavior are revised/updated.','The organization being inspected/assessed documents and implements a process to require individuals who have signed a previous version of the rules of behavior to read and resign when the rules of behavior are revised/updated.\n \nThe signed acknowledgment portion of this control may be satisfied by the security awareness training and role-based security training programs conducted by organizations if such training includes rules of behavior.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed requires individuals who have signed a previous version of the rules of behavior to read and resign when the rules of behavior are revised/updated.'),(3071,'PL-7','','The organization develops a security Concept of Operations (CONOPS) for the information system containing at a minimum, how the organization intends to operate the system from the perspective of information security.','The organization being inspected/assessed develops and documents a security Concept of Operations (CONOPS) for the information system containing at a minimum, how the organization intends to operate the system from the perspective of information security.','The organization conducting the inspection/assessment obtains and examines the security CONOPS to ensure the organization being inspected/assessed  develops a security CONOPS for the information system containing at a minimum, how the organization intends to operate the system from the perspective of information security.'),(3072,'PL-8','','The organization develops an information security architecture for the information system.','The organization being inspected/assessed develops and documents an information security architecture for the information system.','The organization conducting the inspection/assessment obtains and examines the documented  information security architecture to ensure the organization being inspected/assessed develops an information security architecture for the information system.'),(3073,'PL-8','','The organization\'s information security architecture for the information system describes the overall philosophy, requirements, and approach to be taken with regard to protecting the confidentiality, integrity, and availability of organizational information.','The organization being inspected/assessed describes within the information security architecture for the information system, the overall philosophy, requirements, and approach to be taken with regard to protecting the confidentiality, integrity, and availability of organizational information.','The organization conducting the inspection/assessment obtains and examines the information security architecture to ensure the organization being inspected/assessed describes within the information security architecture for the information system, the overall philosophy, requirements, and approach to be taken with regard to protecting the confidentiality, integrity, and availability of organizational information.'),(3074,'PL-8','','The organization\'s information security architecture for the information system describes how the information security architecture is integrated into and supports the enterprise architecture.','The organization being inspected/assessed describes within the  information security architecture for the information system, how the information security architecture is integrated into and supports the enterprise architecture.','The organization conducting the inspection/assessment obtains and examines the information security architecture to ensure the organization being inspected/assessed describes within the  information security architecture for the information system, how the information security architecture is integrated into and supports the enterprise architecture.'),(3075,'PL-8','','The organization\'s information security architecture for the information system describes any information security assumptions about, and dependencies on, external services.','The organization being inspected/assessed describes within the information security architecture for the information system, any information security assumptions about, and dependencies on, external services.','The organization conducting the inspection/assessment obtains and examines the information security architecture to ensure the organization being inspected/assessed describes within the information security architecture for the information system, any information security assumptions about, and dependencies on, external services.'),(3076,'PL-8','','The organization reviews and updates the information security architecture in accordance with organization-defined frequency to reflect updates in the enterprise architecture.','The organization being inspected/assessed reviews and updates the information security architecture annually to reflect updates in the enterprise architecture.\n \nThe organization must maintain an audit trail of reviews and updates. \n \nDoD has defined the frequency as annually.','The organization conducting the inspection/assessment obtains and examines the audit trail of reviews and updates to ensure the organization being inspected/assessed reviews and updates the information security architecture annually to reflect updates in the enterprise architecture.\n \nDoD has defined the frequency as annually.'),(3077,'PL-8','','The organization defines the frequency to review and update the information system architecture.','DoD has defined the frequency as annually.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as annually.'),(3078,'PL-8','','The organization ensures that planned information security architecture changes are reflected in the security plan.','The organization being inspected/assessed includes planned information security architecture changes in the security plan.','The organization conducting the inspection/assessment obtains and examines the security plan to ensure the organization being inspected/assessed includes planned information security architecture changes in the security plan.'),(3079,'PL-8','','The organization ensures that planned information security architecture changes are reflected in the security Concept of Operations (CONOPS).','The organization being inspected/assessed includes planned information security architecture changes in the security Concept of Operations (CONOPS).','The organization conducting the inspection/assessment obtains and examines security CONOPS to ensure the organization being inspected/assessed includes planned information security architecture changes in the security CONOPS.'),(3080,'PL-8','','The organization ensures that planned information security architecture changes are reflected in organizational procurements/acquisitions.','The organization being inspected/assessed includes planned information security architecture changes in organizational procurements/acquisitions.','The organization conducting the inspection/assessment obtains and examines a sampling of procurement materials to ensure the organization being inspected/assessed includes planned information security architecture changes in organizational procurements/acquisitions.'),(3081,'PL-8','1','The organization designs its security architecture using a defense-in-depth approach that allocates organization-defined security safeguards to organization-defined locations.','The organization being inspected/assessed designs and documents its security architecture using a defense-in-depth approach that allocates security safeguards defined in PL-8 (1), CCI 3083 to locations defined in PL-8 (1), CCI 3085.','The organization conducting the inspection/assessment obtains and examines the security architecture to ensure the organization being inspected/assessed designs  its security architecture using a defense-in-depth approach that allocates security safeguards defined in PL-8 (1), CCI 3083 to locations defined in PL-8 (1), CCI 3085.'),(3082,'PL-8','1','The organization designs its security architecture using a defense-in-depth approach that allocates organization-defined security safeguards to organization-defined architectural layers.','The organization being inspected/assessed designs and documents its security architecture using a defense-in-depth approach that allocates security safeguards defined in PL-8 (1), CCI 3084 to architectural layers defined in PL-8 (1), CCI 3086.','The organization conducting the inspection/assessment obtains and examines the security architecture to ensure the organization being inspected/assessed designs its security architecture using a defense-in-depth approach that allocates security safeguards defined in PL-8 (1), CCI 3084 to architectural layers defined in PL-8 (1), CCI 3086.'),(3083,'PL-8','1','The organization defines the security safeguards to be allocated to organization-defined locations.','The organization being inspected/assessed defines and documents the security safeguards to be allocated to organization-defined locations.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security safeguards to ensure the organization being inspected/assessed defines the security safeguards to be allocated to organization-defined locations.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(3084,'PL-8','1','The organization defines the security safeguards to be allocated to organization-defined architectural layers.','The organization being inspected/assessed defines and documents the security safeguards to be allocated to organization-defined architectural layers.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security safeguards to ensure the organization being inspected/assessed defines the security safeguards to be allocated to organization-defined architectural layers.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(3085,'PL-8','1','The organization defines the locations to which it allocates organization-defined security safeguards in the security architecture.','The organization being inspected/assessed defines and documents the locations to which it allocates organization-defined security safeguards in the security architecture.\n \nDoD has determined the locations are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented locations to ensure the organization being inspected/assessed defines  the locations to which it allocates organization-defined security safeguards in the security architecture.\n  \nDoD has determined the locations are not appropriate to define at the Enterprise level.'),(3086,'PL-8','1','The organization defines the architectural layers to which it allocates organization-defined security safeguards in the security architecture.','The organization being inspected/assessed defines and documents the architectural layers to which it allocates organization-defined security safeguards in the security architecture.\n \nDoD has determined the architectural layers are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented architectural layers to ensure the organization being inspected/assessed defines the architectural layers to which it allocates organization-defined security safeguards in the security architecture.\n \nDoD has determined the architectural layers are not appropriate to define at the Enterprise level.'),(3087,'PL-8','1','The organization designs its security architecture using a defense-in-depth approach that ensures that the allocated security safeguards operate in a coordinated and mutually reinforcing manner.','The organization being inspected/assessed designs and documents its security architecture using a defense-in-depth approach that ensures that the allocated security safeguards operate in a coordinated and mutually reinforcing manner.','The organization conducting the inspection/assessment obtains and examines security architecture to ensure the organization being inspected/assessed designs its security architecture using a defense-in-depth approach that ensures that the allocated security safeguards operate in a coordinated and mutually reinforcing manner.'),(3088,'PL-8','2','The organization requires that organization-defined security safeguards allocated to organization-defined locations and architectural layers are obtained from different suppliers.','The organization being inspected/assessed obtains from different suppliers security safeguards defined in PL-8 (1), CCIs 3083 and 3084 allocated to locations and architectural layers defined in PL-8 (1) CCIs 3085 and 3086.','The organization conducting the inspection/assessment obtains and examines procurement records to ensure that different suppliers are used to procure security safeguards defined in PL-8 (1), CCIs 3083 and 3084 allocated to locations and architectural layers defined in PL-8 (1) CCIs 3085 and 3086.'),(3089,'SA-1','','The organization defines the personnel or roles to whom the system and services acquisition policy  is disseminated.','DoD has defined the personnel or roles as all personnel.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as all personnel.'),(3090,'SA-1','','The organization defines the personnel or roles to whom procedures to facilitate the implementation of the system and services acquisition policy and associated system and services acquisition controls are disseminated.','DoD has defined the personnel or roles as all personnel.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as all personnel.'),(3091,'SA-2','','The organization determines information security requirements for the information system or information system service in mission/business process planning.','The organization being inspected/assessed determines and documents information security requirements for the information system or information system service in mission/business process planning.','The organization conducting the inspection/assessment obtains and examines the documented information security requirements to ensure the organization being inspected/assessed determines information security requirements for the information system or information system service in mission/business process planning.'),(3092,'SA-3','','The organization defines a system development life cycle that is used to manage the information system.','The organization being inspected/assessed defines and documents a system development life cycle that is used to manage the information system. \n \nDoD has determined the system development life cycle is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented system development life cycle to ensure the organization being inspected/assessed defines a system development life cycle that is used to manage the information system. \n \nDoD has determined the system development life cycle is not appropriate to define at the Enterprise level.'),(3093,'SA-3','','The organization integrates the organizational information security risk management process into system development life cycle activities.','The organization being inspected/assessed documents and implements a process to  integrate the organizational information security risk management process into system development life cycle activities.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed integrates the organizational information security risk management process into system development life cycle activities.'),(3094,'SA-4','','The organization includes the security functional requirements, explicitly or by reference, in the acquisition contract for the information system, system component, or information system service in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, guidelines, and organizational mission/business needs.','The organization being inspected/assessed documents within contracts/agreements for the information system, system component, or information system service,   the security functional requirements, explicitly or by reference, IAW DoDI 8580.1.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed includes the security functional requirements, explicitly or by reference, in the acquisition contract for the information system, system component, or information system service in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, guidelines, and organizational mission/business needs including DoDI 8580.1.'),(3095,'SA-4','','The organization includes the security strength requirements, explicitly or by reference, in the acquisition contract for the information system, system component, or information system service in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, guidelines, and organizational mission/business needs.','The organization being inspected/assessed documents within contracts/agreements for the information system, system component, or information system service,  the security strength requirements, explicitly or by reference, IAW DoDI 8580.1.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed includes the security strength requirements, explicitly or by reference, in the acquisition contract for the information system, system component, or information system service in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, guidelines, and organizational mission/business needs  including DoDI 8580.1.'),(3096,'SA-4','','The organization includes the security assurance requirements, explicitly or by reference, in the acquisition contract for the information system, system component, or information system service in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, guidelines, and organizational mission/business needs.','The organization being inspected/assessed documents within contracts/agreements for the information system, system component, or information system service,  the security assurance requirements, explicitly or by reference, IAW DoDI 8580.1.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed  includes the security assurance requirements, explicitly or by reference, in the acquisition contract for the information system, system component, or information system service in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, guidelines, and organizational mission/business needs  including DoDI 8580.1.'),(3097,'SA-4','','The organization includes the security-related documentation requirements, explicitly or by reference, in the acquisition contract for the information system, system component, or information system service in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, guidelines, and organizational mission/business needs.','The organization being inspected/assessed documents within contracts/agreements for the information system, system component, or information system service,  the security-related documentation requirements, explicitly or by reference.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed includes the security-related documentation requirements, explicitly or by reference, in the acquisition contract for the information system, system component, or information system service in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, guidelines, and organizational mission/business needs.'),(3098,'SA-4','','The organization includes requirements for protecting security-related documentation, explicitly or by reference, in the acquisition contract for the information system, system component, or information system service in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, guidelines, and organizational mission/business needs.','The organization being inspected/assessed documents within contracts/agreements for the information system, system component, or information system service,  requirements for protecting security-related documentation, explicitly or by reference.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed includes requirements for protecting security-related documentation, explicitly or by reference, in the acquisition contract for the information system, system component, or information system service in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, guidelines, and organizational mission/business needs.'),(3099,'SA-4','','The organization includes description of the information system development environment and environment in which the system is intended to operate, explicitly or by reference, in the acquisition contract for the information system, system component, or information system service in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, guidelines, and organizational mission/business needs.','The organization being inspected/assessed documents within contracts/agreements for the information system, system component, or information system service,  a description of the information system development environment and environment in which the system is intended to operate, explicitly or by reference.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed  includes a description of the information system development environment and environment in which the system is intended to operate, explicitly or by reference, in the acquisition contract for the information system, system component, or information system service in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, guidelines, and organizational mission/business needs.'),(3100,'SA-4','','The organization includes acceptance criteria, explicitly or by reference, in the acquisition contract for the information system, system component, or information system service in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, guidelines, and organizational mission/business needs.','The organization being inspected/assessed documents within contracts/agreements for the information system, system component, or information system service,  acceptance criteria, explicitly or by reference.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements  to ensure the organization being inspected/assessed includes acceptance criteria, explicitly or by reference, in the acquisition contract for the information system, system component, or information system service in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, guidelines, and organizational mission/business needs.'),(3101,'SA-4','2','The organization requires the developer of the information system, system component, or information system service to provide design information for the security controls to be employed that includes security-relevant external system interfaces, high-level design, low-level design, source code, hardware schematics and/or organization-defined design/information at organization-defined level of detail.','The organization being inspected/assessed defines and documents in contracts/agreements, the design information for the security controls that the developer will employ in the information system to include security-relevant external system interfaces, high-level design, low-level design, source code, hardware schematics and/or design/information defined in SA-4 (2), CCI 3103 at the level of detail defined in SA-4 (2), CCI 3105.','The organization  conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires the developer of the information system, system component, or information system service to provide design information for the security controls to be employed that includes security-relevant external system interfaces, high-level design, low-level design, source code and/or hardware schematics and/or design/information defined in SA-4 (2), CCI 3103 at the level of detail defined in SA-4 (2), CCI 3105.'),(3102,'SA-4','2','The organization requires the developer of the information system, system component, or information system service to provide implementation information for the security controls to be employed that includes security-relevant external system interfaces, high-level design, low-level design, source code and/or hardware schematics organization-defined implementation information at organization-defined level of detail.','The organization being inspected/assessed defines and documents in contracts/agreements, the implementation information for the security controls that the developer will employ in the information system to include security-relevant external system interfaces, high-level design, low-level design, source code and/or hardware schematics and/or implementation information defined in SA-4 (2), CCI 3104 at the level of detail defined in SA-4 (2), CCI 3106.','The organization  conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires the developer of the information system, system component, or information system service to provide implementation information for the security controls to be employed that includes security-relevant external system interfaces, high-level design, low-level design, source code and/or hardware schematics and/or implementation information defined in SA-4 (2), CCI 3104 at the level of detail defined in SA-4 (2), CCI 3106.'),(3103,'SA-4','2','The organization defines the design information that the developer of the information system, system component, or information system service is required to provide for the security controls to be employed.','The organization being inspected/assessed defines and documents the design information that the developer of the information system, system component, or information system service is required to provide for the security controls to be employed.\n \nDoD has determined the design information is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented design information to ensure the organization being inspected/assessed defines the design information that the developer of the information system, system component, or information system service is required to provide for the security controls to be employed.\n \nDoD has determined the design information is not appropriate to define at the Enterprise level.'),(3104,'SA-4','2','The organization defines the implementation information that the developer of the information system, system component, or information system service is required to provide for the security controls to be employed.','The organization being inspected/assessed defines and documents the implementation information that the developer of the information system, system component, or information system service is required to provide for the security controls to be employed.\n \nDoD has determined the implementation information is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented implementation information to ensure the organization being inspected/assessed defines the implementation information that the developer of the information system, system component, or information system service is required to provide for the security controls to be employed.\n \nDoD has determined the implementation information is not appropriate to define at the Enterprise level.'),(3105,'SA-4','2','The organization defines the level of detail the design information of the security controls is required to be provided by the developer of the information system, system component, or information system services.','The organization being inspected/assessed defines and documents the level of detail the design information of the security controls is required to be provided by the developer of the information system, system component, or information system services.\n \nDoD has determined the level of detail is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented level of detail to ensure the organization being inspected/assessed defines  the level of detail the design information of the security controls is required to be provided by the developer of the information system, system component, or information system services.\n \nDoD has determined the level of detail is not appropriate to define at the Enterprise level.'),(3106,'SA-4','2','The organization defines the level of detail the implementation information of the security controls is required to be provided by the developer of the information system, system component, or information system services.','The organization being inspected/assessed defines and documents the level of detail the implementation information of the security controls is required to be provided by the developer of the information system, system component, or information system services.\n \nDoD has determined the level of detail is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented level of detail to ensure the organization being inspected/assessed defines  the level of detail the implementation information of the security controls is required to be provided by the developer of the information system, system component, or information system services.\n \nDoD has determined the level of detail is not appropriate to define at the Enterprise level.'),(3107,'SA-4','3','The organization requires the developer of the information system, system component, or information system service to demonstrate the use of a system development life cycle that includes organization-defined state-of-the-practice system/security engineering methods, software development methods, testing/evaluation/validation techniques, and quality control processes.','The organization being inspected/assessed defines and documents within  contracts/agreements, a requirement for the developer to demonstrate the use of a system development life cycle that includes the state-of-the-practice system/security engineering methods, software development methods, testing/evaluation/validation techniques, and quality control processes defined in SA-4 (3), CCI 3108.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires the developer of the information system, system component, or information system service to demonstrate the use of a system development life cycle that includes the state-of-the-practice system/security engineering methods, software development methods, testing/evaluation/validation techniques, and quality control processes defined in SA-4 (3), CCI 3108.'),(3108,'SA-4','3','The organization defines the state-of-the-practice system/security engineering methods, software development methods, testing/evaluation/validation techniques, and quality control processes  that the developer of the information system, system component, or information system service needs to include when demonstrating the use of a system development life cycle.','The organization being inspected/assessed defines and documents within contracts/agreements, the requirement for the developer to provide information regarding the state-of-the-practice system/security engineering methods, software development methods, testing/evaluation/validation techniques, and quality control processes.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed defines the state-of-the-practice system/security engineering methods, software development methods, testing/evaluation/validation techniques, and quality control processes  that the developer of the information system, system component, or information system service needs to include when demonstrating the use of a system development life cycle.'),(3109,'SA-4','5','The organization requires the developer of the information system, system component, or information system service to deliver the system, component, or service with organization-defined security configurations implemented.','The organization being inspected/assessed documents within contracts/agreements, requirements that the developer of the information system, system component, or information system service to deliver the system, component, or service with security configurations identified by the applicable requirements from DoDI 8510.01 and STIGs/SRGs.\n \nDoD has defined the security configurations as security configurations identified by the applicable requirements from DoDI 8510.01 and STIGs/SRGs.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires he developer of the information system, system component, or information system service to deliver the system, component, or service with security configurations identified by the applicable requirements from DoDI 8510.01 and STIGs/SRGs.\n \nDoD has defined the security configurations as security configurations identified by the applicable requirements from DoDI 8510.01 and STIGs/SRGs.'),(3110,'SA-4','5','The organization defines the security configurations required to be implemented when the developer delivers the information system, system component, or information system service.','DoD has defined the security configurations as security configurations identified by the applicable requirements from DoDI 8510.01 and STIGs/SRGs.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the security configurations as security configurations identified by the applicable requirements from DoDI 8510.01 and STIGs/SRGs.'),(3111,'SA-4','5','The organization requires the developer of the information system, system component, or information system service to use the organization-defined security configurations as the default for any subsequent system, component, or service reinstallation or upgrade.','The organization being inspected/assessed documents within contracts/agreements, requirements that the developer of the information system, system component, or information system service to use the applicable requirements from DoDI 8510.01 and STIGs/SRGs as the default for any subsequent system, component, or service reinstallation or upgrade.\n \nDoD has defined the security configurations as security configurations identified by the applicable requirements from DoDI 8510.01 and STIGs/SRGs.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires the developer of the information system, system component, or information system service to use the applicable requirements from DoDI 8510.01 and STIGs/SRGs as the default for any subsequent system, component, or service reinstallation or upgrade.\n \nDoD has defined the security configurations as security configurations identified by the applicable requirements from DoDI 8510.01 and STIGs/SRGs.'),(3112,'SA-4','8','The organization requires the developer of the information system, system component, or information system service to produce a plan for the continuous monitoring of security control effectiveness that contains organization-defined level of detail.','The organization being inspected/assessed documents within contracts/agreements, the requirement that the developer of the information system, system component, or information system service produce a plan for the continuous monitoring of security control effectiveness that contains the level of detail defined in SA-4 (8), CCI 3113.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service produce a plan for the continuous monitoring of security control effectiveness that contains the level of detail defined in SA-4 (8), CCI 3113.'),(3113,'SA-4','8','The organization defines the level of detail to be contained in the plan for the continuous monitoring of security control effectiveness that the developer of the information system, system component, or information system services is required to produce.','The organization being inspected/assessed defines and documents the level of detail to be contained in the plan for the continuous monitoring of security control effectiveness that the developer of the information system, system component, or information system services is required to produce.\n \nDoD has determined the level of detail is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented level of detail to ensure the organization being inspected/assessed defines  the level of detail to be contained in the plan for the continuous monitoring of security control effectiveness that the developer of the information system, system component, or information system services is required to produce.\n \nDoD has determined the level of detail is not appropriate to define at the Enterprise level.'),(3114,'SA-4','9','The organization requires the developer of the information system, system component, or information system service to identify early in the system development life cycle, the functions, ports, protocols, and services intended for organizational use.','The organization being inspected/assessed documents within contracts/agreements, the requirement that the developer of the information system, system component, or information system service identify early in the system development life cycle, the functions, ports, protocols, and services intended for organizational use.\n\nPorts identified shall be assessed and planned for in light of DISA\'s PPSM requirements.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service identify early in the system development life cycle, the functions, ports, protocols, and services intended for organizational use.'),(3116,'SA-4','10','The organization employs only information technology products on the FIPS 201-approved products list for Personal Identity Verification (PIV) capability implemented within organizational information systems.','The organization being inspected/assessed employs DoD approved PKI tokens for identify verification.','The organization conducting the inspection/assessment examines the information system to ensure DoD approved PKI tokens are implemented for identify verification.'),(3117,'PL-9','','The organization centrally manages organization-defined security controls and related processes.','DoDI 8500.01 and CNSSI 1253 meet the DoD requirements for centrally managing security controls and related processes.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8500.01 and CNSSI 1253.','DoDI 8500.01 and CNSSI 1253 meet the DoD requirements for centrally managing security controls and related processes.\n \nDoD Components are automatically compliant with this control because they are covered by the DoD level policy, DoDI 8500.01 and CNSSI 1253.'),(3118,'PL-9','','The organization defines security controls and related processes to be centrally managed.','DoD has defined the security controls and related processes to be centrally managed as CNSSI 1253 and DoDI 8500.01.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the security controls and related processes to be centrally managed as CNSSI 1253 and DoDI 8500.01.'),(3119,'RA-6','','The organization employs a technical surveillance countermeasures survey at organization-defined locations on an organization-defined frequency or when organization-defined events or indicators occur.','The organization being inspected/assessed documents and implements a process to employ a technical surveillance countermeasures survey at locations defined in RA-6, CCI 3120 on a frequency defined in RA-6, CCI 3121 or when events or indicators defined in RA-6, CCI 3122 occur.\n \nThe organization must maintain a record of surveys.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of surveys to ensure the organization being inspected/assessed employs a technical surveillance countermeasures survey at locations defined in RA-6, CCI 3120 on a frequency defined in RA-6, CCI 3121 or when events or indicators defined in RA-6, CCI 3122 occur.'),(3120,'RA-6','','The organization defines the locations where technical surveillance countermeasures surveys are to be employed.','The organization being inspected/assessed defines and documents the locations where technical surveillance countermeasures surveys are to be employed.\n \nDoD has determined the locations are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented locations to ensure the organization being inspected/assessed defines  the locations where technical surveillance countermeasures surveys are to be employed.\n \nDoD has determined the locations are not appropriate to define at the Enterprise level.'),(3121,'RA-6','','The organization defines the frequency on which to employ technical surveillance countermeasures surveys.','The organization being inspected/assessed defines and documents the frequency on which to employ technical surveillance countermeasures surveys.\n \nDoD has determined the frequency is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented frequency to ensure the organization being inspected/assessed defines  the frequency on which to employ technical surveillance countermeasures surveys.\n \nDoD has determined the frequency is not appropriate to define at the Enterprise level.'),(3122,'RA-6','','The organization defines the events or indicators upon which technical surveillance countermeasures surveys are to be employed.','The organization being inspected/assessed defines and documents the events or indicators upon which technical surveillance countermeasures surveys are to be employed.\n \nDoD has determined the events or indicators are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented events or indicators to ensure the organization being inspected/assessed defines the events or indicators upon which technical surveillance countermeasures surveys are to be employed.\n \nDoD has determined the events or indicators are not appropriate to define at the Enterprise level.'),(3123,'MA-4','6','The information system implements cryptographic mechanisms to protect the confidentiality of nonlocal maintenance and diagnostic communications.','The organization being inspected/assessed configures the information system to  implement cryptographic mechanisms to protect the confidentiality of nonlocal maintenance and diagnostic communications.\n \nFor information system components that have applicable STIGs or SRGs, the organization being inspected/assessed must comply with the STIG/SRG guidance that pertains to CCI 3123.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed configures the information system to implement cryptographic mechanisms to protect the confidentiality of nonlocal maintenance and diagnostic communications.\n  \nFor information system components that have applicable STIGs or SRGs, the organization conducting the inspection/assessment evaluates the components to ensure that the organization being inspected/assessed has configured the information system in compliance with the applicable STIGs and SRGs pertaining to CCI 3123.'),(3124,'SA-5','','The organization obtains administrator documentation for the information system, system component, or information system services that describes secure configuration of the system, component, or service.','The organization being inspected/assessed documents within contracts/agreements, requirements that the developer provide administrator documentation for the information system, system component or information system service that describe  secure configuration of the system, component, or service.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer provide administrator documentation for the information system, system component or information system service that describe  secure configuration of the system, component, or service.'),(3125,'SA-5','','The organization obtains administrator documentation for the information system, system component, or information system services that describes  secure installation of the system, component, or service.','The organization being inspected/assessed documents within contracts/agreements, requirements that the developer provide administrator documentation for the information system, system component or information system service that describe  secure installation of the system, component, or service.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer provide administrator documentation for the information system, system component or information system service that describe  secure installation of the system, component, or service.'),(3126,'SA-5','','The organization obtains administrator documentation for the information system, system component, or information system services that describes secure  operation of the system, component, or service.','The organization being inspected/assessed documents within contracts/agreements, requirements that the developer provide administrator documentation for the information system, system component or information system service that describe  secure  operation of the system, component, or service.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer provide administrator documentation for the information system, system component or information system service that describe  secure  operation of the system, component, or service.'),(3127,'SA-5','','The organization obtains administrator documentation for the information system, system component, or information system services that describes effective use and maintenance of security functions/mechanisms.','The organization being inspected/assessed documents within contracts/agreements, requirements that the developer provide administrator documentation for the information system, system component or information system service that describe effective use and maintenance of security functions/mechanisms.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer provide administrator documentation for the information system, system component or information system service that describe effective use and maintenance of security functions/mechanisms.'),(3128,'SA-5','','The organization obtains administrator documentation for the information system, system component, or information system services that describes known vulnerabilities regarding configuration and use of administrative (i.e. privileged) functions.','The organization being inspected/assessed documents within contracts/agreements, requirements that the developer provide administrator documentation for the information system, system component or information system service that describe known vulnerabilities regarding configuration and use of administrative (i.e. privileged) functions.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer provide administrator documentation for the information system, system component or information system service that describe known vulnerabilities regarding configuration and use of administrative (i.e. privileged) functions.'),(3129,'SA-5','','The organization obtains user documentation for the information system, system component, or information system service that describes user-accessible security functions/mechanisms and how to effectively use those security functions/mechanisms.','The organization being inspected/assessed documents within contracts/agreements, requirements that the developer provide user documentation for the information system, system component or information system service that describes user-accessible security functions/mechanisms and how to effectively use those security functions/mechanisms.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer provide user documentation for the information system, system component or information system service that describes user-accessible security functions/mechanisms and how to effectively use those security functions/mechanisms.'),(3130,'SA-5','','The organization obtains user documentation for the information system, system component or information system service that describes methods for user interaction which enables individuals to use the system, component, or service in a more secure manner.','The organization being inspected/assessed documents within contracts/agreements, requirements that the developer provide user documentation for the information system, system component or information system service that describes methods for user interaction which enables individuals to use the system, component, or service in a more secure manner.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer provide user documentation for the information system, system component or information system service that describes methods for user interaction which enables individuals to use the system, component, or service in a more secure manner.'),(3131,'SA-5','','The organization obtains user documentation for the information system, system component or information system service that describes user responsibilities in maintaining the security of the system, component, or service.','The organization being inspected/assessed documents within contracts/agreements, requirements that the developer provide user documentation for the information system, system component or information system service that describes user responsibilities in maintaining the security of the system, component, or service.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer provide user documentation for the information system, system component or information system service that describes user responsibilities in maintaining the security of the system, component, or service.'),(3132,'SA-5','','The organization takes organization-defined actions in response to attempts to obtain either unavailable or  nonexistent documentation for information system, system component, or information system service.','The organization being inspected/assessed takes actions defined in SA-5, CCI 3133 in response to attempts to obtain either unavailable or  nonexistent documentation for information system, system component, or information system service.\n\nThe organization must maintain a record of actions taken.\n\nDoD has determined the actions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the record of actions taken to ensure the organization being inspected/assessed takes actions defined in SA-5, CCI 3133 in response to attempts to obtain either unavailable or  nonexistent documentation for information system, system component, or information system service.\n\nDoD has determined the actions are not appropriate to define at the Enterprise level.'),(3133,'SA-5','','The organization defines actions to be taken in response to attempts to obtain either unavailable or  nonexistent documentation for information system, system component, or information system service.','The organization being inspected/assessed defines and documents actions to be taken in response to attempts to obtain either unavailable or  nonexistent documentation for information system, system component, or information system service.\n\nDoD has determined the actions are not appropriate to define at the Enterprise level.\n','The organization conducting inspection/assessment obtains and examines the documented actions to ensure the organization being inspected/assessed defines action to be taken in response to attempts to obtain either unavailable or  nonexistent documentation for information system, system component, or information system service.\n\nDoD has determined the actions are not appropriate to define at the Enterprise level.\n'),(3134,'SA-5','','The organization protects information system, system component, or information system service documentation  as required, in accordance with the risk management strategy.','The organization being inspected/assessed documents and implements processes to store and handle information system, system component, or information system service documentation  as required, in accordance with the risk management strategy.','The organization conducting the inspection/assessment obtains and examines the documented processes to ensure the organization being inspected/assessed stores and handles information system, system component, or information system service documentation  as required, in accordance with the risk management strategy.'),(3135,'SA-5','','The organization distributes information system, system component, or information system service documentation to organization-defined personnel or roles.','The organization being inspected/assessed distributes information system, system component, or information system service documentation to at a minimum, the ISSO, ISSM, and SCA, via an information sharing capability.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO, ISSM, and SCA.','The organization conducting the inspection/assessment obtains and examines the information system, system component, or information system service documentation via the organization\'s information sharing capability to ensure the organization being inspected/assessed distributes information system, system component, or information system service documentation to at a minimum, the ISSO, ISSM, and SCA.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO, ISSM, and SCA.'),(3136,'SA-5','','The organization defines the personnel or roles the information system, system component, or information system service documentation is to be distributed.','DoD has defined the personnel or roles as at a minimum, the ISSO, ISSM, and SCA.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO, ISSM, and SCA.'),(3137,'SA-9','','The organization defines security controls that providers of external information system services employ in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, and guidance.','DoD has defined the security controls as security controls defined by CNSSI 1253.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the security controls as security controls defined by CNSSI 1253.'),(3138,'SA-9','','The organization employs organization-defined processes, methods, and techniques to monitor security control compliance by external service providers on an ongoing basis.','The organization being inspected/assessed  implements the processes, methods, and techniques defined in SA-9, CCI 3139  to monitor security control compliance by external service providers on an ongoing basis.\n \nThe organization must maintain records of monitoring.','The organization conducting the inspection/assessment obtains and examines the records of monitoring to ensure the organization being inspected/assessed implements the processes, methods, and techniques defined in SA-9, CCI 3139  to monitor security control compliance by external service providers on an ongoing basis.'),(3139,'SA-9','','The organization defines processes, methods, and techniques to employ to monitor security control compliance by external service providers on an ongoing basis.','The organization being inspected/assessed defines and documents processes, methods, and techniques to employ to monitor security control compliance by external service providers on an ongoing basis.\n \nDoD has determined the processes, methods, and techniques are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented  processes, methods, and techniques to ensure the organization being inspected/assessed defines processes, methods, and techniques to employ to monitor security control compliance by external service providers on an ongoing basis.'),(3140,'SA-9','1','The organization conducts an organizational assessment of risk prior to the acquisition or outsourcing of dedicated information security services.','The organization being inspected/assessed documents and implements a process to conduct an organizational assessment of risk prior to the acquisition or outsourcing of dedicated information security services.\n \nThe organization must maintain a record of risk assessment.','The organization conducting the inspection/assessment obtains and examines a  list of acquired or outsourced information security services and the record of risk assessment to ensure the organization being inspected/assessed conducts an organizational assessment of risk prior to the acquisition or outsourcing of dedicated information security services.'),(3141,'SA-9','1','The organization ensures that the acquisition or outsourcing of dedicated information security services is approved by organization-defined personnel or roles.','The organization being inspected/assessed  ensures that the acquisition or outsourcing of dedicated information security services is approved by the DoD Component CIO or their delegate(s).\n \nThe organization must maintain a record of approvals.\n \nDoD has defined the personnel or roles the DoD Component CIO or their delegate(s).','The organization conducting the inspection/assessment obtains and examines a list of acquired or outsourced information security services as well as the record of approvals to ensure the organization being inspected/assessed ensures that the acquisition or outsourcing of dedicated information security services is approved by the DoD Component CIO or their delegate(s).\n \nDoD has defined the personnel or roles the DoD Component CIO or their delegate(s).'),(3142,'SA-9','1','The organization defines the personnel or roles authorized to approve the acquisition or outsourcing of dedicated information security services.','DoD has defined the personnel or roles the DoD Component CIO or their delegate(s).','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles the DoD Component CIO or their delegate(s).'),(3143,'SA-9','2','The organization requires providers of organization-defined external information system services to identify the functions, ports, protocols, and other services required for the use of such services.','The organization being inspected/assessed documents within contracts/agreements, the requirement that providers of all external information system services identify the functions, ports, protocols, and other services required for the use of such services.\n \nDoD has defined the external information system services as all external information system services.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that providers of all external information system services identify the functions, ports, protocols, and other services required for the use of such services.\n \nDoD has defined the external information system services as all external information system services.'),(3144,'SA-9','2','The organization defines the external information system services for which the providers are required to identify the functions, ports, protocols, and other services required for the use of such services.','DoD has defined the external information system services as all external information system services.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the external information system services as all external information system services.'),(3145,'SA-9','3','The organization establishes trust relationships with external service providers based on organization-defined security requirements, properties, factors, or conditions defining acceptable trust relationships.','The organization being inspected/assessed establishes trust relationships with external service providers based on security requirements, properties, factors, or conditions defining acceptable trust relationship defined in SA-9 (3), CCI 3148.','The organization conducting the inspection/assessment obtains and examines a list of trust relationships with external service providers to ensure those relationships are established based on security requirements, properties, factors, or conditions defining acceptable trust relationship defined in SA-9 (3), CCI 3148.'),(3146,'SA-9','3','The organization documents trust relationships with external service providers based on organization-defined security requirements, properties, factors, or conditions defining acceptable trust relationships.','The organization being inspected/assessed documents trust relationships with external service providers based on security requirements, properties, factors, or conditions defining acceptable trust relationships defined in SA-9 (3), CCI 3148.','The organization conducting the inspection/assessment obtains and examines the list of trust relationship with external service providers to ensure it is documented.'),(3147,'SA-9','3','The organization maintains trust relationships with external service providers based on organization-defined security requirements, properties, factors, or conditions defining acceptable trust relationships.','The organization being inspected/assessed maintains trust relationships with external service providers based on security requirements, properties, factors, or conditions defining acceptable trust relationships defined in SA-9 (3), CCI 3148.','The organization conducting the inspection/assessment obtains and examines a list of trust relationships with external service providers to ensure those relationships are maintained based on security requirements, properties, factors, or conditions defining acceptable trust relationship defined in SA-9 (3), CCI 3148.'),(3148,'SA-9','3','The organization defines security requirements, properties, factors, or conditions defining acceptable trust relationships with external service providers.','The organization being inspected/assessed defines and documents security requirements, properties, factors, or conditions defining acceptable trust relationships with external service providers.\n \nDoD has determined the security requirements, properties, factors, or conditions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security requirements, properties, factors, or conditions to ensure the organization being inspected/assessed defines  security requirements, properties, factors, or conditions defining acceptable trust relationships with external service providers.\n \nDoD has determined the security requirements, properties, factors, or conditions are not appropriate to define at the Enterprise level.'),(3149,'SA-9','4','The organization employs organization-defined security safeguards to ensure that the interests of organization-defined external service providers are consistent with and reflect organizational interests.','The organization being inspected/assessed employs the security safeguards defined in SA-9 (4), CCI 3150 to ensure that the interests of all external service providers from whom services are solicited are consistent with and reflect organizational interests.\n \nThe organization must maintain records of safeguard review.\n \nDoD has defined the external service providers as all external service providers from whom services are solicited.','The organization conducting the inspection/assessment obtains and examines a list of external service providers as well as records of safeguard review to ensure the organization being inspected/assessed employs the security safeguards defined in SA-9 (4), CCI 3150 to ensure that the interests of all external service providers from whom services are solicited are consistent with and reflect organizational interests.\n \nDoD has defined the external service providers as all external service providers from whom services are solicited.'),(3150,'SA-9','4','The organization defines security safeguards to employ to ensure that the interests of organization-defined external service providers are consistent with and reflect organizational interests.','The organization being inspected/assessed defines and documents security safeguards to employ to ensure that the interests of organization-defined external service providers are consistent with and reflect organizational interests.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security safeguards to ensure the organization being inspected/assessed \ndefines security safeguards to employ to ensure that the interests of organization-defined external service providers are consistent with and reflect organizational interests.\nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(3151,'SA-9','4','The organization defines external service providers whose interests are consistent with and reflect organizational interests.','DoD has defined the external service providers as all external service providers from whom services are solicited.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the external service providers as all external service providers from whom services are solicited.'),(3152,'SA-9','5','The organization restricts the location of information processing, information/data, and/or information system services to organization-defined locations based on organization-defined requirements or conditions.','The organization being inspected/assessed  restricts the location of information processing, information/data, and/or information system services to locations defined in SA-9 (5), CCI 3153 based on requirements or conditions defined in SA-9 (5), CCI 3154.','The organization conducting the inspection/assessment obtains and examines a list of locations of information processing, information/data, and/or information system services to ensure the organization being inspected/assessed restricts the location of information processing, information/data, and/or information system services to locations defined in SA-9 (5), CCI 3153 based on requirements or conditions defined in SA-9 (5), CCI 3154.'),(3153,'SA-9','5','The organization defines the locations to restrict information processing, information/data, and/or information system services based on organization-defined requirements or conditions.','The organization being inspected/assessed defines and documents the locations to restrict information processing, information/data, and/or information system services based on organization-defined requirements or conditions.\n\nDefinitions should take into account regulatory guidelines in place to protect the data being stored or processed.\n \nDoD has determined the location is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented locations to ensure the organization being inspected/assessed defines  the locations to restrict information processing, information/data, and/or information system services based on organization-defined requirements or conditions.\n \nDoD has determined the location is not appropriate to define at the Enterprise level.'),(3154,'SA-9','5','The organization defines the requirements or conditions on which to base restricting the location of information processing, information/data, and/or information system services to organization-defined locations.','The organization being inspected/assessed defines and documents the requirements or conditions on which to base restricting the location of information processing, information/data, and/or information system services to organization-defined locations.\n\nDefinitions should take into account regulatory guidelines in place to protect the data being stored or processed.\n \nDoD has determined the requirements or conditions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented requirements or conditions to ensure the organization being inspected/assessed defines the requirements or conditions on which to base restricting the location of information processing, information/data, and/or information system services to organization-defined locations.\n \nDoD has determined the requirements or conditions are not appropriate to define at the Enterprise level.'),(3155,'SA-10','','The organization requires the developer of the information system, system component, or information system service to perform configuration management during system, component or service design, development, implementation and/or operation.','The organization being inspected/assessed requires within contracts/agreements that the developer of the information system, system component, or information system service perform configuration management during system, component or service design, development, implementation and/or operation. The configuration management process applies to:\n1. Documentation developed or used in the lifecycle, including requirements and interface specifications; \n2. Elements including design libraries;\n3. Tools including design tools and test tools;\n4. Technical data including test data; and\n5. Information on element and system lifecycle processes\n','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires the developer of the information system, system component, or information system service perform configuration management during system, component or service design, development, implementation and/or operation.'),(3156,'SA-10','','The organization requires the developer of the information system, system component, or information system service to document the integrity of changes to organization-defined configuration items under configuration management.','The organization being inspected/assessed requires within contracts/agreements that the developer  of the information system, system component, or information system service document the integrity of changes to configuration items under configuration management defined in SA-10, CCI 3159.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer  of the information system, system component, or information system service document the integrity of changes to configuration items under configuration management defined in SA-10, CCI 3159.'),(3157,'SA-10','','The organization requires the developer of the information system, system component, or information system service to manage the integrity of changes to organization-defined configuration items under configuration management.','The organization being inspected/assessed requires within contracts/agreements the requirement that the developer of the information system, system component, or information system service manage the integrity of changes to  configuration items under configuration management defined in SA-10, CCI 3159.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service manage the integrity of changes to configuration items under configuration management defined in SA-10, CCI 3159.'),(3158,'SA-10','','The organization requires the developer of the information system, system component, or information system service to control the integrity of changes to organization-defined configuration items under configuration management.','The organization being inspected/assessed requires within contracts/agreements that the developer of the information system, system component, or information system service control the integrity of changes to configuration items under configuration management defined in SA-10, CCI 3159.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service control the integrity of changes to configuration items under configuration management defined in SA-10, CCI 3159.'),(3159,'SA-10','','The organization defines the configuration items under configuration management that require the integrity of changes to be documented, managed and controlled.','The organization being inspected/assessed defines and documents the configuration items under configuration management that require the integrity of changes to be documented, managed and controlled.\n \nDoD has determined the configuration items are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented configuration items to ensure the organization being inspected/assessed defines the configuration items under configuration management that require the integrity of changes to be documented, managed and controlled.\n \nDoD has determined the configuration items are not appropriate to define at the Enterprise level.'),(3160,'SA-10','','The organization requires the developer of the information system, system component, or information system service to document the potential security impacts of approved changes to the system, component, or service.','The organization being inspected/assessed requires within contracts/agreements that the developer of the information system, system component, or information system service document the potential security impacts of approved changes to the system, component, or service.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service document the potential security impacts of approved changes to the system, component, or service.'),(3161,'SA-10','','The organization requires the developer of the information system, system component, or information system service to track security flaws within the system, component, or service.','The organization being inspected/assessed requires within contracts/agreements that the developer of the information system, system component, or information system service track security flaws within the system, component, or service.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service track security flaws within the system, component, or service.'),(3162,'SA-10','','The organization requires the developer of the information system, system component, or information system service to track flaw resolution within the system, component, or service.','The organization being inspected/assessed requires within contracts/agreements that the developer of the information system, system component, or information system service track flaw resolution within the system, component, or service.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service track flaw resolution within the system, component, or service.'),(3163,'SA-10','','The organization requires the developer of the information system, system component, or information system service to report security flaws and flaw resolution within the system, component, or service findings to organization-defined personnel.','The organization being inspected/assessed requires within contracts/agreements that the developer of the information system, system component, or information system service report security flaws and flaw resolution within the system, component, or service findings to at a minimum, the ISSO and ISSM.\n \nDoD has defined the personnel as at a minimum, the ISSO and ISSM.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service report security flaws and flaw resolution within the system, component, or service findings to at a minimum, the ISSO and ISSM.\n \n DoD has defined the personnel as at a minimum, the ISSO and ISSM.'),(3164,'SA-10','','The organization defines the personnel to whom security flaw findings and flaw resolution within the system, component, or service are reported.','DoD has defined the personnel as at a minimum, the ISSO and ISSM.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel as at a minimum, the ISSO and ISSM.'),(3165,'SA-10','3','The organization requires the developer of the information system, system component, or information system service to enable integrity verification of hardware components.','The organization being inspected/assessed documents within contracts/agreements, the requirement that the developer of the information system, system component, or information system service enable integrity verification of hardware components.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service enable integrity verification of hardware components.'),(3166,'SA-10','4','The organization requires the developer of the information system, system component, or information system service to employ tools for comparing newly generated versions of security-relevant hardware descriptions with previous versions.','The organization being inspected/assessed documents within contracts/agreements the requirement that the developer of the information system, system component, or information system service employ tools for comparing newly generated versions of security-relevant hardware descriptions with previous versions.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service employ tools for comparing newly generated versions of security-relevant hardware descriptions with previous versions.'),(3167,'SA-10','4','The organization requires the developer of the information system, system component, or information system service to employ tools for comparing newly generated versions of software/firmware source code with previous versions.','The organization being inspected/assessed documents within contracts/agreements the requirement that the  developer of the information system, system component, or information system service employ tools for comparing newly generated versions of software/firmware source code with previous versions.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements  to ensure the organization being inspected/assessed requires that the  developer of the information system, system component, or information system service employ tools for comparing newly generated versions of software/firmware source code with previous versions.'),(3168,'SA-10','4','The organization requires the developer of the information system, system component, or information system service to employ tools for comparing newly generated versions of object code with previous versions.','The organization being inspected/assessed documents within contracts/agreements the requirement that the  developer of the information system, system component, or information system service employ tools for comparing newly generated versions of object code with previous versions.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the  developer of the information system, system component, or information system service employ tools for comparing newly generated versions of object code with previous versions.'),(3169,'SA-10','5','The organization requires the developer of the information system, system component, or information system service to maintain the integrity of the mapping between the master build data (hardware drawings and software/firmware code) describing the current version of security-relevant hardware, software, and firmware and the on-site master copy of the data for the current version.','The organization being inspected/assessed documents within contracts/agreements, the requirement that the developer of the information system, system component, or information system service maintain the integrity of the mapping between the master build data (hardware drawings and software/firmware code) describing the current version of security-relevant hardware, software, and firmware and the on-site master copy of the data for the current version.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service maintain the integrity of the mapping between the master build data (hardware drawings and software/firmware code) describing the current version of security-relevant hardware, software, and firmware and the on-site master copy of the data for the current version.'),(3170,'SA-10','6','The organization requires the developer of the information system, system component, or information system service to execute procedures for ensuring that security-relevant hardware, software, and firmware updates distributed to the organization are exactly as specified by the master copies.','The organization being inspected/assessed documents within contracts/agreements, the requirement that the developer of the information system, system component, or information system service execute procedures for ensuring that security-relevant hardware, software, and firmware updates distributed to the organization are exactly as specified by the master copies.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service execute procedures for ensuring that security-relevant hardware, software, and firmware updates distributed to the organization are exactly as specified by the master copies.'),(3171,'SA-11','','The organization requires the developer of the information system, system component, or information system service to create a security assessment plan.','The organization being inspected/assessed requires that the developer create and document a security assessment plan that includes:\n1. The types of analyses, testing, evaluation, and reviews of software and firmware components;\n2. The degree of rigor to be applied; and\n3. The types of artifacts produced during those processes.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  create a security assessment plan.'),(3172,'SA-11','','The organization requires the developer of the information system, system component, or information system service to implement a security assessment plan.','The organization being inspected/assessed requires that the developer implement the security assessment plan developed in SA-11, CCI 003171.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  implement a security assessment plan.'),(3173,'SA-11','','The organization requires the developer of the information system, system component, or information system service to perform unit, integration, system, and/or regression testing/evaluation at organization-defined depth and coverage.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the developer of the information system, system component, or information system service perform unit, integration, system, and/or regression testing/evaluation at depth and coverage defined in SA-11, CCI 3174.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service perform unit, integration, system, and/or regression testing/evaluation at depth and coverage defined in SA-11, CCI 3174.'),(3174,'SA-11','','The organization defines the depth and coverage  to perform unit, integration, system, and/or regression testing/evaluation.','The organization being inspected/assessed defines and documents the depth and coverage  to perform unit, integration, system, and/or regression testing/evaluation. Examples of approaches or tool types that could be required are:\n1. Approaches such as static analyses, dynamic analyses, binary analysis, or a hybrid of the three approaches; and\n2. Tools such as web-based application scanners, static analysis tools, binary analyzers.\n \nDoD has determined the depth and coverage are not appropriate to define at the Enterprise level.\n\n','The organization conducting the inspection/assessment obtains and examines the documented depth and coverage to ensure the organization being inspected/assessed defines the depth and coverage  to perform unit, integration, system, and/or regression testing/evaluation.\n \nDoD has determined the depth and coverage are not appropriate to define at the Enterprise level.'),(3175,'SA-11','','The organization requires the developer of the information system, system component, or information system service to produce evidence of the execution of the security assessment plan.','The organization being inspected/assessed requires the developer to produce and provide evidence of the execution of the security assessment plan.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service produce evidence of the execution of the security assessment plan.'),(3176,'SA-11','','The organization requires the developer of the information system, system component, or information system service to produce the results of the security testing/evaluation.','The organization being inspected/assessed requires the developer to produce and provide results of the security testing/evaluation.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service produce the results of the security testing/evaluation.'),(3177,'SA-11','','The organization requires the developer of the information system, system component, or information system service to implement a verifiable flaw remediation process.','The organization being inspected/assessed requires the developer to implement a verifiable flaw remediation process.\n ','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service implement a verifiable flaw remediation process.'),(3178,'SA-11','','The organization requires the developer of the information system, system component, or information system service to correct flaws identified during security testing/evaluation.','The organization being inspected/assessed requires the developer to correct flaws identified during security testing/evaluation and to document and provide evidence that the flaws were corrected.\n','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service correct flaws identified during security testing/evaluation and provide evidence.'),(3179,'SA-11','1','The organization requires the developer of the information system, system component, or information system service to employ static code analysis tools to identify common flaws.','The organization being inspected/assessed includes the requirement within contracts/agreements that the developer of the information system, system component, or information system service employ static code analysis tools to identify common flaws.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service employ static code analysis tools to identify common flaws.'),(3180,'SA-11','1','The organization requires the developer of the information system, system component, or information system service to document the results of static code analysis.','The organization being inspected/assessed requires that the developer of the information system, system component, or information system service document the type of static code analysis that was performed and the results (including defects).','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service document the results of static code analysis.'),(3181,'SA-11','2','The organization requires the developer of the information system, system component, or information system service to perform threat and vulnerability analysis.','The organization being inspected/assessed requires the developer to document and perform threat and vulnerability analysis to ensure that design or implementation changes, and resulting vulnerabilities, are accounted for early in the life cycle. \n\nThreat analysis may be performed through the use of open source threat information. Vulnerability analyses should be informed by system design documentation and may include static analyses, dynamic analyses, simulations, and penetration testing. The developer must document the type of vulnerability analysis that was performed, the results (including defects) and any follow on actions.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  perform threat and vulnerability analysis.'),(3182,'SA-11','2','The organization requires the developer of the information system, system component, or information system service to perform testing/evaluation of the as-built system, component, or service subsequent to threat and vulnerability analysis.','The organization being inspected/assessed requires within contracts/agreements that the developer the information system, system component, or information system service perform testing/evaluation of the as-built system, component, or service based on threat and vulnerability analysis.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  perform testing/evaluation of the as-built system, component, or service subsequent to threat and vulnerability analysis.'),(3183,'SA-11','3','The organization requires an independent agent satisfying organization-defined independence criteria to verify the correct implementation of the developer security assessment plan.','The organization being inspected/assessed requires within contracts/agreements that an independent agent satisfying independence criteria defined in SA-11 (3), CCI 3185 verify the correct implementation of the developer security assessment plan.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that an independent agent satisfying independence criteria defined in SA-11 (3), CCI 3185 verify the correct implementation of the developer security assessment plan.'),(3184,'SA-11','3','The organization requires an independent agent satisfying organization-defined independence criteria to verify the evidence produced during security testing/evaluation.','The organization being inspected/assessed requires within contracts/agreements that an independent agent satisfying independence criteria defined in SA-11 (3), CCI 3185 verify the evidence produced during security testing/evaluation.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that an independent agent satisfying independence criteria defined in SA-11 (3), CCI 3185 verify the evidence produced during security testing/evaluation.'),(3185,'SA-11','3','The organization defines the independence criteria the independent agent must satisfy prior to verifying the correct implementation of the developer security assessment plan and the evidence produced during security testing/evaluation.','The organization being inspected/assessed defines and documents the independence criteria the independent agent must satisfy prior to verifying the correct implementation of the developer security assessment plan and the evidence produced during security testing/evaluation.\n\n DoD has determined the independence criteria is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented independence criteria to ensure the organization being inspected/assessed defines the independence criteria the independent agent must satisfy prior to verifying the correct implementation of the developer security assessment plan and the evidence produced during security testing/evaluation.\n \nDoD has determined the independence criteria is not appropriate to define at the Enterprise level.'),(3186,'SA-11','3','The organization ensures that the independent agent either is provided with sufficient information to complete the verification process or has been granted the authority to obtain such information.','The organization being inspected/assessed provides the independent agent with  sufficient information and access/authority to complete the verification process.\n \nThe organization must maintain a record of information provided.','The organization conducting the inspection/assessment obtains and examines the record of information provided to ensure the organization being inspected/assessed provides the independent agent with  sufficient information and access/authority to complete the verification process.'),(3187,'SA-11','4','The organization requires the developer of the information system, system component, or information system service to perform a manual code review of organization-defined specific code using organization defined processes, procedures, and/or techniques.','The organization being inspected/assessed requires within contracts/agreements that the developer of the information system, system component, or information system service perform a manual code review of specific code defined in SA-11 (4), CCI 3188 using processes, procedures, and/or techniques defined in SA-11 (4), CCI 3189.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that  the developer of the information system, system component, or information system service perform a manual code review of specific code defined in SA-11 (4), CCI 3188 using processes, procedures, and/or techniques defined in SA-11 (4), CCI 3189.');
REPLACE INTO `cci` (`id`, `control_id`, `enh_id`, `def`, `guidance`, `procedures`) VALUES (3188,'SA-11','4','The organization defines the specific code that requires the developer of the information system, system component, or information system service to perform a manual code review against using organization-defined process, procedures, and/or techniques.','The organization being inspected/assessed defines and documents the specific code that requires the developer of the information system, system component, or information system service to perform a manual code review against using organization-defined process, procedures, and/or techniques.\n\nThe defined code shall include:\n1. random samples; and\n2. critical software and firmware components of information systems.\n  \nDoD has determined the specific code is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented specific code to ensure the organization being inspected/assessed defines  the specific code that requires the developer of the information system, system component, or information system service to perform a manual code review against using organization-defined process, procedures, and/or techniques.\n \nDoD has determined the specific code is not appropriate to define at the Enterprise level.'),(3189,'SA-11','4','The organization defines the processes, procedures, and/or techniques to be used by the developer of the information system, system component, or information system service to perform a manual code review of organization-defined specific code.','The organization being inspected/assessed requires in contracts/agreements that the developer define and document the processes, procedures, and/or techniques to be used to perform a manual code review of organization-defined specific code.\n\nManual code reviews identify weaknesses which are generally unavailable to more automated analytic tools and techniques such as static or dynamic analysis. Manual code reviews should be performed in conjunction with automated testing, such as static or dynamic analysis, to provide greater levels of analysis.\n \nDoD has determined the processes, procedures, and/or techniques are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented  processes, procedures, and/or techniques to ensure the organization being inspected/assessed defines the processes, procedures, and/or techniques to be used by the developer of the information system, system component, or information system service to perform a manual code review of organization-defined specific code.\n \nDoD has determined the processes, procedures, and/or techniques are not appropriate to define at the Enterprise level.'),(3190,'SA-11','5','The organization requires the developer of the information system, system component, or information system service to perform penetration testing at organization-defined breadth/depth and with organization-defined constraints.','The organization being inspected/assessed requires within contracts/agreements that the developer of the information system, system component, or information system service perform penetration testing at a breadth/depth defined in SA-11 (5), CCI 3191 and with constraints defined in SA-11 (5), CCI 3192.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that  the developer of the information system, system component, or information system service perform penetration testing at a breadth/depth defined in SA-11 (5), CCI 3191 and with constraints defined in SA-11 (5), CCI 3192.'),(3191,'SA-11','5','The organization defines the breadth/depth the developer of the information system, system component, or information system service is required to perform penetration testing.','The organization being inspected/assessed defines and documents the breadth/depth the developer of the information system, system component, or information system service is required to perform penetration testing.\n \nDoD has determined the breadth/depth are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented breadth/depth to ensure the organization being inspected/assessed defines the breadth/depth the developer of the information system, system component, or information system service is required to perform penetration testing.\n \nDoD has determined the constraints are not appropriate to define at the Enterprise level.'),(3192,'SA-11','5','The organization defines the constraints on penetration testing performed by developer of the information system, system component, or information system service.','The organization being inspected/assessed defines and documents the constraints on penetration testing performed by developer of the information system, system component, or information system service.\n\nPenetration testing should use all available information technology product documentation (e.g., product/system design specifications, source code, and administrator/operator manuals) and can include, for example, white, gray, or black box testing to attempt circumventing security features of the information technology product or system. Penetration testing should be performed:\n1. by skilled security professionals working in controlled environments to simulate and execute adversary actions; and\n2. in conjunction with automated and manual code reviews to provide greater levels of analysis than would ordinarily be possible.\n \nDoD has determined the constraints are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented constraints to ensure the organization being inspected/assessed defines the constraints on penetration testing performed by developer of the information system, system component, or information system service.\n \nDoD has determined the constraints are not appropriate to define at the Enterprise level.'),(3193,'SA-11','6','The organization requires the developer of the information system, system component, or information system service to perform attack surface reviews.','The organization being inspected/assessed requires within contracts/agreements that the developer perform and document attack surface reviews to uncover any accessible areas where weaknesses or deficiencies in the design and functionality of information systems (including the hardware, software, and firmware components) provide opportunities for adversaries to exploit vulnerabilities. \n\nAttack surface reviews may include:\n1. Analyzing both design and implementation changes to information systems;\n2. Testing the system with debug options off, or making the debug capabilities inaccessible to unauthorized users;\n3. Mitigating attack vectors generated as a result of the changes. Correction of identified flaws includes, for example, deprecation of unsafe functions; and\n4. Using configuration documents that describe how to configure OTS elements to limit their functionality or increase their security. These include DISA Security Technical Implementation Guides (STIGs) and NSA Security configuration guides. Perform this as early in the lifecycle as possible, so that unnecessary or dangerous functionality is not depended upon or does not go unnoticed.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that  the developer of the information system, system component, or information system service perform and document attack surface reviews.'),(3194,'SA-11','7','The organization requires the developer of the information system, system component, or information system service to verify that the scope of security testing/evaluation provides complete coverage of required security controls at organization-defined depth of testing/evaluation.','The organization being inspected/assessed requires within contracts/agreements that the developer of the information system, system component, or information system service verify that the scope of security testing/evaluation provides complete coverage of required security controls at the depth of testing/evaluation defined in SA-11 (7), CCI 3195.\n','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that  the developer of the information system, system component, or information system service verify that the scope of security testing/evaluation provides complete coverage of required security controls at the depth of testing/evaluation defined in SA-11 (7), CCI 3195.'),(3195,'SA-11','7','The organization defines the depth of testing/evaluation to which the developer of the information system, system component, or information system service is required to verify that the scope of security testing/evaluation provides complete coverage of the required security controls.','The organization being inspected/assessed defines and documents the depth of testing/evaluation to which the developer of the information system, system component, or information system service is required to verify that the scope of security testing/evaluation provides complete coverage of the required security controls.\n\n The developer can accomplish scope verification through a variety of analytic techniques that provide an increasing level of assurance corresponding to the degree of formality of the analysis. High levels of assurance can be provided by the use of formal modeling and analysis techniques including theorem provers, model checkers, and correlation between control implementation and corresponding test cases.\n\nDoD has determined the depth of testing/evaluation is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented depth of testing/evaluation to ensure the organization being inspected/assessed defines the depth of testing/evaluation to which the developer of the information system, system component, or information system service is required to verify that the scope of security testing/evaluation provides complete coverage of the required security controls.\n \nDoD has determined the depth of testing/evaluation is not appropriate to define at the Enterprise level.'),(3196,'SA-11','8','The organization requires the developer of the information system, system component, or information system service to employ dynamic code analysis tools to identify common flaws.','The organization being inspected/assessed requires within contracts/agreements that the developer of the information system, system component, or information system service employ dynamic code analysis tools to identify common flaws.\n\nDynamic code analysis tools include fuzz testing, using simulation, and white and black box testing. Dynamic code analysis should be performed in conjunction with static code analysis to provide greater levels of analysis.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that  the developer of the information system, system component, or information system service employ dynamic code analysis tools to identify common flaws.'),(3197,'SA-11','8','The organization requires the developer of the information system, system component, or information system service to document the results of the dynamic code analysis.','The organization being inspected/assessed requires that the developer of the information system, system component, or information system service document the type of dynamic analysis that was performed and the results (including defects).','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that  the developer of the information system, system component, or information system service document the results of the dynamic code analysis.'),(3198,'SA-12','1','The organization employs organization-defined tailored acquisition strategies, contract tools, and procurement methods for the purchase of the information system, system component, or information system service from suppliers.','The organization being inspected/assessed implements IAW the DoDI 5200.44 \"Protection of Mission Critical Functions to Achieve Trusted Systems and Networks (TSN)” tailored acquisition strategies, contract tools, and procurement methods defined in SA-12 (1), CCI 3199 as a means to mitigate supply chain risk.\n\nThe organization being inspected/assessed must maintain documentation tracing the strategies, tools, and methods implemented to the organization-defined strategies, tools, and methods.','The organization conducting the inspection/assessment obtains and examines documentation tracing the strategies, tools, and methods implemented to the organization-defined strategies, tools, and methods to ensure that the tailored acquisition strategies, contract tools, and procurement methods identified in SA-12 (1), CCI 3199 have been implemented. '),(3199,'SA-12','1','The organization defines tailored acquisition strategies, contract tools, and procurement methods to employ for the purchase of the information system, system component, or information system service from suppliers.','The organization being inspected/assessed defines and documents  the tailored acquisition strategies, contract tools, and procurement methods IAW DoDI 5200.44, \"Protection of Mission Critical Functions to Achieve Trusted Systems and Networks (TSN).\"  Examples include:\n1. Transferring a portion of the risk to the developer or supplier through the use of contract language and incentives;\n2. Using contract language that requires the implementation of SCRM throughout the system lifecycle in applicable contracts and other acquisition and assistance instruments (grants, cooperative agreements, Cooperative Research and Development Agreements (CRADAs),and other transactions) examples include:\na. Language outlined in the Defense Acquisition Guidebook section 13.13. Contracting; \nb. Language requiring the use of protected mechanisms to deliver elements and data about elements, processes, and delivery mechanisms;\nc. Language that articulates that requirements flow down supply chain tiers to sub-prime suppliers.\n3. Incentives for suppliers that:\na. Implement required security safeguards and SCRM best practices;\nb. Promote transparency into their organizational processes and security practices; \nc. Provide additional vetting of the processes and security practices of subordinate suppliers, critical information system components, and services; and\nd. Implement contract to reduce SC risk down the contract stack.\n4. Gaining insight into supplier security practices;\n5. Using contract language and incentives to enable more robust risk management later in the lifecycle;\n6. Using a centralized intermediary or “Blind Buy” approaches to acquire element(s) to hide actual usage locations from an untrustworthy supplier or adversary;\n7. Exercise the authorities provided in section 806 of the 2011 NDAA, through  Public Law 111-383 referenced in the Defense Federal Acquisition Regulation Supplement (DFAR); interim rule part 252.239-7018 Supply Chain Risk. \n\nDoD has determined the tailored acquisition strategies, contract tools, and procurement methods are not appropriate to define at the Enterprise level.  \n','The organization conducting the inspection/assessment obtains and examines the documentation containing the tailored acquisition strategies, contract tools, and procurement methods to ensure they have been defined IAW DoDI 5200.44, \"Protection of Mission Critical Functions to Achieve Trusted Systems and Networks (TSN).\"\n\nDoD has determined the tailored acquisition strategies, contract tools, and procurement methods are not appropriate to define at the Enterprise level.  \n\n'),(3200,'SA-12','2','The organization conducts a supplier review prior to entering into a contractual agreement to acquire the information system, system component, or information system service.','The organization being inspected/assessed documents and implements a process to conduct a supplier review prior to entering into a contractual agreement to acquire the information system, system component, or information system service.  Examples of items that can be considered in the  review are the supplier’s:\n1. Organization and process certifications;\n2. Security policies, procedures, and activities across the lifecycle;\n3. Supply chain and the criteria and methodology for selecting/managing their suppliers/service providers;\n4. Financials to determine if the supplier is financially stable;\n5. Foreign Ownership, Control, and Influence;\n6. Past performance and any documented supply chain incidents;\n7. Business relationships; and\n8. Maturity of business processes.\n\nThe organization must maintain a record of supplier review.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of supplier review to ensure the organization being inspected/assessed documents and implements a process to conduct a supplier review prior to entering into a contractual agreement to acquire the information system, system component, or information system service.'),(3201,'SA-12','5','The organization employs organization-defined security safeguards to limit harm from potential adversaries identifying and targeting the organizational supply chain.','The organization being inspected/assessed employs security safeguards defined in SA-12 (5), CCI 3202 to limit harm from potential adversaries identifying and targeting the organizational supply chain.\n\nThe organization must maintain a record of security safeguards employed.\n ','The organization conducting the inspection/assessment obtains and examines the record of security safeguards supplied to ensure the organization being inspected/assessed employs security safeguards defined in SA-12 (5), CCI 3202 to limit harm from potential adversaries identifying and targeting the organizational supply chain.'),(3202,'SA-12','5','The organization defines security safeguards to employ to limit harm from potential adversaries identifying and targeting the organizational supply chain.','The organization being inspected/assessed defines and documents security safeguards to employ to limit harm from potential adversaries identifying and targeting the organizational supply chain  IAW DoDI 5200.44. \n\nExamples of security safeguards that the organization should consider implementing to limit the harm from potential adversaries targeting the organizational supply chain, are:\n1. Using trusted physical delivery mechanisms that do not permit access to the element during delivery (ship via a protected carrier, use cleared/official couriers, or a diplomatic pouch);\n2. Using trusted electronic delivery of products and services (require downloading from approved, verification-enhanced sites);\n3. Avoiding the purchase of custom configurations, where feasible;\n4. Using procurement carve outs (i.e., exclusions to commitments or obligations), where feasible;\n5. Using defensive design approaches; \n6. Employing system OPSEC principles;\n7. Employing a diverse set of suppliers;\n8. Employing approved vendor lists with standing reputations in industry;\n9. Using a centralized intermediary and “Blind Buy” approaches to acquire element(s) to hide actual usage locations from an untrustworthy supplier or adversary Employing inventory management policies and processes; \n10. Using flexible agreements during each acquisition and procurement phase so that it is possible to meet emerging needs or requirements to address supply chain risk without requiring complete revision or re-competition of an acquisition or procurement;\n11. Using international, national, commercial or government standards to increase potential supply base;\n12. Limiting the disclosure of information that can become publicly available; and\n13. Minimizing the time between purchase decisions and required delivery.\nOrganizations should reference the SCRM Key Practices and Implementation Guide for DoD for additional guidance.\n\nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.  ','The conducting the inspection/assessment obtains and examines the documented security safeguards to ensure they have been defined IAW DoDI 5200.44.\n\nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.  \n'),(3203,'SA-12','7','The organization conducts an assessment of the information system, system component, or information system service prior to selection, acceptance, or update.','The organization being inspected/assessed or an independent, third-party entity must perform and document assessments that may include static analyses, dynamic analyses, simulations, white, gray, and black box testing, fuzz testing, penetration testing, and ensure that components or services are genuine (e.g., using tags, cryptographic hash verifications, or digital signatures).  Where possible, testing should employ threat profiles based on the threats that the system is likely to face in the operational environment. ','The organization conducting the inspection/assessment obtains and examines documented assessment(s) that were conducted by the organization prior to selection, acceptance, or update to ensure that the organization being inspected/assessed is assessing information systems, system components, or information system services prior to selection, acceptance, or update.'),(3205,'SA-12','8','The organization uses all-source intelligence analysis of suppliers and potential suppliers of the information system, system component, or information system service.','The organization being inspected/assessed documents and implements a process IAW DoDI 5200.44 to use all-source intelligence analysis of suppliers and potential suppliers of the information system, system component, or information system service.\n\nAll-source intelligence of suppliers that the organization may use includes:\n1. Defense Intelligence Agency (DIA) Threat Assessment Center (TAC), the enterprise focal point for supplier threat assessments for the DoD acquisition community risks;\n2. Other U.S. Government resources including:\na. Government Industry Data Exchange Program (GIDEP) – Database where government and industry can record issues with suppliers, including counterfeits; and\nb. System for Award Management (SAM) – Database of companies that are barred from doing business with the US Government.\n3. Open source and commercial research.\n','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed implements a process IAW DoDI 5200.44 to use all-source intelligence analysis of suppliers and potential suppliers of the information system, system component, or information system service.'),(3206,'SA-12','9','The organization employs organization-defined Operations Security (OPSEC) safeguards in accordance with classification guides to protect supply chain-related information for the information system, system component, or information system service.','The organization being inspected/assessed implements Operations Security (OPSEC) safeguards defined in SA-12 (9), CCI 3206 to protect supply chain-related information for the information system, system component, or information system service.  ','The organization conducting the inspection/assessment obtains and examines any applicable artifacts showing the use of OPSEC safeguards to ensure the organization being inspected/assessed implements OPSEC safeguards defined in SA-12 (9), CCI 3206 to protect supply chain-related information for the information system, system component, or information system service.\n \nDoD has determined the OPSEC safeguards are not appropriate to define at the Enterprise level.'),(3210,'SA-12','9','The organization defines the Operations Security (OPSEC) safeguards to be employed in accordance with classification guides to protect supply chain-related information for the information system, system component, or information system service.','The organization being inspected/assessed defines and documents  Operations Security (OPSEC) safeguards IAW DoDD 5205.02E, DoD Manual 5205.02, and DoDI 5200.44.\n\nOPSEC safeguards may include:\n1. Limiting the disclosure of information needed to design, develop, test, produce, deliver, and support the element  for example, supplier identities, supplier processes, potential suppliers, security requirements, design specifications, testing and evaluation result, and system/component configurations, including the use of direct shipping, blind buys, etc.; \n2. Extending supply chain awareness, education, and training for suppliers, intermediate users, and end users;\n3. Extending the range of OPSEC tactics, techniques, and procedures to potential suppliers, contracted suppliers, or sub-prime contractor tier of suppliers; and\n4. Using centralized support and maintenance services to minimize direct interactions between end users and original suppliers.\n\nDoD has determined the OPSEC safeguards are not appropriate to define at the Enterprise level.','The organization being inspected/assessed obtains and examines the documented OPSEC safeguards to ensure they have been defined IAW DoDD 5205.02E, DoD Manual 5205.02, and DoDI 5200.44.\n \nDoD has determined the OPSEC safeguards are not appropriate to define at the Enterprise level.'),(3212,'SA-12','10','The organization employs organization-defined security safeguards to validate that the information system or system component received is genuine and has not been altered.','The organization being inspected/assessed employs security safeguards to validate that the information system or system component received is genuine and has not been altered defined in SA-12 (10), CCI 3213. The organization must maintain a record of information system validation.  The record must identify what safeguards are applied.\n\nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the record of information system validation to ensure the organization being inspected/assessed employs security safeguards defined in SA-12 (10), CCI 3213 to validate that the information system or system component received is genuine and has not been altered.\n \nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(3213,'SA-12','10','The organization defines the security safeguards to be employed to validate that the information system or system component received is genuine and has not been altered.','The organization being inspected/assessed defines and documents security safeguards to validate that the information system or system component received is genuine and has not been altered IAW DoDI 5200.44.\n\nSecurity safeguards may:\n1. Examine for:\na. Evidence of unauthorized tampering/modification, intentional bugging/subversion, or harmful features;\nb. Indicators of weaknesses such as unexpected size/dimensions, substandard workmanship, mismatched serial number or bar code, altered/ unexpected/ counterfeit trademarks or markings, or XRF (x-ray fluorescence); and\nc. Newly manufactured (not refurbished) elements and for valid licensing (including support agreements).\n2. Include:\na. Acceptance testing;\nb. Anti-tamper mechanisms (tamper-resistant and tamper-evident packaging, anti-tamper fence);\nc. Contact angle analysis and chemical surface analysis;\nd. Encryption (in motion and at rest);\ne. Watermarking mechanisms;\nf. Optical/nanotechnology tagging;\ng. Side-channel analysis;\nh. Performance and sub-element baseline; and\ni. Difficult-to-forge marks (such as digital signatures and hologram tags).\n\nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security safeguards  to ensure they have been defined IAW DoDI 5200.44.\n\nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(3214,'SA-12','11','The organization employs organizational analysis, independent third-party analysis, organizational penetration testing and/or independent third-party penetration testing of organization-defined supply chain elements, processes and actors associated with the information system, system component, or information system service.','The organization being inspected/assessed documents and implements processes to employ organizational analysis, independent third-party analysis, organizational penetration testing and/or independent third-party penetration testing of supply chain elements, processes and actors defined in SA-12 (11), CCI 3215 associated with the information system, system component, or information system service. \n\nPenetration testing/analysis should be performed:\n1. On potential system elements before accepting the system;\n2. As a realistic simulation of the active adversary’s known adversary tactics, techniques, procedures (TTPs), and tools; and \n3. Throughout the lifecycle on physical and logical systems, elements, and processes.','The organization conducting the inspection/assessment obtains and examines the documented processes to ensure the organization being inspected/assessed employs organizational analysis, independent third-party analysis, organizational penetration testing and/or independent third-party penetration testing of supply chain elements, processes and actors defined in SA-12 (11), CCI 3215 associated with the information system, system component, or information system service.'),(3215,'SA-12','11','The organization defines the supply chain elements, processes, and actors associated with the information system, system component, or information system service for organizational analysis, independent third-party analysis, organizational penetration testing and/or independent third-party penetration testing.','The organization being inspected/assessed defines and documents the supply chain elements, processes, and actors associated with the information system, system component, or information system service for organizational analysis, independent third-party analysis, organizational penetration testing and/or independent third-party penetration testing. \n\nPenetration testing should be performed throughout the lifecycle on physical and logical systems, elements, and processes including: \n1. Hardware, software, and firmware development processes;\n2. Shipping/handling procedures;\n3. Personnel and physical security programs;\n4. Configuration management tools/measures to maintain provenance; and\n5. Any other programs, processes, or procedures associated with the production/distribution of supply chain elements.\n\nThe elements, processes, and actors must be defined IAW DoDI 5200.44.\n\nDoD has determined the elements, processes, and actions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented supply chain elements, processes, and actors to ensure the organization being inspected/assessed defines  the supply chain elements, processes, and actors associated with the information system, system component, or information system service for organizational analysis, independent third-party analysis, organizational penetration testing and/or independent third-party penetration testing IAW DoDI 5200.44.\n  \nDoD has determined the elements, processes, and actions are not appropriate to define at the Enterprise level.'),(3216,'SA-12','12','The organization establishes inter-organizational agreements with entities involved in the supply chain for the information system, system component, or information system service.','The organization being inspected/assessed establishes and documents inter-organizational agreements with entities involved in the supply chain for the information system, system component, or information system service.','The organization conducting the inspection/assessment obtains and examines the documented inter-organizational agreements to ensure the organization being inspected/assessed establishes inter-organizational agreements with entities involved in the supply chain for the information system, system component, or information system service.'),(3217,'SA-12','12','The organization establishes inter-organizational procedures with entities involved in the supply chain for the information system, system component, or information system service.','The organization being inspected/assessed establishes and documents inter-organizational procedures with entities involved in the supply chain for the information system, system component, or information system service.','The organization conducting the inspection/assessment obtains and examines the documented inter-organizational procedures to ensure the organization being inspected/assessed establishes inter-organizational procedures with entities involved in the supply chain for the information system, system component, or information system service.'),(3218,'SA-12','13','The organization employs organization-defined security safeguards to ensure an adequate supply of organization-defined critical information system components.','The organization being inspected/assessed documents and implements a process to employ security safeguards defined in SA-12 (13), CCI  3219 to ensure an adequate supply of critical information system components defined in SA-12 (13), CCI 3220. \n','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed employs security safeguards defined by SA-12 (13), CCI 3219 to ensure an adequate supply of critical information system components defined in SA-12 (13), CCI 3220.'),(3219,'SA-12','13','The organization defines the security safeguards to be employed to ensure an adequate supply of organization-defined critical information system components.','The organization being inspected/assessed defines and documents the security safeguards to be employed to ensure an adequate supply of organization-defined critical information system components.\n\nThe organization should employ security safeguards for critical materials, production, assembly, testing, packaging, delivery, and sustainment objects and determine what will be needed and when, and how quickly, for system and system element replacements. Safeguards include: \n1. Storing critical element spares near or with systems so that they can be rapidly replaced;\n2. Stockpiling of spare components to ensure operation during mission-critical times;\n3. Using multiple delivery paths and suppliers;\n4. Having a variety of vetted delivery paths;\n5. Using trusted and cleared contacts and shipping via a protected carrier (such as using cleared/official couriers, or a diplomatic pouch);\n6. Proactively manage the life cycle of their products through Diminishing Manufacturing Sources and Material Shortages (DMSMS). This may involve advance purchase and inventory of spare parts while they are widely available and verifiable.\n\n DoD has determined the security safeguards are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security safeguards to ensure the organization being inspected/assessed defines the security safeguards to be employed to ensure an adequate supply of organization-defined critical information system components.\n\nDoD has determined the security safeguards are not appropriate to define at the Enterprise level.'),(3220,'SA-12','13','The organization defines the critical information system components for which organization-defined security safeguards are employed to ensure adequate supply.','The organization being inspected/assessed defines and documents the critical information system components for which organization-defined security safeguards are employed to ensure adequate supply.\n \nDoD has determined the critical information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented critical information system components to ensure the organization being inspected/assessed defines the critical information system components for which organization-defined security safeguards are employed to ensure adequate supply.\n \nDoD has determined the critical information system components are not appropriate to define at the Enterprise level.'),(3221,'SA-12','14','The organization establishes unique identification of organization-defined supply chain elements, processes, and actors for the information system, system component, or information system service.','The organization being inspected/assessed establishes and documents unique identification of supply chain elements, processes, and actors defined in SA-12 (14), CCI 3223.  ','The organization conducting the inspection/assessment obtains and examines the documented unique identification of supply chain elements, processes, and actors to ensure the organization being inspected/assessed establishes unique identification of supply chain elements, processes, and actors defined in SA-12 (14), CCI 3223 for the information system, system component, or information system service.'),(3222,'SA-12','14','The organization retains unique identification of organization-defined supply chain elements, processes, and actors for the information system, system component, or information system service.','The organization being inspected/assessed retains previous versions of the unique identification of supply chain elements, processes, and actors documented IAW SA-12 (14), CCI 3221. ','The organization conducting the inspection/assessment obtains and examines previous versions of the identification of supply chain elements, processes, and actors documented IAW SA-12 (14), CCI 3221 to ensure the organization being inspected/assessed retains unique identification of supply chain elements, processes, and actors.'),(3223,'SA-12','14','The organization defines the supply chain elements, processes, and actors  for the information system, system component, or information system service to establish and retain unique identification.','The organization being inspected/assessed defines and documents the supply chain elements, processes, and actors for the information system, system component, or information system service to establish and retain unique identification. The elements, processes, and actors must be defined IAW DoDI 5200.44.\n\nThe organization should consider employing:\n1. Procedures for proposing, evaluating, and justifying relevant changes to system/component provenance for their impact on components, processes, systems, missions, and exposure to supply chain risks;\n2. Procedures for allocating responsibilities for the creation, maintenance, and monitoring of provenance are documented;\n3. Methods for tracking relevant purchasing, shipping, receiving, or transfer activities, including records of reviewer signatures for comparison;\n4. Processes for transferring provenance responsibility for systems or components between organizations across physical and logical boundaries including any approvals required;\n5. Procedures for tracking and documenting chain of custody of the system or component (Labeling (using serial numbers) and tagging (using radio-frequency identification [RFID] tags); and\n6. Security reviews for evaluating and vetting key personnel employed by acquirers or suppliers in any capacity (full-time employee, part-time employee, consultant, contractor, subcontractor, vendor, agent, etc.)\n \nDoD has determined the elements, processes, and actors are not appropriate to define at the Enterprise level.','The organization  conducting the inspection/assessment obtains and examines the documented elements, processes, and actors to ensure the organization being inspected/assessed defines the supply chain elements, processes, and actors for the information system, system component, or information system service to establish and retain unique identification IAW DoDI 5200.44.\n  \nDoD has determined the elements, processes, and actors are not appropriate to define at the Enterprise level.'),(3224,'SA-12','15','The organization establishes a process to address weaknesses or deficiencies in supply chain elements identified during independent or organizational assessments of such elements.','The organization being inspected/assessed documents and implements a process to address weaknesses or deficiencies in supply chain elements identified during independent or organizational assessments of such elements.\n\nThe organization being inspected/assessed will perform follow-on actions to address the weaknesses and deficiencies identified during assessments of supply chain (SC) elements (e.g., penetration testing, audits, verification/validation activities).  Follow on actions may include:\n1. Performing failure or forensic analysis on elements and processes to determine the cause of failure. Isolate and diagnose the elements of the component that are not performing properly and assess the origin and mechanisms of the failure. Assess the impact of the failure, ways to detect failures, and mitigating actions (including ways to detect failures and preventing future occurrences);\n2. Initiate a plan to remediate vulnerabilities immediately upon detection which include:\na. Identifying the weakness associated with the vulnerability;\nb. Determining the root cause and context; and\nc. Remediating the vulnerability, depending on the likelihood of its exploitation and the severity of its consequences.\n3. Coordinating SC incident management activities with other organizations to ensure consistent and effective management of SC risk incidents; and\n4. Following established procedures for reporting incidents. If no procedure has been established, determine what information should flow in and out, to who, and in what circumstances;\n5. Establishing and maintain SC risk incident reporting connectivity to local, regional, and national incident management processes where established (e.g., IAVA, CERT/CC, US CERT, FBI, FISMA reporting), and possibly intelligence processes.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed establishes a process to address weaknesses or deficiencies in supply chain elements identified during independent or organizational assessments of such elements.'),(3225,'SA-13','','The organization describes the trustworthiness required in the organization-defined information system, information system component, or information system service supporting its critical missions/business functions.','The organization being inspected/assessed documents within its security plan the trustworthiness required in the information system, information system component, or information system service defined in SA-13, CCI 3226 supporting its critical missions/business functions.','The organization  conducting the inspection/assessment obtains and examines the security plan to ensure the organization being inspected/assessed documents within its security plan the trustworthiness required in the information system, information system component, or information system service defined in SA-13, CCI 3226 supporting its critical missions/business functions.'),(3226,'SA-13','','The organization defines the information system, information system component, or information system service supporting its critical missions/business functions in which the  trustworthiness must be described.','The organization being inspected/assessed defines and documents the information system, information system component, or information system service supporting its critical missions/business functions in which the  trustworthiness must be described.\n \nDoD has determined the information system, information system component, or information system service is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented  information system, information system component, or information system service to ensure the organization being inspected/assessed defines  the information system, information system component, or information system service supporting its critical missions/business functions in which the  trustworthiness must be described. \n \nDoD has determined the information system, information system component, or information system service is not appropriate to define at the Enterprise level.'),(3227,'SA-13','','The organization implements an organization-defined assurance overlay to achieve trustworthiness required to support its critical missions/business functions.','The organization being inspected/assessed implements an assurance overlay defined in SA-13, CCI 3228 to achieve trustworthiness required to support its critical missions/business functions.','The organization conducting the inspection/assessment examines the information system to ensure the organization being inspected/assessed implements an assurance overlay defined in SA-13, CCI 3228 to achieve trustworthiness required to support its critical missions/business functions.'),(3228,'SA-13','','The organization defines an assurance overlay to be implemented to achieve trustworthiness required to support its critical missions/business functions.','The organization being inspected/assessed defines and documents an assurance overlay to be implemented to achieve trustworthiness required to support its critical missions/business functions.\n \nDoD has determined the assurance overlay is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented assurance overlay to ensure the organization being inspected/assessed defines an assurance overlay to be implemented to achieve trustworthiness required to support its critical missions/business functions.\n \nDoD has determined the assurance overlay is not appropriate to define at the Enterprise level.'),(3229,'SA-14','','The organization identifies critical information system components by performing a criticality analysis for organization-defined information systems, information system components, or information system services at organization-defined decision points in the system development life cycle.','The organization being inspected/assessed identifies and documents critical information system components by performing a criticality analysis for information systems, information system components, or information system services IAW DoDI 5200.44.  Information systems include all DoD Information Technology.\n\nCriticality analysis is the primary method by which a program identifies mission-critical functions and associated components. Criticality analysis includes the following iterative steps:\n1. Identify and group mission threads.\n2. Decompose the mission threads into their mission-critical functions and assign them criticality levels.\n3. Map the mission-critical functions to the system architecture and identify the defined system components (hardware, software, and firmware) that implement those functions (i.e., components that are critical to the mission effectiveness of the system or an interfaced network).\n4. Allocate criticality levels to those components that have been defined.\n\nCriticality levels are determined by assessing the relative impact on the system’s ability to complete its mission if the function and associated component fails. Level I is total mission failure, Level II is significant/unacceptable degradation, Level III is partial/acceptable, and Level IV is negligible.\n\nOnce the program has identified critical components through the criticality analysis, the program systems engineers and SSEs can use the results along with the vulnerability assessment and threat assessment to determine the risk.  \n\nThe organization should reference the Defense Acquisition Guidebook (DAG) Chapter 13 for more information. ','The organization conducting the inspection/assessment obtains and examines the documented information system components to ensure the organization being inspected/assessed identifies critical information system components by performing a criticality analysis for information systems, information system components, or information system services IAW DoDI 5200.44.'),(3230,'SA-14','','The organization identifies critical information system functions by performing a criticality analysis for organization-defined information systems, information system components, or information system services at organization-defined decision points in the system development life cycle.','The organization being inspected/assessed identifies and documents  critical information system functions by performing a criticality analysis for information systems, information system components, or information system services IAW DoDI 5200.44.\n\nCriticality analysis is the primary method by which a program identifies mission-critical functions and associated components. Criticality analysis includes the following iterative steps:\n1. Identify and group mission threads.\n2. Decompose the mission threads into their mission-critical functions and assign them criticality levels.\n3. Map the mission-critical functions to the system architecture and identify the defined system components (hardware, software, and firmware) that implement those functions (i.e., components that are critical to the mission effectiveness of the system or an interfaced network).\n4. Allocate criticality levels to those components that have been defined.\n\nCriticality levels are determined by assessing the relative impact on the system’s ability to complete its mission if the function and associated component fails. Level I is total mission failure, Level II is significant/unacceptable degradation, Level III is partial/acceptable, and Level IV is negligible.\n\nOnce the program has identified critical functions through the criticality analysis, the program systems engineers and SSEs can use the results along with the vulnerability assessment and threat assessment to determine the risk.  \n\nThe organization should reference the Defense Acquisition Guidebook (DAG) Chapter 13 for more information. \n','The organization conducting the inspection/assessment obtains and examines the documented information system functions to ensure the organization being inspected/assessed identifies critical information system functions by performing a criticality analysis for information systems, information system components, or information system services IAW DoDI 5200.44.'),(3231,'SA-14','','The organization defines the information systems, information system components, or information system services for which the organization identifies critical information system components and functions for criticality analysis.','The organization being inspected/assessed defines and documents the information systems, information system components, or information system services for which the organization identifies critical information system components and functions for criticality analysis IAW DoDI 5200.44.\n\nThe organization should perform Criticality Analysis to identify and prioritize mission-critical functions and critical components in accordance with the DoDI 5200.44. The criticality analysis allows a program to focus attention (and resources) on the system capabilities, mission-critical functions that matter most. Mission-critical functions are those functions of the system that, if corrupted or disabled, would likely lead to mission failure or degradation. Mission-critical components are primarily the elements of the system (hardware, software, and firmware) that implement critical functions; however, system components that perform defensive functions to protect inherently critical components and other components with unmediated access to inherently critical components, may themselves be mission critical. \n\nDoD has determined the decision points are not appropriate to define at the Enterprise level.\n','The organization conducting the inspection/assessment obtains and examines the documented information systems, information system components, or information system services to ensure they have been defined IAW DoDI 5200.44.\n\nDoD has determined the information systems, information system components, or information system services are not appropriate to define at the Enterprise level.'),(3232,'SA-14','','The organization defines the decision points in the system development life cycle at which to perform a criticality analysis to identify critical information system components and functions for organization-defined information systems, information system components , or information system services.','The organization being inspected/assessed defines and documents  the decision points in the system development life cycle at which to perform a criticality analysis to identify critical information system components and functions for organization-defined information systems, information system components , or information system services IAW DoDI 5200.44 and DoDI 5000.2.\n\nCriticality analysis is an iterative process that should be performed whenever an architecture or design is being developed or modified and executed across the acquisition lifecycle, building on growing maturity and updated information,  in preparation for acquisition milestone reviews, and at other points in the acquisition lifecycle as defined by the DoDI 5000.2.\n\nA DoD program needs to perform criticality analysis throughout the acquisition life cycle. As a minimum, DoD programs need to perform / update a criticality analysis, along with the threat assessment, vulnerability assessment, risk assessment, cost-benefit trade-off and countermeasure selection, before each technical review.\n\nDoD has determined the decision points are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented decision points to ensure they have been defined IAW DoDI 5200.44 and DoDI 5000.2.\n\n\nDoD has determined the decision points are not appropriate to define at the Enterprise level.'),(3233,'SA-15','','The organization requires the developer of the information system, system component, or information system service to follow a documented development process.','The organization being inspected/assessed requires within contracts/agreements that the developer of the information system, system component, or information system service to follow a documented development process.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires  that the developer of the information system, system component, or information system service to follow a documented development process.'),(3234,'SA-15','','The documented information system, system component, or information system service development process explicitly addresses security requirements.','The organization being inspected/assessed requires within contracts/agreements that the developer  of the information system, system component, or information system service explicitly addresses security requirements.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer  of the information system, system component, or information system service explicitly addresses security requirements.'),(3235,'SA-15','','The documented information system, system component, or information system service development process identifies the standards used in the development process.','The organization being inspected/assessed requires within contracts/agreements that the developer  of the information system, system component, or information system service  identifies the standards used in the development process,   for example, programming languages and computer-aided design (CAD) systems.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer  of the information system, system component, or information system service  identifies the standards used in the development process.'),(3236,'SA-15','','The documented information system, system component, or information system service development process identifies the tools used in the development process.','The organization being inspected/assessed requires within contracts/agreements that the developer  of the information system, system component, or information system service  identifies the tools used in the development process,  for example, programming languages and computer-aided design (CAD) systems.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer  of the information system, system component, or information system service  identifies the tools used in the development process.'),(3237,'SA-15','','The documented information system, system component, or information system service development process documents the specific tool options and tool configurations used in the development process.','The organization being inspected/assessed requires within contracts/agreements that the developer  of the information system, system component, or information system service documents the specific tool options and tool configurations used in the development process.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer  of the information system, system component, or information system service documents the specific tool options and tool configurations used in the development process.'),(3238,'SA-15','','The documented information system, system component, or information system service development process documents changes to the process and/or tools used in development.','The organization being inspected/assessed requires within contracts/agreements that the developer  of the information system, system component, or information system service documents changes to the process and/or tools used in development.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer  of the information system, system component, or information system service documents changes to the process and/or tools used in development.'),(3239,'SA-15','','The documented information system, system component, or information system service development process manages changes to the process and/or tools used in development.','The organization being inspected/assessed requires within contracts/agreements that the developer  of the information system, system component, or information system service document a process to manage changes to the process and/or tools used in development.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer  of the information system, system component, or information system service document a process to manage changes to the process and/or tools used in development.'),(3240,'SA-15','','The documented information system, system component, or information system service development process ensures the integrity of changes to the process and/or tools used in development.','The organization being inspected/assessed requires within contracts/agreements that the developer  of the information system, system component, or information system service document the integrity of changes to the process and/or tools used in development.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer  of the information system, system component, or information system service document the integrity of changes to the process and/or tools used in development.'),(3241,'SA-15','','The organization reviews the development process in accordance with organization-defined frequency to determine if the development process selected and employed can satisfy organization-defined security requirements.','The organization being inspected/assessed documents and implements a process to review the development process before first use and annually thereafter to determine if the development process selected and employed can satisfy the security requirements defined in SA-15, CCI 3246.  Reviews of development processes can include, for example, the use of capability maturity model integration (CMMI) to determine the potential effectiveness of such processes. \n\nThe organization must maintain a record of reviews.\n \nDoD has defined the frequency as before first use and annually thereafter.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of reviews to ensure the organization being inspected/assessed reviews the development process before first use and annually thereafter to determine if the development process selected and employed can satisfy the security requirements defined in SA-15, CCI 3246.\n \nDoD has defined the frequency as before first use and annually thereafter.'),(3242,'SA-15','','The organization reviews the development standards in accordance with organization-defined frequency to determine if the development standards selected and employed can satisfy organization-defined security requirements.','The organization being inspected/assessed documents and implements a process to review the development standards before first use and annually thereafter to determine if the development standards selected and employed can satisfy the security requirements defined in SA-15, CCI 3246.\n \nThe organization must maintain a record of reviews.\n \nDoD has defined the frequency as before first use and annually thereafter.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of reviews to ensure the organization being inspected/assessed reviews the development standards before first use and annually thereafter to determine if the development standards selected and employed can satisfy the security requirements defined in SA-15, CCI 3246.\n \nDoD has defined the frequency as before first use and annually thereafter.'),(3243,'SA-15','','The organization reviews the development tools in accordance with organization-defined frequency to determine if the development tools selected and employed can satisfy organization-defined security requirements.','The organization being inspected/assessed documents and implements a process to review the development tools before first use and annually thereafter to determine if the development tools selected and employed can satisfy the security requirements defined in SA-15, CCI 3246.\n \nThe organization must maintain a record of reviews.\n \nDoD has defined the frequency as before first use and annually thereafter.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of reviews to ensure the organization being inspected/assessed reviews the development tools before first use and annually thereafter to determine if the development tools selected and employed can satisfy the security requirements defined in SA-15, CCI 3246.\n \nDoD has defined the frequency as before first use and annually thereafter.'),(3244,'SA-15','','The organization reviews the development tool options/configurations in accordance with organization-defined frequency to determine if the development tool options/configurations selected and employed can satisfy organization-defined security requirements.','The organization being inspected/assessed documents and implements a process to review the development tool options/configurations before first use and annually thereafter to determine if the development tool options/configurations selected and employed can satisfy the security requirements defined in SA-15, CCI 3246.\n \nThe organization must maintain a record of reviews.\n \nDoD has defined the frequency as before first use and annually thereafter.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of reviews to ensure the organization being inspected/assessed reviews the development tool options/configurations before first use and annually thereafter to determine if the development tool options/configurations selected and employed can satisfy the security requirements defined in SA-15, CCI 3246.\n \nDoD has defined the frequency as before first use and annually thereafter.'),(3245,'SA-15','','The organization defines the frequency on which to review the development process, standards, tools, and tool options/configurations to determine if the process, standards, tools, and tool options/configurations selected and employed can satisfy organization-defined security requirements.','DoD has defined the frequency as before first use and annually thereafter.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the frequency as before first use and annually thereafter.'),(3246,'SA-15','','The organization defines the security requirements that must be satisfied by conducting a review of the development process, standards, tools, and tool options/configurations.','The organization being inspected/assessed defines and documents the security requirements that must be satisfied by conducting a review of the development process, standards, tools, and tool options/configurations.\n \nDoD has determined the security requirements are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented security requirements to ensure the organization being inspected/assessed defines the security requirements that must be satisfied by conducting a review of the development process, standards, tools, and tool options/configurations.\n \nDoD has determined the security requirements are not appropriate to define at the Enterprise level.'),(3247,'SA-15','1','The organization requires the developer of the information system, system component, or information system service to define quality metrics at the beginning of the development process.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the developer of the information system, system component, or information system service define quality metrics at the beginning of the development process.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service define quality metrics at the beginning of the development process.'),(3248,'SA-15','1','The organization requires the developer of the information system, system component, or information system service to provide evidence of meeting the quality metrics in accordance with organization-defined frequency, organization-defined program review milestones and/or upon delivery.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the developer of the information system, system component, or information system service provide evidence of meeting the quality metrics in accordance with the frequency defined in SA-15 (1), CCI 3249, at a minimum, program review milestones IAW DoD Memorandum \"Document Streamlining - Program Protection Plan (PPP)\" and/or upon delivery.\n\nDoD has defined the program review milestones as at a minimum, program review milestones IAW DoD Memorandum \"Document Streamlining - Program Protection Plan (PPP).\"','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service provide evidence of meeting the quality metrics in accordance with the frequency defined in SA-15 (1), CCI 3249, at a minimum, program review milestones IAW DoD Memorandum \"Document Streamlining - Program Protection Plan (PPP)\" and/or upon delivery.\n\nDoD has defined the program review milestones as at a minimum, program review milestones IAW DoD Memorandum \"Document Streamlining - Program Protection Plan (PPP).\"'),(3249,'SA-15','1','The organization defines the frequency that is required by the developer of the information system, system component, or information system service to provide evidence of meeting the quality metrics.','The organization being inspected/assessed defines and documents the frequency that is required by the developer of the information system, system component, or information system service to provide evidence of meeting the quality metrics.\n \nDoD has determined the frequency is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented frequency to ensure the organization being inspected/assessed defines the frequency that is required by the developer of the information system, system component, or information system service to provide evidence of meeting the quality metrics.\n \nDoD has determined the frequency is not appropriate to define at the Enterprise level.'),(3250,'SA-15','1','The organization defines the program review milestones that are required by the developer of the information system, system component, or information system service to provide evidence of meeting the quality metrics.','DoD has defined the program review milestones as at a minimum, program review milestones IAW DoD Memorandum \"Document Streamlining - Program Protection Plan (PPP).\"','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n\nDoD has defined the program review milestones as at a minimum, program review milestones IAW DoD Memorandum \"Document Streamlining - Program Protection Plan (PPP).\"'),(3251,'SA-15','2','The organization requires the developer of the information system, system component, or information system service to select a security tracking tool for use during the development process.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the developer of the information system, system component, or information system service  select a security tracking tool for use during the development process.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  select a security tracking tool for use during the development process.'),(3252,'SA-15','2','The organization requires the developer of the information system, system component, or information system service to employ a security tracking tool for use during the development process.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the developer of the information system, system component, or information system service employ a security tracking tool for use during the development process.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service employ a security tracking tool for use during the development process.'),(3253,'SA-15','3','The organization requires the developer of the information system, system component, or information system service to perform a criticality analysis at organization-defined breadth/depth and at organization-defined decision points in the system development life cycle.','The organization being inspected/assessed requires within contracts/agreements that the developer of the information system, system component, or information system service perform a criticality analysis at the breadth/depth IAW DoDI 5200.44.\n\nThe organization should develop Request for Proposals (RFPs) and other contract language that require contractors to perform Criticality Analyses (CAs) periodically.  Developer input into criticality analysis provides detailed design documentation for information system components (e.g., functional specifications, high-level designs, low-level designs, and source code/hardware schematics). Criticality Analysis should be conducted in accordance with the DoDI 5200.44 and the DoDI 5000.2.\n\nOnce the program has identified critical functions through the criticality analysis, the program systems engineers and SSEs can use the results along with the vulnerability assessment and threat assessment to determine the risk.  \n\nThe organization should reference the Defense Acquisition Guidebook (DAG) Chapter 13 for more information.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service perform a criticality analysis at the breadth/depth IAW DoDI 5200.44.'),(3254,'SA-15','3','The organization defines the breadth/depth the developer of the information system, system component, or information system service is required to perform a criticality analysis.','The organization being inspected/assessed defines and documents the breadth/depth the developer of the information system, system component, or information system service is required to perform a criticality analysis IAW DoDI 5200.44. \n\nThe criticality analysis allows a program to focus attention (and resources) on the system capabilities, mission-critical functions that matter most. Mission-critical functions are those functions of the system that, if corrupted or disabled, would likely lead to mission failure or degradation. Mission-critical components are primarily the elements of the system (hardware, software, and firmware) that implement critical functions; however, system components that perform defensive functions to protect inherently critical components and other components with unmediated access to inherently critical components, may themselves be mission critical. \n\nCriticality analysis is the primary method by which a program identifies mission-critical functions and associated components. Criticality analysis includes the following iterative steps:\n1. Identify and group mission threads.\n2. Decompose the mission threads into their mission-critical functions and assign them criticality levels.\n3. Map the mission-critical functions to the system architecture and identify the defined system components (hardware, software, and firmware) that implement those functions (i.e., components that are critical to the mission effectiveness of the system or an interfaced network).\n4. Allocate criticality levels to those components that have been defined.\n\nCriticality levels are determined by assessing the relative impact on the system’s ability to complete its mission if the function and associated component fails. Level I is total mission failure, Level II is significant/unacceptable degradation, Level III is partial/acceptable, and Level IV is negligible.\n\nThe organization should reference the Defense Acquisition Guidebook (DAG) Chapter 13 for more information.\n \nDoD has determined the breadth/depth are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented breadth/depth to ensure the organization being inspected/assessed defines the breadth/depth the developer of the information system, system component, or information system service is required to perform a criticality analysis IAW DoDI 5200.44.\n\nDoD has determined the breadth/depth are not appropriate to define at the Enterprise level.'),(3255,'SA-15','3','The organization defines decision points in the system development life cycle the developer of the information system, system component, or information system service is required to perform a criticality analysis.','The organization being inspected/assessed defines and documents decision points in the system development life cycle the developer of the information system, system component, or information system service is required to perform a criticality analysis IAW DoDI 5200.44 and DoDI 5000.2.\n\nCriticality analysis is an iterative process that should be performed whenever an architecture or design is being developed or modified and executed across the acquisition lifecycle, building on growing maturity and updated information. \n\nCriticality analysis is performed throughout the acquisition life cycle.  As a minimum, the developer should support the performing and update a criticality analysis, along with the threat assessment, vulnerability assessment, risk assessment, cost-benefit trade-off and countermeasure selection, before each technical review.','The organization conducting the inspection/assessment obtains and examines the documented decision points to ensure the organization being inspected/assessed defines  decision points in the system development life cycle the developer of the information system, system component, or information system service is required to perform a criticality analysis IAW DoDI 5200.44 and DoDI 5000.2.\n\nDoD has determined the decision points are not appropriate to define at the Enterprise level.'),(3256,'SA-15','4','The organization requires that developers perform threat modeling for the information system at organization-defined breadth/depth.','The organization being inspected/assessed requires within contracts/agreements that the developers perform threat modeling for the information system at the breadth/depth defined in SA-15 (4), CCI 3258.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developers perform threat modeling for the information system at the breadth/depth defined in SA-15 (4), CCI 3258.'),(3257,'SA-15','4','The organization requires that developers perform a vulnerability analysis for the information system at organization-defined breadth/depth.','The organization being inspected/assessed requires within contracts/agreements that the developers perform a vulnerability analysis for the information system at the breadth/depth defined in SA-15 (4), CCI 3259  to inform design or implementation changes and resulting vulnerabilities are accounted for during development . Vulnerability analysis should consider a review of system design and may include static analyses, dynamic analyses, simulations, and penetration testing. The developer should document the type of vulnerability analysis that was performed, the results (including defects) and any follow on actions. ','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developers perform a vulnerability analysis for the information system at the breadth/depth defined in SA-15 (4), CCI 3259.'),(3258,'SA-15','4','The organization defines breadth/depth that threat modeling for the information system must be performed by developers.','The organization being inspected/assessed requires within contracts/agreements that the developers perform threat modeling for the information system at the breadth/depth defined in SA-15 (4), CCI 3258.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developers perform threat modeling for the information system at the breadth/depth defined in SA-15 (4), CCI 3258.'),(3259,'SA-15','4','The organization defines breadth/depth that vulnerability analysis for the information system must be performed by developers.','The organization being inspected/assessed requires within contracts/agreements that the developers perform a vulnerability analysis for the information system at the breadth/depth defined in SA-15 (4), CCI 3259  to inform design or implementation changes and resulting vulnerabilities are accounted for during development . Vulnerability analysis should consider a review of system design and may include static analyses, dynamic analyses, simulations, and penetration testing. The developer should document the type of vulnerability analysis that was performed, the results (including defects) and any follow on actions. ','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developers perform a vulnerability analysis for the information system at the breadth/depth defined in SA-15 (4), CCI 3259.'),(3260,'SA-15','4','Threat modeling performed by the developer for the information system uses organization-defined information concerning impact, environment of operations, known or assumed threats, and acceptable risk levels.','The organization being inspected/assessed requires within contracts/agreements  that the developer\'s threat modeling include the use of  information concerning impact, environment of operations, known or assumed threats, and acceptable risk levels defined in SA-15 (4), CCI 3262.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed  documents within their contracts/agreements, their requirement that the developer\'s threat modeling include the use of  information concerning impact, environment of operations, known or assumed threats, and acceptable risk levels defined in SA-15 (4), CCI 3262.'),(3261,'SA-15','4','Vulnerability analysis performed by the developer for the information system uses organization-defined information concerning impact, environment of operations, known or assumed threats, and acceptable risk levels.','The organization being inspected/assessed requires within contracts/agreements that the developer\'s vulnerability analysis include the use of  information concerning impact, environment of operations, known or assumed threats, and acceptable risk levels defined in SA-15 (4), CCI 3263. Vulnerability analysis should consider a review of system design and may include static analyses, dynamic analyses, simulations, and penetration testing. The developer should document the type of vulnerability analysis that was performed, the results (including defects) and any follow on actions.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed  documents within their contracts/agreements, their requirement that the developer\'s vulnerability analysis include the use of  information concerning impact, environment of operations, known or assumed threats, and acceptable risk levels defined in SA-15 (4), CCI 3263.'),(3262,'SA-15','4','The organization defines information concerning impact, environment of operations, known or assumed threats, and acceptable risk levels to be used to perform threat modeling for the information system by the developer.','The organization being inspected/assessed defines and documents information concerning impact, environment of operations, known or assumed threats, and acceptable risk levels to be used to perform threat modeling for the information system by the developer.\n \nDoD has determined the information is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information to ensure the organization being inspected/assessed defines  information concerning impact, environment of operations, known or assumed threats, and acceptable risk levels to be used to perform threat modeling for the information system by the developer.\n \nDoD has determined the information is not appropriate to define at the Enterprise level.'),(3263,'SA-15','4','The organization defines information concerning impact, environment of operations, known or assumed threats, and acceptable risk levels to be used to perform a vulnerability analysis for the information system by the developer.','The organization being inspected/assessed defines and documents information concerning impact, environment of operations, known or assumed threats, and acceptable risk levels to be used to perform a vulnerability analysis for the information system by the developer.\n \nDoD has determined the information is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information to ensure the organization being inspected/assessed defines information concerning impact, environment of operations, known or assumed threats, and acceptable risk levels to be used to perform a vulnerability analysis for the information system by the developer.\n \n \nDoD has determined the information is not appropriate to define at the Enterprise level.'),(3264,'SA-15','4','The organization requires the threat modeling performed by the developers employ organization-defined tools and methods.','The organization being inspected/assessed requires within contracts/agreements that the threat modeling performed by the developers employ the tools and methods defined in SA-15 (4), CCI 3266.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the threat modeling performed by the developers employ the tools and methods defined in SA-15 (4), CCI 3266.'),(3265,'SA-15','4','The organization requires the vulnerability analysis performed by the developers employ organization-defined tools and methods.','The organization being inspected/assessed requires within contracts/agreements that the vulnerability analysis performed by the developers employ the tools and methods defined in SA-15 (4), CCI 3267.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the vulnerability analysis performed by the developers employ the tools and methods defined in SA-15 (4), CCI 3267.'),(3266,'SA-15','4','The organization defines tools and methods to be employed to perform threat modeling for the information system by the developer.','The organization being inspected/assessed defines and documents tools and methods to be employed to perform threat modeling for the information system by the developer.\n \nDoD has determined the tools and methods are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented tools and methods to ensure the organization being inspected/assessed defines tools and methods to be employed to perform threat modeling for the information system by the developer.\n \nDoD has determined the tools and methods are not appropriate to define at the Enterprise level.'),(3267,'SA-15','4','The organization defines tools and methods to be employed to perform a vulnerability analysis for the information system by the developer.','The organization being inspected/assessed defines and documents tools and methods to be employed to perform a vulnerability analysis for the information system by the developer.\n \nDoD has determined the tools and methods are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented tools and methods to ensure the organization being inspected/assessed defines tools and methods to be employed to perform a vulnerability analysis for the information system by the developer.\n \nDoD has determined the tools and methods are not appropriate to define at the Enterprise level.'),(3268,'SA-15','4','The organization requires that developers performing threat modeling for the information system produces evidence that meets organization-defined acceptance criteria.','The organization being inspected/assessed requires within contracts/agreements that the developers performing threat modeling for the information system produces evidence that meet the acceptance criteria defined in SA-15 (4), CCI 3270.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developers performing threat modeling for the information system produces evidence that meet the acceptance criteria defined in SA-15 (4), CCI 3270.'),(3269,'SA-15','4','The organization requires that developers performing vulnerability analysis for the information system produces evidence that meets organization-defined acceptance criteria.','The organization being inspected/assessed requires within contracts/agreements that the developers performing vulnerability analysis for the information system produces evidence that meet the acceptance criteria defined in SA-15 (4), CCI 3271.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the vulnerability analysis performed by the developers performing vulnerability analysis for the information system produces evidence that meet the acceptance criteria defined in SA-15 (4), CCI 3271.'),(3270,'SA-15','4','The organization defines the acceptance criteria that must be met when threat modeling of the information system is performed by the developer.','The organization being inspected/assessed defines and documents the acceptance criteria that must be met when threat modeling of the information system is performed by the developer.\n \nDoD has determined the acceptance criteria is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented acceptance criteria to ensure the organization being inspected/assessed defines the acceptance criteria that must be met when threat modeling of the information system is performed by the developer.\n \nDoD has determined the acceptance criteria is not appropriate to define at the Enterprise level.'),(3271,'SA-15','4','The organization defines the acceptance criteria that must be met when vulnerability analysis of the information system is performed by the developer.','The organization being inspected/assessed defines and documents the acceptance criteria that must be met when vulnerability analysis of the information system is performed by the developer.\n \nDoD has determined the acceptance criteria is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented acceptance criteria to ensure the organization being inspected/assessed defines the acceptance criteria that must be met when vulnerability analysis of the information system is performed by the developer.\n  \nDoD has determined the acceptance criteria is not appropriate to define at the Enterprise level.'),(3272,'SA-15','5','The organization requires the developer of the information system, system component, or information system service to reduce attack surfaces to organization-defined thresholds.','The organization being inspected/assessed requires the developer to perform attack surface reduction activities to reduce risk to organizations by giving attackers less opportunity to exploit weaknesses or vulnerabilities. \n\nAttack surface reduction may include:\n1. Testing and delivering the system with debug options off, or making the debug capabilities inaccessible to unauthorized users;\n2. Applying the principle of least privilege;\n3. Applying the principle of least functionality (i.e., restricting ports, protocols, functions, and services), deprecating unsafe functions, and eliminating application programming interfaces (APIs) that are vulnerable to cyber attacks; and\n4. Employing layered defenses.\n5. Using trusted physical delivery mechanisms that do not permit access to the element during delivery (ship via a protected carrier, use cleared/official couriers, or a diplomatic pouch);\n6. Using trusted logical delivery of products and services (require downloading from approved, verification-enhanced sites);\n7. Avoiding the purchase of custom configurations;\n8. Using procurement carve outs (i.e., exclusions to commitments or obligations);\n9. Using defensive design approaches;\n10. Minimizing the time between purchase decisions and required delivery;\n11. Employing a diverse set of suppliers;\n12. Employing approved vendor lists with standing reputations in industry;\n13. Diversifying and disperse how the product is acquired (e.g. Spot Markets); and\n14. Employing inventory management policies and processes.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service reduce attack surfaces to thresholds defined in SA-15 (5), CCI 3273.'),(3273,'SA-15','5','The organization defines the thresholds that the developer of the information system, system component, or information system service is required to reduce attack surfaces.','The organization being inspected/assessed defines and documents the thresholds that the developer of the information system, system component, or information system service is required to reduce attack surfaces.\n \nDoD has determined the thresholds are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented thresholds to ensure the organization being inspected/assessed defines  the thresholds that the developer of the information system, system component, or information system service is required to reduce attack surfaces.\n \nDoD has determined the thresholds are not appropriate to define at the Enterprise level.'),(3274,'SA-15','6','The organization requires the developer of the information system, system component, or information system service to implement an explicit process to continuously improve the development process.','The organization being inspected/assessed documents within contracts/agreements, the requirement that the  developer of the information system, system component, or information system service  implement an explicit process to continuously improve the development process.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  implement an explicit process to continuously improve the development process.'),(3275,'SA-15','7','The organization requires the developer of the information system, system component, or information system services to perform an automated vulnerability analysis using organization-defined tools.','The organization being inspected/assessed requires within contracts/agreements that the  developer of the information system, system component, or information system service perform an automated vulnerability analysis using the tools defined in SA-15 (7), CCI 3276.\n\nThe organization should require the developer to perform automated vulnerability analysis which may include dynamic analyses, static analyses, and regression testing tools. Automated testing should be performed in conjunction with manual testing to provide greater levels of analysis.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service perform an automated vulnerability analysis using the tools defined in SA-15 (7), CCI 3276.'),(3276,'SA-15','7','The organization defines the tools the developer of the information system, system component, or information system services uses to perform an automated vulnerability analysis.','The organization being inspected/assessed defines and documents the tools the developer of the information system, system component, or information system services uses to perform an automated vulnerability analysis.\n \nDoD has determined the tools are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented tools to ensure the organization being inspected/assessed defines  the tools the developer of the information system, system component, or information system services uses to perform an automated vulnerability analysis.\n \nDoD has determined the tools are not appropriate to define at the Enterprise level.'),(3277,'SA-15','7','The organization requires the developer of the information system, system component, or information system services to determine the exploitation potential for discovered vulnerabilities.','The organization being inspected/assessed requires within contracts/agreements that the  developer of the information system, system component, or information system service determine the exploitation potential for discovered vulnerabilities.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  determine the exploitation potential for discovered vulnerabilities.'),(3278,'SA-15','7','The organization requires the developer of the information system, system component, or information system services to determine potential risk mitigations for delivered vulnerabilities.','The organization being inspected/assessed requires within contracts/agreements that the  developer of the information system, system component, or information system service determine potential risk mitigations for delivered vulnerabilities.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  determine potential risk mitigations for delivered vulnerabilities.'),(3279,'SA-15','7','The organization requires the developer of the information system, system component, or information system services to deliver the outputs of the tools and results of the vulnerability analysis to organization-defined personnel or roles.','The organization being inspected/assessed requires within contracts/agreements that the  developer of the information system, system component, or information system service deliver the outputs of the tools and results of the vulnerability analysis to  the ISSO, ISSM, and PM.\n \nDoD has defined the personnel or roles as the ISSO, ISSM, and PM.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  deliver the outputs of the tools and results of the vulnerability analysis to  the ISSO, ISSM, and PM.\n \nDoD has defined the personnel or roles as the ISSO, ISSM, and PM.'),(3280,'SA-15','7','The organization defines the personnel or roles to whom the outputs of the tools and results of the vulnerability analysis are delivered.','DoD has defined the personnel or roles as the ISSO, ISSM, and PM.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as the ISSO, ISSM, and PM.'),(3281,'SA-15','8','The organization requires the developer of the information system, system component, or information system service to use threat modeling from similar systems, components, or services to inform the current development process.','The organization being inspected/assessed requires within contracts/agreements that the  developer of the information system, system component, or information system service use threat modeling from similar systems, components, or services to inform the current development process.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  use threat modeling from similar systems, components, or services to inform the current development process.'),(3282,'SA-15','8','The organization requires the developer of the information system, system component, or information system service to use vulnerability analysis from similar systems, components, or services to inform the current development process.','The organization being inspected/assessed requires within contracts/agreements that the  developer of the information system, system component, or information system service use vulnerability analysis from similar systems, components, or services to inform the current development process and potential design or implementation issues.  Authoritative vulnerability information is available from a variety of public and private sector sources including, for example, the National Vulnerability Database and the Government/Industry Data Exchange Program (GIDEP).','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service use vulnerability analysis from similar systems, components, or services to inform the current development process.'),(3283,'SA-15','9','The organization approves the use of live data in development environments for the information system, system component, or information system service.','The organization being inspected/assessed documents and implements a process to approve the use of live data in development environments for the information system, system component, or information system service.\n \nThe organization must maintain a record of approvals.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of approvals to ensure the organization being inspected/assessed approves the use of live data in development environments for the information system, system component, or information system service.'),(3284,'SA-15','9','The organization approves the use of live data in test environments for the information system, system component, or information system service.','The organization being inspected/assessed documents and implements a process to approve the use of live data in test environments for the information system, system component, or information system service.\n \nThe organization must maintain a record of approvals.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of approvals to ensure the organization being inspected/assessed approves the use of live data in test environments for the information system, system component, or information system service.'),(3285,'SA-15','9','The organization documents the use of live data in development environments for the information system, system component, or information system service.','The organization being inspected/assessed documents the use of live data in development environments for the information system, system component, or information system service.','The organization conducting the inspection/assessment obtains and examines the documented use of live data in test environments to ensure the organization being inspected/assessed documents the use of live data in development environments for the information system, system component, or information system service.'),(3286,'SA-15','9','The organization documents the use of live data in test environments for the information system, system component, or information system service.','The organization being inspected/assessed documents the use of live data in test environments for the information system, system component, or information system service.','The organization conducting the inspection/assessment obtains and examines the documented use of live data in test environments to ensure the organization being inspected/assessed documents the use of live data in test environments for the information system, system component, or information system service.'),(3287,'SA-15','9','The organization controls the use of live data in development environments for the information system, system component, or information system service.','The organization being inspected/assessed documents and implements a process to control the use of live data in development environments for the information system, system component, or information system service.\n \nThe Enclave Test and Development STIG identifies requirements for test and development environments.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed controls the use of live data in development environments for the information system, system component, or information system service.'),(3288,'SA-15','9','The organization controls the use of live data in test environments for the information system, system component, or information system service.','The organization being inspected/assessed documents and implements a process to control the use of live data in test environments for the information system, system component, or information system service.\n \nThe Enclave Test and Development STIG identifies requirements for test and development environments.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed controls the use of live data in test environments for the information system, system component, or information system service.'),(3289,'SA-15','10','The organization requires the developer of the information system, system component, or information system service to provide an incident response plan.','The organization being inspected/assessed documents within contracts/agreements, the requirement that the  developer of the information system, system component, or information system service provide an incident response plan.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service provide an incident response plan.'),(3290,'SA-15','11','The organization requires the developer of the information system or system component to archive the system or component to be released or delivered together with the corresponding evidence supporting the final security review.','The organization being inspected/assessed documents within contracts/agreements, the requirement that the  developer of the information system, system component, or information system service be released or delivered together with the corresponding evidence supporting the final security review.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  be released or delivered together with the corresponding evidence supporting the final security review.'),(3291,'SA-16','','The organization requires the developer of the information system, system component, or information system service to provide organization-defined training on the correct use and operation of the implemented security functions, controls, and/or mechanisms.','The organization being inspected/assessed documents within contracts/agreements, the requirement that the  developer of the information system, system component, or information system service provide training defined in SA-16, CCI 3292 on the correct use and operation of the implemented security functions, controls, and/or mechanisms.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service provide training defined in SA-16, CCI 3292 on the correct use and operation of the implemented security functions, controls, and/or mechanisms.'),(3292,'SA-16','','The organization defines the training the developer of the information system, system component, or information system service is required to provide on the correct use and operation of the implemented security functions, controls, and/or mechanisms.','The organization being inspected/assessed defines and documents the training the developer of the information system, system component, or information system service is required to provide on the correct use and operation of the implemented security functions, controls, and/or mechanisms.\n \nDoD has determined the training is not appropriate to define at the Enterprise level.','The organization  conducting the inspection/assessment obtains and examines the documented training to ensure the organization being inspected/assessed defines the training the developer of the information system, system component, or information system service is required to provide on the correct use and operation of the implemented security functions, controls, and/or mechanisms.\n \nDoD has determined the training is not appropriate to define at the Enterprise level.'),(3293,'SA-17','','The organization requires the developer of the information system, system component, or information system service to produce a design specification and security architecture.','The organization being inspected/assessed documents within contracts/agreements, the requirement that the  developer of the information system, system component, or information system service  produce a design specification and security architecture.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  produce a design specification and security architecture.'),(3294,'SA-17','','The design specification and security architecture is consistent with and supportive of the organization\'s security architecture which is established within and is interrogated part of the organization\'s enterprise architecture.','The organization being inspected/assessed documents within contracts/agreements, the requirement that the developer produce a design specification and security architecture that is consistent with and supportive of the organization\'s security architecture which is established within and is interrogated part of the organization\'s enterprise architecture.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer produce a design specification and security architecture that is consistent with and supportive of the organization\'s security architecture which is established within and is interrogated part of the organization\'s enterprise architecture.'),(3295,'SA-17','','The design specification and security architecture accurately and completely describes the required security functionality','The organization being inspected/assessed documents within contracts/agreements, the requirement that the developer produce a design specification and security architecture that accurately and completely describes the required security functionality.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer produce a design specification and security architecture that accurately and completely describes the required security functionality.'),(3296,'SA-17','','The design specification and security architecture accurately and completely describes the allocation of security controls among physical and logical components.','The organization being inspected/assessed documents within contracts/agreements, the requirement that the developer produce a design specification and security architecture  that accurately and completely describes the allocation of security controls among physical and logical components.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer produce a design specification and security architecture that accurately and completely describes the allocation of security controls among physical and logical components.'),(3297,'SA-17','','The design specification and security architecture expresses how individual security functions, mechanisms, and services work together to provide required security capabilities and a unified approach to protection.','The organization being inspected/assessed documents within contracts/agreements, the requirement that the developer produce a design specification and security architecture  that expresses how individual security functions, mechanisms, and services work together to provide required security capabilities and a unified approach to protection.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer produce a design specification and security architecture that expresses how individual security functions, mechanisms, and services work together to provide required security capabilities and a unified approach to protection.'),(3298,'SA-17','1','The organization requires the developer of the information system, system component, or information system to produce, as an integral part of the development process, a formal policy model describing the organization-defined elements of organizational security policy to be enforced.','The organization being inspected/assessed documents within contracts/agreements,, the requirement that the  developer of the information system, system component, or information system service produce, as an integral part of the development process, a formal policy model describing the  elements of organizational security policy defined in SA-17 (1), CCI 3299 to be enforced.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  produce, as an integral part of the development process, a formal policy model describing the  elements of organizational security policy defined in SA-17 (1), CCI 3299 to be enforced.'),(3299,'SA-17','1','The organization defines the elements of organization security policy to be described in the formal policy model for enforcement on the information system, system component, or information system service.','The organization being inspected/assessed defines and documents the elements of organization security policy to be described in the formal policy model for enforcement on the information system, system component, or information system service.\n \nDoD has determined the elements are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented elements to ensure the organization being inspected/assessed defines  the elements of organization security policy to be described in the formal policy model for enforcement on the information system, system component, or information system service.\n \nDoD has determined the elements are not appropriate to define at the Enterprise level.'),(3300,'SA-17','1','The organization requires the developer of the information system, system component, or information system service to prove that the formal policy model is internally consistent and sufficient to enforce the defined elements of the organizational security policy when implemented.','The organization being inspected/assessed documents within contracts/agreements, the requirement that the  developer of the information system, system component, or information system service prove that the formal policy model is internally consistent and sufficient to enforce the defined elements of the organizational security policy when implemented.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements o ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service prove that the formal policy model is internally consistent and sufficient to enforce the defined elements of the organizational security policy when implemented.'),(3301,'SA-17','2','The organization requires the developer of the information system, system component, or information system service to define security-relevant hardware.','The organization being inspected/assessed documents within contracts/agreements, the requirement that the  developer of the information system, system component, or information system service define security-relevant software.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service define security-relevant software.'),(3303,'SA-17','2','The organization requires the developer of the information system, system component, or information system service to define security-relevant software.','The organization being inspected/assessed documents within contracts/agreements, the requirement that the  developer of the information system, system component, or information system service define security-relevant software.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service define security-relevant software.'),(3304,'SA-17','2','The organization requires the developer of the information system, system component, or information system service to define security-relevant firmware.','The organization being inspected/assessed documents within contracts/agreements, the requirement that the  developer of the information system, system component, or information system service  define security-relevant firmware.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  define security-relevant firmware.'),(3305,'SA-17','2','The organization requires the developer of the information system, system component, or information system service to provide a rationale that the definition for security-relevant hardware is complete.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service provide a rationale that the definition for security-relevant hardware is complete.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service provide a rationale that the definition for security-relevant hardware is complete.'),(3306,'SA-17','2','The organization requires the developer of the information system, system component, or information system service to provide a rationale that the definition for security-relevant software is complete.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service provide a rationale that the definition for security-relevant software is complete.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service provide a rationale that the definition for security-relevant software is complete.'),(3307,'SA-17','2','The organization requires the developer of the information system, system component, or information system service to provide a rationale that the definition for security-relevant firmware is complete.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service provide a rationale that the definition for security-relevant firmware is complete.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service provide a rationale that the definition for security-relevant firmware is complete.'),(3308,'SA-17','3','The organization requires the developer of the information system, system component, or information system service to produce, as an integral part of the development process, a formal top-level specification that specifies the interfaces to security-relevant hardware in terms of exceptions, error messages, and effects.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service produce, as an integral part of the development process, a formal top-level specification that specifies the interfaces to security-relevant hardware in terms of exceptions, error messages, and effects.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  produce, as an integral part of the development process, a formal top-level specification that specifies the interfaces to security-relevant hardware in terms of exceptions, error messages, and effects.'),(3309,'SA-17','3','The organization requires the developer of the information system, system component, or information system service to produce, as an integral part of the development process, a formal top-level specification that specifies the interfaces to security-relevant software in terms of exceptions, error messages, and effects.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service produce, as an integral part of the development process, a formal top-level specification that specifies the interfaces to security-relevant software in terms of exceptions, error messages, and effects.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  produce, as an integral part of the development process, a formal top-level specification that specifies the interfaces to security-relevant software in terms of exceptions, error messages, and effects.'),(3310,'SA-17','3','The organization requires the developer of the information system, system component, or information system service to produce, as an integral part of the development process, a formal top-level specification that specifies the interfaces to security-relevant firmware in terms of exceptions, error messages, and effects.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service produce, as an integral part of the development process, a formal top-level specification that specifies the interfaces to security-relevant firmware in terms of exceptions, error messages, and effects.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service produce, as an integral part of the development process, a formal top-level specification that specifies the interfaces to security-relevant firmware in terms of exceptions, error messages, and effects.'),(3311,'SA-17','3','The organization requires the developer of the information system, system component, or information system service to show via proof to the extent feasible with additional informal demonstration as necessary, that the formal top-level specification is consistent with the formal policy model.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service show via proof to the extent feasible with additional informal demonstration as necessary, that the formal top-level specification is consistent with the formal policy model.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service show via proof to the extent feasible with additional informal demonstration as necessary, that the formal top-level specification is consistent with the formal policy model.'),(3312,'SA-17','3','The organization requires the developer of the information system, system component, or information system service to show via informal demonstration, that the formal top-level specification completely covers the interfaces to security-relevant hardware.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service show via informal demonstration, that the formal top-level specification completely covers the interfaces to security-relevant hardware.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service show via informal demonstration, that the formal top-level specification completely covers the interfaces to security-relevant hardware.'),(3313,'SA-17','3','The organization requires the developer of the information system, system component, or information system service to show via informal demonstration, that the formal top-level specification completely covers the interfaces to security-relevant software.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service show via informal demonstration, that the formal top-level specification completely covers the interfaces to security-relevant software.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service show via informal demonstration, that the formal top-level specification completely covers the interfaces to security-relevant software.'),(3314,'SA-17','3','The organization requires the developer of the information system, system component, or information system service to show via informal demonstration, that the formal top-level specification completely covers the interfaces to security-relevant firmware.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service  show via informal demonstration, that the formal top-level specification completely covers the interfaces to security-relevant firmware.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  show via informal demonstration, that the formal top-level specification completely covers the interfaces to security-relevant firmware.'),(3315,'SA-17','3','The organization requires the developer of the information system, system component, or information system service to show that the formal top-level specification is an accurate description of the implemented security-relevant hardware.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service show that the formal top-level specification is an accurate description of the implemented security-relevant hardware.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service show that the formal top-level specification is an accurate description of the implemented security-relevant hardware.'),(3316,'SA-17','3','The organization requires the developer of the information system, system component, or information system service to show that the formal top-level specification is an accurate description of the implemented security-relevant software.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service  show that the formal top-level specification is an accurate description of the implemented security-relevant software.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  show that the formal top-level specification is an accurate description of the implemented security-relevant software.'),(3317,'SA-17','3','The organization requires the developer of the information system, system component, or information system service to show that the formal top-level specification is an accurate description of the implemented security-relevant firmware.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service show that the formal top-level specification is an accurate description of the implemented security-relevant firmware.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service show that the formal top-level specification is an accurate description of the implemented security-relevant firmware.'),(3318,'SA-17','3','The organization requires the developer of the information system, system component, or information system service to describe the security-relevant hardware mechanisms not addressed in the formal top-level specification but strictly internal to the security-relevant hardware.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service describe the security-relevant firmware mechanisms not addressed in the formal top-level specification but strictly internal to the security-relevant hardware.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  describe the security-relevant firmware mechanisms not addressed in the formal top-level specification but strictly internal to the security-relevant hardware.'),(3319,'SA-17','3','The organization requires the developer of the information system, system component, or information system service to describe the security-relevant software mechanisms not addressed in the formal top-level specification but strictly internal to the security-relevant software.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service describe the security-relevant software mechanisms not addressed in the formal top-level specification but strictly internal to the security-relevant software.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  describe the security-relevant software mechanisms not addressed in the formal top-level specification but strictly internal to the security-relevant software.'),(3320,'SA-17','3','The organization requires the developer of the information system, system component, or information system service to describe the security-relevant firmware mechanisms not addressed in the formal top-level specification but strictly internal to the security-relevant firmware.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service describe the security-relevant firmware mechanisms not addressed in the formal top-level specification but strictly internal to the security-relevant firmware.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  describe the security-relevant firmware mechanisms not addressed in the formal top-level specification but strictly internal to the security-relevant firmware.'),(3321,'SA-17','4','The organization requires the developer of the information system, system component, or information system service to produce, as an integral part of the development process, an informal descriptive top-level specification that specifies the interfaces to security-relevant hardware in terms of exceptions, error messages, and effects.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service produce, as an integral part of the development process, an informal descriptive top-level specification that specifies the interfaces to security-relevant hardware in terms of exceptions, error messages, and effects.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service produce, as an integral part of the development process, an informal descriptive top-level specification that specifies the interfaces to security-relevant hardware in terms of exceptions, error messages, and effects.'),(3322,'SA-17','4','The organization requires the developer of the information system, system component, or information system service to produce, as an integral part of the development process, an informal descriptive top-level specification that specifies the interfaces to security-relevant software in terms of exceptions, error messages, and effects.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service produce, as an integral part of the development process, an informal descriptive top-level specification that specifies the interfaces to security-relevant firmware in terms of exceptions, error messages, and effects.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service produce, as an integral part of the development process, an informal descriptive top-level specification that specifies the interfaces to security-relevant firmware in terms of exceptions, error messages, and effects.'),(3323,'SA-17','4','The organization requires the developer of the information system, system component, or information system service to produce, as an integral part of the development process, an informal descriptive top-level specification that specifies the interfaces to security-relevant firmware in terms of exceptions, error messages, and effects.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service produce, as an integral part of the development process, an informal descriptive top-level specification that specifies the interfaces to security-relevant firmware in terms of exceptions, error messages, and effects.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service produce, as an integral part of the development process, an informal descriptive top-level specification that specifies the interfaces to security-relevant firmware in terms of exceptions, error messages, and effects.'),(3324,'SA-17','4','The organization requires the developer of the information system, system component, or information system service to show via informal demonstration or convincing argument with formal methods as feasible that the descriptive top-level specification is consistent with the formal policy model.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service  show via informal demonstration or convincing argument with formal methods as feasible that the descriptive top-level specification is consistent with the formal policy model.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  show via informal demonstration or convincing argument with formal methods as feasible that the descriptive top-level specification is consistent with the formal policy model.'),(3325,'SA-17','4','The organization requires the developer of the information system, system component, or information system service to show via informal demonstration, that the descriptive top-level specification completely covers the interfaces to security-relevant hardware.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service show via informal demonstration, that the descriptive top-level specification completely covers the interfaces to security-relevant hardware.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service show via informal demonstration, that the descriptive top-level specification completely covers the interfaces to security-relevant hardware.'),(3326,'SA-17','4','The organization requires the developer of the information system, system component, or information system service to show via informal demonstration, that the descriptive top-level specification completely covers the interfaces to security-relevant software.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service show via informal demonstration, that the descriptive top-level specification completely covers the interfaces to security-relevant software.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service show via informal demonstration, that the descriptive top-level specification completely covers the interfaces to security-relevant software.'),(3327,'SA-17','4','The organization requires the developer of the information system, system component, or information system service to show via informal demonstration, that the descriptive top-level specification completely covers the interfaces to security-relevant firmware.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service show via informal demonstration, that the descriptive top-level specification completely covers the interfaces to security-relevant firmware.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service show via informal demonstration, that the descriptive top-level specification completely covers the interfaces to security-relevant firmware.'),(3328,'SA-17','4','The organization requires the developer of the information system, system component, or information system service to show that the descriptive top-level specification is an accurate description of the interfaces to security-relevant hardware.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service  show that the descriptive top-level specification is an accurate description of the interfaces to security-relevant hardware.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  show that the descriptive top-level specification is an accurate description of the interfaces to security-relevant hardware.'),(3329,'SA-17','4','The organization requires the developer of the information system, system component, or information system service to show that the descriptive top-level specification is an accurate description of the interfaces to security-relevant software.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service  show that the descriptive top-level specification is an accurate description of the interfaces to security-relevant software.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  show that the descriptive top-level specification is an accurate description of the interfaces to security-relevant software.'),(3330,'SA-17','4','The organization requires the developer of the information system, system component, or information system service to show that the descriptive top-level specification is an accurate description of the interfaces to security-relevant firmware.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service show that the descriptive top-level specification is an accurate description of the interfaces to security-relevant firmware.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service show that the descriptive top-level specification is an accurate description of the interfaces to security-relevant firmware.'),(3331,'SA-17','4','The organization requires the developer of the information system, system component, or information system service to describe the security-relevant hardware mechanisms not addressed in the descriptive top-level specification but strictly internal to the security-relevant hardware.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service describe the security-relevant hardware mechanisms not addressed in the descriptive top-level specification but strictly internal to the security-relevant hardware.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service describe the security-relevant hardware mechanisms not addressed in the descriptive top-level specification but strictly internal to the security-relevant hardware.'),(3332,'SA-17','4','The organization requires the developer of the information system, system component, or information system service to describe the security-relevant software mechanisms not addressed in the descriptive top-level specification but strictly internal to the security-relevant software.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service  describe the security-relevant software mechanisms not addressed in the descriptive top-level specification but strictly internal to the security-relevant software.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  describe the security-relevant software mechanisms not addressed in the descriptive top-level specification but strictly internal to the security-relevant software.'),(3333,'SA-17','4','The organization requires the developer of the information system, system component, or information system service to describe the security-relevant firmware mechanisms not addressed in the descriptive top-level specification but strictly internal to the security-relevant firmware.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service describe the security-relevant firmware mechanisms not addressed in the descriptive top-level specification but strictly internal to the security-relevant firmware.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service describe the security-relevant firmware mechanisms not addressed in the descriptive top-level specification but strictly internal to the security-relevant firmware.'),(3334,'SA-17','5','The organization requires the developer of the information system, system component, or information system service to design and structure the security-relevant hardware to use a complete, conceptually simple protection mechanism with precisely defined semantics.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service design and structure the security-relevant hardware to use a complete, conceptually simple protection mechanism with precisely defined semantics.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service design and structure the security-relevant hardware to use a complete, conceptually simple protection mechanism with precisely defined semantics.'),(3335,'SA-17','5','The organization requires the developer of the information system, system component, or information system service to design and structure the security-relevant software to use a complete, conceptually simple protection mechanism with precisely defined semantics.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service design and structure the security-relevant software to use a complete, conceptually simple protection mechanism with precisely defined semantics.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service design and structure the security-relevant software to use a complete, conceptually simple protection mechanism with precisely defined semantics.'),(3336,'SA-17','5','The organization requires the developer of the information system, system component, or information system service to design and structure the security-relevant firmware to use a complete, conceptually simple protection mechanism with precisely defined semantics.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service design and structure the security-relevant firmware to use a complete, conceptually simple protection mechanism with precisely defined semantics.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service design and structure the security-relevant firmware to use a complete, conceptually simple protection mechanism with precisely defined semantics.'),(3337,'SA-17','5','The organization requires the developer of the information system, system component, or information system service to internally structure the security-relevant hardware with specific regard for the complete, conceptually simple protection mechanism with precisely defined semantics.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service internally structure the security-relevant hardware with specific regard for the complete, conceptually simple protection mechanism with precisely defined semantics.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service internally structure the security-relevant hardware with specific regard for the complete, conceptually simple protection mechanism with precisely defined semantics.'),(3338,'SA-17','5','The organization requires the developer of the information system, system component, or information system service to internally structure the security-relevant software with specific regard for the complete, conceptually simple protection mechanism with precisely defined semantics.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service  internally structure the security-relevant software with specific regard for the complete, conceptually simple protection mechanism with precisely defined semantics.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service internally structure the security-relevant software with specific regard for the complete, conceptually simple protection mechanism with precisely defined semantics.'),(3339,'SA-17','5','The organization requires the developer of the information system, system component, or information system service to internally structure the security-relevant firmware with specific regard for the complete, conceptually simple protection mechanism with precisely defined semantics.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service internally structure the security-relevant firmware with specific regard for the complete, conceptually simple protection mechanism with precisely defined semantics.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  internally structure the security-relevant firmware with specific regard for the complete, conceptually simple protection mechanism with precisely defined semantics.'),(3340,'SA-17','6','The organization requires the developer of the information system, component, or information system service to structure security-relevant hardware to facilitate testing.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service structure security-relevant hardware to facilitate testing.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service   structure security-relevant hardware to facilitate testing.'),(3341,'SA-17','6','The organization requires the developer of the information system, component, or information system service to structure security-relevant software to facilitate testing.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service structure security-relevant software to facilitate testing.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service   structure security-relevant software to facilitate testing.'),(3342,'SA-17','6','The organization requires the developer of the information system, component, or information system service to structure security-relevant firmware to facilitate testing.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service structure security-relevant firmware to facilitate testing.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service   structure security-relevant firmware to facilitate testing.'),(3343,'SA-17','7','The organization requires the developer of the information system, component, or information system service to structure security-relevant hardware to facilitate controlling access with least privilege.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service structure security-relevant hardware to facilitate controlling access with least privilege.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  structure security-relevant hardware to facilitate controlling access with least privilege.'),(3344,'SA-17','7','The organization requires the developer of the information system, component, or information system service to structure security-relevant software to facilitate controlling access with least privilege.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service structure security-relevant software to facilitate controlling access with least privilege.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service structure security-relevant software to facilitate controlling access with least privilege.'),(3345,'SA-17','7','The organization requires the developer of the information system, component, or information system service to structure security-relevant firmware to facilitate controlling access with least privilege.','The organization being inspected/assessed documents within the contracts/agreements, the requirement that the  developer of the information system, system component, or information system service  structure security-relevant firmware to facilitate controlling access with least privilege.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of the information system, system component, or information system service  structure security-relevant firmware to facilitate controlling access with least privilege.'),(3346,'SA-18','','The organization implements a tamper protection program for the information system, system component, or information system service.','The organization being inspected/assessed documents and implements a tamper protection program for the information system, system component, or information system service.','The organization conducting the inspection/assessment obtains and examines the documented tamper protection program to ensure the organization being inspected/assessed implements a tamper protection program for the information system, system component, or information system service.'),(3347,'SA-18','1','The organization employs anti-tamper technologies and techniques during multiple phases in the system development life cycle including design.','The organization being inspected/assessed documents and implements a process to employ anti-tamper technologies and techniques during multiple phases in the system development life cycle including design.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed  employs anti-tamper technologies and techniques during multiple phases in the system development life cycle including design.'),(3348,'SA-18','1','The organization employs anti-tamper technologies and techniques during multiple phases in the system development life cycle including development.','The organization being inspected/assessed documents and implements a process to employ anti-tamper technologies and techniques during multiple phases in the system development life cycle including development.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed  employs anti-tamper technologies and techniques during multiple phases in the system development life cycle including development.'),(3349,'SA-18','1','The organization employs anti-tamper technologies and techniques during multiple phases in the system development life cycle including integration.','The organization being inspected/assessed documents and implements a process to employ anti-tamper technologies and techniques during multiple phases in the system development life cycle including integration.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed  employs anti-tamper technologies and techniques during multiple phases in the system development life cycle including integration.'),(3350,'SA-18','1','The organization employs anti-tamper technologies and techniques during multiple phases in the system development life cycle including operations.','The organization being inspected/assessed documents and implements a process to employ anti-tamper technologies and techniques during multiple phases in the system development life cycle including operations.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed  employs anti-tamper technologies and techniques during multiple phases in the system development life cycle including operations.'),(3351,'SA-18','1','The organization employs anti-tamper technologies and techniques during multiple phases in the system development life cycle including maintenance.','The organization being inspected/assessed documents and implements a process to employ anti-tamper technologies and techniques during multiple phases in the system development life cycle including maintenance.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed  employs anti-tamper technologies and techniques during multiple phases in the system development life cycle including maintenance.'),(3352,'SA-18','2','The organization inspects organization-defined information systems, system components, or devices at random, at organization-defined frequency, and/or upon organization-defined indications of need for inspection to detect tampering.','The organization being inspected/assessed documents and implements a process to inspect information systems, system components, or devices defined in SA-18 (2), CCI 3353 at random, at a frequency defined in SA-18 (2), CCI 3354, and/or upon indications of need for inspection defined in SA-18 (2), CCI 3355 to detect tampering.\n \nThe organization must maintain a record of inspections.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of inspections to ensure the organization being inspected/assessed inspects information systems, system components, or devices defined in SA-18 (2), CCI 3353 at random, at a frequency defined in SA-18 (2), CCI 3354, and/or upon indications of need for inspection defined in SA-18 (2), CCI 3355 to detect tampering.'),(3353,'SA-18','2','The organization defines the information systems, system components, or devices to inspect at random, at organization-defined frequency, and/or upon organization-defined indications of need for inspection to detect tampering.','The organization being inspected/assessed defines and documents the information systems, system components, or devices to inspect at random, at organization-defined frequency, and/or upon organization-defined indications of need for inspection to detect tampering.\n  \nDoD has determined the  information systems, system components, or devices are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information systems, system components, or devices to ensure the organization being inspected/assessed  defines  the information systems, system components, or devices to inspect at random, at organization-defined frequency, and/or upon organization-defined indications of need for inspection to detect tampering.\n \nDoD has determined the  information systems, system components, or devices are not appropriate to define at the Enterprise level.'),(3354,'SA-18','2','The organization defines the frequency to inspect organization-defined information systems, system, components, or devices to detect tampering.','The organization being inspected/assessed defines and documents the frequency to inspect organization-defined information systems, system, components, or devices to detect tampering.\n \nDoD has determined the frequency is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented frequency to ensure the organization being inspected/assessed defines the frequency to inspect organization-defined information systems, system, components, or devices to detect tampering.\n \nDoD has determined the frequency is not appropriate to define at the Enterprise level.'),(3355,'SA-18','2','The organization defines indications of need for inspection to detect tampering during inspections of organization-defined information systems, system components, or devices.','The organization being inspected/assessed defines and documents indications of need for inspection to detect tampering during inspections of organization-defined information systems, system components, or devices.\n \nDoD has determined the indications are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented indications to ensure the organization being inspected/assessed defines indications of need for inspection to detect tampering during inspections of organization-defined information systems, system components, or devices.\n  \nDoD has determined the indications are not appropriate to define at the Enterprise level.'),(3356,'SA-19','','The organization develops anti-counterfeit policy that include the means to detect counterfeit components from entering the information system.','The organization being inspected/assessed develops and documents an anti-counterfeit policy that include the means to detect counterfeit components from entering the information system.','The organization conducting the inspection/assessment obtains and examines the documented  anti-counterfeit policy to ensure the organization being inspected/assessed develops an anti-counterfeit policy that include the means to detect counterfeit components from entering the information system.'),(3357,'SA-19','','The organization develops anti-counterfeit policy that include the means to prevent counterfeit components from entering the information system.','The organization being inspected/assessed develops and documents an anti-counterfeit policy that include the means to prevent counterfeit components from entering the information system.','The organization conducting the inspection/assessment obtains and examines the documented  anti-counterfeit policy to ensure the organization being inspected/assessed develops an anti-counterfeit policy that include the means to prevent counterfeit components from entering the information system.'),(3358,'SA-19','','The organization develops anti-counterfeit procedures that include the means to detect counterfeit components from entering the information system.','The organization being inspected/assessed develops and documents anti-counterfeit procedures that include the means to detect counterfeit components from entering the information system.','The organization conducting the inspection/assessment obtains and examines the documented  anti-counterfeit procedures to ensure the organization being inspected/assessed develops anti-counterfeit procedures that include the means to detect counterfeit components from entering the information system.'),(3359,'SA-19','','The organization develops anti-counterfeit procedures that include the means to prevent counterfeit components from entering the information system.','The organization being inspected/assessed develops and documents anti-counterfeit procedures that include the means to prevent counterfeit components from entering the information system.','The organization conducting the inspection/assessment obtains and examines the documented  anti-counterfeit procedures to ensure the organization being inspected/assessed develops anti-counterfeit procedures that include the means to prevent counterfeit components from entering the information system.'),(3360,'SA-19','','The organization implements anti-counterfeit policy that include the means to detect counterfeit components from entering the information system.','The organization being inspected/assessed implements the policy defined in SA-19, CCIs 3356 that include the means to detect counterfeit components from entering the information system.','The organization conducting the inspection/assessment obtains and examines the policy defined in SA-19, CCIs 3356 and any artifacts applicable to counterfeit components to ensure the organization being inspected/assessed implements the policy defined in SA-19, CCIs 3356 that include the means to detect counterfeit components from entering the information system.'),(3361,'SA-19','','The organization implements anti-counterfeit policy that include the means to prevent counterfeit components from entering the information system.','The organization being inspected/assessed implements the policy defined in SA-19, CCIs 3357 that include the means to prevent counterfeit components from entering the information system.','The organization conducting the inspection/assessment obtains and examines the policy defined in SA-19, CCIs 3357 and any artifacts applicable to counterfeit components to ensure the organization being inspected/assessed implements the policy defined in SA-19, CCIs 3357 that include the means to detect counterfeit components from entering the information system.'),(3362,'SA-19','','The organization implements anti-counterfeit procedures that include the means to detect counterfeit components from entering the information system.','The organization being inspected/assessed implements the procedures defined in SA-19, CCIs 3358 that include the means to detect counterfeit components from entering the information system.','The organization conducting the inspection/assessment obtains and examines the procedures defined in SA-19, CCIs 3358 and any artifacts applicable to counterfeit components to ensure the organization being inspected/assessed implements the procedures defined in SA-19, CCIs 3358 that include the means to detect counterfeit components from entering the information system.'),(3363,'SA-19','','The organization implements anti-counterfeit procedures that include the means to prevent counterfeit components from entering the information system.','The organization being inspected/assessed implements the procedures defined in SA-19, CCIs 3359 that include the means to prevent counterfeit components from entering the information system.','The organization conducting the inspection/assessment obtains and examines the procedures defined in SA-19, CCIs 3359 and any artifacts applicable to counterfeit components to ensure the organization being inspected/assessed implements the procedures defined in SA-19, CCIs 3359 that include the means to prevent counterfeit components from entering the information system.'),(3364,'SA-19','','The organization reports counterfeit information system components to source of counterfeit component, organization-defined external reporting organizations and/or organization-defined personnel or roles.','The organization being inspected/assessed documents and implements a process to report counterfeit information system components to source of counterfeit component, at a minimum, USCYBERCOM. And/or at a minimum, the ISSO, ISSM, and PM.\n \nThe organization must maintain a record of reporting.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO, ISSM, and PM.\n \nDoD has defined the external reporting organizations as at a minimum, USCYBERCOM.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of reporting to ensure the organization being inspected/assessed reports counterfeit information system components to source of counterfeit component, at a minimum, USCYBERCOM. And/or at a minimum, the ISSO, ISSM, and PM.'),(3365,'SA-19','','The organization defines the external reporting organizations to whom counterfeit information system components are to be reported.','DoD has defined the external reporting organizations as at a minimum, USCYBERCOM.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the external reporting organizations as at a minimum, USCYBERCOM'),(3366,'SA-19','','The organization defines the personnel or roles to whom counterfeit information system components are to be reported.','DoD has defined the personnel or roles as at a minimum, the ISSO, ISSM, and PM.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the personnel or roles as at a minimum, the ISSO, ISSM, and PM.'),(3367,'SA-19','1','The organization trains organization-defined personnel or roles to detect counterfeit information system components (including hardware, software, and firmware).','The organization being inspected/assessed documents and implements a process to train   personnel or roles defined in SA-19 (1), CCI 3368 to detect counterfeit information system components (including hardware, software, and firmware).\n \nThe organization must maintain a record of training.','The organization conducting the inspection/assessment obtains and examines the documented process, the list of personnel responsible for detecting counterfeit information system components, as well as the record of training to ensure the organization being inspected/assessed trains   personnel or roles defined in SA-19 (1), CCI 3368 to detect counterfeit information system components (including hardware, software, and firmware).'),(3368,'SA-19','1','The organization defines the personnel or roles to be trained to detect counterfeit information system components (including hardware, software, and firmware).','The organization being inspected/assessed defines and documents the personnel or roles to be trained to detect counterfeit information system components (including hardware, software, and firmware).\n \nDoD has determined the personnel or roles are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented personnel or roles to ensure the organization being inspected/assessed defines the personnel or roles to be trained to detect counterfeit information system components (including hardware, software, and firmware).\n \n \nDoD has determined the personnel or roles are not appropriate to define at the Enterprise level.'),(3369,'SA-19','2','The organization maintains configuration control over organization-defined information system components awaiting service/repair.','The organization being inspected/assessed documents and implements a process to maintain configuration control over information system components defined in SA-19 (2), CCI 3370 awaiting service/repair.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed maintains configuration control l over information system components defined in SA-19 (2), CCI 3370 awaiting service/repair.'),(3370,'SA-19','2','The organization defines the information system components awaiting service/repair in which configuration control must be maintained.','The organization being inspected/assessed defines and documents the information system components awaiting service/repair in which configuration control must be maintained.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system components to ensure the organization being inspected/assessed defines the information system components awaiting service/repair in which configuration control must be maintained.\n \nDoD has determined the information system components are not appropriate to define at the Enterprise level.'),(3371,'SA-19','2','The organization maintains configuration control over serviced/repaired components awaiting return to service.','The organization being inspected/assessed documents and implements a process to maintain configuration control over serviced/repaired components awaiting return to service.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed maintains configuration control over serviced/repaired components awaiting return to service.'),(3372,'SA-22','1','The organization defines the support from external providers to be provided for unsupported information system components.','The organization being inspected/assessed defines and documents the support from external providers to be provided for unsupported information system components.\n \nDoD has determined the support from external providers is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented support to ensure the organization being inspected/assessed defines the support from external providers to be provided for unsupported information system components.\n \nDoD has determined the support from external providers is not appropriate to define at the Enterprise level.'),(3373,'SA-22','1','The organization provides in-house support and/or organization-defined support from external providers for unsupported information system components.','The organization being inspected/assessed documents and implements a process to provide in-house support and/or support from external providers defined in SA-22 (1), CCI 3372 for unsupported information system components.','The organization conducting the inspection/assessment obtains and examines the documented process to ensure the organization being inspected/assessed provides in-house support and/or support from external providers defined in SA-22 (1), CCI 3372 for unsupported information system components.'),(3374,'SA-22','','The organization documents approval for the continued use of unsupported system components required to satisfy mission/business needs.','The organization being inspected/assessed documents approval for the continued use of unsupported system components required to satisfy mission/business needs.','The organization conducting the inspection/assessment obtains and examines the hardware and software lists as well as the documented approvals to ensure the organization being inspected/assessed documents approval for the continued use of unsupported system components required to satisfy mission/business needs.'),(3375,'SA-22','','The organization provides justification for the continued use of unsupported system components required to satisfy mission/business needs.','The organization being inspected/assessed documents justification for the continued use of unsupported system components required to satisfy mission/business needs.','The organization conducting the inspection/assessment obtains and examines the documented justification as well as the hardware and software lists to ensure the organization being inspected/assessed provides justification for the continued use of unsupported system components required to satisfy mission/business needs.'),(3376,'SA-22','','The organization replaces information system components when support for the components is no longer available from the developer, vendor, or manufacturer.','The organization being inspected/assessed documents and implements a process to replace information system components when support for the components is no longer available from the developer, vendor, or manufacturer.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the hardware and software lists to ensure the organization being inspected/assessed replaces information system components when support for the components is no longer available from the developer, vendor, or manufacturer.'),(3377,'SA-21','1','The organization defines the actions the developer of the information system, system component, or information system service must take to ensure the required screening criteria are satisfied.','The organization being inspected/assessed defines and documents the actions the developer of the information system, system component, or information system service must take to ensure the required screening criteria are satisfied.\n \nDoD has determined the actions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented actions to ensure the organization being inspected/assessed defines  the actions the developer of the information system, system component, or information system service must take to ensure the required screening criteria are satisfied.\n \nDoD has determined the actions are not appropriate to define at the Enterprise level.'),(3378,'SA-21','1','The organization defines the actions the developer of the information system, system component, or information system service must take to ensure the required access authorizations are satisfied.','The organization being inspected/assessed defines and documents the actions the developer of the information system, system component, or information system service must take to ensure the required access authorizations are satisfied.\n \nDoD has determined the actions are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented actions to ensure the organization being inspected/assessed defines  the actions the developer of the information system, system component, or information system service must take to ensure the required access authorizations are satisfied.\n \nDoD has determined the actions are not appropriate to define at the Enterprise level.'),(3379,'SA-21','1','The organization requires the developer of the information system, system component, or information system service take organization-defined actions to ensure the required screening criteria are satisfied.','The organization being inspected/assessed documents within the contracts/agreements the requirement that the developer of information system, system component, or information system service take actions defined in SA-21 (1), CCI 3377 to ensure the required screening criteria are satisfied.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of information system, system component, or information system service  take actions defined in SA-21 (1), CCI 3377 to ensure the required screening criteria are satisfied.'),(3380,'SA-21','1','The organization requires the developer of the information system, system component, or information system service take organization-defined actions to ensure the required access authorizations are satisfied.','The organization being inspected/assessed documents within the contracts/agreements the requirement that the developer of information system, system component, or information system service  take actions defined in SA-21 (1), CCI 3378 to ensure the required access authorizations are satisfied.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of information system, system component, or information system service take actions defined in SA-21 (1), CCI 3378 to ensure the required access authorizations are satisfied.'),(3381,'SA-21','','The organization defines additional personnel screening criteria that must be satisfied by the developer of organization-defined information system, system component, or information system service.','The organization being inspected/assessed defines and documents additional personnel screening criteria that must be satisfied by the developer of organization-defined information system, system component, or information system service.\n \nDoD has determined the additional personnel screening criteria is not appropriate to define at the Enterprise level.\n\nThe organization should ensure that the developer is trustworthy by performing a review of the developer that may include:\n1. Organization and process certifications;\n2. Security policies, procedures, and activities across the lifecycle;\n3. Supply chain and how suppliers select/manage their suppliers/service providers;\n4. Financials to determine if the supplier is financially stable;\n5. Foreign Ownership, Control,  and Influence;\n6. Past performance and vulnerabilities;\n7. Business relationships;\n8. Maturity of business processes; and\n9. Developer screening practices that may include::\na. Evaluating and vetting key personnel through security reviews (including clearance, satisfactory background checks, citizenship, and nationality) by acquirers or suppliers in any capacity (full-time employee, part-time employee, consultant, contractor, subcontractor, vendor, agent, etc.);\nb. Reevaluating personnel through security reviews and assessments on a periodic basis or upon occurrence of specific significant events.','The organization conducting the inspection/assessment obtains and examines the documented additional personnel screening criteria to ensure the organization being inspected/assessed defines additional personnel screening criteria that must be satisfied by the developer of organization-defined information system, system component, or information system service.\n \nDoD has determined the additional personnel screening criteria is not appropriate to define at the Enterprise level.'),(3382,'SA-21','','The organization requires that the developer of organization-defined information system, system component, or information system service satisfy organization-defined additional personnel screening criteria.','The organization being inspected/assessed requires within contracts that the developer of information system, system component, or information system service defined in SA-21, CCI 3384 satisfy additional personnel screening criteria defined in SA-21, CCI 3381.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of information system, system component, or information system service defined in SA-21, CCI 3384 satisfy additional personnel screening criteria defined in SA-21, CCI 3381.'),(3383,'SA-21','','The organization defines the official government duties to be assigned to the developer of organization-defined information system, system component, or information system service.','The organization being inspected/assessed defines and documents the official government duties to be assigned to the developer of organization-defined information system, system component, or information system service.\n \nDoD has determined the official government duties are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented official government duties to ensure the organization being inspected/assessed defines the official government duties to be assigned to the developer of organization-defined information system, system component, or information system service.\n \nDoD has determined the official government duties are not appropriate to define at the Enterprise level.'),(3384,'SA-21','','The organization defines the information system, system component, or information system service which require the information system developer to have appropriate access authorizations and satisfy additional personnel screening criteria.','The organization being inspected/assessed defines and documents the information system, system component, or information system service which require the information system developer to have appropriate access authorizations and satisfy additional personnel screening criteria. \n \nDoD has determined the information system, system component, or information system service is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented information system, system component, or information system service to ensure the organization being inspected/assessed defines the information system, system component, or information system service which require the information system developer to have appropriate access authorizations and satisfy additional personnel screening criteria. \n \nDoD has determined the information system, system component, or information system service is not appropriate to define at the Enterprise level.'),(3385,'SA-21','','The organization requires that the developer of organization-defined information system, system component, or information system service have appropriate access authorizations as determined by assigned organization-defined official government duties.','The organization being inspected/assessed requires within contracts that the developer of information system, system component, or information system service defined in SA-21, CCI 3384  have appropriate access authorizations as determined by assigned official government duties defined in SA-21, CCI 3383.','The organization conducting the inspection/assessment obtains and examines the contracts/agreements to ensure the organization being inspected/assessed requires that the developer of information system, system component, or information system service defined in SA-21, CCI 3384  have appropriate access authorizations as determined by assigned official government duties defined in SA-21, CCI 3383.'),(3386,'SA-20','','The organization defines the critical information system components to re-implement or custom develop.','The organization being inspected/assessed defines and documents the critical information system components to re-implement or custom develop.\n \nDoD has determined the critical information system components are not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented  critical information system components to ensure the organization being inspected/assessed defines the critical information system components to re-implement or custom develop.\n \n \nDoD has determined the critical information system components are not appropriate to define at the Enterprise level.'),(3387,'SA-20','','The organization re-implements or custom develops organization-defined critical information system components.','The organization being inspected/assessed re-implements or custom develops critical information system components defined in SA-20, CCI 3386.','The organization conducting the inspection/assessment obtains and examines hardware and software lists to ensure that no commercial off-the-shelf components are used as  critical information system components defined in SA-20, CCI 3386.'),(3388,'SA-19','4','The organization defines the frequency to scan for counterfeit information system components.','The organization being inspected/assessed defines and documents the frequency to scan for counterfeit information system components.\n \nDoD has determined the frequency is not appropriate to define at the Enterprise level.','The organization conducting the inspection/assessment obtains and examines the documented frequency to ensure the organization being inspected/assessed defines  the frequency to scan for counterfeit information system components.\n \nDoD has determined the frequency is not appropriate to define at the Enterprise level.'),(3389,'SA-19','4','The organization scans for counterfeit information system components in accordance with organization-defined frequency.','The organization being inspected/assessed documents and implements a process to scan for counterfeit information system components in accordance with the frequency defined in SA-19 (4), CCI 3388.\n \nThe organization must maintain a record of scans.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of scans to ensure the organization being inspected/assessed scans for counterfeit information system components in accordance with the frequency defined in SA-19 (4), CCI 3388.'),(3390,'SA-19','3','The organization defines the techniques and methods used to dispose of information system components.','DoD has defined the techniques and methods as defined IAW DoD Manual 5200.01.','The organization being inspected/assessed is automatically compliant with this CCI because they are covered at the DoD level.\n \nDoD has defined the techniques and methods as defined IAW DoD Manual 5200.01.'),(3391,'SA-19','3','The organization disposes of information system components using organization-defined techniques and methods.','The organization being inspected/assessed documents and implements a process to dispose of information system components using techniques and methods defined IAW DoD Manual 5200.01. \n \nThe organization must maintain a record of disposal.\n \nDoD has defined the techniques and methods as defined IAW DoD Manual 5200.01.','The organization conducting the inspection/assessment obtains and examines the documented process as well as the record of disposal to ensure the organization being inspected/assessed disposes of information system components using techniques and methods defined IAW DoD Manual 5200.01. \n \n \nDoD has defined the techniques and methods as defined IAW DoD Manual 5200.01.');

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed
