CREATE DATABASE  IF NOT EXISTS `rmf` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `rmf`;
-- MySQL dump 10.13  Distrib 5.6.17, for Win64 (x86_64)
--
-- Host: localhost    Database: rmf
-- ------------------------------------------------------
-- Server version	5.6.21-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `controls`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `controls` (
  `family_id` varchar(4) NOT NULL,
  `control_id` varchar(6) NOT NULL,
  `name` varchar(64) DEFAULT NULL,
  `pri` tinyint(1) NOT NULL DEFAULT '0',
  `statement` text,
  `guidance` text,
  PRIMARY KEY (`family_id`,`control_id`),
  KEY `rmf_controls_control_id_idx` (`control_id`),
  CONSTRAINT `rmf_family_family_id` FOREIGN KEY (`family_id`) REFERENCES `family` (`abbr`) ON DELETE NO ACTION ON UPDATE NO ACTION
);
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `controls`
--

REPLACE INTO `controls` (`family_id`, `control_id`, `name`, `pri`, `statement`, `guidance`) VALUES ('AC','AC-1','Access Control Policy And Procedures',1,'The organization:\nAC-1a.\nDevelops, documents, and disseminates to [Assignment: organization-defined personnel or roles]:\nAC-1a.1.An access control policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance; and\nAC-1a.2.Procedures to facilitate the implementation of the access control policy and associated access controls; and\nAC-1b.\nReviews and updates the current:\nAC-1b.1.Access control policy [Assignment: organization-defined frequency]; and\nAC-1b.2.Access control procedures [Assignment: organization-defined frequency].','This control addresses the establishment of policy and procedures for the effective implementation of selected security controls and control enhancements in the AC family. Policy and procedures reflect applicable federal laws, Executive Orders, directives, regulations, policies, standards, and guidance. Security program policies and procedures at the organization level may make the need for system-specific policies and procedures unnecessary. The policy can be included as part of the general information security policy for organizations or conversely, can be represented by multiple policies reflecting the complex nature of certain organizations. The procedures can be established for the security program in general and for particular information systems, if needed. The organizational risk management strategy is a key factor in establishing policy and procedures.'),('AC','AC-10','Concurrent Session Control',3,'The information system limits the number of concurrent sessions for each [Assignment: organization-defined account and/or account type] to [Assignment: organization-defined number].','Organizations may define the maximum number of concurrent sessions for information system accounts globally, by account type (e.g., privileged user, non-privileged user, domain, specific application), by account, or a combination. For example, organizations may limit the number of concurrent sessions for system administrators or individuals working in particularly sensitive domains or mission-critical applications. This control addresses concurrent sessions for information system accounts and does not address concurrent sessions by single users via multiple system accounts.'),('AC','AC-11','Session Lock',3,'The information system:\nAC-11a.\nPrevents further access to the system by initiating a session lock after [Assignment: organization-defined time period] of inactivity or upon receiving a request from a user; and\nAC-11b.\nRetains the session lock until the user reestablishes access using established identification and authentication procedures.','Session locks are temporary actions taken when users stop work and move away from the immediate vicinity of information systems but do not want to log out because of the temporary nature of their absences. Session locks are implemented where session activities can be determined. This is typically at the operating system level, but can also be at the application level. Session locks are not an acceptable substitute for logging out of information systems, for example, if organizations require users to log out at the end of workdays.'),('AC','AC-12','Session Termination',2,'The information system automatically terminates a user session after [Assignment: organization-defined conditions or trigger events requiring session disconnect].',' can include, for example, organization-defined periods of user inactivity, targeted responses to certain types of incidents, time-of-day restrictions on information system use.'),('AC','AC-13','Supervision And Review - Access Control',0,'[Withdrawn: Incorporated into AC-2 and AU-6].',''),('AC','AC-14','Permitted Actions Without Identification Or Authentication',3,'The organization:\nAC-14a.\nIdentifies [Assignment: organization-defined user actions] that can be performed on the information system without identification or authentication consistent with organizational missions/business functions; and\nAC-14b.\nDocuments and provides supporting rationale in the security plan for the information system, user actions not requiring identification or authentication.','uire identification or authentication but may under certain circumstances (e.g., emergencies), allow identification or authentication mechanisms to be bypassed. Such bypasses may occur, for example, via a software-readable physical switch that commands bypass of the logon functionality and is protected from accidental or unmonitored use. This control does not apply to situations where identification and authentication have already occurred and are not repeated, but rather to situations where identification and authentication have not yet occurred. Organizations may decide that there are no user actions that can be performed on organizational information systems without identification and authentication and thus, the values for assignment statements can be none.'),('AC','AC-15','Automated Marking',0,'[Withdrawn: Incorporated into MP-3].',''),('AC','AC-16','Security Attributes',0,'The organization:\nAC-16a.\nProvides the means to associate [Assignment: organization-defined types of security attributes] having [Assignment: organization-defined security attribute values] with information in storage, in process, and/or in transmission;\nAC-16b.\nEnsures that the security attribute associations are made and retained with the information;\nAC-16c.\nEstablishes the permitted [Assignment: organization-defined security attributes] for [Assignment: organization-defined information systems]; and\nAC-16d.\nDetermines the permitted [Assignment: organization-defined values or ranges] for each of the established security attributes.','or to change the information system state. These attributes may also be associated with passive entities (i.e., objects) that contain or receive information. The association of security attributes to subjects and objects is referred to as binding and is typically inclusive of setting the attribute value and the attribute type. Security attributes when bound to data/information, enables the enforcement of information security policies for access control and information flow control, either through organizational processes or information system functions or mechanisms. The content or assigned values of security attributes can directly affect the ability of individuals to access organizational information.\nOrganizations can define the types of attributes needed for selected information systems to support missions/business functions. There is potentially a wide range of values that can be assigned to any given security attribute. Release markings could include, for example, US only, NATO, or NOFORN (not releasable to foreign nationals). By specifying permitted attribute ranges and values, organizations can ensure that the security attribute values are meaningful and relevant. The term security labeling refers to the association of security attributes with subjects and objects represented by internal data structures within organizational information systems, to enable information system-based enforcement of information security policies. Security labels include, for example, access authorizations, data life cycle protection (i.e., encryption and data expiration), nationality, affiliation as contractor, and classification of information in accordance with legal and compliance requirements. The term security marking refers to the association of security attributes with objects in a human-readable form, to enable organizational process-based enforcement of information security policies. The AC-16 base control represents the requirement for user-based attribute association (marking). The enhancements to AC-16 represent additional requirements including information system-based attribute association (labeling). Types of attributes include, for example, classification level for objects and clearance (access authorization) level for subjects. An example of a value for both of these attribute types is Top Secret.'),('AC','AC-17','Remote Access',1,'The organization:\nAC-17a.\nEstablishes and documents usage restrictions, configuration/connection requirements, and implementation guidance for each type of remote access allowed; and\nAC-17b.\nAuthorizes remote access to the information system prior to allowing such connections.','Remote access is access to organizational information systems by users (or processes acting on behalf of users) communicating through external networks (e.g., the Internet). Remote access methods include, for example, dial-up, broadband, and wireless. Organizations often employ encrypted virtual private networks (VPNs) to enhance confidentiality and integrity over remote connections. The use of encrypted VPNs does not make the access non-remote; however, the use of VPNs, when adequately provisioned with appropriate security controls (e.g., employing appropriate encryption techniques for confidentiality and integrity protection) may provide sufficient assurance to the organization that it can effectively treat such connections as internal networks.  Still, VPN connections traverse external networks, and the encrypted VPN does not enhance the availability of remote connections. Also, VPNs with encrypted tunnels can affect the organizational capability to adequately monitor network communications traffic for malicious code. Remote access controls apply to information systems other than public web servers or systems designed for public access. This control addresses authorization prior to allowing remote access without specifying the formats for such authorization. While organizations may use interconnection security agreements to authorize remote access connections, such agreements are not required by this control. Enforcing access restrictions for remote connections is addressed in AC-3.'),('AC','AC-18','Wireless Access',1,'The organization:\nAC-18a.\nEstablishes usage restrictions, configuration/connection requirements, and implementation guidance for wireless access; and\nAC-18b.\nAuthorizes wireless access to the information system prior to allowing such connections.','Wireless technologies include, for example, microwave, packet radio (UHF/VHF), 802.11x, and Bluetooth. Wireless networks use authentication protocols (e.g., EAP/TLS, PEAP), which provide credential protection and mutual authentication.'),('AC','AC-19','Access Control For Mobile Devices',1,'The organization:\nAC-19a.\nEstablishes usage restrictions, configuration requirements, connection requirements, and implementation guidance for organization-controlled mobile devices; and\nAC-19b.\nAuthorizes the connection of mobile devices to organizational information systems.','epending upon the nature and intended purpose of the device. Due to the large variety of mobile devices with different technical characteristics and capabilities, organizational restrictions may vary for the different classes/types of such devices. Usage restrictions and specific implementation guidance for mobile devices include, for example, configuration management, device identification and authentication, implementation of mandatory protective software (e.g., malicious code detection, firewall), scanning devices for malicious code, updating virus protection software, scanning for critical software updates and patches, conducting primary operating system (and possibly other resident software) integrity checks, and disabling unnecessary hardware (e.g., wireless, infrared). Organizations are cautioned that the need to provide adequate security for mobile devices goes beyond the requirements in this control. Many safeguards and countermeasures for mobile devices are reflected in other security controls in the catalog allocated in the initial control baselines as starting points for the development of security plans and overlays using the tailoring process. There may also be some degree of overlap in the requirements articulated by the security controls within the different families of controls. AC-20 addresses mobile devices that are not organization-controlled.'),('AC','AC-2','Account Management',1,'The organization:\nAC-2a.\nIdentifies and selects the following types of information system accounts to support organizational missions/business functions: [Assignment: organization-defined information system account types];\nAC-2b.\nAssigns account managers for information system accounts;\nAC-2c.\nEstablishes conditions for group and role membership;\nAC-2d.\nSpecifies authorized users of the information system, group and role membership, and access authorizations (i.e., privileges) and other attributes (as required) for each account;\nAC-2e.\nRequires approvals by [Assignment: organization-defined personnel or roles] for requests to create information system accounts;\nAC-2f.\nCreates, enables, modifies, disables, and removes information system accounts in accordance with [Assignment: organization-defined procedures or conditions];\nAC-2g.\nMonitors the use of information system accounts;\nAC-2h.\nNotifies account managers:\nAC-2h.1.When accounts are no longer required;\nAC-2h.2.When users are terminated or transferred; and\nAC-2h.3.When individual information system usage or need-to-know changes;\nAC-2i.\nAuthorizes access to the information system based on:\nAC-2i.1.A valid access authorization;\nAC-2i.2.Intended system usage; and\nAC-2i.3.Other attributes as required by the organization or associated missions/business functions;\nAC-2j.\nReviews accounts for compliance with account management requirements [Assignment: organization-defined frequency]; and\nAC-2k.\nEstablishes a process for reissuing shared/group account credentials (if deployed) when individuals are removed from the group.','Information system account types include, for example, individual, shared, group, system, guest/anonymous, emergency, developer/manufacturer/vendor, temporary, and service. Some of the account management requirements listed above can be implemented by organizational information systems. The identification of authorized users of the information system and the specification of access privileges reflects the requirements in other security controls in the security plan. Users requiring administrative privileges on information system accounts receive additional scrutiny by appropriate organizational personnel (e.g., system owner, mission/business owner, or chief information security officer) responsible for approving such accounts and privileged access. Organizations may choose to define access privileges or other attributes by account, by type of account, or a combination of both. Other attributes required for authorizing access include, for example, restrictions on time-of-day, day-of-week, and point-of-origin. In defining other account attributes, organizations consider system-related requirements (e.g., scheduled maintenance, system upgrades) and mission/business requirements, (e.g., time zone differences, customer requirements, remote access to support travel requirements). Failure to consider these factors could affect information system availability. Temporary and emergency accounts are accounts intended for short-term use. Organizations establish temporary accounts as a part of normal account activation procedures when there is a need for short-term accounts without the demand for immediacy in account activation. Organizations establish emergency accounts in response to crisis situations and with the need for rapid account activation. Therefore, emergency account activation may bypass normal account authorization processes. Emergency and temporary accounts are not to be confused with infrequently used accounts (e.g., local logon accounts used for special tasks defined by organizations or when network resources are unavailable). Such accounts remain available and are not subject to automatic disabling or removal dates. Conditions for disabling or deactivating accounts include, for example: (i) when shared/group, emergency, or temporary accounts are no longer required; or (ii) when individuals are transferred or terminated. Some types of information system accounts may require specialized training.'),('AC','AC-20','Use Of External Information Systems',1,'The organization establishes terms and conditions, consistent with any trust relationships established with other organizations owning, operating, and/or maintaining external information systems, allowing authorized individuals to:\nAC-20a.\nAccess the information system from external information systems; and\nAC-20b.\nProcess, store, or transmit organization-controlled information using external information systems.','nformation systems in accordance with organizational security policies and procedures. Terms and conditions address as a minimum: types of applications that can be accessed on organizational information systems from external information systems; and the highest security category of information that can be processed, stored, or transmitted on external information systems. If terms and conditions with the owners of external information systems cannot be established, organizations may impose restrictions on organizational personnel using those external systems.'),('AC','AC-21','Information Sharing',2,'The organization:\nAC-21a.\nFacilitates information sharing by enabling authorized users to determine whether access authorizations assigned to the sharing partner match the access restrictions on the information for [Assignment: organization-defined information sharing circumstances where user discretion is required]; and\nAC-21b.\nEmploys [Assignment: organization-defined automated mechanisms or manual processes] to assist users in making information sharing/collaboration decisions.','information-sharing circumstances, sharing partners may be defined at the individual, group, or organizational level. Information may be defined by content, type, security category, or special access program/compartment.'),('AC','AC-22','Publicly Accessible Content',3,'The organization:\nAC-22a.\nDesignates individuals authorized to post information onto a publicly accessible information system;\nAC-22b.\nTrains authorized individuals to ensure that publicly accessible information does not contain nonpublic information;\nAC-22c.\nReviews the proposed content of information prior to posting onto the publicly accessible information system to ensure that nonpublic information is not included; and\nAC-22d.\nReviews the content on the publicly accessible information system for nonpublic information [Assignment: organization-defined frequency] and removes such information, if discovered.','In accordance with federal laws, Executive Orders, directives, policies, regulations, standards, and/or guidance, the general public is not authorized access to nonpublic information (e.g., information protected under the Privacy Act and proprietary information). This control addresses information systems that are controlled by the organization and accessible to the general public, typically without identification or authentication. The posting of information on non-organization information systems is covered by organizational policy.'),('AC','AC-23','Data Mining Protection',0,'The organization employs [Assignment: organization-defined data mining prevention and detection techniques] for [Assignment: organization-defined data storage objects] to adequately detect and protect against data mining.','Data storage objects include, for example, databases, database records, and database fields. Data mining prevention and detection techniques include, for example: (i) limiting the types of responses provided to database queries; (ii) limiting the number/frequency of database queries to increase the work factor needed to determine the contents of such databases; and (iii) notifying organizational personnel when atypical database queries or accesses occur. This control focuses on the protection of organizational information from data mining while such information resides in organizational data stores. In contrast, AU-13 focuses on monitoring for organizational information that may have been mined or otherwise obtained from data stores and is now available as open source information residing on external sites, for example, through social networking or social media websites.'),('AC','AC-24','Access Control Decisions',0,'The organization establishes procedures to ensure [Assignment: organization-defined access control decisions] are applied to each access request prior to access enforcement.','Access control decisions (also known as authorization decisions) occur when authorization information is applied to specific accesses. In contrast, access enforcement occurs when information systems enforce access control decisions. While it is very common to have access control decisions and access enforcement implemented by the same entity, it is not required and it is not always an optimal implementation choice. For some architectures and distributed information systems, different entities may perform access control decisions and access enforcement.'),('AC','AC-25','Reference Monitor',0,'The information system implements a reference monitor for [Assignment: organization-defined access control policies] that is tamperproof, always invoked, and small enough to be subject to analysis and testing, the completeness of which can be assured.',' of the security policy.'),('AC','AC-3','Access Enforcement',1,'The information system enforces approved authorizations for logical access to information and system resources in accordance with applicable access control policies.','Access control policies (e.g., identity-based policies, role-based policies, control matrices, cryptography) control access between active entities or subjects (i.e., users or processes acting on behalf of users) and passive entities or objects (e.g., devices, files, records, domains) in information systems. In addition to enforcing authorized access at the information system level and recognizing that information systems can host many applications and services in support of organizational missions and business operations, access enforcement mechanisms can also be employed at the application and service level to provide increased information security.'),('AC','AC-4','Information Flow Enforcement',1,'The information system enforces approved authorizations for controlling the flow of information within the system and between interconnected systems based on [Assignment: organization-defined information flow control policies].','Information flow control regulates where information is allowed to travel within an information system and between information systems (as opposed to who is allowed to access the information) and without explicit regard to subsequent accesses to that information. Flow control restrictions include, for example, keeping export-controlled information from being transmitted in the clear to the Internet, blocking outside traffic that claims to be from within the organization, restricting web requests to the Internet that are not from the internal web proxy server, and limiting information transfers between organizations based on data structures and content. Transferring information between information systems representing different security domains with different security policies introduces risk that such transfers violate one or more domain security policies. In such situations, information owners/stewards provide guidance at designated policy enforcement points between interconnected systems. Organizations consider mandating specific architectural solutions when required to enforce specific security policies. Enforcement includes, for example: (i) prohibiting information transfers between interconnected systems (i.e., allowing access only); (ii) employing hardware mechanisms to enforce one-way information flows; and (iii) implementing trustworthy regrading mechanisms to reassign security attributes and security labels.\nOrganizations commonly employ information flow control policies and enforcement mechanisms to control the flow of information between designated sources and destinations (e.g., networks, individuals, and devices) within information systems and between interconnected systems. Flow control is based on the characteristics of the information and/or the information path. Enforcement occurs, for example, in boundary protection devices (e.g., gateways, routers, guards, encrypted tunnels, firewalls) that employ rule sets or establish configuration settings that restrict information system services, provide a packet-filtering capability based on header information, or message-filtering capability based on message content (e.g., implementing key word searches or using document characteristics). Organizations also consider the trustworthiness of filtering/inspection mechanisms (i.e., hardware, firmware, and software components) that are critical to information flow enforcement. Control enhancements 3 through 22 primarily address cross-domain solution needs which focus on more advanced filtering techniques, in-depth analysis, and stronger flow enforcement mechanisms implemented in cross-domain products, for example, high-assurance guards. Such capabilities are generally not available in commercial off-the-shelf information technology products.'),('AC','AC-5','Separation Of Duties',1,'The organization:\nAC-5a.\nSeparates [Assignment: organization-defined duties of individuals];\nAC-5b.\nDocuments separation of duties of individuals; and\nAC-5c.\nDefines information system access authorizations to support separation of duties.','Separation of duties addresses the potential for abuse of authorized privileges and helps to reduce the risk of malevolent activity without collusion. Separation of duties includes, for example: (i) dividing mission functions and information system support functions among different individuals and/or roles; (ii) conducting information system support functions with different individuals (e.g., system management, programming, configuration management, quality assurance and testing, and network security); and (iii) ensuring security personnel administering access control functions do not also administer audit functions.'),('AC','AC-6','Least Privilege',1,'The organization employs the principle of least privilege, allowing only authorized accesses for users (or processes acting on behalf of users) which are necessary to accomplish assigned tasks in accordance with organizational missions and business functions.','Organizations employ least privilege for specific duties and information systems. The principle of least privilege is also applied to information system processes, ensuring that the processes operate at privilege levels no higher than necessary to accomplish required organizational missions/business functions. Organizations consider the creation of additional processes, roles, and information system accounts as necessary, to achieve least privilege. Organizations also apply least privilege to the development, implementation, and operation of organizational information systems.'),('AC','AC-7','Unsuccessful Logon Attempts',2,'The information system:\nAC-7a.\nEnforces a limit of [Assignment: organization-defined number] consecutive invalid logon attempts by a user during a [Assignment: organization-defined time period]; and\nAC-7b.\nAutomatically [Selection: locks the account/node for an [Assignment: organization-defined time period]; locks the account/node until released by an administrator; delays next logon prompt according to [Assignment: organization-defined delay algorithm]] when the maximum number of unsuccessful attempts is exceeded.','This control applies regardless of whether the logon occurs via a local or network connection. Due to the potential for denial of service, automatic lockouts initiated by information systems are usually temporary and automatically release after a predetermined time period established by organizations. If a delay algorithm is selected, organizations may choose to employ different algorithms for different information system components based on the capabilities of those components. Responses to unsuccessful logon attempts may be implemented at both the operating system and the application levels.'),('AC','AC-8','System Use Notification',1,'The information system:\nAC-8a.\nDisplays to users [Assignment: organization-defined system use notification message or banner] before granting access to the system that provides privacy and security notices consistent with applicable federal laws, Executive Orders, directives, policies, regulations, standards, and guidance and states that:\nAC-8a.1.Users are accessing a U.S. Government information system;\nAC-8a.2.Information system usage may be monitored, recorded, and subject to audit;\nAC-8a.3.Unauthorized use of the information system is prohibited and subject to criminal and civil penalties; and\nAC-8a.4.Use of the information system indicates consent to monitoring and recording;\nAC-8b.\nRetains the notification message or banner on the screen until users acknowledge the usage conditions and take explicit actions to log on to or further access the information system; and\nAC-8c.\nFor publicly accessible systems:\nAC-8c.1.Displays system use information [Assignment: organization-defined conditions], before granting further access;\nAC-8c.2.Displays references, if any, to monitoring, recording, or auditing that are consistent with privacy accommodations for such systems that generally prohibit those activities; and\nAC-8c.3.Includes a description of the authorized uses of the system.','System use notifications can be implemented using messages or warning banners displayed before individuals log in to information systems. System use notifications are used only for access via logon interfaces with human users and are not required when such human interfaces do not exist. Organizations consider system use notification messages/banners displayed in multiple languages based on specific organizational needs and the demographics of information system users. Organizations also consult with the Office of the General Counsel for legal review and approval of warning banner content.'),('AC','AC-9','Previous Logon (access) Notification',0,'The information system notifies the user, upon successful logon (access) to the system, of the date and time of the last logon (access).','This control is applicable to logons to information systems via human user interfaces and logons to systems that occur in other types of architectures (e.g., service-oriented architectures).'),('AT','AT-1','Security Awareness And Training Policy And Procedures',1,'The organization:\nAT-1a.\nDevelops, documents, and disseminates to [Assignment: organization-defined personnel or roles]:\nAT-1a.1.A security awareness and training policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance; and\nAT-1a.2.Procedures to facilitate the implementation of the security awareness and training policy and associated security awareness and training controls; and\nAT-1b.\nReviews and updates the current:\nAT-1b.1.Security awareness and training policy [Assignment: organization-defined frequency]; and\nAT-1b.2.Security awareness and training procedures [Assignment: organization-defined frequency].','This control addresses the establishment of policy and procedures for the effective implementation of selected security controls and control enhancements in the AT family. Policy and procedures reflect applicable federal laws, Executive Orders, directives, regulations, policies, standards, and guidance. Security program policies and procedures at the organization level may make the need for system-specific policies and procedures unnecessary. The policy can be included as part of the general information security policy for organizations or conversely, can be represented by multiple policies reflecting the complex nature of certain organizations. The procedures can be established for the security program in general and for particular information systems, if needed. The organizational risk management strategy is a key factor in establishing policy and procedures.'),('AT','AT-2','Security Awareness Training',1,'The organization provides basic security awareness training to information system users (including managers, senior executives, and contractors):\nAT-2a.\nAs part of initial training for new users;\nAT-2b.\nWhen required by information system changes; and\nAT-2c.\n[Assignment: organization-defined frequency] thereafter.','Organizations determine the appropriate content of security awareness training and security awareness techniques based on the specific organizational requirements and the information systems to which personnel have authorized access. The content includes a basic understanding of the need for information security and user actions to maintain security and to respond to suspected security incidents. The content also addresses awareness of the need for operations security. Security awareness techniques can include, for example, displaying posters, offering supplies inscribed with security reminders, generating email advisories/notices from senior organizational officials, displaying logon screen messages, and conducting information security awareness events.'),('AT','AT-3','Role-based Security Training',1,'The organization provides role-based security training to personnel with assigned security roles and responsibilities:\nAT-3a.\nBefore authorizing access to the information system or performing assigned duties;\nAT-3b.\nWhen required by information system changes; and\nAT-3c.\n[Assignment: organization-defined frequency] thereafter.','Organizations determine the appropriate content of security training based on the assigned roles and responsibilities of individuals and the specific security requirements of organizations and the information systems to which personnel have authorized access. In addition, organizations provide enterprise architects, information system developers, software developers, acquisition/procurement officials, information system managers, system/network administrators, personnel conducting configuration management and auditing activities, personnel performing independent verification and validation activities, security control assessors, and other personnel having access to system-level software, adequate security-related technical training specifically tailored for their assigned duties. Comprehensive role-based training addresses management, operational, and technical roles and responsibilities covering physical, personnel, and technical safeguards and countermeasures. Such training can include for example, policies, procedures, tools, and artifacts for the organizational security roles defined. Organizations also provide the training necessary for individuals to carry out their responsibilities related to operations and supply chain security within the context of organizational information security programs. Role-based security training also applies to contractors providing services to federal agencies.'),('AT','AT-4','Security Training Records',3,'The organization:\nAT-4a.\nDocuments and monitors individual information system security training activities including basic security awareness training and specific information system security training; and\nAT-4b.\nRetains individual training records for [Assignment: organization-defined time period].','Documentation for specialized training may be maintained by individual supervisors at the option of the organization.'),('AT','AT-5','Contacts With Security Groups And Associations',0,'[Withdrawn: Incorporated into PM-15].',''),('AU','AU-1','Audit And Accountability Policy And Procedures',1,'The organization:\nAU-1a.\nDevelops, documents, and disseminates to [Assignment: organization-defined personnel or roles]:\nAU-1a.1.An audit and accountability policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance; and\nAU-1a.2.Procedures to facilitate the implementation of the audit and accountability policy and associated audit and accountability controls; and\nAU-1b.\nReviews and updates the current:\nAU-1b.1.Audit and accountability policy [Assignment: organization-defined frequency]; and\nAU-1b.2.Audit and accountability procedures [Assignment: organization-defined frequency].','This control addresses the establishment of policy and procedures for the effective implementation of selected security controls and control enhancements in the AU family. Policy and procedures reflect applicable federal laws, Executive Orders, directives, regulations, policies, standards, and guidance. Security program policies and procedures at the organization level may make the need for system-specific policies and procedures unnecessary. The policy can be included as part of the general information security policy for organizations or conversely, can be represented by multiple policies reflecting the complex nature of certain organizations. The procedures can be established for the security program in general and for particular information systems, if needed. The organizational risk management strategy is a key factor in establishing policy and procedures.'),('AU','AU-10','Non-repudiation',2,'The information system protects against an individual (or process acting on behalf of an individual) falsely denying having performed [Assignment: organization-defined actions to be covered by non-repudiation].','Types of individual actions covered by non-repudiation include, for example, creating information, sending and receiving messages, approving information (e.g., indicating concurrence or signing a contract). Non-repudiation protects individuals against later claims by: (i) authors of not having authored particular documents; (ii) senders of not having transmitted messages; (iii) receivers of not having received messages; or (iv) signatories of not having signed documents. Non-repudiation services can be used to determine if information originated from a particular individual, or if an individual took specific actions (e.g., sending an email, signing a contract, approving a procurement request) or received specific information. Organizations obtain non-repudiation services by employing various techniques or mechanisms (e.g., digital signatures, digital message receipts).'),('AU','AU-11','Audit Record Retention',3,'The organization retains audit records for [Assignment: organization-defined time period consistent with records retention policy] to provide support for after-the-fact investigations of security incidents and to meet regulatory and organizational information retention requirements.','Organizations retain audit records until it is determined that they are no longer needed for administrative, legal, audit, or other operational purposes. This includes, for example, retention and availability of audit records relative to Freedom of Information Act (FOIA) requests, subpoenas, and law enforcement actions. Organizations develop standard categories of audit records relative to such types of actions and standard response processes for each type of action. The National Archives and Records Administration (NARA) General Records Schedules provide federal policy on record retention.'),('AU','AU-12','Audit Generation',1,'The information system:\nAU-12a.\nProvides audit record generation capability for the auditable events defined in AU-2 a. at [Assignment: organization-defined information system components];\nAU-12b.\nAllows [Assignment: organization-defined personnel or roles] to select which auditable events are to be audited by specific components of the information system; and\nAU-12c.\nGenerates audit records for the events defined in AU-2 d. with the content defined in AU-3.','Audit records can be generated from many different information system components. The list of audited events is the set of events for which audits are to be generated. These events are typically a subset of all events for which the information system is capable of generating audit records.'),('AU','AU-13','Monitoring For Information Disclosure',0,'The organization monitors [Assignment: organization-defined open source information and/or information sites] [Assignment: organization-defined frequency] for evidence of unauthorized disclosure of organizational information.','Open source information includes, for example, social networking sites.'),('AU','AU-14','Session Audit',0,'The information system provides the capability for authorized users to select a user session to capture/record or view/hear.','Session audits include, for example, monitoring keystrokes, tracking websites visited, and recording information and/or file transfers. Session auditing activities are developed, integrated, and used in consultation with legal counsel in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, or standards.'),('AU','AU-15','Alternate Audit Capability',0,'The organization provides an alternate audit capability in the event of a failure in primary audit capability that provides [Assignment: organization-defined alternate audit functionality].','Since an alternate audit capability may be a short-term protection employed until the failure in the primary auditing capability is corrected, organizations may determine that the alternate audit capability need only provide a subset of the primary audit functionality that is impacted by the failure.'),('AU','AU-16','Cross-organizational Auditing',0,'The organization employs [Assignment: organization-defined methods] for coordinating [Assignment: organization-defined audit information] among external organizations when audit information is transmitted across organizational boundaries.','When organizations use information systems and/or services of external organizations, the auditing capability necessitates a coordinated approach across organizations. For example, maintaining the identity of individuals that requested particular services across organizational boundaries may often be very difficult, and doing so may prove to have significant performance ramifications. Therefore, it is often the case that cross-organizational auditing (e.g., the type of auditing capability provided by service-oriented architectures) simply captures the identity of individuals issuing requests at the initial information system, and subsequent systems record that the requests emanated from authorized individuals.'),('AU','AU-2','Audit Events',1,'The organization:\nAU-2a.\nDetermines that the information system is capable of auditing the following events: [Assignment: organization-defined auditable events];\nAU-2b.\nCoordinates the security audit function with other organizational entities requiring audit-related information to enhance mutual support and to help guide the selection of auditable events;\nAU-2c.\nProvides a rationale for why the auditable events are deemed to be adequate to support after-the-fact investigations of security incidents; and\nAU-2d.\nDetermines that the following events are to be audited within the information system: [Assignment: organization-defined audited events (the subset of the auditable events defined in AU-2 a.) along with the frequency of (or situation requiring) auditing for each identified event].','events that are audited at a given point in time. For example, organizations may determine that information systems must have the capability to log every file access both successful and unsuccessful, but not activate that capability except for specific circumstances due to the potential burden on system performance. Auditing requirements, including the need for auditable events, may be referenced in other security controls and control enhancements. Organizations also include auditable events that are required by applicable federal laws, Executive Orders, directives, policies, regulations, and standards. Audit records can be generated at various levels of abstraction, including at the packet level as information traverses the network. Selecting the appropriate level of abstraction is a critical aspect of an audit capability and can facilitate the identification of root causes to problems. Organizations consider in the definition of auditable events, the auditing necessary to cover related events such as the steps in distributed, transaction-based processes (e.g., processes that are distributed across multiple organizations) and actions that occur in service-oriented architectures.'),('AU','AU-3','Content Of Audit Records',1,'The information system generates audit records containing information that establishes what type of event occurred, when the event occurred, where the event occurred, the source of the event, the outcome of the event, and the identity of any individuals or subjects associated with the event.','Audit record content that may be necessary to satisfy the requirement of this control, includes, for example, time stamps, source and destination addresses, user/process identifiers, event descriptions, success/fail indications, filenames involved, and access control or flow control rules invoked. Event outcomes can include indicators of event success or failure and event-specific results (e.g., the security state of the information system after the event occurred).'),('AU','AU-4','Audit Storage Capacity',1,'The organization allocates audit record storage capacity in accordance with [Assignment: organization-defined audit record storage requirements].','Organizations consider the types of auditing to be performed and the audit processing requirements when allocating audit storage capacity. Allocating sufficient audit storage capacity reduces the likelihood of such capacity being exceeded and resulting in the potential loss or reduction of auditing capability.'),('AU','AU-5','Response To Audit Processing Failures',1,'The information system:\nAU-5a.\nAlerts [Assignment: organization-defined personnel or roles] in the event of an audit processing failure; and\nAU-5b.\nTakes the following additional actions: [Assignment: organization-defined actions to be taken (e.g., shut down information system, overwrite oldest audit records, stop generating audit records)].','Audit processing failures include, for example, software/hardware errors, failures in the audit capturing mechanisms, and audit storage capacity being reached or exceeded. Organizations may choose to define additional actions for different audit processing failures (e.g., by type, by location, by severity, or a combination of such factors). This control applies to each audit data storage repository (i.e., distinct information system component where audit records are stored), the total audit storage capacity of organizations (i.e., all audit data storage repositories combined), or both.'),('AU','AU-6','Audit Review, Analysis, And Reporting',1,'The organization:\nAU-6a.\nReviews and analyzes information system audit records [Assignment: organization-defined frequency] for indications of [Assignment: organization-defined inappropriate or unusual activity]; and\nAU-6b.\nReports findings to [Assignment: organization-defined personnel or roles].','Audit review, analysis, and reporting covers information security-related auditing performed by organizations including, for example, auditing that results from monitoring of account usage, remote access, wireless connectivity, mobile device connection, configuration settings, system component inventory, use of maintenance tools and nonlocal maintenance, physical access, temperature and humidity, equipment delivery and removal, communications at the information system boundaries, use of mobile code, and use of VoIP. Findings can be reported to organizational entities that include, for example, incident response team, help desk, information security group/department. If organizations are prohibited from reviewing and analyzing audit information or unable to conduct such activities (e.g., in certain national security applications or systems), the review/analysis may be carried out by other organizations granted such authority.'),('AU','AU-7','Audit Reduction And Report Generation',2,'The information system provides an audit reduction and report generation capability that:\nAU-7a.\nSupports on-demand audit review, analysis, and reporting requirements and after-the-fact investigations of security incidents; and\nAU-7b.\nDoes not alter the original content or time ordering of audit records.','Audit reduction is a process that manipulates collected audit information and organizes such information in a summary format that is more meaningful to analysts. Audit reduction and report generation capabilities do not always emanate from the same information system or from the same organizational entities conducting auditing activities. Audit reduction capability can include, for example, modern data mining techniques with advanced data filters to identify anomalous behavior in audit records. The report generation capability provided by the information system can generate customizable reports. Time ordering of audit records can be a significant issue if the granularity of the timestamp in the record is insufficient.'),('AU','AU-8','Time Stamps',1,'The information system:\nAU-8a.\nUses internal system clocks to generate time stamps for audit records; and\nAU-8b.\nRecords time stamps for audit records that can be mapped to Coordinated Universal Time (UTC) or Greenwich Mean Time (GMT) and meets [Assignment: organization-defined granularity of time measurement].','Time stamps generated by the information system include date and time. Time is commonly expressed in Coordinated Universal Time (UTC), a modern continuation of Greenwich Mean Time (GMT), or local time with an offset from UTC. Granularity of time measurements refers to the degree of synchronization between information system clocks and reference clocks, for example, clocks synchronizing within hundreds of milliseconds or within tens of milliseconds. Organizations may define different time granularities for different system components. Time service can also be critical to other security capabilities such as access control and identification and authentication, depending on the nature of the mechanisms used to support those capabilities.'),('AU','AU-9','Protection Of Audit Information',1,'The information system protects audit information and audit tools from unauthorized access, modification, and deletion.','Audit information includes all information (e.g., audit records, audit settings, and audit reports) needed to successfully audit information system activity. This control focuses on technical protection of audit information. Physical protection of audit information is addressed by media protection controls and physical and environmental protection controls.'),('CA','CA-1','Security Assessment And Authorization Policy And Procedures',1,'The organization:\nCA-1a.\nDevelops, documents, and disseminates to [Assignment: organization-defined personnel or roles]:\nCA-1a.1.A security assessment and authorization policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance; and\nCA-1a.2.Procedures to facilitate the implementation of the security assessment and authorization policy and associated security assessment and authorization controls; and\nCA-1b.\nReviews and updates the current:\nCA-1b.1.Security assessment and authorization policy [Assignment: organization-defined frequency]; and\nCA-1b.2.Security assessment and authorization procedures [Assignment: organization-defined frequency].','This control addresses the establishment of policy and procedures for the effective implementation of selected security controls and control enhancements in the CA family. Policy and procedures reflect applicable federal laws, Executive Orders, directives, regulations, policies, standards, and guidance. Security program policies and procedures at the organization level may make the need for system-specific policies and procedures unnecessary. The policy can be included as part of the general information security policy for organizations or conversely, can be represented by multiple policies reflecting the complex nature of certain organizations. The procedures can be established for the security program in general and for particular information systems, if needed. The organizational risk management strategy is a key factor in establishing policy and procedures.'),('CA','CA-2','Security Assessments',2,'The organization:\nCA-2a.\nDevelops a security assessment plan that describes the scope of the assessment including:\nCA-2a.1.Security controls and control enhancements under assessment;\nCA-2a.2.Assessment procedures to be used to determine security control effectiveness; and\nCA-2a.3.Assessment environment, assessment team, and assessment roles and responsibilities;\nCA-2b.\nAssesses the security controls in the information system and its environment of operation [Assignment: organization-defined frequency] to determine the extent to which the controls are implemented correctly, operating as intended, and producing the desired outcome with respect to meeting established security requirements;\nCA-2c.\nProduces a security assessment report that documents the results of the assessment; and\nCA-2d.\nProvides the results of the security control assessment to [Assignment: organization-defined individuals or roles].','ed, and producing the desired outcome with respect to meeting security requirements. The FISMA requirement for assessing security controls at least annually does not require additional assessment activities to those activities already in place in organizational security authorization processes. Security assessment results are provided to the individuals or roles appropriate for the types of assessments being conducted. For example, assessments conducted in support of security authorization decisions are provided to authorizing officials or authorizing official designated representatives.\nTo satisfy annual assessment requirements, organizations can use assessment results from the following sources: (i) initial or ongoing information system authorizations; (ii) continuous monitoring; or (iii)   system development life cycle activities. Organizations ensure that security assessment results are current, relevant to the determination of security control effectiveness, and obtained with the appropriate level of assessor independence. Existing security control assessment results can be reused to the extent that the results are still valid and can also be supplemented with additional assessments as needed. Subsequent to initial authorizations and in accordance with OMB policy, organizations assess security controls during continuous monitoring. Organizations establish the frequency for ongoing security control assessments in accordance with organizational continuous monitoring strategies. Information Assurance Vulnerability Alerts provide useful examples of vulnerability mitigation procedures. External audits (e.g., audits by external entities such as regulatory agencies) are outside the scope of this control.'),('CA','CA-3','System Interconnections',1,'The organization:\nCA-3a.\nAuthorizes connections from the information system to other information systems through the use of Interconnection Security Agreements;\nCA-3b.\nDocuments, for each interconnection, the interface characteristics, security requirements, and the nature of the information communicated; and\nCA-3c.\nReviews and updates Interconnection Security Agreements [Assignment: organization-defined frequency].','to formal contracts, especially for interconnections established between federal agencies and nonfederal (i.e., private sector) organizations. Risk considerations also include information systems sharing the same networks. For certain technologies (e.g., space, unmanned aerial vehicles, and medical devices), there may be specialized connections in place during preoperational testing. Such connections may require Interconnection Security Agreements and be subject to additional security controls.'),('CA','CA-4','Security Certification',0,'[Withdrawn: Incorporated into CA-2].',''),('CA','CA-5','Plan Of Action And Milestones',3,'The organization:\nCA-5a.\nDevelops a plan of action and milestones for the information system to document the organization\nï¿½s planned remedial actions to correct weaknesses or deficiencies noted during the assessment of the security controls and to reduce or eliminate known vulnerabilities in the system; and\nCA-5b.\nUpdates existing plan of action and milestones [Assignment: organization-defined frequency] based on the findings from security controls assessments, security impact analyses, and continuous monitoring activities.','Plans of action and milestones are key documents in security authorization packages and are subject to federal reporting requirements established by OMB.'),('CA','CA-6','Security Authorization',2,'The organization:\nCA-6a.\nAssigns a senior-level executive or manager as the authorizing official for the information system;\nCA-6b.\nEnsures that the authorizing official authorizes the information system for processing before commencing operations; and\nCA-6c.\nUpdates the security authorization [Assignment: organization-defined frequency].','sessment reports, and plans of action and milestones) is updated on an ongoing basis, providing authorizing officials and information system owners with an up-to-date status of the security state of organizational information systems and environments of operation.  To reduce the administrative cost of security reauthorization, authorizing officials use the results of continuous monitoring processes to the maximum extent possible as the basis for rendering reauthorization decisions.'),('CA','CA-7','Continuous Monitoring',2,'The organization develops a continuous monitoring strategy and implements a continuous monitoring program that includes:\nCA-7a.\nEstablishment of [Assignment: organization-defined metrics] to be monitored;\nCA-7b.\nEstablishment of [Assignment: organization-defined frequencies] for monitoring and [Assignment: organization-defined frequencies] for assessments supporting such monitoring;\nCA-7c.\nOngoing security control assessments in accordance with the organizational continuous monitoring strategy;\nCA-7d.\nOngoing security status monitoring of organization-defined metrics in accordance with the organizational continuous monitoring strategy;\nCA-7e.\nCorrelation and analysis of security-related information generated by assessments and monitoring;\nCA-7f.\nResponse actions to address results of the analysis of security-related information; and\nCA-7g.\nReporting the security status of organization and the information system to [Assignment: organization-defined personnel or roles] [Assignment: organization-defined frequency].','Continuous monitoring programs facilitate ongoing awareness of threats, vulnerabilities, and information security to support organizational risk management decisions. The terms continuous and ongoing imply that organizations assess/analyze security controls and information security-related risks at a frequency sufficient to support organizational risk-based decisions. The results of continuous monitoring programs generate appropriate risk response actions by organizations. Continuous monitoring programs also allow organizations to maintain the security authorizations of information systems and common controls over time in highly dynamic environments of operation with changing mission/business needs, threats, vulnerabilities, and technologies. Having access to security-related information on a continuing basis through reports/dashboards gives organizational officials the capability to make more effective and timely risk management decisions, including ongoing security authorization decisions. Automation supports more frequent updates to security authorization packages, hardware/software/firmware inventories, and other system information. Effectiveness is further enhanced when continuous monitoring outputs are formatted to provide information that is specific, measurable, actionable, relevant, and timely. Continuous monitoring activities are scaled in accordance with the security categories of information systems.'),('CA','CA-8','Penetration Testing',2,'The organization conducts penetration testing [Assignment: organization-defined frequency] on [Assignment: organization-defined information systems or system components].','ting rules of engagement with the tools, techniques, and procedures that are anticipated to be employed by adversaries carrying out attacks. Organizational risk assessments guide decisions on the level of independence required for personnel conducting penetration testing.'),('CA','CA-9','Internal System Connections',2,'The organization:\nCA-9a.\nAuthorizes internal connections of [Assignment: organization-defined information system components or classes of components] to the information system; and\nCA-9b.\nDocuments, for each internal connection, the interface characteristics, security requirements, and the nature of the information communicated.','This control applies to connections between organizational information systems and (separate) constituent system components (i.e., intra-system connections) including, for example, system connections with mobile devices, notebook/desktop computers, printers, copiers, facsimile machines, scanners, sensors, and servers. Instead of authorizing each individual internal connection, organizations can authorize internal connections for a class of components with common characteristics and/or configurations, for example, all digital printers, scanners, and copiers with a specified processing, storage, and transmission capability or all smart phones with a specific baseline configuration.'),('CM','CM-1','Configuration Management Policy And Procedures',1,'The organization:\nCM-1a.\nDevelops, documents, and disseminates to [Assignment: organization-defined personnel or roles]:\nCM-1a.1.A configuration management policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance; and\nCM-1a.2.Procedures to facilitate the implementation of the configuration management policy and associated configuration management controls; and\nCM-1b.\nReviews and updates the current:\nCM-1b.1.Configuration management policy [Assignment: organization-defined frequency]; and\nCM-1b.2.Configuration management procedures [Assignment: organization-defined frequency].','This control addresses the establishment of policy and procedures for the effective implementation of selected security controls and control enhancements in the CM family. Policy and procedures reflect applicable federal laws, Executive Orders, directives, regulations, policies, standards, and guidance. Security program policies and procedures at the organization level may make the need for system-specific policies and procedures unnecessary. The policy can be included as part of the general information security policy for organizations or conversely, can be represented by multiple policies reflecting the complex nature of certain organizations. The procedures can be established for the security program in general and for particular information systems, if needed. The organizational risk management strategy is a key factor in establishing policy and procedures.'),('CM','CM-10','Software Usage Restrictions',2,'The organization:\nCM-10a.\nUses software and associated documentation in accordance with contract agreements and copyright laws;\nCM-10b.\nTracks the use of software and associated documentation protected by quantity licenses to control copying and distribution; and\nCM-10c.\nControls and documents the use of peer-to-peer file sharing technology to ensure that this capability is not used for the unauthorized distribution, display, performance, or reproduction of copyrighted work.','Software license tracking can be accomplished by manual methods (e.g., simple spreadsheets) or automated methods (e.g., specialized tracking applications) depending on organizational needs.'),('CM','CM-11','User-installed Software',1,'The organization:\nCM-11a.\nEstablishes [Assignment: organization-defined policies] governing the installation of software by users;\nCM-11b.\nEnforces software installation policies through [Assignment: organization-defined methods]; and\nCM-11c.\nMonitors policy compliance at [Assignment: organization-defined frequency].','e external entity. Policy enforcement methods include procedural methods (e.g., periodic examination of user accounts), automated methods (e.g., configuration settings implemented on organizational information systems), or both.'),('CM','CM-2','Baseline Configuration',1,'The organization develops, documents, and maintains under configuration control, a current baseline configuration of the information system.','This control establishes baseline configurations for information systems and system components including communications and connectivity-related aspects of systems. Baseline configurations are documented, formally reviewed and agreed-upon sets of specifications for information systems or configuration items within those systems. Baseline configurations serve as a basis for future builds, releases, and/or changes to information systems. Baseline configurations include information about information system components (e.g., standard software packages installed on workstations, notebook computers, servers, network components, or mobile devices; current version numbers and patch information on operating systems and applications; and configuration settings/parameters), network topology, and the logical placement of those components within the system architecture. Maintaining baseline configurations requires creating new baselines as organizational information systems change over time. Baseline configurations of information systems reflect the current enterprise architecture.'),('CM','CM-3','Configuration Change Control',1,'The organization:\nCM-3a.\nDetermines the types of changes to the information system that are configuration-controlled;\nCM-3b.\nReviews proposed configuration-controlled changes to the information system and approves or disapproves such changes with explicit consideration for security impact analyses;\nCM-3c.\nDocuments configuration change decisions associated with the information system;\nCM-3d.\nImplements approved configuration-controlled changes to the information system;\nCM-3e.\nRetains records of configuration-controlled changes to the information system for [Assignment: organization-defined time period];\nCM-3f.\nAudits and reviews activities associated with configuration-controlled changes to the information system; and\nCM-3g.\nCoordinates and provides oversight for configuration change control activities through [Assignment: organization-defined configuration change control element (e.g., committee, board)] that convenes [Selection (one or more): [Assignment: organization-defined frequency]; [Assignment: organization-defined configuration change conditions]].','Configuration change controls for organizational information systems involve the systematic proposal, justification, implementation, testing, review, and disposition of changes to the systems, including system upgrades and modifications. Configuration change control includes changes to baseline configurations for components and configuration items of information systems, changes to configuration settings for information technology products (e.g., operating systems, applications, firewalls, routers, and mobile devices), unscheduled/unauthorized changes, and changes to remediate vulnerabilities. Typical processes for managing configuration changes to information systems include, for example, Configuration Control Boards that approve proposed changes to systems. For new development information systems or systems undergoing major upgrades, organizations consider including representatives from development organizations on the Configuration Control Boards. Auditing of changes includes activities before and after changes are made to organizational information systems and the auditing activities required to implement such changes.'),('CM','CM-4','Security Impact Analysis',2,'The organization analyzes changes to the information system to determine potential security impacts prior to change implementation.','Organizational personnel with information security responsibilities (e.g., Information System Administrators, Information System Security Officers, Information System Security Managers, and Information System Security Engineers) conduct security impact analyses. Individuals conducting security impact analyses possess the necessary skills/technical expertise to analyze the changes to information systems and the associated security ramifications. Security impact analysis may include, for example, reviewing security plans to understand security control requirements and reviewing system design documentation to understand control implementation and how specific changes might affect the controls. Security impact analyses may also include assessments of risk to better understand the impact of the changes and to determine if additional security controls are required. Security impact analyses are scaled in accordance with the security categories of the information systems.'),('CM','CM-5','Access Restrictions For Change',1,'The organization defines, documents, approves, and enforces physical and logical access restrictions associated with changes to the information system.','Any changes to the hardware, software, and/or firmware components of information systems can potentially have significant effects on the overall security of the systems. Therefore, organizations permit only qualified and authorized individuals to access information systems for purposes of initiating changes, including upgrades and modifications. Organizations maintain records of access to ensure that configuration change control is implemented and to support after-the-fact actions should organizations discover any unauthorized changes. Access restrictions for change also include software libraries. Access restrictions include, for example, physical and logical access controls (see AC-3 and PE-3), workflow automation, media libraries, abstract layers (e.g., changes implemented into third-party interfaces rather than directly into information systems), and change windows (e.g., changes occur only during specified times, making unauthorized changes easy to discover).'),('CM','CM-6','Configuration Settings',1,'The organization:\nCM-6a.\nEstablishes and documents configuration settings for information technology products employed within the information system using [Assignment: organization-defined security configuration checklists] that reflect the most restrictive mode consistent with operational requirements;\nCM-6b.\nImplements the configuration settings;\nCM-6c.\nIdentifies, documents, and approves any deviations from established configuration settings for [Assignment: organization-defined information system components] based on [Assignment: organization-defined operational requirements]; and\nCM-6d.\nMonitors and controls changes to the configuration settings in accordance with organizational policies and procedures.','uration Enumeration) provide an effective method to uniquely identify, track, and control configuration settings. OMB establishes federal policy on configuration requirements for federal information systems.'),('CM','CM-7','Least Functionality',1,'The organization:\nCM-7a.\nConfigures the information system to provide only essential capabilities; and\nCM-7b.\nProhibits or restricts the use of the following functions, ports, protocols, and/or services: [Assignment: organization-defined prohibited or restricted functions, ports, protocols, and/or services].','Information systems can provide a wide variety of functions and services. Some of the functions and services, provided by default, may not be necessary to support essential organizational operations (e.g., key missions, functions). Additionally, it is sometimes convenient to provide multiple services from single information system components, but doing so increases risk over limiting the services provided by any one component. Where feasible, organizations limit component functionality to a single function per device (e.g., email servers or web servers, but not both). Organizations review functions and services provided by information systems or individual components of information systems, to determine which functions and services are candidates for elimination (e.g., Voice Over Internet Protocol, Instant Messaging, auto-execute, and file sharing). Organizations consider disabling unused or unnecessary physical and logical ports/protocols (e.g., Universal Serial Bus, File Transfer Protocol, and Hyper Text Transfer Protocol) on information systems to prevent unauthorized connection of devices, unauthorized transfer of information, or unauthorized tunneling. Organizations can utilize network scanning tools, intrusion detection and prevention systems, and end-point protections such as firewalls and host-based intrusion detection systems to identify and prevent the use of prohibited functions, ports, protocols, and services.'),('CM','CM-8','Information System Component Inventory',1,'The organization:\nCM-8a.\nDevelops and documents an inventory of information system components that:\nCM-8a.1.Accurately reflects the current information system;\nCM-8a.2.Includes all components within the authorization boundary of the information system;\nCM-8a.3.Is at the level of granularity deemed necessary for tracking and reporting; and\nCM-8a.4.Includes [Assignment: organization-defined information deemed necessary to achieve effective information system component accountability]; and\nCM-8b.\nReviews and updates the information system component inventory [Assignment: organization-defined frequency].','Organizations may choose to implement centralized information system component inventories that include components from all organizational information systems. In such situations, organizations ensure that the resulting inventories include system-specific information required for proper component accountability (e.g., information system association, information system owner). Information deemed necessary for effective accountability of information system components includes, for example, hardware inventory specifications, software license information, software version numbers, component owners, and for networked components or devices, machine names and network addresses. Inventory specifications include, for example, manufacturer, device type, model, serial number, and physical location.'),('CM','CM-9','Configuration Management Plan',1,'The organization develops, documents, and implements a configuration management plan for the information system that:\nCM-9a.\nAddresses roles, responsibilities, and configuration management processes and procedures;\nCM-9b.\nEstablishes a process for identifying configuration items throughout the system development life cycle and for managing the configuration of the configuration items;\nCM-9c.\nDefines the configuration items for the information system and places the configuration items under configuration management; and\nCM-9d.\nProtects the configuration management plan from unauthorized disclosure and modification.','Configuration management plans satisfy the requirements in configuration management policies while being tailored to individual information systems. Such plans define detailed processes and procedures for how configuration management is used to support system development life cycle activities at the information system level. Configuration management plans are typically developed during the development/acquisition phase of the system development life cycle. The plans describe how to move changes through change management processes, how to update configuration settings and baselines, how to maintain information system component inventories, how to control development, test, and operational environments, and how to develop, release, and update key documents. Organizations can employ templates to help ensure consistent and timely development and implementation of configuration management plans. Such templates can represent a master configuration management plan for the organization at large with subsets of the plan implemented on a system by system basis. Configuration management approval processes include designation of key management stakeholders responsible for reviewing and approving proposed changes to information systems, and personnel that conduct security impact analyses prior to the implementation of changes to the systems. Configuration items are the information system items (hardware, software, firmware, and documentation) to be configuration-managed. As information systems continue through the system development life cycle, new configuration items may be identified and some existing configuration items may no longer need to be under configuration control.'),('CP','CP-1','Contingency Planning Policy And Procedures',1,'The organization:\nCP-1a.\nDevelops, documents, and disseminates to [Assignment: organization-defined personnel or roles]:\nCP-1a.1.A contingency planning policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance; and\nCP-1a.2.Procedures to facilitate the implementation of the contingency planning policy and associated contingency planning controls; and\nCP-1b.\nReviews and updates the current:\nCP-1b.1.Contingency planning policy [Assignment: organization-defined frequency]; and\nCP-1b.2.Contingency planning procedures [Assignment: organization-defined frequency].','This control addresses the establishment of policy and procedures for the effective implementation of selected security controls and control enhancements in the CP family. Policy and procedures reflect applicable federal laws, Executive Orders, directives, regulations, policies, standards, and guidance. Security program policies and procedures at the organization level may make the need for system-specific policies and procedures unnecessary. The policy can be included as part of the general information security policy for organizations or conversely, can be represented by multiple policies reflecting the complex nature of certain organizations. The procedures can be established for the security program in general and for particular information systems, if needed. The organizational risk management strategy is a key factor in establishing policy and procedures.'),('CP','CP-10','Information System Recovery And Reconstitution',1,'The organization provides for the recovery and reconstitution of the information system to a known state after a disruption, compromise, or failure.','Recovery is executing information system contingency plan activities to restore organizational missions/business functions. Reconstitution takes place following recovery and includes activities for returning organizational information systems to fully operational states. Recovery and reconstitution operations reflect mission and business priorities, recovery point/time and reconstitution objectives, and established organizational metrics consistent with contingency plan requirements. Reconstitution includes the deactivation of any interim information system capabilities that may have been needed during recovery operations. Reconstitution also includes assessments of fully restored information system capabilities, reestablishment of continuous monitoring activities, potential information system reauthorizations, and activities to prepare the systems against future disruptions, compromises, or failures. Recovery/reconstitution capabilities employed by organizations can include both automated mechanisms and manual procedures.'),('CP','CP-11','Alternate Communications Protocols',0,'The information system provides the capability to employ [Assignment: organization-defined alternative communications protocols] in support of maintaining continuity of operations.','Contingency plans and the associated training and testing for those plans, incorporate an alternate communications protocol capability as part of increasing the resilience of organizational information systems. Alternate communications protocols include, for example, switching from Transmission Control Protocol/Internet Protocol (TCP/IP) Version 4 to TCP/IP Version 6. Switching communications protocols may affect software applications and therefore, the potential side effects of introducing alternate communications protocols are analyzed prior to implementation.'),('CP','CP-12','Safe Mode',0,'The information system, when [Assignment: organization-defined conditions] are detected, enters a safe mode of operation with [Assignment: organization-defined restrictions of safe mode of operation].','For information systems supporting critical missions/business functions including, for example, military operations and weapons systems, civilian space operations, nuclear power plant operations, and air traffic control operations (especially real-time operational environments), organizations may choose to identify certain conditions under which those systems revert to a predefined safe mode of operation. The safe mode of operation, which can be activated automatically or manually, restricts the types of activities or operations information systems could execute when those conditions are encountered. Restriction includes, for example, allowing only certain functions that could be carried out under limited power or with reduced communications bandwidth.'),('CP','CP-13','Alternative Security Mechanisms',0,'The organization employs [Assignment: organization-defined alternative or supplemental security mechanisms] for satisfying [Assignment: organization-defined security functions] when the primary means of implementing the security function is unavailable or compromised.','ï¿½s standard means for secure remote authentication, is compromised.'),('CP','CP-2','Contingency Plan',1,'The organization:\nCP-2a.\nDevelops a contingency plan for the information system that:\nCP-2a.1.Identifies essential missions and business functions and associated contingency requirements;\nCP-2a.2.Provides recovery objectives, restoration priorities, and metrics;\nCP-2a.3.Addresses contingency roles, responsibilities, assigned individuals with contact information;\nCP-2a.4.Addresses maintaining essential missions and business functions despite an information system disruption, compromise, or failure;\nCP-2a.5.Addresses eventual, full information system restoration without deterioration of the security safeguards originally planned and implemented; and\nCP-2a.6.Is reviewed and approved by [Assignment: organization-defined personnel or roles];\nCP-2b.\nDistributes copies of the contingency plan to [Assignment: organization-defined key contingency personnel (identified by name and/or by role) and organizational elements];\nCP-2c.\nCoordinates contingency planning activities with incident handling activities;\nCP-2d.\nReviews the contingency plan for the information system [Assignment: organization-defined frequency];\nCP-2e.\nUpdates the contingency plan to address changes to the organization, information system, or environment of operation and problems encountered during contingency plan implementation, execution, or testing;\nCP-2f.\nCommunicates contingency plan changes to [Assignment: organization-defined key contingency personnel (identified by name and/or by role) and organizational elements]; and\nCP-2g.\nProtects the contingency plan from unauthorized disclosure and modification.','Contingency planning for information systems is part of an overall organizational program for achieving continuity of operations for mission/business functions. Contingency planning addresses both information system restoration and implementation of alternative mission/business processes when systems are compromised. The effectiveness of contingency planning is maximized by considering such planning throughout the phases of the system development life cycle. Performing contingency planning on hardware, software, and firmware development can be an effective means of achieving information system resiliency. Contingency plans reflect the degree of restoration required for organizational information systems since not all systems may need to fully recover to achieve the level of continuity of operations desired.  Information system recovery objectives reflect applicable laws, Executive Orders, directives, policies, standards, regulations, and guidelines. In addition to information system availability, contingency plans also address other security-related events resulting in a reduction in mission and/or business effectiveness, such as malicious attacks compromising the confidentiality or integrity of information systems. Actions addressed in contingency plans include, for example, orderly/graceful degradation, information system shutdown, fallback to a manual mode, alternate information flows, and operating in modes reserved for when systems are under attack. By closely coordinating contingency planning with incident handling activities, organizations can ensure that the necessary contingency planning activities are in place and activated in the event of a security incident.'),('CP','CP-3','Contingency Training',2,'The organization provides contingency training to information system users consistent with assigned roles and responsibilities:\nCP-3a.\nWithin [Assignment: organization-defined time period] of assuming a contingency role or responsibility;\nCP-3b.\nWhen required by information system changes; and\nCP-3c.\n[Assignment: organization-defined frequency] thereafter.','h other governmental entities for purposes of coordination on contingency-related activities. Training for contingency roles/responsibilities reflects the specific continuity requirements in the contingency plan.'),('CP','CP-4','Contingency Plan Testing',2,'The organization:\nCP-4a.\nTests the contingency plan for the information system [Assignment: organization-defined frequency] using [Assignment: organization-defined tests] to determine the effectiveness of the plan and the organizational readiness to execute the plan;\nCP-4b.\nReviews the contingency plan test results; and\nCP-4c.\nInitiates corrective actions, if needed.','Methods for testing contingency plans to determine the effectiveness of the plans and to identify potential weaknesses in the plans include, for example, walk-through and tabletop exercises, checklists, simulations (parallel, full interrupt), and comprehensive exercises. Organizations conduct testing based on the continuity requirements in contingency plans and include a determination of the effects on organizational operations, assets, and individuals arising due to contingency operations. Organizations have flexibility and discretion in the breadth, depth, and timelines of corrective actions.'),('CP','CP-5','Contingency Plan Update',0,'[Withdrawn: Incorporated into CP-2].',''),('CP','CP-6','Alternate Storage Site',1,'The organization:\nCP-6a.\nEstablishes an alternate storage site including necessary agreements to permit the storage and retrieval of information system backup information; and\nCP-6b.\nEnsures that the alternate storage site provides information security safeguards equivalent to that of the primary site.','Alternate storage sites are sites that are geographically distinct from primary storage sites. An alternate storage site maintains duplicate copies of information and data in the event that the primary storage site is not available. Items covered by alternate storage site agreements include, for example, environmental conditions at alternate sites, access rules, physical and environmental protection requirements, and coordination of delivery/retrieval of backup media. Alternate storage sites reflect the requirements in contingency plans so that organizations can maintain essential missions/business functions despite disruption, compromise, or failure in organizational information systems.'),('CP','CP-7','Alternate Processing Site',1,'The organization:\nCP-7a.\nEstablishes an alternate processing site including necessary agreements to permit the transfer and resumption of [Assignment: organization-defined information system operations] for essential missions/business functions within [Assignment: organization-defined time period consistent with recovery time and recovery point objectives] when the primary processing capabilities are unavailable;\nCP-7b.\nEnsures that equipment and supplies required to transfer and resume operations are available at the alternate processing site or contracts are in place to support delivery to the site within the organization-defined time period for transfer/resumption; and\nCP-7c.\nEnsures that the alternate processing site provides information security safeguards equivalent to that of the primary site.','ess functions despite disruption, compromise, or failure in organizational information systems.'),('CP','CP-8','Telecommunications Services',1,'The organization establishes alternate telecommunications services including necessary agreements to permit the resumption of [Assignment: organization-defined information system operations] for essential missions and business functions within [Assignment: organization-defined time period] when the primary telecommunications capabilities are unavailable at either the primary or alternate processing or storage sites.','This control applies to telecommunications services (data and voice) for primary and alternate processing and storage sites. Alternate telecommunications services reflect the continuity requirements in contingency plans to maintain essential missions/business functions despite the loss of primary telecommunications services. Organizations may specify different time periods for primary/alternate sites. Alternate telecommunications services include, for example, additional organizational or commercial ground-based circuits/lines or satellites in lieu of ground-based communications. Organizations consider factors such as availability, quality of service, and access when entering into alternate telecommunications agreements.'),('CP','CP-9','Information System Backup',1,'The organization:\nCP-9a.\nConducts backups of user-level information contained in the information system [Assignment: organization-defined frequency consistent with recovery time and recovery point objectives];\nCP-9b.\nConducts backups of system-level information contained in the information system [Assignment: organization-defined frequency consistent with recovery time and recovery point objectives];\nCP-9c.\nConducts backups of information system documentation including security-related documentation [Assignment: organization-defined frequency consistent with recovery time and recovery point objectives]; and\nCP-9d.\nProtects the confidentiality, integrity, and availability of backup information at storage locations.','System-level information includes, for example, system-state information, operating system and application software, and licenses. User-level information includes any information other than system-level information. Mechanisms employed by organizations to protect the integrity of information system backups include, for example, digital signatures and cryptographic hashes. Protection of system backup information while in transit is beyond the scope of this control. Information system backups reflect the requirements in contingency plans as well as other organizational requirements for backing up information.'),('IA','IA-1','Identification And Authentication Policy And Procedures',1,'The organization:\nIA-1a.\nDevelops, documents, and disseminates to [Assignment: organization-defined personnel or roles]:\nIA-1a.1.An identification and authentication policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance; and\nIA-1a.2.Procedures to facilitate the implementation of the identification and authentication policy and associated identification and authentication controls; and\nIA-1b.\nReviews and updates the current:\nIA-1b.1.Identification and authentication policy [Assignment: organization-defined frequency]; and\nIA-1b.2.Identification and authentication procedures [Assignment: organization-defined frequency].','This control addresses the establishment of policy and procedures for the effective implementation of selected security controls and control enhancements in the IA family. Policy and procedures reflect applicable federal laws, Executive Orders, directives, regulations, policies, standards, and guidance. Security program policies and procedures at the organization level may make the need for system-specific policies and procedures unnecessary. The policy can be included as part of the general information security policy for organizations or conversely, can be represented by multiple policies reflecting the complex nature of certain organizations. The procedures can be established for the security program in general and for particular information systems, if needed. The organizational risk management strategy is a key factor in establishing policy and procedures.'),('IA','IA-10','Adaptive Identification And Authentication',0,'The organization requires that individuals accessing the information system employ [Assignment: organization-defined supplemental authentication techniques or mechanisms] under specific [Assignment: organization-defined circumstances or situations].','Adversaries may compromise individual authentication mechanisms and subsequently attempt to impersonate legitimate users. This situation can potentially occur with any authentication mechanisms employed by organizations. To address this threat, organizations may employ specific techniques/mechanisms and establish protocols to assess suspicious behavior (e.g., individuals accessing information that they do not typically access as part of their normal duties, roles, or responsibilities, accessing greater quantities of information than the individuals would routinely access, or attempting to access information from suspicious network addresses). In these situations when certain preestablished conditions or triggers occur, organizations can require selected individuals to provide additional authentication information. Another potential use for adaptive identification and authentication is to increase the strength of mechanism based on the number and/or types of records being accessed.'),('IA','IA-11','Re-authentication',0,'The organization requires users and devices to re-authenticate when [Assignment: organization-defined circumstances or situations requiring re-authentication].','In addition to the re-authentication requirements associated with session locks, organizations may require re-authentication of individuals and/or devices in other situations including, for example: (i) when authenticators change; (ii), when roles change; (iii) when security categories of information systems change; (iv), when the execution of privileged functions occurs; (v) after a fixed period of time; or (vi) periodically.'),('IA','IA-2','Identification And Authentication (organizational Users)',1,'The information system uniquely identifies and authenticates organizational users (or processes acting on behalf of organizational users).','Organizational users include employees or individuals that organizations deem to have equivalent status of employees (e.g., contractors, guest researchers). This control applies to all accesses other than: (i) accesses that are explicitly identified and documented in AC-14; and (ii) accesses that occur through authorized use of group authenticators without individual authentication. Organizations may require unique identification of individuals in group accounts (e.g., shared privilege accounts) or for detailed accountability of individual activity. Organizations employ passwords, tokens, or biometrics to authenticate user identities, or in the case multifactor authentication, or some combination thereof. Access to organizational information systems is defined as either local access or network access. Local access is any access to organizational information systems by users (or processes acting on behalf of users) where such access is obtained by direct connections without the use of networks. Network access is access to organizational information systems by users (or processes acting on behalf of users) where such access is obtained through network connections (i.e., nonlocal accesses). Remote access is a type of network access that involves communication through external networks (e.g., the Internet). Internal networks include local area networks and wide area networks. In addition, the use of encrypted virtual private networks (VPNs) for network connections between organization-controlled endpoints and non-organization controlled endpoints may be treated as internal networks from the perspective of protecting the confidentiality and integrity of information traversing the network.\nOrganizations can satisfy the identification and authentication requirements in this control by complying with the requirements in Homeland Security Presidential Directive 12 consistent with the specific organizational implementation plans. Multifactor authentication requires the use of two or more different factors to achieve authentication. The factors are defined as: (i) something you know (e.g., password, personal identification number [PIN]); (ii) something you have (e.g., cryptographic identification device, token); or (iii) something you are (e.g., biometric). Multifactor solutions that require devices separate from information systems gaining access include, for example, hardware tokens providing time-based or challenge-response authenticators and smart cards such as the U.S. Government Personal Identity Verification card and the DoD common access card. In addition to identifying and authenticating users at the information system level (i.e., at logon), organizations also employ identification and authentication mechanisms at the application level, when necessary, to provide increased information security. Identification and authentication requirements for other than organizational users are described in IA-8.'),('IA','IA-3','Device Identification And Authentication',1,'The information system uniquely identifies and authenticates [Assignment: organization-defined specific and/or types of devices] before establishing a [Selection (one or more): local; remote; network] connection.','Organizational devices requiring unique device-to-device identification and authentication may be defined by type, by device, or by a combination of type/device. Information systems typically use either shared known information (e.g., Media Access Control [MAC] or Transmission Control Protocol/Internet Protocol [TCP/IP] addresses) for device identification or organizational authentication solutions (e.g., IEEE 802.1x and Extensible Authentication Protocol [EAP], Radius server with EAP-Transport Layer Security [TLS] authentication, Kerberos) to identify/authenticate devices on local and/or wide area networks. Organizations determine the required strength of authentication mechanisms by the security categories of information systems. Because of the challenges of applying this control on large scale, organizations are encouraged to only apply the control to those limited number (and type) of devices that truly need to support this capability.'),('IA','IA-4','Identifier Management',1,'The organization manages information system identifiers by:\nIA-4a.\nReceiving authorization from [Assignment: organization-defined personnel or roles] to assign an individual, group, role, or device identifier;\nIA-4b.\nSelecting an identifier that identifies an individual, group, role, or device;\nIA-4c.\nAssigning the identifier to the intended individual, group, role, or device;\nIA-4d.\nPreventing reuse of identifiers for [Assignment: organization-defined time period]; and\nIA-4e.\nDisabling the identifier after [Assignment: organization-defined time period of inactivity].','Common device identifiers include, for example, media access control (MAC), Internet protocol (IP) addresses, or device-unique token identifiers. Management of individual identifiers is not applicable to shared information system accounts (e.g., guest and anonymous accounts). Typically, individual identifiers are the user names of the information system accounts assigned to those individuals. In such instances, the account management activities of AC-2 use account names provided by IA-4. This control also addresses individual identifiers not necessarily associated with information system accounts (e.g., identifiers used in physical security control databases accessed by badge reader systems for access to information systems). Preventing reuse of identifiers implies preventing the assignment of previously used individual, group, role, or device identifiers to different individuals, groups, roles, or devices.'),('IA','IA-5','Authenticator Management',1,'The organization manages information system authenticators by:\nIA-5a.\nVerifying, as part of the initial authenticator distribution, the identity of the individual, group, role, or device receiving the authenticator;\nIA-5b.\nEstablishing initial authenticator content for authenticators defined by the organization;\nIA-5c.\nEnsuring that authenticators have sufficient strength of mechanism for their intended use;\nIA-5d.\nEstablishing and implementing administrative procedures for initial authenticator distribution, for lost/compromised or damaged authenticators, and for revoking authenticators;\nIA-5e.\nChanging default content of authenticators prior to information system installation;\nIA-5f.\nEstablishing minimum and maximum lifetime restrictions and reuse conditions for authenticators;\nIA-5g.\nChanging/refreshing authenticators [Assignment: organization-defined time period by authenticator type];\nIA-5h.\nProtecting authenticator content from unauthorized disclosure and modification;\nIA-5i.\nRequiring individuals to take, and having devices implement, specific security safeguards to protect authenticators; and\nIA-5j.\nChanging authenticators for group/role accounts when membership to those accounts changes.','Individual authenticators include, for example, passwords, tokens, biometrics, PKI certificates, and key cards. Initial authenticator content is the actual content (e.g., the initial password) as opposed to requirements about authenticator content (e.g., minimum password length). In many cases, developers ship information system components with factory default authentication credentials to allow for initial installation and configuration. Default authentication credentials are often well known, easily discoverable, and present a significant security risk. The requirement to protect individual authenticators may be implemented via control PL-4 or PS-6 for authenticators in the possession of individuals and by controls AC-3, AC-6, and SC-28 for authenticators stored within organizational information systems (e.g., passwords stored in hashed or encrypted formats, files containing encrypted or hashed passwords accessible with administrator privileges). Information systems support individual authenticator management by organization-defined settings and restrictions for various authenticator characteristics including, for example, minimum password length, password composition, validation time window for time synchronous one-time tokens, and number of allowed rejections during the verification stage of biometric authentication. Specific actions that can be taken to safeguard authenticators include, for example, maintaining possession of individual authenticators, not loaning or sharing individual authenticators with others, and reporting lost, stolen, or compromised authenticators immediately. Authenticator management includes issuing and revoking, when no longer needed, authenticators for temporary access such as that required for remote maintenance. Device authenticators include, for example, certificates and passwords.'),('IA','IA-6','Authenticator Feedback',2,'The information system obscures feedback of authentication information during the authentication process to protect the information from possible exploitation/use by unauthorized individuals.','The feedback from information systems does not provide information that would allow unauthorized individuals to compromise authentication mechanisms. For some types of information systems or system components, for example, desktops/notebooks with relatively large monitors, the threat (often referred to as shoulder surfing) may be significant. For other types of systems or components, for example, mobile devices with 2-4 inch screens, this threat may be less significant, and may need to be balanced against the increased likelihood of typographic input errors due to the small keyboards. Therefore, the means for obscuring the authenticator feedback is selected accordingly. Obscuring the feedback of authentication information includes, for example, displaying asterisks when users type passwords into input devices, or displaying feedback for a very limited time before fully obscuring it.'),('IA','IA-7','Cryptographic Module Authentication',1,'The information system implements mechanisms for authentication to a cryptographic module that meet the requirements of applicable federal laws, Executive Orders, directives, policies, regulations, standards, and guidance for such authentication.','Authentication mechanisms may be required within a cryptographic module to authenticate an operator accessing the module and to verify that the operator is authorized to assume the requested role and perform services within that role.'),('IA','IA-8','Identification And Authentication (non-organizational Users)',1,'The information system uniquely identifies and authenticates non-organizational users (or processes acting on behalf of non-organizational users).','Non-organizational users include information system users other than organizational users explicitly covered by IA-2. These individuals are uniquely identified and authenticated for accesses other than those accesses explicitly identified and documented in AC-14. In accordance with the E-Authentication E-Government initiative, authentication of non-organizational users accessing federal information systems may be required to protect federal, proprietary, or privacy-related information (with exceptions noted for national security systems). Organizations use risk assessments to determine authentication needs and consider scalability, practicality, and security in balancing the need to ensure ease of use for access to federal information and information systems with the need to protect and adequately mitigate risk. IA-2 addresses identification and authentication requirements for access to information systems by organizational users.'),('IA','IA-9','Service Identification And Authentication',0,'The organization identifies and authenticates [Assignment: organization-defined information system services] using [Assignment: organization-defined security safeguards].','This control supports service-oriented architectures and other distributed architectural approaches requiring the identification and authentication of information system services. In such architectures, external services often appear dynamically. Therefore, information systems should be able to determine in a dynamic manner, if external providers and associated services are authentic. Safeguards implemented by organizational information systems to validate provider and service authenticity include, for example, information or code signing, provenance graphs, and/or electronic signatures indicating or including the sources of services.'),('IR','IR-1','Incident Response Policy And Procedures',1,'The organization:\nIR-1a.\nDevelops, documents, and disseminates to [Assignment: organization-defined personnel or roles]:\nIR-1a.1.An incident response policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance; and\nIR-1a.2.Procedures to facilitate the implementation of the incident response policy and associated incident response controls; and\nIR-1b.\nReviews and updates the current:\nIR-1b.1.Incident response policy [Assignment: organization-defined frequency]; and\nIR-1b.2.Incident response procedures [Assignment: organization-defined frequency].','This control addresses the establishment of policy and procedures for the effective implementation of selected security controls and control enhancements in the IR family. Policy and procedures reflect applicable federal laws, Executive Orders, directives, regulations, policies, standards, and guidance. Security program policies and procedures at the organization level may make the need for system-specific policies and procedures unnecessary. The policy can be included as part of the general information security policy for organizations or conversely, can be represented by multiple policies reflecting the complex nature of certain organizations. The procedures can be established for the security program in general and for particular information systems, if needed. The organizational risk management strategy is a key factor in establishing policy and procedures.'),('IR','IR-10','Integrated Information Security Analysis Team',0,'The organization establishes an integrated team of forensic/malicious code analysts, tool developers, and real-time operations personnel.','Having an integrated team for incident response facilitates information sharing. Such capability allows organizational personnel, including developers, implementers, and operators, to leverage the team knowledge of the threat in order to implement defensive measures that will enable organizations to deter intrusions more effectively. Moreover, it promotes the rapid detection of intrusions, development of appropriate mitigations, and the deployment of effective defensive measures. For example, when an intrusion is detected, the integrated security analysis team can rapidly develop an appropriate response for operators to implement, correlate the new incident with information on past intrusions, and augment ongoing intelligence development. This enables the team to identify adversary TTPs that are linked to the operations tempo or to specific missions/business functions, and to define responsive actions in a way that does not disrupt the mission/business operations. Ideally, information security analysis teams are distributed within organizations to make the capability more resilient.'),('IR','IR-2','Incident Response Training',2,'The organization provides incident response training to information system users consistent with assigned roles and responsibilities:\nIR-2a.\nWithin [Assignment: organization-defined time period] of assuming an incident response role or responsibility;\nIR-2b.\nWhen required by information system changes; and\nIR-2c.\n[Assignment: organization-defined frequency] thereafter.','Incident response training provided by organizations is linked to the assigned roles and responsibilities of organizational personnel to ensure the appropriate content and level of detail is included in such training. For example, regular users may only need to know who to call or how to recognize an incident on the information system; system administrators may require additional training on how to handle/remediate incidents; and incident responders may receive more specific training on forensics, reporting, system recovery, and restoration. Incident response training includes user training in the identification and reporting of suspicious activities, both from external and internal sources.'),('IR','IR-3','Incident Response Testing',2,'The organization tests the incident response capability for the information system [Assignment: organization-defined frequency] using [Assignment: organization-defined tests] to determine the incident response effectiveness and documents the results.','nclude a determination of the effects on organizational operations (e.g., reduction in mission capabilities), organizational assets, and individuals due to incident response.'),('IR','IR-4','Incident Handling',1,'The organization:\nIR-4a.\nImplements an incident handling capability for security incidents that includes preparation, detection and analysis, containment, eradication, and recovery;\nIR-4b.\nCoordinates incident handling activities with contingency planning activities; and\nIR-4c.\nIncorporates lessons learned from ongoing incident handling activities into incident response procedures, training, and testing/exercises, and implements the resulting changes accordingly.','Organizations recognize that incident response capability is dependent on the capabilities of organizational information systems and the mission/business processes being supported by those systems. Therefore, organizations consider incident response as part of the definition, design, and development of mission/business processes and information systems. Incident-related information can be obtained from a variety of sources including, for example, audit monitoring, network monitoring, physical access monitoring, user/administrator reports, and reported supply chain events. Effective incident handling capability includes coordination among many organizational entities including, for example, mission/business owners, information system owners, authorizing officials, human resources offices, physical and personnel security offices, legal departments, operations personnel, procurement offices, and the risk executive (function).'),('IR','IR-5','Incident Monitoring',1,'The organization tracks and documents information system security incidents.','Documenting information system security incidents includes, for example, maintaining records about each incident, the status of the incident, and other pertinent information necessary for forensics, evaluating incident details, trends, and handling. Incident information can be obtained from a variety of sources including, for example, incident reports, incident response teams, audit monitoring, network monitoring, physical access monitoring, and user/administrator reports.'),('IR','IR-6','Incident Reporting',1,'The organization:\nIR-6a.\nRequires personnel to report suspected security incidents to the organizational incident response capability within [Assignment: organization-defined time period]; and\nIR-6b.\nReports security incident information to [Assignment: organization-defined authorities].','The intent of this control is to address both specific incident reporting requirements within an organization and the formal incident reporting requirements for federal agencies and their subordinate organizations. Suspected security incidents include, for example, the receipt of suspicious email communications that can potentially contain malicious code. The types of security incidents reported, the content and timeliness of the reports, and the designated reporting authorities reflect applicable federal laws, Executive Orders, directives, regulations, policies, standards, and guidance. Current federal policy requires that all federal agencies (unless specifically exempted from such requirements) report security incidents to the United States Computer Emergency Readiness Team (US-CERT) within specified time frames designated in the US-CERT Concept of Operations for Federal Cyber Security Incident Handling.'),('IR','IR-7','Incident Response Assistance',2,'The organization provides an incident response support resource, integral to the organizational incident response capability that offers advice and assistance to users of the information system for the handling and reporting of security incidents.','Incident response support resources provided by organizations include, for example, help desks, assistance groups, and access to forensics services, when required.'),('IR','IR-8','Incident Response Plan',1,'The organization:\nIR-8a.\nDevelops an incident response plan that:\nIR-8a.1.Provides the organization with a roadmap for implementing its incident response capability;\nIR-8a.2.Describes the structure and organization of the incident response capability;\nIR-8a.3.Provides a high-level approach for how the incident response capability fits into the overall organization;\nIR-8a.4.Meets the unique requirements of the organization, which relate to mission, size, structure, and functions;\nIR-8a.5.Defines reportable incidents;\nIR-8a.6.Provides metrics for measuring the incident response capability within the organization;\nIR-8a.7.Defines the resources and management support needed to effectively maintain and mature an incident response capability; and\nIR-8a.8.Is reviewed and approved by [Assignment: organization-defined personnel or roles];\nIR-8b.\nDistributes copies of the incident response plan to [Assignment: organization-defined incident response personnel (identified by name and/or by role) and organizational elements];\nIR-8c.\nReviews the incident response plan [Assignment: organization-defined frequency];\nIR-8d.\nUpdates the incident response plan to address system/organizational changes or problems encountered during plan implementation, execution, or testing;\nIR-8e.\nCommunicates incident response plan changes to [Assignment: organization-defined incident response personnel (identified by name and/or by role) and organizational elements]; and\nIR-8f.\nProtects the incident response plan from unauthorized disclosure and modification.','It is important that organizations develop and implement a coordinated approach to incident response. Organizational missions, business functions, strategies, goals, and objectives for incident response help to determine the structure of incident response capabilities. As part of a comprehensive incident response capability, organizations consider the coordination and sharing of information with external organizations, including, for example, external service providers and organizations involved in the supply chain for organizational information systems.'),('IR','IR-9','Information Spillage Response',0,'The organization responds to information spills by:\nIR-9a.\nIdentifying the specific information involved in the information system contamination;\nIR-9b.\nAlerting [Assignment: organization-defined personnel or roles] of the information spill using a method of communication not associated with the spill;\nIR-9c.\nIsolating the contaminated information system or system component;\nIR-9d.\nEradicating the information from the contaminated information system or component;\nIR-9e.\nIdentifying other information systems or system components that may have been subsequently contaminated; and\nIR-9f.\nPerforming other [Assignment: organization-defined actions].','Information spillage refers to instances where either classified or sensitive information is inadvertently placed on information systems that are not authorized to process such information. Such information spills often occur when information that is initially thought to be of lower sensitivity is transmitted to an information system and then is subsequently determined to be of higher sensitivity. At that point, corrective action is required. The nature of the organizational response is generally based upon the degree of sensitivity of the spilled information (e.g., security category or classification level), the security capabilities of the information system, the specific nature of contaminated storage media, and the access authorizations (e.g., security clearances) of individuals with authorized access to the contaminated system. The methods used to communicate information about the spill after the fact do not involve methods directly associated with the actual spill to minimize the risk of further spreading the contamination before such contamination is isolated and eradicated.'),('MA','MA-1','System Maintenance Policy And Procedures',1,'The organization:\nMA-1a.\nDevelops, documents, and disseminates to [Assignment: organization-defined personnel or roles]:\nMA-1a.1.A system maintenance policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance; and\nMA-1a.2.Procedures to facilitate the implementation of the system maintenance policy and associated system maintenance controls; and\nMA-1b.\nReviews and updates the current:\nMA-1b.1.System maintenance policy [Assignment: organization-defined frequency]; and\nMA-1b.2.System maintenance procedures [Assignment: organization-defined frequency].','This control addresses the establishment of policy and procedures for the effective implementation of selected security controls and control enhancements in the MA family. Policy and procedures reflect applicable federal laws, Executive Orders, directives, regulations, policies, standards, and guidance. Security program policies and procedures at the organization level may make the need for system-specific policies and procedures unnecessary. The policy can be included as part of the general information security policy for organizations or conversely, can be represented by multiple policies reflecting the complex nature of certain organizations. The procedures can be established for the security program in general and for particular information systems, if needed. The organizational risk management strategy is a key factor in establishing policy and procedures.'),('MA','MA-2','Controlled Maintenance',2,'The organization:\nMA-2a.\nSchedules, performs, documents, and reviews records of maintenance and repairs on information system components in accordance with manufacturer or vendor specifications and/or organizational requirements;\nMA-2b.\nApproves and monitors all maintenance activities, whether performed on site or remotely and whether the equipment is serviced on site or removed to another location;\nMA-2c.\nRequires that [Assignment: organization-defined personnel or roles] explicitly approve the removal of the information system or system components from organizational facilities for off-site maintenance or repairs;\nMA-2d.\nSanitizes equipment to remove all information from associated media prior to removal from organizational facilities for off-site maintenance or repairs;\nMA-2e.\nChecks all potentially impacted security controls to verify that the controls are still functioning properly following maintenance or repair actions; and\nMA-2f.\nIncludes [Assignment: organization-defined maintenance-related information] in organizational maintenance records.',' maintenance records includes, for example: (i) date and time of maintenance; (ii) name of individuals or group performing the maintenance; (iii) name of escort, if necessary; (iv) a description of the maintenance performed; and (v) information system components/equipment removed or replaced (including identification numbers, if applicable). The level of detail included in maintenance records can be informed by the security categories of organizational information systems. Organizations consider supply chain issues associated with replacement components for information systems.'),('MA','MA-3','Maintenance Tools',3,'The organization approves, controls, and monitors information system maintenance tools.','ï¿½ping,ï¿½ ï¿½ls,ï¿½ ï¿½ipconfig,ï¿½ or the hardware and software implementing the monitoring port of an Ethernet switch.'),('MA','MA-4','Nonlocal Maintenance',2,'The organization:\nMA-4a.\nApproves and monitors nonlocal maintenance and diagnostic activities;\nMA-4b.\nAllows the use of nonlocal maintenance and diagnostic tools only as consistent with organizational policy and documented in the security plan for the information system;\nMA-4c.\nEmploys strong authenticators in the establishment of nonlocal maintenance and diagnostic sessions;\nMA-4d.\nMaintains records for nonlocal maintenance and diagnostic activities; and\nMA-4e.\nTerminates session and network connections when nonlocal maintenance is completed.','Nonlocal maintenance and diagnostic activities are those activities conducted by individuals communicating through a network, either an external network (e.g., the Internet) or an internal network. Local maintenance and diagnostic activities are those activities carried out by individuals physically present at the information system or information system component and not communicating across a network connection. Authentication techniques used in the establishment of nonlocal maintenance and diagnostic sessions reflect the network access requirements in IA-2. Typically, strong authentication requires authenticators that are resistant to replay attacks and employ multifactor authentication. Strong authenticators include, for example, PKI where certificates are stored on a token protected by a password, passphrase, or biometric. Enforcing requirements in MA-4 is accomplished in part by other controls.'),('MA','MA-5','Maintenance Personnel',2,'The organization:\nMA-5a.\nEstablishes a process for maintenance personnel authorization and maintains a list of authorized maintenance organizations or personnel;\nMA-5b.\nEnsures that non-escorted personnel performing maintenance on the information system have required access authorizations; and\nMA-5c.\nDesignates organizational personnel with required access authorizations and technical competence to supervise the maintenance activities of personnel who do not possess the required access authorizations.','This control applies to individuals performing hardware or software maintenance on organizational information systems, while PE-2 addresses physical access for individuals whose maintenance duties place them within the physical protection perimeter of the systems (e.g., custodial staff, physical plant maintenance personnel). Technical competence of supervising individuals relates to the maintenance performed on the information systems while having required access authorizations refers to maintenance on and near the systems. Individuals not previously identified as authorized maintenance personnel, such as information technology manufacturers, vendors, systems integrators, and consultants, may require privileged access to organizational information systems, for example, when required to conduct maintenance activities with little or no notice. Based on organizational assessments of risk, organizations may issue temporary credentials to these individuals. Temporary credentials may be for one-time use or for very limited time periods.'),('MA','MA-6','Timely Maintenance',2,'The organization obtains maintenance support and/or spare parts for [Assignment: organization-defined information system components] within [Assignment: organization-defined time period] of failure.','Organizations specify the information system components that result in increased risk to organizational operations and assets, individuals, other organizations, or the Nation when the functionality provided by those components is not operational. Organizational actions to obtain maintenance support typically include having appropriate contracts in place.'),('MP','MP-1','Media Protection Policy And Procedures',1,'The organization:\nMP-1a.\nDevelops, documents, and disseminates to [Assignment: organization-defined personnel or roles]:\nMP-1a.1.A media protection policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance; and\nMP-1a.2.Procedures to facilitate the implementation of the media protection policy and associated media protection controls; and\nMP-1b.\nReviews and updates the current:\nMP-1b.1.Media protection policy [Assignment: organization-defined frequency]; and\nMP-1b.2.Media protection procedures [Assignment: organization-defined frequency].','This control addresses the establishment of policy and procedures for the effective implementation of selected security controls and control enhancements in the MP family. Policy and procedures reflect applicable federal laws, Executive Orders, directives, regulations, policies, standards, and guidance. Security program policies and procedures at the organization level may make the need for system-specific policies and procedures unnecessary. The policy can be included as part of the general information security policy for organizations or conversely, can be represented by multiple policies reflecting the complex nature of certain organizations. The procedures can be established for the security program in general and for particular information systems, if needed. The organizational risk management strategy is a key factor in establishing policy and procedures.'),('MP','MP-2','Media Access',1,'The organization restricts access to [Assignment: organization-defined types of digital and/or non-digital media] to [Assignment: organization-defined personnel or roles].','Information system media includes both digital and non-digital media. Digital media includes, for example, diskettes, magnetic tapes, external/removable hard disk drives, flash drives, compact disks, and digital video disks. Non-digital media includes, for example, paper and microfilm. Restricting non-digital media access includes, for example, denying access to patient medical records in a community hospital unless the individuals seeking access to such records are authorized healthcare providers. Restricting access to digital media includes, for example, limiting access to design specifications stored on compact disks in the media library to the project leader and the individuals on the development team.'),('MP','MP-3','Media Marking',2,'The organization:\nMP-3a.\nMarks information system media indicating the distribution limitations, handling caveats, and applicable security markings (if any) of the information; and\nMP-3b.\nExempts [Assignment: organization-defined types of information system media] from marking as long as the media remain within [Assignment: organization-defined controlled areas].','The term security marking refers to the application/use of human-readable security attributes. The term security labeling refers to the application/use of security attributes with regard to internal data structures within information systems (see AC-16). Information system media includes both digital and non-digital media. Digital media includes, for example, diskettes, magnetic tapes, external/removable hard disk drives, flash drives, compact disks, and digital video disks. Non-digital media includes, for example, paper and microfilm. Security marking is generally not required for media containing information determined by organizations to be in the public domain or to be publicly releasable. However, some organizations may require markings for public information indicating that the information is publicly releasable. Marking of information system media reflects applicable federal laws, Executive Orders, directives, policies, regulations, standards, and guidance.'),('MP','MP-4','Media Storage',1,'The organization:\nMP-4a.\nPhysically controls and securely stores [Assignment: organization-defined types of digital and/or non-digital media] within [Assignment: organization-defined controlled areas]; and\nMP-4b.\nProtects information system media until the media are destroyed or sanitized using approved equipment, techniques, and procedures.','Information system media includes both digital and non-digital media. Digital media includes, for example, diskettes, magnetic tapes, external/removable hard disk drives, flash drives, compact disks, and digital video disks. Non-digital media includes, for example, paper and microfilm. Physically controlling information system media includes, for example, conducting inventories, ensuring procedures are in place to allow individuals to check out and return media to the media library, and maintaining accountability for all stored media. Secure storage includes, for example, a locked drawer, desk, or cabinet, or a controlled media library. The type of media storage is commensurate with the security category and/or classification of the information residing on the media. Controlled areas are areas for which organizations provide sufficient physical and procedural safeguards to meet the requirements established for protecting information and/or information systems. For media containing information determined by organizations to be in the public domain, to be publicly releasable, or to have limited or no adverse impact on organizations or individuals if accessed by other than authorized personnel, fewer safeguards may be needed. In these situations, physical access controls provide adequate protection.'),('MP','MP-5','Media Transport',1,'The organization:\nMP-5a.\nProtects and controls [Assignment: organization-defined types of information system media] during transport outside of controlled areas using [Assignment: organization-defined security safeguards];\nMP-5b.\nMaintains accountability for information system media during transport outside of controlled areas;\nMP-5c.\nDocuments activities associated with the transport of information system media; and\nMP-5d.\nRestricts the activities associated with the transport of information system media to authorized personnel.','Information system media includes both digital and non-digital media. Digital media includes, for example, diskettes, magnetic tapes, external/removable hard disk drives, flash drives, compact disks, and digital video disks. Non-digital media includes, for example, paper and microfilm. This control also applies to mobile devices with information storage capability (e.g., smart phones, tablets, E-readers), that are transported outside of controlled areas. Controlled areas are areas or spaces for which organizations provide sufficient physical and/or procedural safeguards to meet the requirements established for protecting information and/or information systems.\nPhysical and technical safeguards for media are commensurate with the security category or classification of the information residing on the media. Safeguards to protect media during transport include, for example, locked containers and cryptography. Cryptographic mechanisms can provide confidentiality and integrity protections depending upon the mechanisms used. Activities associated with transport include the actual transport as well as those activities such as releasing media for transport and ensuring that media enters the appropriate transport processes. For the actual transport, authorized transport and courier personnel may include individuals from outside the organization (e.g., U.S. Postal Service or a commercial transport or delivery service). Maintaining accountability of media during transport includes, for example, restricting transport activities to authorized personnel, and tracking and/or obtaining explicit records of transport activities as the media moves through the transportation system to prevent and detect loss, destruction, or tampering. Organizations establish documentation requirements for activities associated with the transport of information system media in accordance with organizational assessments of risk to include the flexibility to define different record-keeping methods for the different types of media transport as part of an overall system of transport-related records.'),('MP','MP-6','Media Sanitization',1,'The organization:\nMP-6a.\nSanitizes [Assignment: organization-defined information system media] prior to disposal, release out of organizational control, or release for reuse using [Assignment: organization-defined sanitization techniques and procedures] in accordance with applicable federal and organizational standards and policies; and\nMP-6b.\nEmploys sanitization mechanisms with the strength and integrity commensurate with the security category or classification of the information.','hat the information cannot be retrieved or reconstructed. Sanitization techniques, including clearing, purging, cryptographic erase, and destruction, prevent the disclosure of information to unauthorized individuals when such media is reused or released for disposal. Organizations determine the appropriate sanitization methods recognizing that destruction is sometimes necessary when other methods cannot be applied to media requiring sanitization. Organizations use discretion on the employment of approved sanitization techniques and procedures for media containing information deemed to be in the public domain or publicly releasable, or deemed to have no adverse impact on organizations or individuals if released for reuse or disposal. Sanitization of non-digital media includes, for example, removing a classified appendix from an otherwise unclassified document, or redacting selected sections or words from a document by obscuring the redacted sections/words in a manner equivalent in effectiveness to removing them from the document. NSA standards and policies control the sanitization process for media containing classified information.'),('MP','MP-7','Media Use',1,'The organization [Selection: restricts; prohibits] the use of [Assignment: organization-defined types of information system media] on [Assignment: organization-defined information systems or system components] using [Assignment: organization-defined security safeguards].','Information system media includes both digital and non-digital media. Digital media includes, for example, diskettes, magnetic tapes, external/removable hard disk drives, flash drives, compact disks, and digital video disks. Non-digital media includes, for example, paper and microfilm. This control also applies to mobile devices with information storage capability (e.g., smart phones, tablets, E-readers). In contrast to MP-2, which restricts user access to media, this control restricts the use of certain types of media on information systems, for example, restricting/prohibiting the use of flash drives or external hard disk drives. Organizations can employ technical and nontechnical safeguards (e.g., policies, procedures, rules of behavior) to restrict the use of information system media. Organizations may restrict the use of portable storage devices, for example, by using physical cages on workstations to prohibit access to certain external ports, or disabling/removing the ability to insert, read or write to such devices. Organizations may also limit the use of portable storage devices to only approved devices including, for example, devices provided by the organization, devices provided by other approved organizations, and devices that are not personally owned. Finally, organizations may restrict the use of portable storage devices based on the type of device, for example, prohibiting the use of writeable, portable storage devices, and implementing this restriction by disabling or removing the capability to write to such devices.'),('MP','MP-8','Media Downgrading',0,'The organization:\nMP-8a.\nEstablishes [Assignment: organization-defined information system media downgrading process] that includes employing downgrading mechanisms with [Assignment: organization-defined strength and integrity];\nMP-8b.\nEnsures that the information system media downgrading process is commensurate with the security category and/or classification level of the information to be removed and the access authorizations of the potential recipients of the downgraded information;\nMP-8c.\nIdentifies [Assignment: organization-defined information system media requiring downgrading]; and\nMP-8d.\nDowngrades the identified information system media using the established process.','assification level, such that the information cannot be retrieved or reconstructed. Downgrading of media includes redacting information to enable wider release and distribution. Downgrading of media also ensures that empty space on the media (e.g., slack space within files) is devoid of information.'),('PE','PE-1','Physical And Environmental Protection Policy And Procedures',1,'The organization:\nPE-1a.\nDevelops, documents, and disseminates to [Assignment: organization-defined personnel or roles]:\nPE-1a.1.A physical and environmental protection policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance; and\nPE-1a.2.Procedures to facilitate the implementation of the physical and environmental protection policy and associated physical and environmental protection controls; and\nPE-1b.\nReviews and updates the current:\nPE-1b.1.Physical and environmental protection  policy [Assignment: organization-defined frequency]; and\nPE-1b.2.Physical and environmental protection procedures [Assignment: organization-defined frequency].','This control addresses the establishment of policy and procedures for the effective implementation of selected security controls and control enhancements in the PE family. Policy and procedures reflect applicable federal laws, Executive Orders, directives, regulations, policies, standards, and guidance. Security program policies and procedures at the organization level may make the need for system-specific policies and procedures unnecessary. The policy can be included as part of the general information security policy for organizations or conversely, can be represented by multiple policies reflecting the complex nature of certain organizations. The procedures can be established for the security program in general and for particular information systems, if needed. The organizational risk management strategy is a key factor in establishing policy and procedures.'),('PE','PE-10','Emergency Shutoff',1,'The organization:\nPE-10a.\nProvides the capability of shutting off power to the information system or individual system components in emergency situations;\nPE-10b.\nPlaces emergency shutoff switches or devices in [Assignment: organization-defined location by information system or system component] to facilitate safe and easy access for personnel; and\nPE-10c.\nProtects emergency power shutoff capability from unauthorized activation.','This control applies primarily to facilities containing concentrations of information system resources including, for example, data centers, server rooms, and mainframe computer rooms.'),('PE','PE-11','Emergency Power',1,'The organization provides a short-term uninterruptible power supply to facilitate [Selection (one or more): an orderly shutdown of the information system; transition of the information system to long-term alternate power] in the event of a primary power source loss.',''),('PE','PE-12','Emergency Lighting',1,'The organization employs and maintains automatic emergency lighting for the information system that activates in the event of a power outage or disruption and that covers emergency exits and evacuation routes within the facility.','This control applies primarily to facilities containing concentrations of information system resources including, for example, data centers, server rooms, and mainframe computer rooms.'),('PE','PE-13','Fire Protection',1,'The organization employs and maintains fire suppression and detection devices/systems for the information system that are supported by an independent energy source.','This control applies primarily to facilities containing concentrations of information system resources including, for example, data centers, server rooms, and mainframe computer rooms. Fire suppression and detection devices/systems include, for example, sprinkler systems, handheld fire extinguishers, fixed fire hoses, and smoke detectors.'),('PE','PE-14','Temperature And Humidity Controls',1,'The organization:\nPE-14a.\nMaintains temperature and humidity levels within the facility where the information system resides at [Assignment: organization-defined acceptable levels]; and\nPE-14b.\nMonitors temperature and humidity levels [Assignment: organization-defined frequency].','This control applies primarily to facilities containing concentrations of information system resources, for example, data centers, server rooms, and mainframe computer rooms.'),('PE','PE-15','Water Damage Protection',1,'The organization protects the information system from damage resulting from water leakage by providing master shutoff or isolation valves that are accessible, working properly, and known to key personnel.','This control applies primarily to facilities containing concentrations of information system resources including, for example, data centers, server rooms, and mainframe computer rooms. Isolation valves can be employed in addition to or in lieu of master shutoff valves to shut off water supplies in specific areas of concern, without affecting entire organizations.'),('PE','PE-16','Delivery And Removal',2,'The organization authorizes, monitors, and controls [Assignment: organization-defined types of information system components] entering and exiting the facility and maintains records of those items.','Effectively enforcing authorizations for entry and exit of information system components may require restricting access to delivery areas and possibly isolating the areas from the information system and media libraries.'),('PE','PE-17','Alternate Work Site',2,'The organization:\nPE-17a.\nEmploys [Assignment: organization-defined security controls] at alternate work sites;\nPE-17b.\nAssesses as feasible, the effectiveness of security controls at alternate work sites; and\nPE-17c.\nProvides a means for employees to communicate with information security personnel in case of security incidents or problems.','Alternate work sites may include, for example, government facilities or private residences of employees. While commonly distinct from alternative processing sites, alternate work sites may provide readily available alternate locations as part of contingency operations. Organizations may define different sets of security controls for specific alternate work sites or types of sites depending on the work-related activities conducted at those sites. This control supports the contingency planning activities of organizations and the federal telework initiative.'),('PE','PE-18','Location Of Information System Components',3,'The organization positions information system components within the facility to minimize potential damage from [Assignment: organization-defined physical and environmental hazards] and to minimize the opportunity for unauthorized access.','Physical and environmental hazards include, for example, flooding, fire, tornados, earthquakes, hurricanes, acts of terrorism, vandalism, electromagnetic pulse, electrical interference, and other forms of incoming electromagnetic radiation. In addition, organizations consider the location of physical entry points where unauthorized individuals, while not being granted access, might nonetheless be in close proximity to information systems and therefore increase the potential for unauthorized access to organizational communications (e.g., through the use of wireless sniffers or microphones).'),('PE','PE-19','Information Leakage',0,'The organization protects the information system from information leakage due to electromagnetic signals emanations.','rity controls employed to protect systems against information leakage due to electromagnetic signals emanations.'),('PE','PE-2','Physical Access Authorizations',1,'The organization:\nPE-2a.\nDevelops, approves, and maintains a list of individuals with authorized access to the facility where the information system resides;\nPE-2b.\nIssues authorization credentials for facility access;\nPE-2c.\nReviews the access list detailing authorized facility access by individuals [Assignment: organization-defined frequency]; and\nPE-2d.\nRemoves individuals from the facility access list when access is no longer required.','strength of authorization credentials needed (including level of forge-proof badges, smart cards, or identification cards) consistent with federal standards, policies, and procedures. This control only applies to areas within facilities that have not been designated as publicly accessible.'),('PE','PE-20','Asset Monitoring And Tracking',0,'The organization:\nPE-20a.\nEmploys [Assignment: organization-defined asset location technologies] to track and monitor the location and movement of [Assignment: organization-defined assets] within [Assignment: organization-defined controlled areas]; and\nPE-20b.\nEnsures that asset location technologies are employed in accordance with applicable federal laws, Executive Orders, directives, regulations, policies, standards, and guidance.','Asset location technologies can help organizations ensure that critical assets such as vehicles or essential information system components remain in authorized locations. Organizations consult with the Office of the General Counsel and the Senior Agency Official for Privacy (SAOP)/Chief Privacy Officer (CPO) regarding the deployment and use of asset location technologies to address potential privacy concerns.'),('PE','PE-3','Physical Access Control',1,'The organization:\nPE-3a.\nEnforces physical access authorizations at [Assignment: organization-defined entry/exit points to the facility where the information system resides] by;\nPE-3a.1.Verifying individual access authorizations before granting access to the facility; and\nPE-3a.2.Controlling ingress/egress to the facility using [Selection (one or more): [Assignment: organization-defined physical access control systems/devices]; guards];\nPE-3b.\nMaintains physical access audit logs for [Assignment: organization-defined entry/exit points];\nPE-3c.\nProvides [Assignment: organization-defined security safeguards] to control access to areas within the facility officially designated as publicly accessible;\nPE-3d.\nEscorts visitors and monitors visitor activity [Assignment: organization-defined circumstances requiring visitor escorts and monitoring];\nPE-3e.\nSecures keys, combinations, and other physical access devices;\nPE-3f.\nInventories [Assignment: organization-defined physical access devices] every [Assignment: organization-defined frequency]; and\nPE-3g.\nChanges combinations and keys [Assignment: organization-defined frequency] and/or when keys are lost, combinations are compromised, or individuals are transferred or terminated.','This control applies to organizational employees and visitors. Individuals (e.g., employees, contractors, and others) with permanent physical access authorization credentials are not considered visitors. Organizations determine the types of facility guards needed including, for example, professional physical security staff or other personnel such as administrative staff or information system users. Physical access devices include, for example, keys, locks, combinations, and card readers. Safeguards for publicly accessible areas within organizational facilities include, for example, cameras, monitoring by guards, and isolating selected information systems and/or system components in secured areas. Physical access control systems comply with applicable federal laws, Executive Orders, directives, policies, regulations, standards, and guidance. The Federal Identity, Credential, and Access Management Program provides implementation guidance for identity, credential, and access management capabilities for physical access control systems. Organizations have flexibility in the types of audit logs employed. Audit logs can be procedural (e.g., a written log of individuals accessing the facility and when such access occurred), automated (e.g., capturing ID provided by a PIV card), or some combination thereof. Physical access points can include facility access points, interior access points to information systems and/or components requiring supplemental access controls, or both. Components of organizational information systems (e.g., workstations, terminals) may be located in areas designated as publicly accessible with organizations safeguarding access to such devices.'),('PE','PE-4','Access Control For Transmission Medium',1,'The organization controls physical access to [Assignment: organization-defined information system distribution and transmission lines] within organizational facilities using [Assignment: organization-defined security safeguards].','cked spare jacks; and/or (iii) protection of cabling by conduit or cable trays.'),('PE','PE-5','Access Control For Output Devices',2,'The organization controls physical access to information system output devices to prevent unauthorized individuals from obtaining the output.','Controlling physical access to output devices includes, for example, placing output devices in locked rooms or other secured areas and allowing access to authorized individuals only, and placing output devices in locations that can be monitored by organizational personnel. Monitors, printers, copiers, scanners, facsimile machines, and audio devices are examples of information system output devices.'),('PE','PE-6','Monitoring Physical Access',1,'The organization:\nPE-6a.\nMonitors physical access to the facility where the information system resides to detect and respond to physical security incidents;\nPE-6b.\nReviews physical access logs [Assignment: organization-defined frequency] and upon occurrence of [Assignment: organization-defined events or potential indications of events]; and\nPE-6c.\nCoordinates results of reviews and investigations with the organizational incident response capability.','Organizational incident response capabilities include investigations of and responses to detected physical security incidents. Security incidents include, for example, apparent security violations or suspicious physical access activities. Suspicious physical access activities include, for example: (i) accesses outside of normal work hours; (ii) repeated accesses to areas not normally accessed; (iii) accesses for unusual lengths of time; and (iv) out-of-sequence accesses.'),('PE','PE-7','Visitor Control',0,'[Withdrawn: Incorporated into PE-2 and PE-3].',''),('PE','PE-8','Visitor Access Records',3,'The organization:\nPE-8a.\nMaintains visitor access records to the facility where the information system resides for [Assignment: organization-defined time period]; and\nPE-8b.\nReviews visitor access records [Assignment: organization-defined frequency].','Visitor access records include, for example, names and organizations of persons visiting, visitor signatures, forms of identification, dates of access, entry and departure times, purposes of visits, and names and organizations of persons visited. Visitor access records are not required for publicly accessible areas.'),('PE','PE-9','Power Equipment And Cabling',1,'The organization protects power equipment and power cabling for the information system from damage and destruction.','Organizations determine the types of protection necessary for power equipment and cabling employed at different locations both internal and external to organizational facilities and environments of operation. This includes, for example, generators and power cabling outside of buildings, internal cabling and uninterruptable power sources within an office or data center, and power sources for self-contained entities such as vehicles and satellites.'),('PL','PL-1','Security Planning Policy And Procedures',1,'The organization:\nPL-1a.\nDevelops, documents, and disseminates to [Assignment: organization-defined personnel or roles]:\nPL-1a.1.A security planning policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance; and\nPL-1a.2.Procedures to facilitate the implementation of the security planning policy and associated security planning controls; and\nPL-1b.\nReviews and updates the current:\nPL-1b.1.Security planning policy [Assignment: organization-defined frequency]; and\nPL-1b.2.Security planning procedures [Assignment: organization-defined frequency].','This control addresses the establishment of policy and procedures for the effective implementation of selected security controls and control enhancements in the PL family. Policy and procedures reflect applicable federal laws, Executive Orders, directives, regulations, policies, standards, and guidance. Security program policies and procedures at the organization level may make the need for system-specific policies and procedures unnecessary. The policy can be included as part of the general information security policy for organizations or conversely, can be represented by multiple policies reflecting the complex nature of certain organizations. The procedures can be established for the security program in general and for particular information systems, if needed. The organizational risk management strategy is a key factor in establishing policy and procedures.'),('PL','PL-2','System Security Plan',1,'The organization:\nPL-2a.\nDevelops a security plan for the information system that:\nPL-2a.1.Is consistent with the organizationï¿½s enterprise architecture;\nPL-2a.2.Explicitly defines the authorization boundary for the system;\nPL-2a.3.Describes the operational context of the information system in terms of missions and business processes;\nPL-2a.4.Provides the security categorization of the information system including supporting rationale;\nPL-2a.5.Describes the operational environment for the information system and relationships with or connections to other information systems;\nPL-2a.6.Provides an overview of the security requirements for the system;\nPL-2a.7.Identifies any relevant overlays, if applicable;\nPL-2a.8.Describes the security controls in place or planned for meeting those requirements including a rationale for the tailoring decisions; and\nPL-2a.9.Is reviewed and approved by the authorizing official or designated representative prior to plan implementation;\nPL-2b.\nDistributes copies of the security plan and communicates subsequent changes to the plan to [Assignment: organization-defined personnel or roles];\nPL-2c.\nReviews the security plan for the information system [Assignment: organization-defined frequency];\nPL-2d.\nUpdates the plan to address changes to the information system/environment of operation or problems identified during plan implementation or security control assessments; and\nPL-2e.\nProtects the security plan from unauthorized disclosure and modification.','Security plans relate security requirements to a set of security controls and control enhancements. Security plans also describe, at a high level, how the security controls and control enhancements meet those security requirements, but do not provide detailed, technical descriptions of the specific design or implementation of the controls/enhancements. Security plans contain sufficient information (including the specification of parameter values for assignment and selection statements either explicitly or by reference) to enable a design and implementation that is unambiguously compliant with the intent of the plans and subsequent determinations of risk to organizational operations and assets, individuals, other organizations, and the Nation if the plan is implemented as intended. Organizations can also apply tailoring guidance to the security control baselines in Appendix D and CNSS Instruction 1253 to develop overlays for community-wide use or to address specialized requirements, technologies, or missions/environments of operation (e.g., DoD-tactical, Federal Public Key Infrastructure, or Federal Identity, Credential, and Access Management, space operations). Appendix I provides guidance on developing overlays.\nSecurity plans need not be single documents; the plans can be a collection of various documents including documents that already exist. Effective security plans make extensive use of references to policies, procedures, and additional documents (e.g., design and implementation specifications) where more detailed information can be obtained. This reduces the documentation requirements associated with security programs and maintains security-related information in other established management/operational areas related to enterprise architecture, system development life cycle, systems engineering, and acquisition. For example, security plans do not contain detailed contingency plan or incident response plan information but instead provide explicitly or by reference, sufficient information to define what needs to be accomplished by those plans.'),('PL','PL-3','System Security Plan Update',0,'[Withdrawn: Incorporated into PL-2].',''),('PL','PL-4','Rules Of Behavior',2,'The organization:\nPL-4a.\nEstablishes and makes readily available to individuals requiring access to the information system, the rules that describe their responsibilities and expected behavior with regard to information and information system usage;\nPL-4b.\nReceives a signed acknowledgment from such individuals, indicating that they have read, understand, and agree to abide by the rules of behavior, before authorizing access to information and the information system;\nPL-4c.\nReviews and updates the rules of behavior [Assignment: organization-defined frequency]; and\nPL-4d.\nRequires individuals who have signed a previous version of the rules of behavior to read and resign when the rules of behavior are revised/updated.','This control enhancement applies to organizational users. Organizations consider rules of behavior based on individual user roles and responsibilities, differentiating, for example, between rules that apply to privileged users and rules that apply to general users. Establishing rules of behavior for some types of non-organizational users including, for example, individuals who simply receive data/information from federal information systems, is often not feasible given the large number of such users and the limited nature of their interactions with the systems. Rules of behavior for both organizational and non-organizational users can also be established in AC-8, System Use Notification. PL-4 b. (the signed acknowledgment portion of this control) may be satisfied by the security awareness training and role-based security training programs conducted by organizations if such training includes rules of behavior. Organizations can use electronic signatures for acknowledging rules of behavior.'),('PL','PL-5','Privacy Impact Assessment',0,'[Withdrawn: Incorporated into Appendix J, AR-2].',''),('PL','PL-6','Security-related Activity Planning',0,'[Withdrawn: Incorporated into PL-2].',''),('PL','PL-7','Security Concept Of Operations',0,'The organization:\nPL-7a.\nDevelops a security Concept of Operations (CONOPS) for the information system containing at a minimum, how the organization intends to operate the system from the perspective of information security; and\nPL-7b.\nReviews and updates the CONOPS [Assignment: organization-defined frequency].','The security CONOPS may be included in the security plan for the information system or in other system development life cycle-related documents, as appropriate. Changes to the CONOPS are reflected in ongoing updates to the security plan, the information security architecture, and other appropriate organizational documents (e.g., security specifications for procurements/acquisitions, system development life cycle documents, and systems/security engineering documents).'),('PL','PL-8','Information Security Architecture',1,'The organization:\nPL-8a.\nDevelops an information security architecture for the information system that:\nPL-8a.1.Describes the overall philosophy, requirements, and approach to be taken with regard to protecting the confidentiality, integrity, and availability of organizational information;\nPL-8a.2.Describes how the information security architecture is integrated into and supports the enterprise architecture; and\nPL-8a.3.Describes any information security assumptions about, and dependencies on, external services;\nPL-8b.\nReviews and updates the information security architecture [Assignment: organization-defined frequency] to reflect updates in the enterprise architecture; and\nPL-8c.\nEnsures that planned information security architecture changes are reflected in the security plan, the security Concept of Operations (CONOPS), and organizational procurements/acquisitions.','ce the development of information systems or information system components to external entities, and there is a need to demonstrate/show consistency with the organizationï¿½s enterprise architecture and information security architecture.'),('PL','PL-9','Central Management',0,'The organization centrally manages [Assignment: organization-defined security controls and related processes].','management promotes and facilitates standardization of security control implementations and management and judicious use of organizational resources.  Centrally-managed security controls and processes may also meet independence requirements for assessments in support of initial and ongoing authorizations to operate as part of organizational continuous monitoring. As part of the security control selection process, organizations determine which controls may be suitable for central management based on organizational resources and capabilities. Organizations consider that it may not always be possible to centrally manage every aspect of a security control. In such cases, the security control is treated as a hybrid control with the control managed and implemented either centrally or at the information system level. Controls and control enhancements that are candidates for full or partial central management include, but are not limited to: AC-2 (1) (2) (3) (4); AC-17 (1) (2) (3) (9); AC-18 (1) (3) (4) (5); AC-19 (4); AC-22; AC-23; AT-2 (1) (2); AT-3 (1) (2) (3); AT-4; AU-6 (1) (3) (5) (6) (9); AU-7 (1) (2); AU-11, AU-13, AU-16, CA-2 (1) (2) (3); CA-3 (1) (2) (3); CA-7 (1); CA-9; CM-2 (1) (2); CM-3 (1) (4); CM-4; CM-6 (1); CM-7 (4) (5); CM-8 (all); CM-9 (1); CM-10; CM-11; CP-7 (all); CP-8 (all); SC-43; SI-2; SI-3; SI-7; and SI-8.'),('PM','PM-1','Information Security Program Plan',0,'The organization:\nPM-1a.\nDevelops and disseminates an organization-wide information security program plan that:\nPM-1a.1.Provides an overview of the requirements for the security program and a description of the security program management controls and common controls in place or planned for meeting those requirements;\nPM-1a.2.Includes the identification and assignment of roles, responsibilities, management commitment, coordination among organizational entities, and compliance;\nPM-1a.3.Reflects coordination among organizational entities responsible for the different aspects of information security (i.e., technical, physical, personnel, cyber-physical); and\nPM-1a.4.Is approved by a senior official with responsibility and accountability for the risk being incurred to organizational operations (including mission, functions, image, and reputation), organizational assets, individuals, other organizations, and the Nation;\nPM-1b.\nReviews the organization-wide information security program plan [Assignment: organization-defined frequency];\nPM-1c.\nUpdates the plan to address organizational changes and problems identified during plan implementation or security control assessments; and\nPM-1d.\nProtects the information security program plan from unauthorized disclosure and modification.','security program plan. If the information security program plan contains multiple documents, the organization specifies in each document the organizational official or officials responsible for the development, implementation, assessment, authorization, and monitoring of the respective common controls. For example, the organization may require that the Facilities Management Office develop, implement, assess, authorize, and continuously monitor common physical and environmental protection controls from the PE family when such controls are not associated with a particular information system but instead, support multiple information systems.'),('PM','PM-10','Security Authorization Process',0,'The organization:\nPM-10a.\nManages (i.e., documents, tracks, and reports) the security state of organizational information systems and the environments in which those systems operate through security authorization processes;\nPM-10b.\nDesignates individuals to fulfill specific roles and responsibilities within the organizational risk management process; and\nPM-10c.\nFully integrates the security authorization processes into an organization-wide risk management program.','Security authorization processes for information systems and environments of operation require the implementation of an organization-wide risk management process, a Risk Management Framework, and associated security standards and guidelines. Specific roles within the risk management process include an organizational risk executive (function) and designated authorizing officials for each organizational information system and common control provider. Security authorization processes are integrated with organizational continuous monitoring processes to facilitate ongoing understanding and acceptance of risk to organizational operations and assets, individuals, other organizations, and the Nation.'),('PM','PM-11','Mission/business Process Definition',0,'The organization:\nPM-11a.\nDefines mission/business processes with consideration for information security and the resulting risk to organizational operations, organizational assets, individuals, other organizations, and the Nation; and\nPM-11b.\nDetermines information protection needs arising from the defined mission/business processes and revises the processes as necessary, until achievable protection needs are obtained.','ection requirements are documented by the organization in accordance with organizational policy and procedure.'),('PM','PM-12','Insider Threat Program',0,'The organization implements an insider threat program that includes a cross-discipline insider threat incident handling team.','echnical information to identify potential insider threat concerns. A senior organizational official is designated by the department/agency head as the responsible individual to implement and provide oversight for the program. In addition to the centralized integration and analysis capability, insider threat programs as a minimum, prepare department/agency insider threat policies and implementation plans, conduct host-based user monitoring of individual employee activities on government-owned classified computers, provide insider threat awareness training to employees, receive access to information from all offices within the department/agency (e.g., human resources, legal, physical security, personnel security, information technology, information system security, and law enforcement) for insider threat analysis, and conduct self-assessments of department/agency insider threat posture.\nInsider threat programs can leverage the existence of incident handling teams organizations may already have in place, such as computer security incident response teams. Human resources records are especially important in this effort, as there is compelling evidence to show that some types of insider crimes are often preceded by nontechnical behaviors in the workplace (e.g., ongoing patterns of disgruntled behavior and conflicts with coworkers and other colleagues). These precursors can better inform and guide organizational officials in more focused, targeted monitoring efforts. The participation of a legal team is important to ensure that all monitoring activities are performed in accordance with appropriate legislation, directives, regulations, policies, standards, and guidelines.'),('PM','PM-13','Information Security Workforce',0,'The organization establishes an information security workforce development and improvement program.','awareness and training programs. Information security workforce development and improvement programs focus on developing and institutionalizing core information security capabilities of selected personnel needed to protect organizational operations, assets, and individuals.'),('PM','PM-14','Testing, Training, And Monitoring',0,'The organization:\nPM-14a.\nImplements a process for ensuring that organizational plans for conducting security testing, training, and monitoring activities associated with organizational information systems:\nPM-14a.1.Are developed and maintained; and\nPM-14a.2.Continue to be executed in a timely manner;\nPM-14b.\nReviews testing, training, and monitoring plans for consistency with the organizational risk management strategy and organization-wide priorities for risk response actions.','This control ensures that organizations provide oversight for the security testing, training, and monitoring activities conducted organization-wide and that those activities are coordinated. With the importance of continuous monitoring programs, the implementation of information security across the three tiers of the risk management hierarchy, and the widespread use of common controls, organizations coordinate and consolidate the testing and monitoring activities that are routinely conducted as part of ongoing organizational assessments supporting a variety of security controls. Security training activities, while typically focused on individual information systems and specific roles, also necessitate coordination across all organizational elements. Testing, training, and monitoring plans and activities are informed by current threat and vulnerability assessments.'),('PM','PM-15','Contacts With Security Groups And Associations',0,'The organization establishes and institutionalizes contact with selected groups and associations within the security community:\nPM-15a.\nTo facilitate ongoing security education and training for organizational personnel;\nPM-15b.\nTo maintain currency with recommended security practices, techniques, and technologies; and\nPM-15c.\nTo share current security-related information including threats, vulnerabilities, and incidents.','Ongoing contact with security groups and associations is of paramount importance in an environment of rapidly changing technologies and threats. Security groups and associations include, for example, special interest groups, forums, professional associations, news groups, and/or peer groups of security professionals in similar organizations. Organizations select groups and associations based on organizational missions/business functions. Organizations share threat, vulnerability, and incident information consistent with applicable federal laws, Executive Orders, directives, policies, regulations, standards, and guidance.'),('PM','PM-16','Threat Awareness Program',0,'The organization implements a threat awareness program that includes a cross-organization information-sharing capability.','Because of the constantly changing and increasing sophistication of adversaries, especially the advanced persistent threat (APT), it is becoming more likely that adversaries may successfully breach or compromise organizational information systems. One of the best techniques to address this concern is for organizations to share threat information. This can include, for example, sharing threat events (i.e., tactics, techniques, and procedures) that organizations have experienced, mitigations that organizations have found are effective against certain types of threats, threat intelligence (i.e., indications and warnings about threats that are likely to occur). Threat information sharing may be bilateral (e.g., government-commercial cooperatives, government-government cooperatives), or multilateral (e.g., organizations taking part in threat-sharing consortia). Threat information may be highly sensitive requiring special agreements and protection, or less sensitive and freely shared.'),('PM','PM-2','Senior Information Security Officer',0,'The organization appoints a senior information security officer with the mission and resources to coordinate, develop, implement, and maintain an organization-wide information security program.','The security officer described in this control is an organizational official.  For a federal agency (as defined in applicable federal laws, Executive Orders, directives, policies, or regulations) this official is the Senior Agency Information Security Officer. Organizations may also refer to this official as the Senior Information Security Officer or Chief Information Security Officer.'),('PM','PM-3','Information Security Resources',0,'The organization:\nPM-3a.\nEnsures that all capital planning and investment requests include the resources needed to implement the information security program and documents all exceptions to this requirement;\nPM-3b.\nEmploys a business case/Exhibit 300/Exhibit 53 to record the resources required; and\nPM-3c.\nEnsures that information security resources are available for expenditure as planned.','Organizations consider establishing champions for information security efforts and as part of including the necessary resources, assign specialized expertise and resources as needed. Organizations may designate and empower an Investment Review Board (or similar group) to manage and provide oversight for the information security-related aspects of the capital planning and investment control process.'),('PM','PM-4','Plan Of Action And Milestones Process',0,'The organization:\nPM-4a.\nImplements a process for ensuring that plans of action and milestones for the security program and associated organizational information systems:\nPM-4a.1.Are developed and maintained;\nPM-4a.2.Document the remedial information security actions to adequately respond to risk to organizational operations and assets, individuals, other organizations, and the Nation; and\nPM-4a.3.Are reported in accordance with OMB FISMA reporting requirements.\nPM-4b.\nReviews plans of action and milestones for consistency with the organizational risk management strategy and organization-wide priorities for risk response actions.','The plan of action and milestones is a key document in the information security program and is subject to federal reporting requirements established by OMB. With the increasing emphasis on organization-wide risk management across all three tiers in the risk management hierarchy (i.e., organization, mission/business process, and information system), organizations view plans of action and milestones from an organizational perspective, prioritizing risk response actions and ensuring consistency with the goals and objectives of the organization. Plan of action and milestones updates are based on findings from security control assessments and continuous monitoring activities. OMB FISMA reporting guidance contains instructions regarding organizational plans of action and milestones.'),('PM','PM-5','Information System Inventory',0,'The organization develops and maintains an inventory of its information systems.','This control addresses the inventory requirements in FISMA. OMB provides guidance on developing information systems inventories and associated reporting requirements. For specific information system inventory reporting requirements, organizations consult OMB annual FISMA reporting guidance.'),('PM','PM-6','Information Security Measures Of Performance',0,'The organization develops, monitors, and reports on the results of information security measures of performance.','Measures of performance are outcome-based metrics used by an organization to measure the effectiveness or efficiency of the information security program and the security controls employed in support of the program.'),('PM','PM-7','Enterprise Architecture',0,'The organization develops an enterprise architecture with consideration for information security and the resulting risk to organizational operations, organizational assets, individuals, other organizations, and the Nation.','nterprise architectures.'),('PM','PM-8','Critical Infrastructure Plan',0,'The organization addresses information security issues in the development, documentation, and updating of a critical infrastructure and key resources protection plan.','Protection strategies are based on the prioritization of critical assets and resources. The requirement and guidance for defining critical infrastructure and key resources and for preparing an associated critical infrastructure protection plan are found in applicable federal laws, Executive Orders, directives, policies, regulations, standards, and guidance.'),('PM','PM-9','Risk Management Strategy',0,'The organization:\nPM-9a.\nDevelops a comprehensive strategy to manage risk to organizational operations and assets, individuals, other organizations, and the Nation associated with the operation and use of information systems;\nPM-9b.\nImplements the risk management strategy consistently across the organization; and\nPM-9c.\nReviews and updates the risk management strategy [Assignment: organization-defined frequency] or as required, to address organizational changes.','oth internal and external to the organization to ensure the strategy is both broad-based and comprehensive.'),('PS','PS-1','Personnel Security Policy And Procedures',1,'The organization:\nPS-1a.\nDevelops, documents, and disseminates to [Assignment: organization-defined personnel or roles]:\nPS-1a.1.A personnel security policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance; and\nPS-1a.2.Procedures to facilitate the implementation of the personnel security policy and associated personnel security controls; and\nPS-1b.\nReviews and updates the current:\nPS-1b.1.Personnel security policy [Assignment: organization-defined frequency]; and\nPS-1b.2.Personnel security procedures [Assignment: organization-defined frequency].','rity policy for organizations or conversely, can be represented by multiple policies reflecting the complex nature of certain organizations. The procedures can be established for the security program in general and for particular information systems, if needed. The organizational risk management strategy is a key factor in establishing policy and procedures.'),('PS','PS-2','Position Risk Designation',1,'The organization:\nPS-2a.\nAssigns a risk designation to all organizational positions;\nPS-2b.\nEstablishes screening criteria for individuals filling those positions; and\nPS-2c.\nReviews and updates position risk designations [Assignment: organization-defined frequency].','Position risk designations reflect Office of Personnel Management policy and guidance. Risk designations can guide and inform the types of authorizations individuals receive when accessing organizational information and information systems. Position screening criteria include explicit information security role appointment requirements (e.g., training, security clearances).'),('PS','PS-3','Personnel Screening',1,'The organization:\nPS-3a.\nScreens individuals prior to authorizing access to the information system; and\nPS-3b.\nRescreens individuals according to [Assignment: organization-defined conditions requiring rescreening and, where rescreening is so indicated, the frequency of such rescreening].','Personnel screening and rescreening activities reflect applicable federal laws, Executive Orders, directives, regulations, policies, standards, guidance, and specific criteria established for the risk designations of assigned positions. Organizations may define different rescreening conditions and frequencies for personnel accessing information systems based on types of information processed, stored, or transmitted by the systems.'),('PS','PS-4','Personnel Termination',1,'The organization, upon termination of individual employment:\nPS-4a.\nDisables information system access within [Assignment: organization-defined time period];\nPS-4b.\nTerminates/revokes any authenticators/credentials associated with the individual;\nPS-4c.\nConducts exit interviews that include a discussion of [Assignment: organization-defined information security topics];\nPS-4d.\nRetrieves all security-related organizational information system-related property;\nPS-4e.\nRetains access to organizational information and information systems formerly controlled by terminated individual; and\nPS-4f.\nNotifies [Assignment: organization-defined personnel or roles] within [Assignment: organization-defined time period].','Information system-related property includes, for example, hardware authentication tokens, system administration technical manuals, keys, identification cards, and building passes. Exit interviews ensure that terminated individuals understand the security constraints imposed by being former employees and that proper accountability is achieved for information system-related property. Security topics of interest at exit interviews can include, for example, reminding terminated individuals of nondisclosure agreements and potential limitations on future employment. Exit interviews may not be possible for some terminated individuals, for example, in cases related to job abandonment, illnesses, and nonavailability of supervisors. Exit interviews are important for individuals with security clearances. Timely execution of termination actions is essential for individuals terminated for cause. In certain situations, organizations consider disabling the information system accounts of individuals that are being terminated prior to the individuals being notified.'),('PS','PS-5','Personnel Transfer',2,'The organization:\nPS-5a.\nReviews and confirms ongoing operational need for current logical and physical access authorizations to information systems/facilities when individuals are reassigned or transferred to other positions within the organization;\nPS-5b.\nInitiates [Assignment: organization-defined transfer or reassignment actions] within [Assignment: organization-defined time period following the formal transfer action];\nPS-5c.\nModifies access authorization as needed to correspond with any changes in operational need due to reassignment or transfer; and\nPS-5d.\nNotifies [Assignment: organization-defined personnel or roles] within [Assignment: organization-defined time period].','This control applies when reassignments or transfers of individuals are permanent or of such extended durations as to make the actions warranted. Organizations define actions appropriate for the types of reassignments or transfers, whether permanent or extended. Actions that may be required for personnel transfers or reassignments to other positions within organizations include, for example: (i) returning old and issuing new keys, identification cards, and building passes; (ii) closing information system accounts and establishing new accounts; (iii) changing information system access authorizations (i.e., privileges); and (iv) providing for access to official records to which individuals had access at previous work locations and in previous information system accounts.'),('PS','PS-6','Access Agreements',3,'The organization:\nPS-6a.\nDevelops and documents access agreements for organizational information systems;\nPS-6b.\nReviews and updates the access agreements [Assignment: organization-defined frequency]; and\nPS-6c.\nEnsures that individuals requiring access to organizational information and information systems:\nPS-6c.1.Sign appropriate access agreements prior to being granted access; and\nPS-6c.2.Re-sign access agreements to maintain access to organizational information systems when access agreements have been updated or [Assignment: organization-defined frequency].','Access agreements include, for example, nondisclosure agreements, acceptable use agreements, rules of behavior, and conflict-of-interest agreements. Signed access agreements include an acknowledgement that individuals have read, understand, and agree to abide by the constraints associated with organizational information systems to which access is authorized. Organizations can use electronic signatures to acknowledge access agreements unless specifically prohibited by organizational policy.'),('PS','PS-7','Third-party Personnel Security',1,'The organization:\nPS-7a.\nEstablishes personnel security requirements including security roles and responsibilities for third-party providers;\nPS-7b.\nRequires third-party providers to comply with personnel security policies and procedures established by the organization;\nPS-7c.\nDocuments personnel security requirements;\nPS-7d.\nRequires third-party providers to notify [Assignment: organization-defined personnel or roles] of any personnel transfers or terminations of third-party personnel who possess organizational credentials and/or badges, or who have information system privileges within [Assignment: organization-defined time period]; and\nPS-7e.\nMonitors provider compliance.','Third-party providers include, for example, service bureaus, contractors, and other organizations providing information system development, information technology services, outsourced applications, and network and security management. Organizations explicitly include personnel security requirements in acquisition-related documents. Third-party providers may have personnel working at organizational facilities with credentials, badges, or information system privileges issued by organizations. Notifications of third-party personnel changes ensure appropriate termination of privileges and credentials. Organizations define the transfers and terminations deemed reportable by security-related characteristics that include, for example, functions, roles, and nature of credentials/privileges associated with individuals transferred or terminated.'),('PS','PS-8','Personnel Sanctions',3,'The organization:\nPS-8a.\nEmploys a formal sanctions process for individuals failing to comply with established information security policies and procedures; and\nPS-8b.\nNotifies [Assignment: organization-defined personnel or roles] within [Assignment: organization-defined time period] when a formal employee sanctions process is initiated, identifying the individual sanctioned and the reason for the sanction.','Organizational sanctions processes reflect applicable federal laws, Executive Orders, directives, regulations, policies, standards, and guidance. Sanctions processes are described in access agreements and can be included as part of general personnel policies and procedures for organizations. Organizations consult with the Office of the General Counsel regarding matters of employee sanctions.'),('RA','RA-1','Risk Assessment Policy And Procedures',1,'The organization:\nRA-1a.\nDevelops, documents, and disseminates to [Assignment: organization-defined personnel or roles]:\nRA-1a.1.A risk assessment policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance; and\nRA-1a.2.Procedures to facilitate the implementation of the risk assessment policy and associated risk assessment controls; and\nRA-1b.\nReviews and updates the current:\nRA-1b.1.Risk assessment policy [Assignment: organization-defined frequency]; and\nRA-1b.2.Risk assessment procedures [Assignment: organization-defined frequency].','This control addresses the establishment of policy and procedures for the effective implementation of selected security controls and control enhancements in the RA family. Policy and procedures reflect applicable federal laws, Executive Orders, directives, regulations, policies, standards, and guidance. Security program policies and procedures at the organization level may make the need for system-specific policies and procedures unnecessary. The policy can be included as part of the general information security policy for organizations or conversely, can be represented by multiple policies reflecting the complex nature of certain organizations. The procedures can be established for the security program in general and for particular information systems, if needed. The organizational risk management strategy is a key factor in establishing policy and procedures.'),('RA','RA-2','Security Categorization',1,'The organization:\nRA-2a.\nCategorizes information and the information system in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, and guidance;\nRA-2b.\nDocuments the security categorization results (including supporting rationale) in the security plan for the information system; and\nRA-2c.\nEnsures that the security categorization decision is reviewed and approved by the authorizing official or authorizing official designated representative.','Clearly defined authorization boundaries are a prerequisite for effective security categorization decisions. Security categories describe the potential adverse impacts to organizational operations, organizational assets, and individuals if organizational information and information systems are comprised through a loss of confidentiality, integrity, or availability. Organizations conduct the security categorization process as an organization-wide activity with the involvement of chief information officers, senior information security officers, information system owners, mission/business owners, and information owners/stewards. Organizations also consider the potential adverse impacts to other organizations and, in accordance with the USA PATRIOT Act of 2001 and Homeland Security Presidential Directives, potential national-level adverse impacts. Security categorization processes carried out by organizations facilitate the development of inventories of information assets, and along with CM-8, mappings to specific information system components where information is processed, stored, or transmitted.'),('RA','RA-3','Risk Assessment',1,'The organization:\nRA-3a.\nConducts an assessment of risk, including the likelihood and magnitude of harm, from the unauthorized access, use, disclosure, disruption, modification, or destruction of the information system and the information it processes, stores, or transmits;\nRA-3b.\nDocuments risk assessment results in [Selection: security plan; risk assessment report; [Assignment: organization-defined document]];\nRA-3c.\nReviews risk assessment results [Assignment: organization-defined frequency];\nRA-3d.\nDisseminates risk assessment results to [Assignment: organization-defined personnel or roles]; and\nRA-3e.\nUpdates the risk assessment [Assignment: organization-defined frequency] or whenever there are significant changes to the information system or environment of operation (including the identification of new threats and vulnerabilities), or other conditions that may impact the security state of the system.','Clearly defined authorization boundaries are a prerequisite for effective risk assessments. Risk assessments take into account threats, vulnerabilities, likelihood, and impact to organizational operations and assets, individuals, other organizations, and the Nation based on the operation and use of information systems. Risk assessments also take into account risk from external parties (e.g., service providers, contractors operating information systems on behalf of the organization, individuals accessing organizational information systems, outsourcing entities). In accordance with OMB policy and related E-authentication initiatives, authentication of public users accessing federal information systems may also be required to protect nonpublic or privacy-related information. As such, organizational assessments of risk also address public access to federal information systems.\nRisk assessments (either formal or informal) can be conducted at all three tiers in the risk management hierarchy (i.e., organization level, mission/business process level, or information system level) and at any phase in the system development life cycle. Risk assessments can also be conducted at various steps in the Risk Management Framework, including categorization, security control selection, security control implementation, security control assessment, information system authorization, and security control monitoring. RA-3 is noteworthy in that the control must be partially implemented prior to the implementation of other controls in order to complete the first two steps in the Risk Management Framework. Risk assessments can play an important role in security control selection processes, particularly during the application of tailoring guidance, which includes security control supplementation.'),('RA','RA-4','Risk Assessment Update',0,'[Withdrawn: Incorporated into RA-3].',''),('RA','RA-5','Vulnerability Scanning',1,'The organization:\nRA-5a.\nScans for vulnerabilities in the information system and hosted applications [Assignment: organization-defined frequency and/or randomly in accordance with organization-defined process] and when new vulnerabilities potentially affecting the system/applications are identified and reported;\nRA-5b.\nEmploys vulnerability scanning tools and techniques that facilitate interoperability among tools and automate parts of the vulnerability management process by using standards for:\nRA-5b.1.Enumerating platforms, software flaws, and improper configurations;\nRA-5b.2.Formatting checklists and test procedures; and\nRA-5b.3.Measuring vulnerability impact;\nRA-5c.\nAnalyzes vulnerability scan reports and results from security control assessments;\nRA-5d.\nRemediates legitimate vulnerabilities [Assignment: organization-defined response times] in accordance with an organizational assessment of risk; and\nRA-5e.\nShares information obtained from the vulnerability scanning process and security control assessments with [Assignment: organization-defined personnel or roles] to help eliminate similar vulnerabilities in other information systems (i.e., systemic weaknesses or deficiencies).','Security categorization of information systems guides the frequency and comprehensiveness of vulnerability scans. Organizations determine the required vulnerability scanning for all information system components, ensuring that potential sources of vulnerabilities such as networked printers, scanners, and copiers are not overlooked. Vulnerability analyses for custom software applications may require additional approaches such as static analysis, dynamic analysis, binary analysis, or a hybrid of the three approaches. Organizations can employ these analysis approaches in a variety of tools (e.g., web-based application scanners, static analysis tools, binary analyzers) and in source code reviews. Vulnerability scanning includes, for example: (i) scanning for patch levels; (ii) scanning for functions, ports, protocols, and services that should not be accessible to users or devices; and (iii) scanning for improperly configured or incorrectly operating information flow control mechanisms. Organizations consider using tools that express vulnerabilities in the Common Vulnerabilities and Exposures (CVE) naming convention and that use the Open Vulnerability Assessment Language (OVAL) to determine/test for the presence of vulnerabilities. Suggested sources for vulnerability information include the Common Weakness Enumeration (CWE) listing and the National Vulnerability Database (NVD). In addition, security control assessments such as red team exercises provide other sources of potential vulnerabilities for which to scan. Organizations also consider using tools that express vulnerability impact by the Common Vulnerability Scoring System (CVSS).'),('RA','RA-6','Technical Surveillance Countermeasures Survey',0,'The organization employs a technical surveillance countermeasures survey at [Assignment: organization-defined locations] [Selection (one or more): [Assignment: organization-defined frequency]; [Assignment: organization-defined events or indicators occur]].','Technical surveillance countermeasures surveys are performed by qualified personnel to detect the presence of technical surveillance devices/hazards and to identify technical security weaknesses that could aid in the conduct of technical penetrations of surveyed facilities. Such surveys provide evaluations of the technical security postures of organizations and facilities and typically include thorough visual, electronic, and physical examinations in and about surveyed facilities. The surveys also provide useful input into risk assessments and organizational exposure to potential adversaries.'),('SA','SA-1','System And Services Acquisition Policy And Procedures',1,'The organization:\nSA-1a.\nDevelops, documents, and disseminates to [Assignment: organization-defined personnel or roles]:\nSA-1a.1.A system and services acquisition policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance; and\nSA-1a.2.Procedures to facilitate the implementation of the system and services acquisition policy and associated system and services acquisition controls; and\nSA-1b.\nReviews and updates the current:\nSA-1b.1.System and services acquisition policy [Assignment: organization-defined frequency]; and\nSA-1b.2.System and services acquisition procedures [Assignment: organization-defined frequency].','This control addresses the establishment of policy and procedures for the effective implementation of selected security controls and control enhancements in the SA family. Policy and procedures reflect applicable federal laws, Executive Orders, directives, regulations, policies, standards, and guidance. Security program policies and procedures at the organization level may make the need for system-specific policies and procedures unnecessary. The policy can be included as part of the general information security policy for organizations or conversely, can be represented by multiple policies reflecting the complex nature of certain organizations. The procedures can be established for the security program in general and for particular information systems, if needed. The organizational risk management strategy is a key factor in establishing policy and procedures.'),('SA','SA-10','Developer Configuration Management',1,'The organization requires the developer of the information system, system component, or information system service to:\nSA-10a.\nPerform configuration management during system, component, or service [Selection (one or more): design; development; implementation; operation];\nSA-10b.\nDocument, manage, and control the integrity of changes to [Assignment: organization-defined configuration items under configuration management];\nSA-10c.\nImplement only organization-approved changes to the system, component, or service;\nSA-10d.\nDocument approved changes to the system, component, or service and the potential security impacts of such changes; and\nSA-10e.\nTrack security flaws and flaw resolution within the system, component, or service and report findings to [Assignment: organization-defined personnel].','This control also applies to organizations conducting internal information systems development and integration. Organizations consider the quality and completeness of the configuration management activities conducted by developers as evidence of applying effective security safeguards. Safeguards include, for example, protecting from unauthorized modification or destruction, the master copies of all material used to generate security-relevant portions of the system hardware, software, and firmware. Maintaining the integrity of changes to the information system, information system component, or information system service requires configuration control throughout the system development life cycle to track authorized changes and prevent unauthorized changes. Configuration items that are placed under configuration management (if existence/use is required by other security controls) include: the formal model; the functional, high-level, and low-level design specifications; other design data; implementation documentation; source code and hardware schematics; the running version of the object code; tools for comparing new versions of security-relevant hardware descriptions and software/firmware source code with previous versions; and test fixtures and documentation. Depending on the mission/business needs of organizations and the nature of the contractual relationships in place, developers may provide configuration management support during the operations and maintenance phases of the life cycle.'),('SA','SA-11','Developer Security Testing And Evaluation',1,'The organization requires the developer of the information system, system component, or information system service to:\nSA-11a.\nCreate and implement a security assessment plan;\nSA-11b.\nPerform [Selection (one or more): unit; integration; system; regression] testing/evaluation at [Assignment: organization-defined depth and coverage];\nSA-11c.\nProduce evidence of the execution of the security assessment plan and the results of the security testing/evaluation;\nSA-11d.\nImplement a verifiable flaw remediation process; and\nSA-11e.\nCorrect flaws identified during security testing/evaluation.','Developmental security testing/evaluation occurs at all post-design phases of the system development life cycle. Such testing/evaluation confirms that the required security controls are implemented correctly, operating as intended, enforcing the desired security policy, and meeting established security requirements. Security properties of information systems may be affected by the interconnection of system components or changes to those components. These interconnections or changes (e.g., upgrading or replacing applications and operating systems) may adversely affect previously implemented security controls. This control provides additional types of security testing/evaluation that developers can conduct to reduce or eliminate potential flaws. Testing custom software applications may require approaches such as static analysis, dynamic analysis, binary analysis, or a hybrid of the three approaches. Developers can employ these analysis approaches in a variety of tools (e.g., web-based application scanners, static analysis tools, binary analyzers) and in source code reviews. Security assessment plans provide the specific activities that developers plan to carry out including the types of analyses, testing, evaluation, and reviews of software and firmware components, the degree of rigor to be applied, and the types of artifacts produced during those processes. The depth of security testing/evaluation refers to the rigor and level of detail associated with the assessment process (e.g., black box, gray box, or white box testing). The coverage of security testing/evaluation refers to the scope (i.e., number and type) of the artifacts included in the assessment process. Contracts specify the acceptance criteria for security assessment plans, flaw remediation processes, and the evidence that the plans/processes have been diligently applied. Methods for reviewing and protecting assessment plans, evidence, and documentation are commensurate with the security category or classification level of the information system. Contracts may specify documentation protection requirements.'),('SA','SA-12','Supply Chain Protection',1,'The organization protects against supply chain threats to the information system, system component, or information system service by employing [Assignment: organization-defined security safeguards] as part of a comprehensive, defense-in-breadth information security strategy.','Information systems (including system components that compose those systems) need to be protected throughout the system development life cycle (i.e., during design, development, manufacturing, packaging, assembly, distribution, system integration, operations, maintenance, and retirement). Protection of organizational information systems is accomplished through threat awareness, by the identification, management, and reduction of vulnerabilities at each phase of the life cycle and the use of complementary, mutually reinforcing strategies to respond to risk. Organizations consider implementing a standardized process to address supply chain risk with respect to information systems and system components, and to educate the acquisition workforce on threats, risk, and required security controls. Organizations use the acquisition/procurement processes to require supply chain entities to implement necessary security safeguards to: (i) reduce the likelihood of unauthorized modifications at each stage in the supply chain; and (ii) protect information systems and information system components, prior to taking delivery of such systems/components. This control enhancement also applies to information system services. Security safeguards include, for example: (i) security controls for development systems, development facilities, and external connections to development systems; (ii) vetting development personnel; and (iii) use of tamper-evident packaging during shipping/warehousing. Methods for reviewing and protecting development plans, evidence, and documentation are commensurate with the security category or classification level of the information system. Contracts may specify documentation protection requirements.'),('SA','SA-13','Trustworthiness',0,'The organization:\nSA-13a.\nDescribes the trustworthiness required in the [Assignment: organization-defined information system, information system component, or information system service] supporting its critical missions/business functions; and\nSA-13b.\nImplements [Assignment: organization-defined assurance overlay] to achieve such trustworthiness.',' such systems. The additional assurance controls in Table E-4 in Appendix E (designated as optional) can be used to develop and implement high-assurance solutions for specific information systems and system components using the concept of overlays described in Appendix I. Organizations select assurance overlays that have been developed, validated, and approved for community adoption (e.g., cross-organization, governmentwide), limiting the development of such overlays on an organization-by-organization basis. Organizations can conduct criticality analyses as described in SA-14, to determine the information systems, system components, or information system services that require high-assurance solutions. Trustworthiness requirements and assurance overlays can be described in the security plans for organizational information systems.'),('SA','SA-14','Criticality Analysis',0,'The organization identifies critical information system components and functions by performing a criticality analysis for [Assignment: organization-defined information systems, information system components, or information system services] at [Assignment: organization-defined decision points in the system development life cycle].','ormed whenever an architecture or design is being developed or modified, including upgrades.'),('SA','SA-15','Development Process, Standards, And Tools',2,'The organization:\nSA-15a.\nRequires the developer of the information system, system component, or information system service to follow a documented development process that:\nSA-15a.1.Explicitly addresses security requirements;\nSA-15a.2.Identifies the standards and tools used in the development process;\nSA-15a.3.Documents the specific tool options and tool configurations used in the development process; and\nSA-15a.4.Documents, manages, and ensures the integrity of changes to the process and/or tools used in development; and\nSA-15b.\nReviews the development process, standards, tools, and tool options/configurations [Assignment: organization-defined frequency] to determine if the process, standards, tools, and tool options/configurations selected and employed can satisfy [Assignment: organization-defined security requirements].','Development tools include, for example, programming languages and computer-aided design (CAD) systems. Reviews of development processes can include, for example, the use of maturity models to determine the potential effectiveness of such processes. Maintaining the integrity of changes to tools and processes enables accurate supply chain risk assessment and mitigation, and requires robust configuration control throughout the life cycle (including design, development, transport, delivery, integration, and maintenance) to track authorized changes and prevent unauthorized changes.'),('SA','SA-16','Developer-provided Training',2,'The organization requires the developer of the information system, system component, or information system service to provide [Assignment: organization-defined training] on the correct use and operation of the implemented security functions, controls, and/or mechanisms.','This control applies to external and internal (in-house) developers. Training of personnel is an essential element to ensure the effectiveness of security controls implemented within organizational information systems. Training options include, for example, classroom-style training, web-based/computer-based training, and hands-on training. Organizations can also request sufficient training materials from developers to conduct in-house training or offer self-training to organizational personnel. Organizations determine the type of training necessary and may require different types of training for different security functions, controls, or mechanisms.'),('SA','SA-17','Developer Security Architecture And Design',1,'The organization requires the developer of the information system, system component, or information system service to produce a design specification and security architecture that:\nSA-17a.\nIs consistent with and supportive of the organization\nï¿½s security architecture which is established within and is an integrated part of the organizationï¿½s enterprise architecture;\nSA-17b.\nAccurately and completely describes the required security functionality, and the allocation of security controls among physical and logical components; and\nSA-17c.\nExpresses how individual security functions, mechanisms, and services work together to provide required security capabilities and a unified approach to protection.','ï¿½s enterprise architecture and information security architecture.'),('SA','SA-18','Tamper Resistance And Detection',0,'The organization implements a tamper protection program for the information system, system component, or information system service.','Anti-tamper technologies and techniques provide a level of protection for critical information systems, system components, and information technology products against a number of related threats including modification, reverse engineering, and substitution. Strong identification combined with tamper resistance and/or tamper detection is essential to protecting information systems, components, and products during distribution and when in use.'),('SA','SA-19','Component Authenticity',0,'The organization:\nSA-19a.\nDevelops and implements anti-counterfeit policy and procedures that include the means to detect and prevent counterfeit components from entering the information system; and\nSA-19b.\nReports counterfeit information system components to [Selection (one or more): source of counterfeit component; [Assignment: organization-defined external reporting organizations]; [Assignment: organization-defined personnel or roles]].','Sources of counterfeit components include, for example, manufacturers, developers, vendors, and contractors. Anti-counterfeiting policy and procedures support tamper resistance and provide a level of protection against the introduction of malicious code. External reporting organizations include, for example, US-CERT.'),('SA','SA-2','Allocation Of Resources',1,'The organization:\nSA-2a.\nDetermines information security requirements for the information system or information system service in mission/business process planning;\nSA-2b.\nDetermines, documents, and allocates the resources required to protect the information system or information system service as part of its capital planning and investment control process; and\nSA-2c.\nEstablishes a discrete line item for information security in organizational programming and budgeting documentation.','Resource allocation for information security includes funding for the initial information system or information system service acquisition and funding for the sustainment of the system/service.'),('SA','SA-20','Customized Development Of Critical Components',0,'The organization re-implements or custom develops [Assignment: organization-defined critical information system components].','components (including hardware, software, and firmware) such that the standard attacks by adversaries are less likely to succeed. In situations where no alternative sourcing is available and organizations choose not to re-implement or custom develop critical information system components, additional safeguards can be employed (e.g., enhanced auditing, restrictions on source code and system utility access, and protection from deletion of system and application files.'),('SA','SA-21','Developer Screening',0,'The organization requires that the developer of [Assignment: organization-defined information system, system component, or information system service]:\nSA-21a.\nHave appropriate access authorizations as determined by assigned [Assignment: organization-defined official government duties]; and\nSA-21b.\nSatisfy [Assignment: organization-defined additional personnel screening criteria].','Because the information system, system component, or information system service may be employed in critical activities essential to the national and/or economic security interests of the United States, organizations have a strong interest in ensuring that the developer is trustworthy. The degree of trust required of the developer may need to be consistent with that of the individuals accessing the information system/component/service once deployed. Examples of authorization and personnel screening criteria include clearance, satisfactory background checks, citizenship, and nationality. Trustworthiness of developers may also include a review and analysis of company ownership and any relationships the company has with entities potentially affecting the quality/reliability of the systems, components, or services being developed.'),('SA','SA-22','Unsupported System Components',0,'The organization:\nSA-22a.\nReplaces information system components when support for the components is no longer available from the developer, vendor, or manufacturer; and\nSA-22b.\nProvides justification and documents approval for the continued use of unsupported system components required to satisfy mission/business needs.','Support for information system components includes, for example, software patches, firmware updates, replacement parts, and maintenance contracts. Unsupported components (e.g., when vendors are no longer providing critical software patches), provide a substantial opportunity for adversaries to exploit new weaknesses discovered in the currently installed components. Exceptions to replacing unsupported system components may include, for example, systems that provide critical mission/business capability where newer technologies are not available or where the systems are so isolated that installing replacement components is not an option.'),('SA','SA-3','System Development Life Cycle',1,'The organization:\nSA-3a.\nManages the information system using [Assignment: organization-defined system development life cycle] that incorporates information security considerations;\nSA-3b.\nDefines and documents information security roles and responsibilities throughout the system development life cycle;\nSA-3c.\nIdentifies individuals having information security roles and responsibilities; and\nSA-3d.\nIntegrates the organizational information security risk management process into system development life cycle activities.','The security engineering principles in SA-8 cannot be properly applied if individuals that design, code, and test information systems and system components (including information technology products) do not understand security. Therefore, organizations include qualified personnel, for example, chief information security officers, security architects, security engineers, and information system security officers in system development life cycle activities to ensure that security requirements are incorporated into organizational information systems. It is equally important that developers include individuals on the development team that possess the requisite security expertise and skills to ensure that needed security capabilities are effectively integrated into the information system. Security awareness and training programs can help ensure that individuals having key security roles and responsibilities have the appropriate experience, skills, and expertise to conduct assigned system development life cycle activities. The effective integration of security requirements into enterprise architecture also helps to ensure that important security considerations are addressed early in the system development life cycle and that those considerations are directly related to the organizational mission/business processes. This process also facilitates the integration of the information security architecture into the enterprise architecture, consistent with organizational risk management and information security strategies.'),('SA','SA-4','Acquisition Process',1,'The organization includes the following requirements, descriptions, and criteria, explicitly or by reference, in the acquisition contract for the information system, system component, or information system service in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, guidelines, and organizational mission/business needs:\nSA-4a.\nSecurity functional requirements;\nSA-4b.\nSecurity strength requirements;\nSA-4c.\nSecurity assurance requirements;\nSA-4d.\nSecurity-related documentation requirements;\nSA-4e.\nRequirements for protecting security-related documentation;\nSA-4f.\nDescription of the information system development environment and environment in which the system is intended to operate; and\nSA-4g.\nAcceptance criteria.','Information system components are discrete, identifiable information technology assets (e.g., hardware, software, or firmware) that represent the building blocks of an information system. Information system components include commercial information technology products. Security functional requirements include security capabilities, security functions, and security mechanisms. Security strength requirements associated with such capabilities, functions, and mechanisms include degree of correctness, completeness, resistance to direct attack, and resistance to tampering or bypass. Security assurance requirements include: (i) development processes, procedures, practices, and methodologies; and (ii) evidence from development and assessment activities providing grounds for confidence that the required security functionality has been implemented and the required security strength has been achieved. Security documentation requirements address all phases of the system development life cycle.\nSecurity functionality, assurance, and documentation requirements are expressed in terms of security controls and control enhancements that have been selected through the tailoring process. The security control tailoring process includes, for example, the specification of parameter values through the use of assignment and selection statements and the specification of platform dependencies and implementation information. Security documentation provides user and administrator guidance regarding the implementation and operation of security controls. The level of detail required in security documentation is based on the security category or classification level of the information system and the degree to which organizations depend on the stated security capability, functions, or mechanisms to meet overall risk response expectations (as defined in the organizational risk management strategy). Security requirements can also include organizationally mandated configuration settings specifying allowed functions, ports, protocols, and services. Acceptance criteria for information systems, information system components, and information system services are defined in the same manner as such criteria for any organizational acquisition or procurement. The Federal Acquisition Regulation (FAR) Section 7.103 contains information security requirements from FISMA.'),('SA','SA-5','Information System Documentation',2,'The organization:\nSA-5a.\nObtains administrator documentation for the information system, system component, or information system service that describes:\nSA-5a.1.Secure configuration, installation, and operation of the system, component, or service;\nSA-5a.2.Effective use and maintenance of security functions/mechanisms; and\nSA-5a.3.Known vulnerabilities regarding configuration and use of administrative (i.e., privileged) functions;\nSA-5b.\nObtains user documentation for the information system, system component, or information system service that describes:\nSA-5b.1.User-accessible security functions/mechanisms and how to effectively use those security functions/mechanisms;\nSA-5b.2.Methods for user interaction, which enables individuals to use the system, component, or service in a more secure manner; and\nSA-5b.3.User responsibilities in maintaining the security of the system, component, or service;\nSA-5c.\nDocuments attempts to obtain information system, system component, or information system service documentation when such documentation is either unavailable or nonexistent and [Assignment: organization-defined actions] in response;\nSA-5d.\nProtects documentation as required, in accordance with the risk management strategy; and\nSA-5e.\nDistributes documentation to [Assignment: organization-defined personnel or roles].','This control helps organizational personnel understand the implementation and operation of security controls associated with information systems, system components, and information system services. Organizations consider establishing specific measures to determine the quality/completeness of the content provided. The inability to obtain needed documentation may occur, for example, due to the age of the information system/component or lack of support from developers and contractors. In those situations, organizations may need to recreate selected documentation if such documentation is essential to the effective implementation or operation of security controls. The level of protection provided for selected information system, component, or service documentation is commensurate with the security category or classification of the system. For example, documentation associated with a key DoD weapons system or command and control system would typically require a higher level of protection than a routine administrative system. Documentation that addresses information system vulnerabilities may also require an increased level of protection. Secure operation of the information system, includes, for example, initially starting the system and resuming secure system operation after any lapse in system operation.'),('SA','SA-6','Software Usage Restrictions',0,'[Withdrawn: Incorporated into CM-10 and SI-7].',''),('SA','SA-7','User-installed Software',0,'[Withdrawn: Incorporated into CM-11 and SI-7].',''),('SA','SA-8','Security Engineering Principles',1,'The organization applies information system security engineering principles in the specification, design, development, implementation, and modification of the information system.','ing risk to acceptable levels, thus enabling informed risk management decisions.'),('SA','SA-9','External Information System Services',1,'The organization:\nSA-9a.\nRequires that providers of external information system services comply with organizational information security requirements and employ [Assignment: organization-defined security controls] in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, and guidance;\nSA-9b.\nDefines and documents government oversight and user roles and responsibilities with regard  to external information system services; and\nSA-9c.\nEmploys [Assignment: organization-defined processes, methods, and techniques] to monitor security control compliance by external service providers on an ongoing basis.','External information system services are services that are implemented outside of the authorization boundaries of organizational information systems. This includes services that are used by, but not a part of, organizational information systems. FISMA and OMB policy require that organizations using external service providers that are processing, storing, or transmitting federal information or operating information systems on behalf of the federal government ensure that such providers meet the same security requirements that federal agencies are required to meet. Organizations establish relationships with external service providers in a variety of ways including, for example, through joint ventures, business partnerships, contracts, interagency agreements, lines of business arrangements, licensing agreements, and supply chain exchanges. The responsibility for managing risks from the use of external information system services remains with authorizing officials. For services external to organizations, a chain of trust requires that organizations establish and retain a level of confidence that each participating provider in the potentially complex consumer-provider relationship provides adequate protection for the services rendered. The extent and nature of this chain of trust varies based on the relationships between organizations and the external providers. Organizations document the basis for trust relationships so the relationships can be monitored over time. External information system services documentation includes government, service providers, end user security roles and responsibilities, and service-level agreements. Service-level agreements define expectations of performance for security controls, describe measurable outcomes, and identify remedies and response requirements for identified instances of noncompliance.'),('SC','SC-1','System And Communications Protection Policy And Procedures',1,'The organization:\nSC-1a.\nDevelops, documents, and disseminates to [Assignment: organization-defined personnel or roles]:\nSC-1a.1.A system and communications protection policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance; and\nSC-1a.2.Procedures to facilitate the implementation of the system and communications protection policy and associated system and communications protection controls; and\nSC-1b.\nReviews and updates the current:\nSC-1b.1.System and communications protection policy [Assignment: organization-defined frequency]; and\nSC-1b.2.System and communications protection procedures [Assignment: organization-defined frequency].','This control addresses the establishment of policy and procedures for the effective implementation of selected security controls and control enhancements in the SC family. Policy and procedures reflect applicable federal laws, Executive Orders, directives, regulations, policies, standards, and guidance. Security program policies and procedures at the organization level may make the need for system-specific policies and procedures unnecessary. The policy can be included as part of the general information security policy for organizations or conversely, can be represented by multiple policies reflecting the complex nature of certain organizations. The procedures can be established for the security program in general and for particular information systems, if needed. The organizational risk management strategy is a key factor in establishing policy and procedures.'),('SC','SC-10','Network Disconnect',2,'The information system terminates the network connection associated with a communications session at the end of the session or after [Assignment: organization-defined time period] of inactivity.','. Time periods of inactivity may be established by organizations and include, for example, time periods by type of network access or for specific network accesses.'),('SC','SC-11','Trusted Path',0,'The information system establishes a trusted communications path between the user and the following security functions of the system: [Assignment: organization-defined security functions to include at a minimum, information system authentication and re-authentication].','Trusted paths are mechanisms by which users (through input devices) can communicate directly with security functions of information systems with the requisite assurance to support information security policies. The mechanisms can be activated only by users or the security functions of organizational information systems. User responses via trusted paths are protected from modifications by or disclosure to untrusted applications. Organizations employ trusted paths for high-assurance connections between security functions of information systems and users (e.g., during system logons). Enforcement of trusted communications paths is typically provided via an implementation that meets the reference monitor concept.'),('SC','SC-12','Cryptographic Key Establishment And Management',1,'The organization establishes and manages cryptographic keys for required cryptography employed within the information system in accordance with [Assignment: organization-defined requirements for key generation, distribution, storage, access, and destruction].','Cryptographic key management and establishment can be performed using manual procedures or automated mechanisms with supporting manual procedures. Organizations define key management requirements in accordance with applicable federal laws, Executive Orders, directives, regulations, policies, standards, and guidance, specifying appropriate options, levels, and parameters. Organizations manage trust stores to ensure that only approved trust anchors are in such trust stores. This includes certificates with visibility external to organizational information systems and certificates related to the internal operations of systems.'),('SC','SC-13','Cryptographic Protection',1,'The information system implements [Assignment: organization-defined cryptographic uses and type of cryptography required for each use] in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, and standards.','ed on the selection of other security controls, organizations define each type of cryptographic use and the type of cryptography required (e.g., protection of classified information: NSA-approved cryptography; provision of digital signatures: FIPS-validated cryptography).'),('SC','SC-14','Public Access Protections',0,'[Withdrawn: Capability provided by AC-2, AC-3, AC-5, AC-6, SI-3, SI-4, SI-5, SI-7, SI-10].',''),('SC','SC-15','Collaborative Computing Devices',1,'The information system:\nSC-15a.\nProhibits remote activation of collaborative computing devices with the following exceptions: [Assignment: organization-defined exceptions where remote activation is to be allowed]; and\nSC-15b.\nProvides an explicit indication of use to users physically present at the devices.','Collaborative computing devices include, for example, networked white boards, cameras, and microphones. Explicit indication of use includes, for example, signals to users when collaborative computing devices are activated.'),('SC','SC-16','Transmission Of Security Attributes',0,'The information system associates [Assignment: organization-defined security attributes] with information exchanged between information systems and between system components.','Security attributes can be explicitly or implicitly associated with the information contained in organizational information systems or system components.'),('SC','SC-17','Public Key Infrastructure Certificates',1,'The organization issues public key certificates under an [Assignment: organization-defined certificate policy] or obtains public key certificates from an approved service provider.','For all certificates, organizations manage information system trust stores to ensure only approved trust anchors are in the trust stores. This control addresses both certificates with visibility external to organizational information systems and certificates related to the internal operations of systems, for example, application-specific time services.'),('SC','SC-18','Mobile Code',2,'The organization:\nSC-18a.\nDefines acceptable and unacceptable mobile code and mobile code technologies;\nSC-18b.\nEstablishes usage restrictions and implementation guidance for acceptable mobile code and mobile code technologies; and\nSC-18c.\nAuthorizes, monitors, and controls the use of mobile code within the information system.','Decisions regarding the employment of mobile code within organizational information systems are based on the potential for the code to cause damage to the systems if used maliciously. Mobile code technologies include, for example, Java, JavaScript, ActiveX, Postscript, PDF, Shockwave movies, Flash animations, and VBScript. Usage restrictions and implementation guidance apply to both the selection and use of mobile code installed on servers and mobile code downloaded and executed on individual workstations and devices (e.g., smart phones). Mobile code policy and procedures address preventing the development, acquisition, or introduction of unacceptable mobile code within organizational information systems.'),('SC','SC-19','Voice Over Internet Protocol',1,'The organization:\nSC-19a.\nEstablishes usage restrictions and implementation guidance for Voice over Internet Protocol (VoIP) technologies based on the potential to cause damage to the information system if used maliciously; and\nSC-19b.\nAuthorizes, monitors, and controls the use of VoIP within the information system.',''),('SC','SC-2','Application Partitioning',1,'The information system separates user functionality (including user interface services) from information system management functionality.','Information system management functionality includes, for example, functions necessary to administer databases, network components, workstations, or servers, and typically requires privileged user access. The separation of user functionality from information system management functionality is either physical or logical. Organizations implement separation of system management-related functionality from user functionality by using different computers, different central processing units, different instances of operating systems, different network addresses, virtualization techniques, or combinations of these or other methods, as appropriate. This type of separation includes, for example, web administrative interfaces that use separate authentication methods for users of any other information system resources. Separation of system and user functionality may include isolating administrative interfaces on different domains and with additional access controls.'),('SC','SC-20','Secure Name / Address Resolution Service (authoritative Source)',1,'The information system:\nSC-20a.\nProvides additional data origin authentication and integrity verification artifacts along with the authoritative name resolution data the system returns in response to external name/address resolution queries; and\nSC-20b.\nProvides the means to indicate the security status of child zones and (if the child supports secure resolution services) to enable verification of a chain of trust among parent and child domains, when operating as part of a distributed, hierarchical namespace.','This control enables external clients including, for example, remote Internet clients, to obtain origin authentication and integrity verification assurances for the host/service name to network address resolution information obtained through the service. Information systems that provide name and address resolution services include, for example, domain name system (DNS) servers. Additional artifacts include, for example, DNS Security (DNSSEC) digital signatures and cryptographic keys. DNS resource records are examples of authoritative data. The means to indicate the security status of child zones includes, for example, the use of delegation signer resource records in the DNS. The DNS security controls reflect (and are referenced from) OMB Memorandum 08-23. Information systems that use technologies other than the DNS to map between host/service names and network addresses provide other means to assure the authenticity and integrity of response data.'),('SC','SC-21','Secure Name / Address Resolution Service (recursive Or Caching R',1,'The information system requests and performs data origin authentication and data integrity verification on the name/address resolution responses the system receives from authoritative sources.','Each client of name resolution services either performs this validation on its own, or has authenticated channels to trusted validation providers. Information systems that provide name and address resolution services for local clients include, for example, recursive resolving or caching domain name system (DNS) servers. DNS client resolvers either perform validation of DNSSEC signatures, or clients use authenticated channels to recursive resolvers that perform such validations. Information systems that use technologies other than the DNS to map between host/service names and network addresses provide other means to enable clients to verify the authenticity and integrity of response data.'),('SC','SC-22','Architecture And Provisioning For Name / Address Resolution Serv',1,'The information systems that collectively provide name/address resolution service for an organization are fault-tolerant and implement internal/external role separation.','Information systems that provide name and address resolution services include, for example, domain name system (DNS) servers. To eliminate single points of failure and to enhance redundancy, organizations employ at least two authoritative domain name system servers, one configured as the primary server and the other configured as the secondary server. Additionally, organizations typically deploy the servers in two geographically separated network subnetworks (i.e., not located in the same physical facility). For role separation, DNS servers with internal roles only process name and address resolution requests from within organizations (i.e., from internal clients). DNS servers with external roles only process name and address resolution information requests from clients external to organizations (i.e., on external networks including the Internet). Organizations specify clients that can access authoritative DNS servers in particular roles (e.g., by address ranges, explicit lists).'),('SC','SC-23','Session Authenticity',1,'The information system protects the authenticity of communications sessions.','This control addresses communications protection at the session, versus packet level (e.g., sessions in service-oriented architectures providing web-based services) and establishes grounds for confidence at both ends of communications sessions in ongoing identities of other parties and in the validity of information transmitted. Authenticity protection includes, for example, protecting against man-in-the-middle attacks/session hijacking and the insertion of false information into sessions.'),('SC','SC-24','Fail In Known State',1,'The information system fails to a [Assignment: organization-defined known-state] for [Assignment: organization-defined types of failures] preserving [Assignment: organization-defined system state information] in failure.','Failure in a known state addresses security concerns in accordance with the mission/business needs of organizations. Failure in a known secure state helps to prevent the loss of confidentiality, integrity, or availability of information in the event of failures of organizational information systems or system components. Failure in a known safe state helps to prevent systems from failing to a state that may cause injury to individuals or destruction to property. Preserving information system state information facilitates system restart and return to the operational mode of organizations with less disruption of mission/business processes.'),('SC','SC-25','Thin Nodes',0,'The organization employs [Assignment: organization-defined information system components] with minimal functionality and information storage.','The deployment of information system components with reduced/minimal functionality (e.g., diskless nodes and thin client technologies) reduces the need to secure every user endpoint, and may reduce the exposure of information, information systems, and services to cyber attacks.'),('SC','SC-26','Honeypots',0,'The information system includes components specifically designed to be the target of malicious attacks for the purpose of detecting, deflecting, and analyzing such attacks.','A honeypot is set up as a decoy to attract adversaries and to deflect their attacks away from the operational systems supporting organizational missions/business function. Depending upon the specific usage of the honeypot, consultation with the Office of the General Counsel before deployment may be needed.'),('SC','SC-27','Platform-independent Applications',0,'The information system includes: [Assignment: organization-defined platform-independent applications].','Platforms are combinations of hardware and software used to run software applications. Platforms include: (i) operating systems; (ii) the underlying computer architectures, or (iii) both. Platform-independent applications are applications that run on multiple platforms. Such applications promote portability and reconstitution on different platforms, increasing the availability of critical functions within organizations while information systems with specific operating systems are under attack.'),('SC','SC-28','Protection Of Information At Rest',1,'The information system protects the [Selection (one or more): confidentiality; integrity] of [Assignment: organization-defined information at rest].','This control addresses the confidentiality and integrity of information at rest and covers user information and system information. Information at rest refers to the state of information when it is located on storage devices as specific components of information systems. System-related information requiring protection includes, for example, configurations or rule sets for firewalls, gateways, intrusion detection/prevention systems, filtering routers, and authenticator content. Organizations may employ different mechanisms to achieve confidentiality and integrity protections, including the use of cryptographic mechanisms and file share scanning. Integrity protection can be achieved, for example, by implementing Write-Once-Read-Many (WORM) technologies. Organizations may also employ other security controls including, for example, secure off-line storage in lieu of online storage when adequate protection of information at rest cannot otherwise be achieved and/or continuous monitoring to identify malicious code at rest.'),('SC','SC-29','Heterogeneity',0,'The organization employs a diverse set of information technologies for [Assignment: organization-defined information system components] in the implementation of the information system.','Increasing the diversity of information technologies within organizational information systems reduces the impact of potential exploitations of specific technologies and also defends against common mode failures, including those failures induced by supply chain attacks. Diversity in information technologies also reduces the likelihood that the means adversaries use to compromise one information system component will be equally effective against other system components, thus further increasing the adversary work factor to successfully complete planned cyber attacks. An increase in diversity may add complexity and management overhead which could ultimately lead to mistakes and unauthorized configurations.'),('SC','SC-3','Security Function Isolation',1,'The information system isolates security functions from nonsecurity functions.','The information system isolates security functions from nonsecurity functions by means of an isolation boundary (implemented via partitions and domains). Such isolation controls access to and protects the integrity of the hardware, software, and firmware that perform those security functions. Information systems implement code separation (i.e., separation of security functions from nonsecurity functions) in a number of ways, including, for example, through the provision of security kernels via processor rings or processor modes. For non-kernel code, security function isolation is often achieved through file system protections that serve to protect the code on disk, and address space protections that protect executing code. Information systems restrict access to security functions through the use of access control mechanisms and by implementing least privilege capabilities. While the ideal is for all of the code within the security function isolation boundary to only contain security-relevant code, it is sometimes necessary to include nonsecurity functions within the isolation boundary as an exception.'),('SC','SC-30','Concealment And Misdirection',0,'The organization employs [Assignment: organization-defined concealment and misdirection techniques] for [Assignment: organization-defined information systems] at [Assignment: organization-defined time periods] to confuse and mislead adversaries.','Concealment and misdirection techniques can significantly reduce the targeting capability of adversaries (i.e., window of opportunity and available attack surface) to initiate and complete cyber attacks. For example, virtualization techniques provide organizations with the ability to disguise information systems, potentially reducing the likelihood of successful attacks without the cost of having multiple platforms. Increased use of concealment/misdirection techniques including, for example, randomness, uncertainty, and virtualization, may sufficiently confuse and mislead adversaries and subsequently increase the risk of discovery and/or exposing tradecraft. Concealment/misdirection techniques may also provide organizations additional time to successfully perform core missions and business functions. Because of the time and effort required to support concealment/misdirection techniques, it is anticipated that such techniques would be used by organizations on a very limited basis.'),('SC','SC-31','Covert Channel Analysis',0,'The organization:\nSC-31a.\nPerforms a covert channel analysis to identify those aspects of communications within the information system that are potential avenues for covert [Selection (one or more): storage; timing] channels; and\nSC-31b.\nEstimates the maximum bandwidth of those channels.','Developers are in the best position to identify potential areas within systems that might lead to covert channels. Covert channel analysis is a meaningful activity when there is the potential for unauthorized information flows across security domains, for example, in the case of information systems containing export-controlled information and having connections to external networks (i.e., networks not controlled by organizations). Covert channel analysis is also meaningful for multilevel secure (MLS) information systems, multiple security level (MSL) systems, and cross-domain systems.'),('SC','SC-32','Information System Partitioning',0,'The organization partitions the information system into [Assignment: organization-defined information system components] residing in separate physical domains or environments based on [Assignment: organization-defined circumstances for physical separation of components].','Information system partitioning is a part of a defense-in-depth protection strategy. Organizations determine the degree of physical separation of system components from physically distinct components in separate racks in the same room, to components in separate rooms for the more critical components, to more significant geographical separation of the most critical components. Security categorization can guide the selection of appropriate candidates for domain partitioning. Managed interfaces restrict or prohibit network access and information flow among partitioned information system components.'),('SC','SC-33','Transmission Preparation Integrity',0,'[Withdrawn: Incorporated into SC-8].',''),('SC','SC-34','Non-modifiable Executable Programs',0,'The information system at [Assignment: organization-defined information system components]:\nSC-34a.\nLoads and executes the operating environment from hardware-enforced, read-only media; and\nSC-34b.\nLoads and executes [Assignment: organization-defined applications] from hardware-enforced, read-only media.','The term operating environment is defined as the specific code that hosts applications, for example, operating systems, executives, or monitors including virtual machine monitors (i.e., hypervisors). It can also include certain applications running directly on hardware platforms. Hardware-enforced, read-only media include, for example, Compact Disk-Recordable (CD-R)/Digital Video Disk-Recordable (DVD-R) disk drives and one-time programmable read-only memory. The use of non-modifiable storage ensures the integrity of software from the point of creation of the read-only image. The use of reprogrammable read-only memory can be accepted as read-only media provided: (i) integrity can be adequately protected from the point of initial writing to the insertion of the memory into the information system; and (ii) there are reliable hardware protections against reprogramming the memory while installed in organizational information systems.'),('SC','SC-35','Honeyclients',0,'The information system includes components that proactively seek to identify malicious websites and/or web-based malicious code.','Honeyclients differ from honeypots in that the components actively probe the Internet in search of malicious code (e.g., worms) contained on external websites. As with honeypots, honeyclients require some supporting isolation measures (e.g., virtualization) to ensure that any malicious code discovered during the search and subsequently executed does not infect organizational information systems.'),('SC','SC-36','Distributed Processing And Storage',0,'The organization distributes [Assignment: organization-defined processing and storage] across multiple physical locations.','Distributing processing and storage across multiple physical locations provides some degree of redundancy or overlap for organizations, and therefore increases the work factor of adversaries to adversely impact organizational operations, assets, and individuals. This control does not assume a single primary processing or storage location, and thus allows for parallel processing and storage.'),('SC','SC-37','Out-of-band Channels',0,'The organization employs [Assignment: organization-defined out-of-band channels] for the physical delivery or electronic transmission of [Assignment: organization-defined information, information system components, or devices] to [Assignment: organization-defined individuals or information systems].','Out-of-band channels include, for example, local (nonnetwork) accesses to information systems, network paths physically separate from network paths used for operational traffic, or nonelectronic paths such as the US Postal Service. This is in contrast with using the same channels (i.e., in-band channels) that carry routine operational traffic. Out-of-band channels do not have the same vulnerability/exposure as in-band channels, and hence the confidentiality, integrity, or availability compromises of in-band channels will not compromise the out-of-band channels. Organizations may employ out-of-band channels in the delivery or transmission of many organizational items including, for example, identifiers/authenticators, configuration management changes for hardware, firmware, or software, cryptographic key management information, security updates, system/data backups, maintenance information, and malicious code protection updates.'),('SC','SC-38','Operations Security',0,'The organization employs [Assignment: organization-defined operations security safeguards] to protect key organizational information throughout the system development life cycle.','Operations security (OPSEC) is a systematic process by which potential adversaries can be denied information about the capabilities and intentions of organizations by identifying, controlling, and protecting generally unclassified information that specifically relates to the planning and execution of sensitive organizational activities. The OPSEC process involves five steps: (i) identification of critical information (e.g., the security categorization process); (ii) analysis of threats; (iii) analysis of vulnerabilities; (iv) assessment of risks; and (v) the application of appropriate countermeasures. OPSEC safeguards are applied to both organizational information systems and the environments in which those systems operate. OPSEC safeguards help to protect the confidentiality of key information including, for example, limiting the sharing of information with suppliers and potential suppliers of information system components, information technology products and services, and with other non-organizational elements and individuals. Information critical to mission/business success includes, for example, user identities, element uses, suppliers, supply chain processes, functional and security requirements, system design specifications, testing protocols, and security control implementation details.'),('SC','SC-39','Process Isolation',1,'The information system maintains a separate execution domain for each executing process.','Information systems can maintain separate execution domains for each executing process by assigning each process a separate address space. Each information system process has a distinct address space so that communication between processes is performed in a manner controlled through the security functions, and one process cannot modify the executing code of another process. Maintaining separate execution domains for executing processes can be achieved, for example, by implementing separate address spaces. This capability is available in most commercial operating systems that employ multi-state processor technologies.'),('SC','SC-4','Information In Shared Resources',1,'The information system prevents unauthorized and unintended information transfer via shared system resources.','This control prevents information, including encrypted representations of information, produced by the actions of prior users/roles (or the actions of processes acting on behalf of prior users/roles) from being available to any current users/roles (or current processes) that obtain access to shared system resources (e.g., registers, main memory, hard disks) after those resources have been released back to information systems. The control of information in shared resources is also commonly referred to as object reuse and residual information protection. This control does not address: (i) information remanence which refers to residual representation of data that has been nominally erased or removed; (ii) covert channels (including storage and/or timing channels) where shared resources are manipulated to violate information flow restrictions; or (iii) components within information systems for which there are only single users/roles.'),('SC','SC-40','Wireless Link Protection',0,'The information system protects external and internal [Assignment: organization-defined wireless links] from [Assignment: organization-defined types of signal parameter attacks or references to sources for such attacks].','This control applies to internal and external wireless communication links that may be visible to individuals who are not authorized information system users. Adversaries can exploit the signal parameters of wireless links if such links are not adequately protected. There are many ways to exploit the signal parameters of wireless links to gain intelligence, deny service, or to spoof users of organizational information systems. This control reduces the impact of attacks that are unique to wireless systems. If organizations rely on commercial service providers for transmission services as commodity items rather than as fully dedicated services, it may not be possible to implement this control.'),('SC','SC-41','Port And I/o Device Access',0,'The organization physically disables or removes [Assignment: organization-defined connection ports or input/output devices] on [Assignment: organization-defined information systems or information system components].','Connection ports include, for example, Universal Serial Bus (USB) and Firewire (IEEE 1394). Input/output (I/O) devices include, for example, Compact Disk (CD) and Digital Video Disk (DVD) drives. Physically disabling or removing such connection ports and I/O devices helps prevent exfiltration of information from information systems and the introduction of malicious code into systems from those ports/devices.'),('SC','SC-42','Sensor Capability And Data',0,'The information system:\nSC-42a.\nProhibits the remote activation of environmental sensing capabilities with the following exceptions: [Assignment: organization-defined exceptions where remote activation of sensors is allowed]; and\nSC-42b.\nProvides an explicit indication of sensor use to [Assignment: organization-defined class of users].','This control often applies to types of information systems or system components characterized as mobile devices, for example, smart phones, tablets, and E-readers. These systems often include sensors that can collect and record data regarding the environment where the system is in use. Sensors that are embedded within mobile devices include, for example, cameras, microphones, Global Positioning System (GPS) mechanisms, and accelerometers. While the sensors on mobiles devices provide an important function, if activated covertly, such devices can potentially provide a means for adversaries to learn valuable information about individuals and organizations. For example, remotely activating the GPS function on a mobile device could provide an adversary with the ability to track the specific movements of an individual.'),('SC','SC-43','Usage Restrictions',0,'The organization:\nSC-43a.\nEstablishes usage restrictions and implementation guidance for [Assignment: organization-defined information system components] based on the potential to cause damage to the information system if used maliciously; and\nSC-43b.\nAuthorizes, monitors, and controls the use of such components within the information system.','Information system components include hardware, software, or firmware components (e.g., Voice Over Internet Protocol, mobile code, digital copiers, printers, scanners, optical devices, wireless technologies, mobile devices).'),('SC','SC-44','Detonation Chambers',0,'The organization employs a detonation chamber capability within [Assignment: organization-defined information system, system component, or location].','ol is not intended to maintain a long-term environment in which adversaries can operate and their actions can be observed. Rather, it is intended to quickly identify malicious code and reduce the likelihood that the code is propagated to user environments of operation (or prevent such propagation completely).'),('SC','SC-5','Denial Of Service Protection',1,'The information system protects against or limits the effects of the following types of denial of service attacks: [Assignment: organization-defined types of denial of service attacks or reference to source for such information] by employing [Assignment: organization-defined security safeguards].','A variety of technologies exist to limit, or in some cases, eliminate the effects of denial of service attacks. For example, boundary protection devices can filter certain types of packets to protect information system components on internal organizational networks from being directly affected by denial of service attacks. Employing increased capacity and bandwidth combined with service redundancy may also reduce the susceptibility to denial of service attacks.'),('SC','SC-6','Resource Availability',0,'The information system protects the availability of resources by allocating [Assignment: organization-defined resources] by [Selection (one or more); priority; quota; [Assignment: organization-defined security safeguards]].','Priority protection helps prevent lower-priority processes from delaying or interfering with the information system servicing any higher-priority processes. Quotas prevent users or processes from obtaining more than predetermined amounts of resources. This control does not apply to information system components for which there are only single users/roles.'),('SC','SC-7','Boundary Protection',1,'The information system:\nSC-7a.\nMonitors and controls communications at the external boundary of the system and at key internal boundaries within the system;\nSC-7b.\nImplements subnetworks for publicly accessible system components that are [Selection: physically; logically] separated from internal organizational networks; and\nSC-7c.\nConnects to external networks or information systems only through managed interfaces consisting of boundary protection devices arranged in accordance with an organizational security architecture.','Managed interfaces include, for example, gateways, routers, firewalls, guards, network-based malicious code analysis and virtualization systems, or encrypted tunnels implemented within a security architecture (e.g., routers protecting firewalls or application gateways residing on protected subnetworks). Subnetworks that are physically or logically separated from internal networks are referred to as demilitarized zones or DMZs. Restricting or prohibiting interfaces within organizational information systems includes, for example, restricting external web traffic to designated web servers within managed interfaces and prohibiting external traffic that appears to be spoofing internal addresses. Organizations consider the shared nature of commercial telecommunications services in the implementation of security controls associated with the use of such services. Commercial telecommunications services are commonly based on network components and consolidated management systems shared by all attached commercial customers, and may also include third party-provided access lines and other service elements. Such transmission services may represent sources of increased risk despite contract security provisions.'),('SC','SC-8','Transmission Confidentiality And Integrity',1,'The information system protects the [Selection (one or more): confidentiality; integrity] of transmitted information.','This control applies to both internal and external networks and all types of information system components from which information can be transmitted (e.g., servers, mobile devices, notebook computers, printers, copiers, scanners, facsimile machines). Communication paths outside the physical protection of a controlled boundary are exposed to the possibility of interception and modification. Protecting the confidentiality and/or integrity of organizational information can be accomplished by physical means (e.g., by employing protected distribution systems) or by logical means (e.g., employing encryption techniques). Organizations relying on commercial providers offering transmission services as commodity services rather than as fully dedicated services (i.e., services which can be highly specialized to individual customer needs), may find it difficult to obtain the necessary assurances regarding the implementation of needed security controls for transmission confidentiality/integrity. In such situations, organizations determine what types of confidentiality/integrity services are available in standard, commercial telecommunication service packages. If it is infeasible or impractical to obtain the necessary security controls and assurances of control effectiveness through appropriate contracting vehicles, organizations implement appropriate compensating security controls or explicitly accept the additional risk.'),('SC','SC-9','Transmission Confidentiality',0,'[Withdrawn: Incorporated into SC-8].',''),('SI','SI-1','System And Information Integrity Policy And Procedures',1,'The organization:\nSI-1a.\nDevelops, documents, and disseminates to [Assignment: organization-defined personnel or roles]:\nSI-1a.1.A system and information integrity policy that addresses purpose, scope, roles, responsibilities, management commitment, coordination among organizational entities, and compliance; and\nSI-1a.2.Procedures to facilitate the implementation of the system and information integrity policy and associated system and information integrity controls; and\nSI-1b.\nReviews and updates the current:\nSI-1b.1.System and information integrity policy [Assignment: organization-defined frequency]; and\nSI-1b.2.System and information integrity procedures [Assignment: organization-defined frequency].','This control addresses the establishment of policy and procedures for the effective implementation of selected security controls and control enhancements in the SI family. Policy and procedures reflect applicable federal laws, Executive Orders, directives, regulations, policies, standards, and guidance. Security program policies and procedures at the organization level may make the need for system-specific policies and procedures unnecessary. The policy can be included as part of the general information security policy for organizations or conversely, can be represented by multiple policies reflecting the complex nature of certain organizations. The procedures can be established for the security program in general and for particular information systems, if needed. The organizational risk management strategy is a key factor in establishing policy and procedures.'),('SI','SI-10','Information Input Validation',1,'The information system checks the validity of [Assignment: organization-defined information inputs].','Checking the valid syntax and semantics of information system inputs (e.g., character set, length, numerical range, and acceptable values) verifies that inputs match specified definitions for format and content. Software applications typically follow well-defined protocols that use structured messages (i.e., commands or queries) to communicate between software modules or system components. Structured messages can contain raw or unstructured data interspersed with metadata or control information. If software applications use attacker-supplied inputs to construct structured messages without properly encoding such messages, then the attacker could insert malicious commands or special characters that can cause the data to be interpreted as control information or metadata. Consequently, the module or component that receives the tainted output will perform the wrong operations or otherwise interpret the data incorrectly. Prescreening inputs prior to passing to interpreters prevents the content from being unintentionally interpreted as commands. Input validation helps to ensure accurate and correct inputs and prevent attacks such as cross-site scripting and a variety of injection attacks.'),('SI','SI-11','Error Handling',2,'The information system:\nSI-11a.\nGenerates error messages that provide information necessary for corrective actions without revealing information that could be exploited by adversaries; and\nSI-11b.\nReveals error messages only to [Assignment: organization-defined personnel or roles].','Organizations carefully consider the structure/content of error messages. The extent to which information systems are able to identify and handle error conditions is guided by organizational policy and operational requirements. Information that could be exploited by adversaries includes, for example, erroneous logon attempts with passwords entered by mistake as the username, mission/business information that can be derived from (if not stated explicitly by) information recorded, and personal information such as account numbers, social security numbers, and credit card numbers. In addition, error messages may provide a covert channel for transmitting information.'),('SI','SI-12','Information Handling And Retention',2,'The organization handles and retains information within the information system and information output from the system in accordance with applicable federal laws, Executive Orders, directives, policies, regulations, standards, and operational requirements.','Information handling and retention requirements cover the full life cycle of information, in some cases extending beyond the disposal of information systems. The National Archives and Records Administration provides guidance on records retention.'),('SI','SI-13','Predictable Failure Prevention',0,'The organization:\nSI-13a.\nDetermines mean time to failure (MTTF) for [Assignment: organization-defined information system components] in specific environments of operation; and\nSI-13b.\nProvides substitute information system components and a means to exchange active and standby components at [Assignment: organization-defined MTTF substitution criteria].','While MTTF is primarily a reliability issue, this control addresses potential failures of specific information system components that provide security capability. Failure rates reflect installation-specific consideration, not industry-average. Organizations define criteria for substitution of information system components based on MTTF value with consideration for resulting potential harm from component failures. Transfer of responsibilities between active and standby components does not compromise safety, operational readiness, or security capability (e.g., preservation of state variables). Standby components remain available at all times except for maintenance issues or recovery failures in progress.'),('SI','SI-14','Non-persistence',0,'The organization implements non-persistent [Assignment: organization-defined information system components and services] that are initiated in a known state and terminated [Selection (one or more): upon end of session of use; periodically at [Assignment: organization-defined frequency]].','This control mitigates risk from advanced persistent threats (APTs) by significantly reducing the targeting capability of adversaries (i.e., window of opportunity and available attack surface) to initiate and complete cyber attacks. By implementing the concept of non-persistence for selected information system components, organizations can provide a known state computing resource for a specific period of time that does not give adversaries sufficient time on target to exploit vulnerabilities in organizational information systems and the environments in which those systems operate. Since the advanced persistent threat is a high-end threat with regard to capability, intent, and targeting, organizations assume that over an extended period of time, a percentage of cyber attacks will be successful. Non-persistent information system components and services are activated as required using protected information and terminated periodically or upon the end of sessions. Non-persistence increases the work factor of adversaries in attempting to compromise or breach organizational information systems.\nNon-persistent system components can be implemented, for example, by periodically re-imaging components or by using a variety of common virtualization techniques. Non-persistent services can be implemented using virtualization techniques as part of virtual machines or as new instances of processes on physical machines (either persistent or non-persistent).The benefit of periodic refreshes of information system components/services is that it does not require organizations to first determine whether compromises of components or services have occurred (something that may often be difficult for organizations to determine). The refresh of selected information system components and services occurs with sufficient frequency to prevent the spread or intended impact of attacks, but not with such frequency that it makes the information system unstable. In some instances, refreshes of critical components and services may be done periodically in order to hinder the ability of adversaries to exploit optimum windows of vulnerabilities.'),('SI','SI-15','Information Output Filtering',0,'The information system validates information output from [Assignment: organization-defined software programs and/or applications] to ensure that the information is consistent with the expected content.','Certain types of cyber attacks (e.g., SQL injections) produce output results that are unexpected or inconsistent with the output results that would normally be expected from software programs or applications. This control enhancement focuses on detecting extraneous content, preventing such extraneous content from being displayed, and alerting monitoring tools that anomalous behavior has been discovered.'),('SI','SI-16','Memory Protection',1,'The information system implements [Assignment: organization-defined security safeguards] to protect its memory from unauthorized code execution.','Some adversaries launch attacks with the intent of executing code in non-executable regions of memory or in memory locations that are prohibited. Security safeguards employed to protect memory include, for example, data execution prevention and address space layout randomization. Data execution prevention safeguards can either be hardware-enforced or software-enforced with hardware providing the greater strength of mechanism.'),('SI','SI-17','Fail-safe Procedures',0,'The information system implements [Assignment: organization-defined fail-safe procedures] when [Assignment: organization-defined failure conditions occur].','Failure conditions include, for example, loss of communications among critical system components or between system components and operational facilities. Fail-safe procedures include, for example, alerting operator personnel and providing specific instructions on subsequent steps to take (e.g., do nothing, reestablish system settings, shut down processes, restart the system, or contact designated organizational personnel).'),('SI','SI-2','Flaw Remediation',1,'The organization:\nSI-2a.\nIdentifies, reports, and corrects information system flaws;\nSI-2b.\nTests software and firmware updates related to flaw remediation for effectiveness and potential side effects before installation;\nSI-2c.\nInstalls security-relevant software and firmware updates within [Assignment: organization-defined time period] of the release of the updates; and\nSI-2d.\nIncorporates flaw remediation into the organizational configuration management process.','Organizations identify information systems affected by announced software flaws including potential vulnerabilities resulting from those flaws, and report this information to designated organizational personnel with information security responsibilities. Security-relevant software updates include, for example, patches, service packs, hot fixes, and anti-virus signatures. Organizations also address flaws discovered during security assessments, continuous monitoring, incident response activities, and system error handling. Organizations take advantage of available resources such as the Common Weakness Enumeration (CWE) or Common Vulnerabilities and Exposures (CVE) databases in remediating flaws discovered in organizational information systems. By incorporating flaw remediation into ongoing configuration management processes, required/anticipated remediation actions can be tracked and verified. Flaw remediation actions that can be tracked and verified include, for example, determining whether organizations follow US-CERT guidance and Information Assurance Vulnerability Alerts. Organization-defined time periods for updating security-relevant software and firmware may vary based on a variety of factors including, for example, the security category of the information system or the criticality of the update (i.e., severity of the vulnerability related to the discovered flaw). Some types of flaw remediation may require more testing than other types. Organizations determine the degree and type of testing needed for the specific type of flaw remediation activity under consideration and also the types of changes that are to be configuration-managed. In some situations, organizations may determine that the testing of software and/or firmware updates is not necessary or practical, for example, when implementing simple anti-virus signature updates. Organizations may also consider in testing decisions, whether security-relevant software or firmware updates are obtained from authorized sources with appropriate digital signatures.'),('SI','SI-3','Malicious Code Protection',1,'The organization:\nSI-3a.\nEmploys malicious code protection mechanisms at information system entry and exit points to detect and eradicate malicious code;\nSI-3b.\nUpdates malicious code protection mechanisms whenever new releases are available in accordance with organizational configuration management policy and procedures;\nSI-3c.\nConfigures malicious code protection mechanisms to:\nSI-3c.1.Perform periodic scans of the information system [Assignment: organization-defined frequency] and real-time scans of files from external sources at [Selection (one or more); endpoint; network entry/exit points] as the files are downloaded, opened, or executed in accordance with organizational security policy; and\nSI-3c.2.[Selection (one or more): block malicious code; quarantine malicious code;  send alert to administrator; [Assignment: organization-defined action]] in response to malicious code detection; and\nSI-3d.\nAddresses the receipt of false positives during malicious code detection and eradication and the resulting potential impact on the availability of the information system.','ography. Malicious code can be transported by different means including, for example, web accesses, electronic mail, electronic mail attachments, and portable storage devices. Malicious code insertions occur through the exploitation of information system vulnerabilities. Malicious code protection mechanisms include, for example, anti-virus signature definitions and reputation-based technologies. A variety of technologies and methods exist to limit or eliminate the effects of malicious code. Pervasive configuration management and comprehensive software integrity controls may be effective in preventing execution of unauthorized code. In addition to commercial off-the-shelf software, malicious code may also be present in custom-built software. This could include, for example, logic bombs, back doors, and other types of cyber attacks that could affect organizational missions/business functions. Traditional malicious code protection mechanisms cannot always detect such code. In these situations, organizations rely instead on other safeguards including, for example, secure coding practices, configuration management and control, trusted procurement processes, and monitoring practices to help ensure that software does not perform functions other than the functions intended. Organizations may determine that in response to the detection of malicious code, different actions may be warranted. For example, organizations can define actions in response to malicious code detection during periodic scans, actions in response to detection of malicious downloads, and/or actions in response to detection of maliciousness when attempting to open or execute files.'),('SI','SI-4','Information System Monitoring',1,'The organization:\nSI-4a.\nMonitors the information system to detect:\nSI-4a.1.Attacks and indicators of potential attacks in accordance with [Assignment: organization-defined monitoring objectives]; and\nSI-4a.2.Unauthorized local, network, and remote connections;\nSI-4b.\nIdentifies unauthorized use of the information system through [Assignment: organization-defined techniques and methods];\nSI-4c.\nDeploys monitoring devices: (i) strategically within the information system to collect organization-determined essential information; and (ii) at ad hoc locations within the system to track specific types of transactions of interest to the organization;\nSI-4d.\nProtects information obtained from intrusion-monitoring tools from unauthorized access, modification, and deletion;\nSI-4e.\nHeightens the level of information system monitoring activity whenever there is an indication of increased risk to organizational operations and assets, individuals, other organizations, or the Nation based on law enforcement information, intelligence information, or other credible sources of information;\nSI-4f.\nObtains legal opinion with regard to information system monitoring activities in accordance with applicable federal laws, Executive Orders, directives, policies, or regulations; and\nSI-4g.\nProvides [Assignment: organization-defined information system monitoring information] to [Assignment: organization-defined personnel or roles] [Selection (one or more): as needed; [Assignment: organization-defined frequency]].','haracteristics of access, and other actions. The monitoring objectives may guide determination of the events. Information system monitoring capability is achieved through a variety of tools and techniques (e.g., intrusion detection systems, intrusion prevention systems, malicious code protection software, scanning tools, audit record monitoring software, network monitoring software). Strategic locations for monitoring devices include, for example, selected perimeter locations and near server farms supporting critical applications, with such devices typically being employed at the managed interfaces associated with controls SC-7 and AC-17. Einstein network monitoring devices from the Department of Homeland Security can also be included as monitoring devices. The granularity of monitoring information collected is based on organizational monitoring objectives and the capability of information systems to support such objectives. Specific types of transactions of interest include, for example, Hyper Text Transfer Protocol (HTTP) traffic that bypasses HTTP proxies. Information system monitoring is an integral part of organizational continuous monitoring and incident response programs. Output from system monitoring serves as input to continuous monitoring and incident response programs. A network connection is any connection with a device that communicates through a network (e.g., local area network, Internet). A remote connection is any connection with a device communicating through an external network (e.g., the Internet). Local, network, and remote connections can be either wired or wireless.'),('SI','SI-5','Security Alerts, Advisories, And Directives',1,'The organization:\nSI-5a.\nReceives information system security alerts, advisories, and directives from [Assignment: organization-defined external organizations] on an ongoing basis;\nSI-5b.\nGenerates internal security alerts, advisories, and directives as deemed necessary;\nSI-5c.\nDisseminates security alerts, advisories, and directives to: [Selection (one or more): [Assignment: organization-defined personnel or roles]; [Assignment: organization-defined elements within the organization]; [Assignment: organization-defined external organizations]]; and\nSI-5d.\nImplements security directives in accordance with established time frames, or notifies the issuing organization of the degree of noncompliance.','The United States Computer Emergency Readiness Team (US-CERT) generates security alerts and advisories to maintain situational awareness across the federal government. Security directives are issued by OMB or other designated organizations with the responsibility and authority to issue such directives. Compliance to security directives is essential due to the critical nature of many of these directives and the potential immediate adverse effects on organizational operations and assets, individuals, other organizations, and the Nation should the directives not be implemented in a timely manner. External organizations include, for example, external mission/business partners, supply chain partners, external service providers, and other peer/supporting organizations.'),('SI','SI-6','Security Function Verification',1,'The information system:\nSI-6a.\nVerifies the correct operation of [Assignment: organization-defined security functions];\nSI-6b.\nPerforms this verification [Selection (one or more): [Assignment: organization-defined system transitional states]; upon command by user with appropriate privilege; [Assignment: organization-defined frequency]];\nSI-6c.\nNotifies [Assignment: organization-defined personnel or roles] of failed security verification tests; and\nSI-6d.\n[Selection (one or more): shuts the information system down; restarts the information system; [Assignment: organization-defined alternative action(s)]] when anomalies are discovered.','Transitional states for information systems include, for example, system startup, restart, shutdown, and abort. Notifications provided by information systems include, for example, electronic alerts to system administrators, messages to local computer consoles, and/or hardware indications such as lights.'),('SI','SI-7','Software, Firmware, And Information Integrity',1,'The organization employs integrity verification tools to detect unauthorized changes to [Assignment: organization-defined software, firmware, and information].','Unauthorized changes to software, firmware, and information can occur due to errors or malicious activity (e.g., tampering). Software includes, for example, operating systems (with key internal components such as kernels, drivers), middleware, and applications. Firmware includes, for example, the Basic Input Output System (BIOS). Information includes metadata such as security attributes associated with information. State-of-the-practice integrity-checking mechanisms (e.g., parity checks, cyclical redundancy checks, cryptographic hashes) and associated tools can automatically monitor the integrity of information systems and hosted applications.'),('SI','SI-8','Spam Protection',2,'The organization:\nSI-8a.\nEmploys spam protection mechanisms at information system entry and exit points to detect and take action on unsolicited messages; and\nSI-8b.\nUpdates spam protection mechanisms when new releases are available in accordance with organizational configuration management policy and procedures.','Information system entry and exit points include, for example, firewalls, electronic mail servers, web servers, proxy servers, remote-access servers, workstations, mobile devices, and notebook/laptop computers. Spam can be transported by different means including, for example, electronic mail, electronic mail attachments, and web accesses. Spam protection mechanisms include, for example, signature definitions.'),('SI','SI-9','Information Input Restrictions',0,'[Withdrawn: Incorporated into AC-2, AC-3, AC-5, AC-6].','');

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed
